/*
 Copyright 2009-2020 Rumma & Ko Ltd
 License: BSD (see file COPYING for details)
*/

// lino.js --- generated Mon May  9 07:26:43 2022 by Lino Welfare Eupen 21.3.1 for 100 (Begleiter im DSBE).
Ext.BLANK_IMAGE_URL = '/static/ext-3.3.1/resources/images/default/s.gif';
LANGUAGE_CHOICES = [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ];
MEDIA_URL = "/media/";
GEN_TIMESTAMP = 1652041090.2872622;

// hack to add a toCamel function, inspired by
// http://jamesroberts.name/blog/2010/02/22/string-functions-for-javascript-trim-to-camel-case-to-dashed-and-to-underscore/
String.prototype.toCamel = function(){
  //~ return this.replace(/(\-[a-z])/g, function($1){return $1.toUpperCase().replace('-','');});
  //~ return this;
  return this.replace(/([A-Z])([A-Z]+)/g, function(match,p1,p2,offset,string){
      //~ console.log("20131005 got ",arguments);
      return p1 + p2.toLowerCase();});
};

if (!Array.prototype.last) {
    Array.prototype.last = function () {
        return this[this.length - 1];
    }
}


// 20151126 hack to modify Ext.EventObjectImpl.isSpecialKey() which
// returned false for Ctrl-S when called from a keyup handler (namely
// ComboBox.onLoad)

Ext.EventObjectImpl.prototype.isSpecialKey = function(){
    // same as original except for one line
    var k = this.normalizeKey(this.keyCode);
    // return (this.type == 'keypress' && this.ctrlKey) ||
    return (this.ctrlKey) ||
        this.isNavKeyPress() ||
        (k == this.BACKSPACE) ||
        (k >= 16 && k <= 20) ||
        (k >= 44 && k <= 46);
};





/* MonthPickerPlugin: thanks to keypoint @ sencha forum
   http://www.sencha.com/forum/showthread.php?74002-3.x-Ext.ux.MonthMenu&p=356860#post356860
*/
Ext.namespace('Ext.ux');

Ext.ux.MonthPickerPlugin = function() {
    var picker;
    var oldDateDefaults;

    this.init = function(pk) {
        picker = pk;
        picker.onTriggerClick = picker.onTriggerClick.createSequence(onClick);
        picker.getValue = picker.getValue.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
        picker.beforeBlur = picker.beforeBlur.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
    };

    function setDefaultMonthDay() {
        oldDateDefaults = Date.defaults.d;
        Date.defaults.d = 1;
        return true;
    }

    function restoreDefaultMonthDay(ret) {
        Date.defaults.d = oldDateDefaults;
        return ret;
    }

    function onClick(e, el, opt) {
        var p = picker.menu.picker;
        p.activeDate = p.activeDate.getFirstDateOfMonth();
        if (p.value) {
            p.value = p.value.getFirstDateOfMonth();
        }

        p.showMonthPicker();

        if (!p.disabled) {
            p.monthPicker.stopFx();
            p.monthPicker.show();

            p.mun(p.monthPicker, 'click', p.onMonthClick, p);
            p.mun(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
            p.onMonthClick = p.onMonthClick.createSequence(pickerClick);
            p.onMonthDblClick = p.onMonthDblClick.createSequence(pickerDblclick);
            p.mon(p.monthPicker, 'click', p.onMonthClick, p);
            p.mon(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
        }
    }

    function pickerClick(e, t) {
        var el = new Ext.Element(t);
        if (el.is('button.x-date-mp-cancel')) {
            picker.menu.hide();
        } else if(el.is('button.x-date-mp-ok')) {
            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }

    function pickerDblclick(e, t) {
        var el = new Ext.Element(t);
        if (el.parent()
            && (el.parent().is('td.x-date-mp-month')
            || el.parent().is('td.x-date-mp-year'))) {

            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }
};

Ext.preg('monthPickerPlugin', Ext.ux.MonthPickerPlugin);

// Override this function to put the listeners always on the keydown event regardless of the browser.See #2887
Ext.EventManager.getKeyEvent = function() {
  return 'keydown';
};

/**
JC Watsons solution (adapted to ExtJS 3.3.1 by LS) is elegant and simple:
`A "fix" for unchecked checkbox submission  behaviour
<http://www.sencha.com/forum/showthread.php?28449>`_

Added special handling for checkbox inputs.
ExtJS defines disabled checkboxes `readonly`, not `disabled` as for other inputs.

*/
Ext.lib.Ajax.serializeForm = function(form) {
    // console.log('20170731 linolib.js serializeForm', form);
    var fElements = form.elements || (document.forms[form] || Ext.getDom(form)).elements,
        hasSubmit = false,
        encoder = encodeURIComponent,
        name,
        data = '',
        type,
        hasValue;

    Ext.each(fElements, function(element){
        name = element.name;
        type = element.type;

        if (!element.disabled && name && !(type == 'checkbox' && element.readonly)) {
            if (/select-(one|multiple)/i.test(type)) {
                Ext.each(element.options, function(opt){
                    if (opt.selected) {
                        hasValue = opt.hasAttribute ? opt.hasAttribute('value') : opt.getAttributeNode('value').specified;
                        data += String.format("{0}={1}&", encoder(name), encoder(hasValue ? opt.value : opt.text));
                    }
                });
            } else if (!(/file|undefined|reset|button/i.test(type))) {
                //~ if (!(/radio|checkbox/i.test(type) && !element.checked) && !(type == 'submit' && hasSubmit)) {
                if (!(type == 'submit' && hasSubmit)) {
                    if (type == 'checkbox') {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&');
                        data += encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&';
                    } else {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + encoder(element.value) + '&');
                        data += encoder(name) + '=' + encoder(element.value) + '&';
                    }
                    hasSubmit = /submit/i.test(type);
                }
            }
        //~ } else {
            //~ console.log(name,type,element.readonly);
        }
    });
    return data.substr(0, data.length - 1);
};



/*
Set a long timeout of fifteen minutes.
See /blog/2012/0307
*/
Ext.Ajax.timeout = 15 * 60 * 1000;

/*
 * Thanks to
 * `huuze <http://stackoverflow.com/users/10040/huuuze>`_ for the question
 * and to
 * `chrisv <http://stackoverflow.com/users/683808/chrisv>`_
 * for the answer on
 * http://stackoverflow.com/questions/3764589/how-do-i-include-django-1-2s-csrf-token-in-a-javascript-generated-html-form/5485616#5485616
 *
 * */

Ext.Ajax.on('beforerequest', function (conn, options) {
   if (!(/^http:.*/.test(options.url) || /^https:.*/.test(options.url))) {
     if (typeof(options.headers) == "undefined") {
       options.headers = {'X-CSRFToken': Ext.util.Cookies.get('csrftoken')};
     } else {
       options.headers['X-CSRFToken'] = Ext.util.Cookies.get('csrftoken');
     }
   }
}, this);

// Ext.apply(Ext.EventManager, function(){
//     return{
//         getKeyEvent : function(){
//                //return useKeydown ? 'keydown' : 'keypress';
//            return 'keydown';
//            },
// }});

/* This probably worked, but was not used in real world.
My fix for the "Cannot set QuickTips dismissDelay to 0" bug,
see http://www.sencha.com/forum/showthread.php?183515

*/
// Ext.override(Ext.QuickTip,{
//   showAt : function(xy){
//         var t = this.activeTarget;
//         // console.log("20171024 QuickTip.showAt",this.title,this.dismissDelay,t.dismissDelay);
//         if(t){
//             if(!this.rendered){
//                 this.render(Ext.getBody());
//                 this.activeTarget = t;
//             }
//             if(t.width){
//                 this.setWidth(t.width);
//                 this.body.setWidth(this.adjustBodyWidth(t.width - this.getFrameWidth()));
//                 this.measureWidth = false;
//             } else{
//                 this.measureWidth = true;
//             }
//             this.setTitle(t.title || '');
//             this.body.update(t.text);
//             this.autoHide = t.autoHide;
//             // bugfix by Luc 20120226
//             if (t.dismissDelay != undefined) this.dismissDelay = t.dismissDelay;
//             //~ this.dismissDelay = t.dismissDelay || this.dismissDelay;
//             if(this.lastCls){
//                 this.el.removeClass(this.lastCls);
//                 delete this.lastCls;
//             }
//             if(t.cls){
//                 this.el.addClass(t.cls);
//                 this.lastCls = t.cls;
//             }
//             if(this.anchor){
//                 this.constrainPosition = false;
//             }else if(t.align){
//                 xy = this.el.getAlignToXY(t.el, t.align);
//                 this.constrainPosition = false;
//             }else{
//                 this.constrainPosition = true;
//             }
//         }
//         Ext.QuickTip.superclass.showAt.call(this, xy);
//     }
// });

/*
Another hack. See /docs/blog/2012/0228
*/
Ext.Element.addMethods(
    function() {
        var VISIBILITY      = "visibility",
            DISPLAY         = "display",
            HIDDEN          = "hidden",
            NONE            = "none",
            XMASKED         = "x-masked",
            XMASKEDRELATIVE = "x-masked-relative",
            data            = Ext.Element.data;

        return {

            mask : function(msg, msgCls) {
                var me  = this,
                    dom = me.dom,
                    dh  = Ext.DomHelper,
                    EXTELMASKMSG = "ext-el-mask-msg",
                    el,
                    mask;
                // removed the following lines. See /docs/blog/2012/0228
                //~ if (!(/^body/i.test(dom.tagName) && me.getStyle('position') == 'static')) {
                    //~ console.log(20120228,dom.tagName,me);
                    //~ me.addClass(XMASKEDRELATIVE);
                //~ }
                if (el = data(dom, 'maskMsg')) {
                    el.remove();
                }
                if (el = data(dom, 'mask')) {
                    el.remove();
                }

                mask = dh.append(dom, {cls : "ext-el-mask"}, true);
                data(dom, 'mask', mask);

                me.addClass(XMASKED);
                mask.setDisplayed(true);

                if (typeof msg == 'string') {
                    var mm = dh.append(dom, {cls : EXTELMASKMSG, cn:{tag:'div'}}, true);
                    data(dom, 'maskMsg', mm);
                    mm.dom.className = msgCls ? EXTELMASKMSG + " " + msgCls : EXTELMASKMSG;
                    mm.dom.firstChild.innerHTML = msg;
                    mm.setDisplayed(true);
                    mm.center(me);
                }


                if (Ext.isIE && !(Ext.isIE7 && Ext.isStrict) && me.getStyle('height') == 'auto') {
                    mask.setSize(undefined, me.getHeight());
                }

                return mask;
            }


        };
    }()
);



Ext.namespace('Lino');

Lino.insert_linoweb_version = function(p){
    p.lv = GEN_TIMESTAMP;
};


//~ Lino.subst_user_field = new Ext.form.ComboBox({});
//~ Lino.subst_user = null;
Lino.insert_subst_user = function(p){
    Lino.insert_linoweb_version(p);
    //~ console.log('20120714 insert_subst_user',Lino.subst_user,p);
    if (!p.ul)
      if (Lino.user_language)
        p.ul = Lino.user_language;

    if (p.su) return;
    if (Lino.subst_user) {
        //~ p.su = Lino.subst_user_field.getValue();
        p.su = Lino.subst_user;
    //~ } else {
        //~ delete p.su;
    }
    //~ console.log('20120714 insert_subst_user -->',Lino.subst_user,p);
}

// Lino.login_window = null;

Lino.autorefresh = function() {
  if (Lino.current_window == null) {
      Lino.viewport.refresh();
      Lino.autorefresh.defer(5000);
  }
}

Lino.set_subst_user = function(id, name) {
    //~ console.log(20130723,'Lino.set_subst_user',id,name,Lino.current_window,Lino.viewport);
    Lino.subst_user = id;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("su",id);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.set_user_language = function(lang) {
    Lino.user_language = lang;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("ul", lang);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.goto_record_id = function(pk) {

    if (Lino.current_window)
        Lino.current_window.main_item.goto_record_id(pk);
}


//~ Lino.select_subst_user = function(cmp,rec,value){
    //~ Lino.subst_user=value;
    //~ console.log(20120713,rec);
//~ }

Lino.current_window = null;
Lino.window_history = Array();

Lino.chars2width = function(cols) {  return cols * 9; }
Lino.rows2height = function(cols) {  return cols * 20; }
Lino.perc2width = function(perc) {
    // var w = Math.max(document.documentElement.clientWidth, window.innerWidth);
    // console.log("20151226", document, window, w);
    var w = Lino.viewport.getWidth();
    return w * perc / 100;
}



Lino.MainPanel = {
  is_home_page: false
  ,auto_apply_params: true
  ,setting_param_values : false
  ,config_containing_window : function(wincfg) { }
  ,init_containing_window : function(win) { }
  ,is_loading : function() {
      if (!this.rendered) return true;
      //~ return (Ext.select('.x-loading-msg').elements.length > 0);
      return true;
    }
  ,do_when_clean : function(auto_save,todo) { todo() }
  ,get_master_params : function() {
    var p = {}
    p['mt'] = this.content_type;
    rec = this.get_current_record()
    if (rec) {
      if (rec.phantom) {
          p['mk'] = undefined;
      }else{
          p['mk'] = rec.id;
      }
    } else {
      p['mk'] = undefined;
    }
    //~ console.log('get_master_params returns',p,'using record',rec);
    return p;
  }
  ,get_permalink : function() {
    var p = Ext.apply({}, this.get_base_params());
    delete p.fmt;
    delete p.lv;
    Ext.apply(p, this.get_permalink_params());

    if (this.toggle_params_panel_btn) {
        p.sp = this.toggle_params_panel_btn.pressed;
        //~ if (this.toggle_params_panel_btn.pressed == this.params_panel_hidden) {
          //~ p.sp = true;
        //~ }
    }

    //~ Lino.insert_subst_user(p);
     //~ p.fmt = 'html';
    //~ console.log('get_permalink',p,this.get_permalink_params());
    if (this.is_home_page)
        //~ var url = '';
        var url = '/';
    else
        var url = this.get_permalink_url();
    if (p.su == null)
        delete p.su;
    if (Ext.urlEncode(p)) url = url + "?" + Ext.urlEncode(p);
    return url;
  }
  ,get_record_url : function(record_id) {
      var url = '/api' + this.ls_url
      //~ var url = this.containing_window.config.url_data; // ls_url;
      url += '/' + (record_id === undefined ? this.default_record_id : String(record_id));
      //~ if (record_id !== undefined) url += '/' + String(record_id);
      //~ url += '/' + String(record_id);
      return url;
  }
  ,get_permalink_url : function() {
      return '/api' + this.ls_url;
  }
  ,get_permalink_params : function() {
      //~ return {an:'grid'};
      var p = {};
      if (this.action_name)
          p.an = this.action_name;
      this.add_param_values(p,false)
      return p;
  }
  /*

  Lino.MainPanel.set_status() : the status can have the following keys:

  - param_values : values of parameter fields
  - field_values : values of action parameter fields
  - base_params
  - record_id
  - active_tab
  - data_record
  - show_params_panel
  - current_page

   */
  ,set_status : function(status, requesting_panel) {}
  ,get_status : function() { return {}}
  ,refresh : function() {}
  ,get_base_params : function() {  // Lino.MainPanel
    var p = {};
    Lino.insert_subst_user(p);
    Lino.insert_linoweb_version(p);
    return p;
  }
  ,add_params_panel : function (tbar) {
      if (this.params_panel) {
        //~  20130923b
        //~ this.params_panel.autoHeight = true; // 20130924
        var t = this;
        var update = function() {
            var p = t.params_panel;
            //~ console.log("update", p.getSize().height,p.forceLayout,p.autoHeight);
            var w = t.get_containing_window();
            Lino.do_when_visible(w, function() {
                //~ p.doLayout(true); // doLayout(shallow, force)
                w.doLayout(true); // doLayout(shallow, force)
                //~ t.params_panel.on('afterlayout',update,t,{single:true});
            });
        };
        Lino.do_when_visible(this.params_panel, update);
        this.params_panel.on('show',update);
        this.params_panel.on('hide',update);
        //~ this.params_panel.on('bodyresize',update);
        this.params_panel.on('afterlayout',update);
        //~ this.params_panel.on('afterlayout',update,this,{single:true});
        //~ this.params_panel.on('bodyresize',update,this,{single:true});
        //~ this.params_panel.on('resize',update,this,{single:true});
        //~ this.params_panel.on('render',update,this,{single:true});

        // this.params_panel.on('render',
        //~ this.params_panel.on('afterlayout',update,this,{single:true,delay:200});
        //~ this.params_panel.on('bodyresize',update,this,{single:true,delay:200});
        this.toggle_params_panel_btn = new Ext.Button({ scope:this,
          //~ text: "$_("[parameters]")", // gear
          iconCls: 'x-tbar-database_gear',
          tooltip:"Parameter-Panel ein- bzw. ausblenden",
          enableToggle: true,
          //~ pressed: ! this.params_panel.hidden,
          pressed: ! this.params_panel_hidden,
          toggleHandler: function(btn,state) {
            //~ console.log("20120210 add_params_panel",state,this.params_panel);
            if (state) {
                this.params_panel.show();
            } else {
                this.params_panel.hide();
            }
            //~ this.params_panel.on('afterlayout',update,this,{single:true});
            //~ t.get_containing_window().doLayout();
            //~ this.params_panel.on('afterlayout',function() {
                //~ console.log("20130918 afterlayout");
                //~ t.get_containing_window().doLayout(); // doLayout(shallow, force)
            //~ },this,{single:true});
          }
        });
        tbar = tbar.concat([this.toggle_params_panel_btn]);

        if (this.auto_apply_params) {
            var refresh = function() {
                if (!t.setting_param_values) {
                    t._force_dirty = true;
                    t.refresh();
                }
            }
            Ext.each(this.params_panel.fields,function(f) {
              //~ f.on('valid',function() {t.refresh()});
              if (f instanceof Ext.form.Checkbox) {
                  f.on('check',refresh);
//              } else if (f instanceof Ext.DatePicker) {
//                  f.on('select',refresh);
//                  console.log('Ext.DatePicker');
              } else if (f instanceof Ext.form.DateField) {
                  f.on('change',refresh);
              } else if (f instanceof Ext.form.TriggerField) {
                  f.on('select',refresh);
                  //~ f.on('change',refresh);
                  //~ f.on('valid',refresh);
              } else {
                  if (! f.on)
                      console.log("20121010 no method 'on'",f);
                  else
                      f.on('change',refresh);
                }
              });
        }
      }
      return tbar;
  }
  ,add_param_values : function (p,force_dirty) {
    if (this.params_panel) {
      /*
      * 20120918 add param_values to the request string
      * *only if the params_form is dirty*.
      * Otherwise Actor.default_params() would never be used.
      *
      * 20121023 But IntegClients.params_default has non-empty default values.
      * Users must have the possibility to make them empty.
      *
      * 20130605 : added `force_dirty` parameter because Checkbox fields don't
      * mark their form as dirty when check is fired.
      *
      * 20130721 : `force_dirty` not as a parameter but as
      * `this._force_dirty` because
      *
      * 20130915 : both _force_dirty and force_dirty parameter are needed.
      *
      */
      if (force_dirty || this._force_dirty || this.params_panel.form.isDirty()) {
      //~ if (this._force_dirty || this.params_panel.form.isDirty()) {
        p.pv = this.get_param_values();
        //~ console.log("20130923 form is dirty (",force_dirty,this._force_dirty,this.params_panel.form.isDirty(),")");
        //~ console.log("20130923 form is dirty",p);
      }else{
        //~ console.log("20130923 form not dirty:",this.params_panel.form);
        if (this.status_param_values)
          p.pv = Lino.fields2array(
            this.params_panel.fields,this.status_param_values);
      }
      //~ if (!this.params_panel.form.isDirty()) return;
      //~ p.pv = this.get_param_values();
      //~ console.log("20120203 add_param_values added pv",p.pv,"to",p);
    }
    else if(this.use_detail_params_value){
      let params_panel = this.ownerCt.ownerCt.ownerCt.params_panel || this.ownerCt.ownerCt.params_panel
      p.pv = Lino.fields2array(params_panel.fields);
      }
  },
  get_param_values : function() { // similar to get_field_values()
      return Lino.fields2array(this.params_panel.fields);
  },
  set_param_values : function(pv) {
    if (this.params_panel) {
      //~ console.log('20120203 MainPanel.set_param_values', pv);
      this.status_param_values = pv;
      //~ this.params_panel.form.suspendEvents(false);
      this.setting_param_values = true;
      if (pv) {
          this.params_panel.form.my_loadRecord(pv);
      } else {
        this.params_panel.form.reset();
      }
      this.setting_param_values = false;
      this._force_dirty = false;
      //~ this.params_panel.form.resumeEvents();
    }
  }
};




Lino.Viewport = Ext.extend(Ext.Viewport, Lino.MainPanel);
Lino.Viewport = Ext.extend(Lino.Viewport, {
  layout : "fit"
  ,is_home_page : true
  ,initComponent : function(){
    Lino.Viewport.superclass.initComponent.call(this);
    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.el,{msg:"Bitte warten..."});
      //~ console.log("20121118 Lino.viewport.loadMask",this.loadMask);
    },this);
  }
  ,refresh : function() {
      var caller = this;
      // console.log("20140829 Lino.Viewport.refresh()");
      if (caller.loadMask) caller.loadMask.show();
      var success = function(response) {
        if (caller.loadMask) caller.loadMask.hide();
        if (response.responseText) {
          var result = Ext.decode(response.responseText);
          //~ console.log('Lino.do_action()',action.name,'result is',result);
          if (result.html) {
              var cmp = Ext.getCmp('dashboard');
              // cmp.removeAll(true);  // 20140829
              cmp.update(result.html, true);
          }

        if (result.message) {
            //~ if (result.alert && ! gridmode) {
            if (result.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',result.alert_msg);
                if (result.alert === true) result.alert = "Alarm";
                Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
            } else {
                Lino.notify(result.message);
            }
        }
          if (result.notify_msg) Lino.notify(result.notify_msg);
          if (result.js_code) {
            var jsr = result.js_code(caller);
            //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
          };
        }
      };
      var p = {}
      Lino.insert_linoweb_version(p);
      var action = {
        url : '/api/main_html',
        waitMsg: "Bitte warten...",
        failure: Lino.ajax_error_handler(caller),
        success: success,
        method: 'GET',
        params: {}
      };
      Lino.insert_subst_user(action.params);
      Ext.Ajax.request(action);

  }
});




Lino.open_window = function(win, st, requesting_panel) {
  // console.log("20140831 Lino.open_window()", win, win.el.getBox());
  var cw = Lino.current_window;
  if (cw) {
    // console.log("20140829 Lino.open_window() save current status",
    //             cw.main_item.get_status());
    Lino.window_history.push({
      window:cw,
      status:cw.main_item.get_status()
    });
  }
  Lino.current_window = win;
  //~ if (st.su)
      //~ Lino.subst_user_field.setValue(st.su);
  win.main_item.set_status(st, requesting_panel);
  // win.toFront();
  win.show();
};

Lino.load_url = function(url) {
    //~ foo.bar.baz = 2;
    //~ console.log("20121120 Lino.load_url()");
    //~ Lino.body_loadMask.show();
    Lino.viewport.loadMask.show();
    //~ location.replace(url);
    document.location = url;
}

Lino.close_window = function(status_update, norestore) {
  // norestore is true when called by handle_action_result() who
  // will call set_status() itself later
  var cw = Lino.current_window;
  var ww = Lino.window_history.pop();
  var retval = cw.main_item.requesting_panel;
  // console.log(
  //     "20150514 Lino.close_window() going to close", cw.title,
  //     "previous is", ww,
  //     "norestore is", norestore,
  //     "retval is", retval);
  if (ww) {
    //~ if (status_update) Ext.apply(ww.status,status_update);
    if(!norestore) {
        if (status_update) status_update(ww);
        // 20180725 ww.window.main_item.set_status(ww.status , cw.id);
        ww.window.main_item.set_status(ww.status , retval);
    }
    Lino.current_window = ww.window;
  } else {
      Lino.current_window = null;
      // new since 20140829:
      if(!norestore) { Lino.viewport.refresh(); }
  }
  if (cw) cw.hide_really();
  return retval;
};

Lino.kill_current_window = function() {
  // console.log("20140418 Lino.kill_current_window()");
  var cw = Lino.current_window;
  Lino.current_window = null;
  if (cw) cw.hide_really();
};

Lino.reload = function() {
    // First close all windows to ensure all changes are saved
    Lino.close_all_windows();

    // Then reload current view
    var url =  "/"

    var p = {};
    Lino.insert_subst_user(p)
    if (Ext.urlEncode(p))
        url = url + "?" + Ext.urlEncode(p);

    Lino.load_url(url);
}

Lino.handle_home_button = function() {
  if (Lino.window_history.length == 0)
      Lino.reload();
  else
      Lino.close_all_windows();
}

Lino.close_all_windows = function() {
    while (Lino.window_history.length > 0) {
        Lino.close_window();
    }
}

Lino.calling_window = function() {
    if (Lino.window_history.length)
        return Lino.window_history[Lino.window_history.length-1];
}

//~ Lino.WindowAction = function(mainItemClass,windowConfig,mainConfig,ppf) {
Lino.WindowAction = function(windowConfig,main_item_fn) {
    //~ if(!mainConfig) mainConfig = {};
    //~ mainConfig.is_main_window = true;
    this.windowConfig = windowConfig;
    this.main_item_fn = main_item_fn;
    //~ if (ppf) mainConfig.params_panel.fields = ppf;
    //~ this.mainConfig = mainConfig;
    //~ this.mainItemClass = mainItemClass;
};

Lino.WindowAction = Ext.extend(Lino.WindowAction,{
    window : null,
    //~ mainItemClass: null,
    get_window : function() {
      //~ if(mainConfig) Ext.apply(this.mainConfig,mainConfig);
      // if (this.window == null || this.window.isDestroyed)  { // 20140829
      // if (this.window == null || this.window.getBox().width == 0)  { // 20140829
      if (this.window == null)  {
      // if (true)  {
          //~ this.windowConfig.main_item = new this.mainItemClass(this.mainConfig);
          this.windowConfig.main_item = this.main_item_fn();
          this.window = new Lino.Window(this.windowConfig);
      }
      return this.window;
    },
    run : function(requesting_panel, status) {
      // console.log('20140829 window_action.run()', this)
      Lino.open_window(this.get_window(), status, requesting_panel);
    }

});


Lino.PanelMixin = {
  get_containing_window : function (){
      if (this.containing_window) return this.containing_window;
      return this.containing_panel.get_containing_window();
  }
  ,set_window_title : function(title) {
    //~ this.setTitle(title);
    var cw = this.get_containing_window();

    //~ if (cw) {
    //~ if (cw && cw.closable) {
    if (cw && !cw.main_item.hide_window_title) {
      //~ console.log('20111202 set_window_title(',title,') for',this.containing_window);
      //~ if (! this.containing_window.rendered) console.log("WARNING: not rendered!");
      cw.setTitle(title);
    //~ } else {
      //~ document.title = title;
    }
    //~ else console.log('20111202 not set_window_title(',title,') for',this);
  }

};


// Lino.status_bar = new Ext.ux.StatusBar({defaultText:'Lino version 22.5.0.'});






/*
  Originally copied from Ext JS Library 3.3.1
  Modifications by Luc Saffre :
  - rendering of phantom records
  - fire afteredit event
  - react on dblclcik, not on single click

 */
Lino.CheckColumn = Ext.extend(Ext.grid.Column, {

    processEvent : function(name, e, grid, rowIndex, colIndex){
        //~ console.log('20110713 Lino.CheckColumn.processEvent',name)
        if (name == 'click') {
        //~ if (name == 'mousedown') {
        //~ if (name == 'dblclick') {
            return this.toggleValue(grid, rowIndex, colIndex);
        } else {
            return Ext.grid.ActionColumn.superclass.processEvent.apply(this, arguments);
        }
    },

    toggleValue : function (grid,rowIndex,colIndex) {
        var record = grid.store.getAt(rowIndex);
        var dataIndex = grid.colModel.getDataIndex(colIndex);
        // 20120514
        //~ if(record.data.disabled_fields && record.data.disabled_fields[dataIndex]) {
          //~ Lino.notify("Dieses Feld ist deaktiviert");
          //~ return false;
        //~ }

        //~ if (dataIndex in record.data['disabled_fields']) {
            //~ Lino.notify("This field is disabled.");
            //~ return false;
        //~ }
        var startValue = record.data[dataIndex];
        var value = !startValue;
        //~ record.set(this.dataIndex, value);
        var e = {
            grid: grid,
            record: record,
            field: dataIndex,
            originalValue: startValue,
            value: value,
            row: rowIndex,
            column: colIndex,
            cancel: false
        };
        if(grid.fireEvent("beforeedit", e) !== false && !e.cancel){
        //~ if(grid.fireEvent("validateedit", e) !== false && !e.cancel){
            record.set(dataIndex, value);
            delete e.cancel;
            grid.fireEvent("afteredit", e);
        }
        return false; // Cancel event propagation
    },

    renderer : function(v, p, record){
        if (record.phantom) return '';
        p.css += ' x-grid3-check-col-td';
        return String.format('<div class="x-grid3-check-col{0}">&#160;</div>', v ? '-on' : '');
    }

    // Deprecate use as a plugin. Remove in 4.0
    // init: Ext.emptyFn
});

// register ptype. Deprecate. Remove in 4.0
// Ext.preg('checkcolumn', Lino.CheckColumn);

// backwards compat. Remove in 4.0
// Ext.grid.CheckColumn = Lino.CheckColumn;

// register Column xtype
Ext.grid.Column.types.checkcolumn = Lino.CheckColumn;


/* 20110725 :
Lino.on_tab_activate is necessary
in contacts.Person.2.dtl
(but don't ask me why...)
*/
Lino.on_tab_activate = function(item) {
  //~ console.log('activate',item);
  if (item.rendered && item.doLayout) item.doLayout();
  //~ if (item.rendered) item.doLayout();
}

Lino.TimeField = Ext.extend(Ext.form.TimeField,{
  format: 'H:i',
  altFormats: 'g:ia|g:iA|g:i a|g:i A|h:i|g:i|H:i|ga|ha|gA|h a|g a|g A|gi|hi|gia|hia|g|H|gi a|hi a|giA|hiA|gi A|hi A|Hi|g.ia|g.iA|g.i a|g.i A|h.i|g.i|H.i',
  increment: 15
  });
Lino.DateField = Ext.extend(Ext.form.DateField,{
  //~ boxMinWidth: Lino.chars2width(15), // 20131005 changed from 11 to 15
  format: 'd.m.Y',
  altFormats: 'd/m/Y|Y-m-d'
  });
Lino.DatePickerField = Ext.extend(Ext.DatePicker,{
  //~ boxMinWidth: Lino.chars2width(11),
  format: 'd.m.Y',
  //~ altFormats: 'd/m/Y|Y-m-d'
  formatDate : function(date){
      //~ console.log("20121203 formatDate",this.name,date);
      return Ext.isDate(date) ? date.dateFormat(this.format) : date;
  }
  });
Lino.DateTimeField = Ext.extend(Ext.ux.form.DateTime,{
  dateFormat: 'd.m.Y',
  timeFormat: 'H:i'
  //~ ,hiddenFormat: 'd.m.Y H:i'
  });
Lino.URLField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  //~ triggerClass : 'x-form-world-trigger',
  vtype: 'url',
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    window.open(this.getValue(),'_blank');
  }
});
Lino.IncompleteDateField = Ext.extend(Ext.form.TextField,{
  //~ regex: /^-?\d+-[01]\d-[0123]\d$/,
  //~ regex: /^[0123]\d\.[01]\d\.-?\d+$/,
  maxLength: 10,
  boxMinWidth: Lino.chars2width(10),
  regex: /^[0123]?\d\.[01]?\d\.-?\d+$/,
  regexText: 'Datum im Format JJJJ-MM-TT eingeben (Nullen für unbekannte Teile)'
  });


//~ Lino.make_dropzone = function(cmp) {
    //~ cmp.on('render', function(ct, position){
      //~ ct.el.on({
        //~ dragenter:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ return true;
        //~ }
        //~ ,dragover:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ event.stopEvent();
          //~ return true;
        //~ }
        //~ ,drop:{
          //~ scope:this
          //~ ,fn:function(event){
            //~ event.stopEvent();
            //~ console.log(20110516);
            //~ var files = event.browserEvent.dataTransfer.files;
            //~ if(files === undefined){
              //~ return true;
            //~ }
            //~ var len = files.length;
            //~ while(--len >= 0){
              //~ console.log(files[len]);
              //~ // this.processDragAndDropFileUpload(files[len]);
            //~ }
          //~ }
        //~ }
      //~ });
    //~ });
//~ };

//~ Lino.FileUploadField = Ext.ux.form.FileUploadField;

Lino.FileUploadField = Ext.extend(Ext.ux.form.FileUploadField,{
    ctCls :"field-margin",
    unused_onRender : function(ct, position){
      Lino.FileUploadField.superclass.onRender.call(this, ct, position);
      this.el.on({
        dragenter:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          return true;
        }
        ,dragover:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          event.stopEvent();
          return true;
        }
        ,drop:{
          scope:this
          ,fn:function(event){
            event.stopEvent();
            //~ console.log(20110516);
            var files = event.browserEvent.dataTransfer.files;
            if(files === undefined){
              return true;
            }
            var len = files.length;
            while(--len >= 0){
              console.log(files[len]);
              //~ this.processDragAndDropFileUpload(files[len]);
            }
          }
        }
      });
    }
});

Lino.FileField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  editable: false,
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    if (this.getValue()) window.open(MEDIA_URL + '/'+this.getValue(),'_blank');
  }
});

Lino.file_field_handler = function(panel,config) {
  if (panel.action_name == 'insert') {
      panel.has_file_upload = true;


      // config.value = '<br/><br/>';

      var f = new Lino.FileUploadField(config);
      //~ Lino.make_dropzone(f);
      return f;
      //~ return new Ext.ux.form.FileUploadField(config);
      //~ return new Lino.FileField(config);

  } else {
      //~ return new Lino.URLField(config);
      return new Lino.FileField(config);
  }
}

Lino.VBorderPanel = Ext.extend(Ext.Panel,{
    constructor : function(config) {
      config.layout = 'border';
      delete config.layoutConfig;
      Lino.VBorderPanel.superclass.constructor.call(this,config);
      for(var i=0; i < this.items.length;i++) {
        var item = this.items.get(i);
        if (this.isVertical(item) && item.collapsible) {
          item.on('collapse',this.onBodyResize,this);
          item.on('expand',this.onBodyResize,this);
        }
      }
    },
    isVertical : function(item) {
       return (item.region == 'north' || item.region == 'south' || item.region == 'center');
    },
    onBodyResize: function(w, h){
        //~ console.log('VBorderPanel.onBodyResize',this.title)
      if (this.isVisible()) { // to avoid "Uncaught TypeError: Cannot call method 'getHeight' of undefined."
        var sumflex = 0;
        var availableHeight = this.getInnerHeight();
        var me = this;
        this.items.each(function(item){
          if (me.isVertical(item)) {
              if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  if (item.rendered) availableHeight -= item.getHeight();
              } else {
                  sumflex += item.flex;
              }
          }

        });
        //~ for(var i=0; i < this.items.length;i++) {
          //~ var item = this.items.get(i);
          //~ // if (this.isVertical(item) && item.getResizeEl()) {
          //~ if (this.isVertical(item)) {
              //~ if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  //~ // item.syncSize()
                  //~ // item.doLayout()
                  //~ // if (item.region == "north") console.log('region north',item.getHeight(),item.id, item);
                  //~ // if (item.getHeight() == 0) console.log(20100921,'both flex and getHeight() are 0!');
                  //~ availableHeight -= item.getHeight();
              //~ } else {
                  //~ sumflex += item.flex;
                  //~ // console.log(item.flex);
              //~ }
          //~ }
          //~ // else console.log('non-vertical item in VBoderPanel:',item)
        //~ }
        var hunit = availableHeight / sumflex;
        //~ console.log('sumflex=',sumflex,'hunit=',hunit, 'availableHeight=',availableHeight);
        for(var i=0; i < this.items.length;i++) {
          var item = this.items.get(i);
          if (this.isVertical(item)) {
              if (item.flex != 0 && ! item.collapsed) {
                  item.setHeight(hunit * item.flex);
                  //~ console.log(item.region,' : height set to',item.getHeight());
              }
          }
          //~ else console.log('non-vertical item in VBoderPanel:',item)
        }
      }
      Lino.VBorderPanel.superclass.onBodyResize.call(this, w, h);
    }
});


/*
  modifications to the standard behaviour of a CellSelectionModel:

*/
Ext.override(Ext.grid.CellSelectionModel, {
//~ var dummy = {

    getRowFrompx : function(px){
        g = this.grid;
        rows = g.getView().getRows();
        total_height = 0,
        searched_row = 0;
        for (row in rows){
            if (total_height < px){
                searched_row += 1;
                total_height += rows[row].clientHeight;
                }
            else{
                return searched_row;
            }
        }

    },
    handleKeyDown : function(e){
        /* removed because F2 wouldn't pass
        if(!e.isNavKeyPress()){
            return;
        }
        */
        //~ console.log('handleKeyDown',e)
        var k = e.getKey(),
            g = this.grid,
            s = this.selection,
            sm = this,
            walk = function(row, col, step){
                return g.walkCells(
                    row,
                    col,
                    step,
                    g.isEditor && g.editing ? sm.acceptsNav : sm.isSelectable,
                    sm
                );
            },
            cell, newCell, r, c, ae;
            t = g.getTopToolbar();
            if (t != undefined){
                d = t.getPageData();
            }
            else{
                d = undefined;
            }

        switch(k){
            case e.ESC:
                break;
            default:
                // e.stopEvent(); // removed because Browser keys like Alt-Home, Ctrl-R wouldn't work
                break;
        }

        if(!s){
            cell = walk(0, 0, 1);
            if(cell){
                this.select(cell[0], cell[1]);
            }
            return;
        }

        cell = s.cell;
        r = cell[0];
        c = cell[1];

        switch(k){
            case e.TAB:
                if(e.shiftKey){
                    newCell = walk(r, c - 1, -1);
                    // prev + [-1 -1]
                }else{
                    newCell = walk(r, c + 1, 1);
                }
                e.stopEvent(); // Don't allow tab to cause grid to loose focus
                if(!newCell && d != undefined){
                    var self = this;
                    var new_page = e.shiftKey? Math.max(1, d.activePage -1) : Math.min(d.pages, d.activePage +1) ;
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            if (e.shiftKey) {
                                self.select(
                                    Math.min(r, g.store.getCount() - 1),
                                    g.getColumnModel().getColumnsBy(function (col) {return !col.hidden}).last().colIndex
                                );
                            }else {
                                self.select(0,0);
                            }
                            //~ console.log('change',r,c);
                        }, this, {single: true});

                        if (e.shiftKey) {
                            t.movePrevious();
                        } else {
                            t.moveNext();
                        }
                        return;}
                }
                break;
            case e.HOME:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, 0];
                        //~ console.log('home',newCell);
                        break;
                    } else {
                        var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
                        if (e.ctrlKey && activePage > 1) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                self.select(0, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});

                            t.moveFirst();
                            return;
                        }
                        newCell = [0, c];
                        break;
                    }
                }
            case e.END:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, g.getColumnModel().getColumnsBy(function (col) {
                            return !col.hidden
                        }).last().colIndex];
                        //~ console.log('end',newCell);
                        break;
                    } else if (d != undefined){
                        if (e.ctrlKey && d.activePage < d.pages) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                var r = g.store.getCount() - 1;
                                self.select(r, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});
                            t.moveLast();
                            return;
                        } else {
                            newCell = [g.store.getCount() - 1, c];
                            //~ console.log('ctrl-end',newCell);
                            break;
                        }
                    }
                }
            case e.PAGE_UP:
            case e.PAGE_DOWN:
                e.stopEvent();
                var self = this;
                var scroller = g.getView().scroller;
                var box = scroller.getBox();
                //console.log('box',box);
                var viewSize = scroller.getSize(); // EXP {width: 547, height: 500}
//                console.log('viewSize',viewSize);
                var scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('scrollPosition',scrollPosition);
//                if (box.height < box.bottom){
                var direction  = e.PAGE_DOWN === k ? 'b' : 'u';
                scroller.scroll(direction, box.y,false);
//                }
                var new_scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('new_scrollPosition',new_scrollPosition);
                if (new_scrollPosition.top != scrollPosition.top){
                    newcellpx = e.PAGE_DOWN === k ? box.height : new_scrollPosition.top;
                    var newx = this.getRowFrompx(newcellpx);
//                    console.log('newx',newx);
                    newCell = walk(newx,c,1)
                    break;
                }
//                g.getView().scroller.scroll('b', 99999,true);
//                g.getView().scroller.isScrollable();
                if (d != undefined){
                    var new_page = e.PAGE_DOWN === k ? Math.min(d.pages, d.activePage +1) : Math.max(1, d.activePage -1);
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            self.select(Math.min(r, g.store.getCount() - 1), c);
                            //~ console.log('change',r,c);
                        }, this, {single: true});
                        if(k === e.PAGE_DOWN){
                            t.moveNext();
                        }else{
                            t.movePrevious();
    //                        Go to the bottom of the new page
                            var scroller = g.getView().scroller;
                            var newbox = scroller.getBox();
                            scroller.scroll('b', newbox.bottom,false);
                        }
                    }
                    return;
                }else{ // same page, goto top / bottom row, keep c same
                    r = e.PAGE_DOWN === k ? g.store.getCount() - 1 : 0;
                    newCell = [r, c]
                }
                break;
            case e.DOWN:
                newCell = walk(r + 1, c, 1);
                break;
            case e.UP:
                newCell = walk(r - 1, c, -1);
                break;
            case e.RIGHT:
                newCell = walk(r, c + 1, 1);
                break;
            case e.LEFT:
                newCell = walk(r, c - 1, -1);
                break;
            case e.F2:
                if (!e.hasModifier()) {
                    if (g.isEditor && !g.editing) {
                        g.startEditing(r, c);
                        e.stopEvent();
                        return;
                    }
                    break;
                }
            case e.INSERT:
                if (!e.hasModifier()) {
                    if (g.ls_insert_handler && !g.editing) {
                        e.stopEvent();
                        Lino.show_insert(g);
                        return;
                    }
                    break;
                }
            case e.DELETE:
                if (!e.hasModifier()) {
                    if (!g.editing) {
                        e.stopEvent();
                        // Lino.delete_selected(g);
                        Lino.row_action_handler('delete_selected','GET',null)(g);
                        return;
                    }
                    break;
                }

            case e.ENTER:
                e.stopEvent();
                g.onCellDblClick(g,r,c);
                break;

            default:
                g.handle_key_event(e);

        }


        if(newCell){
          e.stopEvent();
          r = newCell[0];
          c = newCell[1];
          this.select(r, c);
          if(g.isEditor && g.editing){
            ae = g.activeEditor;
            if(ae && ae.field.triggerBlur){
                ae.field.triggerBlur();
            }
            g.startEditing(r, c);
          }
        //~ } else if (g.isEditor && !g.editing && e.charCode) {
        //~ // } else if (!e.isSpecialKey() && g.isEditor && !g.editing) {
            //~ g.set_start_value(String.fromCharCode(e.charCode));
            //~ // g.set_start_value(String.fromCharCode(k));
            //~ // g.set_start_value(e.charCode);
            //~ g.startEditing(r, c);
            //~ // e.stopEvent();
            //~ return;
        // } else {
          // console.log('20120513',e,g);
        }

    }


//~ };
});



function PseudoConsole() {
    this.log = function() {};
};
if (typeof(console) == 'undefined') console = new PseudoConsole();

Lino.notify = function(msg) {
  if (msg == undefined) msg = ''; else console.log(msg);
  
    if (msg == undefined) return;
    // Lino.alert(msg);
  
};

Lino.alert = function(msg) {
  Ext.MessageBox.alert('Notify',msg);
};


//~ Lino.show_about = function() {
  //~ new Ext.Window({
    //~ width: 400, height: 400,
    //~ title: "About",
    //~ html: '<a href="http://www.extjs.com" target="_blank">ExtJS</a> version ' + Ext.version
  //~ }).show();
//~ };

function obj2str(o) {
  if (typeof o != 'object') return String(o);
  var s = '';
  for (var p in o) {
    s += p + ': ' + obj2str(o[p]) + '\n';
  }
  return s;
}

Lino.on_store_exception = function (store,type,action,options,response,arg) {
  //~ throw response;
  console.log("on_store_exception: store=",store,
    "type=",type,
    "action=",action,
    "options=",options,
    "response=",response,
    "arg=",arg);
    if (arg != undefined && arg) { console.log(arg.stack)};
    var msg = "Problem mit der Verbindung zur Datenbank";
    if (response.responseText)
        msg += '<br/>' + response.responseText
    msg += '<br/>' + "Falls der Fehler sich wiederholt, laden Sie die Seite im Browser neu ([SHIFT+CTRL+R] in Firefox)."
    Ext.Msg.alert("Datenbank-Problem", msg );

};

//~ Lino.on_submit_success = function(form, action) {
   //~ Lino.notify(action.result.message);
   //~ this.close();
//~ };

Lino.on_submit_failure = function(form, action) {
    //~ Lino.notify();
  // action may be undefined
    switch (action.failureType) {
        case Ext.form.Action.CLIENT_INVALID:
            Ext.Msg.alert("Client-side failure", "Bitte überprüfe alle Felder im Formular vor dem Speichern");
            break;
        case Ext.form.Action.CONNECT_FAILURE:
            Ext.Msg.alert("Connection failure", "Ajax communication failed");
            break;
        case Ext.form.Action.SERVER_INVALID:
            Ext.Msg.alert("Server-side failure", action.result.message);
   }
};



/*
Lino.save_wc_handler = function(ww) {
  return function(event,toolEl,panel,tc) {
    var pos = panel.getPosition();
    var size = panel.getSize();
    wc = ww.get_window_config();
    Ext.applyIf(wc,{
      x:pos[0],y:pos[1],height:size.height,width:size.width,
      maximized:panel.maximized});
    Lino.do_action(ww,{url:'/window_configs/'+ww.config.permalink_name,params:wc,method:'POST'});
  }
};

*/

Lino.show_in_own_window_button = function(handler) {
  return {
    qtip: "Dieses Panel in eigenem Fenster öffnen",
    id: "up",
    handler: function(event,toolEl,panel, tc) {
      //~ console.log('20111206 report_window_button',panel,handler);
      handler.run(null,{base_params:panel.containing_panel.get_master_params()});
    }
  }
}

Lino.action_handler = function (panel, on_success, on_confirm) {
  return function (response) {
      if (!panel) {
          if (Lino.current_window)
              panel = Lino.current_window.main_item;
          else panel = Lino.viewport;
      }

    if (panel.loadMask) panel.loadMask.hide(); // 20120211
    if (!response.responseText) return ;
    var result = Ext.decode(response.responseText);
    Lino.handle_action_result(panel, result, on_success, on_confirm);
  }
};

Lino.handle_action_result = function (panel, result, on_success, on_confirm) {

    // console.log('20150514 Lino.handle_action_result()', result);

    // if (panel instanceof Lino.GridPanel) {
    //     gridmode = true;
    // } else {
    //     gridmode = false;
    // }

    //~ if (result.goto_record) {
        //~ var js = "Lino." + result.goto_record[0] + '.detail.run';
        //~ var h = eval(js);
        //~ h(panel,{record_id:result.goto_record[1]});
    //~ }

    if (result.goto_url) {
        document.location = result.goto_url;
        if (result.close_window) Lino.close_window();
        return;
    }

    if (result.xcallback) {
        //~ var config = {title:"Bestätigung"};
        var config = {cls:"l-confirmation", title:result.xcallback.title};
        //~ config.buttons = Ext.MessageBox.YESNOCANCEL;
        //~ config.buttons = Ext.MessageBox.YESNO;
        var p = {};
        Lino.insert_subst_user(p);
        config.buttons = {};
        result.xcallback.buttons.forEach((button) => config.buttons[button[0]] = button[1]);
        config.msg = result.message;
        config.fn = function(buttonId, text, opt) {
          eval(result.xcallback[buttonId + "_resendEvalJs"])
        }
        Ext.MessageBox.show(config);
        return;
    }

    // `record_id` and/or `data_record` both mean "display the detail
    // of this record".

    if(result.detail_handler_name) {
        // TODO: make sure that result.detail_handler_name is secure
        var detail_handler = eval("Lino." + result.detail_handler_name);
    }
    var ns = {};  // new status
    if (result.close_window) {

        // Subsequent processing expects that `panel` is "the current
        // panel". But if we close the window, `panel` must point
        // to the previous window. Note the case of an insert window
        // that has been invoked by double-clicking on the phantom row
        // of a slave table in a detail window. In that case we want
        // `panel` to become the grid panel of the slave table who
        // called the insert window, not the master's detail form
        // panel.  When the insert window has been called by an action
        // link (e.g. generated using ar.insert_button), then
        // Lino.close_window can return `undefined`.

        if(result.record_id || result.data_record) {
            var ww = Lino.calling_window();
            if (ww && ww.window.main_item instanceof Lino.FormPanel) {
                if (ww.window.main_item.ls_detail_handler == detail_handler) {
                    ns.record_id = result.record_id;
                    ns.data_record = result.data_record;
                    // console.log("20150514 use new status.");
                }
            }
        }

        panel = Lino.close_window(
            function(ww) { Ext.apply(ww.status, ns) });
        if (!panel)
            // console.log("20150514 close_window returned no panel.");
            if (Lino.current_window)
                panel = Lino.current_window.main_item;

    }

    if(result.record_id || result.data_record) {
        if (! (ns.record_id || ns.data_record)) {
          // no close_window, so we must update record data in current
          // panel (if it is the detail_handler for this record) or
          // open the detail handler.
          var st = {
              record_id: result.record_id,
              data_record: result.data_record
          };
          if (result.active_tab) st.active_tab = result.active_tab;
          if (panel instanceof Lino.FormPanel
              && panel.ls_detail_handler == detail_handler)
            {
              // console.log("20210106 use panel.set_status().");
              st.base_params = panel.get_base_params();
              panel.set_status(st);
          } else {
              // console.log("20210106 run detail_handler.");
              if (panel !== undefined && panel.ls_detail_handler == detail_handler){
                st.base_params = panel.get_base_params();}
              detail_handler.run(null, st);
          }

          // if (panel instanceof Lino.FormPanel
          //     && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 2 it's a FormPanel:", panel);
          //     panel.set_status({
          //         record_id: result.record_id,
          //         data_record: result.data_record});
          // } else if (panel.ls_detail_handler
          //            && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 4");
          //     panel.ls_detail_handler.run(null, {
          //         record_id: result.record_id,
          //         data_record: result.data_record,
          //         base_params: panel.get_base_params()});
          // } else {
          //     result.refresh_all = true;
          //     console.log("20140604 case 6", result.actor_url);
          // }
        }
    }

    // `eval_js` must get handled after `close_window` because it
    // might ask to open a new window (and we don't want to close that
    // new window).  It must execute *before* any MessageBox,
    // otherwise the box would get hidden by a window that opens
    // afterwards.

    if (result.eval_js) {
        //~ console.log(20120618,result.eval_js);
        eval(result.eval_js);
    }

    if (on_success && result.success) {
        // console.log("20140430 handle_action_result calls on_success",
        //             on_success);
        on_success(result);
    }

    if (result.info_message) {
        console.log(result.info_message);
    }

    if (result.warning_message) {
        if (!result.alert) result.alert = "Warnung";
        Ext.MessageBox.alert(result.alert, result.warning_message);
    }

    if (result.message) {
        //~ if (result.alert && ! gridmode) {
        if (result.alert) { // 20120628b
            //~ Ext.MessageBox.alert('Alert',result.alert_msg);
            if (result.alert === true) result.alert = "Alarm";
            Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
        } else {
            Lino.notify(result.message);
        }
    }

    if(result.record_deleted && panel.ls_detail_handler == detail_handler) {
        panel.after_delete();
        return;  // added 20200717 to fix #3715
    }

    if (result.refresh_all) {
        var cw = Lino.current_window;
        // var cw = panel.get_containing_window();
        if (cw) {
            // console.log("20140917 refresh_all calls refresh on", cw.main_item);
            cw.main_item.refresh();
        } else { Lino.viewport.refresh(); }
        // else console.log("20140917 cannot refresh_all because ",
        //                  "there is no current_window");
    } else {
        if (result.refresh) {
            // console.log("20140917 Gonna call panel.refresh()", panel);
            panel.refresh();
            panel.focus();
        }
    }if (result.open_url) {
        //~ console.log(20111126,result.open_url);
        //~ if (!result.message)
            //~ Lino.notify('Open new window <a href="'+result.open_url+'" target="_blank">'+result.open_url+'</a>');
        window.open(result.open_url,'foo',"");
        //~ document.location = result.open_url;
    }
};

// obsolete but still used for deleting records.
Lino.do_action = function(caller,action) {
  action.success = function(response) {
    if (caller.loadMask) caller.loadMask.hide();
    //~ console.log('Lino.do_action()',action,'action success',response);
    if (action.after_success) {
        //~ console.log('Lino.do_action() calling after_success');
        action.after_success();
    }
    if (response.responseText) {
      var result = Ext.decode(response.responseText);
      //~ console.log('Lino.do_action()',action.name,'result is',result);
      if (result.message) {
          if (result.alert) {
              //~ Ext.MessageBox.alert('Alert',result.alert_msg);
              Ext.MessageBox.alert('Alert',result.message);
          } else {
              Lino.notify(result.message);
          }
      }

      //~ if (result.alert_msg) Ext.MessageBox.alert('Alert',result.alert_msg);
      //~ if (result.message) Lino.notify(result.message);
      if (result.notify_msg) Lino.notify(result.notify_msg);
      if (result.js_code) {
        //~ console.log('Lino.do_action()',action,'gonna call js_code in',result);
        var jsr = result.js_code(caller);
        //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
        if (action.after_js_code) {
          //~ console.log('Lino.do_action()',action,'gonna call after_js_code');
          action.after_js_code(jsr);
          //~ console.log('Lino.do_action()',action,'returned from after_js_code');
        //~ } else {
          //~ console.log('Lino.do_action()',action,' : after_js_code is false');
        }
      };
    }
  };
  Ext.applyIf(action,{
    waitMsg: "Bitte warten...",
    failure: Lino.ajax_error_handler(caller),
    params: {}
  });
  //~ action.params.su = Lino.subst_user;
  Lino.insert_subst_user(action.params);

  Ext.Ajax.request(action);
};

//~ Lino.gup = function( name )
//~ {
  //~ // Thanks to http://www.netlobo.com/url_query_string_javascript.html
  //~ name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  //~ var regexS = "[\\?&]"+name+"=([^&#]*)";
  //~ var regex = new RegExp( regexS );
  //~ var results = regex.exec( window.location.href );
  //~ if( results == null )
    //~ return "";
  //~ else
    //~ return results[1];
//~ };

//~ Lino.refresh_handler = function (ww) {
  //~ return function() {
      //~ console.log('refresh',ww);
      //~ ww.main_item.doLayout(false,true);
      //~ ww.main_item.syncSize();
  //~ }
//~ };

//~ Lino.tools_close_handler = function (ww) {
  //~ return function() {
      //~ ww.close();
  //~ }
//~ };
Lino.permalink_handler = function (ww) {
  return function() {
    //~ document.location = ww.main_item.get_permalink();
    //~ console.log('20130723 Lino.permalink_handler',ww);

    /* Uncaught TypeError: Cannot read property 'main_item' of null  */
    if (ww) {
        var url = ww.main_item.get_permalink();
    } else {
        var url = Lino.viewport.get_permalink();
    }
    Lino.load_url(url);
  }
};
//~ Lino.run_permalink = function() {
  //~ var plink = Lino.gup('permalink');
  //~ if(plink) { eval('Lino.'+plink); }
//~ }

Lino.close_and_save_handler =  function (ww){
    return function(){
    if (ww) {
        ww.main_item.do_when_clean(true,function() {
        Lino.close_window(); });
        }
    }
};

Lino.ajax_error_handler = function(panel) {
  return function(response,options) {
    console.log('Ajax failure:', response, options);
    if (panel.loadMask) panel.loadMask.hide();
    if (response.responseText) {
      var lines = response.responseText.split('\n');
      if (lines.length > 10) {
          line = lines.splice(5, lines.length-10, "(...)");
      }
      //~ console.log(20131005, response.statusText.toCamel());
      Ext.MessageBox.alert(
        response.statusText.toCamel(),
        lines.join('<br/>')
        //~ response.responseText.replace(/\n/g,'<br/>'))
      )
    } else {
      Ext.MessageBox.alert('Action failed',
        'Lino server did not respond to Ajax request');
    }
  }
}
// Ext.Ajax.on('requestexception',Lino.ajax_error_handler)



Ext.QuickTips.init();

/* setting QuickTips dismissDelay to 0 */
// Apply a set of config properties to the singleton
//~ Ext.apply(Ext.QuickTips.getQuickTip(), {
//~ Ext.apply(Ext.ToolTip, {
    //~ dismissDelay: 0
    //~ autoHide: false,
    //~ closable: true,
    //~ maxWidth: 200,
    //~ minWidth: 100,
    //~ showDelay: 50      // Show 50ms after entering target
    //~ ,trackMouse: true
//~ });


// Ext.apply(Ext.QuickTips.getQuickTip(), {
//     dismissDelay: 500,
//     showDelay: 20      // Show 10ms after entering target
// });

Lino.quicktip_renderer = function(title, body) {
  return function(c) {
    //~ if (c instanceof Ext.Panel) var t = c.bwrap; else // 20130129
      if (c instanceof Ext.Panel) {
          var t = c.header;
      } else if (c instanceof Ext.Button) {
          var t = c.btnEl;
      } else  {
          var t = c.getEl();
      }
    // console.log(20171024, c, t, body);
    //~ t.dismissDelay = 0;
    Ext.QuickTips.register({
      target: t,
      //~ cls: 'lino-quicktip-classical',
      dismissDelay: 10000,
      //~ autoHide: false,
      showDelay: 30,      // Show X ms after entering target
      //~ title: title,
      text: body
    });
  }
};



Lino.help_text_editor = function() {
  //~ var bp = {
      //~ mk:this.content_type,
      //~ mt:1
    //~ };
    //~ console.log(20120202,bp);
  //~ Lino.lino.ContentTypes.detail({},{base_params:bp});
  //~ Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
  Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
}

// Path to the blank image should point to a valid location on your server
//~ Ext.BLANK_IMAGE_URL = MEDIA_URL + '/extjs/resources/images/default/s.gif';


// used as Ext.grid.Column.renderer for id columns in order to hide the special id value -99999
Lino.id_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ if (record.phantom) return '';
  return value;
}

Lino.raw_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  return value;
}

Lino.text_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ return "not implemented";
  return value;
}

Lino.NullNumberColumn = Ext.extend(Ext.grid.Column, {
    align : 'right',
    format : '0,000.00/i',
    renderer : function(value, metaData, record, rowIndex, colIndex, store) {
        // if( colIndex == 3)
        //     console.log(20130128,"NullNumberColumn.renderer",value);
        if (value === null) return '';
        return Ext.util.Format.number(value, this.format);
    }
});


Lino.link_button = function(url) {
    // return '<a href="' + url + '"><img src="/media/lino/extjs/images/xsite/link.png" alt="link_button"></a>'
    return '<a href="' + url + '" style="text-decoration:none;">&#10138;</a>'
}

Lino.fk_renderer = function(fkname,handlername) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    //~ if (record.phantom) return '';
    if (value) {
        return Lino.link_button('javascript:'+handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})")') + value;
        // until 20140822 (clickable foreign keys):
        // var s = '<a href="javascript:' ;
        // s += handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})">';
        // s += value + '</a>';
        // return s
    }
    return '';
  }
};

Lino.lfk_renderer = function(panel,fkname) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  var handlername = 'console.log';
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    if (record.phantom) return '';
    if (value) {
        var s = '<a href="javascript:' ;
        s += handlername + '({},{record_id:\'' + String(record.data[fkname]) + '\'})">';
        s += value + '</a>';
        //~ console.log('Lino.fk_renderer',value,'-->',s);
        return s
    }
    return '';
  }
};

//~ Lino.gfk_renderer = function() {
  //~ return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ if (record.phantom) return '';
    //~ console.log('Lino.gfk_renderer',value,colIndex,record,metaData,store);
    //~ return value;
  //~ }
//~ };


Lino.build_buttons = function(panel,actions) {
  //~ console.log("20121006 Lino.build_buttons",actions);
  if (actions) {
    var buttons = Array(actions.length);
    var cmenu = Array(actions.length);
    var keyhandlers = [];
    for (var i=0; i < actions.length; i++) {
      var a = actions[i];
      if (a.menu) a.menu = Lino.build_buttons(panel,a.menu).bbar;
      buttons[i] = a;
      cmenu[i] = {
            text : a.menu_item_text,
            iconCls : a.iconCls,
            menu : a.menu,
            itemId : a.itemId
          };
      if (a.panel_btn_handler) {
          var h = a.panel_btn_handler.createCallback(panel);
          if (a.auto_save == true) {
              h = panel.do_when_clean.createDelegate(panel,[true,h]);
          } else if (a.auto_save == null) {
              h = panel.do_when_clean.createDelegate(panel,[false,h]);
          } else if (a.auto_save == false) {
              // h = h;
          } else {
              console.log("20120703 unhandled auto_save value",a)
          }
          buttons[i].handler = h;
          cmenu[i].handler = h;
          if (a.keycode) {
                keyhandlers.push({
                key : a.keycode,
                fn : h});
//              keyhandlers[a.keycode] = h;
          }
          //~ if (buttons[i].xtype == 'splitbutton') {
              //~ cmenu[i].menu = a.menu;
          //~ } else {
              //~ cmenu[i].handler = h;
          //~ }
      } else {
          console.log("action without panel_btn_handler",a)
          // cmenu[i].handler = a.handler;
      }
    }
//    if (keyhandlers.length > 0){
//        var keys = new Ext.KeyMap(panel,keyhandlers);
//    }
    return {
        bbar:buttons,
        cmenu:new Ext.menu.Menu(cmenu),
        keyhandlers: keyhandlers
    };
  }
}

Lino.do_when_visible = function(cmp,todo) {
  //~ if (cmp.el && cmp.el.dom)
  if (cmp.isVisible()) {
    // 'visible' means 'rendered and not hidden'
    //~ console.log(cmp.title,'-> cmp is visible now');
    todo();
  //~ } else {
      //~ cmp.on('resize',todo,cmp,{single:true});
  //~ }
  //~ if (false) { // 20120213
  } else {
    //~ console.log('Lino.do_when_visible() must defer because not isVisible()',todo,cmp);
    if (cmp.rendered) {
      //~ console.log(cmp,'-> cmp is rendered but not visible: and now?');
      //~ console.log(cmp.title,'-> cmp is rendered but not visible: try again in a moment...');
      //~ var fn = function() {Lino.do_when_visible(cmp,todo)};
      //~ fn.defer(100);

      Lino.do_when_visible.defer(50,this,[cmp,todo]);
      //~ Lino.do_when_visible.defer(100,this,[cmp,todo]);

    } else {
      //~ console.log(cmp.title,'-> after render');
      cmp.on('afterrender',todo,cmp,{single:true});
    }
  }

};

/*
*/
Lino.do_on_current_record = function(panel, fn, phantom_fn) {
  // console.log('20140930 do_on_current_record', arguments);
  var rec = panel.get_current_record();
  if (rec == undefined) {
    Lino.notify("There's no selected record.");
    return;
  }
  // 20120307 A VirtualTable with a Detail (lino.Models) has only "phantom" records.
  if (rec.phantom) {
    //~ if (!panel.editable) { console.log("20120312 not editable:",panel)}
    if (phantom_fn) {
      phantom_fn(panel);
    } else {
      Lino.notify("Aktion nicht verfügbar auf dem Phantom-Record.");
    }
    return;
  }
  return fn(rec);
};


Lino.call_ajax_action = function(
    panel, method, url, p, actionName, step, on_confirm, on_success) {
  p.an = actionName;
  if (!panel || !panel.isVisible()) {
  //~ if (true) { // 20131026 : workflow_actions of a newly created record detail executed but did't refresh the screen because their requesting panel was the insert (not the detail) formpanel.
      if (Lino.current_window)
          panel = Lino.current_window.main_item;
      else panel = Lino.viewport;
  }
  // console.log("20150130 a", p.pv);
  // Ext.apply(p, panel.get_base_params());
  // console.log("20150130 b", p.pv);

  if (panel.get_selected && p.sr === undefined) {
      var selected_recs = panel.get_selected();
      //~ console.log("20130831",selected_recs);
      var rs = Array(selected_recs.length);
      for(var i=0; i < selected_recs.length;i++) {
          rs[i] = selected_recs[i].data[panel.ls_id_property];
      };
      p.sr = rs;
  }

  // console.log("20170731 Lino.call_ajax_action", Ext.Ajax, p, actionName, step);

  if (panel.loadMask) panel.loadMask.show();
  Lino.insert_linoweb_version(p)
  // Ext.Ajax.params = {};
  Ext.Ajax.request({
    method: method
    ,url: url
    ,params: p
    ,success: Lino.action_handler(panel, on_success, on_confirm)
    ,failure: Lino.ajax_error_handler(panel)
  });
};




Lino.row_action_handler = function(actionName, hm, pp,rqData,xcallback ) {
  var fn = function(panel, btn, step) {
      var p = {};
      // console.log('20150514 row_action_handler');
      if (pp) { p = pp(panel); if (! p) return; }
      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (!panel || panel.get_current_record == undefined) { // AFTER_20130725
        // console.log('20140930 row_action_handler 2', panel);
        panel = Ext.getCmp(panel);
        if (panel == undefined) {
          console.log("20160410 Invalid panel spec.", actionName, hm, pp);
          Lino.notify("Invalid panel spec.");
          return;
        }
      }

      Lino.do_on_current_record(panel, function(rec) {
          //~ console.log(panel);
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
          Lino.call_ajax_action(
              panel, hm, panel.get_record_url(rec.id),
              p, actionName, step, fn);
      });
  };
  return fn;
};

Lino.list_action_handler = function(ls_url,actionName,hm,pp, rqData, xcallback) {
  var url = '/api' + ls_url
  var fn = function(panel,btn,step) {
      var p = {};
      //~ console.log("20121210 Lino.list_action_handler",arguments);
      if (pp) { p = pp(panel);  if (! p) return; }

      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (panel) { // may be undefined when called e.g. from quicklink
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
      }
      // Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn);
      var runFn = function () { Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn); };
      setTimeout(runFn, p.timeout ? p.timeout : 0);

  };
  return fn;
};

Lino.param_action_handler = function(window_action) { // 20121012
  var fn = function(panel,btn,step) {
    Lino.do_on_current_record(panel,function(rec) {
      window_action.run(panel.getId(),{});
    });
  };
  return fn;
};



Lino.run_row_action = function(
    requesting_panel, is_on_main_actor, url, meth, pk,
    actionName, params, preprocessor) {
  //~ var panel = action.get_window().main_item;
  // console.log("20140930 Lino.run_row_action", params);
  url = '/api' + url;
  if (Array.isArray(pk) && pk.length) { url += '/' + pk[0]}
  else if (!Array.isArray(pk)) {url += '/' + pk}
  var panel = Ext.getCmp(requesting_panel);
  // var params = {}
  // if (init_params) Ext.apply(params, init_params);
  if (!params) params = {};
  if (preprocessor) {
      var p = preprocessor();
      Ext.apply(params, p);
  }
  if (panel && is_on_main_actor) {
      Ext.apply(params, panel.get_base_params())
  }else {
     params.sr = pk
  }
  Lino.insert_subst_user(params);

  if (params.rqdata) {
      Ext.apply(params, params.rqdata);
      delete(params.rqdata)
  }
  if (params.xcallback){
      params["xcallback__"+params.xcallback.xcallback_id] =params.xcallback.choice;
      delete(params.xcallback)
  }

  var fn = function(panel, btn, step) {
    Lino.call_ajax_action(panel, meth, url, params, actionName, step, fn);
  }
  // fn(panel, null, null);

  var runFn = function () { fn(panel, null, null); };
  setTimeout(runFn, params.timeout ? params.timeout : 0);


}


Lino.wrapped_action_handler = function(func) {
    var fn = function(panel, btn, step) {
        func += "(panel, btn, step)"
        eval(func)
    }
    return fn;
}


Lino.show_detail = function(panel, btn) {
  Lino.do_on_current_record(panel,
    function(rec) {
      //~ panel.loadMask.show();
      Lino.run_detail_handler(panel, rec.id);
    },
    Lino.show_insert
  );
};

Lino.run_detail_handler = function(panel,pk) {
  var bp = panel.get_base_params();
  panel.add_param_values(bp); // 20120918
  var status = {
    record_id:pk,
    base_params:bp
  }
  //~ console.log("20120918 Lino.show_detail",status);
  panel.ls_detail_handler.run(null,status);
}

Lino.show_fk_detail = function(combo,detail_action,insert_action) {
    //~ console.log("Lino.show_fk_detail",combo,handler);
    pk = combo.getValue();
    if (pk) {
        detail_action.run(null,{record_id: pk})
      } else {
        insert_action.run(null);
        //~ Lino.notify("Cannot show detail for empty foreign key.");
      }
};

Lino.show_insert = function(panel,btn) {
  var bp = panel.get_base_params();
  // ~ console.log('20120125 Lino.show_insert',bp)
  //~ panel.ls_insert_handler.run(null,{record_id:-99999,base_params:bp});
  panel.ls_insert_handler.run(panel.getId(),{base_params:bp});
};



if (Ext.ux.grid !== undefined) {
    Lino.GridFilters = Ext.extend(Ext.ux.grid.GridFilters,{
      encode:true,
      local:false
    });
} else {
    Lino.GridFilters = function() {}; // dummy
    Ext.override(Lino.GridFilters,{
      init : function() {}
    });
};



Lino.FieldBoxMixin = {
  before_init : function(config,params) {
    if (params) Ext.apply(config,params);
    var actions = Lino.build_buttons(this, config.ls_bbar_actions);
    if (actions) config.bbar = actions.bbar;
  },
  //~ constructor : function(ww,config,params){
    //~ this.containing_window = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  do_when_clean : function(auto_save,todo) { todo() },
  //~ format_data : function(html) { return '<div class="htmlText">' + html + '</div>' },
  format_data : function(html) { return html },
  get_base_params : function() {
    // needed for insert action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  },
  set_base_params : function(p) {
    this.base_params = Ext.apply({},p);
    //~ if (p.param_values) this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  },
  set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
};

Ext.override(Ext.form.HtmlEditor, {
    fixKeys : function(){
        if(Ext.isIE){
            return function(e){
                var k = e.getKey(),
                    doc = this.getDoc(),
                        r;
                if(k == e.TAB){
                    e.stopEvent();
                    r = doc.selection.createRange();
                    if(r){
                        r.collapse(true);
                        r.pasteHTML('&nbsp;&nbsp;&nbsp;&nbsp;');
                        this.deferFocus();
                    }
                }else if(k == e.ENTER){
                    r = doc.selection.createRange();
                    if(r){
                        var target = r.parentElement();
                        if(!target || target.tagName.toLowerCase() != 'li'){
                            e.stopEvent();
                            r.pasteHTML('<br />');
                            r.collapse(false);
                            r.select();
                        }
                    }
                }
            };
        }else if(Ext.isOpera){
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.win.focus();
                    this.execCmd('InsertHTML','&nbsp;&nbsp;&nbsp;&nbsp;');
                    this.deferFocus();
                }
            };
        }else if(Ext.isWebKit){
            // HKC : this is probably our most used case.
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.execCmd('InsertText','\t');
                    this.deferFocus();
                }else if(k == e.ENTER){
                    e.stopEvent();
                    this.execCmd('InsertHtml','<br /><br />');
                    this.deferFocus();
                }
             //   HKC
               else if (k == e.S && e.ctrlKey){
                    e.stopEvent();
                    e.preventDefault();
                    //this.getWin.fireEvent('keyup');
                    // this.fireKey(e);
                    console.log('HTMLEditor is saving...');
                }
             };
        }
    }(),
    // bubbleEvents : ['keypress']
    // initComponent : function() {
    //     Ext.form.HtmlEditor.superclass.initComponent.call(this);
    //     this.addEvents('submit');
    // },
    // submit : function (event) {
    //     console.log("rrrrr");
    // },
    // initEditor : function() {
    //     Ext.form.HtmlEditor.superclass.initEditor.call(this);
    //     if (Ext.isGecko) {
    //         Ext.EventManager.on(this, 'keypress', this.fireSubmit, this);
    //     }
    //     if (Ext.isIE || Ext.isWebKit || Ext.isOpera) {
    //         Ext.EventManager.on(this, 'keydown', this.fireSubmit,
    //             this);
    //     }
    // },
    fireSubmit : function(e) {
        console.log("fireSubmit ...");
    }
});

Lino.HtmlBoxPanel = Ext.extend(Ext.Panel, Lino.PanelMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, Lino.FieldBoxMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, {
  disabled_in_insert_window : true,
  constructor : function(config,params) {
    this.before_init(config,params);
    Lino.HtmlBoxPanel.superclass.constructor.call(this, config);
  },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.constructor.call(this, ww,config,params);
  //~ },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  //~ disable : function() { var tb = this.getBottomToolbar(); if(tb) tb.disable()},
  //~ enable : function() { var tb = this.getBottomToolbar(); if(tb) tb.enable()},
  onRender : function(ct, position){
    Lino.HtmlBoxPanel.superclass.onRender.call(this, ct, position);
    Ext.getDoc().addKeyListener(Ext.EventObject.ESC, function(k,e) {
      // this.get_containing_window().close();
      this.get_containing_window().main_item.do_when_clean(false,function() {
        if (Lino.current_window ) {
          Lino.close_window();
        }
      });
    },this);
    //~ console.log(20111125,this.containing_window);
    if (this.containing_panel) {
      this.containing_panel.on('enable',this.enable,this);
      this.containing_panel.on('disable',this.disable,this);
    }
    this.el.on({
      dragenter:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        return true;
      }
      ,dragover:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        event.stopEvent();
        return true;
      }
      ,drop:{
        scope:this
        ,fn:function(event){
          event.stopEvent();
          //~ console.log(20110516);
          var files = event.browserEvent.dataTransfer.files;
          if(files === undefined){
            return true;
          }
          var len = files.length;
          while(--len >= 0){
            console.log(files[len]);
            //~ this.processDragAndDropFileUpload(files[len]);
          }
          Lino.show_insert(this);
        }
      }
    });
  },
  refresh : function(unused) {
      // this.containing_panel.refresh();
      this.refresh_with_after();
  },
  /* HtmlBoxPanel */
  refresh_with_after : function(after) {
      // var todo = this.containing_panel.refresh();
      var box = this.items.get(0);
      var todo = function() {
        if (this.disabled) { return; }
        this.set_base_params(this.containing_panel.get_master_params());

        var el = box.getEl();
        if (el) {
            var record = this.containing_panel.get_current_record();
            var newcontent = record ?
                this.format_data(record.data[this.name]) : '';
            // console.log('20140917 HtmlBox.refresh()',
            //             this.name, record.data.LinksByHuman);
            el.update(newcontent, true);
        // } else {
        //     console.log('20140502 cannot HtmlBox.refresh()',this.name);
        }
      };

      Lino.do_when_visible(box, todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.HtmlBoxPanel,Lino.FieldBoxMixin);


Lino.ActionFormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.PanelMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.FieldBoxMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, {
  //~ layout:'fit'
  //~ ,autoHeight: true
  //~ ,frame: true
  window_title : "Action Parameters",
  cls : "l-ActionFormPanel",
  constructor : function(config){
    config.buttons = [
        {text: 'OK', handler: this.on_ok, scope: this, cls:"l-ok"},
        {text: 'Cancel', handler: this.on_cancel, scope: this, cls:"l-cancel"}
    ];
    Lino.ActionFormPanel.superclass.constructor.call(this, config);
  }
  ,initComponent : function(){
      this.on('render',function(){
          this.loadMask = new Ext.LoadMask(
              this.bwrap,{msg:"Bitte warten..."});
      },this);
      Lino.ActionFormPanel.superclass.initComponent.call(this);
  }
  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
    var panel = this.requesting_panel;
    // var panel = this.get_containing_window().main_item;
    // console.log("20131004 on_ok",this,panel,arguments);
    var actionName = this.action_name;
    var pk = this.record_id || this.default_record_id;
    if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
    if (pk == undefined && panel) {
        pk = panel.get_current_record().id;
    }
    if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
    }
    var self = this;
    // self.loadMask.show();  // 20180727
    // function on_success() { self.get_containing_window().close(); };
    // see 20131004 and 20140430
    var url = '/api';

    // 20150119 : The OK button on AgentsByClient.create_visit went to
    // /api/pcsw/Clients/ instead of /api/pcsw/Coachings/
    // if (panel)
    //     url += panel.ls_url;
    // else
    //     url += this.ls_url;

    if (this.ls_url)
        url += this.ls_url;
    else
        url += panel.ls_url;
    url += '/' + pk;
    // wrap into function to prepare possible recursive call
    var fn = function(panel, btn, step) {
      var p = {};
      self.add_field_values(p);
      if (self.xcallback && self.rqdata ) {
          Ext.apply(p, self.rqdata);
          Ext.apply(p, self.xcallback);
      }
      if (panel) Ext.apply(p, panel.get_base_params());
      delete p.pv;
      // console.log("20150130", p.pv);
      Lino.call_ajax_action(
          self, self.http_method || "GET", url, p, actionName, step, fn); //  , on_success);
        // panel, 'GET', url, p, actionName, step, fn); //  , on_success);
        // 20180802 : passing self instead of panel fixes #2474
    }
    fn(panel, null, null);


  }
  /* ActionFormPanel*/
  ,set_status : function(status, rp){
    if (rp) this.requesting_panel = Ext.getCmp(rp);
    //~ console.log('20120918 ActionFormPanel.set_status()',status,rp,this.requesting_panel);
    this.clear_base_params();
    this.set_field_values();
    this.set_base_params({});
    this.record_id = undefined;
    // this.loadMask.hide();  // 20180727
    if (status == undefined) status = {};
    //~ if (status.param_values)
    // 20180725 : do not set field values and record id if status
    // doesn't have them.
    if (status.field_values) this.set_field_values(status.field_values);
    if (status.base_params) this.set_base_params(status.base_params);
    if (status.record_id) this.record_id = status.record_id;
    if (status.xcallback && status.rqdata) {
      this.xcallback = {["xcallback__"+status.xcallback.xcallback_id] : status.xcallback.choice};
      this.rqdata = status.rqdata;
      this.on_ok()
    } else {
        delete this.xcallback // insure no callback data if not in status
        delete this.rqdata
    }
  }

  ,before_row_edit : function(record) {}
  ,add_field_values : function (p) { // similar to add_param_values()
      /* LS 20160517 : Until now Lino tested whether the form is
       dirty, and if not, submitted only the values which had been set
       by set_status. But now status_field_values can be empty because
       Action.keep_user_values is True. In that case we must submit
       the current values even if the form is not dirty.  I don't
       remember why we had this feature of not submitting unmodified
       field values, so I remove this feature for now. */
      p.fv = this.get_field_values();
      // if (this.form.isDirty()) {
      //   p.fv = this.get_field_values();
      // }else{
      //   // console.log("20160517 add_param_values not dirty, status_field_values",
      //   //             this.status_field_values);
      //   if (this.status_field_values)
      //     p.fv = Lino.fields2array(
      //         this.fields, this.status_field_values);
      // }
      //~ console.log("20120203 add_param_values added pv",pv,"to",p);
  }
  ,get_field_values : function() {
      return Lino.fields2array(this.fields);
  }
  ,set_field_values : function(pv) {
      // console.log('20160516 MainPanel.set_param_values', pv);
      // if Action.keep_user_values, we receive an empty dict ({})
      this.status_field_values = pv;
      if (pv) {
          this.form.my_loadRecord(pv);
          var record = { data: pv };
          this.before_row_edit(record);
      } else {
          this.form.reset();
          this.before_row_edit();
      }
  }
  ,config_containing_window : function(wincfg) {
      wincfg.title = this.window_title;
      wincfg.keys = [
        { key: Ext.EventObject.ENTER, fn: this.on_ok, scope: this }
        ,{ key: 's', ctrl: true, fn: this.on_ok, scope: this, stopEvent: true  }
      ];

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              return false;
          }
      });

  }
});


Lino.fields2array = function(fields, values) {
    // console.log('20160517 fields2array gonna loop on', fields, values);
    var pv = Array(fields.length);
    for(var i=0; i < fields.length;i++) {
        var f = fields[i]
        if (values)
          var v = values[f.name];
        else
          var v = f.getValue();
        if (f.formatDate) {
            pv[i] = f.formatDate(v);
        } else {
            pv[i] = v; // f.getValue();
        }
    }
    // console.log('20160517 fields2array returns', pv);
    return pv;
}


Lino.FormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.FormPanel = Ext.extend(Lino.FormPanel,Lino.PanelMixin);
Lino.FormPanel = Ext.extend(Lino.FormPanel,{
  params_panel_hidden : false,
  save_action_name : null,
  //~ base_params : {},
  //~ trackResetOnLoad : true,
  //~ query_params : {},
  //~ 20110119b quick_search_text : '',
  constructor : function(config,params){
    if (params) Ext.apply(config,params);
    this.base_params = {};
    //~ ww.config.base_params.query = ''; // 20111018
    //~ console.log(config);
    //~ console.log('FormPanel.constructor() 1',config)
    //~ Ext.applyIf(config,{base_params:{}});
    //~ console.log('FormPanel.constructor() 2',config)

    config.trackResetOnLoad = true;

    Lino.FormPanel.superclass.constructor.call(this, config);

    //~ this.set_base_param('$URL_PARAM_FILTER',null); // 20111018
    //~ this.set_base_param('$URL_PARAM_FILTER',''); // 20111018

  },
  initComponent : function(){

    this.containing_panel = this;

    //~ console.log("20111201 containing_window",this.containing_window,this);
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    if (actions) {
        this.bbar = actions.bbar;
        // console.log("20160829 tooltip", actions.bbar);
    //~ } else {
        //~ this.bbar = [];
    }
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ var config = this;

    //~ if (this.containing_window instanceof Lino.DetailWrapper) {

    //~ console.log('20120121 initComponent', this.action_name);
    //~ if (this.action_name == 'detail' | this.action_name == 'show') {
    //~ if (this.action_name != 'insert') {
    if (! this.hide_top_toolbar) {
      this.tbar = [];
      // 20111015
      if (! this.hide_navigator) {
        this.record_selector = new Lino.RemoteComboFieldElement({
          store: new Lino.ComplexRemoteComboStore({
            //~ baseParams: this.containing_window.config.base_params,
            baseParams: this.get_base_params(),
            //~ value: this.containing_window.config.base_params.query,
            proxy: new Ext.data.HttpProxy({
              url: '/choices' + this.ls_url,
              method:'GET'
            })
          }),
          pageSize:25,
          listeners: {
            scope:this,
            select:function(combo,record,index) {
                // console.log('20180719 select', combo);
                this.set_base_param('query',
                                    combo.lastQuery);
              this.goto_record_id(record.id);
            }
          },
          emptyText: "Gehe zu Datensatz"
        })
        this.tbar = this.tbar.concat([this.record_selector]);

        this.tbar = this.tbar.concat([
          this.first = new Ext.Toolbar.Button({
              tooltip:"Erster",disabled:true,
              handler:this.moveFirst,scope:this,iconCls:'x-tbar-page-first'}),
          this.prev = new Ext.Toolbar.Button({
              tooltip:"Voriger",disabled:true,
              handler:this.movePrev,scope:this,iconCls:'x-tbar-page-prev'}),
          this.next = new Ext.Toolbar.Button({
              tooltip:"Nächster",disabled:true,
              handler:this.moveNext,scope:this,iconCls:'x-tbar-page-next'}),
          this.last = new Ext.Toolbar.Button({
              tooltip:"Letzter",disabled:true,
              handler:this.moveLast,scope:this,iconCls:'x-tbar-page-last'})
        ]);
      }
      this.tbar = this.add_params_panel(this.tbar);

      this.tbar = this.tbar.concat([
        {
            handler:function(){ this.do_when_clean(
                false, this.refresh.createDelegate(this)) },
          iconCls: 'x-tbar-loading',
          tooltip:"Datensatz neu laden",
          scope:this}
      ]);

      if (this.bbar) { // since 20121016
        if (this.tbar) {
            this.tbar = this.tbar.concat(['-']) ;
        } else {
          this.tbar = [];
        }
        this.tbar = this.tbar.concat(this.bbar) ;
        this.bbar = undefined;
      }

      this.tbar = this.tbar.concat([
          '->',
          this.displayItem = new Ext.Toolbar.TextItem({})
      ]);

    }
    //~ if (this.content_type && this.action_name != 'insert') {
      //~ this.bbar = this.bbar.concat([
        //~ '->',
        //~ { text: "[$_('Help Text Editor')]",
          //~ handler: Lino.help_text_editor,
          //~ qtip: "$_('Edit help texts for fields on this model.')",
          //~ scope: this}
      //~ ])
    //~ }
    //~ this.before_row_edit = config.before_row_edit.createDelegate(this);

    //~ if (this.master_panel) {
        //~ this.set_base_params(this.master_panel.get_master_params());
    //~ }

    Lino.FormPanel.superclass.initComponent.call(this);

    // this.on('show',
    //         function(){ this.init_focus();},
    //         this);

    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.bwrap,{msg:"Bitte warten..."});
    },this);


    if (this.action_name == 'insert') {
      this.cascade(function(cmp){
        if (cmp.disabled_in_insert_window) {
            // console.log('20110613 disabled_in_insert_window', cmp);
            //~ cmp.disable();
            cmp.hide();
        }
      });

    }

  },

  unused_init_focus : function(){
    // set focus to the first field
    console.log("20140205 Lino.FormPanel.init_focus");
    // Lino.FormPanel.superclass.focus.call(this);
    this.getForm().items.each(function(f){
        if(f.isFormField && f.rendered){
            f.focus();
            console.log("20140205 focus", f);
            return false;
        }
    });
  },

  /* FormPanel */
  get_status : function(){
      var st = {
        base_params: this.get_base_params(),
        // data_record : this.get_current_record()
      }
      var rec = this.get_current_record();
      if (rec) st.record_id = rec.id;
      // 20140917 : get_status must not store the whole data_record
      // because that would prevent the form to actually reload
      // when set_status is called after a child window closed.

      var tp = this.items.get(0);
      if (tp instanceof Ext.TabPanel) {
        st.active_tab = tp.getActiveTab();
      }
      st.param_values = this.status_param_values;
      return st;
  },

  /* FormPanel */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log('20140917 FormPanel.set_status()', status);
    this.clear_base_params();
    if (status == undefined) status = {};
    //~ if (status.param_values)
    this.set_param_values(status.param_values);
    if (status.base_params) this.set_base_params(status.base_params);
    var tp = this.items.get(0);
    if (tp instanceof Ext.TabPanel) {
      if (status.active_tab) {
        //~ console.log('20111201 active_tab',this.active_tab,this.items.get(0));
        //~ tp.activeTab = status.active_tab;
        tp.setActiveTab(status.active_tab);
        //~ this.main_item.items.get(0).activate(status.active_tab);
      } else {
        if (! status.data_record) {  // 20141206
            tp.setActiveTab(0);
        }
      }
    }

    if (status.data_record) {
      /* defer because set_window_title() didn't work otherwise */
      // 20140421 removed defer for bughunting to simplify side effects
      // this.set_current_record.createDelegate(
      //     this, [status.data_record]).defer(100);
      this.set_current_record(status.data_record);
      //~ return;
    } else {
        var record_id = status.record_id != undefined ? status.record_id : this.default_record_id;
        if (record_id != undefined) {
          /* possible values include 0 and null, 0 being a valid record id,
          null the equivalent of undefined
          */
          this.load_record_id(record_id);
        } else {
            this.set_current_record(undefined);
        }
    }
    // this.init_focus()
  }
  ,get_base_params : function() {  /* FormPanel */
    // needed for insert_action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  }
  ,set_base_params : function(p) {
    //~ this.base_params = Ext.apply({},this.base_params); // make sure it is an instance variable
    delete p['query'] // 20120725
    Ext.apply(this.base_params,p);
    if (this.record_selector) {
        var store = this.record_selector.getStore();
        for (k in p) store.setBaseParam(k,p[k]);
        delete this.record_selector.lastQuery;
        //~ console.log("20120725 record_selector.setBaseParam",p)
    }
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
  ,after_delete : function() {
    console.log("20200717", this.current_record.navinfo);
    if (this.current_record.navinfo.next)
      this.moveNext();
    else if (this.current_record.navinfo.prev)
      this.movePrev();
    else
      this.abandon();
  }
  ,moveFirst : function() {this.goto_record_id(
      this.current_record.navinfo.first)}
  ,movePrev : function() {this.goto_record_id(
      this.current_record.navinfo.prev)}
  ,moveNext : function() {this.goto_record_id(
      this.current_record.navinfo.next)}
  ,moveLast : function() {this.goto_record_id(
      this.current_record.navinfo.last)}

  ,refresh : function(unused) {
      this.refresh_with_after();
  }
  /* FormPanel */
  ,refresh_with_after : function(after) {
    // console.log('20140917 Lino.FormPanel.refresh_with_after()',this);
    if (this.current_record) {
        this.load_record_id(this.current_record.id, after);
    } else {
        this.set_current_record(undefined, after);
    }
  }

  ,do_when_clean : function(auto_save, todo) {
    var this_ = this;
    if (this.form.isDirty()) {
        // console.log('20140421 do_when_clean : form is dirty')
        if (auto_save) {
            this_.save(todo);
        } else {
          //~ console.log('20111217 do_when_clean() form is dirty',this.form);
          var config = {cls:"l-confirmation", title:"Bestätigung"};
          config.buttons = Ext.MessageBox.YESNOCANCEL;
          config.msg = "Änderungen in diesem Datensatz speichern?";
          config.fn = function(buttonId,text,opt) {
            //~ console.log('do_when_clean',buttonId)
            if (buttonId == "yes") {
                //~ Lino.submit_detail(this_,undefined,todo);
                //~ this_.containing_window.save(todo);
                this_.save(todo);
            } else if (buttonId == "no") {
              todo();
            }
          }
          Ext.MessageBox.show(config);
        }
    }else{
      // console.log('20140421 do_when_clean : now!')
      todo();
    }
  }

  ,goto_record_id : function(record_id) {
    // console.log('20140917 Lino.FormPanel.goto_record_id()',record_id);
    //~ var this_ = this;
    //~ this.do_when_clean(function() { this_.load_record_id(record_id) }
    this.do_when_clean(
        true, this.load_record_id.createDelegate(this, [record_id]));
  }

  ,load_record_id : function(record_id, after) {
    var this_ = this;
    var p = Ext.apply({}, this.get_base_params());
    if (this.action_name)
        p.an = this.action_name;
    p.rp = this.getId();
    p.fmt = 'json';
    this.add_param_values(p);
    Lino.insert_linoweb_version(p);
    if (this.loadMask) this.loadMask.show();
    Ext.Ajax.request({
      waitMsg: 'Loading record...',
      method: 'GET',
      params: p,
      scope: this,
      url: this.get_record_url(record_id),
      success: function(response) {
        // todo: convert to Lino.action_handler.... but result
        if (this.loadMask) this.loadMask.hide();
        if (response.responseText) {
          var rec = Ext.decode(response.responseText);
          // console.log('20150905 load_record_id success', rec);
          this.set_param_values(rec.param_values);
          this.set_current_record(rec, after);
          if (rec.message) {
            //~ if (rec.alert && ! gridmode) {
            if (rec.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',rec.alert_msg);
                if (rec.alert === true) rec.alert = "Alarm";
                Ext.MessageBox.alert(rec.alert, rec.message, function(){eval(rec.alert_eval_js)});
            } else {
                Lino.notify(rec.message);
            }
          }
        }
      },
      failure: Lino.ajax_error_handler(this)
    });
  }

  ,abandon : function () {
    Ext.MessageBox.alert('Note',
      "Keine weiteren Datensätze zu sehen. Detail-Fenster wird geschlossen.");
    Lino.close_window();
  }

  ,set_current_record : function(record, after) {
    // console.log('20160825 set_current_record', record);
    if (this.record_selector) {
        this.record_selector.clearValue();
        // e.g. InsertWrapper FormPanel doesn't have a record_selector
    }
    this.current_record = record;
    if (record && record.data) {
      this.enable();
      // After this method focus is moved to the panel.
      this.form.my_loadRecord(record.data);
      this.set_window_title(record.title);
      //~ this.getBottomToolbar().enable();
      var da = record.data.disabled_fields;
      if (da) {
          //~ console.log('20120528 disabled_fields =',da,this.getBottomToolbar());
          //~ 20121016 this.getBottomToolbar().items.each(function(item,index,length){
          if(this.hide_top_toolbar) {
              var tb = this.getBottomToolbar();
          } else {
              var tb = this.getTopToolbar();
          }
          if (tb) tb.items.each(function(item,index,length){
              //~ console.log('20120528 ',item.itemId,'-->',da[item.itemId]);
              // if (da[item.itemId]) item.disable(); else item.enable();
              if (da[item.itemId]) item.hide(); else item.show();
          });
      };
      if (this.disable_editing | record.data.disable_editing) {
          //~ console.log("20120202 disable_editing",record.title);
          this.form.items.each(function(cmp){
            if (!cmp.always_enabled) cmp.disable();
          },this);
      } else {
          this.form.items.each(function(cmp){
            //~ console.log("20120202",cmp);
            if (record.data.disabled_fields[cmp.name]) cmp.disable();
            else cmp.enable();
          },this);

          //~ if (record.data.disabled_fields) {
              //~ for (i = 0; i < record.data.disabled_fields.length; i++) {
                  //~ var flds = this.find('name',record.data.disabled_fields[i]);
                  //~ if (flds.length == 1) {
                    //~ flds[0].disable();
                  //~ }
              //~ }
          //~ }
      };
      if (this.first) {
        if (record.navinfo  && ! this.hide_navigator) {
          this.first.setDisabled(record.navinfo.first == null);
          this.prev.setDisabled(record.navinfo.prev == null);
          this.next.setDisabled(record.navinfo.next == null);
          this.last.setDisabled(record.navinfo.last == null);
          this.displayItem.setText(record.navinfo.message);
        } else {
          this.first.setDisabled(true);
          this.prev.setDisabled(true);
          this.next.setDisabled(true);
          this.last.setDisabled(true);
        }
      }
    } else {
      if (this.form.rendered)
        this.form.reset(); /* FileUploadField would fail when resetting a non-rendered form */
      //~ this.disable();
      //~ this.getBottomToolbar().disable();
      this.form.items.each(function(cmp){
        cmp.disable();
      },this);
      this.set_window_title(this.empty_title);
      //~ this.containing_window.window.setTitle(this.empty_title);
      if (!this.hide_navigator) {
        this.first.disable();
        this.prev.disable();
        this.next.disable();
        this.last.disable();
      }
    }
    // console.log('20140917 gonna call before_row_edit', record);
        var current_focus_fields = false;
        for (var i = 0; i < this.form.items.items.length;i++) {
            if (this.form.items.items[i].hasFocus) current_focus_fields = i;
        }
    this.before_row_edit(record);
        if (current_focus_fields != false){
            this.form.items.items[current_focus_fields].focus();
        }
    // console.log('20140917 gonna call after', after);
    this.containing_window.focus(); // ticket: 2509 regain focus on reload
    if (after) after();
  },

  /* FormPanel */
  before_row_edit : function(record) {},
  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.refresh();
  },

//  get_selected : function() { return [ this.current_record ] },
  get_current_record : function() {
    //~ console.log(20100714,this.current_record);
    return this.current_record
  },

  get_permalink_url : function() {
      var rec = this.get_current_record();
      if (rec && ! rec.phantom && rec.id != -99998)
          return '/api'
              + this.ls_url + '/' + rec.id;
      return '/api' + this.ls_url;

  },
  add_param_tab : function(p) {
    var main = this.items.get(0);
    if (main.activeTab) {
      var tab = main.items.indexOf(main.activeTab);
      // console.log('20150130 main.activeTab', tab, main.activeTab);
      if (tab) p.tab = tab;
    // } else {
    //   console.log('20150130 no main.activeTab');
    }
  },
  get_permalink_params : function() {
    var p = {};
    //~ var p = {an:'detail'};
    if (this.action_name)
        p.an = this.action_name;
    this.add_param_tab(p)
    this.add_param_values(p)
    return p;
  }

  ,validate_form : function() {  // not used. see actions.ValidateForm
      // var ov = {};
      // this.form.items.each(function(f){
      //     ov[f.name] = f.originalValue
      // });

      // console.log('20140509 FormPanel.validate_form', ov);
      // var after = function() {
      //     this.form.items.each(function(f){
      //         f.originalValue = ov[f.name];
      //     });
      // }
      // this.save2(null, 'validate', after);
      this.save2(null, 'validate');
  }

  /* Lino.FormPanel */
  ,save : function(after) {
    var action_name = this.save_action_name;
    if (!action_name)
        action_name = this.action_name;
    // console.log('20140503 FormPanel.save', action_name);
    this.save2(after, action_name);
  }

  ,save2 : function(after, action_name) {
    var rec = this.get_current_record();
    var p = {};
    var panel = this;

    if (!rec) {
        Lino.notify("Sorry, no current record.");
        return;
    }
    if (this.has_file_upload) {
        p.csrfmiddlewaretoken = Ext.util.Cookies.get('csrftoken');
        document.domain = document.domain;
        p._document_domain = document.domain;
        this.form.fileUpload = true;
    }
    this.loadMask.show();
    Ext.apply(p, this.get_base_params());
    p.rp = this.getId();
    p.an = action_name;
    this.add_param_tab(p)
    // console.log('20150216 FormPanel.save()', rec, this.form);
    var submit_config = {
        params: p,
        scope: this,
        success: function(form, action) {
          this.loadMask.hide();
          Lino.notify(action.result.message);
          Lino.handle_action_result(this, action.result, after);
        },
        failure: function(form,action) {
          this.loadMask.hide();
          Lino.on_submit_failure(form, action);
        },
        clientValidation: true
    };
    if (rec.phantom) {  // it's a new record
      Ext.apply(submit_config, {
        url: '/api' + this.ls_url,
        method: 'POST'
      });
      // panel.refresh();
      // temporarily disabled. See 20151002
    } else {  // submit on existing row
      Ext.apply(submit_config, {
        url: '/api'
              + this.ls_url + '/' + rec.id,
        method: 'PUT'
      })
    }
    this.form.submit(submit_config);
  }

  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
      // console.log("20140424");
      // this.save(null, true, this.save_action_name);
      this.save();
  }
  ,run_action_hotkeys : function(k ,e){
    var result = this.actions_hotkeys.filter(obj => {
      return obj.key.toUpperCase() === String.fromCharCode(k).toUpperCase()
    })
    if (result != undefined){
      if (result.length != undefined){
        result = result[0];
      }
      // this.actions_hotkeys[i].ba
      var pk = this.current_record.id || this.default_record_id;
      if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
//          if (pk == undefined && this.containing_panel) {
//             pk = this.containing_panel.get_current_record().id;
//          }
      if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
        }
        eval(result.ba)(this.containing_panel,
                                              this.is_main_window,
                                              pk, {});
                                            }
      e.stopEvent();
      e.stopPropagation();

  }
  ,config_containing_window : function(wincfg) {

      // Note that defaultButton means: which component should receive
      // focus when Window is focussed.  If no defaultButton set,
      // specify the first form field.

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              // console.log("20140205 defaultButton", f);
              return false;
          }
      });

      wincfg.keys = [];

      wincfg.keys.push({
          key: Ext.EventObject.ESCAPE,
          // this is not called sometimes.
          handler: this.on_cancel, scope:this });
      wincfg.keys.push({
          key: 's', ctrl: true,
             stopEvent: true, handler: this.on_ok, scope:this });
      if (this.actions_hotkeys) {
          for (var i = 0; i < this.actions_hotkeys.length;i++) {
            wincfg.keys.push({
              key: this.actions_hotkeys[i].key,
              ctrl: this.actions_hotkeys[i].ctrl,
              shift : this.actions_hotkeys[i].shift,
              stopEvent: true,
              handler:
                function(k, e){
                  this.run_action_hotkeys(k,e);
                },
              scope:this });
          }
      }
  }

});



Lino.getRowClass = function(record, rowIndex, rowParams, store) {
    //~ console.log(20130816,record);
    //~ return 'x-grid3-row-green';
    //~ return record.data.row_class + ' auto-height';
    return record.data.row_class;
  //~ if (true) {
      //~ return 'x-grid3-row-red';
  //~ }
  //~ if (record.phantom) {
    //~ console.log(20101009,record);
    //~ rowParams.bodyStyle = "color:red;background-color:blue";
    //~ return 'lino-phantom-row';
    //~ }
  //~ console.log('20101009 not a phantom:',record);
  //~ return '';
}

//~ FOO = 0;



Lino.GridStore = Ext.extend(Ext.data.ArrayStore,{
  autoLoad: false
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
    if (!options) options = {};
    if (!options.params) options.params = {};
    options.params.fmt = 'json';
    options.params.rp = this.grid_panel.getId();
    Lino.insert_subst_user(options.params); // since 20121016

    var start = this.grid_panel.start_at_bottom ? -1 : 0;
    if (this.grid_panel.hide_top_toolbar) {
        //~ console.log("20120206 GridStore.load() toolbar is hidden");
        options.params.start = start;
        if (this.grid_panel.preview_limit) {
          options.params.limit = this.grid_panel.preview_limit;
        }
    } else {
        var ps = this.grid_panel.calculatePageSize();
        if (!ps) {
          // console.log("GridStore.load() failed to calculate pagesize");
          return false;
        }
        options.params.limit = ps;

        this.grid_panel.getTopToolbar().pageSize =  ps;
        if (options.params.start == undefined)
            // if (start != -1)
            //     start = this.grid_panel.getTopToolbar().cursor
            options.params.start = start;

        // console.log("20141108 GridStore.load() ", options.params);
    }

    this.grid_panel.add_param_values(options.params);
    //~ Lino.insert_subst_user(options.params);
    //~ console.log("20120814 GridStore.load()",options.params,this.baseParams);
    return Lino.GridStore.superclass.load.call(this, options);
  }
  // ,insert : function(index, records) {
  //   return Ext.data.Store.prototype.insert.call(this, index, records)
    // return Lino.GridStore.superclass.insert.call(this, index, records);
  // }
});

Lino.get_current_grid_config = function(panel) {
    return panel.get_current_grid_config();
}


// Like the default value for GridView.cellTpl but adds a class "lino-auto-height"
Lino.auto_height_cell_template = new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
    '<div class="lino-auto-height x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" {attr}>{value}</div>',
'</td>'
);

Lino.GridPanel = Ext.extend(Ext.grid.EditorGridPanel, Lino.MainPanel);
Lino.GridPanel = Ext.extend(Lino.GridPanel, Lino.PanelMixin);
Lino.GridPanel = Ext.extend(Lino.GridPanel, {
  quick_search_text : '',
  start_at_bottom : false,
  is_searching : false,
  disabled_in_insert_window : true,
  clicksToEdit:2,
  enableColLock: false,
  autoHeight: false,
  params_panel_hidden : false,
  preview_limit : undefined,
  // fake_row_content: '<br>',
  row_height: 1,
  //~ loadMask: true,
  //~ viewConfig: {
          //~ getRowClass: Lino.getRowClass,
          //~ emptyText:"$_('No data to display.')"
        //~ },


  loadMask: {msg:"Bitte warten..."},

  constructor : function(config){

    config.plugins = [new Lino.GridFilters()];


    Lino.GridPanel.superclass.constructor.call(this,config);

    //~ if (this.containing_window) {
        //~ console.log("20111206 install refresh");
        //~ this.containing_window.on('show',this.refresh,this);
    //~ }

  },

  // private
  initEvents : function(){
    Ext.grid.GridPanel.superclass.initEvents.call(this);

    // modifed from Ext.grid.GridPanel
    // Override the function to replace the element to be covered by the mask to the body.
    if(this.loadMask){
        this.loadMask = new Ext.LoadMask(this.body,
                Ext.apply({store:this.store}, this.loadMask));
    }

    // unmodified from Ext.grid.EditorGridPanel
    this.getGridEl().on('mousewheel', this.stopEditing.createDelegate(this, [true]), this);
    this.on('columnresize', this.stopEditing, this, [true]);

    if(this.clicksToEdit == 1){
        this.on("cellclick", this.onCellDblClick, this);
    }else {
        var view = this.getView();
        if(this.clicksToEdit == 'auto' && view.mainBody){
            view.mainBody.on('mousedown', this.onAutoEditClick, this);
        }
        this.on('celldblclick', this.onCellDblClick, this);
    }
},

  init_containing_window : function(win) {
    //~ console.log("20111206 install refresh");
    //~ win.on('show',this.refresh,this);
  }

  ,handle_key_event : function(e) {
    // console.log("20140514 handle_key_event", e, this.keyhandlers);
    if (this.keyhandlers){
        var h = this.keyhandlers[e.keyCode];
        }
    else if (this.keys !== undefined){
        var h = this.keys[e.keyCode];
        }
    if (h) {
        h(this);
        e.stopEvent();
    }
  }

  ,initComponent : function(){

    /*
    Problem 20111206:
    When a GridPanel is the main item of the window, then it doesn't
    have it's own header but uses the window's header bar.
    We must do this in initComponent because e.g. in beforerender
    it's already to late: a header element has been created because
    there was a title.
    But Lino.Window adds itself as `this.containing_window`
    only after the GridPanel has been initialized.
    Workaround is to generate a line "params.containing_window = true;"
    in the handler function.
    */
    if (this.is_main_window) {
        //~ console.log(20111206, 'delete title',this.title,'from',this);
        this.tools = undefined;
        this.title = undefined;  /* simply deleting it
          isn't enough because that would only
          unhide the title defined in some base class. */
    }
    //~ else console.log(20111206, 'dont delete title',this.title,'from',this);

    /* e.g. when slave gridwindow called from a permalink */
    //~ if (this.base_params) Ext.apply(bp,this.base_params);

    var proxy = new Ext.data.HttpProxy({
      // 20120814
      url: '/api' + this.ls_url
      ,method: "GET"
      //~ ,url: ADMIN_URL + '/restful' + this.ls_url
      //~ ,restful: true
      ,listeners: {load: function (proxy, req, optps) {
            var result = req.reader.arrayData;
            // Used for lino version validation
            if (result.message) { //
                if (result.alert) { // 20120628b
                    if (result.alert === true) result.alert = "Alarm";
                    Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
                } else {
                    Lino.notify(result.message);
                }
            }
            } }
      //~ ,listeners: {write:on_proxy_write}
    });
    //~ config.store = new Ext.data.JsonStore({
    //~ this.store = new Ext.data.ArrayStore({
    this.store = new Lino.GridStore({
      grid_panel: this
      ,listeners: { exception: Lino.on_store_exception }
      ,remoteSort: true
      ,totalProperty: "count"
      ,root: "rows"
      //~ ,id: "id"
      ,proxy: proxy
      //~ autoLoad: this.containing_window ? true : false
      ,idIndex: this.pk_index
      //~ ,baseParams: bp
      ,fields: this.ls_store_fields
      ,idProperty: this.ls_id_property
      // 20120814
      //~ ,writer : new Ext.data.JsonWriter({
        //~ writeAllFields: false
        //~ ,listful: true
      //~ })
      //~ ,restful : true
    });

    //~ console.log('config.pk_index',config.pk_index,config.store),
    delete this.ls_store_fields;

    var this_ = this;
    //~ var grid = this;
    this.store.on('load', function() {
        //~ console.log('20120814 GridStore.on(load)',this_.store);
        this_.set_param_values(this_.store.reader.arrayData.param_values);
        //~ this_.set_status(this_.store.reader.arrayData.status);
        //~ 20120918
        this.getView().getRowClass = Lino.getRowClass;

        if (this_.store.reader.arrayData.no_data_text) {
            //~ this.viewConfig.emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().refresh();
        }
        if (this_.containing_window)
            this_.set_window_title(this_.store.reader.arrayData.title);
            //~ this_.containing_window.setTitle(this_.store.reader.arrayData.title);
        // 20190704 add open_in_own_window button after title of slave panel
        // else if (! (this_ instanceof Ext.TabPanel)) this_.setTitle(this_.store.reader.arrayData.title);

        if (!this.is_searching) { // disabled 20121025: quick_search_field may not lose focus
          this.is_searching = false;
          if (this_.selModel.getSelectedCell){
              if (this_.getStore().getCount()) // there may be no data
                  this_.selModel.select(0,0);
          } else {
              this_.selModel.selectFirstRow();
              this_.getView().focusEl.focus();
          }
        }
        //~ else console.log("is_searching -> no focussing");
        //~ var t = this.getTopToolbar();
        //~ var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
        //~ this.quick_search_field.focus(); // 20121024
      }, this
    );
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar, this.cmenu = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ this.cmenu = new Ext.menu.Menu({items: config.bbar});
    delete this.ls_bbar_actions
    if (actions) {
        this.cmenu = actions.cmenu;
//        this.keyhandlers = actions.keyhandlers;
        this.keys = new Ext.KeyMap(this.elements,actions.keyhandlers);
    }

    // TODO: hide_top_toolbar currently also acts as if hide_navigator was true,
    // IOW In ExtJS you cannot have the toolbar on the bottom without also
    // disabling navigation.

    if (!this.hide_top_toolbar) {
      var tbar = [
        this.quick_search_field = new Ext.form.TextField({
            //~ fieldLabel: "Search"
          emptyText: "Schnellsuche",
          listeners: {
            scope:this_
            //~ ,change:this_.search_change
            
            ,render: Lino.quicktip_renderer("Schnellsuche","Hier Text eingeben für Schnellsuche.")
            
            //~ ,keypress: this.search_keypress
            ,blur: function() { this.is_searching = false}
            ,afterrender: function(field) {
                if (this.focus_on_quick_search){
                    field.focus(false, 1000);
                    }
              }
          }
          ,validator:function(value) { return this_.search_validate(value) }
          //~ ,tooltip: "Enter a quick search text, then press TAB"
          //~ value: text
          //~ scope:this,
          //~ ,enableKeyEvents: true
          //~ listeners: { keypress: this.search_keypress },
          //~ id: "seachString"
      })];
      tbar = this.add_params_panel(tbar);
      // var menu = [];
      // var set_gc = function(index) {
      //   return function() {
      //     //~ console.log('set_gc() 20100812');
      //     this.getColumnModel().setConfig(this.ls_columns);
      //   }
      // }
      // for (var i = 0; i < this.ls_grid_configs.length;i++) {
      //   var gc = this.ls_grid_configs[i];
      //   menu.push({text:gc.label,handler:set_gc(i),scope:this})
      // }
      // if(menu.length > 1) {
      //   tbar = tbar.concat([
      //     { text:"Ansicht",
      //       menu: menu,
      //       tooltip:"Andere Ansicht auswählen"
      //     }
      //   ]);
      // }

      if (actions) {
        tbar = tbar.concat(actions.bbar);
          //~ this.bbar = actions.bbar;
      }

      this.tbar = new Ext.PagingToolbar({
        store: this.store,
        prependButtons: true,
        //~ pageSize: this.page_length,
        pageSize: 1,
        displayInfo: true,
        beforePageText: "Seite",
        afterPageText: "von {0}",
        displayMsg: "Zeilen {0} bis {1} von {2}",
        firstText: "Erste Seite",
        lastText: "Letzte Seite",
        prevText: "Vorige Seite",
        nextText: "Nächste Seite",
        items: tbar
      });
    }

    if (this.cell_edit) {
      this.selModel = new Ext.grid.CellSelectionModel()
      this.get_selected = function() {
        //~ console.log(this.getSelectionModel().selection);
        if (this.selModel.selection)
            return [ this.selModel.selection.record ];
        return [this.store.getAt(0)];
      };
      this.get_current_record = function() {
        if (this.getSelectionModel().selection)
          return this.selModel.selection.record;
        return this.store.getAt(0);
      };
    } else {
      this.selModel = new Ext.grid.RowSelectionModel()
      this.get_selected = function() {
        var sels = this.selModel.getSelections();
        if (sels.length == 0) sels = [this.store.getAt(0)];
        return sels
      };
      this.get_current_record = function() {
        var rec = this.selModel.getSelected();
        if (rec == undefined) rec = this.store.getAt(0);
        return rec
      };
    };
    this.columns  = this.ls_columns;

    Lino.GridPanel.superclass.initComponent.call(this);

    this.on('resize', function(){
      //~ console.log("20120213 resize",arguments)
      this.refresh();
      },this);
    this.on('viewready', function(){
      //~ console.log("20120213 resize",arguments);
      this.view_is_ready = true;
      this.refresh(); // removed 20130911
      },this);
    this.on('afteredit', this.on_afteredit); // 20120814
    this.on('beforeedit', this.on_beforeedit);
    this.on('beforeedit',function(e) { this.before_row_edit(e.record)},this);
    if (this.cell_edit) {
        this.on('cellcontextmenu', Lino.cell_context_menu, this);
    } else {
        this.on('rowcontextmenu', Lino.row_context_menu, this);
    }
    //~ this.on('contextmenu', Lino.grid_context_menu, this);

    delete this.cell_edit;

  },

  //~ onResize : function(){
      //~ console.log("20120206 GridPanel.onResize",arguments);
      //~ Lino.GridPanel.superclass.onResize.apply(this, arguments);
      //~ this.refresh();
  //~ },


  get_status : function(){
    var st = { base_params : this.get_base_params()};
    if (!this.hide_top_toolbar) {
        // #866
        if (this.getStore().lastOptions != undefined && this.getStore().lastOptions.params != undefined){
            st.current_page = Math.round(this.getStore().lastOptions.params.start / this.getStore().lastOptions.params.limit ) + 1 ;
        }
    }
    st.param_values = this.status_param_values;
    //~ console.log("20120213 GridPanel.get_status",st);
    return st;
  },

  /*
  Lino.GridPanel.set_status()
  */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log("20140527 GridPanel.set_status", status);
    this.clear_base_params();
    if (status == undefined) status = {base_params:{}};
    this.set_param_values(status.param_values);
    if (status.base_params) {
      this.set_base_params(status.base_params);
    }
    if (status.show_params_panel != undefined) {
        if (this.toggle_params_panel_btn) {
            //~ this.toggle_params_panel_btn.toggle(status.show_params_panel=='true');
            this.toggle_params_panel_btn.toggle(status.show_params_panel);
        }
    }
    if (!this.hide_top_toolbar) {
      //~ console.log("20120213 GridPanel.getTopToolbar().changePage",
          //~ status.current_page || 1);
      this.getTopToolbar().changePage(status.current_page || 1);
    }
    //~ this.fireEvent('resize');
    //~ this.refresh.defer(100,this);
    //~ this.onResize.defer(100,this);
    //~ this.refresh();
    //~ this.doLayout();
    //~ this.onResize();
    //~ this.store.load();
  },

  refresh : function(unused) {
    this.refresh_with_after();
  },
  /* GridPanel */
  refresh_with_after : function(after) {
    // console.log('20140504 Lino.GridPanel.refresh '+ this.store.proxy.url);
    //~ var bp = { fmt:'json' }
    if (! this.view_is_ready) return;

    if (this.containing_panel) {
        //~ Ext.apply(p,this.master_panel.get_master_params());
        //~ Ext.apply(options.params,this.containing_panel.get_master_params());
        this.set_base_params(this.containing_panel.get_master_params());
        // 20130911
        if (this.store.baseParams.mk === undefined ) {
            return;
        }
    }

    //~ console.log('20130911 Lino.GridPanel.refresh_with_after',this.containing_panel.get_master_params());

    var options = {};
    if (after) {
        options.callback = function(r,options,success) {if(success) after()}
    }

    //~ if (!this.rendered) {
        //~ console.log("20120206 GridPanel.refresh() must wait until rendered",options);
        //~ this.grid_panel.on('render',this.load.createDelegate(this,options))
        //~ return;
    //~ }
    // Ticket 802
    if (this.store.lastOptions != undefined){
        var params = {};
        params.limit = this.store.lastOptions.params.limit;
        params.start = this.store.lastOptions.params.start;
        options.params = params;
    }
    this.store.load(options);
  },

  /* pageSize depends on grid height (Trying to remove scrollbar)
  Thanks to
  - Christophe Badoit on http://www.sencha.com/forum/showthread.php?82647
  - http://www.sencha.com/forum/archive/index.php/t-37231.html
  */
  calculatePageSize : function(second_attempt) {
    //~ if (!this.rendered) {
    if (!this.view_is_ready) {
      //~ console.log('Cannot calculatePageSize() : not rendered');
      return false; }
    //~ if (!this.isVisible()) {
      //~ console.log('calculatePageSize : not visible');
      //~ return false; }

    //~ console.log('getFrameHeight() is',this.getFrameHeight());
    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('mainBody.getHeight() is',this.getView().mainBody.getHeight());
    //~ console.log('getInnerHeight() is',this.getInnerHeight());
    //~ console.log('getHeight() is',this.getHeight());
    //~ console.log('el.getHeight() is',this.getEl().getHeight());
    //~ console.log('getGridEl().getHeight() is',this.getGridEl().getHeight());
    //~ console.log('getOuterSize().height is',this.getOuterSize().height);
    //~ console.log('getBox().height is',this.getBox().height);
    //~ console.log('getResizeEl.getHeight() is',this.getResizeEl().getHeight());
    //~ console.log('getLayoutTarget().getHeight() is',this.getLayoutTarget().getHeight());

    // var rowHeight = this.row_height * 11; experimental value 11
    // same as in ext_renderer.py that's not enough because it is the
    // height of one text line. But here we need the outer height of a
    // grid row containing that many text lines.

    var row_content = '&nbsp;'
    for (var i = 0; i < this.row_height;i++) {
        row_content += '<br>';
    }

    var Element = Ext.Element;
    var gv = this.view;
    var fakeBody = new Element(Element.fly(gv.scroller).child('div.x-grid3-body'));
    var rowTemplate = gv.templates.row;
    var cellTemplate = gv.templates.cell;
    var tstyle  = 'width:' + gv.getGridInnerWidth() + 'px;';
    // console.log("20160615", this.fake_row_content);
    var cells = cellTemplate.apply({value:row_content});
    var markup = rowTemplate.apply({
            tstyle: tstyle,
            cols  : 1,
            cells : cells,
            alt   : ''
        });
    fakeBody.dom.innerHTML = gv.templates.body.apply({rows: markup});
    var row = fakeBody.dom.childNodes[0];
    var rowHeight = Ext.get(row).getHeight();

    //~ console.log('rowHeight is ',rowHeight,this,caller);
    //~ this.getView().syncScroll();
    //~ this.getView().initTemplates();
    var height = this.getView().scroller.getHeight();

    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('getInnerHeight() - getFrameHeight() is',
      //~ this.getInnerHeight(), '-',
      //~ this.getFrameHeight(), '=',
      //~ this.getInnerHeight() - this.getFrameHeight());
    //~ var height = this.getView().mainBody.getHeight();
    //~ var height = this.getView().mainWrap.getHeight();
    //~ var height = this.getView().resizeMarker.getHeight();
    //~ this.syncSize();
    //~ var height = this.getInnerHeight() - this.getFrameHeight();
    //~ var height = this.getHeight() - this.getFrameHeight();
    height -= Ext.getScrollBarWidth(); // leave room for a possible horizontal scrollbar...
    //~ height -= this.getView().scrollOffset;
    var ps = Math.floor(height / rowHeight);
    //~ console.log('20130816 calculatePageSize():',height,'/',rowHeight,'->',ps);
    ps -= 1; // leave room for a possible phantom row
    //~ return (ps > 1 ? ps : false);
    if (ps > 1) return ps;
    //~ console.log('calculatePageSize() found less than 1 row:',height,'/',rowHeight,'->',ps);
    //~ foo.bar = baz; // 20120213
    return 5; // preview_limit
    //~ if (second_attempt) {
        //~ console.log('calculatePageSize() abandons after second attempt:',
          //~ height,'/',rowHeight,'->',ps);
      //~ return 5;
    //~ }
    //~ return this.calculatePageSize.defer(500,this,[true]);
  },

  onCellDblClick : function(grid, row, col){
      //~ console.log("20120307 onCellDblClick",this,grid, row, col);
      if (this.ls_detail_handler) {
          //~ Lino.notify('show detail');
          Lino.show_detail(this);
          return false;
      }else{
        //~ console.log('startEditing');
        this.startEditing(row,col);
      }
  },
  get_base_params : function() {  /* Lino.GridPanel */
    var p = Ext.apply({}, this.store.baseParams);
    Lino.insert_subst_user(p);
    // if (this.quick_search_field)
    //     if (this.quick_search_field.getValue())
    //         p.query = this.quick_search_field.getValue();
    return p;
  },
  set_base_params : function(p) {
    // console.log('20130911 GridPanel.set_base_params',p)
    for (k in p) this.store.setBaseParam(k,p[k]);
    //~ this.store.baseParams = p;
    if (this.quick_search_field)
      this.quick_search_field.setValue(p.query || "");
    //~ if (p.param_values)
        //~ this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.store.baseParams = {};
      Lino.insert_subst_user(this.store.baseParams);
  },
  set_base_param : function(k,v) {
    this.store.setBaseParam(k,v);
  },

  //~ get_permalink_params : function() {
    //~ var p = {};
    //~ return p;
  //~ },

  before_row_edit : function(record) {},

  //~ search_keypress : function(){
    //~ console.log("2012124 search_keypress",arguments);
  //~ },
  search_validate : function(value) {
      if (value == this.quick_search_text) return true;

      /**
      *  Cancel the previous request when do a new load request.
      *  Prevents Ajax race conditions. Ticket #2136
      **/
      var c = this.store.proxy.getConnection();
      c.abort(c.transId);


    this.is_searching = true;
    //~ console.log('search_validate',value)
    this.quick_search_text = value;
    this.set_base_param('query',value);
    //~ this.getTopToolbar().changePage(1);
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
    return true;
  },

  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
  },

  get_current_grid_config : function () {
    var cm = this.getColumnModel();
    var widths = Array(cm.config.length);
    var hiddens = Array(cm.config.length);
    //~ var hiddens = Array(cm.config.length);
    var columns = Array(cm.config.length);
    //~ var columns = Array(cm.config.length);
    //~ var hidden_cols = [];
    //~ var filters = this.filters.getFilterValues();
    var p = this.filters.buildQuery(this.filters.getFilterData())
    for (var i = 0; i < cm.config.length; i++) {
      var col = cm.config[i];
      columns[i] = col.dataIndex;
      //~ hiddens[i] = col.hidden;
      widths[i] = col.width;
      hiddens[i] = col.hidden;
      //~ if (col.hidden) hidden_cols.push(col.dataIndex);
    }
    //~ p['hidden_cols'] = hidden_cols;
    p.cw = widths;
    p.ch = hiddens;
    p.ci = columns;
    //~ p['widths'] = widths;
    //~ p['hiddens'] = hiddens;
    //~ p['columns'] = columns;
    // p['name'] = this.gc_name;
    //~ var gc = this.ls_grid_configs[this.gc_name];
    //~ if (gc !== undefined)
        //~ p['label'] = gc.label
    //~ console.log('20100810 save_grid_config',p);
    return p;
  },

  on_beforeedit : function(e) {
    //~ console.log('20130128 GridPanel.on_beforeedit()',e,e.record.data.disable_editing);
    if(this.disable_editing | e.record.data.disable_editing) {
      e.cancel = true;
      Lino.notify("Dieser Datensatz ist deaktiviert");
      return;
    }
    if(e.record.data.disabled_fields && e.record.data.disabled_fields[e.field]) {
      e.cancel = true;
      Lino.notify("Dieses Feld ist deaktiviert");
      return;
    }
    //~ if (e.record.data.disabled_fields) {
      //~ for (i in e.record.data.disabled_fields) {
        //~ if(e.record.data.disabled_fields[i] == e.field) {
          //~ e.cancel = true;
          //~ Lino.notify(String.format('Field "{0}" is disabled for this record',e.field));
          //~ return
        //~ }
      //~ }
    //~ }
  },
  save_grid_data : function() {
      //~ console.log("20120814 save_grid_data");
      this.getStore().commitChanges();
  },
  on_afteredit : function(e) {
    /*
    e.grid - The grid that fired the event
    e.record - The record being edited
    e.field - The field name being edited
    e.value - The value being set
    e.originalValue - The original value for the field, before the edit.
    e.row - The grid row index
    e.column - The grid column index
    */
    var p = {};
    // console.log('20140403 afteredit: ',e.record);
    //~ console.log('20101130 value: ',e.value);
    //~ var p = e.record.getChanges();
    //~ console.log('20101130 getChanges: ',e.record.getChanges());
    //~ this.before_row_edit(e.record);

    for(k in e.record.getChanges()) {
        var v = e.record.get(k);
    //~ for(k in e.record.modified) {
        //~ console.log('20101130',k,'=',v);
        //~ var cm = e.grid.getColumnModel();
        //~ var di = cm.getDataIndex(k);
        var f = e.record.fields.get(k);
        //~ console.log('20101130 f = ',f);
        //~ var v = e.record.get(di);
        if (f.type.type == 'date') {
            p[k] = Ext.util.Format.date(v, f.dateFormat);
        }else{
            p[k] = v;
            var v = e.record.get(k+'Hidden');
            if (v !== undefined) {
              p[k+'Hidden'] = v;
            }
        }
    }
    // add value used by ForeignKeyStoreField CHOICES_HIDDEN_SUFFIX
    // not sure whether this is still needed:
    p[e.field+'Hidden'] = e.value;
    //~ p.su = Lino.subst_user;
    Lino.insert_subst_user(p);
    // this one is needed so that this field can serve as choice context:
    e.record.data[e.field+'Hidden'] = e.value;
    // p[pk] = e.record.data[pk];
    // console.log("grid_afteredit:",e.field,'=',e.value);
    Ext.apply(p, this.get_base_params()); // needed for POST, ignored for PUT
    //~ Ext.apply(p,this.containing_window.config.base_params);
    //~ 20121109 p['$constants.URL_PARAM_ACTION_NAME'] = 'grid';
    var self = this;
    var req = {
        params: p,
        waitMsg: 'Saving your data...',
        success: Lino.action_handler(this, function (result) {
            // console.log("20140728 afteredit.success got ", result);
            //~ if (result.data_record) {
            if (result.refresh_all) {
                var cw = self.get_containing_window();
                if (cw) {
                    cw.main_item.refresh();
                }
                else console.log("20120123 cannot refresh_all", self);
            } else if (result.rows) {
                //~ self.getStore().loadData(result,true);
                var r = self.getStore().reader.readRecords(result);
                var cell = e.grid.getSelectionModel().selection.cell; // post insert cord for edit / selection
                if (e.record.phantom) {
                    var was_editing = false;
                    // console.log("20140728 gonna call Store.insert()", self.getStore(), e.row, r.records);
                    if (e.grid.editing && e.grid.activeEditor) {
                        cell = [e.grid.activeEditor.row, e.grid.activeEditor.col];
                        console.log("was editing", cell);
                        e.grid.activeEditor.cancelEdit();
                        was_editing = true;
                    }

                    self.getStore().insert(e.row, r.records);
                    if (was_editing) {
                        e.grid.startEditing(cell[0], cell[1]);
                    }

                } else {
                    // console.log("20140728 afteredit.success doUpdate", r.records[0]);
                    self.getStore().doUpdate(r.records[0]);
                }
                self.getStore().rejectChanges();
                /*
            get rid of the red triangles without saving the record again
            */
                e.grid.getSelectionModel().select(cell[0], cell[1]);

                //~ self.getStore().commitChanges(); // get rid of the red triangles
            } else {
                self.getStore().commitChanges(); // get rid of the red triangles
                self.getStore().reload();        // reload our datastore.
            }
        }),
        scope: this,
        failure: Lino.ajax_error_handler(this)
    };
    if (e.record.phantom) {
      req.params.an = 'grid_post'; // CreateRow.action_name
      Ext.apply(req,{
        method: 'POST',
        url: '/api' + this.ls_url
      });
    } else {
      req.params.an = 'grid_put'; // SaveRow.action_name
      Ext.apply(req,{
        method: 'PUT',
        url: '/api' + this.ls_url + '/' + e.record.id
      });
    }
    //~ console.log('20110406 on_afteredit',req);
    this.loadMask.show(); // 20120211
    Ext.Ajax.request(req);
  },

  afterRender : function() {
    Lino.GridPanel.superclass.afterRender.call(this);
    // this.getView().mainBody.focus();
    // console.log(20100114,this.getView().getRows());
    // if (this.getView().getRows().length > 0) {
    //  this.getView().focusRow(1);
    // }
    //~ this.my_load_mask = new Ext.LoadMask(this.getEl(), {
        //~ msg:'$_("Please wait...")',
        //~ store:this.store});

    var tbar = this.getTopToolbar();
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    // tbar.on('change',function() {this.getSelectionModel().selectFirstRow();this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    this.nav = new Ext.KeyNav(this.getEl(),{
      pageUp: function() {tbar.movePrevious(); },
      pageDown: function() {tbar.moveNext(); },
      home: function() {tbar.moveFirst(); },
      end: function() {tbar.moveLast(); },
      scope: this
    });

  },
  after_delete : function() {
    //~ console.log('Lino.GridPanel.after_delete');
    this.refresh();
  },
  add_row_listener : function(fn,scope) {
    this.getSelectionModel().addListener('rowselect',fn,scope);
  },
  postEditValue : function(value, originalValue, r, field){
    value = Lino.GridPanel.superclass.postEditValue.call(this,value,originalValue,r,field);
    //~ console.log('GridPanel.postEdit()',value, originalValue, r, field);
    return value;
  },

  set_start_value : function(v) {
      this.start_value = v;
  },
  preEditValue : function(r, field){
      if (this.start_value) {
        var v = this.start_value;
        delete this.start_value;
        this.activeEditor.selectOnFocus = false;
        return v;
      }
      var value = r.data[field];
      return this.autoEncode && Ext.isString(value) ? Ext.util.Format.htmlDecode(value) : value;
  },

  on_master_changed : function() {
    //~ if (! this.enabled) return;
    //~ cmp = this;
    //~ console.log('20130911 Lino.GridPanel.on_master_changed()',this.title,this.rendered);
    if (! this.rendered) return; // 20120213
    var todo = function() {
      if (this.disabled) return;
      //~ if (this.disabled) return;
      //~ if (this.enabled) {
          //~ var src = caller.config.url_data + "/" + record.id + ".jpg"
          //~ console.log(20111125, this.containing_window);
          //~ for (k in p) this.getStore().setBaseParam(k,p[k]);
          //~ console.log('Lino.GridPanel.on_master_changed()',this.title,p);
          this.refresh();
          //~ this.set_base_params(this.master_panel.get_master_params());
          //~ this.getStore().load();
      //~ }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  },
  load_record_id : function(record_id,after) {
      Lino.run_detail_handler(this,record_id)
  }

});


//~ Lino.MainPanelMixin = {
  //~ tbar_items : function() {
      //~ return ;
  //~ }
//~ };

//~ Ext.override(Lino.GridPanel,Lino.MainPanelMixin);
//~ Ext.override(Lino.FormPanel,Lino.MainPanelMixin);

//~ Lino.grid_context_menu = function(e) {
  //~ console.log('contextmenu',arguments);
//~ }

Lino.row_context_menu = function(grid,row,col,e) {
  console.log('20130927 rowcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
}

Lino.cell_context_menu = function(grid,row,col,e) {
  //~ console.log('20120531 cellcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
  e.stopEvent();
  //~ grid.getView().focusCell(row,col);
  grid.getSelectionModel().select(row,col);
  //~ console.log(grid.store.getAt(row));
  //~ grid.getView().focusRow(row);
  //~ return;
  if(!grid.cmenu.el){grid.cmenu.render(); }
  //~ if(e.record.data.disabled_fields) {

  if (grid.disabled_fields_index) {
      var da = grid.store.reader.arrayData.rows[row][grid.disabled_fields_index];
      if (da) {
          this.cmenu.cascade(function(item){
            //~ console.log(20120531, item.itemId, da[item.itemId]);
            if (da[item.itemId]) item.disable(); else item.enable();
          });
      }
  };

  var xy = e.getXY();
  xy[1] -= grid.cmenu.el.getHeight();
  grid.cmenu.showAt(xy);
}


Lino.chooser_handler = function(combo,name) {
  return function(cmp, newValue, oldValue) {
    //~ console.log('Lino.chooser_handler()',cmp,oldValue,newValue);
    combo.setContextValue(name, newValue);
  }
};



Lino.ComboBox = Ext.extend(Ext.form.ComboBox,{
  forceSelection: "yes but select on tab",
  // forceSelection: true,
  triggerAction: 'all',
  minListWidth:280, // 20131022
  autoSelect: true,
//  lazyRender:true,
//  lazyInit:false,
//  validationDelay :0,
//  typeAhead : true,
//  typeAheadDelay :false,
  selectOnFocus: true, // select any existing text in the field immediately on focus.
  submitValue: true,
  queryDelay:0,
  minChars: 0,
  displayField: 'text', // 'text',
  valueField: 'value', // 'value',

  //~ initComponent : Ext.form.ComboBox.prototype.initComponent.createSequence(function() {
  initComponent : function(){
      this.contextParams = {};
      this.on('expand',function(){
        // console.log("expand",this.store.getRange());
        if (this.store.getRange().length > 1){
            // Auto selection the first choices in the dropdown list.
            this.select(this.store.getRange()[0].id);
        }
      },this);
      //~ Ext.form.ComboBox.initComponent(this);
      Lino.ComboBox.superclass.initComponent.call(this);
      this.queryDelay = 0;
  },
  //Override this to accept DELETE key as not a specialkey and show choices.
  onKeyUp : function(e){
    var k = e.getKey();
    if(this.editable !== false && this.readOnly !== true && (k == e.BACKSPACE || k == e.DELETE || !e.isSpecialKey())){

        this.lastKey = k;
        this.dqTask.delay(this.queryDelay);
    }
    Ext.form.ComboBox.superclass.onKeyUp.call(this, e);
    },
  setValue : function(v, record_data){
      /*
      Based on feature request developed in http://extjs.net/forum/showthread.php?t=75751
      */
      /* `record_data` is used to get the text corresponding to this value */
      //~ if(this.name == 'city')
      //~ console.log('20120203', this.name,'.setValue(', v ,') this=', this,'record_data=',record_data);
      var text = v;
      if(this.valueField){
        if(v == null || v == '') {
            //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,'no lookup needed, value is empty');
            //~ v = undefined;
            v = '';
            //~ text = '';
        } else if (Ext.isDefined(record_data)) {
          text = record_data[this.name];
          //~ if (this.name == 'birth_country')
          this.original_record_data = record_data;
            //~ console.log(this.name,'.setValue',v,'got text ',text,' from record ',record);
        } else if (Ext.isDefined(this.original_record_data) && this.original_record_data[this.hiddenName] === v) {
            // Fix for ticket #2628
            text = this.original_record_data[this.name];
        } else {
          // if(this.mode == 'remote' && !Ext.isDefined(this.store.totalLength)){
          if(this.mode == 'remote' && ( this.lastQuery === null || (!Ext.isDefined(this.store.totalLength)))){
              //~ if (this.name == 'birth_country') console.log(this.name,'.setValue',v,'store not yet loaded');
              this.store.on('load', this.setValue.createDelegate(this, arguments), null, {single: true});
              if(this.store.lastOptions === null || this.lastQuery === null){
                  var params;
                  if(this.valueParam){
                      params = {};
                      params[this.valueParam] = v;
                  }else{
                      var q = this.allQuery;
                      this.lastQuery = q;
                      this.store.setBaseParam(this.queryParam, q);
                      params = this.getParams(q);
                  }
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : call load() with params ',params);
                  this.store.load({params: params});
              //~ }else{
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : but store is loading',this.store.lastOptions);
              }
              return;
          //~ }else{
              //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,' : store is loaded, lastQuery is "',this.lastQuery,'"');
          }
          var r = this.findRecord(this.valueField, v);
          if(r){
              text = r.data[this.displayField];
          }else if(this.valueNotFoundText !== undefined){
              text = this.valueNotFoundText;
          }
        }
      }
      this.lastSelectionText = text;
      //~ this.lastSelectionText = v;
      if(this.hiddenField){
          //~ this.hiddenField.originalValue = v;
          this.hiddenField.value = v;
      }
      Ext.form.ComboBox.superclass.setValue.call(this, text);
      this.value = v; // needed for grid.afteredit
  },

  getParams : function(q){
    // p = Ext.form.ComboBox.superclass.getParams.call(this, q);
    // causes "Ext.form.ComboBox.superclass.getParams is undefined"
    var p = {};
    if(this.pageSize){
        p['start'] = 0;
        p['limit'] = this.pageSize;
    }
    // now my code:
    if(this.contextParams) Ext.apply(p, this.contextParams);
    return p;
  },
  setContextValue : function(name,value) {
    //~ console.log('setContextValue',this,this.name,':',name,'=',value);
    //~ if (this.contextValues === undefined) {
        //~ this.contextValues = Array(); // this.contextParams.length);
    //~ }
    if ((this.contextParams[name] != value) || (this.contextParams[name] == undefined)) {
      //~ console.log('setContextValue 1',this.contextParams);
      this.contextParams[name] = value;
      this.lastQuery = null;
      //~ console.log('setContextValue 2',this.contextParams);
    }
  }
});

Lino.ChoicesFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'local'
});


Lino.SimpleRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  // forceSelection: true,  20140206 why was this here?
  constructor: function(config){
      Lino.SimpleRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // 'value'
          fields: ['value' ],
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.ComplexRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  constructor: function(config){
      Lino.ComplexRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // constants.CHOICES_VALUE_FIELD
          fields: ['value','text'], // constants.CHOICES_VALUE_FIELD, // constants.CHOICES_TEXT_FIELD
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.RemoteComboFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'remote',
  //~ forceSelection:false,
  minChars: 0, // default 4 is too much
//  queryDelay: 300, // default 500 is maybe slow
  queryParam: 'query',
  //~ typeAhead: true,
  //~ selectOnFocus: true, // select any existing text in the field immediately on focus.
  resizable: true
  ,initList : function() {
      Lino.RemoteComboFieldElement.superclass.initList.call(this);
      if (this.pageTb) {

          var me = this;
          this.pageTb.on("beforechange", function(toolbar, o){
              if(me.contextParams)
                  Ext.apply(o, me.contextParams);
          });

          //~
          //~ var btn = ls_buttons
          //~ this.pageTb.items = this.pageTb.items.concat([btn]);
          //~ console.log("20131022 pageTb.items is", this.pageTb.items)
      }
  }
});

/*
Thanks to Animal for posting the basic idea:
http://www.sencha.com/forum/showthread.php?15842-2.0-SOLVED-Combobox-twintrigger-clear&p=76130&viewfull=1#post76130

*/
Lino.TwinCombo = Ext.extend(Lino.RemoteComboFieldElement,{
    trigger2Class : 'x-form-search-trigger',
    //~ trigger2Class : 'x-tbar-detail',
    initComponent : function() {
        //~ Lino.TwinCombo.superclass.initComponent.call(this);
        Lino.ComboBox.prototype.initComponent.call(this);
        Ext.form.TwinTriggerField.prototype.initComponent.call(this);
    },
    onTrigger2Click : function() {
        //~ console.log('onTrigger2Click',this,arguments);
    }
  });
//~ Lino.TwinCombo.prototype.initComponent = Ext.form.TwinTriggerField.prototype.initComponent;
Lino.TwinCombo.prototype.getTrigger = Ext.form.TwinTriggerField.prototype.getTrigger;
Lino.TwinCombo.prototype.getOuterSize = Ext.form.TwinTriggerField.prototype.getOuterSize;
Lino.TwinCombo.prototype.initTrigger = Ext.form.TwinTriggerField.prototype.initTrigger;
Lino.TwinCombo.prototype.onTrigger1Click = Ext.form.ComboBox.prototype.onTriggerClick;
//~ Lino.TwinCombo.prototype.onTrigger2Click = function() {
    //~ console.log('onTrigger2Click',arguments);
//~ };



Lino.SimpleRemoteComboFieldElement = Ext.extend(Lino.RemoteComboFieldElement,{
  displayField: 'value',
  valueField: null,
  forceSelection: false
});




Lino.Window = Ext.extend(Ext.Window,{
  //~ layout: "fit",
  closeAction : 'hide',
  renderTo: 'main_area',
  constrain: true,
  maximized: true,
  draggable: false,
  width: 700,
  height: 500,
  maximizable: false,
  constructor : function (config) {
    if (config.main_item.params_panel) {
        config.layout = 'border';
        config.main_item.region = 'center';
        // 20210501 config.main_item.params_panel.region = 'north';
        //~ config.main_item.params_panel.autoHeight = false; // 20130924
        config.main_item.params_panel.hidden = config.main_item.params_panel_hidden;
        config.items = [config.main_item.params_panel, config.main_item];
        //~ 20130923b
    } else {
        config.layout = 'fit';
        config.items = config.main_item;
    }
    this.main_item = config.main_item;

    if (typeof config.width == "string" && config.width.slice(-1) == "%") {
        config.width = Lino.perc2width(parseInt(config.width.slice(0, -1)));
    }

    delete config.main_item;
    //~ delete config.params_item;

    //~ this.main_item = config.items.get(0);
    this.main_item.containing_window = this;

    //~ console.log('20120110 Lino.Window.constructor() 1');
    //~ if (Lino.current_window) { // all windows except the top are closable
    if (this.main_item.hide_window_title) {
      config.closable = false;
      config.frame = false;
      config.shadow = false;
      //~ config.border = true;
      //~ config.title = undefined;
      //~ config.tools = null;
      delete config.title;
      delete config.tools;
    } else {
      config.title = this.main_item.empty_title;
      config.closable = true;
      config.tools = [
        { qtip: 'permalink',
         handler: Lino.permalink_handler(this),
          id: "pin" },
        { qtip: "Speichern und Fenster schließen."
        , handler: Lino.close_and_save_handler(this),
         id: "save" }
      ];
      if (this.main_item.content_type && this.main_item.action_name != 'insert') {
        config.tools = [ {
          handler: Lino.help_text_editor,
          qtip: "Hilfetexte der Eingabefelder dieser Tabelle bearbeiten",
          scope: this.main_item,
          id: "gear"
        }].concat(config.tools);
      }

    //~ { qtip: '', handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: this.config.qtip, handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: 'Call doLayout() on main Container.', handler: Lino.refresh_handler(this), id: "refresh" },
    //~ if (this.main_item.params_panel) {
        //~ config.tools = config.tools.concat([
          //~ { qtip: 'Show/hide parameter panel', handler: this.toggle_params_panel, id: "gear", scope:this }
        //~ ]);
    //~ }
    //~ if (config.closable !== false) {
      // if undefined, will take default behaviour
      //~ config.tools = config.tools.concat([
        //~ { qtip: 'close', handler: this.hide, id: "close", scope:this }
      //~ ]);
    }

    this.main_item.config_containing_window(config);

    // console.log('20150514 Lino.Window.constructor() 2');
    Lino.Window.superclass.constructor.call(this, config);

    //~ console.log('20120110 Lino.Window.constructor() 3');

  },
  initComponent : function() {
    this.main_item.init_containing_window(this);
    Lino.Window.superclass.initComponent.call(this);

  },
  hide : function() {
      this.main_item.do_when_clean(false,function() {
        if (Lino.current_window){
          Lino.close_window();
        }
        });

  },
  hide_really : function() {
    Lino.Window.superclass.hide.call(this);
  },
  onRender : function(ct, position){
    // console.log('20140829 Lino.Window.onRender() 1');
    Lino.Window.superclass.onRender.call(this, ct, position);
    var main_area = Ext.getCmp('main_area')
    //~ console.log('20120110 Lino.Window.onRender() 2');

    this.on('show', function(win) {
        // console.log('20140829 Lino.Window.on(show) : add resize handler');
        main_area.on('resize', win.onWindowResize, win);
    });
    this.on('hide', function(win) {
        // console.log('20140829 Lino.Window.on(hide) : remove resize handler');
        main_area.un('resize', win.onWindowResize, win);
    });
    // console.log('20140829 Lino.Window.onRender() 3');
  }
});


Ext.override(Ext.form.BasicForm,{
    my_loadRecord : function(record_data){
    //~ loadRecord : function(record){
        /* Same as ExtJS's loadRecord() (setValues()), except that we
        forward also the record_data to field.setValue(). This second
        parameter is used by Lino.Combobox.
        */
        // console.log('20181102 my_loadRecord', record_data)
        if(Ext.isArray(record_data)){
            for(var i = 0, len = record_data.length; i < len; i++){
                var v = record_data[i];
                var f = this.findField(v.id);
                if(f){
                    f.setValue(v.value, record_data);
                    if(this.trackResetOnLoad){
                        f.originalValue = f.getValue();
                    }
                }
            }
        }else{
            var field, id;
            for(id in record_data){
                if(!Ext.isFunction(record_data[id]) && (field = this.findField(id))){
                    // console.log('20181102 setValue', field, record_data[id]);
                    field.setValue(record_data[id], record_data);
                    if(this.trackResetOnLoad){
                        field.originalValue = field.getValue();
                        //~ if (field.hiddenField) {
                          //~ field.hiddenField.originalValue = field.hiddenField.value;
                        //~ }
                    }
                } // else console.log('20181102 not for ', id);
            }
        }
        return this;
    }
});




function initializeFooBarDropZone(cmp) {
    //~ console.log('initializeFooBarDropZone',cmp);
    cmp.dropTarget = new Ext.dd.DropTarget(cmp.bwrap, {
      //~ ddGroup     : 'gridDDGroup',
      notifyEnter : function(ddSource, e, data) {
        console.log('notifyEnter',ddSource,e,data);
        //Add some flare to invite drop.
        cmp.body.stopFx();
        cmp.body.highlight();
      },
      notifyDrop  : function(ddSource, e, data){
        console.log('notifyDrop',ddSource,e,data);
        // Reference the record (single selection) for readability
        //~ var selectedRecord = ddSource.dragData.selections[0];


        // Load the record into the form
        //~ formPanel.getForm().my_loadRecord(selectedRecord);


        // Delete record from the grid.  not really required.
        //~ ddSource.grid.store.remove(selectedRecord);

        return(true);
      }
    })
}



Lino.show_mti_child = function(fieldname,detail_handler) {
  //~ console.log('show_mti_child',this);
  //~ console.log('show_mti_child',panel.find("main_area"));
  rec = Lino.current_window.main_item.get_current_record();
  //~ rec = panel.get_current_record();
  if (rec) {
    //~ console.log('show_mti_child',Lino.current_window,rec);
    if (rec.phantom) {
      Lino.notify('Not allowed on phantom record.');
    }else if (rec.data[fieldname]) {
      //~ console.log('show_mti_child',rec.id);
      //~ detail_handler(Lino.current_window.main_item,{},{record_id:rec.id});
      detail_handler.run(null,{record_id:rec.id});
      //~ window.open(urlroot + '/' + rec.id);
      //~ document.location = urlroot + '/' + rec.id;
      //~ window.open(urlroot + '/' + rec.id,'_blank');
    } else {
      Lino.alert("Kann MTI-Kind nicht anzeigen wenn Checkbox abgeschlatet ist.");
    }
  } else {
    Lino.notify('No current record.');
  }
};


/*
captureEvents utility by Aaron Conran
<http://www.sencha.com/learn/grid-faq/>

Ext.onReady(function(){
    var grid = new Ext.grid.GridPanel({
        ...
    });
    captureEvents(grid);
});
*/
function captureEvents(observable) {
    Ext.util.Observable.capture(
        observable,
        function(eventName) {
            console.info(eventName);
        },
        this
    );
}

// settings.SITE.get_plugin_snippets()



// from lino_xl.lib.extensible (media_name=extensible-1.0.1):snippets/extensible.js

/*
  This is the `extensible.js` snippet. 
  Used in lino.modlib.extensible.App.site_js_snippets
*/

/*
Mappings towards lino.modlib.extensible.models.PanelCalendars
*/
// Sset SS = Ssite.modules.extensible.PanelCalendars.get_handle(Sui).store
Ext.ensible.cal.CalendarMappings = {
    CalendarId:   {name:'ID',       mapping: 'id', type: 'int'},
    Title:        {name:'CalTitle', mapping: 'summary', type: 'string'},
    Description:  {name:'Desc',     mapping: 'description', type: 'string'},
    ColorId:      {name:'Color',    mapping: 'color', type: 'int'},
    IsHidden:     {name:'Hidden',   mapping: 'is_hidden', type: 'boolean'},    
};
Ext.ensible.cal.CalendarRecord.reconfigure();  


/*
Mappings towards lino.modlib.extensible.models.PanelEvents 
*/
// Sset SS = Ssite.modules.extensible.PanelEvents.get_handle(Sui).store
Ext.ensible.cal.EventMappings = {
    EventId:     {name: 'ID',        mapping: 'id', type:'int'},
    CalendarId:  {name: 'CalID',     mapping: 'calendarHidden', type: 'int'},
    Title:       {name: 'EvtTitle',  mapping: 'summary'},
    StartDate:   {name: 'StartDt',   mapping: 'start_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s" },
    EndDate:     {name: 'EndDt',     mapping: 'end_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s"},
    RRule:       {name: 'RecurRule', mapping: 'rsetHidden'},
    Location:    {name: 'Location',  mapping: 'placeHidden'},
    Notes:       {name: 'Desc',      mapping: 'description'},
    Url:         {name: 'LinkUrl',   mapping: 'url'},
    IsAllDay:    {name: 'AllDay',    mapping: 'all_day', type: 'boolean'},
    Reminder:    {name: 'Reminder',  mapping: 'reminder'}
    
};
Ext.ensible.cal.EventRecord.reconfigure();


//~ Lino.on_eventclick = 
    
Lino.on_editdetails = 

Lino.format_time = function(dt) {
    return dt.getHours() + ':' + dt.getMinutes();
}
    
Lino.on_eventdelete = function() {
  //~ console.log("Lino.on_eventdelete",arguments);
};

Lino.on_eventadd  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventadd ",arguments);
  return false;
}
    
Lino.on_eventresize  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventresize ",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    
Lino.on_eventupdate  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventupdate",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    

//~ Lino.eventStore = new Ext.ensible.cal.EventStore({ 
//~ Lino.eventStore = new Ext.data.ArrayStore({ 
Lino.unused_eventStore = new Ext.data.JsonStore({ 
  listeners: { exception: Lino.on_store_exception }
  ,url: '/restful/extensible/PanelEvents'
  ,restful : true
  ,proxy: new Ext.data.HttpProxy({ 
      url: '/restful/extensible/PanelEvents', 
      disableCaching: false // no need for cache busting when loading via Ajax
      //~ disableCaching:true,
  })
  ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
  ,totalProperty: "count"
  ,root: "rows"
  ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
  ,writer : new Ext.data.JsonWriter({
    writeAllFields: false
  })
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
      if (!options) options = {};
      if (!options.params) options.params = {};
      //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
      
      var view = this.cal_panel.getActiveView();
      var bounds = view.getViewBounds();
      //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
      //~ var p = {};
      options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
      options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
      Lino.insert_subst_user(options.params);
      //~ Ext.apply(options.params,p)
      //~ console.log('20120710 eventStore.load()',this.baseParams,options);
    
    return Ext.data.JsonStore.prototype.load.call(this,options);
  }
});


Lino.CalendarCfg = {
    dateParamFormat: 'd.m.Y',
    dateParamStart:'sd',
    dateParamEnd:'ed'
};
//~ 20120704 Lino.CalendarPanel = Ext.extend(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
//~ Lino.CalendarPanel = Ext.extend(Lino.CalendarPanel,{
Ext.override(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
Ext.override(Ext.ensible.cal.CalendarPanel,{
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  empty_title : "Kalender"
  ,activeItem: 1 // 0: day, 1: week
  ,ls_url: '/extensible/CalendarPanel'
  //~ ,disableCaching:true
  //~ ,eventStore: Lino.eventStore
  //~ ,calendarStore: Lino.calendarStore
  //~ ,initComponent : function(){
    //~ Ext.ensible.cal.CalendarPanel.superclass.initComponent.call(this);
    //~ this.eventStore.on('load',function(){
      //~ console.log("20130808",Lino.eventStore);
      //~ if (this.eventStore.reader.jsonData) {
        //~ console.log("20130808 b",this.eventStore.reader.jsonData.title);
        //~ this.set_window_title(this.eventStore.reader.jsonData.title);
      //~ }
    //~ },this);
  //~ }
  ,listeners: { 
    editdetails: function(cp,rec,el) {
      //~ console.log("Lino.on_editdetails",arguments);
      if (rec.data.ID)
          Lino.extensible.PanelEvents.detail.run(null,{
              record_id:rec.data.ID,
              base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    ,eventclick: function(cp,rec,el) {
      //~ console.log("Lino.on_eventclick",arguments);
      //~ Lino.cal.Events.detail_action.run({record_id:rec.data.ID});
      Lino.extensible.PanelEvents.detail.run(null,{
            record_id:rec.data.ID,
                base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    //~ ,eventadd: Lino.on_eventadd
    //~ ,eventdelete: Lino.on_eventdelete
    //~ ,eventresize: Lino.on_eventresize
    ,afterrender : function(config) {
      // console.log("20140402 CalendarPanel.afterrender");
      this.app_instance.calendar_store.cal_panel = this;
      // 20140402 this.app_instance.calendar_store.load();
      //~ console.log("20120704 afterrender calls eventStore.load()",p);
      this.app_instance.event_store.cal_panel = this;
      //~ Lino.eventStore.load({params:p});
      //~ 20130905 removed: this.app_instance.event_store.load();
      //~ Lino.CalendarPanel.superclass.constructor.call(this, config);
      //~ console.log(20120118, config,this);
    }
    }
  ,enableEditDetails: false
  //~ ,monthViewCfg: Lino.CalendarCfg
  //~ ,weekViewCfg: Lino.CalendarCfg
  //~ ,multiDayViewCfg: Lino.CalendarCfg
  //~ ,multiWeekViewCfg: Lino.CalendarCfg
  //~ ,dayViewCfg: Lino.CalendarCfg
  //~ ,initComponent : function() {
    //~ // this.on('eventadd',Lino.on_eventadd);
    //~ Lino.CalendarPanel.superclass.initComponent.call(this);
  //~ }
});




Lino.CalendarAppPanel = Ext.extend(Ext.Panel,Lino.MainPanel);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,Lino.PanelMixin);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,{
  app_instance : null
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  ,empty_title : "Kalender"
  ,ls_url: '/extensible/CalendarPanel'
  ,set_status : function(status,rp) { 
      // console.log('20140402 CalendarAppPanel.set_status()', status);
      this.requesting_panel = Ext.getCmp(rp);
      this.clear_base_params();
      if (status == undefined) status = {};
      //~ if (status.param_values) 
      //~ this.set_field_values(status.field_values);
      if (status.base_params) this.set_base_params(status.base_params);
      this.refresh();
      }
  ,refresh : function() {
      //~ this.app_instance.event_store.reload(); 20130905
      this.app_instance.calendar_store.load();  // added 20140402
      this.app_instance.event_store.load();
  }
  ,layout: 'fit'
  ,get_base_params : function() {
    // console.log('20140402 getbase_params has', this.base_params);
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    // console.log('20140402 getbase_params returns', p);
    return p;
  }
  ,set_base_params : function(p) {
    this.base_params = Ext.apply(this.app_instance.event_store.baseParams,p);
    this.app_instance.event_store.baseParams = this.base_params;
    // console.log('20140402 this.base_params is', this.base_params);
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
      if (!this.base_params) this.base_params = {};
      this.base_params[k] = v;
  }
});

Lino.CalendarApp = function() { return {
  team_view_button : null 
  ,get_main_panel : function() {
      var cap = null;
      this.event_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,url: '/restful/extensible/PanelEvents'
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelEvents', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ disableCaching:true,
          })
          ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
          ,totalProperty: "count"
          ,root: "rows"
          ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
          ,writer : new Ext.data.JsonWriter({
            writeAllFields: false
          })
          ,load: function(options) {
            //~ foo.bar = baz; // 20120213
              if (!options) options = {};
              if (!options.params) options.params = {};
              //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
              
              var view = this.cal_panel.getActiveView();
              var bounds = view.getViewBounds();
              //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
              //~ var p = {};
              options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
              options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
              Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              //~ this.cal_panel.base_params.su.toString();
              //~ if (this.cal_panel) {
                  // Ext.apply(options.params,this.cal_panel.base_params);
              //~ }
              //~ Ext.apply(options.params,p)
              //~ console.log('20130905 eventStore.load()',this.cal_panel,this.baseParams,options.params);
            
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });

      //~ Lino.calendarStore
      this.calendar_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelCalendars?fmt=json', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ restful : true
              //~ method: "GET"
          })
          //~ ,autoLoad: true
          //~ ,remoteSort: true
          //~ ,baseParams: bp
          ,totalProperty: "count"
          ,root: "rows"
          ,fields: Ext.ensible.cal.CalendarRecord.prototype.fields.getRange()
          ,idProperty: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          //~ ,idIndex: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          ,load: function(options) {
              // new since 20140402 add substitute user when calling
              // calendars
              if (!options) options = {};
              if (!options.params) options.params = {};
              // Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              // console.log("20140402 calendar_store.load", options.params, 
              //             this.cal_panel, cap.get_base_params());
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });
      
      cap = new Lino.CalendarAppPanel({ 
          app_instance: this, 
          items : 
        //~ [{
          //~ id: 'app-header',
          //~ region: 'north',
          //~ height: 35,
          //~ border: false,
          // contentEl: 'app-header-content'
        //~ },
      {
          id: 'app-center',
          title: '...', // will be updated to the current view's date range
          region: 'center',
          layout: 'border',
          listeners: {
              'afterrender': function(){
                  Ext.getCmp('app-center').header.addClass('app-center-header');
              }
          },
          items: [{
              id:'app-west',
              region: 'west',
              width: 176,
              border: false,
              items: [{
                  xtype: 'datepicker',
                  id: 'app-nav-picker',
                  cls: 'ext-cal-nav-picker',
                  listeners: {
                      'select': {
                          fn: function(dp, dt){
                              // console.log("20131017",dp);
                              //~ Lino.calendarPanel.setStartDate(dt);
                              //~ cap.setStartDate(dt);
                              Ext.getCmp('app-calendar').setStartDate(dt);
                          },
                          //~ scope: this
                      }
                  }
              //~ },{ 
                //~ layout:'fit',
                //~ items: [
                  //~ new Ext.form.Checkbox({
                    //~ boxLabel:"$_('Team view')",
                    //~ hideLabel:true
                    //~ listeners: { click: }
                  //~ })
                //~ ]
              //~ },{ 
                //~ layout:'form',
                //~ items: [
                  //~ this.team_view_button = new Ext.Button({
                    //~ text:"Team view",
                    //~ enableToggle:true,
                    //~ pressed:false,
                    //~ toggleHandler: function(btn,state) { 
                      //~ // console.log('20120716 teamView.toggle()');
                      //~ this.event_store.setBaseParam('tv',state);
                      //~ this.event_store.load();
                      //~ // console.log("team view",state);
                    //~ }
                  //~ })
                //~ ]
              },{
                  xtype: 'extensible.calendarlist',
                  store: this.calendar_store,
                  border: false,
                  width: 175
              }]
          },{
              xtype: 'extensible.calendarpanel', // Ext.ensible.cal.CalendarPanel
              eventStore: this.event_store,
              app_instance: this,
              calendarStore: this.calendar_store,
              border: false,
              id:'app-calendar',
              region: 'center',
              //~ activeItem: 3, // month view
              
              // Any generic view options that should be applied to all sub views:
              viewConfig: {
                  // Lino.CalendarCfg
                  dateParamFormat: 'd.m.Y',
                  dateParamStart:'sd',
                  dateParamEnd:'ed',
                
                  //enableFx: false,
                  //ddIncrement: 10, //only applies to DayView and subclasses, but convenient to put it here
                  viewStartHour: 8, // 8
                  viewEndHour: 18 // 18
                  //minEventDisplayMinutes: 15
              },
              
              // View options specific to a certain view (if the same options exist in viewConfig
              // they will be overridden by the view-specific config):
              monthViewCfg: {
                  showHeader: true,
                  showWeekLinks: true,
                  showWeekNumbers: true,
                  eventBodyMarkup: ['{Title}',
                    //~ '<tpl if="url">',
                        //~ '<a href="{url}">XX</a>',
                    //~ '</tpl>',
                    '<tpl if="_isReminder">',
                        '<i class="ext-cal-ic ext-cal-ic-rem">&#160;</i>',
                    '</tpl>',
                    '<tpl if="_isRecurring">',
                        '<i class="ext-cal-ic ext-cal-ic-rcr">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanLeft">',
                        '<i class="ext-cal-spl">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanRight">',
                        '<i class="ext-cal-spr">&#160;</i>',
                    '</tpl>'
                ].join('')
              },
              
              multiWeekViewCfg: {
                  //weekCount: 3
              },
              
              // Some optional CalendarPanel configs to experiment with:
              //readOnly: true,
              //showDayView: false,
              //showMultiDayView: true,
              //showWeekView: false,
              //showMultiWeekView: false,
              //showMonthView: false,
              //showNavBar: false,
              //showTodayText: false,
              //showTime: false,
              //editModal: true,
              //enableEditDetails: false,
              //title: 'My Calendar', // the header of the calendar, could be a subtitle for the app
              
              // Once this component inits it will set a reference to itself as an application
              // member property for easy reference in other functions within App.
              //~ initComponent: function() {
                  //~ Lino.calendarPanel = this;
                  //~ this.constructor.prototype.initComponent.apply(this, arguments);
              //~ },
              
              listeners: {
                  //~ 'eventclick': {
                      //~ fn: function(vw, rec, el){
                          //~ this.clearMsg();
                      //~ },
                      //~ scope: this
                  //~ },
                  'eventover': function(vw, rec, el){
                      //console.log('Entered evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]', view='+ vw.id +', el='+el.id);
                  },
                  'eventout': function(vw, rec, el){
                      //console.log('Leaving evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]+', view='+ vw.id +', el='+el.id);
                  },
                  'eventadd': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was added');
                      },
                      scope: this
                  },
                  'eventupdate': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(cp, rec){
                          //this.eventStore.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'eventcancel': {
                      fn: function(cp, rec){
                          // edit canceled
                      },
                      scope: this
                  },
                  'viewchange': {
                      fn: function(p, vw, dateInfo){
                          if(this.editWin){
                              this.editWin.hide();
                          };
                          if(dateInfo !== null){
                              // will be null when switching to the event edit form so ignore
                              Ext.getCmp('app-nav-picker').setValue(dateInfo.activeDate);
                              this.updateTitle(dateInfo.viewStart, dateInfo.viewEnd);
                          }
                          
                      },
                      scope: this
                  },
                  'dayclick': {
                      fn: function(vw, dt, ad, el){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'rangeselect': {
                      fn: function(vw, dates, onComplete){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'eventmove': {
                      fn: function(vw, rec){
                          rec.commit();
                          var time = rec.data[Ext.ensible.cal.EventMappings.IsAllDay.name] ? '' : ' \\a\\t g:i a';
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was moved to '+
                              rec.data[Ext.ensible.cal.EventMappings.StartDate.name].format('F jS'+time));
                      },
                      scope: this
                  },
                  'eventresize': {
                      fn: function(vw, rec){
                          rec.commit();
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(win, rec){
                          this.event_store.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'initdrag': {
                      fn: function(vw){
                          if(this.editWin && this.editWin.isVisible()){
                              this.editWin.hide();
                          }
                      },
                      scope: this
                  }
              }
          }]
        }
        //~ ]
        
      });
      
      this.event_store.on('load',function(){
        //~ console.log("20130905 on event_store load",this.event_store.reader.jsonData);
        if (this.event_store.reader.jsonData) {
          //~ console.log("20130808 b",this.event_store.reader.jsonData.title);
          //~ console.log("20130808 c",this);
          cap.set_window_title(this.event_store.reader.jsonData.title);
        }
      },this);
      
      //~ cap.app_instance = this;
      return cap;
      
  }
  ,updateTitle: function(startDt, endDt){
      var p = Ext.getCmp('app-center');
      
      if(startDt.clearTime().getTime() == endDt.clearTime().getTime()){
          p.setTitle(startDt.format('F j, Y'));
      }
      else if(startDt.getFullYear() == endDt.getFullYear()){
          if(startDt.getMonth() == endDt.getMonth()){
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('j, Y'));
          }
          else{
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('F j, Y'));
          }
      }
      else{
          p.setTitle(startDt.format('F j, Y') + ' - ' + endDt.format('F j, Y'));
      }
  }
  // This is an application-specific way to communicate CalendarPanel event messages back to the user.
  // This could be replaced with a function to do "toast" style messages, growl messages, etc. This will
  // vary based on application requirements, which is why it's not baked into the CalendarPanel.
  ,showMsg: function(msg){
      Lino.notify(msg);
      //~ Ext.fly('app-msg').update(msg).removeClass('x-hidden');
  }
  
  ,clearMsg: function(){
      Lino.notify('');
      //~ Ext.fly('app-msg').update('').addClass('x-hidden');
  }
}
};


// from lino_welfare.modlib.sepa (extends_models=['Account']):iban/uppercasetextfield.js

Lino.UppercaseTextField = Ext.extend(Ext.form.TextField,{
  style: 'text-transform:uppercase;',
  listeners:{
    change: function(field, newValue, oldValue){
      // console.log("20140403 UppercaseTextField",newValue, newValue.toUpperCase());
      field.setRawValue(newValue.toUpperCase());
    }
  }
});


Lino.iban_renderer = function(
    value, metaData, record, rowIndex, colIndex, store) 
{
    var reg = new RegExp(".{4}", "g");
    if(value) {
        return value.replace(reg, function (a) { return a + ' '; });
    }
    return value;
}




// from lino_xl.lib.beid (media_name=eidreader):beid/eidreader.js



function uuid() {
  // Copied from https://gist.github.com/jcxplorer/823878
  var uuid = "", i, random;
  for (i = 0; i < 32; i++) {
    random = Math.random() * 16 | 0;

    if (i == 8 || i == 12 || i == 16 || i == 20) {
      uuid += "-"
    }
    uuid += (i == 12 ? 4 : (i == 16 ? (random & 3 | 8) : random)).toString(16);
  }
  return uuid;
};

Lino.beid_read_card_processor = function() {
    // var card = {}
    var my_id = uuid();
    var url = "beid://" + window.location.origin + "/eid/" + my_id;
    // var current_window = window.window;
    console.log("Gonna open", url);
    var popup = window.open(url, "eidreader");
    // while (popup.event) {setTimeout(()=>console.log("waiting", popup.event),1000)};
    // popup.close();
    // current_window.focus();
    return { uuid: my_id, timeout: 0 };

    // var xhttp = new XMLHttpRequest();
    // xhttp.onreadystatechange = function() {
    //     if (this.readyState == 4 && this.status == 200) {
    //         card = JSON.parse(this.responseText);
    //     } else {
    //         console.log("20180412 status ", this.status);
    //     }
    // };
    // xhttp.open("GET", "/eid/" + my_id, false);
    // xhttp.send();

    // return { card_data: card };
}



// from lino.modlib.tinymce (media_name=tinymce-3.5.11):tinymce/tinymce.js

/* Copyright 2009-2018 Rumma & Ko Ltd */


Lino.edit_tinymce_text = function(panel, tinymce_options) {
  // edit the text in own window.
  // `panel` is the RichTextPanel
  // console.log(20150520, panel);
  //~ var rec = panel.get_current_record();
  var rec = panel.containing_panel.get_current_record();
  var value = rec ? rec.data[panel.editor.name] : '';
  var saving = false;
  var todo_after_save = false;
  var discard_changes = false;
  
  
  function save() {
    if (saving) {alert('tried to save again'); return; }
    var url = panel.containing_panel.get_record_url(rec.id);
    var params = Ext.apply({}, panel.containing_panel.get_base_params());
    params[panel.editor.name] = editor.getValue();
    //~ params.su = Lino.subst_user;
    //~ Lino.insert_subst_user(params);

    // 20150325 http://trac.lino-framework.org/ticket/131
    var action_name = panel.containing_panel.save_action_name;
    if (!action_name) 
        action_name = panel.containing_panel.action_name;
    params.an = action_name;

    var a = { 
      params: params, 
      method: 'PUT',
      url: url,
      failure: function() {
          //~ if (editor.ed.getContainer()) 
          editor.ed.setProgressState(0);
          todo_after_save = false;
          saving = false;
          console.log('tinymce.save() failed. sorry.',arguments);
        },
      success: function() {
        saving = false;
        //~ if (editor.ed.getContainer()) 
        editor.ed.setProgressState(0);
        rec.data[panel.editor.name] = editor.getValue();
        if(todo_after_save) {
            var fn = todo_after_save;
            todo_after_save = false;
            fn();
        }
        //~ panel.containing_window.set_current_record(rec);
        panel.refresh();
      }
    };
    //~ if (editor.ed.getContainer()) 
    editor.ed.setProgressState(1); // Show progress
    saving = true;
    //~ console.log(a);
    Ext.Ajax.request(a);
  };
  function save_callback() {
      save();
      //~ save(function(){editor.ed.setDirty(false);})
      /* return true have the save button disabled.  
      That's not perfect because the PUT is asynchronous 
      and the response is not yet known.
      */
      return true;
  }
  //~ var actions = [
    //~ {text:"Save",handler:save}
  //~ ]; 
  //~ console.log(20110610,panel.editor.disabled);
  var settings = {};
  Ext.apply(settings,{
        readonly: panel.editor.disabled,
        //~ language: "de",
        plugins : "save,emotions,spellchecker,advhr,insertdatetime,preview,table,searchreplace,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "save,cancel,|,bold,italic,underline,|,justifyleft,justifycenter,justifyright,fontselect,fontsizeselect,formatselect,|,search,replace",
        theme_advanced_buttons2 : "cut,copy,paste,template,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,link,unlink,anchor,image,|,code,preview,|,forecolor,backcolor",
        theme_advanced_buttons3 : "insertdate,inserttime,|,spellchecker,advhr,,removeformat,|,sub,sup,|,charmap,emotions,|,tablecontrols",
        theme_advanced_resizing : false,
        convert_urls : false,
        save_onsavecallback : save_callback,
        save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
  });
  Ext.apply(settings, tinymce_options);
  var editor = new Ext.ux.TinyMCE({
      value : value,
      tinymceSettings: settings
    });
  var win = new Ext.Window({
    title: rec.title, 
    //~ bbar: actions,
    layout: 'fit',
    items: editor,
    width: 500, 
    height: 400,
    minWidth: 100,
    minHeight: 100,
    modal: true,
    resizable: true,
    maximizable: true,
    //~ maximized: true,
    //~ closeAction: "close"
    closeAction: "hide"
    //~ hideMode: "offsets",
    //~ constrainHeader: true,
    //~ bodyStyle: 'padding: 10px'
  });

  //~ win.on('beforeclose',function() {
  win.on('beforehide',function() {
    if (todo_after_save) return false;
    if (discard_changes) return true;
    if (editor.isDirty()) {
        //~ var ok = false;
        //~ var allowClose = true;
        var config = {title:"Bestätigung"};
        config.buttons = Ext.MessageBox.YESNOCANCEL;
        config.msg = "Save changes to text ?";
        config.modal = true;
        config.fn = function(buttonId,text,opt) {
          //~ console.log('do_when_clean',buttonId)
          if (buttonId == "yes") {
              /* we cancel this close, but save()'s onSuccess will call again.*/
              //~ allowClose = false;
              todo_after_save = function(){win.hide();}
              editor.ed.execCommand('mceSave');
              //~ editor.ed.save(function(){win.close();});
          } else if (buttonId == "no") { 
              discard_changes = true;
              win.hide()
          //~ } else if (buttonId == "cancel") { 
            //~ ok = true;
              //~ allowClose = false;
          //~ } else { 
            //~ console.log('unknwon buttonId:',buttonId);
          }
        }
        Ext.MessageBox.show(config);
        return false;
        //~ return allowClose;
    }
  });
  win.show();
}


Lino.RichTextPanel = Ext.extend(Ext.Panel,Lino.PanelMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,Lino.FieldBoxMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,{
    
  //~ initComponent : function(){
    //~ Lino.RichTextPanel.superclass.initComponent.call(this);
  //~ },
  constructor : function(config, params) {
      // console.log('20150520a Lino.RichTextPanel.initComponent', this);
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + String(rec.id) + "/" + config.name;
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + config.name;
    var t = this;
    var tinymce_options = {
        theme : "advanced",
        content_css: '/static/extjs/lino.css,/static/tinymce_content.css',

        theme_advanced_font_sizes : "12px,13px,14px,16px,18px,20px,24px",
        font_size_style_values : "12px,13px,14px,16px,18px,20px,24px",
        language: 'de',
        //~ template_external_list_url : url,
        theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "left",
        theme_advanced_statusbar_location : "bottom",
        template_popup_width : 500,
        template_popup_height : 400,
        template_replace_values : { 
            data_field : function(element){ 
                //~ console.log(20110722,fieldName,t.containing_window.get_current_record()); 
                var fieldName = element.innerHTML;
                element.innerHTML = t.containing_panel.get_current_record().data[fieldName];
            } 
        }
      };
      
    var editorConfig = {
      tinymceSettings: {
        plugins : "noneditable,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "bold,italic,underline,|,justifyleft,justifycenter,justifyright,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,removeformat,template",
        theme_advanced_buttons2 : "",
        theme_advanced_buttons3 : "", // ,|,sub,sup,|,charmap",      
        theme_advanced_resizing : false
        //~ save_onsavecallback : save_callback,
        //~ save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
        
    }};
    Ext.apply(editorConfig.tinymceSettings, tinymce_options);
    //~ editorConfig.name = config.action_name;
    editorConfig.name = config.name;
    delete config.name;
    //~ config.title = config.label;
    //~ delete config.label;
    this.before_init(config,params);
    
    // console.log('20150520b Lino.RichTextPanel.initComponent', this);

    this.editor = new Ext.ux.TinyMCE(editorConfig);
    var t = this;
    function save_cmd() { 
        // console.log("20150902 save_cmd()", arguments);            
        var cw = t.get_containing_window();
        if (cw) {
            cw.main_item.save();
        }
    }
    this.editor.withEd(function(){
        if (!t.editor.ed.addShortcut(
            'ctrl+s', 'Save the content', save_cmd)) {
            console.log("20150902 addShortcut() failed");            
        };
        // t.editor.ed.onKeyDown.add(function(ed, e) {
        //     if (e.keyCode == 13 && e.ctrlKey) {
        //         save_cmd(); 
        //         return tinymce.dom.Event.cancel(e); 
        //         // e.preventDefault();
        //         // http://stackoverflow.com/questions/18971284/event-preventdefault-vs-return-false-no-jquery
        //     }
        // });
    });
    config.tools = [{
                      qtip: "Edit text in own window", 
                      id: "up",
                      handler: function(){
                        if(t.editor.isDirty()) {
                            var record = t.containing_panel.get_current_record();
                            record.data[t.editor.name] = t.editor.getValue();
                        }
                        Lino.edit_tinymce_text(t, tinymce_options)
                      }
                    }];
    
    config.items = this.editor;
    config.layout = "fit";
    // console.log('20150520c Lino.RichTextPanel.initComponent', this);
    Lino.RichTextPanel.superclass.constructor.call(this, config);
    // console.log('20150520d Lino.RichTextPanel.initComponent', this);
  },
  getValue : function(v) {
      return this.editor.getValue(v);
  },
  refresh : function(unused) { 
      this.refresh_with_after();
  },
  /* RichTextPanel */
  refresh_with_after : function(after) {
    // when called from the dashboard:    
    if (!this.containing_panel.get_current_record) { return; }
    var record = this.containing_panel.get_current_record();
    // console.log('20140504 RichTextPanel.refresh()',
    //             this.title,record.title, record);
    var todo = function() {
      if (record) {
        var url = '/tinymce/templates' 
              + this.containing_panel.ls_url + "/" 
              + String(record.id) + "/" + this.editor.name;
        // console.log('20150415 RichTextPanel.refresh()',url);
        if (this.editor.ed)
            this.editor.ed.settings.template_external_list_url = url;
            // else {console.log("20150415 no editor")}
        this.set_base_params(this.containing_panel.get_master_params());
        //~ var v = record ? this.format_data(record.data[this.editor.name]) : ''
        var v = this.format_data(record.data[this.editor.name])
        this.editor.setValue(v);
      } else {
        this.editor.setValue('(no data)');
      }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.RichTextPanel,Lino.FieldBoxMixin);

Lino.main_menu = [ { "menu": { "items": [ { "handler": function() {Lino.contacts.Persons.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all persons.") }, "text": "Personen" }, { "handler": function() {Lino.pcsw.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": " \u25b6 Klienten" }, { "handler": function() {Lino.contacts.Companies.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Organisationen" }, "-", { "handler": function() {Lino.contacts.Partners.grid.run(null)}, "text": "Partner (alle)" }, { "handler": function() {Lino.households.Households.grid.run(null)}, "text": "Haushalte" } ] }, "text": "Kontakte" }, { "menu": { "items": [ { "handler": function() {Lino.notify.MyMessages.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows messages emitted to me.") }, "text": "Meine Benachrichtigungen" }, { "handler": function() {Lino.excerpts.MyExcerpts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for all tables on Excerpt.") }, "text": "Meine Ausz\u00fcge" }, { "handler": function() {Lino.uploads.MyExpiringUploads.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the upload files that are marked as Upload.needed and whose\nUpload.end_date is within a given period.") }, "text": "Meine ablaufenden Upload-Dateien" }, { "handler": function() {Lino.uploads.MyUploads.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for all data views of upload files.") }, "text": "Meine Upload-Dateien" }, { "handler": function() {Lino.outbox.MyOutbox.grid.run(null)}, "text": "Mein E-Mail-Ausgang" }, { "handler": function() {Lino.notes.MyNotes.grid.run(null)}, "text": "Meine Ereignisse/Notizen" }, { "handler": function() {Lino.checkdata.MyProblems.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the problem messages assigned to me.") }, "text": "Meine Datenkontrollliste" } ] }, "text": "B\u00fcro" }, { "menu": { "items": [ { "handler": function() {Lino.extensible.CalendarPanel.grid.run(null)}, "iconCls": "x-tbar-calendar", "listeners": { "render": Lino.quicktip_renderer("Foo","Displays your events in a \"calendar view\"     with the possibility to switch between daily, weekly, monthly view.") }, "text": "Kalender" }, { "handler": function() {Lino.cal.MyEntries.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the appointments for which I am responsible.") }, "text": "Meine Termine" }, { "handler": function() {Lino.cal.MyUnconfirmedAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows my appointments in the near future which are in suggested or\ndraft state.") }, "text": "Meine unbest\u00e4tigten Termine" }, { "handler": function() {Lino.cal.MyTasks.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows my tasks whose start date is today or in the future.") }, "text": "Meine Aufgaben" }, { "handler": function() {Lino.cal.MyGuests.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The default table of presences.") }, "text": "Meine G\u00e4ste" }, { "handler": function() {Lino.cal.MyPresences.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all my presences in calendar events, independently of their\nstate.") }, "text": "Meine Anwesenheiten" }, { "handler": function() {Lino.cal.MyOverdueAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Like OverdueAppointments, but only for myself.") }, "text": "Meine \u00fcberf\u00e4lligen Termine" } ] }, "text": "Kalender" }, { "menu": { "items": [ { "handler": function() {Lino.reception.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Klienten" }, { "handler": function() {Lino.cal.EntriesByDay.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","This table is usually labelled \"Appointments today\". It has no\n\"date\" column because it shows events of a given date.It is ordred\nwith increasing times.") }, "text": "Termine heute" }, { "handler": function() {Lino.reception.WaitingVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show waiting visitors (for any user).") }, "text": "Wartende Besucher" }, { "handler": function() {Lino.reception.BusyVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show busy visitors (with any user).") }, "text": "Besch\u00e4ftigte Besucher" }, { "handler": function() {Lino.reception.GoneVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show gone visitors (for any user).") }, "text": "Gegangene Besucher" }, { "handler": function() {Lino.reception.MyWaitingVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show visitors waiting for me.") }, "text": "Meine Warteschlange" } ] }, "text": "Empfang" }, { "menu": { "items": [ { "handler": function() {Lino.pcsw.CoachedClients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Klienten" }, { "handler": function() {Lino.coachings.MyCoachings.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A table showing a set of coachings.") }, "text": "Meine Begleitungen" }, { "handler": function() {Lino.aids.MyPendingGrantings.grid.run(null)}, "text": "Zu best\u00e4tigende Hilfebeschl\u00fcsse" } ] }, "text": "\u00d6SHZ" }, { "menu": { "items": [ { "handler": function() {Lino.integ.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Wie Kontakte --> Klienten, aber mit     DSBE-spezifischen Kolonnen und Filterparametern.") }, "text": "Klienten" }, { "handler": function() {Lino.isip.MyContracts.grid.run(null)}, "text": "VSEs" }, { "handler": function() {Lino.jobs.MyContracts.grid.run(null)}, "text": "Art.60\u00a77-Konventionen" }, { "handler": function() {Lino.jobs.JobProviders.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Stellenanbieter" }, { "handler": function() {Lino.jobs.Jobs.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","\n    Eine Stelle ist ein Arbeitsplatz bei einem Stellenabieter.\n    ") }, "text": "Stellen" }, { "handler": function() {Lino.jobs.Offers.grid.run(null)}, "text": "Stellenangebote" }, { "handler": function() {Lino.art61.MyContracts.grid.run(null)}, "text": "Art.61-Konventionen" }, { "menu": { "items": [ { "handler": function() {Lino.cbss.MyIdentifyPersonRequests.grid.run(null)}, "text": "Meine IdentifyPerson-Anfragen" }, { "handler": function() {Lino.cbss.MyManageAccessRequests.grid.run(null)}, "text": "Meine ManageAccess-Anfragen" }, { "handler": function() {Lino.cbss.MyRetrieveTIGroupsRequests.grid.run(null)}, "text": "Meine Tx25-Anfragen" } ] }, "text": "ZDSS" } ] }, "text": "DSBE" }, { "menu": { "items": [ { "handler": function() {Lino.xcourses.CourseProviders.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Kursanbieter" }, { "handler": function() {Lino.xcourses.CourseOffers.grid.run(null)}, "text": "Kursangebote" }, { "handler": function() {Lino.xcourses.PendingCourseRequests.grid.run(null)}, "text": "Offene Kursanfragen" } ] }, "text": "Kurse" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.integ.UsersWithClients.grid.run(null)}, "text": "Benutzer und ihre Klienten" }, { "handler": function() {Lino.jobs.JobsOverview.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A special kind of EmptyTable used to create \"reports\".  A report\nis a series of headings, paragraphs and tables combined into a single\nprintable and previewable document.") }, "text": "\u00dcbersicht Art.60\u00a77-Konventionen" }, { "handler": function() {Lino.integ.ActivityReport.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A special kind of EmptyTable used to create \"reports\".  A report\nis a series of headings, paragraphs and tables combined into a single\nprintable and previewable document.") }, "text": "T\u00e4tigkeitsbericht" } ] }, "text": "DSBE" } ] }, "text": "Berichte" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.tinymce.MyTextFieldTemplates.grid.run(null)}, "text": "Meine Einf\u00fcgetexte" } ] }, "text": "B\u00fcro" } ] }, "text": "Konfigurierung" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.contacts.Partners.grid.run(null)}, "text": "Partner" } ] }, "text": "Kontakte" }, { "menu": { "items": [ { "handler": function() {Lino.b2c.Accounts.grid.run(null)}, "text": "Importierte  Bankkonten" }, { "handler": function() {Lino.b2c.Statements.grid.run(null)}, "text": "Kontoausz\u00fcge" }, { "handler": function() {Lino.b2c.Transactions.grid.run(null)}, "text": "Transaktionen" } ] }, "text": "SEPA" }, { "menu": { "items": [ { "handler": function() {Lino.isip.Contracts.grid.run(null)}, "text": "VSEs" }, { "handler": function() {Lino.jobs.Contracts.grid.run(null)}, "text": "Art.60\u00a77-Konventionen" }, { "handler": function() {Lino.art61.Contracts.grid.run(null)}, "text": "Art.61-Konventionen" } ] }, "text": "DSBE" } ] }, "text": "Explorer" }, { "menu": { "items": [ { "handler": function() {Lino.about.About.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A dialog window which displays some information about the site.") }, "text": "Info" } ] }, "text": "Site" }, { "handler": function() {Lino.handle_home_button()}, "text": "Startseite" }, { "handler": function() {Lino.set_user_language("de")}, "text": "de" }, { "handler": function() {Lino.set_user_language("fr")}, "text": "fr" }, { "handler": function() {Lino.set_user_language("en")}, "text": "en" } ];
Ext.namespace('Lino.system.SiteConfigs')
Ext.namespace('Lino.countries.Countries')
Ext.namespace('Lino.countries.Places')
Ext.namespace('Lino.contacts.Partners')
Ext.namespace('Lino.contacts.Persons')
Ext.namespace('Lino.contacts.CompanyTypes')
Ext.namespace('Lino.contacts.Companies')
Ext.namespace('Lino.contacts.RoleTypes')
Ext.namespace('Lino.contacts.Roles')
Ext.namespace('Lino.gfks.ContentTypes')
Ext.namespace('Lino.gfks.HelpTexts')
Ext.namespace('Lino.notify.Messages')
Ext.namespace('Lino.notify.AllMessages')
Ext.namespace('Lino.notify.MyMessages')
Ext.namespace('Lino.changes.Changes')
Ext.namespace('Lino.properties.PropGroups')
Ext.namespace('Lino.properties.PropTypes')
Ext.namespace('Lino.properties.Properties')
Ext.namespace('Lino.properties.PropChoices')
Ext.namespace('Lino.checkdata.Problems')
Ext.namespace('Lino.checkdata.AllProblems')
Ext.namespace('Lino.checkdata.MyProblems')
Ext.namespace('Lino.addresses.Addresses')
Ext.namespace('Lino.excerpts.ExcerptTypes')
Ext.namespace('Lino.excerpts.Excerpts')
Ext.namespace('Lino.excerpts.AllExcerpts')
Ext.namespace('Lino.excerpts.MyExcerpts')
Ext.namespace('Lino.uploads.Volumes')
Ext.namespace('Lino.uploads.UploadTypes')
Ext.namespace('Lino.uploads.Uploads')
Ext.namespace('Lino.uploads.AllUploads')
Ext.namespace('Lino.uploads.MyUploads')
Ext.namespace('Lino.uploads.AreaUploads')
Ext.namespace('Lino.uploads.MyExpiringUploads')
Ext.namespace('Lino.outbox.Recipients')
Ext.namespace('Lino.outbox.Mails')
Ext.namespace('Lino.outbox.Attachments')
Ext.namespace('Lino.cal.RemoteCalendars')
Ext.namespace('Lino.cal.Rooms')
Ext.namespace('Lino.cal.AllRooms')
Ext.namespace('Lino.cal.Calendars')
Ext.namespace('Lino.cal.Subscriptions')
Ext.namespace('Lino.cal.Tasks')
Ext.namespace('Lino.cal.MyTasks')
Ext.namespace('Lino.cal.GuestRoles')
Ext.namespace('Lino.cal.Guests')
Ext.namespace('Lino.cal.AllGuests')
Ext.namespace('Lino.cal.MyPresences')
Ext.namespace('Lino.cal.MyPendingPresences')
Ext.namespace('Lino.cal.MyGuests')
Ext.namespace('Lino.cal.EventTypes')
Ext.namespace('Lino.cal.RecurrentEvents')
Ext.namespace('Lino.cal.Events')
Ext.namespace('Lino.cal.AllEntries')
Ext.namespace('Lino.cal.PublicEntries')
Ext.namespace('Lino.cal.EntriesByDay')
Ext.namespace('Lino.cal.OneEvent')
Ext.namespace('Lino.cal.MyEntries')
Ext.namespace('Lino.cal.MyEntriesToday')
Ext.namespace('Lino.cal.MyAssignedEvents')
Ext.namespace('Lino.cal.OverdueAppointments')
Ext.namespace('Lino.cal.MyOverdueAppointments')
Ext.namespace('Lino.cal.MyUnconfirmedAppointments')
Ext.namespace('Lino.cal.EventPolicies')
Ext.namespace('Lino.extensible.PanelCalendars')
Ext.namespace('Lino.extensible.PanelEvents')
Ext.namespace('Lino.reception.ExpectedGuests')
Ext.namespace('Lino.reception.BusyVisitors')
Ext.namespace('Lino.reception.WaitingVisitors')
Ext.namespace('Lino.reception.GoneVisitors')
Ext.namespace('Lino.reception.MyWaitingVisitors')
Ext.namespace('Lino.reception.MyBusyVisitors')
Ext.namespace('Lino.reception.MyGoneVisitors')
Ext.namespace('Lino.cv.LanguageKnowledges')
Ext.namespace('Lino.cv.AllLanguageKnowledges')
Ext.namespace('Lino.cv.EducationLevels')
Ext.namespace('Lino.cv.StudyTypes')
Ext.namespace('Lino.cv.Trainings')
Ext.namespace('Lino.cv.AllTrainings')
Ext.namespace('Lino.cv.Studies')
Ext.namespace('Lino.cv.Statuses')
Ext.namespace('Lino.cv.Regimes')
Ext.namespace('Lino.cv.Durations')
Ext.namespace('Lino.cv.Sectors')
Ext.namespace('Lino.cv.Functions')
Ext.namespace('Lino.cv.Experiences')
Ext.namespace('Lino.cv.PersonProperties')
Ext.namespace('Lino.pcsw.Clients')
Ext.namespace('Lino.pcsw.CoachedClients')
Ext.namespace('Lino.pcsw.AllClients')
Ext.namespace('Lino.pcsw.PersonGroups')
Ext.namespace('Lino.pcsw.Activities')
Ext.namespace('Lino.pcsw.DispenseReasons')
Ext.namespace('Lino.pcsw.Dispenses')
Ext.namespace('Lino.pcsw.ExclusionTypes')
Ext.namespace('Lino.pcsw.Exclusions')
Ext.namespace('Lino.pcsw.Convictions')
Ext.namespace('Lino.pcsw.AidTypes')
Ext.namespace('Lino.coachings.CoachingTypes')
Ext.namespace('Lino.coachings.CoachingEndings')
Ext.namespace('Lino.coachings.Coachings')
Ext.namespace('Lino.reception.Clients')
Ext.namespace('Lino.boards.Boards')
Ext.namespace('Lino.boards.Members')
Ext.namespace('Lino.households.Types')
Ext.namespace('Lino.households.Households')
Ext.namespace('Lino.households.Members')
Ext.namespace('Lino.isip.ContractTypes')
Ext.namespace('Lino.isip.ExamPolicies')
Ext.namespace('Lino.isip.ContractEndings')
Ext.namespace('Lino.isip.ContractPartners')
Ext.namespace('Lino.isip.Contracts')
Ext.namespace('Lino.isip.MyContracts')
Ext.namespace('Lino.jobs.Schedules')
Ext.namespace('Lino.jobs.JobProviders')
Ext.namespace('Lino.jobs.ContractTypes')
Ext.namespace('Lino.jobs.Contracts')
Ext.namespace('Lino.jobs.MyContracts')
Ext.namespace('Lino.jobs.Offers')
Ext.namespace('Lino.jobs.Candidatures')
Ext.namespace('Lino.jobs.Jobs')
Ext.namespace('Lino.jobs.JobTypes')
Ext.namespace('Lino.jobs.ContractsSearch')
Ext.namespace('Lino.ledger.Accounts')
Ext.namespace('Lino.ledger.Journals')
Ext.namespace('Lino.ledger.JournalsOverview')
Ext.namespace('Lino.ledger.AccountingPeriods')
Ext.namespace('Lino.ledger.PaymentTerms')
Ext.namespace('Lino.ledger.PaymentMethods')
Ext.namespace('Lino.ledger.AllVouchers')
Ext.namespace('Lino.ledger.MatchRules')
Ext.namespace('Lino.ledger.PartnerVouchers')
Ext.namespace('Lino.ledger.GeneralAccountBalances')
Ext.namespace('Lino.ledger.PartnerBalancesByTradeType')
Ext.namespace('Lino.ledger.Movements')
Ext.namespace('Lino.ledger.AllMovements')
Ext.namespace('Lino.ledger.MyMovements')
Ext.namespace('Lino.ledger.FiscalYears')
Ext.namespace('Lino.vatless.Invoices')
Ext.namespace('Lino.sepa.Accounts')
Ext.namespace('Lino.b2c.Accounts')
Ext.namespace('Lino.b2c.Statements')
Ext.namespace('Lino.b2c.Transactions')
Ext.namespace('Lino.finan.FinancialVouchers')
Ext.namespace('Lino.finan.JournalEntries')
Ext.namespace('Lino.finan.PaymentOrders')
Ext.namespace('Lino.finan.BankStatements')
Ext.namespace('Lino.finan.AllBankStatements')
Ext.namespace('Lino.finan.AllJournalEntries')
Ext.namespace('Lino.finan.AllPaymentOrders')
Ext.namespace('Lino.finan.DisbursementOrders')
Ext.namespace('Lino.languages.Languages')
Ext.namespace('Lino.integ.Clients')
Ext.namespace('Lino.integ.CoachingEndingsByUser')
Ext.namespace('Lino.integ.CoachingEndingsByType')
Ext.namespace('Lino.integ.ContractEndingsByType')
Ext.namespace('Lino.integ.JobsContractEndingsByType')
Ext.namespace('Lino.users.AllUsers')
Ext.namespace('Lino.users.UsersOverview')
Ext.namespace('Lino.users.Me')
Ext.namespace('Lino.users.Authorities')
Ext.namespace('Lino.users.Sessions')
Ext.namespace('Lino.integ.ContractsPerUserAndContractType')
Ext.namespace('Lino.integ.JobsContractsPerUserAndContractType')
Ext.namespace('Lino.integ.StudyTypesAndContracts')
Ext.namespace('Lino.integ.CompaniesAndContracts')
Ext.namespace('Lino.integ.JobProvidersAndContracts')
Ext.namespace('Lino.art61.ContractTypes')
Ext.namespace('Lino.art61.Contracts')
Ext.namespace('Lino.art61.MyContracts')
Ext.namespace('Lino.xcourses.CourseProviders')
Ext.namespace('Lino.xcourses.CourseContents')
Ext.namespace('Lino.xcourses.CourseOffers')
Ext.namespace('Lino.xcourses.Courses')
Ext.namespace('Lino.xcourses.CourseRequests')
Ext.namespace('Lino.xcourses.PendingCourseRequests')
Ext.namespace('Lino.newcomers.Brokers')
Ext.namespace('Lino.newcomers.Faculties')
Ext.namespace('Lino.newcomers.Competences')
Ext.namespace('Lino.newcomers.NewClients')
Ext.namespace('Lino.newcomers.AvailableCoaches')
Ext.namespace('Lino.cbss.Sectors')
Ext.namespace('Lino.cbss.Purposes')
Ext.namespace('Lino.cbss.IdentifyPersonRequests')
Ext.namespace('Lino.cbss.AllIdentifyPersonRequests')
Ext.namespace('Lino.cbss.MyIdentifyPersonRequests')
Ext.namespace('Lino.cbss.ManageAccessRequests')
Ext.namespace('Lino.cbss.AllManageAccessRequests')
Ext.namespace('Lino.cbss.MyManageAccessRequests')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.AllRetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.MyRetrieveTIGroupsRequests')
Ext.namespace('Lino.humanlinks.Links')
Ext.namespace('Lino.debts.Clients')
Ext.namespace('Lino.debts.Groups')
Ext.namespace('Lino.debts.Accounts')
Ext.namespace('Lino.debts.Actors')
Ext.namespace('Lino.debts.Budgets')
Ext.namespace('Lino.debts.MyBudgets')
Ext.namespace('Lino.debts.Entries')
Ext.namespace('Lino.debts.EntriesByType')
Ext.namespace('Lino.notes.NoteTypes')
Ext.namespace('Lino.notes.EventTypes')
Ext.namespace('Lino.notes.Notes')
Ext.namespace('Lino.notes.AllNotes')
Ext.namespace('Lino.notes.MyNotes')
Ext.namespace('Lino.aids.Categories')
Ext.namespace('Lino.aids.AidTypes')
Ext.namespace('Lino.aids.Grantings')
Ext.namespace('Lino.aids.AllGrantings')
Ext.namespace('Lino.aids.MyPendingGrantings')
Ext.namespace('Lino.aids.SimpleConfirmations')
Ext.namespace('Lino.aids.AllSimpleConfirmations')
Ext.namespace('Lino.aids.IncomeConfirmations')
Ext.namespace('Lino.aids.AllIncomeConfirmations')
Ext.namespace('Lino.aids.RefundConfirmations')
Ext.namespace('Lino.aids.AllRefundConfirmations')
Ext.namespace('Lino.esf.Summaries')
Ext.namespace('Lino.esf.AllSummaries')
Ext.namespace('Lino.dashboard.Widgets')
Ext.namespace('Lino.dashboard.AllWidgets')
Ext.namespace('Lino.dupable_clients.Words')
Ext.namespace('Lino.tinymce.TextFieldTemplates')
Ext.namespace('Lino.tinymce.MyTextFieldTemplates')
Ext.namespace('Lino.clients.ClientContactTypes')
Ext.namespace('Lino.clients.ClientContacts')
Ext.namespace('Lino.cal.EntryRepeaterTable')
Ext.namespace('Lino.ledger.LedgerInfoTable')
Ext.namespace('Lino.finan.JournalEntryItemTable')
Ext.namespace('Lino.finan.BankStatementItemTable')
Ext.namespace('Lino.finan.PaymentOrderItemTable')
Ext.namespace('Lino.vatless.InvoiceItemTable')
Ext.namespace('Lino.countries.PlacesByPlace')
Ext.namespace('Lino.countries.PlacesByCountry')
Ext.namespace('Lino.contacts.PartnersByCity')
Ext.namespace('Lino.contacts.PartnersByCountry')
Ext.namespace('Lino.contacts.RolesByCompany')
Ext.namespace('Lino.contacts.RolesByPerson')
Ext.namespace('Lino.properties.PropsByGroup')
Ext.namespace('Lino.properties.PropsByType')
Ext.namespace('Lino.properties.ChoicesByType')
Ext.namespace('Lino.checkdata.ProblemsByChecker')
Ext.namespace('Lino.addresses.AddressesByPartner')
Ext.namespace('Lino.addresses.AddressesByCity')
Ext.namespace('Lino.excerpts.ExcerptsByType')
Ext.namespace('Lino.excerpts.ExcerptsByProject')
Ext.namespace('Lino.uploads.UploadsByType')
Ext.namespace('Lino.uploads.UploadsByProject')
Ext.namespace('Lino.outbox.RecipientsByMail')
Ext.namespace('Lino.outbox.MyOutbox')
Ext.namespace('Lino.outbox.MailsByUser')
Ext.namespace('Lino.outbox.MailsByProject')
Ext.namespace('Lino.outbox.SentByPartner')
Ext.namespace('Lino.outbox.AttachmentsByMail')
Ext.namespace('Lino.cal.SubscriptionsByUser')
Ext.namespace('Lino.cal.SubscriptionsByCalendar')
Ext.namespace('Lino.cal.TasksByUser')
Ext.namespace('Lino.cal.TasksByProject')
Ext.namespace('Lino.cal.GuestsByEvent')
Ext.namespace('Lino.cal.GuestsByRole')
Ext.namespace('Lino.cal.GuestsByPartner')
Ext.namespace('Lino.cal.EntriesByType')
Ext.namespace('Lino.cal.ConflictingEvents')
Ext.namespace('Lino.cal.EntriesByRoom')
Ext.namespace('Lino.cal.EntriesByProject')
Ext.namespace('Lino.cal.EntriesByGuest')
Ext.namespace('Lino.cal.EntriesByClient')
Ext.namespace('Lino.cal.TasksByClient')
Ext.namespace('Lino.reception.AppointmentsByPartner')
Ext.namespace('Lino.cv.LanguageKnowledgesByPerson')
Ext.namespace('Lino.cv.KnowledgesByLanguage')
Ext.namespace('Lino.cv.StudyTypesByLevel')
Ext.namespace('Lino.cv.TrainingsByCountry')
Ext.namespace('Lino.cv.TrainingsByType')
Ext.namespace('Lino.cv.TrainingsByPerson')
Ext.namespace('Lino.cv.StudiesByCountry')
Ext.namespace('Lino.cv.StudiesByLevel')
Ext.namespace('Lino.cv.StudiesByPlace')
Ext.namespace('Lino.cv.StudiesByType')
Ext.namespace('Lino.cv.StudiesByPerson')
Ext.namespace('Lino.cv.FunctionsBySector')
Ext.namespace('Lino.cv.ExperiencesBySector')
Ext.namespace('Lino.cv.ExperiencesByFunction')
Ext.namespace('Lino.cv.ExperiencesByPerson')
Ext.namespace('Lino.cv.ExperiencesByStatus')
Ext.namespace('Lino.cv.ExperiencesByRegime')
Ext.namespace('Lino.cv.ExperiencesByDuration')
Ext.namespace('Lino.cv.PropsByPerson')
Ext.namespace('Lino.cv.PersonPropsByProp')
Ext.namespace('Lino.cv.ConfiguredPropsByPerson')
Ext.namespace('Lino.cv.SkillsByPerson')
Ext.namespace('Lino.cv.SoftSkillsByPerson')
Ext.namespace('Lino.cv.ObstaclesByPerson')
Ext.namespace('Lino.pcsw.ClientsByNationality')
Ext.namespace('Lino.pcsw.DispensesByClient')
Ext.namespace('Lino.pcsw.ExclusionsByClient')
Ext.namespace('Lino.pcsw.ConvictionsByClient')
Ext.namespace('Lino.coachings.CoachingsByClient')
Ext.namespace('Lino.coachings.CoachingsByEnding')
Ext.namespace('Lino.coachings.CoachingsByUser')
Ext.namespace('Lino.coachings.MyCoachings')
Ext.namespace('Lino.reception.AgentsByClient')
Ext.namespace('Lino.reception.CoachingsByClient')
Ext.namespace('Lino.boards.MembersByBoard')
Ext.namespace('Lino.clients.PartnersByClientContactType')
Ext.namespace('Lino.households.HouseholdsByType')
Ext.namespace('Lino.households.MembersByHousehold')
Ext.namespace('Lino.households.SiblingsByPerson')
Ext.namespace('Lino.households.MembersByPerson')
Ext.namespace('Lino.households.RefundsByPerson')
Ext.namespace('Lino.isip.PartnersByContract')
Ext.namespace('Lino.isip.ContractsByClient')
Ext.namespace('Lino.isip.ContractsByPolicy')
Ext.namespace('Lino.isip.ContractsByType')
Ext.namespace('Lino.isip.ContractsByEnding')
Ext.namespace('Lino.isip.ContractsByStudyType')
Ext.namespace('Lino.jobs.ContractsByClient')
Ext.namespace('Lino.jobs.ContractsByProvider')
Ext.namespace('Lino.jobs.ContractsByPolicy')
Ext.namespace('Lino.jobs.ContractsByType')
Ext.namespace('Lino.jobs.ContractsByEnding')
Ext.namespace('Lino.jobs.ContractsByJob')
Ext.namespace('Lino.jobs.ContractsByRegime')
Ext.namespace('Lino.jobs.ContractsBySchedule')
Ext.namespace('Lino.jobs.CandidaturesByPerson')
Ext.namespace('Lino.jobs.CandidaturesBySector')
Ext.namespace('Lino.jobs.CandidaturesByFunction')
Ext.namespace('Lino.jobs.CandidaturesByJob')
Ext.namespace('Lino.jobs.CandidaturesByOffer')
Ext.namespace('Lino.jobs.ExperiencesByOffer')
Ext.namespace('Lino.jobs.JobsByProvider')
Ext.namespace('Lino.jobs.JobsByType')
Ext.namespace('Lino.jobs.JobsOverviewByType')
Ext.namespace('Lino.ledger.MatchRulesByAccount')
Ext.namespace('Lino.ledger.MatchRulesByJournal')
Ext.namespace('Lino.ledger.MovementsByVoucher')
Ext.namespace('Lino.ledger.MovementsByPartner')
Ext.namespace('Lino.ledger.MovementsByProject')
Ext.namespace('Lino.ledger.MovementsByAccount')
Ext.namespace('Lino.ledger.MovementsByMatch')
Ext.namespace('Lino.vatless.ItemsByInvoice')
Ext.namespace('Lino.vatless.ItemsByProjectInvoice')
Ext.namespace('Lino.vatless.InvoicesByJournal')
Ext.namespace('Lino.vatless.ProjectInvoicesByJournal')
Ext.namespace('Lino.sepa.AccountsByPartner')
Ext.namespace('Lino.sepa.AccountsByClient')
Ext.namespace('Lino.b2c.StatementsByAccount')
Ext.namespace('Lino.b2c.TransactionsByStatement')
Ext.namespace('Lino.finan.PaymentOrdersByJournal')
Ext.namespace('Lino.finan.JournalEntriesByJournal')
Ext.namespace('Lino.finan.BankStatementsByJournal')
Ext.namespace('Lino.finan.ItemsByJournalEntry')
Ext.namespace('Lino.finan.ItemsByBankStatement')
Ext.namespace('Lino.finan.ItemsByPaymentOrder')
Ext.namespace('Lino.finan.ItemsByDisbursementOrder')
Ext.namespace('Lino.finan.DisbursementOrdersByJournal')
Ext.namespace('Lino.users.AuthoritiesGiven')
Ext.namespace('Lino.users.AuthoritiesTaken')
Ext.namespace('Lino.art61.ContractsByClient')
Ext.namespace('Lino.art61.ContractsByProvider')
Ext.namespace('Lino.art61.ContractsByPolicy')
Ext.namespace('Lino.art61.ContractsByType')
Ext.namespace('Lino.art61.ContractsByEnding')
Ext.namespace('Lino.xcourses.CourseOffersByProvider')
Ext.namespace('Lino.xcourses.CourseOffersByContent')
Ext.namespace('Lino.xcourses.CoursesByOffer')
Ext.namespace('Lino.xcourses.CourseRequestsByPerson')
Ext.namespace('Lino.xcourses.CourseRequestsByContent')
Ext.namespace('Lino.xcourses.RequestsByCourse')
Ext.namespace('Lino.xcourses.ParticipantsByCourse')
Ext.namespace('Lino.xcourses.CandidatesByCourse')
Ext.namespace('Lino.newcomers.CompetencesByUser')
Ext.namespace('Lino.newcomers.CompetencesByFaculty')
Ext.namespace('Lino.newcomers.MyCompetences')
Ext.namespace('Lino.newcomers.ClientsByFaculty')
Ext.namespace('Lino.newcomers.AvailableCoachesByClient')
Ext.namespace('Lino.cbss.IdentifyRequestsByPerson')
Ext.namespace('Lino.cbss.ManageAccessRequestsByPerson')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequestsByPerson')
Ext.namespace('Lino.humanlinks.LinksByHuman')
Ext.namespace('Lino.debts.AccountsByGroup')
Ext.namespace('Lino.debts.ActorsByBudget')
Ext.namespace('Lino.debts.ActorsByPartner')
Ext.namespace('Lino.debts.BudgetsByPartner')
Ext.namespace('Lino.debts.EntriesByAccount')
Ext.namespace('Lino.debts.EntriesByBudget')
Ext.namespace('Lino.debts.ExpensesByBudget')
Ext.namespace('Lino.debts.IncomesByBudget')
Ext.namespace('Lino.debts.LiabilitiesByBudget')
Ext.namespace('Lino.debts.AssetsByBudget')
Ext.namespace('Lino.debts.DistByBudget')
Ext.namespace('Lino.notes.NotesByType')
Ext.namespace('Lino.notes.NotesByEventType')
Ext.namespace('Lino.notes.NotesByProject')
Ext.namespace('Lino.notes.NotesByCompany')
Ext.namespace('Lino.notes.NotesByPerson')
Ext.namespace('Lino.aids.GrantingsByClient')
Ext.namespace('Lino.aids.GrantingsByType')
Ext.namespace('Lino.aids.SimpleConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByCategory')
Ext.namespace('Lino.aids.RefundConfirmationsByGranting')
Ext.namespace('Lino.esf.SummariesByClient')
Ext.namespace('Lino.dashboard.WidgetsByUser')
Ext.namespace('Lino.dupable_clients.WordsByOwner')
Ext.namespace('Lino.clients.ContactsByClient')
Ext.namespace('Lino.clients.ClientContactsByType')
Ext.namespace('Lino.clients.ClientContactsByCompany')
Ext.namespace('Lino.clients.ClientContactsByPerson')
Ext.namespace('Lino.gfks.HelpTextsByModel')
Ext.namespace('Lino.changes.ChangesByObject')
Ext.namespace('Lino.changes.ChangesByMaster')
Ext.namespace('Lino.checkdata.ProblemsByOwner')
Ext.namespace('Lino.excerpts.ExcerptsByOwner')
Ext.namespace('Lino.uploads.UploadsByController')
Ext.namespace('Lino.outbox.MailsByController')
Ext.namespace('Lino.outbox.AttachmentsByController')
Ext.namespace('Lino.cal.TasksByController')
Ext.namespace('Lino.cal.EntriesByController')
Ext.namespace('Lino.isip.DelegatedTasksByContract')
Ext.namespace('Lino.isip.EntriesByContract')
Ext.namespace('Lino.notes.NotesByOwner')
Ext.namespace('Lino.gfks.BrokenGFKs')
Ext.namespace('Lino.gfks.BrokenGFKsByModel')
Ext.namespace('Lino.reception.FindDateByClientTable')
Ext.namespace('Lino.ledger.ExpectedMovements')
Ext.namespace('Lino.ledger.DebtsByAccount')
Ext.namespace('Lino.ledger.DebtsByPartner')
Ext.namespace('Lino.ledger.Debtors')
Ext.namespace('Lino.ledger.Creditors')
Ext.namespace('Lino.vatless.VouchersByPartner')
Ext.namespace('Lino.finan.SuggestionsByVoucher')
Ext.namespace('Lino.finan.SuggestionsByJournalEntry')
Ext.namespace('Lino.finan.SuggestionsByPaymentOrder')
Ext.namespace('Lino.finan.SuggestionsByBankStatement')
Ext.namespace('Lino.finan.SuggestionsByVoucherItem')
Ext.namespace('Lino.finan.SuggestionsByBankStatementItem')
Ext.namespace('Lino.finan.SuggestionsByPaymentOrderItem')
Ext.namespace('Lino.integ.UsersWithClients')
Ext.namespace('Lino.integ.CompareRequestsTable')
Ext.namespace('Lino.integ.PeriodicNumbers')
Ext.namespace('Lino.integ.ContractsByType')
Ext.namespace('Lino.users.UserRoles')
Ext.namespace('Lino.cbss.IdentifyPersonResult')
Ext.namespace('Lino.cbss.RetrieveTIGroupsResult')
Ext.namespace('Lino.debts.PrintEntriesByBudget')
Ext.namespace('Lino.debts.SummaryTable')
Ext.namespace('Lino.debts.ResultByBudget')
Ext.namespace('Lino.debts.DebtsByBudget')
Ext.namespace('Lino.debts.AssetsByBudgetSummary')
Ext.namespace('Lino.aids.ConfirmationsByGranting')
Ext.namespace('Lino.dupable_clients.SimilarClients')
Ext.namespace('Lino.system.Dashboard')
Ext.namespace('Lino.about.About')
Ext.namespace('Lino.extensible.CalendarPanel')
Ext.namespace('Lino.jobs.JobsOverview')
Ext.namespace('Lino.integ.ActivityReport')
Ext.namespace('Lino.system.YesNo')
Ext.namespace('Lino.system.Genders')
Ext.namespace('Lino.system.PeriodEvents')
Ext.namespace('Lino.system.DashboardLayouts')
Ext.namespace('Lino.checkdata.Checkers')
Ext.namespace('Lino.printing.BuildMethods')
Ext.namespace('Lino.users.UserTypes')
Ext.namespace('Lino.about.TimeZones')
Ext.namespace('Lino.about.DateFormats')
Ext.namespace('Lino.xl.Priorities')
Ext.namespace('Lino.countries.PlaceTypes')
Ext.namespace('Lino.uploads.Shortcuts')
Ext.namespace('Lino.uploads.UploadAreas')
Ext.namespace('Lino.ledger.DC')
Ext.namespace('Lino.ledger.JournalGroups')
Ext.namespace('Lino.ledger.PeriodStates')
Ext.namespace('Lino.ledger.CommonAccounts')
Ext.namespace('Lino.ledger.VoucherTypes')
Ext.namespace('Lino.ledger.TradeTypes')
Ext.namespace('Lino.ledger.VoucherStates')
Ext.namespace('Lino.contacts.PartnerEvents')
Ext.namespace('Lino.contacts.CivilStates')
Ext.namespace('Lino.notify.MessageTypes')
Ext.namespace('Lino.notify.MailModes')
Ext.namespace('Lino.changes.ChangeTypes')
Ext.namespace('Lino.properties.DoYouLike')
Ext.namespace('Lino.properties.HowWell')
Ext.namespace('Lino.addresses.AddressTypes')
Ext.namespace('Lino.addresses.DataSources')
Ext.namespace('Lino.excerpts.Shortcuts')
Ext.namespace('Lino.cal.DisplayColors')
Ext.namespace('Lino.cal.Weekdays')
Ext.namespace('Lino.cal.YearMonths')
Ext.namespace('Lino.cal.DurationUnits')
Ext.namespace('Lino.cal.Recurrencies')
Ext.namespace('Lino.cal.AccessClasses')
Ext.namespace('Lino.cal.PlannerColumns')
Ext.namespace('Lino.cal.TaskStates')
Ext.namespace('Lino.cal.GuestStates')
Ext.namespace('Lino.cal.EventEvents')
Ext.namespace('Lino.cal.EntryStates')
Ext.namespace('Lino.cal.NotifyBeforeUnits')
Ext.namespace('Lino.clients.ClientEvents')
Ext.namespace('Lino.clients.ClientStates')
Ext.namespace('Lino.clients.KnownContactTypes')
Ext.namespace('Lino.outbox.RecipientTypes')
Ext.namespace('Lino.cal.ReservationStates')
Ext.namespace('Lino.notes.SpecialTypes')
Ext.namespace('Lino.cv.EducationEntryStates')
Ext.namespace('Lino.cv.HowWell')
Ext.namespace('Lino.cv.CefLevel')
Ext.namespace('Lino.beid.ResidenceTypes')
Ext.namespace('Lino.beid.BeIdCardTypes')
Ext.namespace('Lino.cbss.RequestStates')
Ext.namespace('Lino.cbss.ManageActions')
Ext.namespace('Lino.cbss.QueryRegisters')
Ext.namespace('Lino.cbss.RequestLanguages')
Ext.namespace('Lino.pcsw.RefusalReasons')
Ext.namespace('Lino.households.MemberDependencies')
Ext.namespace('Lino.households.MemberRoles')
Ext.namespace('Lino.isip.ContractEvents')
Ext.namespace('Lino.isip.OverlapGroups')
Ext.namespace('Lino.jobs.CandidatureStates')
Ext.namespace('Lino.sepa.AccountTypes')
Ext.namespace('Lino.art61.Subsidizations')
Ext.namespace('Lino.xcourses.CourseRequestStates')
Ext.namespace('Lino.humanlinks.LinkTypes')
Ext.namespace('Lino.debts.AccountTypes')
Ext.namespace('Lino.debts.TableLayouts')
Ext.namespace('Lino.aids.ConfirmationTypes')
Ext.namespace('Lino.aids.AidRegimes')
Ext.namespace('Lino.aids.ConfirmationStates')
Ext.namespace('Lino.esf.ParticipationCertificates')
Ext.namespace('Lino.esf.StatisticalFields')

// ChoiceLists: 
Lino.system.YesNo = [ [ "y", "Ja" ], [ "n", "Nein" ] ];
Lino.system.Genders = [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ];
Lino.system.PeriodEvents = [ [ "10", "Beginnt" ], [ "20", "Ist aktiv" ], [ "30", "Ended" ] ];
Lino.system.DashboardLayouts = [  ];
Lino.checkdata.Checkers = [ [ "addresses.AddressOwnerChecker", "Adressen pr\u00fcfen" ], [ "aids.ConfirmationChecker", "Check for confirmations outside of granted period" ], [ "beid.SSINChecker", "Check for invalid SSINs" ], [ "cal.ConflictingEventsChecker", "Auf Termin\u00fcberschneidungen pr\u00fcfen" ], [ "cal.EventGuestChecker", "Termine ohne Teilnehmer" ], [ "cal.LongEntryChecker", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge" ], [ "cal.ObsoleteEventTypeChecker", "Veraltete generierte Kalendereintr\u00e4ge" ], [ "coachings.ClientCoachingsChecker", "Begleitung pr\u00fcfen" ], [ "countries.PlaceChecker", "Check data of geographical places." ], [ "dupable_clients.SimilarClientsChecker", "Dublettenkontrolle" ], [ "finan.FinancialVoucherItemChecker", "Check for invalid account/partner combination" ], [ "isip.OverlappingContractsChecker", "auf Vertrags\u00fcberschneidungen pr\u00fcfen" ], [ "ledger.VoucherChecker", "Check integrity of ledger vouchers" ], [ "mixins.DupableChecker", "Sind die phonetischen W\u00f6rter aktualisiert?" ], [ "printing.CachedPrintableChecker", "Check for missing target files" ], [ "sepa.BankAccountChecker", "Check for partner mismatches in bank accounts" ], [ "system.BleachChecker", "Find unbleached html content" ], [ "uploads.UploadChecker", "Check metadata of upload files" ], [ "uploads.UploadsFolderChecker", "Find orphaned files in uploads folder" ] ];
Lino.printing.BuildMethods = [ [ "appydoc", "AppyDocBuildMethod" ], [ "appyodt", "AppyOdtBuildMethod" ], [ "appypdf", "AppyPdfBuildMethod" ], [ "appyrtf", "AppyRtfBuildMethod" ], [ "latex", "LatexBuildMethod" ], [ "rtf", "RtfBuildMethod" ], [ "weasy2html", "WeasyHtmlBuildMethod" ], [ "weasy2pdf", "WeasyPdfBuildMethod" ], [ "xml", "XmlBuildMethod" ] ];
Lino.users.UserTypes = [ [ "000", "000 (000 (Anonym))" ], [ "100", "100 (100 (Begleiter im DSBE))" ], [ "110", "110 (110 (Sozialarbeiter DSBE (Verwalter)))" ], [ "120", "120 (120 (Sozialarbeiter DSBE (flexibel)))" ], [ "200", "200 (200 (Berater Erstempfang))" ], [ "210", "210 (210 (Empfangsschalter))" ], [ "220", "220 (220 (Empfangsschalter (flexibel)))" ], [ "300", "300 (300 (Schuldenberater))" ], [ "400", "400 (400 (Sozi))" ], [ "410", "410 (410 (Sozialarbeiter (Verwalter)))" ], [ "420", "420 (420 (Sozialarbeiter ASD (flexibel)))" ], [ "500", "500 (500 (Buchhalter))" ], [ "510", "510 (510 (Buchhalter (Verwalter)))" ], [ "800", "800 (800 (Supervisor))" ], [ "900", "900 (900 (Verwalter))" ], [ "910", "910 (910 (Security advisor))" ] ];
Lino.about.TimeZones = [ [ "01", "UTC" ] ];
Lino.about.DateFormats = [ [ "010", "dd.mm.y" ], [ "020", "dd.mm.yy" ], [ "030", "dd/mm/y" ], [ "040", "dd/mm/yy" ] ];
Lino.xl.Priorities = [ [ "10", "Kritisch" ], [ "20", "Hoch" ], [ "30", "Normal" ], [ "40", "Niedrig" ], [ "50", "Very Low" ] ];
Lino.countries.PlaceTypes = [ [ "10", "Bundesland" ], [ "11", "Division" ], [ "12", "Region" ], [ "13", "Gemeinschaft" ], [ "14", "Territorium" ], [ "20", "Regierungsbezirk" ], [ "21", "Provinz" ], [ "22", "Grafschaft" ], [ "23", "Unterregion" ], [ "24", "Departement" ], [ "25", "Arrondissement" ], [ "26", "Pr\u00e4fektur" ], [ "27", "Distrikt" ], [ "28", "Sektor" ], [ "50", "Stadt" ], [ "51", "Kleinstadt" ], [ "52", "Gemeinde" ], [ "54", "Pfarre" ], [ "55", "Stadtteil" ], [ "56", "Viertel" ], [ "61", "Ortschaft" ], [ "62", "Kleine Ortschaft" ], [ "70", "Dorf" ] ];
Lino.uploads.Shortcuts = [ [ "pcsw.Client.id_document", "Identifizierendes Dokument" ] ];
Lino.uploads.UploadAreas = [ [ "10", "Vertrag" ], [ "90", "Allgemein" ] ];
Lino.ledger.DC = [ [ "D", "Debit" ], [ "C", "Kredit" ] ];
Lino.ledger.JournalGroups = [ [ "10", "Bestellungen Einkauf" ], [ "20", "Rechnungseing\u00e4nge" ], [ "30", "Forderungen" ], [ "40", "Ausgabeanweisungen" ], [ "50", "Zahlungsauftr\u00e4ge" ] ];
Lino.ledger.PeriodStates = [ [ "10", "In Bearbeitung" ], [ "20", "Abgeschlossen" ] ];
Lino.ledger.CommonAccounts = [ [ "1000", "Net income (loss)" ], [ "4000", "Kunden" ], [ "4100", "Lieferanten" ], [ "4200", "Angestellte" ], [ "4300", "Offene Zahlungsauftr\u00e4ge" ], [ "4450", "Auszuf\u00fchrende Ausgabeanweisungen" ], [ "4500", "Steuer\u00e4mter" ], [ "4510", "Geschuldete Mehrwertsteuer" ], [ "4513", "Deklarierte Mehrwertsteuer" ], [ "4520", "Abziehbare Mehrwertsteuer" ], [ "4530", "R\u00fcckzahlbare Mehrwertsteuer" ], [ "4800", "Internal clearings" ], [ "4810", "Granted aids" ], [ "4900", "Wartekonto" ], [ "5500", "BestBank" ], [ "5700", "Kasse" ], [ "6010", "Eink\u00e4ufe von Dienstleistungen" ], [ "6020", "Investierungsk\u00e4ufe" ], [ "6040", "Wareneink\u00e4ufe" ], [ "6300", "L\u00f6hne und Geh\u00e4lter" ], [ "6900", "Net income" ], [ "7000", "Verkauf" ], [ "7900", "Net loss" ] ];
Lino.ledger.VoucherTypes = [ [ "finan.BankStatementsByJournal", "Kontoauszug (finan.BankStatementsByJournal)" ], [ "finan.DisbursementOrdersByJournal", "Ausgabeanweisungen" ], [ "finan.JournalEntriesByJournal", "Diverse Buchung (finan.JournalEntriesByJournal)" ], [ "finan.PaymentOrdersByJournal", "Zahlungsauftrag (finan.PaymentOrdersByJournal)" ], [ "vatless.InvoicesByJournal", "Rechnungen" ], [ "vatless.ProjectInvoicesByJournal", "Project invoices" ] ];
Lino.ledger.TradeTypes = [ [ "P", "Einkauf" ], [ "A", "Hilfen" ], [ "C", "Begleichungen" ] ];
Lino.ledger.VoucherStates = [ [ "10", "Entwurf" ], [ "20", "Registriert" ], [ "30", "Unterschrieben" ], [ "40", "Storniert" ] ];
Lino.contacts.PartnerEvents = [ [ "has_open_movements", "Has open movements" ] ];
Lino.contacts.CivilStates = [ [ "10", "Ledig" ], [ "20", "Verheiratet" ], [ "30", "Verwitwet" ], [ "40", "Geschieden" ], [ "50", "Getrennt von Tisch und Bett" ], [ "51", "Faktisch getrennt" ], [ "60", "Zusammenwohnend" ] ];
Lino.notify.MessageTypes = [ [ "system", "Systemereignis" ], [ "change", "\u00c4nderung" ], [ "cal_event", "Calendar Event" ], [ "reception", "Empfang" ], [ "coachings", "Begleitungen" ], [ "notes", "Notes" ] ];
Lino.notify.MailModes = [ [ "silent", "Keine Benachrichtigungen" ], [ "never", "Keine E-Mails" ], [ "often", "Direkte E-Mail" ], [ "daily", "Eine E-Mail pro Tag" ], [ "weekly", "Eine E-Mail pro Woche" ] ];
Lino.changes.ChangeTypes = [ [ "C", "Erstellen" ], [ "U", "Aktualisierung" ], [ "D", "L\u00f6schen" ], [ "R", "Remove child" ], [ "A", "Add child" ], [ "M", "Fusionieren" ] ];
Lino.properties.DoYouLike = [ [ "0", "blo\u00df nicht" ], [ "1", "eher nicht" ], [ "2", "normal" ], [ "3", "gerne" ], [ "4", "sehr gerne" ] ];
Lino.properties.HowWell = [ [ "0", "gar nicht" ], [ "1", "ein bisschen" ], [ "2", "mittelm\u00e4\u00dfig" ], [ "3", "gut" ], [ "4", "sehr gut" ] ];
Lino.addresses.AddressTypes = [ [ "01", "Offizielle Adresse" ], [ "02", "Ungepr\u00fcfte Adresse" ], [ "03", "Deklarierte Addresse" ], [ "04", "Referenzadresse" ], [ "98", "Veraltet" ], [ "99", "Sonstige" ] ];
Lino.addresses.DataSources = [ [ "01", "Manuell eingegeben" ], [ "02", "Eingelesen von eID-Karte" ] ];
Lino.excerpts.Shortcuts = [ [ "pcsw.Client.cvs_emitted", "Erstellte Lebensl\u00e4ufe" ] ];
Lino.cal.DisplayColors = [ [ "White", "White" ], [ "Silver", "Silver" ], [ "Gray", "Gray" ], [ "Black", "Black" ], [ "Red", "Red" ], [ "Maroon", "Maroon" ], [ "Yellow", "Yellow" ], [ "Olive", "Olive" ], [ "Lime", "Lime" ], [ "Green", "Green" ], [ "Aqua", "Aqua" ], [ "Teal", "Teal" ], [ "Blue", "Blue" ], [ "Navy", "Navy" ], [ "Fuchsia", "Fuchsia" ], [ "Purple", "Purple" ] ];
Lino.cal.Weekdays = [ [ "1", "Montag" ], [ "2", "Dienstag" ], [ "3", "Mittwoch" ], [ "4", "Donnerstag" ], [ "5", "Freitag" ], [ "6", "Samstag" ], [ "7", "Sonntag" ] ];
Lino.cal.YearMonths = [ [ "1", "Januar" ], [ "2", "Februar" ], [ "3", "M\u00e4rz" ], [ "4", "April" ], [ "5", "Mai" ], [ "6", "Juni" ], [ "7", "Juli" ], [ "8", "August" ], [ "9", "September" ], [ "10", "Oktober" ], [ "11", "November" ], [ "12", "Dezember" ] ];
Lino.cal.DurationUnits = [ [ "s", "Sekunden" ], [ "m", "Minuten" ], [ "h", "Stunden" ], [ "D", "Tage" ], [ "W", "Wochen" ], [ "M", "Monate" ], [ "Y", "Jahre" ] ];
Lino.cal.Recurrencies = [ [ "O", "einmalig" ], [ "D", "t\u00e4glich" ], [ "W", "w\u00f6chentlich" ], [ "M", "monatlich" ], [ "Y", "j\u00e4hrlich" ], [ "P", "pro Wochentag" ], [ "E", "Beweglich mit Ostern" ] ];
Lino.cal.AccessClasses = [ [ "10", "Privat" ], [ "20", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")" ], [ "30", "\u00d6ffentlich" ] ];
Lino.cal.PlannerColumns = [ [ "10", "Extern" ], [ "20", "Intern" ] ];
Lino.cal.TaskStates = [ [ "10", "Zu tun" ], [ "15", "Wichtig" ], [ "20", "Begonnen" ], [ "30", "Erledigt" ], [ "50", "Storniert" ] ];
Lino.cal.GuestStates = [ [ "10", "Eingeladen" ], [ "20", "Zugesagt" ], [ "30", "Abgesagt" ], [ "40", "Anwesend" ], [ "44", "Wartet" ], [ "45", "Besch\u00e4ftigt" ], [ "46", "Gegangen" ], [ "50", "Abwesend" ], [ "60", "Entschuldigt" ] ];
Lino.cal.EventEvents = [ [ "10", "Stabil" ], [ "20", "Unstabil" ] ];
Lino.cal.EntryStates = [ [ "10", "Vorschlag" ], [ "20", "Entwurf" ], [ "40", "Ver\u00f6ffentlicht" ], [ "50", "Stattgefunden" ], [ "70", "Storniert" ] ];
Lino.cal.NotifyBeforeUnits = [ [ "10", "Minuten" ], [ "20", "Stunden" ], [ "30", "Tage" ], [ "40", "Wochen" ] ];
Lino.clients.ClientEvents = [ [ "created", "Erstellt" ], [ "modified", "Bearbeitet" ], [ "note", "Notiz" ], [ "dispense", "Dispenz" ], [ "penalty", "AG-Sperre" ], [ "active", "Begleitung" ], [ "isip", "VSE" ], [ "jobs", "Art.60\u00a77-Konvention" ], [ "available", "Verf\u00fcgbar" ], [ "art61", "Art.61-Konvention" ] ];
Lino.clients.ClientStates = [ [ "10", "Neuantrag" ], [ "20", "Abgelehnt" ], [ "30", "Begleitet" ], [ "50", "Ehemalig" ] ];
Lino.clients.KnownContactTypes = [ [ "10", "Begleiter" ], [ "20", "Sonstige" ] ];
Lino.outbox.RecipientTypes = [ [ "to", "Empf\u00e4nger" ], [ "cc", "Kopie an" ], [ "bcc", "Blindkopie an" ] ];
Lino.cal.ReservationStates = [  ];
Lino.notes.SpecialTypes = [ [ "100", "Erstgespr\u00e4ch" ] ];
Lino.cv.EducationEntryStates = [ [ "0", "Erfolgreich abgeschlossen" ], [ "1", "Abbruch" ], [ "2", "in Gang" ] ];
Lino.cv.HowWell = [ [ "0", "gar nicht" ], [ "1", "ein bisschen" ], [ "2", "mittelm\u00e4\u00dfig" ], [ "3", "gut" ], [ "4", "sehr gut" ] ];
Lino.cv.CefLevel = [ [ "A0", "A0" ], [ "A1", "A1" ], [ "A1+", "A1+" ], [ "A2", "A2" ], [ "A2+", "A2+" ], [ "B1", "B1" ], [ "B2", "B2" ], [ "B2+", "B2+" ], [ "C1", "C1" ], [ "C2", "C2" ], [ "C2+", "C2+" ] ];
Lino.beid.ResidenceTypes = [ [ "1", "Bev\u00f6lkerungsregister" ], [ "2", "Fremdenregister" ], [ "3", "Warteregister" ] ];
Lino.beid.BeIdCardTypes = [ [ "01", "Belgischer Staatsb\u00fcrger" ], [ "06", "Kind unter 12 Jahren" ], [ "11", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)" ], [ "12", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)" ], [ "13", "C (Personalausweis f\u00fcr Ausl\u00e4nder)" ], [ "14", "D (Daueraufenthalt - EG)" ], [ "15", "E (Anmeldebescheinigung)" ], [ "16", "E+" ], [ "17", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)" ], [ "18", "F+" ], [ "99", "Eintragungsbescheinigung (Orange Karte)" ] ];
Lino.cbss.RequestStates = [ [ "10", "Versendet" ], [ "20", "Fehlgeschlagen" ], [ "25", "Validiert" ], [ "30", "OK" ], [ "40", "Warnungen" ], [ "50", "Fehlermeldungen" ] ];
Lino.cbss.ManageActions = [ [ "1", "Registrieren" ], [ "2", "Austragen" ], [ "3", "Auflisten" ] ];
Lino.cbss.QueryRegisters = [ [ "1", "Prim\u00e4r" ], [ "2", "Sekund\u00e4r" ], [ "3", "Alle" ] ];
Lino.cbss.RequestLanguages = [ [ "nl", "Niederl\u00e4ndisch" ], [ "fr", "Franz\u00f6sisch" ], [ "de", "Deutsch" ] ];
Lino.pcsw.RefusalReasons = [ [ "10", "Information (keine Begleitung erforderlich)" ], [ "20", "\u00d6SHZ ist nicht zust\u00e4ndig" ], [ "30", "Antragsteller ist nicht zur\u00fcck gekommen" ] ];
Lino.households.MemberDependencies = [ [ "01", "Zu Lasten" ], [ "02", "Nicht zu Lasten" ], [ "03", "Lasten geteilt" ] ];
Lino.households.MemberRoles = [ [ "01", "Vorstand" ], [ "02", "Ehepartner" ], [ "03", "Partner" ], [ "04", "Mitbewohner" ], [ "05", "Kind" ], [ "06", "Verwandt" ], [ "07", "Adoptivkind" ], [ "08", "Pflegekind" ], [ "10", "Sonstige" ] ];
Lino.isip.ContractEvents = [ [ "10", "Aktiv" ], [ "20", "Gestartet" ], [ "30", "Beendet" ], [ "40", "Beschlossen" ], [ "50", "Ausgestellt" ] ];
Lino.isip.OverlapGroups = [ [ "10", "Vorstrafen" ], [ "20", "Ausbildungen" ] ];
Lino.jobs.CandidatureStates = [ [ "10", "Aktiv" ], [ "20", "Probezeit" ], [ "25", "Probezeit ohne Erfolg" ], [ "27", "Arbeitet" ], [ "30", "Inaktiv" ] ];
Lino.sepa.AccountTypes = [ [ "01", "Giro" ], [ "02", "Sparkonto" ], [ "03", "Deposits" ], [ "04", "Sonstige" ] ];
Lino.art61.Subsidizations = [ [ "10", "Activa" ], [ "20", "Tutorate" ], [ "30", "Walloon Region" ], [ "40", "SINE" ], [ "50", "PTP" ] ];
Lino.xcourses.CourseRequestStates = [ [ "10", "Offen" ], [ "20", "Eingetragen" ], [ "30", "Bestanden" ], [ "40", "Gut bestanden" ], [ "50", "Nicht bestanden" ], [ "60", "Abgebrochen" ], [ "70", "Inaktiv" ] ];
Lino.humanlinks.LinkTypes = [ [ "01", "Vater (Mutter)" ], [ "02", "Adoptivvater (Adoptivmutter)" ], [ "03", "Gro\u00dfvater (Gro\u00dfmutter)" ], [ "05", "Ehemann (Ehefrau)" ], [ "06", "Freund (Freundin)" ], [ "07", "Partner (Partnerin)" ], [ "08", "Stiefvater (Stiefmutter)" ], [ "09", "Pflegevater (Pflegemutter)" ], [ "10", "Bruder (Schwester)" ], [ "11", "Vetter (Kusine)" ], [ "12", "Onkel (Tante)" ], [ "80", "Verwandter (Verwandte)" ], [ "90", "Sonstiger (Sonstige)" ] ];
Lino.debts.AccountTypes = [ [ "A", "Verm\u00f6gen" ], [ "L", "Verpflichtungen" ], [ "C", "Capital" ], [ "I", "Incomes" ], [ "E", "Ausgaben" ] ];
Lino.debts.TableLayouts = [ [ "10", "Description, remarks, yearly amount, actor amounts" ], [ "11", "Description, remarks, actor amounts" ], [ "20", "Partner, remarks, monthly rate, actor amounts" ], [ "30", "Full description, actor amounts" ], [ "40", "Debt-collector, partner, remarks, monthly rate, amounts" ] ];
Lino.aids.ConfirmationTypes = [ [ "aids.SimpleConfirmation", "Einfache Bescheinigung (aids.SimpleConfirmation)" ], [ "aids.IncomeConfirmation", "Einkommensbescheinigung (aids.IncomeConfirmation)" ], [ "aids.RefundConfirmation", "Kosten\u00fcbernahmeschein (aids.RefundConfirmation)" ] ];
Lino.aids.AidRegimes = [ [ "10", "Finanzielle Hilfen" ], [ "20", "Gesundheitshilfen" ], [ "30", "Sonstige Hilfen" ] ];
Lino.aids.ConfirmationStates = [ [ "01", "Unbest\u00e4tigt" ], [ "02", "Best\u00e4tigt" ] ];
Lino.esf.ParticipationCertificates = [ [ "10", "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ] ];
Lino.esf.StatisticalFields = [ [ "10", "Informative sessions" ], [ "20", "Individual consultation" ], [ "21", "Evaluation of external training" ], [ "30", "Certified integration service" ], [ "40", "Level tests" ], [ "41", "IT basics" ], [ "42", "Mobility" ], [ "43", "Remedial teaching" ], [ "44", "Wake up!" ], [ "50", "Getting a professional situation" ], [ "60", "Cyber Job" ], [ "70", "Art 60\u00a77 job supplyment" ] ];

Lino.cal.RecurrentEvents.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user1 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user1, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user1 ];
    Lino.cal.RecurrentEvents.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.InvoicesByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner4 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(vatless.InvoicesByJournal.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var state5 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.InvoicesByJournal.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var year6 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "yearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(vatless.InvoicesByJournal.year) ") }, "name": "year", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/year" }) }) });
    this.items = [ { "autoHeight": true, "flex": 35, "items": partner4, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": state5, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": year6, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner4, state5, year6 ];
    Lino.vatless.InvoicesByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date11 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Trainings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date12 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Trainings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event13 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Trainings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date11, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date12, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event13, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date11, end_date12, observed_event13 ];
    Lino.cv.Trainings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user18 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(isip.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type19 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "VSE-Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("VSE-Art","(isip.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var start_date20 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(isip.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date21 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event22 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(isip.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel23 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user18, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type19, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date20, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date21, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event22, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company29 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/company" }) }) });
    var study_type30 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "Bildungsart", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(isip.Contracts.study_type) ") }, "name": "study_type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var ending_success31 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(isip.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending32 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(isip.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var main_2_panel33 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": company29, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": study_type30, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending_success31, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending32, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel23, main_2_panel33 ];
    this.fields = [ user18, type19, start_date20, end_date21, observed_event22, company29, study_type30, ending_success31, ending32 ];
    Lino.isip.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.JournalEntriesByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period39 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.JournalEntriesByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/start_period" }) }) });
    var end_period40 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.JournalEntriesByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/end_period" }) }) });
    var state41 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.JournalEntriesByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user42 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.JournalEntriesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period39, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period40, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state41, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user42, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period39, end_period40, state41, user42 ];
    Lino.finan.JournalEntriesByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var place48 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ort</span>", "hiddenName": "placeHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ort","(addresses.Addresses.place) ") }, "name": "place", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/place" }) }) });
    var partner49 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }), "value": null });
    var address_type50 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.addresses.AddressTypes), "value": null });
    this.items = [ { "autoHeight": true, "flex": 31, "items": place48, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": partner49, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": address_type50, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ place48, partner49, address_type50 ];
    Lino.addresses.Addresses.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Members.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date55 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(households.Members.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date56 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(households.Members.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from57 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(households.Members.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to58 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(households.Members.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender59 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(households.Members.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 24, "items": start_date55, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date56, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_from57, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_to58, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": gender59, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date55, end_date56, aged_from57, aged_to58, gender59 ];
    Lino.households.Members.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date66 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date67 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event68 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.IncomeConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board69 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.IncomeConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/board" }) }) });
    var signer70 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var user71 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }), "value": null });
    var main_1_panel72 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date66, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date67, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event68, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board69, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer70, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user71, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type79 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.IncomeConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/aid_type" }) }) });
    var state80 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.IncomeConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client81 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }), "value": null });
    var gender82 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.IncomeConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel83 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type79, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state80, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client81, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender82, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel72, main_2_panel83 ];
    this.fields = [ start_date66, end_date67, observed_event68, board69, signer70, user71, aid_type79, state80, client81, gender82 ];
    Lino.aids.IncomeConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Movements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period89 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.Movements.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/start_period" }) }) });
    var end_period90 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.Movements.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/end_period" }) }) });
    var start_date91 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(ledger.Movements.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date92 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.Movements.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var cleared93 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.Movements.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel94 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_period89, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_period90, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date91, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date92, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": cleared93, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group100 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Journalgruppe", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Movements.journal_group) ") }, "name": "journal_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.JournalGroups) });
    var journal101 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.Movements.journal) ") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/journal" }) }) });
    var year102 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "yearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(ledger.Movements.year) ") }, "name": "year", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/year" }) }) });
    var project103 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.Movements.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/project" }) }) });
    var partner104 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.Movements.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/partner" }) }) });
    var account105 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "Haushaltsartikel", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.Movements.account) ") }, "name": "account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/account" }) }) });
    var main_2_panel106 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": journal_group100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": journal101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": year102, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": project103, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": partner104, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": account105, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel94, main_2_panel106 ];
    this.fields = [ start_period89, end_period90, start_date91, end_date92, cleared93, journal_group100, journal101, year102, project103, partner104, account105 ];
    Lino.ledger.Movements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.AllEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date114 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.AllEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date115 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.AllEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event116 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cal.AllEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state117 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.AllEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel118 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_date114, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date115, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state117, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user123 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.AllEntries.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/user" }) }), "value": null });
    var assigned_to124 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.AllEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/assigned_to" }) }), "value": null });
    var project125 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.AllEntries.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/project" }) }), "value": null });
    var event_type126 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.AllEntries.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/event_type" }) }), "value": null });
    var room127 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.AllEntries.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/room" }) }), "value": null });
    var show_appointments128 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Termine</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(cal.AllEntries.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel129 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user123, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to124, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project125, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type126, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments128, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel118, main_2_panel129 ];
    this.fields = [ start_date114, end_date115, observed_event116, state117, user123, assigned_to124, project125, event_type126, room127, show_appointments128 ];
    Lino.cal.AllEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.PaymentOrdersByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period137 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.PaymentOrdersByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/start_period" }) }) });
    var end_period138 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.PaymentOrdersByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/end_period" }) }) });
    var state139 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.PaymentOrdersByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user140 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.PaymentOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period137, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state139, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user140, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period137, end_period138, state139, user140 ];
    Lino.finan.PaymentOrdersByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var pjournal146 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "pjournalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.FinancialVouchers.pjournal) ") }, "name": "pjournal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/pjournal" }) }) });
    var pyear147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "pyearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(finan.FinancialVouchers.pyear) ") }, "name": "pyear", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/pyear" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": pjournal146, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": pyear147, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ pjournal146, pyear147 ];
    Lino.finan.FinancialVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AllVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var journal151 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.AllVouchers.journal) ") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/journal" }) }) });
    var start_period152 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.AllVouchers.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/start_period" }) }) });
    var end_period153 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.AllVouchers.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/end_period" }) }) });
    var user154 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(ledger.AllVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": journal151, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_period152, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period153, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user154, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ journal151, start_period152, end_period153, user154 ];
    Lino.ledger.AllVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var common_account160 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gemeinkonto", "forceSelection": true, "hiddenName": "common_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Gemeinkonto","(ledger.Accounts.common_account) ") }, "name": "common_account", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts), "value": null });
    this.items = [ { "autoHeight": true, "items": common_account160, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ common_account160 ];
    Lino.ledger.Accounts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date163 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.Tasks.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date164 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.Tasks.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user165 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }), "value": null });
    var state166 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Tasks.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    var project167 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }), "value": null });
    var main_1_panel168 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date163, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date164, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user165, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state166, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project167, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel168 ];
    this.fields = [ start_date163, end_date164, user165, state166, project167 ];
    Lino.cal.Tasks.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.NewClients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var client_state175 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(newcomers.NewClients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var new_since176 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neue Klienten seit</span>", "listeners": { "render": Lino.quicktip_renderer("Neue Klienten seit","(newcomers.NewClients.new_since) Auch Klienten, die erst seit Kurzem begleitet sind.") }, "name": "new_since", "selectOnFocus": true });
    var also_obsolete177 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(newcomers.NewClients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var coached_by178 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(newcomers.NewClients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/coached_by" }) }) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": client_state175, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": new_since176, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": also_obsolete177, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coached_by178, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ client_state175, new_since176, also_obsolete177, coached_by178 ];
    Lino.newcomers.NewClients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ActivityReport.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date184 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(integ.ActivityReport.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date185 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.ActivityReport.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var include_jobs186 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Art. 60\u00a77", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Art. 60\u00a77","(integ.ActivityReport.include_jobs) ") }, "name": "include_jobs", "selectOnFocus": true });
    var include_isip187 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "VSE", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("VSE","(integ.ActivityReport.include_isip) ") }, "name": "include_isip", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 28, "items": start_date184, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": end_date185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_jobs186, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_isip187, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date184, end_date185, include_jobs186, include_isip187 ];
    Lino.integ.ActivityReport.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user193 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user193, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user193 ];
    Lino.debts.Budgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.FiscalYears.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date196 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.FiscalYears.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date197 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.FiscalYears.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date196, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date197, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date196, end_date197 ];
    Lino.ledger.FiscalYears.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var request_state201 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "request_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.request_state) ") }, "name": "request_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.xcourses.CourseRequestStates) });
    var course_content202 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "course_contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseRequests.course_content) ") }, "name": "course_content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_content" }) }) });
    var course_offer203 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "course_offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.CourseRequests.course_offer) ") }, "name": "course_offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_offer" }) }) });
    var course_provider204 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "course_providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseRequests.course_provider) ") }, "name": "course_provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_provider" }) }) });
    var coached_by205 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(xcourses.CourseRequests.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/coached_by" }) }) });
    var and_coached_by206 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(xcourses.CourseRequests.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/and_coached_by" }) }) });
    var nationality207 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(xcourses.CourseRequests.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/nationality" }) }) });
    var observed_event208 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(xcourses.CourseRequests.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary209 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(xcourses.CourseRequests.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var also_obsolete210 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(xcourses.CourseRequests.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var start_date211 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(xcourses.CourseRequests.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date212 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(xcourses.CourseRequests.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from213 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(xcourses.CourseRequests.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to214 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(xcourses.CourseRequests.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var client_state215 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var client_contact_company216 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client contact organization</span>", "hiddenName": "client_contact_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Client contact organization","(xcourses.CourseRequests.client_contact_company) Only clients having a contact with that organization") }, "name": "client_contact_company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/client_contact_company" }) }) });
    var gender217 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(xcourses.CourseRequests.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 6, "items": request_state201, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_content202, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_offer203, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_provider204, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": coached_by205, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": and_coached_by206, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": nationality207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": observed_event208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 3, "items": only_primary209, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 3, "items": also_obsolete210, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": start_date211, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": end_date212, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 1, "items": aged_from213, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 1, "items": aged_to214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": client_state215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": client_contact_company216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": gender217, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ request_state201, course_content202, course_offer203, course_provider204, coached_by205, and_coached_by206, nationality207, observed_event208, only_primary209, also_obsolete210, start_date211, end_date212, aged_from213, aged_to214, client_state215, client_contact_company216, gender217 ];
    Lino.xcourses.CourseRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user236 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user236, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user236 ];
    Lino.tinymce.TextFieldTemplates.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner239 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(vatless.Invoices.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var project240 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.Invoices.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/project" }) }) });
    var state241 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.Invoices.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var journal242 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) ") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var start_period243 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(vatless.Invoices.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/start_period" }) }) });
    var end_period244 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(vatless.Invoices.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/end_period" }) }) });
    var cleared245 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(vatless.Invoices.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 15, "items": partner239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": project240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": state241, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": journal242, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_period243, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_period244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": cleared245, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner239, project240, state241, journal242, start_period243, end_period244, cleared245 ];
    Lino.vatless.Invoices.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type254 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.AllUsers.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date255 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.AllUsers.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date256 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.AllUsers.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type254, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date255, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date256, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type254, start_date255, end_date256 ];
    Lino.users.AllUsers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Me.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type261 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Me.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date262 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.Me.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date263 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.Me.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type261, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date262, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date263, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type261, start_date262, end_date263 ];
    Lino.users.Me.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ContractsPerUserAndContractType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type268 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(integ.ContractsPerUserAndContractType.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date269 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(integ.ContractsPerUserAndContractType.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date270 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.ContractsPerUserAndContractType.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type268, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date269, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date270, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type268, start_date269, end_date270 ];
    Lino.integ.ContractsPerUserAndContractType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date275 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date276 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event277 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.SimpleConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board278 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.SimpleConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/board" }) }) });
    var signer279 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var user280 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }), "value": null });
    var main_1_panel281 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date275, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date276, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event277, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board278, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer279, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user280, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type288 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.SimpleConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/aid_type" }) }) });
    var state289 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.SimpleConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client290 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.SimpleConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }), "value": null });
    var gender291 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.SimpleConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel292 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type288, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state289, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client290, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender291, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel281, main_2_panel292 ];
    this.fields = [ start_date275, end_date276, observed_event277, board278, signer279, user280, aid_type288, state289, client290, gender291 ];
    Lino.aids.SimpleConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.MyMovements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period298 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.MyMovements.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MyMovements/start_period" }) }) });
    var end_period299 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.MyMovements.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MyMovements/end_period" }) }) });
    var start_date300 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(ledger.MyMovements.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date301 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.MyMovements.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var cleared302 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.MyMovements.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel303 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_period298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_period299, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date300, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": cleared302, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel303 ];
    this.fields = [ start_period298, end_period299, start_date300, end_date301, cleared302 ];
    Lino.ledger.MyMovements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Debtors.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today310 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Debtors.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today310, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today310 ];
    Lino.ledger.Debtors.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Candidatures.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state313 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kandidatur-Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Kandidatur-Zustand","(jobs.Candidatures.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job314 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Candidatures.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/job" }) }), "value": null });
    var function315 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Candidatures.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/function" }) }), "value": null });
    var person316 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Candidatures.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 28, "items": state313, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": job314, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": function315, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": person316, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state313, job314, function315, person316 ];
    Lino.jobs.Candidatures.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date322 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Studies.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date323 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Studies.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event324 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Studies.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date322, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date323, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event324, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date322, end_date323, observed_event324 ];
    Lino.cv.Studies.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user329 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(jobs.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var type330 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var start_date331 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(jobs.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date332 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(jobs.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event333 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(jobs.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel334 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user329, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type330, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date331, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date332, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event333, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company340 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(jobs.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var ending_success341 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(jobs.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending342 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(jobs.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var main_2_panel343 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company340, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success341, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending342, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel334, main_2_panel343 ];
    this.fields = [ user329, type330, start_date331, end_date332, observed_event333, company340, ending_success341, ending342 ];
    Lino.jobs.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date348 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(uploads.AllUploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date349 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(uploads.AllUploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user350 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }), "value": null });
    var upload_type351 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.upload_type) ") }, "name": "upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date348, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date349, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": user350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": upload_type351, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date348, end_date349, user350, upload_type351 ];
    Lino.uploads.AllUploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Competences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user357 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzer</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(newcomers.Competences.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/Competences/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user357, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user357 ];
    Lino.newcomers.Competences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatementsByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period360 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.BankStatementsByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/start_period" }) }) });
    var end_period361 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.BankStatementsByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/end_period" }) }) });
    var state362 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.BankStatementsByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user363 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.BankStatementsByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period360, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period361, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user363, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period360, end_period361, state362, user363 ];
    Lino.finan.BankStatementsByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today369 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(jobs.JobsOverview.today) ") }, "name": "today", "selectOnFocus": true });
    var job_type370 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "job_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.JobsOverview.job_type) ") }, "name": "job_type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverview/job_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": today369, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": job_type370, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today369, job_type370 ];
    Lino.jobs.JobsOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var client_state374 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(integ.Clients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by375 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(integ.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/coached_by" }) }) });
    var and_coached_by376 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(integ.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/and_coached_by" }) }) });
    var start_date377 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(integ.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date378 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event379 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(integ.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var main_1_panel380 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": client_state374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by375, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": and_coached_by376, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": start_date377, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": observed_event379, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aged_from387 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(integ.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to388 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(integ.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender389 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(integ.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality390 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(integ.Clients.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/nationality" }) }) });
    var also_obsolete391 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(integ.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_2_panel392 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender389, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality390, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete391, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var language398 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "Sprachkenntnis", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnis","(integ.Clients.language) ") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/language" }) }) });
    var wanted_property399 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.Properties.detail", "emptyText": "Eigenschaft ausw\u00e4hlen...", "fieldLabel": "Erw\u00fcnschte Eigenschaft", "hiddenName": "wanted_propertyHidden", "listeners": { "render": Lino.quicktip_renderer("Erw\u00fcnschte Eigenschaft","(integ.Clients.wanted_property) ") }, "name": "wanted_property", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/wanted_property" }) }) });
    var group400 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "fieldLabel": "Integrationsphase", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integrationsphase","(integ.Clients.group) ") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/group" }) }) });
    var only_active401 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur aktive Klienten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur aktive Klienten","(integ.Clients.only_active) Show only clients in 'active' integration phases") }, "name": "only_active", "selectOnFocus": true });
    var only_primary402 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(integ.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_3_panel403 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": language398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": wanted_property399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": group400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": only_active401, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": only_primary402, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel380, main_2_panel392, main_3_panel403 ];
    this.fields = [ client_state374, coached_by375, and_coached_by376, start_date377, end_date378, observed_event379, aged_from387, aged_to388, gender389, nationality390, also_obsolete391, language398, wanted_property399, group400, only_active401, only_primary402 ];
    Lino.integ.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var observed_event410 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltigkeit", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltigkeit","(uploads.Uploads.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var start_date411 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(uploads.Uploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date412 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(uploads.Uploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var coached_by413 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(uploads.Uploads.coached_by) Show only uploads for clients coached by this user.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/coached_by" }) }) });
    var user414 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }), "value": null });
    var upload_type415 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.upload_type) ") }, "name": "upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": observed_event410, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": start_date411, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date412, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": user414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": upload_type415, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event410, start_date411, end_date412, coached_by413, user414, upload_type415 ];
    Lino.uploads.Uploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.UsersOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type423 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.UsersOverview.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date424 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.UsersOverview.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date425 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.UsersOverview.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date424, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date425, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type423, start_date424, end_date425 ];
    Lino.users.UsersOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user430 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user430, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user430 ];
    Lino.cbss.IdentifyPersonRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrdersByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period433 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.DisbursementOrdersByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/start_period" }) }) });
    var end_period434 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.DisbursementOrdersByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/end_period" }) }) });
    var state435 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.DisbursementOrdersByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user436 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.DisbursementOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period433, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period434, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state435, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user436, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period433, end_period434, state435, user436 ];
    Lino.finan.DisbursementOrdersByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.dashboard.Widgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user442 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(dashboard.Widgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user442, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user442 ];
    Lino.dashboard.Widgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date445 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(boards.Boards.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date446 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(boards.Boards.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date446, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date445, end_date446 ];
    Lino.boards.Boards.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date450 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(coachings.Coachings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date451 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(coachings.Coachings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event452 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(coachings.Coachings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var coached_by453 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(coachings.Coachings.coached_by) Nur Begleitungen dieses Benutzers.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coached_by" }) }) });
    var and_coached_by454 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(coachings.Coachings.and_coached_by) ... und auch Begleitungen dieses Benutzers.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/and_coached_by" }) }) });
    var main_1_panel455 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": start_date450, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date451, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": observed_event452, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": coached_by453, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": and_coached_by454, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary_coachings461 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Prim\u00e4re Begleitungen</span>", "forceSelection": true, "hiddenName": "primary_coachingsHidden", "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4re Begleitungen","(coachings.Coachings.primary_coachings) Accompagnements primaires.") }, "name": "primary_coachings", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var coaching_type462 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Dienst ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dienst</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Dienst","(coachings.Coachings.coaching_type) Nur Begleitungen dieses Dienstes.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coaching_type" }) }) });
    var ending463 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.coachings.CoachingEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(coachings.Coachings.ending) Nur Begleitungen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/ending" }) }) });
    var main_2_panel464 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": primary_coachings461, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coaching_type462, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending463, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel455, main_2_panel464 ];
    this.fields = [ start_date450, end_date451, observed_event452, coached_by453, and_coached_by454, primary_coachings461, coaching_type462, ending463 ];
    Lino.coachings.Coachings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.OneEvent.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user469 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.OneEvent.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }), "value": null });
    var event_type470 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.OneEvent.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }), "value": null });
    var room471 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.OneEvent.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }), "value": null });
    var project472 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.OneEvent.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }), "value": null });
    var presence_guest473 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gast</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(cal.OneEvent.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user469, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type470, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room471, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest473, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user469, event_type470, room471, project472, presence_guest473 ];
    Lino.cal.OneEvent.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Problems.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user480 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }), "value": null });
    var checker481 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Checker</span>", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "name": "checker", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.checkdata.Checkers), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": user480, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": checker481, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user480, checker481 ];
    Lino.checkdata.Problems.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notify.Messages.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user485 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger","(notify.Messages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/user" }) }), "value": null });
    var show_seen486 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gelesen", "forceSelection": true, "hiddenName": "show_seenHidden", "listeners": { "render": Lino.quicktip_renderer("Gelesen","(notify.Messages.show_seen) ") }, "name": "show_seen", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var start_date487 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(notify.Messages.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date488 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(notify.Messages.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 32, "items": user485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": show_seen486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": start_date487, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": end_date488, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user485, show_seen486, start_date487, end_date488 ];
    Lino.notify.Messages.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date494 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Experiences.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date495 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Experiences.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event496 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Experiences.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date494, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date495, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event496, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date494, end_date495, observed_event496 ];
    Lino.cv.Experiences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.ExpectedMovements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var trade_type501 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handelsart</span>", "forceSelection": true, "hiddenName": "trade_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Handelsart","(ledger.ExpectedMovements.trade_type) ") }, "name": "trade_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var date_until502 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum bis</span>", "listeners": { "render": Lino.quicktip_renderer("Datum bis","(ledger.ExpectedMovements.date_until) ") }, "name": "date_until", "selectOnFocus": true });
    var from_journal503 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "from_journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.ExpectedMovements.from_journal) ") }, "name": "from_journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/from_journal" }) }) });
    var for_journal504 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleichbar durch</span>", "hiddenName": "for_journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Begleichbar durch","(ledger.ExpectedMovements.for_journal) ") }, "name": "for_journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/for_journal" }) }) });
    var main_1_panel505 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": trade_type501, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": date_until502, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": from_journal503, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": for_journal504, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project510 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.ExpectedMovements.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/project" }) }) });
    var partner511 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.ExpectedMovements.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/partner" }) }) });
    var account512 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsartikel</span>", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.ExpectedMovements.account) ") }, "name": "account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/account" }) }) });
    var show_sepa513 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mit SEPA</span>", "forceSelection": true, "hiddenName": "show_sepaHidden", "listeners": { "render": Lino.quicktip_renderer("Mit SEPA","(ledger.ExpectedMovements.show_sepa) ") }, "name": "show_sepa", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var same_dc514 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Same D/C</span>", "forceSelection": true, "hiddenName": "same_dcHidden", "listeners": { "render": Lino.quicktip_renderer("Same D/C","(ledger.ExpectedMovements.same_dc) ") }, "name": "same_dc", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel515 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": project510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": partner511, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": account512, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": show_sepa513, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": same_dc514, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel505, main_2_panel515 ];
    this.fields = [ trade_type501, date_until502, from_journal503, for_journal504, project510, partner511, account512, show_sepa513, same_dc514 ];
    Lino.ledger.ExpectedMovements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var project522 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }), "value": null });
    var user523 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project522, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user523, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project522, user523 ];
    Lino.notes.Notes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.MyEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date527 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.MyEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date528 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.MyEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event529 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cal.MyEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state530 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.MyEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel531 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_date527, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date528, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event529, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state530, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user536 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.MyEntries.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }), "value": null });
    var assigned_to537 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.MyEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }), "value": null });
    var project538 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.MyEntries.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }), "value": null });
    var event_type539 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.MyEntries.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }), "value": null });
    var room540 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.MyEntries.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }), "value": null });
    var show_appointments541 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Termine</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(cal.MyEntries.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel542 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to537, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project538, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type539, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room540, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments541, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel531, main_2_panel542 ];
    this.fields = [ start_date527, end_date528, observed_event529, state530, user536, assigned_to537, project538, event_type539, room540, show_appointments541 ];
    Lino.cal.MyEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var observed_event550 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(contacts.Partners.observed_event) Extended filter criteria") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.PartnerEvents) });
    var start_date551 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(contacts.Partners.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date552 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(contacts.Partners.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 44, "items": observed_event550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_date551, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_date552, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event550, start_date551, end_date552 ];
    Lino.contacts.Partners.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user557 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user557, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user557 ];
    Lino.cbss.ManageAccessRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverviewByType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var date560 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(jobs.JobsOverviewByType.date) ") }, "name": "date", "selectOnFocus": true });
    var contract_type561 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art.60\u00a77-Konventionsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionsart","(jobs.JobsOverviewByType.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverviewByType/contract_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": date560, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": contract_type561, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ date560, contract_type561 ];
    Lino.jobs.JobsOverviewByType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var aged_from565 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(pcsw.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to566 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(pcsw.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender567 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality568 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(pcsw.Clients.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var also_obsolete569 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(pcsw.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel570 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality568, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete569, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state576 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(pcsw.Clients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by577 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(pcsw.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/coached_by" }) }) });
    var and_coached_by578 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(pcsw.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/and_coached_by" }) }) });
    var start_date579 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(pcsw.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date580 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(pcsw.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event581 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(pcsw.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary582 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(pcsw.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel583 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": client_state576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": coached_by577, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": and_coached_by578, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date579, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": only_primary582, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel570, main_2_panel583 ];
    this.fields = [ aged_from565, aged_to566, gender567, nationality568, also_obsolete569, client_state576, coached_by577, and_coached_by578, start_date579, end_date580, observed_event581, only_primary582 ];
    Lino.pcsw.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Subscriptions.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user592 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Subscriptions.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Subscriptions/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user592, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user592 ];
    Lino.cal.Subscriptions.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var board595 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var aid_type596 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var user597 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }), "value": null });
    var signer598 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state599 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.Grantings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": board595, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": aid_type596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": state599, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ board595, aid_type596, user597, signer598, state599 ];
    Lino.aids.Grantings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Creditors.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today606 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Creditors.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today606, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today606 ];
    Lino.ledger.Creditors.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var date609 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Only changes from", "listeners": { "render": Lino.quicktip_renderer("Only changes from","(changes.Changes.date) ") }, "name": "date", "selectOnFocus": true });
    var user610 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(changes.Changes.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var change_type611 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00c4nderungsart", "forceSelection": false, "hiddenName": "change_typeHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungsart","(changes.Changes.change_type) ") }, "name": "change_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.changes.ChangeTypes) });
    var object_type612 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "Object type", "hiddenName": "object_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Object type","(changes.Changes.object_type) ") }, "name": "object_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_type" }) }) });
    var object_id613 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Object ID", "hiddenName": "object_idHidden", "listeners": { "render": Lino.quicktip_renderer("Object ID","(changes.Changes.object_id) ") }, "name": "object_id", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_id" }) }) });
    var main_1_panel614 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": date609, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": change_type611, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": object_type612, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_id613, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel614 ];
    this.fields = [ date609, user610, change_type611, object_type612, object_id613 ];
    Lino.changes.Changes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PartnerBalancesByTradeType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period621 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.PartnerBalancesByTradeType.start_period) Start of observed period range") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerBalancesByTradeType/start_period" }) }) });
    var end_period622 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.PartnerBalancesByTradeType.end_period) Optional end of observed period range. Leave empty to consider only the Start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerBalancesByTradeType/end_period" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_period621, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_period622, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period621, end_period622 ];
    Lino.ledger.PartnerBalancesByTradeType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Authorities.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user626 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(users.Authorities.user) The user who gives the right of representation. author of this\nauthority") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Authorities/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user626, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user626 ];
    Lino.users.Authorities.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user629 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user629, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user629 ];
    Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.EntriesByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date632 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(isip.EntriesByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date633 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.EntriesByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event634 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(isip.EntriesByContract.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var show_appointments635 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Termine", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(isip.EntriesByContract.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var presence_guest636 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Gast", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(isip.EntriesByContract.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/presence_guest" }) }) });
    var user637 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(isip.EntriesByContract.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/user" }) }), "value": null });
    var assigned_to638 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(isip.EntriesByContract.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/assigned_to" }) }), "value": null });
    var project639 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.EntriesByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/project" }) }), "value": null });
    var state640 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(isip.EntriesByContract.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var room641 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(isip.EntriesByContract.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/room" }) }), "value": null });
    var event_type642 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(isip.EntriesByContract.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/event_type" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 6, "items": start_date632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": end_date633, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": observed_event634, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": show_appointments635, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": presence_guest636, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": user637, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": assigned_to638, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": project639, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": state640, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": room641, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": event_type642, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date632, end_date633, observed_event634, show_appointments635, presence_guest636, user637, assigned_to638, project639, state640, room641, event_type642 ];
    Lino.isip.EntriesByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date655 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(excerpts.Excerpts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date656 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(excerpts.Excerpts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var pcertifying657 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Certifying excerpts", "forceSelection": true, "hiddenName": "pcertifyingHidden", "listeners": { "render": Lino.quicktip_renderer("Certifying excerpts","(excerpts.Excerpts.pcertifying) ") }, "name": "pcertifying", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel658 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": start_date655, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date656, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": pcertifying657, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user662 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }), "value": null });
    var excerpt_type663 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "Auszugsart", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) ") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var main_2_panel664 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user662, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type663, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel658, main_2_panel664 ];
    this.fields = [ start_date655, end_date656, pcertifying657, user662, excerpt_type663 ];
    Lino.excerpts.Excerpts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user668 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.Events.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }), "value": null });
    var event_type669 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }), "value": null });
    var room670 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.Events.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }), "value": null });
    var project671 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }), "value": null });
    var presence_guest672 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gast</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(cal.Events.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user668, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project671, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest672, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user668, event_type669, room670, project671, presence_guest672 ];
    Lino.cal.Events.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date679 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date680 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event681 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.RefundConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board682 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.RefundConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/board" }) }) });
    var signer683 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.RefundConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var user684 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }), "value": null });
    var main_1_panel685 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date679, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date680, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user684, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type692 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.RefundConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/aid_type" }) }) });
    var state693 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.RefundConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client694 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.RefundConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }), "value": null });
    var gender695 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.RefundConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel696 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type692, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state693, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client694, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender695, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel685, main_2_panel696 ];
    this.fields = [ start_date679, end_date680, observed_event681, board682, signer683, user684, aid_type692, state693, client694, gender695 ];
    Lino.aids.RefundConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ExperiencesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date702 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(jobs.ExperiencesByOffer.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date703 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(jobs.ExperiencesByOffer.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date702, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date703, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date702, end_date703 ];
    Lino.jobs.ExperiencesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var project707 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }), "value": null });
    var user708 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Absender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Absender","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project707, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user708, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project707, user708 ];
    Lino.outbox.Mails.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.PendingCourseRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var aged_from712 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(xcourses.PendingCourseRequests.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to713 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(xcourses.PendingCourseRequests.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender714 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(xcourses.PendingCourseRequests.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality715 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(xcourses.PendingCourseRequests.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/nationality" }) }) });
    var also_obsolete716 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(xcourses.PendingCourseRequests.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel717 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from712, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality715, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete716, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state723 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.PendingCourseRequests.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by724 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(xcourses.PendingCourseRequests.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/coached_by" }) }) });
    var and_coached_by725 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(xcourses.PendingCourseRequests.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/and_coached_by" }) }) });
    var start_date726 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(xcourses.PendingCourseRequests.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date727 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(xcourses.PendingCourseRequests.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event728 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(xcourses.PendingCourseRequests.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary729 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(xcourses.PendingCourseRequests.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel730 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": client_state723, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": coached_by724, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": and_coached_by725, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date726, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event728, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": only_primary729, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_state738 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "request_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.PendingCourseRequests.request_state) ") }, "name": "request_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.xcourses.CourseRequestStates) });
    var course_content739 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "course_contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.PendingCourseRequests.course_content) ") }, "name": "course_content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_content" }) }) });
    var course_provider740 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "course_providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.PendingCourseRequests.course_provider) ") }, "name": "course_provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_provider" }) }) });
    var course_offer741 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "course_offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.PendingCourseRequests.course_offer) ") }, "name": "course_offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_offer" }) }) });
    var main_3_panel742 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": request_state738, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_content739, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_provider740, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_offer741, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel717, main_2_panel730, main_3_panel742 ];
    this.fields = [ aged_from712, aged_to713, gender714, nationality715, also_obsolete716, client_state723, coached_by724, and_coached_by725, start_date726, end_date727, observed_event728, only_primary729, request_state738, course_content739, course_provider740, course_offer741 ];
    Lino.xcourses.PendingCourseRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.DelegatedTasksByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date748 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(isip.DelegatedTasksByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date749 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.DelegatedTasksByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user750 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(isip.DelegatedTasksByContract.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/user" }) }), "value": null });
    var project751 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.DelegatedTasksByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/project" }) }), "value": null });
    var state752 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(isip.DelegatedTasksByContract.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date748, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date749, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user750, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project751, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state752, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date748, end_date749, user750, project751, state752 ];
    Lino.isip.DelegatedTasksByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date759 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(cal.Guests.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date760 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.Guests.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user761 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Guests.user) Only rows managed by this user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/user" }) }) });
    var event_state762 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand Termin</span>", "forceSelection": true, "hiddenName": "event_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand Termin","(cal.Guests.event_state) Only rows on calendar entries having this state.") }, "name": "event_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates) });
    var guest_state763 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand Gast</span>", "forceSelection": true, "hiddenName": "guest_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand Gast","(cal.Guests.guest_state) Only rows having this guest state.") }, "name": "guest_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.GuestStates) });
    var main_1_panel764 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date759, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date760, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user761, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": event_state762, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": guest_state763, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project770 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Guests.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/project" }) }) });
    var partner771 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var main_2_panel772 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": project770, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": partner771, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel764, main_2_panel772 ];
    this.fields = [ start_date759, end_date760, user761, event_state762, guest_state763, project770, partner771 ];
    Lino.cal.Guests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user776 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(art61.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var type777 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Only job supplies of type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Only job supplies of type","(art61.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var start_date778 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(art61.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date779 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(art61.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event780 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(art61.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel781 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user776, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type777, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date778, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date779, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event780, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company787 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var ending_success788 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(art61.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending789 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(art61.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var main_2_panel790 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending789, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel781, main_2_panel790 ];
    this.fields = [ user776, type777, start_date778, end_date779, observed_event780, company787, ending_success788, ending789 ];
    Lino.art61.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.GeneralAccountBalances.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.GeneralAccountBalances.start_period) Start of observed period range") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/GeneralAccountBalances/start_period" }) }) });
    var end_period796 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.GeneralAccountBalances.end_period) Optional end of observed period range. Leave empty to consider only the Start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/GeneralAccountBalances/end_period" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_period795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_period796, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period795, end_period796 ];
    Lino.ledger.GeneralAccountBalances.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PartnerVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner800 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.PartnerVouchers.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/partner" }) }) });
    var project801 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.PartnerVouchers.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/project" }) }) });
    var state802 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(ledger.PartnerVouchers.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var journal803 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.PartnerVouchers.journal) ") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/journal" }) }) });
    var start_period804 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.PartnerVouchers.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/start_period" }) }) });
    var end_period805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.PartnerVouchers.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/end_period" }) }) });
    var cleared806 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.PartnerVouchers.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 15, "items": partner800, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": project801, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": state802, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": journal803, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_period804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_period805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": cleared806, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner800, project801, state802, journal803, start_period804, end_period805, cleared806 ];
    Lino.ledger.PartnerVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var gender815 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var also_obsolete816 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(contacts.Persons.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel817 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": gender815, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": also_obsolete816, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel817 ];
    this.fields = [ gender815, also_obsolete816 ];
    Lino.contacts.Persons.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoaches.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var for_client821 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Zeige Vorschl\u00e4ge f\u00fcr", "hiddenName": "for_clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Zeige Vorschl\u00e4ge f\u00fcr","(newcomers.AvailableCoaches.for_client) ") }, "name": "for_client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/AvailableCoaches/for_client" }) }) });
    var since822 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neue Klienten seit</span>", "listeners": { "render": Lino.quicktip_renderer("Neue Klienten seit","(newcomers.AvailableCoaches.since) Neue Klienten sind die, deren Begleitung nach diesem Datum beginnt") }, "name": "since", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 60, "items": for_client821, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": since822, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ for_client821, since822 ];
    Lino.newcomers.AvailableCoaches.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.CandidaturesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state826 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kandidatur-Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Kandidatur-Zustand","(jobs.CandidaturesByOffer.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job827 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.CandidaturesByOffer.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }), "value": null });
    var function828 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.CandidaturesByOffer.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/function" }) }), "value": null });
    var person829 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.CandidaturesByOffer.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 28, "items": state826, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": job827, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": function828, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": person829, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state826, job827, function828, person829 ];
    Lino.jobs.CandidaturesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AccountingPeriods.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date835 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.AccountingPeriods.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date836 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.AccountingPeriods.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date835, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date836, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date835, end_date836 ];
    Lino.ledger.AccountingPeriods.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.create_household_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_household',
  window_title: "Haushalt erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.head866 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Vorstand", "hiddenName": "headHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vorstand","(Haushalt erstellen.head) ") }, "name": "head", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/head" }) }) });
    this.type867 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "Haushaltsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(Haushalt erstellen.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/type" }) }) });
    this.partner868 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Partner","(Haushalt erstellen.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/partner" }) }) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.head866, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.type867, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.partner868, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.head866, this.type867, this.partner868 ];
    this.http_method = "GET"
    Lino.contacts.Persons.create_household_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to967 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Haushalt ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Households.detail,Lino.households.Households.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/households/Households/merge_row/merge_to" }) }) });
    this.households_Member968 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mitglieder", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(Fusionieren.households_Member) ") }, "name": "households_Member", "selectOnFocus": true });
    this.addresses_Address969 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_1_panel970 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.households_Member968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address969, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.sepa_Account973 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel974 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel970, { "anchor": "-20", "autoHeight": true, "items": this.sepa_Account973, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason976 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel974, { "anchor": "-20", "autoHeight": true, "items": this.reason976, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to967, this.households_Member968, this.addresses_Address969, this.sepa_Account973, this.reason976 ];
    this.http_method = "GET"
    Lino.households.Households.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to995 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/Accounts/merge_row/merge_to" }) }) });
    this.reason996 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason996, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to995, this.reason996 ];
    this.http_method = "GET"
    Lino.ledger.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1036 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/art61/ContractTypes/merge_row/merge_to" }) }) });
    this.reason1037 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1037, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1036, this.reason1037 ];
    this.http_method = "GET"
    Lino.art61.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Visite erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user962 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(Visite erstellen.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/coachings/Coachings/create_visit/user" }) }) });
    this.summary963 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Visite erstellen.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user962, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary963, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user962, this.summary963 ];
    this.http_method = "GET"
    Lino.coachings.Coachings.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf1_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf1',
  window_title: "Zusagen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Zusagen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body901 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Zusagen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent902 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Zusagen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body901, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent902, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject900, this.notify_body901, this.notify_silent902 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf1_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1007 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/AccountingPeriods/merge_row/merge_to" }) }) });
    this.reason1008 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1008, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1007, this.reason1008 ];
    this.http_method = "GET"
    Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.about.About.sign_in_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "fit",
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'sign_in',
  window_title: "Anmelden",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.username840 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(Anmelden.username) ") }, "name": "username", "selectOnFocus": true });
    this.password841 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Passwort", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Passwort","(Anmelden.password) ") }, "name": "password", "selectOnFocus": true });
    var login_panel_panel842 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": this.username840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.password841, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = [ login_panel_panel842 ];
    this.fields = [ this.username840, this.password841 ];
    this.http_method = "POST"
    Lino.about.About.sign_in_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf2_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf2',
  window_title: "Absagen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject907 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Absagen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body908 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Absagen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent909 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Absagen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject907, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body908, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent909, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject907, this.notify_body908, this.notify_silent909 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf2_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to883 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/uploads/Volumes/merge_row/merge_to" }) }) });
    this.reason884 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to883, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason884, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to883, this.reason884 ];
    this.http_method = "GET"
    Lino.uploads.Volumes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to856 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/merge_row/merge_to" }) }) });
    this.addresses_Address857 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account858 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel859 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address857, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account858, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason862 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to856, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel859, { "anchor": "-20", "autoHeight": true, "items": this.reason862, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to856, this.addresses_Address857, this.sepa_Account858, this.reason862 ];
    this.http_method = "GET"
    Lino.contacts.Persons.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.refuse_client_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'refuse_client',
  window_title: "Ablehnen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.reason952 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablehnungsgrund", "forceSelection": true, "hiddenName": "reasonHidden", "listeners": { "render": Lino.quicktip_renderer("Ablehnungsgrund","(Ablehnen.reason) ") }, "name": "reason", "selectOnFocus": true, "store": Lino.pcsw.RefusalReasons });
    this.remark953 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(Ablehnen.remark) ") }, "name": "remark", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.reason952, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 83, "items": this.remark953, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.reason952, this.remark953 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.refuse_client_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1058 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Accounts.detail", "emptyText": "Konto ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.debts.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/debts/Accounts/merge_row/merge_to" }) }) });
    this.reason1059 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1058, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1059, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1058, this.reason1059 ];
    this.http_method = "GET"
    Lino.debts.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Visite erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user957 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(Visite erstellen.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/create_visit/user" }) }) });
    this.summary958 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Visite erstellen.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user957, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary958, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user957, this.summary958 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to980 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/JobProviders/merge_row/merge_to" }) }) });
    this.addresses_Address981 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account982 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel983 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account982, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason986 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to980, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel983, { "anchor": "-20", "autoHeight": true, "items": this.reason986, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to980, this.addresses_Address981, this.sepa_Account982, this.reason986 ];
    this.http_method = "GET"
    Lino.jobs.JobProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.checkin_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'checkin',
  window_title: "Einchecken",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject893 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Einchecken.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body894 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Einchecken.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent895 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Einchecken.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject893, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body894, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent895, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject893, this.notify_body894, this.notify_silent895 ];
    this.http_method = "GET"
    Lino.cal.Guests.checkin_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.FiscalYears.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1017 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/FiscalYears/merge_row/merge_to" }) }) });
    this.reason1018 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1017, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1018, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1017, this.reason1018 ];
    this.http_method = "GET"
    Lino.ledger.FiscalYears.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to919 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/merge_row/merge_to" }) }) });
    this.aids_IncomeConfirmation920 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Einkommensbescheinigungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Einkommensbescheinigungen","(Fusionieren.aids_IncomeConfirmation) ") }, "name": "aids_IncomeConfirmation", "selectOnFocus": true });
    this.aids_RefundConfirmation921 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kosten\u00fcbernahmescheine", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kosten\u00fcbernahmescheine","(Fusionieren.aids_RefundConfirmation) ") }, "name": "aids_RefundConfirmation", "selectOnFocus": true });
    var keep_volatiles_1_panel922 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_IncomeConfirmation920, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.aids_RefundConfirmation921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.aids_SimpleConfirmation925 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Einfache Bescheinigungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Einfache Bescheinigungen","(Fusionieren.aids_SimpleConfirmation) ") }, "name": "aids_SimpleConfirmation", "selectOnFocus": true });
    this.coachings_Coaching926 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(Fusionieren.coachings_Coaching) ") }, "name": "coachings_Coaching", "selectOnFocus": true });
    var keep_volatiles_2_panel927 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_SimpleConfirmation925, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.coachings_Coaching926, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.cv_LanguageKnowledge930 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sprachkenntnisse", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnisse","(Fusionieren.cv_LanguageKnowledge) ") }, "name": "cv_LanguageKnowledge", "selectOnFocus": true });
    this.cv_PersonProperty931 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Eigenschaften", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Eigenschaften","(Fusionieren.cv_PersonProperty) ") }, "name": "cv_PersonProperty", "selectOnFocus": true });
    var keep_volatiles_3_panel932 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.cv_LanguageKnowledge930, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.cv_PersonProperty931, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.dupable_clients_Word935 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Phonetische W\u00f6rter", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Phonetische W\u00f6rter","(Fusionieren.dupable_clients_Word) ") }, "name": "dupable_clients_Word", "selectOnFocus": true });
    this.esf_ClientSummary936 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "ESF Summaries", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("ESF Summaries","(Fusionieren.esf_ClientSummary) ") }, "name": "esf_ClientSummary", "selectOnFocus": true });
    var keep_volatiles_4_panel937 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.dupable_clients_Word935, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.esf_ClientSummary936, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.pcsw_Dispense940 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dispenzen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dispenzen","(Fusionieren.pcsw_Dispense) ") }, "name": "pcsw_Dispense", "selectOnFocus": true });
    this.addresses_Address941 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_5_panel942 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.pcsw_Dispense940, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address941, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.sepa_Account945 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel946 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel922, keep_volatiles_2_panel927, keep_volatiles_3_panel932, keep_volatiles_4_panel937, keep_volatiles_5_panel942, { "anchor": "-20", "autoHeight": true, "items": this.sepa_Account945, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason948 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to919, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel946, { "anchor": "-20", "autoHeight": true, "items": this.reason948, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to919, this.aids_IncomeConfirmation920, this.aids_RefundConfirmation921, this.aids_SimpleConfirmation925, this.coachings_Coaching926, this.cv_LanguageKnowledge930, this.cv_PersonProperty931, this.dupable_clients_Word935, this.esf_ClientSummary936, this.pcsw_Dispense940, this.addresses_Address941, this.sepa_Account945, this.reason948 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1041 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/xcourses/CourseProviders/merge_row/merge_to" }) }) });
    this.addresses_Address1042 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account1043 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel1044 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address1042, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account1043, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason1047 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1041, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel1044, { "anchor": "-20", "autoHeight": true, "items": this.reason1047, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1041, this.addresses_Address1042, this.sepa_Account1043, this.reason1047 ];
    this.http_method = "GET"
    Lino.xcourses.CourseProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to888 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/GuestRoles/merge_row/merge_to" }) }) });
    this.reason889 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to888, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason889, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to888, this.reason889 ];
    this.http_method = "GET"
    Lino.cal.GuestRoles.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to873 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Companies/merge_row/merge_to" }) }) });
    this.addresses_Address874 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account875 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel876 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address874, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account875, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason879 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel876, { "anchor": "-20", "autoHeight": true, "items": this.reason879, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to873, this.addresses_Address874, this.sepa_Account875, this.reason879 ];
    this.http_method = "GET"
    Lino.contacts.Companies.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.change_password_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'change_password',
  window_title: "Passwort \u00e4ndern",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.current1029 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktuelles Passwort</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Aktuelles Passwort","(Passwort \u00e4ndern.current) The current password. Leave empty if the user has no password\nyet. And SiteAdmin users don't need to specify this at all.") }, "name": "current", "selectOnFocus": true });
    this.new11030 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neues Passwort</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Neues Passwort","(Passwort \u00e4ndern.new1) The new password.") }, "name": "new1", "selectOnFocus": true });
    this.new21031 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neues Passwort nochmal</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Neues Passwort nochmal","(Passwort \u00e4ndern.new2) The new password a second time. Both passwords must match.") }, "name": "new2", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.current1029, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new11030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new21031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.current1029, this.new11030, this.new21031 ];
    this.http_method = "GET"
    Lino.users.AllUsers.change_password_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to990 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/ContractTypes/merge_row/merge_to" }) }) });
    this.reason991 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to990, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason991, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to990, this.reason991 ];
    this.http_method = "GET"
    Lino.jobs.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PaymentTerms.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1012 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/PaymentTerms/merge_row/merge_to" }) }) });
    this.reason1013 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1013, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1012, this.reason1013 ];
    this.http_method = "GET"
    Lino.ledger.PaymentTerms.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to914 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/EventTypes/merge_row/merge_to" }) }) });
    this.reason915 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to914, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason915, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to914, this.reason915 ];
    this.http_method = "GET"
    Lino.cal.EventTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to846 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Partners/merge_row/merge_to" }) }) });
    this.addresses_Address847 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account848 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel849 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address847, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account848, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason852 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel849, { "anchor": "-20", "autoHeight": true, "items": this.reason852, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to846, this.addresses_Address847, this.sepa_Account848, this.reason852 ];
    this.http_method = "GET"
    Lino.contacts.Partners.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1000 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/Journals/merge_row/merge_to" }) }) });
    this.ledger_MatchRule1001 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleichungsregeln","(Fusionieren.ledger_MatchRule) ") }, "name": "ledger_MatchRule", "selectOnFocus": true });
    this.reason1002 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.ledger_MatchRule1001, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1002, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1000, this.ledger_MatchRule1001, this.reason1002 ];
    this.http_method = "GET"
    Lino.ledger.Journals.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'assign_coach',
  window_title: "Zuweisen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject1051 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Zuweisen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body1052 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Zuweisen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent1053 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Zuweisen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject1051, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body1052, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent1053, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject1051, this.notify_body1052, this.notify_silent1053 ];
    this.http_method = "GET"
    Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1022 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/users/AllUsers/merge_row/merge_to" }) }) });
    this.cal_Subscription1023 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(Fusionieren.cal_Subscription) ") }, "name": "cal_Subscription", "selectOnFocus": true });
    this.reason1024 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1022, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.cal_Subscription1023, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1024, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1022, this.cal_Subscription1023, this.reason1024 ];
    this.http_method = "GET"
    Lino.users.AllUsers.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 120,
  initComponent : function() {
    var person1063 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var national_id1064 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language1065 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var main_2_panel1066 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": national_id1064, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": language1065, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var history1069 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Historie", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Historie","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var main_panel1070 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person1063, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1066, { "anchor": "-20", "autoHeight": true, "items": history1069, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1070;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 120,
  initComponent : function() {
    var id1073 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.RetrieveTIGroupsRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person1074 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var user1075 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var sent1076 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status1077 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.RetrieveTIGroupsRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp1078 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.RetrieveTIGroupsRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel1079 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id1073, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person1074, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user1075, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent1076, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status1077, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp1078, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var national_id1086 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language1087 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history1088 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Historie", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Historie","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var parameters_panel1089 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 43, "items": national_id1086, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": language1087, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": history1088, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var cbss_RetrieveTIGroupsResult_grid1098 = new Lino.cbss.RetrieveTIGroupsResult.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Resultate","(cbss.cbss.RetrieveTIGroupsResult) Displays the response of an RetrieveTIGroupsRequest\nas a table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cbss.RetrieveTIGroupsResult.grid) ] });
    var request_panel1099 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel1079, parameters_panel1089, cbss_RetrieveTIGroupsResult_grid1098 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel1110 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel1099 ], "labelAlign": "top", "split": true });
    this.items = main_panel1110;
    this.before_row_edit = function(record) {
      cbss_RetrieveTIGroupsResult_grid1098.on_master_changed();
    }
    Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadsByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadsByController",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file1111 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type1112 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.UploadsByController.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var end_date1113 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed1114 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel1115 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type1112, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date1113, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needed1114, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1119 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel1120 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file1111, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1115, { "anchor": "-20", "autoHeight": true, "items": description1119, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1120;
    this.before_row_edit = function(record) {
      type1112.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.UploadsByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel vatless-Invoices",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 79,
  initComponent : function() {
    var journal1123 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var number1124 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(vatless.Invoices.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var entry_date1125 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var voucher_date1126 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(vatless.Invoices.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var accounting_period1127 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(vatless.Invoices.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/accounting_period" }) }) });
    var workflow_buttons_disp1128 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(vatless.Invoices.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel1129 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": journal1123, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": number1124, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": entry_date1125, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": voucher_date1126, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": accounting_period1127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": workflow_buttons_disp1128, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner1136 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var payment_term1137 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(vatless.Invoices.payment_term) See lino_xl.lib.ledger.mixins.PartnerRelated.payment_term") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/payment_term" }) }) });
    var due_date1138 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(vatless.Invoices.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var bank_account1139 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "fieldLabel": "Bankkonto", "hiddenName": "bank_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Bankkonto","(vatless.Invoices.bank_account) ") }, "name": "bank_account", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/bank_account" }) }) });
    var general_2_panel1140 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": partner1136, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": payment_term1137, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": due_date1138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": bank_account1139, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var your_ref1145 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ihr Zeichen", "listeners": { "render": Lino.quicktip_renderer("Ihr Zeichen","(vatless.Invoices.your_ref) ") }, "maxLength": 200, "name": "your_ref", "selectOnFocus": true });
    var narration1146 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(vatless.Invoices.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var amount1147 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(vatless.Invoices.amount) ") }, "name": "amount", "selectOnFocus": true });
    var general_3_panel1148 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": your_ref1145, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": narration1146, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": amount1147, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel1162 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1129, general_2_panel1140, general_3_panel1148 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var match1163 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Match</span>", "listeners": { "render": Lino.quicktip_renderer("Match","(vatless.Invoices.match) The movement to be matched.") }, "name": "match", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/match" }) }) });
    var state1164 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.Invoices.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user1165 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(vatless.Invoices.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/user" }) }) });
    var id1166 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(vatless.Invoices.id) ") }, "name": "id", "selectOnFocus": true });
    var ledger_1_panel1167 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": match1163, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": state1164, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": user1165, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id1166, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ledger_panel1173 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ledger_1_panel1167 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Ledger" });
    var main_panel1174 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1162, ledger_panel1173 ], "labelAlign": "top", "split": true });
    this.items = main_panel1174;
    this.before_row_edit = function(record) {
      bank_account1139.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account1139.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      match1163.setContextValue('journal', record ? record.data['journalHidden'] : undefined);
      match1163.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof partner1136 !== 'undefined' && partner1136.on('change',Lino.chooser_handler(bank_account1139,'partner'));
      typeof journal1123 !== 'undefined' && journal1123.on('change',Lino.chooser_handler(match1163,'journal'));
      typeof partner1136 !== 'undefined' && partner1136.on('change',Lino.chooser_handler(match1163,'partner'));
      Lino.vatless.Invoices.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.vatless.Invoices.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 11,
  initComponent : function() {
    var username1175 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzername</span>", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(users.Users.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var email1176 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_1_panel1177 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": username1175, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": email1176, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1180 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name1181 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var main_2_panel1182 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name1180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name1181, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner1185 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) The partner record with additional contact information about\nthis user account.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var language1186 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var user_type1187 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzerart</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Users.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var main_4_panel1188 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": language1186, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": user_type1187, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1191 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1177, main_2_panel1182, { "anchor": "-20", "autoHeight": true, "items": partner1185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel1188 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1191;
    this.before_row_edit = function(record) {
    }
    Lino.users.AllUsers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.humanlinks.Links.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 124,
  initComponent : function() {
    var parent1193 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wer ist...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Wer ist...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type1194 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwandschaftsart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Verwandschaftsart","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child1195 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Von wem...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Von wem...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel1196 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent1193, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type1194, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child1195, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1196;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-RefundConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 138,
  initComponent : function() {
    var id1200 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.RefundConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client1201 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.RefundConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var user1202 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var signer1203 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.RefundConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var workflow_buttons_disp1204 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.RefundConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1205 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id1200, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client1201, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user1202, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer1203, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp1204, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting1211 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.RefundConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var start_date1212 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1213 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel1214 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting1211, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date1212, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date1213, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type1218 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Art des Arztes", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art des Arztes","(aids.RefundConfirmations.doctor_type) ") }, "name": "doctor_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor1219 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Arzt", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Arzt","(aids.RefundConfirmations.doctor) ") }, "name": "doctor", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy1220 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "Apotheke", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Apotheke","(aids.RefundConfirmations.pharmacy) ") }, "name": "pharmacy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    var main_3_panel1221 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type1218, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor1219, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy1220, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company1225 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.RefundConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var contact_person1226 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var language1227 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.RefundConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp1228 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_4_panel1229 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company1225, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person1226, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language1227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp1228, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1234 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 38, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel1235 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1205, main_2_panel1214, main_3_panel1221, main_4_panel1229, remark1234 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1235;
    this.before_row_edit = function(record) {
      doctor1219.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy1220.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
      contact_person1226.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark1234.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type1218 !== 'undefined' && doctor_type1218.on('change',Lino.chooser_handler(doctor1219,'doctor_type'));
      typeof granting1211 !== 'undefined' && granting1211.on('change',Lino.chooser_handler(pharmacy1220,'granting'));
      typeof company1225 !== 'undefined' && company1225.on('change',Lino.chooser_handler(contact_person1226,'company'));
      Lino.aids.RefundConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 142,
  initComponent : function() {
    var id1236 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(tinymce.TextFieldTemplates.id) ") }, "name": "id", "selectOnFocus": true });
    var name1237 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user1238 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_1_panel1239 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id1236, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": name1237, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": user1238, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description1243 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(tinymce.TextFieldTemplates.description) ") }, "name": "description", "selectOnFocus": true });
    var text1244 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Vorlagentext", "flex": 5, "name": "text", "region": "south", "selectOnFocus": true, "split": true, "title": "Vorlagentext" });
    var main_panel1245 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1239, { "flex": 5, "items": description1243, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, text1244 ], "labelAlign": "top", "labelWidth": 117 });
    this.items = main_panel1245;
    this.before_row_edit = function(record) {
      text1244.refresh();
    }
    Lino.tinymce.TextFieldTemplates.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel vatless-ProjectInvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 79,
  initComponent : function() {
    var journal1247 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.ProjectInvoicesByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/journal" }) }) });
    var number1248 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(vatless.ProjectInvoicesByJournal.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var entry_date1249 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var voucher_date1250 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(vatless.ProjectInvoicesByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var accounting_period1251 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(vatless.ProjectInvoicesByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/accounting_period" }) }) });
    var workflow_buttons_disp1252 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(vatless.ProjectInvoicesByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel1253 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": journal1247, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": number1248, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": entry_date1249, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": voucher_date1250, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": accounting_period1251, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": workflow_buttons_disp1252, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project1260 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var narration1261 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(vatless.ProjectInvoicesByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_2_panel1262 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": project1260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": narration1261, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner1265 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var your_ref1266 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ihr Zeichen", "listeners": { "render": Lino.quicktip_renderer("Ihr Zeichen","(vatless.ProjectInvoicesByJournal.your_ref) ") }, "maxLength": 200, "name": "your_ref", "selectOnFocus": true });
    var general_3_panel1267 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": partner1265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": your_ref1266, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var payment_term1270 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(vatless.ProjectInvoicesByJournal.payment_term) See lino_xl.lib.ledger.mixins.PartnerRelated.payment_term") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/payment_term" }) }) });
    var due_date1271 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(vatless.ProjectInvoicesByJournal.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var bank_account1272 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "fieldLabel": "Bankkonto", "hiddenName": "bank_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Bankkonto","(vatless.ProjectInvoicesByJournal.bank_account) ") }, "name": "bank_account", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/bank_account" }) }) });
    var amount1273 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(vatless.ProjectInvoicesByJournal.amount) ") }, "name": "amount", "selectOnFocus": true });
    var general_4_panel1274 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": payment_term1270, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": due_date1271, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": bank_account1272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": amount1273, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel1289 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1253, general_2_panel1262, general_3_panel1267, general_4_panel1274 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var match1290 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Match</span>", "listeners": { "render": Lino.quicktip_renderer("Match","(vatless.ProjectInvoicesByJournal.match) The movement to be matched.") }, "name": "match", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/match" }) }) });
    var state1291 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.ProjectInvoicesByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user1292 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(vatless.ProjectInvoicesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/user" }) }) });
    var id1293 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(vatless.ProjectInvoicesByJournal.id) ") }, "name": "id", "selectOnFocus": true });
    var ledger_1_panel1294 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": match1290, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": state1291, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": user1292, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id1293, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ledger_panel1300 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ledger_1_panel1294 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Ledger" });
    var main_panel1301 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1289, ledger_panel1300 ], "labelAlign": "top", "split": true });
    this.items = main_panel1301;
    this.before_row_edit = function(record) {
      bank_account1272.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account1272.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      var bp = this.get_base_params();
      match1290.setContextValue('mk',bp['mk']);
      match1290.setContextValue('mt',bp['mt']);
      match1290.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof partner1265 !== 'undefined' && partner1265.on('change',Lino.chooser_handler(bank_account1272,'partner'));
      typeof project1260 !== 'undefined' && project1260.on('change',Lino.chooser_handler(bank_account1272,'project'));
      typeof journal1247 !== 'undefined' && journal1247.on('change',Lino.chooser_handler(match1290,'journal'));
      typeof partner1265 !== 'undefined' && partner1265.on('change',Lino.chooser_handler(match1290,'partner'));
      Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 57,
  initComponent : function() {
    var first_name1302 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name1303 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel1304 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name1302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name1303, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var national_id1307 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var gender1308 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var language1309 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_3_panel1310 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": gender1308, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 64, "items": language1309, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1313 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1304, { "anchor": "-20", "autoHeight": true, "items": national_id1307, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel1310 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1313;
    this.before_row_edit = function(record) {
    }
    Lino.pcsw.Clients.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 114,
  initComponent : function() {
    var name1315 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(newcomers.Faculties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1316 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(newcomers.Faculties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1317 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel1318 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name1315, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr1316, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en1317, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var weight1322 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aufwand</span>", "listeners": { "render": Lino.quicktip_renderer("Aufwand","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_panel1323 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1318, { "anchor": "-20", "autoHeight": true, "items": weight1322, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1323;
    this.before_row_edit = function(record) {
    }
    Lino.newcomers.Faculties.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.ExperiencesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-ExperiencesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 91,
  initComponent : function() {
    var start_date1325 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.ExperiencesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1326 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.ExperiencesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1327 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1325, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1326, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company1330 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Organisation", "listeners": { "render": Lino.quicktip_renderer("Organisation","(cv.ExperiencesByPerson.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var function1331 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.ExperiencesByPerson.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/function" }) }) });
    var main_2_panel1332 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": company1330, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": function1331, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1335 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1327, main_2_panel1332 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1335;
    this.before_row_edit = function(record) {
      function1331.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cv.ExperiencesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 114,
  initComponent : function() {
    var id1336 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(newcomers.Faculties.id) ") }, "name": "id", "selectOnFocus": true });
    var name1337 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(newcomers.Faculties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1338 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(newcomers.Faculties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1339 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var weight1340 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aufwand</span>", "listeners": { "render": Lino.quicktip_renderer("Aufwand","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_1_panel1341 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id1336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name1337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr1338, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en1339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": weight1340, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var ClientsByFaculty_grid2800 = new Lino.newcomers.ClientsByFaculty.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Klienten","(newcomers.newcomers.ClientsByFaculty) The list that opens by Contacts \u2023 Clients.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.ClientsByFaculty.grid) ] });
    var main_panel2801 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1341, ClientsByFaculty_grid2800 ], "labelAlign": "top" });
    this.items = main_panel2801;
    this.before_row_edit = function(record) {
      ClientsByFaculty_grid2800.on_master_changed();
    }
    Lino.newcomers.Faculties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 42,
  initComponent : function() {
    var name2802 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(boards.Boards.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2803 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(boards.Boards.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2804 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2805 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name2802, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr2803, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en2804, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2809 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2805 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel2809;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 96,
  initComponent : function() {
    var company2191 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.ContractPartners.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person2192 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(isip.ContractPartners.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role2193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_panel2194 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": company2191, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person2192, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_role2193, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2194;
    this.before_row_edit = function(record) {
      contact_person2192.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company2191 !== 'undefined' && company2191.on('change',Lino.chooser_handler(contact_person2192,'company'));
      Lino.isip.ContractPartners.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 42,
  initComponent : function() {
    var id2810 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(boards.Boards.id) ") }, "name": "id", "selectOnFocus": true });
    var name2811 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(boards.Boards.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2812 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(boards.Boards.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2813 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2814 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id2810, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name2811, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr2812, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en2813, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2823 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2814 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2823;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 96,
  initComponent : function() {
    var company2182 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.ContractPartners.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person2183 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(isip.ContractPartners.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role2184 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_1_panel2185 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company2182, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person2183, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role2184, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var duties_company2189 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen Firma", "flex": 83, "name": "duties_company", "selectOnFocus": true, "title": "Verpflichtungen Firma" });
    var main_panel2190 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2185, duties_company2189 ], "labelAlign": "top", "labelWidth": 198, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2190;
    this.before_row_edit = function(record) {
      contact_person2183.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company2189.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company2182 !== 'undefined' && company2182.on('change',Lino.chooser_handler(contact_person2183,'company'));
      Lino.isip.ContractPartners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-IncomeConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 137,
  initComponent : function() {
    var client2824 = new Lino.TwinCombo({ "allowBlank": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "flex": 44, "hidden": true, "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmationsByGranting.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var granting2825 = new Lino.TwinCombo({ "allowBlank": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "flex": 55, "hidden": true, "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.IncomeConfirmationsByGranting.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    var main_1_panel2826 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hidden": true, "hideCheckBoxLabels": true, "items": [ client2824, granting2825 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2827 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date2828 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel2829 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2827, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date2828, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category2832 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "Kategorie", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.IncomeConfirmationsByGranting.category) ") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount2833 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(aids.IncomeConfirmationsByGranting.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_3_panel2834 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 62, "items": category2832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": amount2833, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2837 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var contact_person2838 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var language2839 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.IncomeConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_4_panel2840 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company2837, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person2838, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language2839, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2844 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 55, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel2845 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2826, main_2_panel2829, main_3_panel2834, main_4_panel2840, remark2844 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2845;
    this.before_row_edit = function(record) {
      contact_person2838.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark2844.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company2837 !== 'undefined' && company2837.on('change',Lino.chooser_handler(contact_person2838,'company'));
      Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractEndings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 95,
  initComponent : function() {
    var name2846 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ContractEndings.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var use_in_isip2847 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "VSE", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("VSE","(isip.ContractEndings.use_in_isip) ") }, "name": "use_in_isip", "selectOnFocus": true });
    var use_in_jobs2848 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Art. 60\u00a77", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Art. 60\u00a77","(isip.ContractEndings.use_in_jobs) ") }, "name": "use_in_jobs", "selectOnFocus": true });
    var is_success2849 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Erfolgreich abgeschlossen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(isip.ContractEndings.is_success) ") }, "name": "is_success", "selectOnFocus": true });
    var needs_date_ended2850 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "erfordert Enddatum", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("erfordert Enddatum","(isip.ContractEndings.needs_date_ended) ") }, "name": "needs_date_ended", "selectOnFocus": true });
    var main_2_panel2851 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": use_in_isip2847, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": use_in_jobs2848, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_success2849, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needs_date_ended2850, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByEnding_grid2881 = new Lino.isip.ContractsByEnding.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByEnding) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByEnding.grid) ] });
    var jobs_ContractsByEnding_grid2912 = new Lino.jobs.ContractsByEnding.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByEnding) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByEnding.grid) ] });
    var main_panel2913 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": name2846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2851, isip_ContractsByEnding_grid2881, jobs_ContractsByEnding_grid2912 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2913;
    this.before_row_edit = function(record) {
      isip_ContractsByEnding_grid2881.on_master_changed();
      jobs_ContractsByEnding_grid2912.on_master_changed();
    }
    Lino.isip.ContractEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 118,
  initComponent : function() {
    var id2915 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.IdentifyPersonRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person2916 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var user2917 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var sent2918 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status2919 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.IdentifyPersonRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp2920 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.IdentifyPersonRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel2921 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id2915, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person2916, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user2917, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent2918, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status2919, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp2920, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var national_id2928 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var p1_panel2930 = new Ext.form.FieldSet({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": national_id2928, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 50, "html": "<br/>", "xtype": "label" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "title": "Suche per NISS" });
    var first_name2932 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.IdentifyPersonRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name2933 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name2934 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.IdentifyPersonRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel2935 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name2932, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name2933, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name2934, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date2939 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance2940 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Toleranz</span>", "listeners": { "render": Lino.quicktip_renderer("Toleranz","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender2941 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel2942 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date2939, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance2940, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender2941, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel2946 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 75, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel2935, p2_2_panel2942 ], "labelAlign": "top", "layout": "form", "title": "Phonetische Suche" });
    var parameters_panel2947 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel2930, p2_panel2946 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var IdentifyPersonResult_grid2958 = new Lino.cbss.IdentifyPersonResult.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Resultate","(cbss.cbss.IdentifyPersonResult) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cbss.IdentifyPersonResult.grid) ] });
    var request_panel2959 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel2921, parameters_panel2947, IdentifyPersonResult_grid2958 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel2970 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel2959 ], "labelAlign": "top", "split": true });
    this.items = main_panel2970;
    this.before_row_edit = function(record) {
      IdentifyPersonResult_grid2958.on_master_changed();
    }
    Lino.cbss.IdentifyPersonRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person2916.on("change", function(){ this.save() }, this);
  }
});


Lino.aids.Grantings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 135,
  initComponent : function() {
    var client2971 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type2972 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var signer2973 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Best\u00e4tiger</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var main_2_panel2974 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": aid_type2972, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer2973, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var board2977 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date2978 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_3_panel2979 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board2977, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date2978, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2982 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date2983 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_4_panel2984 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2982, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date2983, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2987 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client2971, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2974, main_3_panel2979, main_4_panel2984 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2987;
    this.before_row_edit = function(record) {
      board2977.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date2978 !== 'undefined' && decision_date2978.on('change',Lino.chooser_handler(board2977,'decision_date'));
      Lino.aids.Grantings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 118,
  initComponent : function() {
    var person2989 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var national_id2990 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var main_1_panel2991 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": person2989, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": national_id2990, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name2994 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.IdentifyPersonRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name2995 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name2996 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.IdentifyPersonRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel2997 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name2994, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name2995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name2996, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date3001 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance3002 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Toleranz</span>", "listeners": { "render": Lino.quicktip_renderer("Toleranz","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender3003 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel3004 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date3001, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance3002, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender3003, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel3008 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel2997, p2_2_panel3004 ], "labelAlign": "top", "layout": "form", "title": "Phonetische Suche" });
    var main_panel3009 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2991, p2_panel3008 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3009;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.IdentifyPersonRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.clients.ClientContactTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel clients-ClientContactTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 44,
  initComponent : function() {
    var id3010 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(clients.ClientContactTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3011 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(clients.ClientContactTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3012 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(clients.ClientContactTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3013 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(clients.ClientContactTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var can_refund3014 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kostenr\u00fcckerstattung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kostenr\u00fcckerstattung","(clients.ClientContactTypes.can_refund) Whether persons of this type can be used as doctor of a refund confirmation.") }, "name": "can_refund", "selectOnFocus": true });
    var is_bailiff3015 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Schuldeneintreiber", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Schuldeneintreiber","(clients.ClientContactTypes.is_bailiff) ") }, "name": "is_bailiff", "selectOnFocus": true });
    var main_1_panel3016 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id3010, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name3011, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr3012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en3013, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": can_refund3014, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": is_bailiff3015, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var clients_PartnersByClientContactType_grid3164 = new Lino.clients.PartnersByClientContactType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Partner","(clients.clients.PartnersByClientContactType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.clients.PartnersByClientContactType.grid) ] });
    var clients_ClientContactsByType_grid3173 = new Lino.clients.ClientContactsByType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontakte","(clients.clients.ClientContactsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.clients.ClientContactsByType.grid) ] });
    var main_panel3174 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3016, clients_PartnersByClientContactType_grid3164, clients_ClientContactsByType_grid3173 ], "labelAlign": "top" });
    this.items = main_panel3174;
    this.before_row_edit = function(record) {
      clients_PartnersByClientContactType_grid3164.on_master_changed();
      clients_ClientContactsByType_grid3173.on_master_changed();
    }
    Lino.clients.ClientContactTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Offers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Offers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 101,
  initComponent : function() {
    var name3175 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Offers.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider3176 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Offers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/provider" }) }) });
    var sector3177 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Offers.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/sector" }) }) });
    var function3178 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Offers.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/function" }) }) });
    var main_1_panel3179 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name3175, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": provider3176, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector3177, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": function3178, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var selection_from3184 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginn Auswahl", "listeners": { "render": Lino.quicktip_renderer("Beginn Auswahl","(jobs.Offers.selection_from) ") }, "name": "selection_from", "selectOnFocus": true });
    var selection_until3185 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ende Auswahl", "listeners": { "render": Lino.quicktip_renderer("Ende Auswahl","(jobs.Offers.selection_until) ") }, "name": "selection_until", "selectOnFocus": true });
    var start_date3186 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(jobs.Offers.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var main_2_panel3187 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": selection_from3184, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": selection_until3185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": start_date3186, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3191 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Offers.remark) ") }, "name": "remark", "selectOnFocus": true });
    var ExperiencesByOffer_grid3198 = new Lino.jobs.ExperiencesByOffer.GridPanel({ "containing_panel": this, "flex": 51, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erfahrungen","(jobs.jobs.ExperiencesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ExperiencesByOffer.grid) ] });
    var CandidaturesByOffer_grid3204 = new Lino.jobs.CandidaturesByOffer.GridPanel({ "containing_panel": this, "flex": 48, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kandidaten","(jobs.jobs.CandidaturesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByOffer.grid) ] });
    var main_4_panel3205 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ ExperiencesByOffer_grid3198, CandidaturesByOffer_grid3204 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3206 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3179, main_2_panel3187, { "flex": 41, "items": remark3191, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel3205 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3206;
    this.before_row_edit = function(record) {
      function3178.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      ExperiencesByOffer_grid3198.on_master_changed();
      CandidaturesByOffer_grid3204.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof sector3177 !== 'undefined' && sector3177.on('change',Lino.chooser_handler(function3178,'sector'));
      Lino.jobs.Offers.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Offers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 2,
  initComponent : function() {
    var isocode3208 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO-Code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO-Code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var inscode3209 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var main_1_panel3210 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": isocode3208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": inscode3209, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name3213 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3214 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Countries.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3215 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel3216 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3213, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3215, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3220 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3210, main_2_panel3216 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3220;
    this.before_row_edit = function(record) {
    }
    Lino.countries.Countries.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ExamPolicies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ExamPolicies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 94,
  initComponent : function() {
    var id3221 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ExamPolicies.id) ") }, "name": "id", "selectOnFocus": true });
    var name3222 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ExamPolicies.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3223 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(isip.ExamPolicies.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3224 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(isip.ExamPolicies.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3225 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3222, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3223, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3224, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var max_events3230 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anzahl Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Anzahl Termine","(isip.ExamPolicies.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var every3231 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">... alle</span>", "listeners": { "render": Lino.quicktip_renderer("... alle","(isip.ExamPolicies.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var every_unit3232 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(isip.ExamPolicies.every_unit) The interval between each periodic iteration.") }, "name": "every_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var event_type3233 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(isip.ExamPolicies.event_type) Generated events will receive this type.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ExamPolicies/event_type" }) }) });
    var main_2_panel3234 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": max_events3230, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": every3231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": every_unit3232, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": event_type3233, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday3239 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Montag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Montag","(isip.ExamPolicies.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday3240 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dienstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dienstag","(isip.ExamPolicies.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday3241 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mittwoch", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mittwoch","(isip.ExamPolicies.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday3242 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Donnerstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Donnerstag","(isip.ExamPolicies.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday3243 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Freitag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freitag","(isip.ExamPolicies.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday3244 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Samstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Samstag","(isip.ExamPolicies.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday3245 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sonntag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sonntag","(isip.ExamPolicies.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_3_panel3246 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday3239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday3240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday3241, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday3242, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday3243, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday3244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday3245, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByPolicy_grid3279 = new Lino.isip.ContractsByPolicy.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByPolicy) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByPolicy.grid) ] });
    var jobs_ContractsByPolicy_grid3310 = new Lino.jobs.ContractsByPolicy.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByPolicy) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByPolicy.grid) ] });
    var main_panel3311 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3225, main_2_panel3234, main_3_panel3246, isip_ContractsByPolicy_grid3279, jobs_ContractsByPolicy_grid3310 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3311;
    this.before_row_edit = function(record) {
      isip_ContractsByPolicy_grid3279.on_master_changed();
      jobs_ContractsByPolicy_grid3310.on_master_changed();
    }
    Lino.isip.ExamPolicies.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 119,
  initComponent : function() {
    var id3312 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.ManageAccessRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person3313 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.ManageAccessRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var user3314 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var sent3315 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status3316 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.ManageAccessRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp3317 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.ManageAccessRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel3318 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id3312, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person3313, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user3314, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent3315, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status3316, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp3317, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var action3325 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktion</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Aktion","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date3326 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3327 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode bis", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel3328 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": action3325, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": start_date3326, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date3327, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose3332 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschafts-Code</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Code","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register3333 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Abfrageregister</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Abfrageregister","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel3334 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": purpose3332, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": query_register3333, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel3337 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 43, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel3328, p1_2_panel3334 ], "labelAlign": "top", "layout": "form", "title": "Angefragte Aktion" });
    var national_id3338 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no3339 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("SIS-Karten-Nr","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no3340 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("ID-Karten-Nr","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel3341 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id3338, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no3339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no3340, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name3345 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.ManageAccessRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name3346 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.ManageAccessRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date3347 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel3348 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name3345, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name3346, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date3347, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel3352 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 56, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel3341, proof_2_panel3348 ], "labelAlign": "top", "layout": "form", "title": "Authentifizierungsbeleg" });
    var parameters_panel3353 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel3337, proof_panel3352 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var result_htmlbox3354 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 37, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Resultat","(cbss.ManageAccessRequests.result) ") }, "name": "result", "title": "Resultat", "value": "<br/>" });
    var request_panel3355 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel3318, parameters_panel3353, result_htmlbox3354 ], "labelAlign": "top", "labelWidth": 81, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel3366 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel3355 ], "labelAlign": "top", "split": true });
    this.items = main_panel3366;
    this.before_row_edit = function(record) {
      purpose3332.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      result_htmlbox3354.refresh();
    }
    Lino.cbss.ManageAccessRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person3313.on("change", function(){ this.save() }, this);
  }
});


Lino.cbss.ManageAccessRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 119,
  initComponent : function() {
    var person3367 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.ManageAccessRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var action3368 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktion</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Aktion","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date3369 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3370 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode bis", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel3371 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": action3368, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": start_date3369, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date3370, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose3375 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschafts-Code</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Code","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register3376 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Abfrageregister</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Abfrageregister","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel3377 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": purpose3375, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": query_register3376, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel3380 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel3371, p1_2_panel3377 ], "labelAlign": "top", "layout": "form", "title": "Angefragte Aktion" });
    var national_id3381 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no3382 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("SIS-Karten-Nr","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no3383 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("ID-Karten-Nr","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel3384 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id3381, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no3382, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no3383, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name3388 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.ManageAccessRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name3389 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.ManageAccessRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date3390 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel3391 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name3388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name3389, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date3390, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel3395 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel3384, proof_2_panel3391 ], "labelAlign": "top", "layout": "form", "title": "Authentifizierungsbeleg" });
    var main_panel3396 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person3367, "labelAlign": "top", "layout": "form", "xtype": "panel" }, p1_panel3380, proof_panel3395 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3396;
    this.before_row_edit = function(record) {
      purpose3375.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cbss.ManageAccessRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 22,
  initComponent : function() {
    var id3398 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.ExcerptTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3399 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3400 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(excerpts.ExcerptTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3401 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3402 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3401, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type3407 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modell</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Modell","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var build_method3408 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template3409 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template3410 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var email_template3411 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(excerpts.ExcerptTypes.email_template) The template to use when sending this an excerpt of this type\nby email.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/email_template" }) }) });
    var shortcut3412 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Excerpt shortcut","(excerpts.ExcerptTypes.shortcut) Optional pointer to a shortcut field.  If this is not empty, then\nthe given shortcut field will manage excerpts of this type.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.excerpts.Shortcuts) });
    var main_2_panel3413 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": content_type3407, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": build_method3408, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": template3409, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": body_template3410, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": email_template3411, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": shortcut3412, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary3420 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var print_directly3421 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Direkt drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Direkt drucken","(excerpts.ExcerptTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var certifying3422 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bescheinigend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bescheinigend","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "name": "certifying", "selectOnFocus": true });
    var print_recipient3423 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Empf\u00e4nger drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger drucken","(excerpts.ExcerptTypes.print_recipient) Whether to print a recipient field in document.") }, "name": "print_recipient", "selectOnFocus": true });
    var backward_compat3424 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Backward compatible", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Backward compatible","(excerpts.ExcerptTypes.backward_compat) Check this to have `this` in template context point to owner instead of excerpt.") }, "name": "backward_compat", "selectOnFocus": true });
    var attach_to_email3425 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(excerpts.ExcerptTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_3_panel3426 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": primary3420, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_directly3421, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": certifying3422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_recipient3423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": backward_compat3424, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": attach_to_email3425, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpts_ExcerptsByType_grid3485 = new Lino.excerpts.ExcerptsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausz\u00fcge","(excerpts.excerpts.ExcerptsByType) Base class for all tables on Excerpt.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.excerpts.ExcerptsByType.grid) ] });
    var main_panel3486 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3402, main_2_panel3413, main_3_panel3426, excerpts_ExcerptsByType_grid3485 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3486;
    this.before_row_edit = function(record) {
      template3409.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template3409.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template3410.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      email_template3411.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      excerpts_ExcerptsByType_grid3485.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method3408 !== 'undefined' && build_method3408.on('change',Lino.chooser_handler(template3409,'build_method'));
      typeof content_type3407 !== 'undefined' && content_type3407.on('change',Lino.chooser_handler(template3409,'content_type'));
      typeof content_type3407 !== 'undefined' && content_type3407.on('change',Lino.chooser_handler(body_template3410,'content_type'));
      typeof content_type3407 !== 'undefined' && content_type3407.on('change',Lino.chooser_handler(email_template3411,'content_type'));
      Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 93,
  initComponent : function() {
    var id3487 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var ref3488 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenz", "listeners": { "render": Lino.quicktip_renderer("Referenz","(isip.ContractTypes.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var exam_policy3489 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(isip.ContractTypes.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractTypes/exam_policy" }) }) });
    var overlap_group3490 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(isip.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var needs_study_type3491 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "erfordert Ausbildungsart ", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("erfordert Ausbildungsart ","(isip.ContractTypes.needs_study_type) ") }, "name": "needs_study_type", "selectOnFocus": true });
    var main_1_panel3492 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3487, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": ref3488, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": exam_policy3489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": overlap_group3490, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needs_study_type3491, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name3498 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3499 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(isip.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3500 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(isip.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel3501 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3498, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3499, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3500, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var full_name3505 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Voller Name", "listeners": { "render": Lino.quicktip_renderer("Voller Name","(isip.ContractTypes.full_name) ") }, "maxLength": 200, "name": "full_name", "selectOnFocus": true });
    var ContractsByType_grid3531 = new Lino.isip.ContractsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByType.grid) ] });
    var main_panel3532 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3492, main_2_panel3501, { "autoHeight": true, "items": full_name3505, "labelAlign": "top", "layout": "form", "xtype": "panel" }, ContractsByType_grid3531 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3532;
    this.before_row_edit = function(record) {
      ContractsByType_grid3531.on_master_changed();
    }
    Lino.isip.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 142,
  initComponent : function() {
    var name3534 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user3535 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_panel3536 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name3534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": user3535, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3536;
    this.before_row_edit = function(record) {
    }
    Lino.tinymce.TextFieldTemplates.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-IncomeConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 137,
  initComponent : function() {
    var client3539 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var user3540 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var signer3541 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var workflow_buttons_disp3542 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.IncomeConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var printed_disp3543 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_1_panel3544 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": client3539, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": user3540, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": signer3541, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": workflow_buttons_disp3542, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": printed_disp3543, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3550 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.IncomeConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var contact_person3551 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var language3552 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.IncomeConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_2_panel3553 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3551, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language3552, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting3557 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.IncomeConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var start_date3558 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3559 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel3560 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting3557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date3558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date3559, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category3564 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "Kategorie", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.IncomeConfirmations.category) ") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount3565 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(aids.IncomeConfirmations.amount) ") }, "name": "amount", "selectOnFocus": true });
    var id3566 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.IncomeConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel3567 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 54, "items": category3564, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": amount3565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id3566, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3571 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 45, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel3572 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3544, main_2_panel3553, main_3_panel3560, main_4_panel3567, remark3571 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3572;
    this.before_row_edit = function(record) {
      contact_person3551.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3571.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company3550 !== 'undefined' && company3550.on('change',Lino.chooser_handler(contact_person3551,'company'));
      Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 33,
  initComponent : function() {
    var name3573 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Calendars.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3574 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Calendars.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3575 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3576 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3573, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3574, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3575, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var color3580 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Farbe</span>", "listeners": { "render": Lino.quicktip_renderer("Farbe","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var main_panel3581 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3576, { "anchor": "-20", "autoHeight": true, "items": color3580, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3581;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Calendars.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 33,
  initComponent : function() {
    var name3583 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Calendars.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3584 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Calendars.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3585 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var color3586 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Farbe</span>", "listeners": { "render": Lino.quicktip_renderer("Farbe","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var id3587 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Calendars.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3588 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": name3583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr3584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en3585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": color3586, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id3587, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description3594 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 52, "name": "description", "selectOnFocus": true, "title": "Beschreibung" });
    var SubscriptionsByCalendar_grid3600 = new Lino.cal.SubscriptionsByCalendar.GridPanel({ "containing_panel": this, "flex": 47, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(cal.cal.SubscriptionsByCalendar) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.SubscriptionsByCalendar.grid) ] });
    var main_2_panel3601 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ description3594, SubscriptionsByCalendar_grid3600 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3602 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3588, main_2_panel3601 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3602;
    this.before_row_edit = function(record) {
      description3594.refresh();
      SubscriptionsByCalendar_grid3600.on_master_changed();
    }
    Lino.cal.Calendars.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatements.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-BankStatements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var entry_date3603 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var balance13604 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(finan.BankStatements.balance1) The old (or start) balance.") }, "name": "balance1", "selectOnFocus": true, "value": 0 });
    var main_panel3605 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": entry_date3603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": balance13604, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3605;
    this.before_row_edit = function(record) {
    }
    Lino.finan.BankStatements.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatements.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-BankStatements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 77,
  initComponent : function() {
    var entry_date3608 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number3609 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.BankStatements.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var balance13610 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(finan.BankStatements.balance1) The old (or start) balance.") }, "name": "balance1", "selectOnFocus": true, "value": 0 });
    var balance23611 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neuer Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Neuer Saldo","(finan.BankStatements.balance2) The new (or end) balance.") }, "name": "balance2", "selectOnFocus": true, "value": 0 });
    var general_left_1_panel3612 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": entry_date3608, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": number3609, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": balance13610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": balance23611, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration3617 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.BankStatements.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var workflow_buttons_disp3618 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.BankStatements.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_left_2_panel3619 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": narration3617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": workflow_buttons_disp3618, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_left_panel3622 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 62, "frame": true, "hideCheckBoxLabels": true, "items": [ general_left_1_panel3612, general_left_2_panel3619 ], "labelAlign": "top", "layout": "form" });
    var uploads_UploadsByController_htmlbox3623 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 37, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(finan.BankStatements.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var general_1_panel3624 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ general_left_panel3622, uploads_UploadsByController_htmlbox3623 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel3640 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3624 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal3641 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.BankStatements.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/journal" }) }) });
    var accounting_period3642 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.BankStatements.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/accounting_period" }) }) });
    var user3643 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.BankStatements.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/user" }) }) });
    var id3644 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.BankStatements.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel3645 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal3641, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period3642, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user3643, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3644, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account3650 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.BankStatements.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/item_account" }) }) });
    var item_remark3651 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.BankStatements.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel3652 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account3650, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark3651, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel3656 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel3645, more_2_panel3652 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel3657 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3640, more_panel3656 ], "labelAlign": "top", "split": true });
    this.items = main_panel3657;
    this.before_row_edit = function(record) {
      uploads_UploadsByController_htmlbox3623.refresh();
    }
    Lino.finan.BankStatements.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByClient",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var event_type2577 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var summary2578 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2579 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByClient.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2580 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date2581 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.EntriesByClient.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2582 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel2583 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date2579, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time2580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date2581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time2582, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2588 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event_type2577, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": summary2578, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel2583 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2588;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  content_type: 11,
  initComponent : function() {
    var username1538 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzername</span>", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(users.Users.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var user_type1539 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzerart</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Users.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var partner1540 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) The partner record with additional contact information about\nthis user account.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var box1_1_panel1541 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": username1538, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": user_type1539, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": partner1540, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1545 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name1546 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var initials1547 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Initialien</span>", "listeners": { "render": Lino.quicktip_renderer("Initialien","(users.Users.initials) The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.") }, "maxLength": 10, "name": "initials", "selectOnFocus": true });
    var box1_2_panel1548 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": first_name1545, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": last_name1546, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": initials1547, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var email1552 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var language1553 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var mail_mode1554 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benachrichtigungsmodus", "forceSelection": true, "hiddenName": "mail_modeHidden", "listeners": { "render": Lino.quicktip_renderer("Benachrichtigungsmodus","(users.Users.mail_mode) ") }, "name": "mail_mode", "selectOnFocus": true, "store": Lino.notify.MailModes });
    var box1_3_panel1555 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": email1552, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": language1553, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": mail_mode1554, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id1559 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(users.Users.id) ") }, "name": "id", "selectOnFocus": true });
    var created1560 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(users.Users.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1561 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(users.Users.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var box1_4_panel1562 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id1559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": created1560, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": modified1561, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var box1_panel1566 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel1541, box1_2_panel1548, box1_3_panel1555, box1_4_panel1562 ], "labelAlign": "top", "layout": "form" });
    var AuthoritiesGiven_grid1569 = new Lino.users.AuthoritiesGiven.GridPanel({ "containing_panel": this, "flex": 33, "hideHeaders": true, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erteilte Vollmachten","(users.users.AuthoritiesGiven) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.users.AuthoritiesGiven.grid) ] });
    var general_1_panel1570 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel1566, AuthoritiesGiven_grid1569 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1571 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(users.Users.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var AuthoritiesTaken_grid1574 = new Lino.users.AuthoritiesTaken.GridPanel({ "containing_panel": this, "flex": 33, "hideHeaders": true, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erhaltene Vollmachten","(users.users.AuthoritiesTaken) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.users.AuthoritiesTaken.grid) ] });
    var general_2_panel1575 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remarks1571, "labelAlign": "top", "layout": "form", "xtype": "panel" }, AuthoritiesTaken_grid1574 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel1577 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1570, general_2_panel1575 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var event_type1578 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(users.Users.event_type) The default type for your calendar entries.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/event_type" }) }) });
    var access_class1579 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardm\u00e4\u00dfige Zugriffsklasse</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Standardm\u00e4\u00dfige Zugriffsklasse","(users.Users.access_class) Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben") }, "name": "access_class", "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var cal_left_1_panel1580 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 37, "items": event_type1578, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 62, "items": access_class1579, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var calendar1583 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Calendars.detail", "emptyText": "Kalender ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">User Calendar</span>", "hiddenName": "calendarHidden", "insert_action": "Lino.cal.Calendars.insert", "listeners": { "render": Lino.quicktip_renderer("User Calendar","(users.Users.calendar) Calendar where your events are published.") }, "name": "calendar", "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/calendar" }) }) });
    var cal_SubscriptionsByUser_grid1589 = new Lino.cal.SubscriptionsByUser.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(cal.cal.SubscriptionsByUser) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.SubscriptionsByUser.grid) ] });
    var cal_left_panel1590 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_left_1_panel1580, { "autoHeight": true, "items": calendar1583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_SubscriptionsByUser_grid1589 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_TasksByUser_grid1651 = new Lino.cal.TasksByUser.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByUser) Shows the list of tasks for this user.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByUser.grid) ] });
    var cal_1_panel1652 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ cal_left_panel1590, cal_TasksByUser_grid1651 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kalender" });
    var newcomer_quota1653 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Quote Erstempfang</span>", "listeners": { "render": Lino.quicktip_renderer("Quote Erstempfang","(users.Users.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "name": "newcomer_quota", "selectOnFocus": true, "value": 0 });
    var coaching_type1654 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Dienst ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dienst</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Dienst","(users.Users.coaching_type) The coaching type used for new coachings of this user.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/coaching_type" }) }) });
    var coaching_supervisor1655 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Coaching supervisor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Coaching supervisor","(users.Users.coaching_supervisor) Notify me when a coach has been assigned.") }, "name": "coaching_supervisor", "selectOnFocus": true });
    var newcomer_consultations1656 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": " Erstempfang direkt", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer(" Erstempfang direkt","(users.Users.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "name": "newcomer_consultations", "selectOnFocus": true });
    var newcomer_appointments1657 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Erstempfang auf Vereinbarung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Erstempfang auf Vereinbarung","(users.Users.newcomer_appointments) Accepts appointments for newcomers.") }, "name": "newcomer_appointments", "selectOnFocus": true });
    var newcomers_CompetencesByUser_grid1664 = new Lino.newcomers.CompetencesByUser.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kompetenzen","(newcomers.newcomers.CompetencesByUser) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.CompetencesByUser.grid) ] });
    var coaching_a_panel1665 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": newcomer_quota1653, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_type1654, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_supervisor1655, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_consultations1656, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_appointments1657, "labelAlign": "top", "layout": "form", "xtype": "panel" }, newcomers_CompetencesByUser_grid1664 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var coachings_CoachingsByUser_grid1678 = new Lino.coachings.CoachingsByUser.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(coachings.coachings.CoachingsByUser) A table showing a set of coachings.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByUser.grid) ] });
    var coaching_1_panel1679 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ coaching_a_panel1665, coachings_CoachingsByUser_grid1678 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Begleitung" });
    var dashboard_WidgetsByUser_grid1688 = new Lino.dashboard.WidgetsByUser.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Dashboard", "tools": [ Lino.show_in_own_window_button(Lino.dashboard.WidgetsByUser.grid) ] });
    var main_panel1689 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1577, cal_1_panel1652, coaching_1_panel1679, dashboard_WidgetsByUser_grid1688 ], "labelAlign": "top", "split": true });
    this.items = main_panel1689;
    this.before_row_edit = function(record) {
      AuthoritiesGiven_grid1569.on_master_changed();
      AuthoritiesTaken_grid1574.on_master_changed();
      cal_SubscriptionsByUser_grid1589.on_master_changed();
      cal_TasksByUser_grid1651.on_master_changed();
      newcomers_CompetencesByUser_grid1664.on_master_changed();
      coachings_CoachingsByUser_grid1678.on_master_changed();
      dashboard_WidgetsByUser_grid1688.on_master_changed();
    }
    Lino.users.AllUsers.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    partner1540.on("change", function(){ this.save() }, this);
  }
});


Lino.cal.Rooms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 31,
  initComponent : function() {
    var id3658 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name3659 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3660 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Rooms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3661 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3662 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3658, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3659, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3660, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3661, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3667 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person3668 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontaktperson</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Kontaktperson","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var display_color3669 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_2_panel3670 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": company3667, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": contact_person3668, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": display_color3669, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description3674 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Rooms.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel3707 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3662, main_2_panel3670, { "flex": 41, "items": description3674, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3707;
    this.before_row_edit = function(record) {
      contact_person3668.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company3667 !== 'undefined' && company3667.on('change',Lino.chooser_handler(contact_person3668,'company'));
      Lino.cal.Rooms.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.GrantingsByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-GrantingsByClient",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 135,
  initComponent : function() {
    var aid_type1810 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var board1811 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.GrantingsByClient.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/board" }) }) });
    var decision_date1812 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.GrantingsByClient.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel1813 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board1811, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date1812, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1816 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.GrantingsByClient.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1817 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.GrantingsByClient.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel1818 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1816, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1817, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1821 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": aid_type1810, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1813, main_3_panel1818 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1821;
    this.before_row_edit = function(record) {
      board1811.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date1812 !== 'undefined' && decision_date1812.on('change',Lino.chooser_handler(board1811,'decision_date'));
      Lino.aids.GrantingsByClient.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.GrantingsByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseOffers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel xcourses-CourseOffers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 109,
  initComponent : function() {
    var provider3709 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseOffers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var content3710 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseOffers.content) ") }, "name": "content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var title3711 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseOffers.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_panel3712 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": provider3709, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": content3710, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": title3711, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3712;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.CourseOffers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 31,
  initComponent : function() {
    var id3716 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name3717 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3718 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Rooms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3719 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var display_color3720 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_1_panel3721 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id3716, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name3717, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name_fr3718, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name_en3719, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": display_color3720, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3727 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person3728 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontaktperson</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Kontaktperson","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var main_panel3729 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3721, { "anchor": "-20", "autoHeight": true, "items": company3727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person3728, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3729;
    this.before_row_edit = function(record) {
      contact_person3728.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company3727 !== 'undefined' && company3727.on('change',Lino.chooser_handler(contact_person3728,'company'));
      Lino.cal.Rooms.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.Courses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-Courses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('print_participants', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 110,
  initComponent : function() {
    var id3732 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.Courses.id) ") }, "name": "id", "selectOnFocus": true });
    var start_date3733 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(xcourses.Courses.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var offer3734 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.Courses.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var title3735 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.Courses.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_1_panel3736 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": id3732, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": start_date3733, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": offer3734, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": title3735, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3741 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(xcourses.Courses.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var xcourses_ParticipantsByCourse_grid3747 = new Lino.xcourses.ParticipantsByCourse.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Teilnehmer","(xcourses.xcourses.ParticipantsByCourse) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.ParticipantsByCourse.grid) ] });
    var xcourses_CandidatesByCourse_grid3754 = new Lino.xcourses.CandidatesByCourse.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kandidaten","(xcourses.xcourses.CandidatesByCourse) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CandidatesByCourse.grid) ] });
    var main_panel3755 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3736, { "autoHeight": true, "items": remark3741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, xcourses_ParticipantsByCourse_grid3747, xcourses_CandidatesByCourse_grid3754 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3755;
    this.before_row_edit = function(record) {
      xcourses_ParticipantsByCourse_grid3747.on_master_changed();
      xcourses_CandidatesByCourse_grid3754.on_master_changed();
    }
    Lino.xcourses.Courses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.humanlinks.Links.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 124,
  initComponent : function() {
    var parent3757 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wer ist...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Wer ist...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type3758 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwandschaftsart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Verwandschaftsart","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child3759 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Von wem...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Von wem...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel3760 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent3757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type3758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child3759, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3760;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 132,
  initComponent : function() {
    var date3764 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(notes.Notes.date) ") }, "name": "date", "selectOnFocus": true });
    var time3765 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zeit", "listeners": { "render": Lino.quicktip_renderer("Zeit","(notes.Notes.time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "time", "selectOnFocus": true });
    var event_type3766 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type3767 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.Notes.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var left_1_panel3768 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date3764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": time3765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": event_type3766, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": type3767, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project3773 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject3774 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var important3775 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wichtig", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wichtig","(notes.Notes.important) ") }, "name": "important", "selectOnFocus": true });
    var left_2_panel3776 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": project3773, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": subject3774, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": important3775, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3780 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(notes.Notes.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var contact_person3781 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(notes.Notes.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var left_3_panel3782 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company3780, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person3781, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user3785 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var language3786 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(notes.Notes.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var build_time3787 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Druckdatum","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var id3788 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.Notes.id) ") }, "name": "id", "selectOnFocus": true });
    var left_4_panel3789 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user3785, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": language3786, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": build_time3787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": id3788, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body3794 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 55, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var left_panel3795 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ left_1_panel3768, left_2_panel3776, left_3_panel3782, left_4_panel3789, body3794 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var uploads_UploadsByController_htmlbox3796 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(notes.Notes.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "region": "north", "split": true, "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var outbox_MailsByController_grid3797 = new Lino.outbox.MailsByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("E-Mail-Ausg\u00e4nge","(outbox.outbox.MailsByController) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.outbox.MailsByController.grid) ] });
    var cal_TasksByController_grid3798 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel3799 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ uploads_UploadsByController_htmlbox3796, outbox_MailsByController_grid3797, cal_TasksByController_grid3798 ], "labelAlign": "top", "labelWidth": 135 });
    var main_1_panel3800 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ left_panel3795, right_panel3799 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel3801 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3800 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel3801;
    this.before_row_edit = function(record) {
      contact_person3781.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body3794.refresh();
      uploads_UploadsByController_htmlbox3796.refresh();
      outbox_MailsByController_grid3797.on_master_changed();
      cal_TasksByController_grid3798.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company3780 !== 'undefined' && company3780.on('change',Lino.chooser_handler(contact_person3781,'company'));
      Lino.notes.Notes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.Notes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.MembersByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-MembersByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 122,
  initComponent : function() {
    var person3802 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Person", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(households.MembersByPerson.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    var role3803 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Rolle", "forceSelection": true, "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(households.MembersByPerson.role) ") }, "name": "role", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var household3804 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Haushalt ausw\u00e4hlen...", "fieldLabel": "Haushalt", "hiddenName": "householdHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("Haushalt","(households.MembersByPerson.household) ") }, "name": "household", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Households.detail,Lino.households.Households.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var primary3805 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "name": "primary", "selectOnFocus": true });
    var main_panel3806 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person3802, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role3803, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": household3804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": primary3805, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3806;
    this.before_row_edit = function(record) {
    }
    Lino.households.MembersByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var country3811 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(addresses.Addresses.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city3812 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var zip_code3813 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Postleitzahl", "listeners": { "render": Lino.quicktip_renderer("Postleitzahl","(addresses.Addresses.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel3814 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": country3811, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": city3812, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": zip_code3813, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr13818 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile vor Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile vor Stra\u00dfe","(addresses.Addresses.addr1) Adresszeile vor Stra\u00dfe") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street3819 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no3820 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(addresses.Addresses.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box3821 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_3_panel3822 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street3819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no3820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box3821, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr23826 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile nach Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile nach Stra\u00dfe","(addresses.Addresses.addr2) Adresszeile nach Stra\u00dfe") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_type3827 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark3828 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_5_panel3829 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type3827, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark3828, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var data_source3832 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datenquelle</span>", "forceSelection": true, "hiddenName": "data_sourceHidden", "listeners": { "render": Lino.quicktip_renderer("Datenquelle","(addresses.Addresses.data_source) Pointer to DataSources.") }, "name": "data_source", "store": Lino.addresses.DataSources });
    var partner3833 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }) });
    var main_6_panel3834 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": data_source3832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": partner3833, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3837 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3814, { "anchor": "-20", "autoHeight": true, "items": addr13818, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel3822, { "anchor": "-20", "autoHeight": true, "items": addr23826, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_5_panel3829, main_6_panel3834 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3837;
    this.before_row_edit = function(record) {
      city3812.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3812.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country3811 !== 'undefined' && country3811.on('change',Lino.chooser_handler(city3812,'country'));
      Lino.addresses.Addresses.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city3812.on("change", function(){ this.save() }, this);
    zip_code3813.on("change", function(){ this.save() }, this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 81,
  initComponent : function() {
    var language3840 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native3841 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Muttersprache", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Muttersprache","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate3842 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Zertifikat", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Zertifikat","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel3843 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native3841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate3842, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level3846 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF-Kategorie</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF-Kategorie","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively3847 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort (passiv)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Wort (passiv)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken3848 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Wort","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written3849 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Schrift", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Schrift","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel3850 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively3847, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken3848, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written3849, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3854 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language3840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel3843, { "anchor": "-20", "autoHeight": true, "items": cef_level3846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel3850 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3854;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 81,
  initComponent : function() {
    var language3857 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native3858 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Muttersprache", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Muttersprache","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate3859 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Zertifikat", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Zertifikat","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel3860 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native3858, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate3859, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level3863 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF-Kategorie</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF-Kategorie","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively3864 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort (passiv)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Wort (passiv)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken3865 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Wort","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written3866 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Schrift", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Schrift","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel3867 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively3864, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken3865, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written3866, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3871 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language3857, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel3860, { "anchor": "-20", "autoHeight": true, "items": cef_level3863, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel3867 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3871;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 100,
  initComponent : function() {
    var client2535 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var job2536 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Contracts.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var main_panel2537 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client2535, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": job2536, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2537;
    this.before_row_edit = function(record) {
    }
    Lino.jobs.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-Invoices",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 79,
  initComponent : function() {
    var journal3874 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var partner3875 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var entry_date3876 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel3877 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": journal3874, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner3875, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date3876, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3877;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.Invoices.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 57,
  initComponent : function() {
    var overview_htmlbox1437 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.overview) A panel with general information about this client.") }, "name": "overview", "value": "<br/>" });
    var gender1438 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id1439 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(pcsw.Clients.id) ") }, "name": "id", "selectOnFocus": true });
    var tim_id1440 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "TIM-ID", "listeners": { "render": Lino.quicktip_renderer("TIM-ID","(pcsw.Clients.tim_id) ") }, "maxLength": 10, "name": "tim_id", "selectOnFocus": true });
    var general2_1_panel1441 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": gender1438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": id1439, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": tim_id1440, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1445 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name1446 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(pcsw.Clients.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name1447 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var general2_2_panel1448 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name1445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name1446, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name1447, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date1452 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(pcsw.Clients.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp1453 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter</span>", "listeners": { "render": Lino.quicktip_renderer("Alter","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var national_id1454 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var general2_3_panel1455 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": birth_date1452, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": age_disp1453, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": national_id1454, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var nationality1459 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Staatsangeh\u00f6rigkeit</span>", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(pcsw.Clients.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var declared_name1460 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Deklarierter Name", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Deklarierter Name","(pcsw.Clients.declared_name) ") }, "name": "declared_name", "selectOnFocus": true });
    var general2_4_panel1461 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": nationality1459, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": declared_name1460, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var civil_state1464 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zivilstand</span>", "forceSelection": true, "hiddenName": "civil_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zivilstand","(pcsw.Clients.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "name": "civil_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var birth_country1465 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Geburtsland", "hiddenName": "birth_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Geburtsland","(pcsw.Clients.birth_country) ") }, "name": "birth_country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/birth_country" }) }) });
    var birth_place1466 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsort</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsort","(pcsw.Clients.birth_place) The birth place in plain text as it was on the eid card.") }, "maxLength": 200, "name": "birth_place", "selectOnFocus": true });
    var general2_5_panel1467 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": civil_state1464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": birth_country1465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": birth_place1466, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel1471 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 38, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel1441, general2_2_panel1448, general2_3_panel1455, general2_4_panel1461, general2_5_panel1467 ], "labelAlign": "top", "layout": "form" });
    var language1472 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email1473 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(pcsw.Clients.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone1474 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(pcsw.Clients.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var fax1475 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(pcsw.Clients.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var gsm1476 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(pcsw.Clients.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var general3_panel1477 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 19, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language1472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email1473, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone1474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax1475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm1476, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var image_htmlbox1483 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 14, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.image) Virtual field which displays the picture.") }, "name": "image", "value": "<br/>" });
    var general_1_panel1484 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox1437, general2_panel1471, general3_panel1477, image_htmlbox1483 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid1489 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 70, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var AgentsByClient_htmlbox1490 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 30, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Termin machen mit","(pcsw.Clients.AgentsByClient) The Coachings table in a clients detail.") }, "master_panel": this, "name": "AgentsByClient", "title": "Termin machen mit", "tools": [ Lino.show_in_own_window_button(Lino.reception.AgentsByClient.grid) ], "value": "<br/>" });
    var general_2_panel1491 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ reception_AppointmentsByPartner_grid1489, AgentsByClient_htmlbox1490 ], "labelAlign": "top", "labelWidth": 162, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel1492 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1484, general_2_panel1491 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Person" });
    var dupable_clients_SimilarClients_htmlbox1493 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 14, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("\u00c4hnliche Klienten","(pcsw.Clients.dupable_clients.SimilarClients) Shows the other objects which are similar to this one.") }, "master_panel": this, "name": "dupable_clients.SimilarClients", "title": "\u00c4hnliche Klienten", "tools": [ Lino.show_in_own_window_button(Lino.dupable_clients.SimilarClients.grid) ], "value": "<br/>" });
    var humanlinks_LinksByHuman_htmlbox1494 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 42, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Beziehungen","(pcsw.Clients.humanlinks.LinksByHuman) Show all links for which this human is either parent or child.") }, "master_panel": this, "name": "humanlinks.LinksByHuman", "title": "Beziehungen", "tools": [ Lino.show_in_own_window_button(Lino.humanlinks.LinksByHuman.grid) ], "value": "<br/>" });
    var cbss_relations_htmlbox1495 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 42, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("ZDSS","(pcsw.Clients.cbss_relations) ") }, "name": "cbss_relations", "title": "ZDSS", "value": "<br/>" });
    var contact_1_panel1496 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 3, "frame": false, "hideCheckBoxLabels": true, "items": [ dupable_clients_SimilarClients_htmlbox1493, humanlinks_LinksByHuman_htmlbox1494, cbss_relations_htmlbox1495 ], "labelAlign": "top", "labelWidth": 162, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var households_MembersByPerson_htmlbox1497 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Mitgliedschaft in Haushalten","(pcsw.Clients.households.MembersByPerson) ") }, "master_panel": this, "name": "households.MembersByPerson", "title": "Mitgliedschaft in Haushalten", "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByPerson.grid) ], "value": "<br/>" });
    var households_SiblingsByPerson_grid1514 = new Lino.households.SiblingsByPerson.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushaltszusammensetzung","(households.households.SiblingsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.SiblingsByPerson.grid) ] });
    var contact_2_panel1515 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox1497, households_SiblingsByPerson_grid1514 ], "labelAlign": "top", "labelWidth": 261, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel1516 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_1_panel1496, contact_2_panel1515 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Beziehungen" });
    var clients_ContactsByClient_grid1700 = new Lino.clients.ContactsByClient.GridPanel({ "containing_panel": this, "flex": 33, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontakte","(clients.clients.ContactsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.clients.ContactsByClient.grid) ] });
    var coachings_CoachingsByClient_grid1709 = new Lino.coachings.CoachingsByClient.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(coachings.coachings.CoachingsByClient) The Coachings table in a clients detail.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByClient.grid) ] });
    var coaching_2_panel1710 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 45, "frame": false, "hideCheckBoxLabels": true, "items": [ clients_ContactsByClient_grid1700, coachings_CoachingsByClient_grid1709 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var coaching_panel1711 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ coaching_2_panel1710 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Begleiter" });
    var in_belgium_since1712 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Lebt in Belgien seit", "listeners": { "render": Lino.quicktip_renderer("Lebt in Belgien seit","(pcsw.Clients.in_belgium_since) ") }, "name": "in_belgium_since", "selectOnFocus": true });
    var residence_type1713 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Einwohnerregister", "forceSelection": true, "hiddenName": "residence_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Einwohnerregister","(pcsw.Clients.residence_type) ") }, "name": "residence_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var gesdos_id1714 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gesdos-Nr", "listeners": { "render": Lino.quicktip_renderer("Gesdos-Nr","(pcsw.Clients.gesdos_id) ") }, "maxLength": 40, "name": "gesdos_id", "selectOnFocus": true });
    var status_1_panel1715 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": in_belgium_since1712, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": residence_type1713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": gesdos_id1714, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_agents1719 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Interim-Agenturen", "listeners": { "render": Lino.quicktip_renderer("Interim-Agenturen","(pcsw.Clients.job_agents) ") }, "maxLength": 100, "name": "job_agents", "selectOnFocus": true });
    var group1720 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Integrationsphase</span>", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integrationsphase","(pcsw.Clients.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/group" }) }) });
    var status_2_panel1721 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 56, "items": job_agents1719, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": group1720, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status_panel1724 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 68, "frame": true, "hideCheckBoxLabels": true, "items": [ status_1_panel1715, status_2_panel1721 ], "labelAlign": "top", "layout": "form" });
    var income_ag1725 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Arbeitslosengeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Arbeitslosengeld","(pcsw.Clients.income_ag) ") }, "name": "income_ag", "selectOnFocus": true });
    var income_wg1726 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wartegeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wartegeld","(pcsw.Clients.income_wg) ") }, "name": "income_wg", "selectOnFocus": true });
    var income_1_panel1727 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": income_ag1725, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": income_wg1726, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var income_kg1730 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Krankengeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Krankengeld","(pcsw.Clients.income_kg) ") }, "name": "income_kg", "selectOnFocus": true });
    var income_rente1731 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Rente", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Rente","(pcsw.Clients.income_rente) ") }, "name": "income_rente", "selectOnFocus": true });
    var income_2_panel1732 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": income_kg1730, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": income_rente1731, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var income_misc1735 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "andere Einkommen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("andere Einkommen","(pcsw.Clients.income_misc) ") }, "name": "income_misc", "selectOnFocus": true });
    var income_panel1736 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 31, "frame": true, "hideCheckBoxLabels": true, "items": [ income_1_panel1727, income_2_panel1732, { "anchor": "-20", "autoHeight": true, "items": income_misc1735, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var aids_tab_1_panel1738 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ status_panel1724, income_panel1736 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var sepa_AccountsByClient_grid1754 = new Lino.sepa.AccountsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByClient) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByClient.grid) ] });
    var aids_GrantingsByClient_grid1823 = new Lino.aids.GrantingsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hilfebeschl\u00fcsse","(aids.aids.GrantingsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.aids.GrantingsByClient.grid) ] });
    var aids_tab_panel1824 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ aids_tab_1_panel1738, sepa_AccountsByClient_grid1754, aids_GrantingsByClient_grid1823 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Hilfen" });
    var pcsw_DispensesByClient_grid1830 = new Lino.pcsw.DispensesByClient.GridPanel({ "containing_panel": this, "flex": 3, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Dispenzen","(pcsw.pcsw.DispensesByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.pcsw.DispensesByClient.grid) ] });
    var pcsw_ExclusionsByClient_grid1836 = new Lino.pcsw.ExclusionsByClient.GridPanel({ "containing_panel": this, "flex": 3, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("AG-Sperren","(pcsw.pcsw.ExclusionsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.pcsw.ExclusionsByClient.grid) ] });
    var suche_panel1837 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ pcsw_DispensesByClient_grid1830, pcsw_ExclusionsByClient_grid1836 ], "labelAlign": "top" });
    var seeking_since1838 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sucht Arbeit seit</span>", "listeners": { "render": Lino.quicktip_renderer("Sucht Arbeit seit","(pcsw.Clients.seeking_since) Since when the client is seeking for a job.") }, "name": "seeking_since", "selectOnFocus": true });
    var unemployed_since1839 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Arbeitslos seit</span>", "listeners": { "render": Lino.quicktip_renderer("Arbeitslos seit","(pcsw.Clients.unemployed_since) Since when the client has not been employed in any regular job.") }, "name": "unemployed_since", "selectOnFocus": true });
    var work_permit_suspended_until1840 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wartezeit bis", "listeners": { "render": Lino.quicktip_renderer("Wartezeit bis","(pcsw.Clients.work_permit_suspended_until) ") }, "name": "work_permit_suspended_until", "selectOnFocus": true });
    var papers_1_panel1841 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": seeking_since1838, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": unemployed_since1839, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_suspended_until1840, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var needs_residence_permit1845 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Aufenthaltserlaubnis", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Aufenthaltserlaubnis","(pcsw.Clients.needs_residence_permit) ") }, "name": "needs_residence_permit", "selectOnFocus": true });
    var needs_work_permit1846 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Arb.Erl.", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Arb.Erl.","(pcsw.Clients.needs_work_permit) ") }, "name": "needs_work_permit", "selectOnFocus": true });
    var papers_2_panel1847 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": needs_residence_permit1845, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": needs_work_permit1846, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var uploads_UploadsByProject_htmlbox1850 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(pcsw.Clients.uploads.UploadsByProject) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByProject", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByProject.grid) ], "value": "<br/>" });
    var papers_panel1851 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ papers_1_panel1841, papers_2_panel1847, uploads_UploadsByProject_htmlbox1850 ], "labelAlign": "top", "labelWidth": 135, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var work_tab_1_panel1852 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ suche_panel1837, papers_panel1851 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Arbeitssuche" });
    var cvs_emitted_disp1853 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellte Lebensl\u00e4ufe</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellte Lebensl\u00e4ufe","(pcsw.Clients.cvs_emitted) A virtual field displaying a group of shortcut links for managing CVs\n(Curriculum Vitaes).") }, "name": "cvs_emitted", "value": "<br/>" });
    var cv_StudiesByPerson_grid1909 = new Lino.cv.StudiesByPerson.GridPanel({ "containing_panel": this, "flex": 27, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByPerson.grid) ] });
    var cv_TrainingsByPerson_grid1986 = new Lino.cv.TrainingsByPerson.GridPanel({ "containing_panel": this, "flex": 27, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildungen","(cv.cv.TrainingsByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.TrainingsByPerson.grid) ] });
    var cv_ExperiencesByPerson_grid2043 = new Lino.cv.ExperiencesByPerson.GridPanel({ "containing_panel": this, "flex": 27, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByPerson.grid) ] });
    var career_panel2044 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": cvs_emitted_disp1853, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cv_StudiesByPerson_grid1909, cv_TrainingsByPerson_grid1986, cv_ExperiencesByPerson_grid2043 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Lebenslauf" });
    var cv_LanguageKnowledgesByPerson_htmlbox2046 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnisse","(pcsw.Clients.cv.LanguageKnowledgesByPerson) ") }, "master_panel": this, "name": "cv.LanguageKnowledgesByPerson", "region": "north", "split": true, "title": "Sprachkenntnisse", "tools": [ Lino.show_in_own_window_button(Lino.cv.LanguageKnowledgesByPerson.grid) ], "value": "<br/>" });
    var xcourses_CourseRequestsByPerson_grid2082 = new Lino.xcourses.CourseRequestsByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kursanfragen","(xcourses.xcourses.CourseRequestsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseRequestsByPerson.grid) ] });
    var languages_panel2083 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cv_LanguageKnowledgesByPerson_htmlbox2046, xcourses_CourseRequestsByPerson_grid2082 ], "labelAlign": "top", "labelWidth": 153, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sprachen" });
    var cv_SkillsByPerson_grid2091 = new Lino.cv.SkillsByPerson.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Fachkompetenzen","(cv.cv.SkillsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.SkillsByPerson.grid) ] });
    var cv_SoftSkillsByPerson_grid2099 = new Lino.cv.SoftSkillsByPerson.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Sozialkompetenzen","(cv.cv.SoftSkillsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.SoftSkillsByPerson.grid) ] });
    var skills2100 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Sonstige F\u00e4higkeiten", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Sonstige F\u00e4higkeiten","(pcsw.Clients.skills) ") }, "name": "skills", "selectOnFocus": true });
    var competences_1_panel2101 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ cv_SkillsByPerson_grid2091, cv_SoftSkillsByPerson_grid2099, { "flex": 23, "items": skills2100, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var cv_ObstaclesByPerson_grid2110 = new Lino.cv.ObstaclesByPerson.GridPanel({ "containing_panel": this, "flex": 61, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hindernisse","(cv.cv.ObstaclesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ObstaclesByPerson.grid) ] });
    var obstacles2111 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Sonstige Hindernisse", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Sonstige Hindernisse","(pcsw.Clients.obstacles) ") }, "name": "obstacles", "selectOnFocus": true });
    var competences_2_panel2112 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ cv_ObstaclesByPerson_grid2110, { "flex": 38, "items": obstacles2111, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var competences_panel2114 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ competences_1_panel2101, competences_2_panel2112 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kompetenzen" });
    var isip_ContractsByClient_grid2430 = new Lino.isip.ContractsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByClient.grid) ] });
    var jobs_CandidaturesByPerson_grid2442 = new Lino.jobs.CandidaturesByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellenanfragen","(jobs.jobs.CandidaturesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByPerson.grid) ] });
    var jobs_ContractsByClient_grid2540 = new Lino.jobs.ContractsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByClient.grid) ] });
    var contracts_panel2541 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ isip_ContractsByClient_grid2430, jobs_CandidaturesByPerson_grid2442, jobs_ContractsByClient_grid2540 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Vertr\u00e4ge" });
    var notes_NotesByProject_htmlbox2542 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(pcsw.Clients.notes.NotesByProject) ") }, "master_panel": this, "name": "notes.NotesByProject", "region": "north", "split": true, "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByProject.grid) ], "value": "<br/>" });
    var excerpts_ExcerptsByProject_htmlbox2543 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bestehende Ausz\u00fcge","(pcsw.Clients.excerpts.ExcerptsByProject) Only used if lino.core.site.Site.project_model is set.") }, "master_panel": this, "name": "excerpts.ExcerptsByProject", "region": "center", "split": true, "title": "Bestehende Ausz\u00fcge", "tools": [ Lino.show_in_own_window_button(Lino.excerpts.ExcerptsByProject.grid) ], "value": "<br/>" });
    var history_panel2544 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ notes_NotesByProject_htmlbox2542, excerpts_ExcerptsByProject_htmlbox2543 ], "labelAlign": "top", "labelWidth": 171, "listeners": { "activate": Lino.on_tab_activate }, "title": "Historie" });
    var cal_EntriesByClient_grid2591 = new Lino.cal.EntriesByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByClient) Table which shows all calendar events.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByClient.grid) ] });
    var cal_TasksByProject_grid2615 = new Lino.cal.TasksByProject.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByProject) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByProject.grid) ] });
    var calendar_panel2616 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByClient_grid2591, cal_TasksByProject_grid2615 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kalender" });
    var cbss_identify_person_disp2655 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "IdentifyPerson-Anfragen", "listeners": { "render": Lino.quicktip_renderer("IdentifyPerson-Anfragen","(pcsw.Clients.cbss_identify_person) ") }, "name": "cbss_identify_person", "value": "<br/>" });
    var cbss_manage_access_disp2656 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "ManageAccess-Anfragen", "listeners": { "render": Lino.quicktip_renderer("ManageAccess-Anfragen","(pcsw.Clients.cbss_manage_access) ") }, "name": "cbss_manage_access", "value": "<br/>" });
    var cbss_retrieve_ti_groups_disp2657 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Tx25-Anfragen", "listeners": { "render": Lino.quicktip_renderer("Tx25-Anfragen","(pcsw.Clients.cbss_retrieve_ti_groups) ") }, "name": "cbss_retrieve_ti_groups", "value": "<br/>" });
    var cbss_1_panel2658 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": cbss_identify_person_disp2655, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": cbss_manage_access_disp2656, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": cbss_retrieve_ti_groups_disp2657, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_summary_htmlbox2662 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Zusammenfassung ZDSS","(pcsw.Clients.cbss_summary) ") }, "name": "cbss_summary", "title": "Zusammenfassung ZDSS", "value": "<br/>" });
    var cbss_panel2663 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cbss_1_panel2658, cbss_summary_htmlbox2662 ], "labelAlign": "top", "labelWidth": 189, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "ZDSS" });
    var main_panel2790 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1492, contact_panel1516, coaching_panel1711, aids_tab_panel1824, work_tab_1_panel1852, career_panel2044, languages_panel2083, competences_panel2114, contracts_panel2541, history_panel2544, calendar_panel2616, cbss_panel2663 ], "labelAlign": "top", "split": true });
    this.items = main_panel2790;
    this.before_row_edit = function(record) {
      overview_htmlbox1437.refresh();
      image_htmlbox1483.refresh();
      reception_AppointmentsByPartner_grid1489.on_master_changed();
      AgentsByClient_htmlbox1490.refresh();
      dupable_clients_SimilarClients_htmlbox1493.refresh();
      humanlinks_LinksByHuman_htmlbox1494.refresh();
      cbss_relations_htmlbox1495.refresh();
      households_MembersByPerson_htmlbox1497.refresh();
      households_SiblingsByPerson_grid1514.on_master_changed();
      clients_ContactsByClient_grid1700.on_master_changed();
      coachings_CoachingsByClient_grid1709.on_master_changed();
      sepa_AccountsByClient_grid1754.on_master_changed();
      aids_GrantingsByClient_grid1823.on_master_changed();
      pcsw_DispensesByClient_grid1830.on_master_changed();
      pcsw_ExclusionsByClient_grid1836.on_master_changed();
      uploads_UploadsByProject_htmlbox1850.refresh();
      cv_StudiesByPerson_grid1909.on_master_changed();
      cv_TrainingsByPerson_grid1986.on_master_changed();
      cv_ExperiencesByPerson_grid2043.on_master_changed();
      cv_LanguageKnowledgesByPerson_htmlbox2046.refresh();
      xcourses_CourseRequestsByPerson_grid2082.on_master_changed();
      cv_SkillsByPerson_grid2091.on_master_changed();
      cv_SoftSkillsByPerson_grid2099.on_master_changed();
      cv_ObstaclesByPerson_grid2110.on_master_changed();
      isip_ContractsByClient_grid2430.on_master_changed();
      jobs_CandidaturesByPerson_grid2442.on_master_changed();
      jobs_ContractsByClient_grid2540.on_master_changed();
      notes_NotesByProject_htmlbox2542.refresh();
      excerpts_ExcerptsByProject_htmlbox2543.refresh();
      cal_EntriesByClient_grid2591.on_master_changed();
      cal_TasksByProject_grid2615.on_master_changed();
      cbss_summary_htmlbox2662.refresh();
    }
    Lino.pcsw.Clients.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.finan.FinancialVouchers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-FinancialVouchers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 75,
  initComponent : function() {
    var entry_date3881 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number3882 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.FinancialVouchers.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var workflow_buttons_disp3883 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.FinancialVouchers.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel3884 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": entry_date3881, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": number3882, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": workflow_buttons_disp3883, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration3888 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_panel3903 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3884, { "autoHeight": true, "items": narration3888, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal3905 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.FinancialVouchers.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/journal" }) }) });
    var accounting_period3906 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.FinancialVouchers.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/accounting_period" }) }) });
    var user3907 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.FinancialVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/user" }) }) });
    var id3908 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.FinancialVouchers.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel3909 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal3905, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period3906, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user3907, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3908, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account3914 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.FinancialVouchers.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/item_account" }) }) });
    var item_remark3915 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.FinancialVouchers.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel3916 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account3914, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark3915, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel3920 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel3909, more_2_panel3916 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel3921 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3903, more_panel3920 ], "labelAlign": "top", "split": true });
    this.items = main_panel3921;
    this.before_row_edit = function(record) {
    }
    Lino.finan.FinancialVouchers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-FinancialVouchers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 75,
  initComponent : function() {
    var entry_date3922 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var narration3923 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var main_panel3924 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": entry_date3922, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": narration3923, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3924;
    this.before_row_edit = function(record) {
    }
    Lino.finan.FinancialVouchers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 8,
  initComponent : function() {
    var first_name3927 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name3928 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel3929 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name3927, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name3928, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var gender3932 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var email3933 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_2_panel3934 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": gender3932, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 65, "items": email3933, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3937 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3929, main_2_panel3934 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3937;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Persons.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Statements.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Statements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 70,
  disable_editing: true,
  initComponent : function() {
    var account3938 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.b2c.Accounts.detail", "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "fieldLabel": "Importiertes  Bankkonto", "hiddenName": "accountHidden", "listeners": { "render": Lino.quicktip_renderer("Importiertes  Bankkonto","(b2c.Statements.account) ") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.b2c.Accounts.detail,null)}, "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Statements/account" }) }) });
    var account__owner_name3939 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("Name Inhaber","(b2c.Statements.account__owner_name) ") }, "maxLength": 70, "name": "account__owner_name", "selectOnFocus": true, "sortable": false, "value": null });
    var top_left_1_panel3940 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": account3938, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": account__owner_name3939, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account__account_name3943 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("Kontobezeichnung","(b2c.Statements.account__account_name) ") }, "maxLength": 70, "name": "account__account_name", "selectOnFocus": true, "sortable": false, "value": null });
    var statement_number3944 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsnummer</span>", "listeners": { "render": Lino.quicktip_renderer("Auszugsnummer","(b2c.Statements.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "maxLength": 10, "name": "statement_number", "selectOnFocus": true });
    var local_currency3945 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("W\u00e4hrung","(b2c.Statements.local_currency) ") }, "maxLength": 3, "name": "local_currency", "selectOnFocus": true });
    var top_left_2_panel3946 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 58, "items": account__account_name3943, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": statement_number3944, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": local_currency3945, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var top_left_panel3950 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 62, "frame": true, "hideCheckBoxLabels": true, "items": [ top_left_1_panel3940, top_left_2_panel3946 ], "labelAlign": "top", "layout": "form" });
    var balance_start3951 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(b2c.Statements.balance_start) ") }, "name": "balance_start", "selectOnFocus": true });
    var start_date3952 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(b2c.Statements.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var top_right_1_panel3953 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": balance_start3951, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": start_date3952, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var balance_end3956 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("Neuer Saldo","(b2c.Statements.balance_end) ") }, "name": "balance_end", "selectOnFocus": true });
    var end_date3957 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(b2c.Statements.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var top_right_2_panel3958 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": balance_end3956, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": end_date3957, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var top_right_panel3961 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 37, "frame": true, "hideCheckBoxLabels": true, "items": [ top_right_1_panel3953, top_right_2_panel3958 ], "labelAlign": "top", "layout": "form" });
    var main_1_panel3962 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ top_left_panel3950, top_right_panel3961 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var b2c_TransactionsByStatement_grid4018 = new Lino.b2c.TransactionsByStatement.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Transaktionen","(b2c.b2c.TransactionsByStatement) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.b2c.TransactionsByStatement.grid) ] });
    var main_panel4019 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3962, b2c_TransactionsByStatement_grid4018 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4019;
    this.before_row_edit = function(record) {
      b2c_TransactionsByStatement_grid4018.on_master_changed();
    }
    Lino.b2c.Statements.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.PaymentOrders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-PaymentOrders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 76,
  initComponent : function() {
    var entry_date4020 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.PaymentOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number4021 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.PaymentOrders.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var total4022 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Total</span>", "listeners": { "render": Lino.quicktip_renderer("Total","(finan.PaymentOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "name": "total", "selectOnFocus": true });
    var execution_date4023 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausf\u00fchrungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Ausf\u00fchrungsdatum","(finan.PaymentOrders.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "name": "execution_date", "selectOnFocus": true });
    var workflow_buttons_disp4024 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.PaymentOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel4025 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": entry_date4020, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": number4021, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": total4022, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": execution_date4023, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": workflow_buttons_disp4024, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration4031 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.PaymentOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_panel4046 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4025, { "autoHeight": true, "items": narration4031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal4048 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.PaymentOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/journal" }) }) });
    var accounting_period4049 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.PaymentOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/accounting_period" }) }) });
    var user4050 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.PaymentOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/user" }) }) });
    var id4051 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.PaymentOrders.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel4052 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal4048, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period4049, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user4050, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4051, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account4057 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.PaymentOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/item_account" }) }) });
    var item_remark4058 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.PaymentOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel4059 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account4057, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark4058, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel4063 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel4052, more_2_panel4059 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel4064 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4046, more_panel4063 ], "labelAlign": "top", "split": true });
    this.items = main_panel4064;
    this.before_row_edit = function(record) {
    }
    Lino.finan.PaymentOrders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 111,
  initComponent : function() {
    var date_submitted2057 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anfragedatum</span>", "listeners": { "render": Lino.quicktip_renderer("Anfragedatum","(xcourses.CourseRequests.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "name": "date_submitted", "selectOnFocus": true });
    var person2058 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(xcourses.CourseRequests.person) Le client qui d\u00e9sire suivre un cours.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/person" }) }) });
    var content2059 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kursinhalt</span>", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseRequests.content) Der gew\u00fcnschte Kursinhalt.)") }, "name": "content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/content" }) }) });
    var offer2060 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.CourseRequests.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/offer" }) }) });
    var urgent2061 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "professionelle Eingliederung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("professionelle Eingliederung","(xcourses.CourseRequests.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "name": "urgent", "selectOnFocus": true });
    var main_1_panel2062 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": date_submitted2057, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": person2058, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": content2059, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": offer2060, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": urgent2061, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var course2068 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.Courses.detail", "emptyText": "Kurs ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurs gefunden</span>", "hiddenName": "courseHidden", "insert_action": "Lino.xcourses.Courses.insert", "listeners": { "render": Lino.quicktip_renderer("Kurs gefunden","(xcourses.CourseRequests.course) The course which satisfies this request. Leave blank on open requests.") }, "name": "course", "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course" }) }) });
    var state2069 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.state) ") }, "name": "state", "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var date_ended2070 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(xcourses.CourseRequests.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var id2071 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel2072 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": course2068, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": state2069, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended2070, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id2071, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2077 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(xcourses.CourseRequests.remark) ") }, "name": "remark", "selectOnFocus": true });
    var uploads_UploadsByController_htmlbox2078 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 33, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(xcourses.CourseRequests.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var main_3_panel2079 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 71, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remark2077, "labelAlign": "top", "layout": "form", "xtype": "panel" }, uploads_UploadsByController_htmlbox2078 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel2081 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2062, main_2_panel2072, main_3_panel2079 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2081;
    this.before_row_edit = function(record) {
      offer2060.setContextValue('content', record ? record.data['contentHidden'] : undefined);
      uploads_UploadsByController_htmlbox2078.refresh();
    }
    this.onRender = function(ct, position) {
      typeof content2059 !== 'undefined' && content2059.on('change',Lino.chooser_handler(offer2060,'content'));
      Lino.xcourses.CourseRequests.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.xcourses.CourseRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    offer2060.on("change", function(){ this.save() }, this);
  }
});


Lino.cv.StudiesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudiesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 85,
  initComponent : function() {
    var start_date1898 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.StudiesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1899 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.StudiesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1900 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1898, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1899, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1903 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.StudiesByPerson.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/type" }) }) });
    var content1904 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausbildungsinhalt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausbildungsinhalt","(cv.StudiesByPerson.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var main_2_panel1905 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type1903, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": content1904, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1908 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1900, main_2_panel1905 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1908;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudiesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Transactions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Transactions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 71,
  disable_editing: true,
  initComponent : function() {
    var statement3983 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.b2c.Statements.detail", "emptyText": "Kontoauszug ausw\u00e4hlen...", "fieldLabel": "Kontoauszug", "hiddenName": "statementHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoauszug","(b2c.Transactions.statement) ") }, "name": "statement", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.b2c.Statements.detail,null)}, "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Transactions/statement" }) }) });
    var seqno3984 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(b2c.Transactions.seqno) The sequence number of this transaction in the statement.") }, "name": "seqno", "selectOnFocus": true });
    var booking_date3985 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("Ausf\u00fchrungsdatum","(b2c.Transactions.booking_date) ") }, "name": "booking_date", "selectOnFocus": true });
    var value_date3986 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Valuta", "listeners": { "render": Lino.quicktip_renderer("Valuta","(b2c.Transactions.value_date) ") }, "name": "value_date", "selectOnFocus": true });
    var amount3987 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(b2c.Transactions.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_1_panel3988 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": statement3983, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": seqno3984, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": booking_date3985, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": value_date3986, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": amount3987, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remote_account3994 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(b2c.Transactions.remote_account) ") }, "maxLength": 64, "name": "remote_account", "selectOnFocus": true });
    var remote_bic3995 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(b2c.Transactions.remote_bic) ") }, "maxLength": 11, "name": "remote_bic", "selectOnFocus": true });
    var eref3996 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "End to end reference", "listeners": { "render": Lino.quicktip_renderer("End to end reference","(b2c.Transactions.eref) ") }, "maxLength": 128, "name": "eref", "selectOnFocus": true });
    var txcd_text_disp3997 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Transaktionscode", "listeners": { "render": Lino.quicktip_renderer("Transaktionscode","(b2c.Transactions.txcd_text) ") }, "name": "txcd_text", "value": "<br/>" });
    var main_2_panel3998 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": remote_account3994, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": remote_bic3995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": eref3996, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": txcd_text_disp3997, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remote_owner4003 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Name Gegenpartei","(b2c.Transactions.remote_owner) ") }, "maxLength": 128, "name": "remote_owner", "selectOnFocus": true });
    var remote_owner_address4004 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Adresse Gegenpartei", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Adresse Gegenpartei","(b2c.Transactions.remote_owner_address) ") }, "name": "remote_owner_address", "selectOnFocus": true });
    var remote_owner_city4005 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Stadt Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Stadt Gegenpartei","(b2c.Transactions.remote_owner_city) ") }, "maxLength": 32, "name": "remote_owner_city", "selectOnFocus": true });
    var remote_owner_postalcode4006 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "PLZ Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("PLZ Gegenpartei","(b2c.Transactions.remote_owner_postalcode) ") }, "maxLength": 10, "name": "remote_owner_postalcode", "selectOnFocus": true });
    var remote_owner_country_code4007 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "Land Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Land Gegenpartei","(b2c.Transactions.remote_owner_country_code) ") }, "maxLength": 4, "name": "remote_owner_country_code", "selectOnFocus": true });
    var addr_right_panel4008 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": remote_owner_city4005, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remote_owner_postalcode4006, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remote_owner_country_code4007, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_4_panel4012 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 74, "items": remote_owner_address4004, "labelAlign": "top", "layout": "form", "xtype": "panel" }, addr_right_panel4008 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var message4014 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Meldung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Meldung","(b2c.Transactions.message) ") }, "name": "message", "selectOnFocus": true });
    var main_panel4015 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3988, main_2_panel3998, { "autoHeight": true, "items": remote_owner4003, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel4012, { "flex": 33, "items": message4014, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4015;
    this.before_row_edit = function(record) {
    }
    Lino.b2c.Transactions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 28,
  initComponent : function() {
    var subject2355 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project2356 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var date2357 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum</span>", "listeners": { "render": Lino.quicktip_renderer("Datum","(outbox.Mails.date) \n        The official date to be printed on the document.\n        ") }, "name": "date", "selectOnFocus": true });
    var main_1_panel2358 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": subject2355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": project2356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": date2357, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2362 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Absender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Absender","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }) });
    var sent2363 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "sent", "listeners": { "render": Lino.quicktip_renderer("sent","(outbox.Mails.sent) ") }, "name": "sent", "value": "<br>" });
    var id2364 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(outbox.Mails.id) ") }, "name": "id", "selectOnFocus": true });
    var owner_disp2365 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_2_panel2366 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": user2362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": sent2363, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id2364, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": owner_disp2365, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var RecipientsByMail_grid2378 = new Lino.outbox.RecipientsByMail.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger","(outbox.outbox.RecipientsByMail) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.outbox.RecipientsByMail.grid) ] });
    var outbox_AttachmentsByMail_htmlbox2379 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 22, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Anh\u00e4nge","(outbox.Mails.outbox.AttachmentsByMail) ") }, "master_panel": this, "name": "outbox.AttachmentsByMail", "title": "Anh\u00e4nge", "tools": [ Lino.show_in_own_window_button(Lino.outbox.AttachmentsByMail.grid) ], "value": "<br/>" });
    var uploads_UploadsByController_htmlbox2380 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 22, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(outbox.Mails.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var main_3_panel2381 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 29, "frame": false, "hideCheckBoxLabels": true, "items": [ RecipientsByMail_grid2378, outbox_AttachmentsByMail_htmlbox2379, uploads_UploadsByController_htmlbox2380 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var body2382 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 58, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var main_panel2383 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2358, main_2_panel2366, main_3_panel2381, body2382 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2383;
    this.before_row_edit = function(record) {
      RecipientsByMail_grid2378.on_master_changed();
      outbox_AttachmentsByMail_htmlbox2379.refresh();
      uploads_UploadsByController_htmlbox2380.refresh();
      body2382.refresh();
    }
    Lino.outbox.Mails.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 107,
  initComponent : function() {
    var id4065 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client4066 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(art61.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var user4067 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(art61.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var language4068 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(art61.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var box1_1_panel4069 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": id4065, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": client4066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": user4067, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": language4068, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type4074 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(art61.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var company4075 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var contact_person4076 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(art61.Contracts.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_person" }) }) });
    var contact_role4077 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(art61.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_role" }) }) });
    var box1_2_panel4078 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": type4074, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company4075, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person4076, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role4077, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from4083 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(art61.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var duration4084 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("Dauer (Arbeitstage)","(art61.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "value": null });
    var applies_until4085 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(art61.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy4086 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(art61.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/exam_policy" }) }) });
    var box1_3_panel4087 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from4083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration4084, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until4085, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy4086, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_title4092 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(art61.Contracts.job_title) ") }, "maxLength": 200, "name": "job_title", "selectOnFocus": true });
    var status4093 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Status ausw\u00e4hlen...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(art61.Contracts.status) ") }, "name": "status", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/status" }) }) });
    var cv_duration4094 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Vertragsdauer ausw\u00e4hlen...", "fieldLabel": "Vertragsdauer", "hiddenName": "cv_durationHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsdauer","(art61.Contracts.cv_duration) ") }, "name": "cv_duration", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/cv_duration" }) }) });
    var regime4095 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(art61.Contracts.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/regime" }) }) });
    var box1_4_panel4096 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": job_title4092, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": status4093, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": cv_duration4094, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": regime4095, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person4101 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenzperson", "listeners": { "render": Lino.quicktip_renderer("Referenzperson","(art61.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark4102 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(art61.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp4103 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(art61.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel4104 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person4101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark4102, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp4103, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided4108 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(art61.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued4109 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(art61.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended4110 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(art61.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending4111 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(art61.Contracts.ending) ") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var box1_6_panel4112 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided4108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued4109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended4110, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending4111, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subsidize_104117 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Activa", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Activa","(art61.Contracts.subsidize_10) ") }, "name": "subsidize_10", "selectOnFocus": true });
    var subsidize_204118 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Tutorate", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Tutorate","(art61.Contracts.subsidize_20) ") }, "name": "subsidize_20", "selectOnFocus": true });
    var subsidize_304119 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Walloon Region", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Walloon Region","(art61.Contracts.subsidize_30) ") }, "name": "subsidize_30", "selectOnFocus": true });
    var subsidize_404120 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "SINE", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("SINE","(art61.Contracts.subsidize_40) ") }, "name": "subsidize_40", "selectOnFocus": true });
    var subsidize_504121 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "PTP", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("PTP","(art61.Contracts.subsidize_50) ") }, "name": "subsidize_50", "selectOnFocus": true });
    var box1_7_panel4122 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": subsidize_104117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_204118, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_304119, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_404120, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_504121, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities4128 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Aufgabenbereich", "flex": 31, "name": "responsibilities", "selectOnFocus": true, "title": "Aufgabenbereich" });
    var box1_panel4129 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel4069, box1_2_panel4078, box1_3_panel4087, box1_4_panel4096, box1_5_panel4104, box1_6_panel4112, box1_7_panel4122, responsibilities4128 ], "labelAlign": "top", "labelWidth": 144, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid4130 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid4131 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel4132 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid4130, cal_TasksByController_grid4131 ], "labelAlign": "top" });
    var main_1_panel4133 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel4129, right_panel4132 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel4134 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4133 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel4134;
    this.before_row_edit = function(record) {
      contact_person4076.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities4128.refresh();
      cal_EntriesByController_grid4130.on_master_changed();
      cal_TasksByController_grid4131.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company4075 !== 'undefined' && company4075.on('change',Lino.chooser_handler(contact_person4076,'company'));
      Lino.art61.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.art61.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 28,
  initComponent : function() {
    var project2384 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var subject2385 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var body2386 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 71, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var main_panel2387 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": project2384, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": subject2385, "labelAlign": "top", "layout": "form", "xtype": "panel" }, body2386 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2387;
    this.before_row_edit = function(record) {
      body2386.refresh();
    }
    Lino.outbox.Mails.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.Courses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel xcourses-Courses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('print_participants', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 110,
  initComponent : function() {
    var start_date4135 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(xcourses.Courses.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var offer4136 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.Courses.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var main_1_panel4137 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": start_date4135, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": offer4136, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var title4140 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.Courses.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_panel4141 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4137, { "anchor": "-20", "autoHeight": true, "items": title4140, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4141;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.Courses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 3,
  initComponent : function() {
    var name4143 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Places.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4144 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Places.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4145 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var country4146 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Land</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(countries.Places.country) The country this place is in.") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var inscode4147 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(5), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Places.inscode) The official code for this place used by statbel.fgov.be") }, "maxLength": 5, "name": "inscode", "selectOnFocus": true });
    var zip_code4148 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel4149 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": name4143, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_fr4144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_en4145, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": country4146, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": inscode4147, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": zip_code4148, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent4156 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Teil von</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Teil von","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var type4157 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ortsart","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var id4158 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(countries.Places.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel4159 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": parent4156, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": type4157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": id4158, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_PartnersByCity_grid4262 = new Lino.contacts.PartnersByCity.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Partner","(contacts.contacts.PartnersByCity) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.PartnersByCity.grid) ] });
    var cv_StudiesByPlace_grid4263 = new Lino.cv.StudiesByPlace.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByPlace) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByPlace.grid) ] });
    var main_4_panel4264 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ contacts_PartnersByCity_grid4262, cv_StudiesByPlace_grid4263 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4265 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4149, main_2_panel4159, main_4_panel4264 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4265;
    this.before_row_edit = function(record) {
      type4157.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      contacts_PartnersByCity_grid4262.on_master_changed();
      cv_StudiesByPlace_grid4263.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof country4146 !== 'undefined' && country4146.on('change',Lino.chooser_handler(type4157,'country'));
      Lino.countries.Places.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var type4266 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description4267 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var file4268 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var volume4269 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dateibibliothek</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file4270 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bibliotheksdatei</span>", "listeners": { "render": Lino.quicktip_renderer("Bibliotheksdatei","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_4_panel4271 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": volume4269, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": library_file4270, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user4274 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_panel4275 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": type4266, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": description4267, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": file4268, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel4271, { "anchor": "-20", "autoHeight": true, "items": user4274, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4275;
    this.before_row_edit = function(record) {
      type4266.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      library_file4270.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume4269 !== 'undefined' && volume4269.on('change',Lino.chooser_handler(library_file4270,'volume'));
      Lino.uploads.AllUploads.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file4280 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type4281 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var project4282 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var main_2_panel4283 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type4281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project4282, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4286 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig von","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4287 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed4288 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_3_panel4289 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": start_date4286, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": end_date4287, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": needed4288, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4293 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel4294 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file4280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4283, main_3_panel4289, { "anchor": "-20", "autoHeight": true, "items": description4293, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4294;
    this.before_row_edit = function(record) {
      type4281.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.Uploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 38,
  initComponent : function() {
    var name4297 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4298 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4299 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4300 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4297, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4299, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_label4304 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung Termin</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin","(cal.EventTypes.event_label) Default text for summary of new entries.") }, "maxLength": 200, "name": "event_label", "selectOnFocus": true });
    var event_label_fr4305 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung Termin (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin (fr)","(cal.EventTypes.event_label_fr) ") }, "maxLength": 200, "name": "event_label_fr", "selectOnFocus": true });
    var event_label_en4306 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung Termin (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin (en)","(cal.EventTypes.event_label_en) ") }, "maxLength": 200, "name": "event_label_en", "selectOnFocus": true });
    var main_2_panel4307 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event_label4304, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": event_label_fr4305, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": event_label_en4306, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var planner_column4311 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Tagesplanerkolonne", "forceSelection": true, "hiddenName": "planner_columnHidden", "listeners": { "render": Lino.quicktip_renderer("Tagesplanerkolonne","(cal.EventTypes.planner_column) ") }, "name": "planner_column", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.PlannerColumns) });
    var max_conflicting4312 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gleichzeitige Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Gleichzeitige Termine","(cal.EventTypes.max_conflicting) How many conflicting events should be tolerated.") }, "name": "max_conflicting", "selectOnFocus": true, "value": 1 });
    var max_days4313 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tage maximal</span>", "listeners": { "render": Lino.quicktip_renderer("Tage maximal","(cal.EventTypes.max_days) The maximal number of days allowed as duration. 0 means no limit.") }, "name": "max_days", "selectOnFocus": true, "value": 1 });
    var esf_field4314 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ESF field", "forceSelection": true, "hiddenName": "esf_fieldHidden", "listeners": { "render": Lino.quicktip_renderer("ESF field","(cal.EventTypes.esf_field) ") }, "name": "esf_field", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.StatisticalFields) });
    var email_template4315 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(cal.EventTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EventTypes/email_template" }) }) });
    var id4316 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel4317 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": planner_column4311, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_conflicting4312, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_days4313, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": esf_field4314, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": email_template4315, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id4316, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var all_rooms4324 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Blockiert alle R\u00e4ume", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Blockiert alle R\u00e4ume","(cal.EventTypes.all_rooms) ") }, "name": "all_rooms", "selectOnFocus": true });
    var locks_user4325 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Blockiert den Autor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Blockiert den Autor","(cal.EventTypes.locks_user) Whether calendar entries of this type make the user\nunavailable for other locking events at the same time.") }, "name": "locks_user", "selectOnFocus": true });
    var invite_client4326 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Klient einladen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Klient einladen","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var is_appointment4327 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Termin", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Termin","(cal.EventTypes.is_appointment) Whether entries of this type are considered \"appointments\" (i.e. whose\ntime and place have been agreed upon with other users or external\nparties).") }, "name": "is_appointment", "selectOnFocus": true });
    var attach_to_email4328 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(cal.EventTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_4_panel4329 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": all_rooms4324, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": locks_user4325, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": invite_client4326, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": is_appointment4327, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": attach_to_email4328, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4367 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4300, main_2_panel4307, main_3_panel4317, main_4_panel4329 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4367;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 38,
  initComponent : function() {
    var name4368 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4369 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4370 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4371 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4368, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4369, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4370, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var invite_client4375 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Klient einladen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Klient einladen","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var main_panel4376 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4371, { "anchor": "-20", "autoHeight": true, "items": invite_client4375, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4376;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Sectors.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Sectors",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 89,
  initComponent : function() {
    var id4378 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Sectors.id) ") }, "name": "id", "selectOnFocus": true });
    var name4379 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Sectors.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4380 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Sectors.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4381 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Sectors.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4382 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name4379, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4380, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4381, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4387 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cv.Sectors.remark) ") }, "name": "remark", "region": "center", "selectOnFocus": true });
    var main_2_panel4442 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 31, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark4387, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var cv_ExperiencesBySector_grid4463 = new Lino.cv.ExperiencesBySector.GridPanel({ "containing_panel": this, "flex": 31, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesBySector) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesBySector.grid) ] });
    var main_panel4476 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4382, main_2_panel4442, cv_ExperiencesBySector_grid4463 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4476;
    this.before_row_edit = function(record) {
      cv_ExperiencesBySector_grid4463.on_master_changed();
    }
    Lino.cv.Sectors.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 25,
  initComponent : function() {
    var upload_area4477 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload-Bereich", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var name4478 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(uploads.UploadTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4479 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(uploads.UploadTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4480 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4481 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4478, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4479, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4480, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit4485 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Einheit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Einheit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value4486 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Wert)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var main_3_panel4487 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 82, "items": warn_expiry_unit4485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": warn_expiry_value4486, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4490 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": upload_area4477, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4481, main_3_panel4487 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4490;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.UploadTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseOffers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseOffers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 109,
  initComponent : function() {
    var id4492 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseOffers.id) ") }, "name": "id", "selectOnFocus": true });
    var title4493 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseOffers.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var content4494 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseOffers.content) ") }, "name": "content", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var provider4495 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseOffers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var guest_role4496 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gastrolle</span>", "hiddenName": "guest_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Gastrolle","(xcourses.CourseOffers.guest_role) Default guest role for particpants of events.") }, "name": "guest_role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/guest_role" }) }) });
    var main_1_panel4497 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id4492, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": title4493, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": content4494, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": provider4495, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": guest_role4496, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description4503 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 5, "name": "description", "region": "center", "selectOnFocus": true, "split": true, "title": "Beschreibung" });
    var CoursesByOffer_grid4510 = new Lino.xcourses.CoursesByOffer.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kurse","(xcourses.xcourses.CoursesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CoursesByOffer.grid) ] });
    var main_panel4511 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4497, description4503, CoursesByOffer_grid4510 ], "labelAlign": "top", "labelWidth": 117 });
    this.items = main_panel4511;
    this.before_row_edit = function(record) {
      description4503.refresh();
      CoursesByOffer_grid4510.on_master_changed();
    }
    Lino.xcourses.CourseOffers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 25,
  initComponent : function() {
    var id4512 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.UploadTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var upload_area4513 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload-Bereich", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var shortcut4514 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Upload shortcut","(uploads.UploadTypes.shortcut) Optional pointer to a virtual upload shortcut field.  If\nthis is not empty, then the given shortcut field will manage\nuploads of this type.  See also Shortcuts.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.uploads.Shortcuts) });
    var main_1_panel4515 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id4512, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": upload_area4513, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 63, "items": shortcut4514, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name4519 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(uploads.UploadTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4520 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(uploads.UploadTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4521 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4522 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4519, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4520, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4521, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit4526 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Einheit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Einheit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value4527 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Wert)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var wanted4528 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wanted", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wanted","(uploads.UploadTypes.wanted) Add a (+) button when there is no upload of this type.") }, "name": "wanted", "selectOnFocus": true });
    var max_number4529 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Max. number</span>", "listeners": { "render": Lino.quicktip_renderer("Max. number","(uploads.UploadTypes.max_number) No need to upload more uploads than N of this type.\n-1 means no limit.") }, "name": "max_number", "selectOnFocus": true, "value": -1 });
    var main_3_panel4530 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": warn_expiry_unit4526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": warn_expiry_value4527, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": wanted4528, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": max_number4529, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var uploads_UploadsByType_grid4593 = new Lino.uploads.UploadsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(uploads.uploads.UploadsByType) Base class for all data views of upload files.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByType.grid) ] });
    var main_panel4594 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4515, main_2_panel4522, main_3_panel4530, uploads_UploadsByType_grid4593 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4594;
    this.before_row_edit = function(record) {
      uploads_UploadsByType_grid4593.on_master_changed();
    }
    Lino.uploads.UploadTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 41,
  initComponent : function() {
    var start_date1615 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Tasks.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date1616 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(cal.Tasks.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var id1617 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Tasks.id) ") }, "name": "id", "selectOnFocus": true });
    var workflow_buttons_disp1618 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Tasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1619 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": start_date1615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": due_date1616, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id1617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 49, "items": workflow_buttons_disp1618, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary1624 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project1625 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var user1626 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var delegated1627 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.Tasks.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel1628 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": project1625, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": user1626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": delegated1627, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1632 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var created1633 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(cal.Tasks.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1634 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(cal.Tasks.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var main_4_panel1635 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": owner_disp1632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": created1633, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": modified1634, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1639 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Tasks.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel1640 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1619, { "autoHeight": true, "items": summary1624, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel1628, main_4_panel1635, { "flex": 45, "items": description1639, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1640;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 37,
  initComponent : function() {
    var name4595 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4596 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.RecurrentEvents.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4597 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4598 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4595, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4597, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id4602 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.RecurrentEvents.id) ") }, "name": "id", "selectOnFocus": true });
    var user4603 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }) });
    var event_type4604 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Kalendereintragsart", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel4605 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id4602, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": user4603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": event_type4604, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4609 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "name": "start_date", "selectOnFocus": true });
    var start_time4610 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.RecurrentEvents.start_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date4611 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "name": "end_date", "selectOnFocus": true });
    var end_time4612 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Endet um", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.RecurrentEvents.end_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel4613 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date4609, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time4610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date4611, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time4612, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var every_unit4618 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var every4619 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">... alle</span>", "listeners": { "render": Lino.quicktip_renderer("... alle","(cal.RecurrentEvents.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var positions4620 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Positionen</span>", "listeners": { "render": Lino.quicktip_renderer("Positionen","(cal.RecurrentEvents.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "maxLength": 50, "name": "positions", "selectOnFocus": true });
    var max_events4621 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anzahl Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Anzahl Termine","(cal.RecurrentEvents.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var main_4_panel4622 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": every_unit4618, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": every4619, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": positions4620, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": max_events4621, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday4627 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Montag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Montag","(cal.RecurrentEvents.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday4628 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dienstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dienstag","(cal.RecurrentEvents.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday4629 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mittwoch", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mittwoch","(cal.RecurrentEvents.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday4630 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Donnerstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Donnerstag","(cal.RecurrentEvents.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday4631 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Freitag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freitag","(cal.RecurrentEvents.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday4632 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Samstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Samstag","(cal.RecurrentEvents.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday4633 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sonntag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sonntag","(cal.RecurrentEvents.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_5_panel4634 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday4627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday4628, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday4629, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday4630, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday4631, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday4632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday4633, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4642 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 33, "name": "description", "selectOnFocus": true, "title": "Beschreibung" });
    var cal_EntriesByController_grid4643 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var main_6_panel4644 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ description4642, cal_EntriesByController_grid4643 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4645 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4598, main_2_panel4605, main_3_panel4613, main_4_panel4622, main_5_panel4634, main_6_panel4644 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4645;
    this.before_row_edit = function(record) {
      description4642.refresh();
      cal_EntriesByController_grid4643.on_master_changed();
    }
    Lino.cal.RecurrentEvents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 37,
  initComponent : function() {
    var name4646 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4647 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.RecurrentEvents.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4648 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4649 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4647, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4648, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4653 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "name": "start_date", "selectOnFocus": true });
    var end_date4654 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "name": "end_date", "selectOnFocus": true });
    var every_unit4655 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var event_type4656 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Kalendereintragsart", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel4657 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": start_date4653, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": end_date4654, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": every_unit4655, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": event_type4656, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4662 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4649, main_2_panel4657 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel4662;
    this.before_row_edit = function(record) {
    }
    Lino.cal.RecurrentEvents.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-DisbursementOrders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 76,
  initComponent : function() {
    var journal4663 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.DisbursementOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/journal" }) }) });
    var number4664 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.DisbursementOrders.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var voucher_date4665 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(finan.DisbursementOrders.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var entry_date4666 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.DisbursementOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var accounting_period4667 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.DisbursementOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/accounting_period" }) }) });
    var general_1_panel4668 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": journal4663, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": number4664, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": voucher_date4665, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": entry_date4666, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": accounting_period4667, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account4674 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.DisbursementOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/item_account" }) }) });
    var total4675 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Total</span>", "listeners": { "render": Lino.quicktip_renderer("Total","(finan.DisbursementOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "name": "total", "selectOnFocus": true });
    var workflow_buttons_disp4676 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.DisbursementOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_2_panel4677 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": item_account4674, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": total4675, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": workflow_buttons_disp4676, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration4681 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.DisbursementOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var item_remark4682 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.DisbursementOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var general_3_panel4683 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": narration4681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": item_remark4682, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel4700 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4668, general_2_panel4677, general_3_panel4683 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var state4701 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.DisbursementOrders.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user4702 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.DisbursementOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/user" }) }) });
    var id4703 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.DisbursementOrders.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel4704 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": state4701, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": user4702, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id4703, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel4709 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel4704 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel4710 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4700, more_panel4709 ], "labelAlign": "top", "split": true });
    this.items = main_panel4710;
    this.before_row_edit = function(record) {
    }
    Lino.finan.DisbursementOrders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel ledger-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 64,
  initComponent : function() {
    var ref4711 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name4712 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4713 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4714 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4715 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4712, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4714, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4719 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": ref4711, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4715 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4719;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 123,
  initComponent : function() {
    var name4721 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var language4722 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_panel4723 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name4721, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": language4722, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4723;
    this.before_row_edit = function(record) {
    }
    Lino.households.HouseholdsByType.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 24,
  initComponent : function() {
    var ref4726 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description4727 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel4728 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref4726, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description4727, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir4731 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url4732 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_2_panel4733 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": root_dir4731, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": base_url4732, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox4736 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(uploads.Volumes.overview) ") }, "name": "overview", "value": "<br/>" });
    var main_panel4737 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4728, main_2_panel4733, overview_htmlbox4736 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4737;
    this.before_row_edit = function(record) {
      overview_htmlbox4736.refresh();
    }
    Lino.uploads.Volumes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-ProjectInvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 79,
  initComponent : function() {
    var project4738 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var partner4739 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var entry_date4740 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel4741 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": project4738, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner4739, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date4740, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4741;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel utils-Report",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var body_htmlbox4745 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(utils.Report.body) ") }, "name": "body", "region": "center", "value": "<br/>" });
    var main_panel4746 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ body_htmlbox4745 ], "labelAlign": "top", "labelWidth": 0, "layout": "fit" });
    this.items = main_panel4746;
    this.before_row_edit = function(record) {
      body_htmlbox4745.refresh();
    }
    Lino.jobs.JobsOverview.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 24,
  initComponent : function() {
    var ref4747 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description4748 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel4749 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref4747, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description4748, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir4752 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url4753 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_panel4754 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4749, { "anchor": "-20", "autoHeight": true, "items": root_dir4752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": base_url4753, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4754;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.Volumes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 39,
  initComponent : function() {
    var event_type2253 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var summary2254 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project2255 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var general_1_panel2256 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": event_type2253, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": summary2254, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": project2255, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2260 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2261 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel2262 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date2260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time2261, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date2265 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2266 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel2267 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date2265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time2266, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2270 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.Events.user) Der verantwortliche Benutzer.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }) });
    var assigned_to2271 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.Events.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/assigned_to" }) }) });
    var general_2_panel2272 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel2262, end_panel2267, { "autoHeight": true, "flex": 24, "items": user2270, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": assigned_to2271, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var room2275 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.Events.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }) });
    var priority2276 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Priorit\u00e4t", "forceSelection": true, "hiddenName": "priorityHidden", "listeners": { "render": Lino.quicktip_renderer("Priorit\u00e4t","(cal.Events.priority) ") }, "name": "priority", "selectOnFocus": true, "store": Lino.xl.Priorities });
    var access_class2277 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugriffsklasse</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Zugriffsklasse","(cal.Events.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "name": "access_class", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var transparent2278 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "nicht blockierend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("nicht blockierend","(cal.Events.transparent) Whether this entry should allow other entries at the same time.") }, "name": "transparent", "selectOnFocus": true });
    var general_3_panel2279 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": room2275, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": priority2276, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": access_class2277, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": transparent2278, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp2284 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verkn\u00fcpft mit</span>", "name": "owner" });
    var workflow_buttons_disp2285 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Events.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_4_panel2286 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": owner_disp2284, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 75, "items": workflow_buttons_disp2285, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description2289 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Events.description) A longer descriptive text.") }, "name": "description", "selectOnFocus": true });
    var GuestsByEvent_grid2330 = new Lino.cal.GuestsByEvent.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Anwesenheiten","(cal.cal.GuestsByEvent) The default table of presences.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.GuestsByEvent.grid) ] });
    var general_5_panel2331 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 45, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": description2289, "labelAlign": "top", "layout": "form", "xtype": "panel" }, GuestsByEvent_grid2330 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2333 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2256, general_2_panel2272, general_3_panel2279, general_4_panel2286, general_5_panel2331 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var id2334 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Events.id) ") }, "name": "id", "selectOnFocus": true });
    var created2335 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(cal.Events.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified2336 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(cal.Events.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var state2337 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Events.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var more_1_panel2338 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id2334, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": created2335, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": modified2336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": state2337, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var outbox_MailsByController_grid2390 = new Lino.outbox.MailsByController.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("E-Mail-Ausg\u00e4nge","(outbox.outbox.MailsByController) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.outbox.MailsByController.grid) ] });
    var more_panel2391 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel2338, outbox_MailsByController_grid2390 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel2392 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2333, more_panel2391 ], "labelAlign": "top", "split": true });
    this.items = main_panel2392;
    this.before_row_edit = function(record) {
      GuestsByEvent_grid2330.on_master_changed();
      outbox_MailsByController_grid2390.on_master_changed();
    }
    Lino.cal.Events.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var summary2393 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2394 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2395 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel2396 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date2394, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time2395, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date2399 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2400 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel2401 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date2399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time2400, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_2_panel2404 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel2396, end_panel2401 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_type2405 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var project2406 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var main_3_panel2407 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type2405, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project2406, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2410 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary2393, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2404, main_3_panel2407 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2410;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Events.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByProject",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var start_date4757 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByProject.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time4758 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time4759 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel4760 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date4757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time4758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time4759, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary4764 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type4765 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var main_panel4766 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4760, { "anchor": "-20", "autoHeight": true, "items": summary4764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type4765, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4766;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.TasksByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-TasksByController",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 41,
  initComponent : function() {
    var summary2207 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.TasksByController.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2208 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.TasksByController.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date2209 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(cal.TasksByController.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var main_2_panel2210 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": due_date2209, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2213 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.TasksByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated2214 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.TasksByController.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel2215 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user2213, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": delegated2214, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2218 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary2207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2210, main_3_panel2215 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2218;
    this.before_row_edit = function(record) {
    }
    Lino.cal.TasksByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 104,
  initComponent : function() {
    var id4769 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.JobTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name4770 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.JobTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var is_social4771 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sozial\u00f6konomie", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sozial\u00f6konomie","(jobs.JobTypes.is_social) ") }, "name": "is_social", "selectOnFocus": true });
    var main_1_panel4772 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id4769, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": name4770, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": is_social4771, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var JobsByType_grid4869 = new Lino.jobs.JobsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellen","(jobs.jobs.JobsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.JobsByType.grid) ] });
    var main_panel4870 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4772, JobsByType_grid4869 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4870;
    this.before_row_edit = function(record) {
      JobsByType_grid4869.on_master_changed();
    }
    Lino.jobs.JobTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Checkers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Checkers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  disable_editing: true,
  initComponent : function() {
    var value4871 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Wert", "listeners": { "render": Lino.quicktip_renderer("Wert","(checkdata.Checkers.value) ") }, "maxLength": 20, "name": "value" });
    var text4872 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Text", "listeners": { "render": Lino.quicktip_renderer("Text","(checkdata.Checkers.text) ") }, "maxLength": 50, "name": "text" });
    var main_1_panel4873 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": value4871, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": text4872, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var checkdata_ProblemsByChecker_grid4896 = new Lino.checkdata.ProblemsByChecker.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Datenprobleme","(checkdata.checkdata.ProblemsByChecker) The base table for problem messages.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.checkdata.ProblemsByChecker.grid) ] });
    var main_panel4897 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4873, checkdata_ProblemsByChecker_grid4896 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4897;
    this.before_row_edit = function(record) {
      checkdata_ProblemsByChecker_grid4896.on_master_changed();
    }
    Lino.checkdata.Checkers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Types.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Types",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 121,
  initComponent : function() {
    var name4898 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(households.Types.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4899 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(households.Types.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(households.Types.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4901 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4898, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4899, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4900, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var HouseholdsByType_grid4972 = new Lino.households.HouseholdsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushalte","(households.households.HouseholdsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.HouseholdsByType.grid) ] });
    var main_panel4973 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4901, HouseholdsByType_grid4972 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4973;
    this.before_row_edit = function(record) {
      HouseholdsByType_grid4972.on_master_changed();
    }
    Lino.households.Types.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.system.SiteConfigs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel system-SiteConfigs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 1,
  initComponent : function() {
    var site_company4974 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Site operator</span>", "hiddenName": "site_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Site operator","(system.SiteConfigs.site_company) The site operator, i.e. the legal person that operates this\nLino site.") }, "name": "site_company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/site_company" }) }) });
    var next_partner_id4975 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">N\u00e4chste Partnernummer</span>", "listeners": { "render": Lino.quicktip_renderer("N\u00e4chste Partnernummer","(system.SiteConfigs.next_partner_id) N\u00e4chste Partnernummer") }, "name": "next_partner_id", "selectOnFocus": true, "value": 100 });
    var general_1_panel4976 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": site_company4974, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": next_partner_id4975, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_office4979 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Lokales Arbeitsamt</span>", "hiddenName": "job_officeHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Lokales Arbeitsamt","(system.SiteConfigs.job_office) The Company whose contact persons\n            will be choices for `Person.job_office_contact`.") }, "name": "job_office", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/job_office" }) }) });
    var master_budget4980 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Budgets.detail", "emptyText": "Budget ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Budget-Kopiervorlage</span>", "hiddenName": "master_budgetHidden", "insert_action": "Lino.debts.Budgets.insert", "listeners": { "render": Lino.quicktip_renderer("Budget-Kopiervorlage","(system.SiteConfigs.master_budget) The budget whose content is to be         copied into new budgets.") }, "name": "master_budget", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/master_budget" }) }) });
    var general_2_panel4981 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": job_office4979, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": master_budget4980, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer14984 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Sekret\u00e4r", "hiddenName": "signer1Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Sekret\u00e4r","(system.SiteConfigs.signer1) ") }, "name": "signer1", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1" }) }) });
    var signer24985 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Pr\u00e4sident", "hiddenName": "signer2Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Pr\u00e4sident","(system.SiteConfigs.signer2) ") }, "name": "signer2", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2" }) }) });
    var general_3_panel4986 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer14984, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer24985, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer1_function4989 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Funktion des ersten Unterzeichners</span>", "hiddenName": "signer1_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Funktion des ersten Unterzeichners","(system.SiteConfigs.signer1_function) Kontaktfunktion \"Sekret\u00e4r\"") }, "name": "signer1_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1_function" }) }) });
    var signer2_function4990 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Funktion des zweiten Unterzeichners</span>", "hiddenName": "signer2_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Funktion des zweiten Unterzeichners","(system.SiteConfigs.signer2_function) Kontaktfunktion \"Pr\u00e4sident\"") }, "name": "signer2_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2_function" }) }) });
    var general_4_panel4991 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer1_function4989, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer2_function4990, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel4994 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4976, general_2_panel4981, general_3_panel4986, general_4_panel4991 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var system_note_type4995 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Default system note type</span>", "hiddenName": "system_note_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Default system note type","(system.SiteConfigs.system_note_type) Note Type used by system notes.\nIf this is empty, then system notes won't create any entry to the Notes table.") }, "name": "system_note_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/system_note_type" }) }) });
    var default_build_method4996 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Konstruktionsmethode</span>", "forceSelection": true, "hiddenName": "default_build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Standard-Konstruktionsmethode","(system.SiteConfigs.default_build_method) The default build method to use when rendering printable documents.") }, "name": "default_build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var constants_1_panel4997 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": system_note_type4995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": default_build_method4996, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var propgroup_skills5000 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe F\u00e4higkeiten</span>", "hiddenName": "propgroup_skillsHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe F\u00e4higkeiten","(system.SiteConfigs.propgroup_skills) The property group to be used as master for the SkillsByPerson table.") }, "name": "propgroup_skills", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_skills" }) }) });
    var propgroup_softskills5001 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe Sozialkompetenzen</span>", "hiddenName": "propgroup_softskillsHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe Sozialkompetenzen","(system.SiteConfigs.propgroup_softskills) The property group to be used as master for the SoftSkillsByPerson table.") }, "name": "propgroup_softskills", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_softskills" }) }) });
    var propgroup_obstacles5002 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe Hindernisse</span>", "hiddenName": "propgroup_obstaclesHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe Hindernisse","(system.SiteConfigs.propgroup_obstacles) The property group to be used as master for the ObstaclesByPerson table.") }, "name": "propgroup_obstacles", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_obstacles" }) }) });
    var constants_2_panel5003 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": propgroup_skills5000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": propgroup_softskills5001, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": propgroup_obstacles5002, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var residence_permit_upload_type5007 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art Aufenthaltserlaubnis", "hiddenName": "residence_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art Aufenthaltserlaubnis","(system.SiteConfigs.residence_permit_upload_type) ") }, "name": "residence_permit_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/residence_permit_upload_type" }) }) });
    var work_permit_upload_type5008 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art Arbeitserlaubnis", "hiddenName": "work_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art Arbeitserlaubnis","(system.SiteConfigs.work_permit_upload_type) ") }, "name": "work_permit_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/work_permit_upload_type" }) }) });
    var driving_licence_upload_type5009 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art F\u00fchrerschein", "hiddenName": "driving_licence_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art F\u00fchrerschein","(system.SiteConfigs.driving_licence_upload_type) ") }, "name": "driving_licence_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/driving_licence_upload_type" }) }) });
    var constants_3_panel5010 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": residence_permit_upload_type5007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_upload_type5008, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": driving_licence_upload_type5009, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var default_event_type5014 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Kalenderintragsart</span>", "hiddenName": "default_event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Standard-Kalenderintragsart","(system.SiteConfigs.default_event_type) The default type of events on this site.") }, "name": "default_event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/default_event_type" }) }) });
    var prompt_calendar5015 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Default type for prompt events", "hiddenName": "prompt_calendarHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Default type for prompt events","(system.SiteConfigs.prompt_calendar) ") }, "name": "prompt_calendar", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/prompt_calendar" }) }) });
    var hide_events_before5016 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hide events before</span>", "listeners": { "render": Lino.quicktip_renderer("Hide events before","(system.SiteConfigs.hide_events_before) If this is specified, certain tables show only\nevents after the given date.") }, "name": "hide_events_before", "selectOnFocus": true });
    var constants_4_panel5017 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 37, "items": default_event_type5014, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": prompt_calendar5015, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": hide_events_before5016, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_guestrole5021 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client guest role</span>", "hiddenName": "client_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Client guest role","(system.SiteConfigs.client_guestrole) Default guest role of client in calendar events.") }, "name": "client_guestrole", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/client_guestrole" }) }) });
    var team_guestrole5022 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "Rolle der anderen bei Gruppenterminen", "hiddenName": "team_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle der anderen bei Gruppenterminen","(system.SiteConfigs.team_guestrole) ") }, "name": "team_guestrole", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/team_guestrole" }) }) });
    var constants_5_panel5023 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": client_guestrole5021, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": team_guestrole5022, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var constants_panel5026 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ constants_1_panel4997, constants_2_panel5003, constants_3_panel5010, constants_4_panel5017, constants_5_panel5023 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Constants" });
    var cbss_org_unit5027 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anfragende Organisation</span>", "listeners": { "render": Lino.quicktip_renderer("Anfragende Organisation","(system.SiteConfigs.cbss_org_unit)     In CBSS requests, identifies the requesting organization.\n    For PCSWs this is the enterprise number\n    (CBE, KBO) and should have 10 digits and no formatting characters.\n\n    Used in SSDN requests as text of the `AuthorizedUser\\OrgUnit` element .\n    Used in new style requests as text of the `CustomerIdentification\\cbeNumber` element .\n    ") }, "maxLength": 50, "name": "cbss_org_unit", "selectOnFocus": true });
    var sector5028 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("sector","(system.SiteConfigs.sector)     The CBSS sector/subsector of the requesting organization.\n    For PCSWs this is always 17.1.\n    Used in SSDN requests as text of the `MatrixID` and `MatrixSubID`\n    elements of `AuthorizedUser`.\n    Used in ManageAccess requests as default value\n    for the non-editable field `sector`\n    (which defines the choices of the `purpose` field).\n    ") }, "name": "sector", "pageSize": 20, "related_actor_id": "cbss.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/sector" }) }) });
    var ssdn_user_id5029 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SSDN User Id</span>", "listeners": { "render": Lino.quicktip_renderer("SSDN User Id","(system.SiteConfigs.ssdn_user_id) Used in SSDN requests as text of the `AuthorizedUser\\UserID` element.") }, "maxLength": 50, "name": "ssdn_user_id", "selectOnFocus": true });
    var ssdn_email5030 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SSDN email address</span>", "listeners": { "render": Lino.quicktip_renderer("SSDN email address","(system.SiteConfigs.ssdn_email) Used in SSDN requests as text of the `AuthorizedUser\\Email` element.") }, "maxLength": 254, "name": "ssdn_email", "selectOnFocus": true });
    var cbss_1_panel5031 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": cbss_org_unit5027, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector5028, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ssdn_user_id5029, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ssdn_email5030, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_http_username5036 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">HTTP username</span>", "listeners": { "render": Lino.quicktip_renderer("HTTP username","(system.SiteConfigs.cbss_http_username)             Used in the http header of new-style requests.\n            ") }, "maxLength": 50, "name": "cbss_http_username", "selectOnFocus": true });
    var cbss_http_password5037 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">HTTP password</span>", "listeners": { "render": Lino.quicktip_renderer("HTTP password","(system.SiteConfigs.cbss_http_password) Used in the http header of new-style requests.") }, "maxLength": 50, "name": "cbss_http_password", "selectOnFocus": true });
    var cbss_2_panel5038 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": cbss_http_username5036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": cbss_http_password5037, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_panel5041 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cbss_1_panel5031, cbss_2_panel5038 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "ZDSS" });
    var main_panel5042 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4994, constants_panel5026, cbss_panel5041 ], "labelAlign": "top", "split": true });
    this.items = main_panel5042;
    this.before_row_edit = function(record) {
    }
    Lino.system.SiteConfigs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 26,
  initComponent : function() {
    var user4558 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project4559 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var id4560 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.Uploads.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4561 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": user4558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": project4559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id4560, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type4565 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var description4566 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var start_date4567 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig von","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4568 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed4569 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel4570 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type4565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": description4566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date4567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date4568, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needed4569, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4576 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(uploads.Uploads.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var contact_person4577 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ausgestellt durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("ausgestellt durch","(uploads.Uploads.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role4578 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var main_3_panel4579 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company4576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person4577, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role4578, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var file4583 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var owner_disp4584 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_4_panel4585 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 67, "items": file4583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": owner_disp4584, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4588 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(uploads.Uploads.remark) ") }, "name": "remark", "selectOnFocus": true });
    var cal_TasksByController_grid4589 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 65, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var main_5_panel4590 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 34, "items": remark4588, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_TasksByController_grid4589 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4592 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4561, main_2_panel4570, main_3_panel4579, main_4_panel4585, main_5_panel4590 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4592;
    this.before_row_edit = function(record) {
      type4565.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      contact_person4577.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      cal_TasksByController_grid4589.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company4576 !== 'undefined' && company4576.on('change',Lino.chooser_handler(contact_person4577,'company'));
      Lino.uploads.Uploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.Uploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 64,
  initComponent : function() {
    var ref5043 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var common_account5044 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gemeinkonto", "forceSelection": true, "hiddenName": "common_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Gemeinkonto","(ledger.Accounts.common_account) ") }, "name": "common_account", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts) });
    var id5045 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(ledger.Accounts.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5046 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": ref5043, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 62, "items": common_account5044, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id5045, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5050 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5051 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5052 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5053 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5050, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5051, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5052, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var needs_partner5057 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Partner", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Partner","(ledger.Accounts.needs_partner) Whether bookings to this account need a partner specified.") }, "name": "needs_partner", "selectOnFocus": true });
    var clearable5058 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auszugleichen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auszugleichen","(ledger.Accounts.clearable) ") }, "name": "clearable", "selectOnFocus": true });
    var default_amount5059 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorschlag Betrag</span>", "listeners": { "render": Lino.quicktip_renderer("Vorschlag Betrag","(ledger.Accounts.default_amount) The default amount to book in bank statements or journal\nentries when this account has been selected manually. The\ndefault booking direction is that of the type.") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel5060 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": needs_partner5057, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": clearable5058, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": default_amount5059, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5065 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5046, main_2_panel5053, main_3_panel5060 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5065;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 2,
  initComponent : function() {
    var isocode5066 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO-Code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO-Code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var name5067 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5068 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Countries.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5069 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var short_code5070 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short code</span>", "listeners": { "render": Lino.quicktip_renderer("Short code","(countries.Countries.short_code) A short abbreviation for regional usage. Obsolete.") }, "maxLength": 4, "name": "short_code", "selectOnFocus": true });
    var inscode5071 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var actual_country5072 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Actual country</span>", "hiddenName": "actual_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Actual country","(countries.Countries.actual_country) Select the actual country if this row represents a refugee status or a former country.") }, "name": "actual_country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Countries/actual_country" }) }) });
    var main_1_panel5073 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": isocode5066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name5067, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name_fr5068, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name_en5069, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": short_code5070, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": inscode5071, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": actual_country5072, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var countries_PlacesByCountry_grid5092 = new Lino.countries.PlacesByCountry.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Orte","(countries.countries.PlacesByCountry) The table of known geographical places.\nA geographical place can be a city, a town, a suburb,\na province, a lake... any named geographic entity,\nexcept for countries because these have their own table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.countries.PlacesByCountry.grid) ] });
    var cv_StudiesByCountry_grid5109 = new Lino.cv.StudiesByCountry.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByCountry) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByCountry.grid) ] });
    var main_2_panel5110 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ countries_PlacesByCountry_grid5092, cv_StudiesByCountry_grid5109 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5111 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5073, main_2_panel5110 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5111;
    this.before_row_edit = function(record) {
      countries_PlacesByCountry_grid5092.on_master_changed();
      cv_StudiesByCountry_grid5109.on_master_changed();
    }
    Lino.countries.Countries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 106,
  initComponent : function() {
    var id5112 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5113 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(art61.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5114 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(art61.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5115 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(art61.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref5116 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(art61.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group5117 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(art61.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel5118 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id5112, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name5113, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_fr5114, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_en5115, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": ref5116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": overlap_group5117, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsByType_grid5165 = new Lino.art61.ContractsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.61-Konventionen","(art61.art61.ContractsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.art61.ContractsByType.grid) ] });
    var main_panel5166 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5118, ContractsByType_grid5165 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5166;
    this.before_row_edit = function(record) {
      ContractsByType_grid5165.on_master_changed();
    }
    Lino.art61.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrdersByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-DisbursementOrdersByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 76,
  initComponent : function() {
    var item_account5167 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.DisbursementOrdersByJournal.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/item_account" }) }) });
    var voucher_date5168 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(finan.DisbursementOrdersByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var main_panel5169 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": item_account5167, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": voucher_date5168, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5169;
    this.before_row_edit = function(record) {
    }
    Lino.finan.DisbursementOrdersByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-RefundConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 138,
  initComponent : function() {
    var start_date5172 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5173 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel5174 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date5172, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date5173, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type5177 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Art des Arztes", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art des Arztes","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "name": "doctor_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor5178 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Arzt", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Arzt","(aids.RefundConfirmationsByGranting.doctor) ") }, "name": "doctor", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy5179 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "Apotheke", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Apotheke","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "name": "pharmacy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    var main_2_panel5180 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type5177, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor5178, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy5179, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5184 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var contact_person5185 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var language5186 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.RefundConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp5187 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.RefundConfirmationsByGranting.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel5188 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company5184, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person5185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language5186, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp5187, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5193 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 50, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel5194 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5174, main_2_panel5180, main_3_panel5188, remark5193 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5194;
    this.before_row_edit = function(record) {
      doctor5178.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy5179.setContextValue('mk',bp['mk']);
      pharmacy5179.setContextValue('mt',bp['mt']);
      contact_person5185.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark5193.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type5177 !== 'undefined' && doctor_type5177.on('change',Lino.chooser_handler(doctor5178,'doctor_type'));
      typeof company5184 !== 'undefined' && company5184.on('change',Lino.chooser_handler(contact_person5185,'company'));
      Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 123,
  initComponent : function() {
    var type5195 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.Households.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var prefix5196 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name5197 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id5198 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.Households.id) ") }, "name": "id", "selectOnFocus": true });
    var general_1_panel5199 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type5195, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix5196, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name5197, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id5198, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox5204 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.Households.overview) ") }, "name": "overview", "value": "<br/>" });
    var language5205 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.Households.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email5206 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(households.Households.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5207 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(households.Households.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5208 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(households.Households.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel5209 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5205, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email5206, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5208, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_2_panel5214 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5204, box3_panel5209 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var households_MembersByHousehold_grid5215 = new Lino.households.MembersByHousehold.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(households.households.MembersByHousehold) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByHousehold.grid) ] });
    var general_panel5216 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5199, general_2_panel5214, households_MembersByHousehold_grid5215 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Allgemein" });
    var main_panel5220 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5216 ], "labelAlign": "top", "split": true });
    this.items = main_panel5220;
    this.before_row_edit = function(record) {
      overview_htmlbox5204.refresh();
      households_MembersByHousehold_grid5215.on_master_changed();
    }
    Lino.households.Households.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.jobs.Jobs.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 102,
  initComponent : function() {
    var name4853 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider4854 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Jobs.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var main_1_panel4855 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": name4853, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": provider4854, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contract_type4858 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type4859 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.Jobs.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var main_2_panel4860 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": contract_type4858, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type4859, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector4863 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function4864 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var main_3_panel4865 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector4863, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function4864, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4868 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4855, main_2_panel4860, main_3_panel4865 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel4868;
    this.before_row_edit = function(record) {
      function4864.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector4863 !== 'undefined' && sector4863.on('change',Lino.chooser_handler(function4864,'sector'));
      Lino.jobs.Jobs.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel changes-Changes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 15,
  disable_editing: true,
  initComponent : function() {
    var time3138 = new Ext.form.DisplayField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "time", "listeners": { "render": Lino.quicktip_renderer("time","(changes.Changes.time) ") }, "name": "time", "selectOnFocus": true, "value": "<br>" });
    var user3139 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(changes.Changes.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var type3140 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00c4nderungsart", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungsart","(changes.Changes.type) ") }, "name": "type", "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var master_disp3141 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stammdaten</span>", "name": "master" });
    var object_disp3142 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Object</span>", "name": "object" });
    var id3143 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(changes.Changes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3144 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": time3138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user3139, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": type3140, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": master_disp3141, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_disp3142, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id3143, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var diff3151 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "\u00c4nderungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungen","(changes.Changes.diff) ") }, "name": "diff" });
    var main_panel3152 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3144, { "flex": 83, "items": diff3151, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3152;
    this.before_row_edit = function(record) {
    }
    Lino.changes.Changes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 123,
  initComponent : function() {
    var name5221 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var type5222 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.Households.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var main_panel5223 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name5221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5222, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5223;
    this.before_row_edit = function(record) {
    }
    Lino.households.Households.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Jobs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 102,
  initComponent : function() {
    var name4787 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider4788 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Jobs.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var contract_type4789 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type4790 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.Jobs.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var id4791 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Jobs.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4792 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": name4787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": provider4788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": contract_type4789, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": type4790, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id4791, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector4798 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function4799 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var capacity4800 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kapazit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("Kapazit\u00e4t","(jobs.Jobs.capacity) ") }, "name": "capacity", "selectOnFocus": true, "value": 1 });
    var hourly_rate4801 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Stundensatz", "listeners": { "render": Lino.quicktip_renderer("Stundensatz","(jobs.Jobs.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var main_2_panel4802 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": sector4798, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": function4799, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": capacity4800, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": hourly_rate4801, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4807 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Jobs.remark) ") }, "name": "remark", "selectOnFocus": true });
    var CandidaturesByJob_grid4819 = new Lino.jobs.CandidaturesByJob.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellenanfragen","(jobs.jobs.CandidaturesByJob) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByJob.grid) ] });
    var main_3_panel4820 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark4807, "labelAlign": "top", "layout": "form", "xtype": "panel" }, CandidaturesByJob_grid4819 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var ContractsByJob_grid4851 = new Lino.jobs.ContractsByJob.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByJob) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByJob.grid) ] });
    var main_panel4852 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4792, main_2_panel4802, main_3_panel4820, ContractsByJob_grid4851 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4852;
    this.before_row_edit = function(record) {
      function4799.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      CandidaturesByJob_grid4819.on_master_changed();
      ContractsByJob_grid4851.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof sector4798 !== 'undefined' && sector4798.on('change',Lino.chooser_handler(function4799,'sector'));
      Lino.jobs.Jobs.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Problems.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Problems",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 20,
  disable_editing: true,
  initComponent : function() {
    var checker4884 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Checker</span>", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "name": "checker", "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var owner_disp4885 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Datenobjekt", "name": "owner" });
    var message4886 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Meldung</span>", "listeners": { "render": Lino.quicktip_renderer("Meldung","(checkdata.Problems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "maxLength": 250, "name": "message", "selectOnFocus": true });
    var user4887 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }) });
    var id4888 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(checkdata.Problems.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel4889 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user4887, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": id4888, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4892 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": checker4884, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": owner_disp4885, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": message4886, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel4889 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4892;
    this.before_row_edit = function(record) {
    }
    Lino.checkdata.Problems.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobProviders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 105,
  initComponent : function() {
    var overview_htmlbox5226 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(jobs.JobProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix5227 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(jobs.JobProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name5228 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.JobProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel5229 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix5227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name5228, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type5232 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(jobs.JobProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/type" }) }) });
    var vat_id5233 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(jobs.JobProviders.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel5234 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type5232, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id5233, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type5237 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(jobs.JobProviders.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/client_contact_type" }) }) });
    var url5238 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(jobs.JobProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel5239 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel5229, general2_2_panel5234, { "anchor": "-20", "autoHeight": true, "items": client_contact_type5237, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url5238, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email5242 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(jobs.JobProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5243 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(jobs.JobProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5244 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(jobs.JobProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax5245 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(jobs.JobProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel5246 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email5242, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5243, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax5245, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel5251 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5226, general2_panel5239, general3_panel5246 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid5257 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel5258 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5251, contacts_RolesByCompany_grid5257 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var notes_NotesByCompany_htmlbox5259 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes.NotesByCompany", "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var JobsByProvider_grid5271 = new Lino.jobs.JobsByProvider.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellen","(jobs.jobs.JobsByProvider) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.JobsByProvider.grid) ] });
    var ContractsByProvider_grid5301 = new Lino.jobs.ContractsByProvider.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByProvider) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByProvider.grid) ] });
    var jobs_panel5302 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ JobsByProvider_grid5271, ContractsByProvider_grid5301 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Stellen" });
    var main_panel5303 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5258, notes_NotesByCompany_htmlbox5259, jobs_panel5302 ], "labelAlign": "top", "split": true });
    this.items = main_panel5303;
    this.before_row_edit = function(record) {
      overview_htmlbox5226.refresh();
      contacts_RolesByCompany_grid5257.on_master_changed();
      notes_NotesByCompany_htmlbox5259.refresh();
      JobsByProvider_grid5271.on_master_changed();
      ContractsByProvider_grid5301.on_master_changed();
    }
    Lino.jobs.JobProviders.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.art61.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 107,
  initComponent : function() {
    var client5158 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(art61.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var company5159 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var type5160 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(art61.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var main_panel5161 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client5158, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": company5159, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5160, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5161;
    this.before_row_edit = function(record) {
    }
    Lino.art61.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 23,
  initComponent : function() {
    var id3447 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.Excerpts.id) ") }, "name": "id", "selectOnFocus": true });
    var excerpt_type3448 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsart</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project3449 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var general_1_panel3450 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id3447, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type3448, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": project3449, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user3454 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var build_method3455 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Druckmethode", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.Excerpts.build_method) ") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var general_2_panel3456 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": user3454, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": build_method3455, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3459 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person3460 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var language3461 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general_3_panel3462 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3459, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3460, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language3461, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp3466 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verkn\u00fcpft mit</span>", "name": "owner" });
    var build_time3467 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Druckdatum","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var general_4_panel3468 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": owner_disp3466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": build_time3467, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel3471 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3450, general_2_panel3456, general_3_panel3462, general_4_panel3468 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var main_panel3473 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3471 ], "labelAlign": "top", "split": true });
    this.items = main_panel3473;
    this.before_row_edit = function(record) {
      excerpt_type3448.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person3460.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof owner_disp3466 !== 'undefined' && owner_disp3466.on('change',Lino.chooser_handler(excerpt_type3448,'owner'));
      typeof company3459 !== 'undefined' && company3459.on('change',Lino.chooser_handler(contact_person3460,'company'));
      Lino.excerpts.Excerpts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 127,
  initComponent : function() {
    var partner2772 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var date2773 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var user2774 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var main_2_panel2775 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": date2773, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user2774, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2778 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner2772, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2775 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2778;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Budgets.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 9,
  initComponent : function() {
    var overview_htmlbox5304 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Companies.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix5305 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name5306 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel5307 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix5305, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name5306, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type5310 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id5311 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(contacts.Companies.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel5312 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type5310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id5311, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type5315 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Companies.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var url5316 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Companies.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel5317 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel5307, general2_2_panel5312, { "anchor": "-20", "autoHeight": true, "items": client_contact_type5315, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url5316, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email5320 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5321 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Companies.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5322 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Companies.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax5323 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Companies.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel5324 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email5320, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5321, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5322, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax5323, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel5329 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5304, general2_panel5317, general3_panel5324 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid5330 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel5331 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5329, contacts_RolesByCompany_grid5330 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var addresses_AddressesByPartner_grid5368 = new Lino.addresses.AddressesByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(addresses.addresses.AddressesByPartner) Shows all addresses of this partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.addresses.AddressesByPartner.grid) ] });
    var remarks5369 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Companies.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid5370 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 78, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_2_panel5371 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks5369, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid5370 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel5373 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ addresses_AddressesByPartner_grid5368, contact_2_panel5371 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var notes_NotesByCompany_htmlbox5374 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes.NotesByCompany", "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var payment_term5375 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Companies.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/payment_term" }) }) });
    var vatless_VouchersByPartner_htmlbox5376 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Partnerbelege","(contacts.Companies.vatless.VouchersByPartner) ") }, "name": "vatless.VouchersByPartner", "region": "center", "split": true, "title": "Partnerbelege", "value": "<br/>" });
    var ledger_MovementsByPartner_htmlbox5377 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(contacts.Companies.ledger.MovementsByPartner) Shows the ledger movements linked to a given partner.") }, "name": "ledger.MovementsByPartner", "region": "south", "split": true, "title": "Bewegungen", "value": "<br/>" });
    var ledger_panel5378 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term5375, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" }, vatless_VouchersByPartner_htmlbox5376, ledger_MovementsByPartner_htmlbox5377 ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var id5380 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Companies.id) ") }, "name": "id", "selectOnFocus": true });
    var language5381 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Companies.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var activity5382 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Companies.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var is_obsolete5383 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel5384 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": id5380, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": language5381, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": activity5382, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": is_obsolete5383, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created5389 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Companies.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified5390 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Companies.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel5391 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created5389, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified5390, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid5394 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var misc_panel5395 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel5384, misc_2_panel5391, reception_AppointmentsByPartner_grid5394 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel5396 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5331, contact_panel5373, notes_NotesByCompany_htmlbox5374, ledger_panel5378, misc_panel5395 ], "labelAlign": "top", "split": true });
    this.items = main_panel5396;
    this.before_row_edit = function(record) {
      overview_htmlbox5304.refresh();
      contacts_RolesByCompany_grid5330.on_master_changed();
      addresses_AddressesByPartner_grid5368.on_master_changed();
      sepa_AccountsByPartner_grid5370.on_master_changed();
      notes_NotesByCompany_htmlbox5374.refresh();
      vatless_VouchersByPartner_htmlbox5376.refresh();
      ledger_MovementsByPartner_htmlbox5377.refresh();
      reception_AppointmentsByPartner_grid5394.on_master_changed();
    }
    Lino.contacts.Companies.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.contacts.Companies.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 9,
  initComponent : function() {
    var name5397 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var email5398 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var type5399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var main_panel5400 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name5397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email5398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5399, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5400;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Companies.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file5404 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var user5405 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_1_panel5406 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": file5404, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": user5405, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var volume5409 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dateibibliothek</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file5410 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bibliotheksdatei</span>", "listeners": { "render": Lino.quicktip_renderer("Bibliotheksdatei","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_2_panel5411 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": volume5409, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": library_file5410, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var upload_area5414 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Bereich</span>", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.AllUploads.upload_area) The upload area this file belongs to.") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var type5415 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description5416 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_3_panel5417 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": upload_area5414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": type5415, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": description5416, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp5421 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_panel5422 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5406, main_2_panel5411, main_3_panel5417, { "anchor": "-20", "autoHeight": true, "items": owner_disp5421, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5422;
    this.before_row_edit = function(record) {
      library_file5410.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      type5415.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume5409 !== 'undefined' && volume5409.on('change',Lino.chooser_handler(library_file5410,'volume'));
      typeof upload_area5414 !== 'undefined' && upload_area5414.on('change',Lino.chooser_handler(type5415,'upload_area'));
      Lino.uploads.AllUploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 41,
  initComponent : function() {
    var summary1643 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var user1644 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var project1645 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var main_2_panel1646 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user1644, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project1645, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1649 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary1643, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1646 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1649;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Statuses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Statuses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 86,
  initComponent : function() {
    var id5424 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Statuses.id) ") }, "name": "id", "selectOnFocus": true });
    var name5425 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Statuses.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5426 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Statuses.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5427 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Statuses.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5428 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5424, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5427, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5444 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5428 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5444;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Statuses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Regimes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Regimes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 87,
  initComponent : function() {
    var id5445 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Regimes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5446 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Regimes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5447 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Regimes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5448 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Regimes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5449 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5446, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5447, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5448, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var jobs_ContractsByRegime_grid5493 = new Lino.jobs.ContractsByRegime.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByRegime) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByRegime.grid) ] });
    var main_panel5494 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5449, jobs_ContractsByRegime_grid5493 ], "labelAlign": "top" });
    this.items = main_panel5494;
    this.before_row_edit = function(record) {
      jobs_ContractsByRegime_grid5493.on_master_changed();
    }
    Lino.cv.Regimes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel ledger-Journals",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 59,
  initComponent : function() {
    var ref5495 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5496 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Journals.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5497 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Journals.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5498 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Journals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5499 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": ref5495, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5496, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5497, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5498, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group5504 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journalgruppe</span>", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "name": "journal_group", "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type5505 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegart</span>", "forceSelection": true, "hiddenName": "voucher_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Belegart","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "name": "voucher_type", "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var main_panel5506 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5499, { "anchor": "-20", "autoHeight": true, "items": journal_group5504, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": voucher_type5505, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5506;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Journals.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 8,
  initComponent : function() {
    var overview_htmlbox5509 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Persons.overview) ") }, "name": "overview", "value": "<br/>" });
    var title5510 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Titel</span>", "listeners": { "render": Lino.quicktip_renderer("Titel","(contacts.Persons.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var first_name5511 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name5512 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var general2_1_panel5513 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": title5510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": first_name5511, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": middle_name5512, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var last_name5517 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var gender5518 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date5519 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp5520 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter</span>", "listeners": { "render": Lino.quicktip_renderer("Alter","(contacts.Persons.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var general2_3_panel5521 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": gender5518, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": birth_date5519, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": age_disp5520, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id5525 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Persons.id) ") }, "name": "id", "selectOnFocus": true });
    var language5526 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Persons.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general2_4_panel5527 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id5525, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language5526, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel5530 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel5513, { "anchor": "-20", "autoHeight": true, "items": last_name5517, "labelAlign": "top", "layout": "form", "xtype": "panel" }, general2_3_panel5521, general2_4_panel5527 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email5532 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5533 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Persons.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5534 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Persons.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax5535 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Persons.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel5536 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email5532, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5533, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax5535, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel5541 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5509, general2_panel5530, general3_panel5536 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByPerson_grid5542 = new Lino.contacts.RolesByPerson.GridPanel({ "containing_panel": this, "flex": 45, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktperson f\u00fcr","(contacts.contacts.RolesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByPerson.grid) ] });
    var general_panel5543 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5541, contacts_RolesByPerson_grid5542 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var households_MembersByPerson_htmlbox5544 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 25, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Mitgliedschaft in Haushalten","(contacts.Persons.households.MembersByPerson) ") }, "master_panel": this, "name": "households.MembersByPerson", "title": "Mitgliedschaft in Haushalten", "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByPerson.grid) ], "value": "<br/>" });
    var households_SiblingsByPerson_grid5545 = new Lino.households.SiblingsByPerson.GridPanel({ "containing_panel": this, "flex": 75, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushaltszusammensetzung","(households.households.SiblingsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.SiblingsByPerson.grid) ] });
    var contact_1_panel5546 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox5544, households_SiblingsByPerson_grid5545 ], "labelAlign": "top", "labelWidth": 261, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var humanlinks_LinksByHuman_htmlbox5547 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Beziehungen","(contacts.Persons.humanlinks.LinksByHuman) Show all links for which this human is either parent or child.") }, "master_panel": this, "name": "humanlinks.LinksByHuman", "region": "center", "split": true, "title": "Beziehungen", "tools": [ Lino.show_in_own_window_button(Lino.humanlinks.LinksByHuman.grid) ], "value": "<br/>" });
    var remarks5548 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Persons.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid5549 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 78, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_3_panel5550 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks5548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid5549 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "south", "split": true });
    var contact_panel5552 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_1_panel5546, humanlinks_LinksByHuman_htmlbox5547, contact_3_panel5550 ], "labelAlign": "top", "labelWidth": 108, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term5553 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Persons.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/payment_term" }) }) });
    var vatless_VouchersByPartner_htmlbox5554 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Partnerbelege","(contacts.Persons.vatless.VouchersByPartner) ") }, "name": "vatless.VouchersByPartner", "region": "center", "split": true, "title": "Partnerbelege", "value": "<br/>" });
    var ledger_MovementsByPartner_htmlbox5555 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(contacts.Persons.ledger.MovementsByPartner) Shows the ledger movements linked to a given partner.") }, "name": "ledger.MovementsByPartner", "region": "south", "split": true, "title": "Bewegungen", "value": "<br/>" });
    var ledger_panel5556 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term5553, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" }, vatless_VouchersByPartner_htmlbox5554, ledger_MovementsByPartner_htmlbox5555 ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var activity5558 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Persons.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var url5559 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Persons.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var client_contact_type5560 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Persons.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var is_obsolete5561 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel5562 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": activity5558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": url5559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": client_contact_type5560, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_obsolete5561, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created5567 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Persons.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified5568 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Persons.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel5569 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created5567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified5568, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid5572 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var misc_panel5573 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel5562, misc_2_panel5569, reception_AppointmentsByPartner_grid5572 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel5577 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5543, contact_panel5552, ledger_panel5556, misc_panel5573 ], "labelAlign": "top", "split": true });
    this.items = main_panel5577;
    this.before_row_edit = function(record) {
      overview_htmlbox5509.refresh();
      contacts_RolesByPerson_grid5542.on_master_changed();
      households_MembersByPerson_htmlbox5544.refresh();
      households_SiblingsByPerson_grid5545.on_master_changed();
      humanlinks_LinksByHuman_htmlbox5547.refresh();
      sepa_AccountsByPartner_grid5549.on_master_changed();
      vatless_VouchersByPartner_htmlbox5554.refresh();
      ledger_MovementsByPartner_htmlbox5555.refresh();
      reception_AppointmentsByPartner_grid5572.on_master_changed();
    }
    Lino.contacts.Persons.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.vatless.InvoicesByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-InvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 79,
  initComponent : function() {
    var partner5578 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.InvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var entry_date5579 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.InvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel5580 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner5578, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date5579, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5580;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.InvoicesByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.PropGroups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-PropGroups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 18,
  initComponent : function() {
    var id5583 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.PropGroups.id) ") }, "name": "id", "selectOnFocus": true });
    var name5584 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.PropGroups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5585 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.PropGroups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5586 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.PropGroups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5587 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5586, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5623 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5587 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5623;
    this.before_row_edit = function(record) {
    }
    Lino.properties.PropGroups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 99,
  initComponent : function() {
    var id5624 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5625 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5626 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(jobs.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5627 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(jobs.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref5628 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(jobs.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group5629 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(jobs.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel5630 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id5624, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name5625, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_fr5626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_en5627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": ref5628, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": overlap_group5629, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsByType_grid5666 = new Lino.jobs.ContractsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByType.grid) ] });
    var main_panel5667 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5630, ContractsByType_grid5666 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5667;
    this.before_row_edit = function(record) {
      ContractsByType_grid5666.on_master_changed();
    }
    Lino.jobs.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 130,
  initComponent : function() {
    var id5668 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.NoteTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5669 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.NoteTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5670 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.NoteTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5671 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5672 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5668, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5671, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method5677 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template5678 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(notes.NoteTypes.template) The name of the file to be used as template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/template" }) }) });
    var special_type5679 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sondernotizart", "forceSelection": true, "hiddenName": "special_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Sondernotizart","(notes.NoteTypes.special_type) ") }, "name": "special_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.notes.SpecialTypes) });
    var email_template5680 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(notes.NoteTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/email_template" }) }) });
    var attach_to_email5681 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(notes.NoteTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_2_panel5682 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": build_method5677, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": template5678, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": special_type5679, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": email_template5680, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": attach_to_email5681, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5688 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(notes.NoteTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var notes_NotesByType_grid5719 = new Lino.notes.NotesByType.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(notes.notes.NotesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByType.grid) ] });
    var main_panel5720 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5672, main_2_panel5682, { "flex": 41, "items": remark5688, "labelAlign": "top", "layout": "form", "xtype": "panel" }, notes_NotesByType_grid5719 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5720;
    this.before_row_edit = function(record) {
      template5678.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      notes_NotesByType_grid5719.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method5677 !== 'undefined' && build_method5677.on('change',Lino.chooser_handler(template5678,'build_method'));
      Lino.notes.NoteTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.NoteTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 97,
  initComponent : function() {
    var id2140 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client2141 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type2142 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(isip.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var user2143 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(isip.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var user_dsbe2144 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (DSBE)", "hiddenName": "user_dsbeHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (DSBE)","(isip.Contracts.user_dsbe) ") }, "name": "user_dsbe", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_dsbe" }) }) });
    var user_asd2145 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (ASD)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (ASD)","(isip.Contracts.user_asd) ") }, "name": "user_asd", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var general_1_panel2146 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id2140, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": client2141, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": type2142, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user2143, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user_dsbe2144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user_asd2145, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var study_type2153 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "Bildungsart", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(isip.Contracts.study_type) ") }, "name": "study_type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var applies_from2154 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(isip.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var applies_until2155 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(isip.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy2156 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(isip.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var language2157 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(isip.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general_2_panel2158 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": study_type2153, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_from2154, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_until2155, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": exam_policy2156, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": language2157, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided2164 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(isip.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued2165 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(isip.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var printed_disp2166 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(isip.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var date_ended2167 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(isip.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending2168 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(isip.Contracts.ending) ") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var general_3_panel2169 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date_decided2164, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_issued2165, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp2166, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_ended2167, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": ending2168, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var PartnersByContract_grid2198 = new Lino.isip.PartnersByContract.GridPanel({ "containing_panel": this, "flex": 33, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Vertragspartner","(isip.isip.PartnersByContract) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.PartnersByContract.grid) ] });
    var cal_TasksByController_grid2220 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 48, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var cal_EntriesByController_grid2412 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 51, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var general_5_panel2413 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 33, "frame": false, "hideCheckBoxLabels": true, "items": [ cal_TasksByController_grid2220, cal_EntriesByController_grid2412 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2414 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2146, general_2_panel2158, general_3_panel2169, PartnersByContract_grid2198, general_5_panel2413 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var stages2415 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Etappen", "flex": 33, "name": "stages", "selectOnFocus": true, "title": "Etappen" });
    var goals2416 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Zielsetzungen", "flex": 33, "name": "goals", "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_person2417 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen Person", "flex": 33, "name": "duties_person", "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var isip_1_panel2418 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ stages2415, goals2416, duties_person2417 ], "labelAlign": "top", "labelWidth": 207, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var duties_asd2419 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen ASD", "flex": 33, "name": "duties_asd", "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe2420 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen DSBE", "flex": 33, "name": "duties_dsbe", "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw2421 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen \u00d6SHZ", "flex": 33, "name": "duties_pcsw", "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var isip_2_panel2422 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ duties_asd2419, duties_dsbe2420, duties_pcsw2421 ], "labelAlign": "top", "labelWidth": 189, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var isip_panel2423 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ isip_1_panel2418, isip_2_panel2422 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "VSE" });
    var main_panel2424 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2414, isip_panel2423 ], "labelAlign": "top", "split": true });
    this.items = main_panel2424;
    this.before_row_edit = function(record) {
      PartnersByContract_grid2198.on_master_changed();
      cal_TasksByController_grid2220.on_master_changed();
      cal_EntriesByController_grid2412.on_master_changed();
      stages2415.refresh();
      goals2416.refresh();
      duties_person2417.refresh();
      duties_asd2419.refresh();
      duties_dsbe2420.refresh();
      duties_pcsw2421.refresh();
    }
    Lino.isip.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 130,
  initComponent : function() {
    var name5722 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.NoteTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5723 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.NoteTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5724 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5725 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5722, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5723, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5724, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method5729 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var main_panel5730 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5725, { "anchor": "-20", "autoHeight": true, "items": build_method5729, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5730;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NoteTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.about.About.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel about-About",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var main_panel5733 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "html": "<div class=\"htmlText\"><span>Dies ist <a href=\"https://gitlab.com/lino-framework/weleup\" target=\"_blank\">Lino Welfare Eupen</a> 21.3.1 unter <a href=\"https://gitlab.com/lino-framework/lino\" target=\"_blank\">Lino</a> 22.5.0, <a href=\"http://www.djangoproject.com\" target=\"_blank\">Django</a> 4.0, <a href=\"http://www.python.org/\" target=\"_blank\">Python</a> 3.8.0, <a href=\"http://babel.edgewall.org/\" target=\"_blank\">Babel</a> 2.9.1, <a href=\"http://jinja.pocoo.org/\" target=\"_blank\">Jinja</a> 3.0.3, <a href=\"http://labix.org/python-dateutil\" target=\"_blank\">python-dateutil</a> 2.8.2, <a href=\"http://getbootstrap.com\" target=\"_blank\">Bootstrap</a> 3.3.4, <a href=\"http://www.sencha.com\" target=\"_blank\">ExtJS</a> <a href=\"#\" onclick=\"alert('ExtJS client version is ' + Ext.version);\" title=\"Click to see ExtJS client version\">(version)</a>, <a href=\"http://www.famfamfam.com/lab/icons/silk/\" target=\"_blank\">Silk Icons</a> 1.3, <a href=\"http://appyframework.org/pod.html\" target=\"_blank\">Appy</a> (unknown), <a href=\"http://ext.ensible.com/products/calendar/\" target=\"_blank\">Ext.ensible adapter</a> <a href=\"#\" onclick=\"alert('Extensible Calendar version is '             + Ext.ensible.version);\" title=\"Click to see Extensible Calendar version\">(version)</a>, <a href=\"https://pypi.org/project/suds-py3/\" target=\"_blank\">suds</a> 1.4.4.1, <a href=\"http://www.tinymce.com/\" target=\"_blank\">TinyMCE</a> 3.5.11, <a href=\"http://www.byte-force.com\" target=\"_blank\">Ext.ux.TinyMCE</a> 0.8.4</span><p>Sprachen: de, fr, en</p><p>Dies ist eine Demo-Anwendung.</p><p>Simuliertes Tagesdatum Donnerstag, 22. Mai 2014.</p><h4>Available Features:</h4><table><thead><tr><th style=\"border: 1px solid black; border-radius: 2px; padding: 5px;\">Feature</th><th style=\"border: 1px solid black; border-radius: 2px; padding: 5px;\">Beschreibung</th><th style=\"border: 1px solid black; border-radius: 2px; padding: 5px;\">Status</th></tr></thead><tbody><tr><td style=\"border: 1px solid black; border-radius: 2px; padding: 5px;\">third_party_authentication</td><td style=\"border: 1px solid black; border-radius: 2px; padding: 5px;\">Whether to allow login using credentials from third party</td><td style=\"border: 1px solid black; border-radius: 2px; padding: 5px;\">Inaktiv</td></tr></tbody></table><p>Source timestamps:</p><ul><li>Server timestamp : <b>08.05.22 um 20:18</b></li><li>lino_weleup : <b>19.08.21 um 05:38</b></li><li>django : <b>28.12.21 um 12:48</b></li><li>lino_welfare : <b>23.04.22 um 21:12</b></li><li>lino_cosi : <b>05.05.22 um 07:16</b></li><li>lino : <b>07.05.22 um 12:59</b></li><li>lino_xl : <b>08.05.22 um 20:18</b></li></ul><p>Complexity factors : 65 plugins, 143 models, 13 users, 16 user types, 531 views, 29 dialog actions</p></div>", "region": "center", "xtype": "label" } ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5733;
    this.before_row_edit = function(record) {
    }
    Lino.about.About.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 97,
  initComponent : function() {
    var client2425 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type2426 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(isip.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var main_panel2427 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client2425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type2426, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2427;
    this.before_row_edit = function(record) {
    }
    Lino.isip.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 127,
  initComponent : function() {
    var date2676 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var partner2677 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var id2678 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Budgets.id) ") }, "name": "id", "selectOnFocus": true });
    var user2679 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var general_1_panel2680 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date2676, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": partner2677, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id2678, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": user2679, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var intro2685 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Einleitung", "flex": 5, "name": "intro", "region": "center", "selectOnFocus": true, "split": true, "title": "Einleitung" });
    var general_panel2694 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2680, intro2685 ], "labelAlign": "top", "labelWidth": 99, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var conclusion2749 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Schlussfolgerung", "flex": 55, "name": "conclusion", "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount2750 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verteilbarer Betrag</span>", "listeners": { "render": Lino.quicktip_renderer("Verteilbarer Betrag","(debts.Budgets.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "name": "dist_amount", "selectOnFocus": true, "value": 120 });
    var printed_disp2751 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(debts.Budgets.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var total_debt2752 = new Ext.form.NumberField({ "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true, "fieldLabel": "Gesamtschuld", "listeners": { "render": Lino.quicktip_renderer("Gesamtschuld","(debts.Budgets.total_debt) ") }, "name": "total_debt" });
    var summary2_2_panel2753 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": dist_amount2750, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 55, "items": printed_disp2751, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": total_debt2752, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var include_yearly_incomes2757 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("J\u00e4hrliche Einkommen ber\u00fccksichtigen","(debts.Budgets.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "name": "include_yearly_incomes", "selectOnFocus": true });
    var print_empty_rows2758 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch leere Eintr\u00e4ge drucken", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch leere Eintr\u00e4ge drucken","(debts.Budgets.print_empty_rows) Check this to print also empty rows for later completion.") }, "name": "print_empty_rows", "selectOnFocus": true });
    var print_todos2759 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "To-do-Liste drucken", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("To-do-Liste drucken","(debts.Budgets.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?") }, "name": "print_todos", "selectOnFocus": true });
    var summary2_3_panel2760 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": include_yearly_incomes2757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_empty_rows2758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_todos2759, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary2_panel2764 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 57, "frame": true, "hideCheckBoxLabels": true, "items": [ conclusion2749, summary2_2_panel2753, summary2_3_panel2760 ], "labelAlign": "top", "labelWidth": 153, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var summary_tab_1_panel2765 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 9, "frame": false, "hideCheckBoxLabels": true, "items": [ summary2_panel2764 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var summary_tab_panel2767 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ summary_tab_1_panel2765 ], "labelAlign": "top", "labelWidth": 171, "listeners": { "activate": Lino.on_tab_activate }, "title": "Zusammenfassung" });
    var data_box_htmlbox2768 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Erfasste Daten","(debts.Budgets.data_box) ") }, "name": "data_box", "region": "north", "split": true, "title": "Erfasste Daten", "value": "<br/>" });
    var summary_box_htmlbox2769 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Zusammenfassung","(debts.Budgets.summary_box) ") }, "name": "summary_box", "region": "center", "split": true, "title": "Zusammenfassung", "value": "<br/>" });
    var preview_tab_panel2770 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ data_box_htmlbox2768, summary_box_htmlbox2769 ], "labelAlign": "top", "labelWidth": 144, "listeners": { "activate": Lino.on_tab_activate }, "title": "Vorschau" });
    var main_panel2771 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2694, summary_tab_panel2767, preview_tab_panel2770 ], "labelAlign": "top", "split": true });
    this.items = main_panel2771;
    this.before_row_edit = function(record) {
      intro2685.refresh();
      conclusion2749.refresh();
      data_box_htmlbox2768.refresh();
      summary_box_htmlbox2769.refresh();
    }
    Lino.debts.Budgets.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 126,
  initComponent : function() {
    var ref5734 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var group5735 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Kontengruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontengruppe</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Kontengruppe","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type5736 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontoart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_1_panel5737 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": ref5734, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": group5735, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": type5736, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5741 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5742 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5743 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5744 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5742, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5743, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5748 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5737, main_2_panel5744 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5748;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.PropTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-PropTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 16,
  initComponent : function() {
    var id5749 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.PropTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5750 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.PropTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5751 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.PropTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5752 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.PropTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var choicelist5753 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Auswahliste", "hiddenName": "choicelistHidden", "listeners": { "render": Lino.quicktip_renderer("Auswahliste","(properties.PropTypes.choicelist) ") }, "name": "choicelist", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/choicelist" }) }) });
    var default_value5754 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert</span>", "hiddenName": "default_valueHidden", "listeners": { "render": Lino.quicktip_renderer("Standardwert","(properties.PropTypes.default_value) The default value to set when creating a PropertyOccurence.\nThis is currently used only in some fixture...") }, "name": "default_value", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/default_value" }) }) });
    var main_1_panel5755 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5749, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name5750, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr5751, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en5752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": choicelist5753, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": default_value5754, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var ChoicesByType_grid5769 = new Lino.properties.ChoicesByType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Auswahlm\u00f6glichkeiten","(properties.properties.ChoicesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.properties.ChoicesByType.grid) ] });
    var main_panel5778 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5755, ChoicesByType_grid5769 ], "labelAlign": "top" });
    this.items = main_panel5778;
    this.before_row_edit = function(record) {
      default_value5754.setContextValue('choicelist', record ? record.data['choicelist'] : undefined);
      ChoicesByType_grid5769.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof choicelist5753 !== 'undefined' && choicelist5753.on('change',Lino.chooser_handler(default_value5754,'choicelist'));
      Lino.properties.PropTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.properties.PropTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PaymentTerms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-PaymentTerms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 62,
  initComponent : function() {
    var ref5779 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.PaymentTerms.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var months5780 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Monate</span>", "listeners": { "render": Lino.quicktip_renderer("Monate","(ledger.PaymentTerms.months) Number of months to add to voucher_date.") }, "name": "months", "selectOnFocus": true, "value": 0 });
    var days5781 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tage</span>", "listeners": { "render": Lino.quicktip_renderer("Tage","(ledger.PaymentTerms.days) Number of days to add to voucher_date.") }, "name": "days", "selectOnFocus": true, "value": 0 });
    var end_of_month5782 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Monatsende", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Monatsende","(ledger.PaymentTerms.end_of_month) Whether to move voucher_date to the end of month.") }, "name": "end_of_month", "selectOnFocus": true });
    var main_1_panel5783 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": ref5779, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": months5780, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": days5781, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": end_of_month5782, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5788 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.PaymentTerms.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5789 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.PaymentTerms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5790 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.PaymentTerms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5791 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5789, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5790, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var printed_text5795 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed text</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text","(ledger.PaymentTerms.printed_text) Used in sales/VatProductInvoice/trailer.html as\nfollows:") }, "name": "printed_text", "selectOnFocus": true });
    var printed_text_fr5796 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Printed text (fr)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text (fr)","(ledger.PaymentTerms.printed_text_fr) ") }, "name": "printed_text_fr", "selectOnFocus": true });
    var printed_text_en5797 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Printed text (en)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text (en)","(ledger.PaymentTerms.printed_text_en) ") }, "name": "printed_text_en", "selectOnFocus": true });
    var main_3_panel5798 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 71, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": printed_text5795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 33, "items": printed_text_fr5796, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 33, "items": printed_text_en5797, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5802 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5783, main_2_panel5791, main_3_panel5798 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5802;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.PaymentTerms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 126,
  initComponent : function() {
    var ref5803 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5804 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5805 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5806 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5807 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": ref5803, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name5804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_fr5805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en5806, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var group5812 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Kontengruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontengruppe</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Kontengruppe","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type5813 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontoart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_2_panel5814 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": group5812, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": type5813, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var required_for_household5817 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "verpflichtend f\u00fcr Haushalte", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("verpflichtend f\u00fcr Haushalte","(debts.Accounts.required_for_household) ") }, "name": "required_for_household", "selectOnFocus": true });
    var required_for_person5818 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "verpflichtend f\u00fcr Personen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("verpflichtend f\u00fcr Personen","(debts.Accounts.required_for_person) ") }, "name": "required_for_person", "selectOnFocus": true });
    var periods5819 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Perioden</span>", "listeners": { "render": Lino.quicktip_renderer("Perioden","(debts.Accounts.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "name": "periods", "selectOnFocus": true, "value": 1 });
    var default_amount5820 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Vorschlag Betrag", "listeners": { "render": Lino.quicktip_renderer("Vorschlag Betrag","(debts.Accounts.default_amount) ") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel5821 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": required_for_household5817, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": required_for_person5818, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": periods5819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": default_amount5820, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5844 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5807, main_2_panel5814, main_3_panel5821 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5844;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Categories.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Categories",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 133,
  initComponent : function() {
    var id5845 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Categories.id) ") }, "name": "id", "selectOnFocus": true });
    var name5846 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.Categories.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5847 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.Categories.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5848 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.Categories.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5849 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5845, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5847, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5848, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_IncomeConfirmationsByCategory_grid5874 = new Lino.aids.IncomeConfirmationsByCategory.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Einkommensbescheinigungen","(aids.aids.IncomeConfirmationsByCategory) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.IncomeConfirmationsByCategory.grid) ] });
    var main_panel5875 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5849, aids_IncomeConfirmationsByCategory_grid5874 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5875;
    this.before_row_edit = function(record) {
      aids_IncomeConfirmationsByCategory_grid5874.on_master_changed();
    }
    Lino.aids.Categories.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Durations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Durations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 88,
  initComponent : function() {
    var id5876 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Durations.id) ") }, "name": "id", "selectOnFocus": true });
    var name5877 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Durations.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5878 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Durations.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5879 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Durations.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5880 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5876, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5877, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5878, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5879, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5895 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5880 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5895;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Durations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 134,
  initComponent : function() {
    var name5896 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5897 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.AidTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5898 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5899 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5896, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5897, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5898, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var confirmation_type5903 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfebescheinigungsart</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Hilfebescheinigungsart","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_panel5904 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5899, { "anchor": "-20", "autoHeight": true, "items": confirmation_type5903, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5904;
    this.before_row_edit = function(record) {
    }
    Lino.aids.AidTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 131,
  initComponent : function() {
    var id5906 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5907 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5908 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5909 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5910 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5906, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5907, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5908, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5909, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var remark5915 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(notes.EventTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var notes_NotesByEventType_grid5936 = new Lino.notes.NotesByEventType.GridPanel({ "containing_panel": this, "flex": 6, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(notes.notes.NotesByEventType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByEventType.grid) ] });
    var main_panel5937 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5910, { "flex": 3, "items": remark5915, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, notes_NotesByEventType_grid5936 ], "labelAlign": "top", "labelWidth": 0 });
    this.items = main_panel5937;
    this.before_row_edit = function(record) {
      notes_NotesByEventType_grid5936.on_master_changed();
    }
    Lino.notes.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 40,
  initComponent : function() {
    var event2323 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Kalendereintrag ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintrag</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintrag","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.OneEvent.detail,Lino.cal.OneEvent.insert)}, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var partner2324 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) The partner to which this presence applies.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role2325 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Rolle</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_panel2326 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event2323, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner2324, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role2325, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2326;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 134,
  initComponent : function() {
    var id5939 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.AidTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var short_name5940 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">short name</span>", "listeners": { "render": Lino.quicktip_renderer("short name","(aids.AidTypes.short_name) The short name for internal use, e.g. when a user must select\nan aid type from a combobox.") }, "maxLength": 50, "name": "short_name", "selectOnFocus": true });
    var confirmation_type5941 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfebescheinigungsart</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Hilfebescheinigungsart","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_1_panel5942 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id5939, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": short_name5940, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": confirmation_type5941, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5946 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5947 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.AidTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5948 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5949 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5948, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpt_title5953 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt title</span>", "listeners": { "render": Lino.quicktip_renderer("Excerpt title","(aids.AidTypes.excerpt_title) The text to print as title in confirmations.\nSee also\nlino_xl.lib.excerpts.mixins.ExcerptTitle.excerpt_title.") }, "maxLength": 200, "name": "excerpt_title", "selectOnFocus": true });
    var excerpt_title_fr5954 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (fr)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (fr)","(aids.AidTypes.excerpt_title_fr) ") }, "maxLength": 200, "name": "excerpt_title_fr", "selectOnFocus": true });
    var excerpt_title_en5955 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (en)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (en)","(aids.AidTypes.excerpt_title_en) ") }, "maxLength": 200, "name": "excerpt_title_en", "selectOnFocus": true });
    var main_3_panel5956 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": excerpt_title5953, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": excerpt_title_fr5954, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": excerpt_title_en5955, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body_template5960 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(aids.AidTypes.body_template) The body template to use when printing a confirmation of this type.\nIf this field is empty, Lino uses the excerpt type's\nbody_template.\nSee also /admin/printing.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/body_template" }) }) });
    var print_directly5961 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Direkt drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Direkt drucken","(aids.AidTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var is_integ_duty5962 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Verpflichtung DSBE", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Verpflichtung DSBE","(aids.AidTypes.is_integ_duty) Whether aid grantings of this type are considered as duty for integration contract.") }, "name": "is_integ_duty", "selectOnFocus": true });
    var is_urgent5963 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dringend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dringend","(aids.AidTypes.is_urgent) Whether aid grantings of this type are considered as urgent.\nThis is used by Confirmation.get_urgent_granting()") }, "name": "is_urgent", "selectOnFocus": true });
    var confirmed_by_primary_coach5964 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4rbegleiter best\u00e4tigt", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4rbegleiter best\u00e4tigt","(aids.AidTypes.confirmed_by_primary_coach) Whether grantings for this aid type are to be signed by the\nclient's primary coach (see Client.get_primary_coach).") }, "name": "confirmed_by_primary_coach", "selectOnFocus": true });
    var board5965 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.AidTypes.board) Pointer to the default lino_xl.lib.boards.models.Board\nfor aid projects of this type.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/board" }) }) });
    var main_4_panel5966 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": body_template5960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": print_directly5961, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_integ_duty5962, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_urgent5963, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": confirmed_by_primary_coach5964, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": board5965, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5973 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(aids.AidTypes.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/company" }) }) });
    var contact_person5974 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(aids.AidTypes.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_person" }) }) });
    var contact_role5975 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(aids.AidTypes.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_role" }) }) });
    var pharmacy_type5976 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klientenkontaktart</span>", "hiddenName": "pharmacy_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(aids.AidTypes.pharmacy_type) A pointer to the ClientContactType to be used when\nselecting the pharmacy of a refund confirmation\n(RefundConfirmation.pharmacy).") }, "name": "pharmacy_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/pharmacy_type" }) }) });
    var main_5_panel5977 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": company5973, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person5974, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role5975, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": pharmacy_type5976, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_GrantingsByType_grid5996 = new Lino.aids.GrantingsByType.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hilfebeschl\u00fcsse","(aids.aids.GrantingsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.GrantingsByType.grid) ] });
    var main_panel5997 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5942, main_2_panel5949, main_3_panel5956, main_4_panel5966, main_5_panel5977, aids_GrantingsByType_grid5996 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5997;
    this.before_row_edit = function(record) {
      body_template5960.setContextValue('confirmation_type', record ? record.data['confirmation_typeHidden'] : undefined);
      contact_person5974.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      aids_GrantingsByType_grid5996.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof confirmation_type5941 !== 'undefined' && confirmation_type5941.on('change',Lino.chooser_handler(body_template5960,'confirmation_type'));
      typeof company5973 !== 'undefined' && company5973.on('change',Lino.chooser_handler(contact_person5974,'company'));
      Lino.aids.AidTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.AidTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 84,
  initComponent : function() {
    var person1959 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date1960 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1961 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1962 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": person1959, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date1960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date1961, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1966 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state1967 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates1968 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Diplome", "listeners": { "render": Lino.quicktip_renderer("Diplome","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel1969 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type1966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": state1967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": certificates1968, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1973 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function1974 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel1975 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector1973, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function1974, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1978 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1979 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Trainings.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city1980 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel1981 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1978, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1979, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1980, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1985 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1962, main_2_panel1969, main_3_panel1975, main_4_panel1981 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1985;
    this.before_row_edit = function(record) {
      function1974.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1980.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector1973 !== 'undefined' && sector1973.on('change',Lino.chooser_handler(function1974,'sector'));
      typeof country1979 !== 'undefined' && country1979.on('change',Lino.chooser_handler(city1980,'country'));
      Lino.cv.Trainings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 125,
  initComponent : function() {
    var name5998 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Groups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5999 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Groups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6000 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6001 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5998, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5999, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6000, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type6005 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontoart", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var ref6006 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var main_2_panel6007 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": account_type6005, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": ref6006, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6010 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6001, main_2_panel6007 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel6010;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Groups.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 132,
  initComponent : function() {
    var event_type5709 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type5710 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.Notes.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var main_1_panel5711 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type5709, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type5710, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject5714 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project5715 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var main_panel5716 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5711, { "anchor": "-20", "autoHeight": true, "items": subject5714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project5715, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5716;
    this.before_row_edit = function(record) {
    }
    Lino.notes.Notes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 84,
  initComponent : function() {
    var person1928 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date1929 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1930 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text1931 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Trainings.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel1932 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person1928, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date1929, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date1930, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text1931, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1937 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state1938 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates1939 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Diplome", "listeners": { "render": Lino.quicktip_renderer("Diplome","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel1940 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type1937, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": state1938, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": certificates1939, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1944 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function1945 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel1946 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector1944, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function1945, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1949 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1950 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Trainings.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city1951 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel1952 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1949, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1950, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1951, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1956 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bemerkungen</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Trainings.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel1957 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1932, main_2_panel1940, main_3_panel1946, main_4_panel1952, { "flex": 55, "items": remarks1956, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1957;
    this.before_row_edit = function(record) {
      function1945.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1951.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector1944 !== 'undefined' && sector1944.on('change',Lino.chooser_handler(function1945,'sector'));
      typeof country1950 !== 'undefined' && country1950.on('change',Lino.chooser_handler(city1951,'country'));
      Lino.cv.Trainings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city1951.on("change", function(){ this.save() }, this);
  }
});


Lino.languages.Languages.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel languages-Languages",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 80,
  initComponent : function() {
    var id6011 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "id", "listeners": { "render": Lino.quicktip_renderer("id","(languages.Languages.id) ") }, "maxLength": 3, "name": "id", "selectOnFocus": true });
    var iso26012 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(2), "fieldLabel": "iso2", "listeners": { "render": Lino.quicktip_renderer("iso2","(languages.Languages.iso2) ") }, "maxLength": 2, "name": "iso2", "selectOnFocus": true });
    var name6013 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(languages.Languages.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6014 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(languages.Languages.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6015 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(languages.Languages.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6016 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id6011, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": iso26012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name6013, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_fr6014, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_en6015, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cv_KnowledgesByLanguage_grid6033 = new Lino.cv.KnowledgesByLanguage.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnisse","(cv.cv.KnowledgesByLanguage) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.KnowledgesByLanguage.grid) ] });
    var main_panel6034 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6016, cv_KnowledgesByLanguage_grid6033 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6034;
    this.before_row_edit = function(record) {
      cv_KnowledgesByLanguage_grid6033.on_master_changed();
    }
    Lino.languages.Languages.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 125,
  initComponent : function() {
    var ref6035 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var name6036 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Groups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6037 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Groups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6038 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id6039 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Groups.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel6040 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": ref6035, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name6036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr6037, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en6038, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id6039, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type6046 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontoart", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var entries_layout6047 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Budget entries layout", "forceSelection": true, "hiddenName": "entries_layoutHidden", "listeners": { "render": Lino.quicktip_renderer("Budget entries layout","(debts.Groups.entries_layout) ") }, "name": "entries_layout", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.TableLayouts) });
    var main_2_panel6048 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": account_type6046, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 76, "items": entries_layout6047, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var AccountsByGroup_grid6064 = new Lino.debts.AccountsByGroup.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Konten","(debts.debts.AccountsByGroup) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.debts.AccountsByGroup.grid) ] });
    var main_panel6065 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6040, main_2_panel6048, AccountsByGroup_grid6064 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6065;
    this.before_row_edit = function(record) {
      AccountsByGroup_grid6064.on_master_changed();
    }
    Lino.debts.Groups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 23,
  initComponent : function() {
    var excerpt_type3474 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsart</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project3475 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var main_1_panel3476 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": excerpt_type3474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project3475, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3479 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person3480 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var main_2_panel3481 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company3479, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person3480, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3484 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3476, main_2_panel3481 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3484;
    this.before_row_edit = function(record) {
      excerpt_type3474.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person3480.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company3479 !== 'undefined' && company3479.on('change',Lino.chooser_handler(contact_person3480,'company'));
      Lino.excerpts.Excerpts.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByGuest.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByGuest",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var start_date6066 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByGuest.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time6067 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByGuest.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time6068 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByGuest.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel6069 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date6066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time6067, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time6068, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary6073 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type6074 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByGuest.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/event_type" }) }) });
    var main_panel6075 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6069, { "anchor": "-20", "autoHeight": true, "items": summary6073, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type6074, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6075;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByGuest.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseProviders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 112,
  initComponent : function() {
    var overview_htmlbox6078 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(xcourses.CourseProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix6079 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(xcourses.CourseProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name6080 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel6081 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix6079, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name6080, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type6084 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(xcourses.CourseProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/type" }) }) });
    var vat_id6085 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(xcourses.CourseProviders.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel6086 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type6084, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id6085, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type6089 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(xcourses.CourseProviders.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/client_contact_type" }) }) });
    var url6090 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(xcourses.CourseProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel6091 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel6081, general2_2_panel6086, { "anchor": "-20", "autoHeight": true, "items": client_contact_type6089, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url6090, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email6094 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(xcourses.CourseProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone6095 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(xcourses.CourseProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm6096 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(xcourses.CourseProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax6097 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(xcourses.CourseProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel6098 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email6094, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone6095, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm6096, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax6097, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel6103 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox6078, general2_panel6091, general3_panel6098 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid6104 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel6105 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel6103, contacts_RolesByCompany_grid6104 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var notes_NotesByCompany_htmlbox6106 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "name": "notes.NotesByCompany", "title": "Ereignisse/Notizen", "value": "<br/>" });
    var CourseOffersByProvider_grid6114 = new Lino.xcourses.CourseOffersByProvider.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Kursangebote", "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseOffersByProvider.grid) ] });
    var main_panel6115 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel6105, notes_NotesByCompany_htmlbox6106, CourseOffersByProvider_grid6114 ], "labelAlign": "top", "split": true });
    this.items = main_panel6115;
    this.before_row_edit = function(record) {
      overview_htmlbox6078.refresh();
      contacts_RolesByCompany_grid6104.on_master_changed();
      notes_NotesByCompany_htmlbox6106.refresh();
      CourseOffersByProvider_grid6114.on_master_changed();
    }
    Lino.xcourses.CourseProviders.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.aids.Grantings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 135,
  initComponent : function() {
    var id1771 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Grantings.id) ") }, "name": "id", "selectOnFocus": true });
    var client1772 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var user1773 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var signer1774 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Best\u00e4tiger</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var workflow_buttons_disp1775 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.Grantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1776 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id1771, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client1772, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user1773, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer1774, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp1775, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_date1782 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum der Anfrage", "listeners": { "render": Lino.quicktip_renderer("Datum der Anfrage","(aids.Grantings.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var board1783 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date1784 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel1785 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": request_date1782, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": board1783, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": decision_date1784, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type1789 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category1790 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kategorie</span>", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var start_date1791 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1792 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var custom_actions_disp1793 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("Aktionen","(aids.Grantings.custom_actions) ") }, "name": "custom_actions", "value": "<br/>" });
    var main_3_panel1794 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": aid_type1789, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": category1790, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date1791, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date1792, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": custom_actions_disp1793, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_ConfirmationsByGranting_grid1808 = new Lino.aids.ConfirmationsByGranting.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausgestellte Best\u00e4tigungen","(aids.aids.ConfirmationsByGranting) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.ConfirmationsByGranting.grid) ] });
    var main_panel1809 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1776, main_2_panel1785, main_3_panel1794, aids_ConfirmationsByGranting_grid1808 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1809;
    this.before_row_edit = function(record) {
      board1783.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
      aids_ConfirmationsByGranting_grid1808.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof decision_date1784 !== 'undefined' && decision_date1784.on('change',Lino.chooser_handler(board1783,'decision_date'));
      Lino.aids.Grantings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.Properties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-Properties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 19,
  initComponent : function() {
    var id5599 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.Properties.id) ") }, "name": "id", "selectOnFocus": true });
    var group5600 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "Eigenschaftsgruppe", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe","(properties.Properties.group) ") }, "name": "group", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/group" }) }) });
    var type5601 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropTypes.detail", "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "fieldLabel": "Eigenschafts-Datentyp", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Datentyp","(properties.Properties.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/type" }) }) });
    var main_1_panel5602 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id5599, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": group5600, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": type5601, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5606 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.Properties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5607 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.Properties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5608 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.Properties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5609 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5606, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5607, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5608, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5621 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5602, main_2_panel5609 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5621;
    this.before_row_edit = function(record) {
    }
    Lino.properties.Properties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 3,
  initComponent : function() {
    var name4244 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Places.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4245 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Places.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4246 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4247 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4245, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4246, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var country4251 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Land</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(countries.Places.country) The country this place is in.") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var zip_code4252 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var type4253 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ortsart","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var main_3_panel4254 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 47, "items": zip_code4252, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": type4253, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent4257 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Teil von</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Teil von","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var main_panel4258 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4247, { "anchor": "-20", "autoHeight": true, "items": country4251, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel4254, { "anchor": "-20", "autoHeight": true, "items": parent4257, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4258;
    this.before_row_edit = function(record) {
      type4253.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country4251 !== 'undefined' && country4251.on('change',Lino.chooser_handler(type4253,'country'));
      Lino.countries.Places.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-GuestRoles",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 32,
  initComponent : function() {
    var ref6116 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(cal.GuestRoles.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name6117 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.GuestRoles.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6118 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.GuestRoles.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6119 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.GuestRoles.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id6120 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.GuestRoles.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel6121 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": ref6116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name6117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_fr6118, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_en6119, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id6120, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cal_GuestsByRole_grid6138 = new Lino.cal.GuestsByRole.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Anwesenheiten","(cal.cal.GuestsByRole) The default table of presences.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.GuestsByRole.grid) ] });
    var main_panel6139 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6121, cal_GuestsByRole_grid6138 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6139;
    this.before_row_edit = function(record) {
      cal_GuestsByRole_grid6138.on_master_changed();
    }
    Lino.cal.GuestRoles.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var country5350 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(addresses.Addresses.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city5351 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var main_1_panel5352 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": country5350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": city5351, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var street5355 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no5356 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(addresses.Addresses.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box5357 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_2_panel5358 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street5355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no5356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box5357, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var address_type5362 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark5363 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_3_panel5364 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type5362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark5363, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5367 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5352, main_2_panel5358, main_3_panel5364 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5367;
    this.before_row_edit = function(record) {
      city5351.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city5351.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country5350 !== 'undefined' && country5350.on('change',Lino.chooser_handler(city5351,'country'));
      Lino.addresses.Addresses.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 83,
  initComponent : function() {
    var name6140 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.StudyTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6141 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.StudyTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6142 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6143 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6140, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6141, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6142, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var is_study6147 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training6148 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel6149 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": is_study6147, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": is_training6148, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level6152 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var main_panel6153 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6143, main_2_panel6149, { "anchor": "-20", "autoHeight": true, "items": education_level6152, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6153;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudyTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 83,
  initComponent : function() {
    var name6155 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.StudyTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6156 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.StudyTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6157 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id6158 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.StudyTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel6159 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": name6155, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6156, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id6158, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level6164 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var is_study6165 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training6166 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel6167 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": education_level6164, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_study6165, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_training6166, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cv_StudiesByType_grid6187 = new Lino.cv.StudiesByType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByType.grid) ] });
    var cv_TrainingsByType_grid6206 = new Lino.cv.TrainingsByType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildungen","(cv.cv.TrainingsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.TrainingsByType.grid) ] });
    var isip_ContractsByStudyType_grid6232 = new Lino.isip.ContractsByStudyType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByStudyType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByStudyType.grid) ] });
    var main_panel6233 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6159, main_2_panel6167, cv_StudiesByType_grid6187, cv_TrainingsByType_grid6206, isip_ContractsByStudyType_grid6232 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6233;
    this.before_row_edit = function(record) {
      cv_StudiesByType_grid6187.on_master_changed();
      cv_TrainingsByType_grid6206.on_master_changed();
      isip_ContractsByStudyType_grid6232.on_master_changed();
    }
    Lino.cv.StudyTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 40,
  initComponent : function() {
    var event2301 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Kalendereintrag ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintrag</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintrag","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.OneEvent.detail,Lino.cal.OneEvent.insert)}, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var client2302 = new Lino.TwinCombo({ "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Guests.client) Virtual field which returns the partner if it is a client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var role2303 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Rolle</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_1_panel2304 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event2301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": client2302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": role2303, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var state2308 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark2309 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cal.Guests.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var workflow_buttons_disp2310 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_2_panel2311 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": state2308, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": remark2309, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": workflow_buttons_disp2310, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var waiting_since2315 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wartet seit</span>", "listeners": { "render": Lino.quicktip_renderer("Wartet seit","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "name": "waiting_since", "value": "<br>" });
    var busy_since2316 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hat gewartet bis</span>", "listeners": { "render": Lino.quicktip_renderer("Hat gewartet bis","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "name": "busy_since", "value": "<br>" });
    var gone_since2317 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anwesend bis</span>", "listeners": { "render": Lino.quicktip_renderer("Anwesend bis","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "name": "gone_since", "value": "<br>" });
    var main_3_panel2318 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": waiting_since2315, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": busy_since2316, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": gone_since2317, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2322 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2304, main_2_panel2311, main_3_panel2318 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2322;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.esf.Summaries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel esf-Summaries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 139,
  initComponent : function() {
    var master6234 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "masterHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "name": "master", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var year6235 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Year", "listeners": { "render": Lino.quicktip_renderer("Year","(esf.Summaries.year) ") }, "name": "year", "selectOnFocus": true });
    var main_1_panel6236 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 80, "items": master6234, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": year6235, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var children_at_charge6239 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kinder zu Lasten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kinder zu Lasten","(esf.Summaries.children_at_charge) ") }, "name": "children_at_charge", "selectOnFocus": true });
    var certified_handicap6240 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certified handicap", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certified handicap","(esf.Summaries.certified_handicap) ") }, "name": "certified_handicap", "selectOnFocus": true });
    var other_difficulty6241 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Other difficulty", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Other difficulty","(esf.Summaries.other_difficulty) ") }, "name": "other_difficulty", "selectOnFocus": true });
    var user_modified6242 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "User modified", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("User modified","(esf.Summaries.user_modified) ") }, "name": "user_modified", "selectOnFocus": true });
    var main_2_panel6243 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": children_at_charge6239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certified_handicap6240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": other_difficulty6241, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user_modified6242, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level6248 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "Akademischer Grad", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(esf.Summaries.education_level) ") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var result6249 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Participation Certificate", "forceSelection": true, "hiddenName": "resultHidden", "listeners": { "render": Lino.quicktip_renderer("Participation Certificate","(esf.Summaries.result) ") }, "name": "result", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark6250 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(esf.Summaries.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var id6251 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(esf.Summaries.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel6252 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": education_level6248, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": result6249, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": remark6250, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id6251, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var results_disp6257 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Resultate", "listeners": { "render": Lino.quicktip_renderer("Resultate","(esf.Summaries.results) ") }, "name": "results", "value": "<br/>" });
    var main_panel6258 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6236, main_2_panel6243, main_3_panel6252, { "anchor": "-20", "autoHeight": true, "items": results_disp6257, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6258;
    this.before_row_edit = function(record) {
    }
    Lino.esf.Summaries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.EducationLevels.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-EducationLevels",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 82,
  initComponent : function() {
    var name6260 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.EducationLevels.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6261 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.EducationLevels.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6262 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.EducationLevels.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var is_study6263 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.EducationLevels.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training6264 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.EducationLevels.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_1_panel6265 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name6260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_fr6261, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en6262, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": is_study6263, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": is_training6264, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var StudiesByLevel_grid6296 = new Lino.cv.StudiesByLevel.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByLevel) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByLevel.grid) ] });
    var main_panel6297 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6265, StudiesByLevel_grid6296 ], "labelAlign": "top" });
    this.items = main_panel6297;
    this.before_row_edit = function(record) {
      StudiesByLevel_grid6296.on_master_changed();
    }
    Lino.cv.EducationLevels.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Experiences",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 91,
  initComponent : function() {
    var person2006 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Experiences.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/person" }) }) });
    var company2007 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Organisation", "listeners": { "render": Lino.quicktip_renderer("Organisation","(cv.Experiences.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var country2008 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Experiences.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/country" }) }) });
    var city2009 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Experiences.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/city" }) }) });
    var main_1_panel2010 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": person2006, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company2007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": country2008, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": city2009, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector2015 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Experiences.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/sector" }) }) });
    var function2016 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Experiences.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/function" }) }) });
    var title2017 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Experiences.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_2_panel2018 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": sector2015, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": function2016, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": title2017, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status2022 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Status ausw\u00e4hlen...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(cv.Experiences.status) ") }, "name": "status", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/status" }) }) });
    var duration2023 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Vertragsdauer ausw\u00e4hlen...", "fieldLabel": "Vertragsdauer", "hiddenName": "durationHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsdauer","(cv.Experiences.duration) ") }, "name": "duration", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/duration" }) }) });
    var regime2024 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(cv.Experiences.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/regime" }) }) });
    var is_training2025 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.Experiences.is_training) ") }, "name": "is_training", "selectOnFocus": true });
    var main_3_panel2026 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": status2022, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": duration2023, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": regime2024, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_training2025, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2031 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Experiences.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2032 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Experiences.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text2033 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Experiences.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var termination_reason2034 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(cv.Experiences.termination_reason) ") }, "maxLength": 200, "name": "termination_reason", "selectOnFocus": true });
    var main_4_panel2035 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date2031, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date2032, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": duration_text2033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": termination_reason2034, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks2040 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Experiences.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var main_panel2041 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2010, main_2_panel2018, main_3_panel2026, main_4_panel2035, { "flex": 55, "items": remarks2040, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2041;
    this.before_row_edit = function(record) {
      city2009.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      function2016.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country2008 !== 'undefined' && country2008.on('change',Lino.chooser_handler(city2009,'country'));
      typeof sector2015 !== 'undefined' && sector2015.on('change',Lino.chooser_handler(function2016,'sector'));
      Lino.cv.Experiences.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Experiences.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city2009.on("change", function(){ this.save() }, this);
  }
});


Lino.b2c.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 69,
  disable_editing: true,
  initComponent : function() {
    var iban6298 = new Lino.UppercaseTextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(b2c.Accounts.iban) ") }, "maxLength": 34, "name": "iban", "selectOnFocus": true });
    var bic6299 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(b2c.Accounts.bic) ") }, "maxLength": 11, "name": "bic", "selectOnFocus": true });
    var last_transaction6300 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Last transaction", "listeners": { "render": Lino.quicktip_renderer("Last transaction","(b2c.Accounts.last_transaction) ") }, "name": "last_transaction", "selectOnFocus": true });
    var owner_name6301 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("Name Inhaber","(b2c.Accounts.owner_name) ") }, "maxLength": 70, "name": "owner_name", "selectOnFocus": true });
    var account_name6302 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("Kontobezeichnung","(b2c.Accounts.account_name) ") }, "maxLength": 70, "name": "account_name", "selectOnFocus": true });
    var partners_disp6303 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Partner", "listeners": { "render": Lino.quicktip_renderer("Partner","(b2c.Accounts.partners) ") }, "name": "partners", "value": "<br/>" });
    var main_1_panel6304 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": iban6298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": bic6299, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": last_transaction6300, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": owner_name6301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": account_name6302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": partners_disp6303, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var b2c_StatementsByAccount_grid6320 = new Lino.b2c.StatementsByAccount.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontoausz\u00fcge","(b2c.b2c.StatementsByAccount) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.b2c.StatementsByAccount.grid) ] });
    var main_panel6321 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6304, b2c_StatementsByAccount_grid6320 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6321;
    this.before_row_edit = function(record) {
      b2c_StatementsByAccount_grid6320.on_master_changed();
    }
    Lino.b2c.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-SimpleConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 136,
  initComponent : function() {
    var start_date6322 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6323 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel6324 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date6322, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date6323, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6327 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var contact_person6328 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var language6329 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.SimpleConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_2_panel6330 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company6327, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person6328, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language6329, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6334 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 71, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel6335 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6324, main_2_panel6330, remark6334 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6335;
    this.before_row_edit = function(record) {
      contact_person6328.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6334.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company6327 !== 'undefined' && company6327.on('change',Lino.chooser_handler(contact_person6328,'company'));
      Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.CoachingEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel coachings-CoachingEndings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 47,
  initComponent : function() {
    var id6336 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(coachings.CoachingEndings.id) ") }, "name": "id", "selectOnFocus": true });
    var name6337 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(coachings.CoachingEndings.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6338 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(coachings.CoachingEndings.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6339 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(coachings.CoachingEndings.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var seqno6340 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(coachings.CoachingEndings.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var main_1_panel6341 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id6336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name6337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr6338, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en6339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": seqno6340, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6357 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6341 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6357;
    this.before_row_edit = function(record) {
    }
    Lino.coachings.CoachingEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.gfks.ContentTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel gfks-ContentTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 12,
  initComponent : function() {
    var id6358 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(gfks.ContentTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var app_label6359 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "app label", "listeners": { "render": Lino.quicktip_renderer("app label","(gfks.ContentTypes.app_label) ") }, "maxLength": 100, "name": "app_label", "selectOnFocus": true });
    var model6360 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Python Modell-Klassenname", "listeners": { "render": Lino.quicktip_renderer("Python Modell-Klassenname","(gfks.ContentTypes.model) ") }, "maxLength": 100, "name": "model", "selectOnFocus": true });
    var base_classes_disp6361 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Base classes", "listeners": { "render": Lino.quicktip_renderer("Base classes","(gfks.ContentTypes.base_classes) ") }, "name": "base_classes", "value": "<br/>" });
    var main_1_panel6362 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id6358, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": app_label6359, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": model6360, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": base_classes_disp6361, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel6379 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6362 ], "labelAlign": "top" });
    this.items = main_panel6379;
    this.before_row_edit = function(record) {
    }
    Lino.gfks.ContentTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Functions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Functions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 90,
  initComponent : function() {
    var id4395 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Functions.id) ") }, "name": "id", "selectOnFocus": true });
    var name4396 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Functions.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4397 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Functions.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4398 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Functions.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var sector4399 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "Sektor", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Functions.sector) ") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Functions/sector" }) }) });
    var main_1_panel4400 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id4395, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name4396, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr4397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en4398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": sector4399, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4406 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cv.Functions.remark) ") }, "name": "remark", "selectOnFocus": true });
    var cv_ExperiencesByFunction_grid4438 = new Lino.cv.ExperiencesByFunction.GridPanel({ "containing_panel": this, "flex": 31, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesByFunction) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByFunction.grid) ] });
    var main_panel4439 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4400, { "flex": 31, "items": remark4406, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cv_ExperiencesByFunction_grid4438 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4439;
    this.before_row_edit = function(record) {
      cv_ExperiencesByFunction_grid4438.on_master_changed();
    }
    Lino.cv.Functions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NotesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NotesByX",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 132,
  initComponent : function() {
    var event_type6380 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.NotesByX.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/event_type" }) }) });
    var type6381 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.NotesByX.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/type" }) }) });
    var main_1_panel6382 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type6380, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type6381, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject6385 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.NotesByX.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project6386 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.NotesByX.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/project" }) }) });
    var main_panel6387 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6382, { "anchor": "-20", "autoHeight": true, "items": subject6385, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project6386, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6387;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NotesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 22,
  initComponent : function() {
    var name6390 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6391 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(excerpts.ExcerptTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6392 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6393 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6390, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6391, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6392, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type6397 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modell</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Modell","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var primary6398 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var certifying6399 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bescheinigend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bescheinigend","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "name": "certifying", "selectOnFocus": true });
    var main_2_panel6400 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": content_type6397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": primary6398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certifying6399, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method6404 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template6405 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template6406 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var main_3_panel6407 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": build_method6404, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": template6405, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": body_template6406, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6411 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6393, main_2_panel6400, main_3_panel6407 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel6411;
    this.before_row_edit = function(record) {
      template6405.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template6405.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template6406.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method6404 !== 'undefined' && build_method6404.on('change',Lino.chooser_handler(template6405,'build_method'));
      typeof content_type6397 !== 'undefined' && content_type6397.on('change',Lino.chooser_handler(template6405,'content_type'));
      typeof content_type6397 !== 'undefined' && content_type6397.on('change',Lino.chooser_handler(body_template6406,'content_type'));
      Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Schedules.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Schedules",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 98,
  initComponent : function() {
    var id6412 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Schedules.id) ") }, "name": "id", "selectOnFocus": true });
    var name6413 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.Schedules.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6414 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(jobs.Schedules.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6415 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(jobs.Schedules.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6416 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6412, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6415, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsBySchedule_grid6450 = new Lino.jobs.ContractsBySchedule.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsBySchedule) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsBySchedule.grid) ] });
    var main_panel6451 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6416, ContractsBySchedule_grid6450 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6451;
    this.before_row_edit = function(record) {
      ContractsBySchedule_grid6450.on_master_changed();
    }
    Lino.jobs.Schedules.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-Journals",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 59,
  initComponent : function() {
    var name6452 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Journals.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6453 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Journals.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6454 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Journals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref6455 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var main_1_panel6456 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": name6452, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6453, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6454, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": ref6455, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group6461 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journalgruppe</span>", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "name": "journal_group", "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type6462 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegart</span>", "forceSelection": true, "hiddenName": "voucher_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Belegart","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "name": "voucher_type", "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var trade_type6463 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handelsart</span>", "forceSelection": true, "hiddenName": "trade_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Handelsart","(ledger.Journals.trade_type) Pointer to TradeTypes.") }, "name": "trade_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var seqno6464 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(ledger.Journals.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var id6465 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(ledger.Journals.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel6466 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": journal_group6461, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": voucher_type6462, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": trade_type6463, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": seqno6464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id6465, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account6472 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsartikel</span>", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.Journals.account) The account to use for the counter-movements generated by\nvouchers in this journal.") }, "name": "account", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/account" }) }) });
    var partner6473 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(ledger.Journals.partner) The partner to use as default partner for all vouchers in this\njournal.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/partner" }) }) });
    var build_method6474 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(ledger.Journals.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template6475 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(ledger.Journals.template) See PrintableType.template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/template" }) }) });
    var uploads_volume6476 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "Dateibibliothek", "hiddenName": "uploads_volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(ledger.Journals.uploads_volume) ") }, "name": "uploads_volume", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/uploads_volume" }) }) });
    var main_3_panel6477 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": account6472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": partner6473, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": build_method6474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": template6475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": uploads_volume6476, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var dc6483 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Prim\u00e4re Buchungsrichtung</span>", "forceSelection": true, "hiddenName": "dcHidden", "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4re Buchungsrichtung","(ledger.Journals.dc) The primary booking direction. Voucher items in this direction increase\nthe total amount of the voucher.") }, "name": "dc", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.DC) });
    var force_sequence6484 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Chronologische Reihenfolge", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Chronologische Reihenfolge","(ledger.Journals.force_sequence) ") }, "name": "force_sequence", "selectOnFocus": true });
    var yearly_numbering6485 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Yearly numbering", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Yearly numbering","(ledger.Journals.yearly_numbering) Whether the number of\nvouchers should restart at 1 every year.") }, "name": "yearly_numbering", "selectOnFocus": true });
    var auto_fill_suggestions6486 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Fill suggestions", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Fill suggestions","(ledger.Journals.auto_fill_suggestions) Whether to automatically fill voucher item from due payments\nof the partner when entering a financial voucher.") }, "name": "auto_fill_suggestions", "selectOnFocus": true });
    var make_ledger_movements6487 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ledger", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ledger","(ledger.Journals.make_ledger_movements) ") }, "name": "make_ledger_movements", "selectOnFocus": true });
    var auto_check_clearings6488 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Begleichung pr\u00fcfen", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleichung pr\u00fcfen","(ledger.Journals.auto_check_clearings) Whether to automatically check and update the 'cleared' status\nof involved transactions when (de)registering a voucher of\nthis journal.") }, "name": "auto_check_clearings", "selectOnFocus": true });
    var must_declare6489 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "must declare", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("must declare","(ledger.Journals.must_declare) ") }, "name": "must_declare", "selectOnFocus": true });
    var preliminary6490 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Preliminary", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Preliminary","(ledger.Journals.preliminary) Whether transactions in this journal are considered preliminary.") }, "name": "preliminary", "selectOnFocus": true });
    var main_4_panel6491 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": dc6483, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": force_sequence6484, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": yearly_numbering6485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": auto_fill_suggestions6486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": make_ledger_movements6487, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": auto_check_clearings6488, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": must_declare6489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": preliminary6490, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var printed_name6500 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck","(ledger.Journals.printed_name) ") }, "maxLength": 100, "name": "printed_name", "selectOnFocus": true });
    var printed_name_fr6501 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck (fr)", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck (fr)","(ledger.Journals.printed_name_fr) ") }, "maxLength": 100, "name": "printed_name_fr", "selectOnFocus": true });
    var printed_name_en6502 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck (en)", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck (en)","(ledger.Journals.printed_name_en) ") }, "maxLength": 100, "name": "printed_name_en", "selectOnFocus": true });
    var main_5_panel6503 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": printed_name6500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_name_fr6501, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_name_en6502, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6512 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6456, main_2_panel6466, main_3_panel6477, main_4_panel6491, main_5_panel6503 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6512;
    this.before_row_edit = function(record) {
      template6475.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template6475.setContextValue('voucher_type', record ? record.data['voucher_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method6474 !== 'undefined' && build_method6474.on('change',Lino.chooser_handler(template6475,'build_method'));
      typeof voucher_type6462 !== 'undefined' && voucher_type6462.on('change',Lino.chooser_handler(template6475,'voucher_type'));
      Lino.ledger.Journals.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.ledger.Journals.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 123,
  initComponent : function() {
    var type4934 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.HouseholdsByType.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var prefix4935 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name4936 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id4937 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.HouseholdsByType.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4938 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type4934, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix4935, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name4936, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4937, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox4943 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.HouseholdsByType.overview) ") }, "name": "overview", "value": "<br/>" });
    var language4944 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email4945 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(households.HouseholdsByType.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4946 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(households.HouseholdsByType.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4947 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel4948 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language4944, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email4945, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4947, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_2_panel4953 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4943, box3_panel4948 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var households_MembersByHousehold_grid4970 = new Lino.households.MembersByHousehold.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(households.households.MembersByHousehold) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByHousehold.grid) ] });
    var main_panel4971 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4938, main_2_panel4953, households_MembersByHousehold_grid4970 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4971;
    this.before_row_edit = function(record) {
      overview_htmlbox4943.refresh();
      households_MembersByHousehold_grid4970.on_master_changed();
    }
    Lino.households.HouseholdsByType.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.xcourses.CourseContents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseContents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 108,
  initComponent : function() {
    var id6513 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseContents.id) ") }, "name": "id", "selectOnFocus": true });
    var name6514 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseContents.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var main_1_panel6515 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": id6513, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": name6514, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var xcourses_CourseOffersByContent_grid6525 = new Lino.xcourses.CourseOffersByContent.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kursangebote","(xcourses.xcourses.CourseOffersByContent) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseOffersByContent.grid) ] });
    var xcourses_CourseRequestsByContent_grid6537 = new Lino.xcourses.CourseRequestsByContent.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kursanfragen","(xcourses.xcourses.CourseRequestsByContent) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseRequestsByContent.grid) ] });
    var main_panel6538 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6515, xcourses_CourseOffersByContent_grid6525, xcourses_CourseRequestsByContent_grid6537 ], "labelAlign": "top" });
    this.items = main_panel6538;
    this.before_row_edit = function(record) {
      xcourses_CourseOffersByContent_grid6525.on_master_changed();
      xcourses_CourseRequestsByContent_grid6537.on_master_changed();
    }
    Lino.xcourses.CourseContents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.sepa.AccountsByPartner.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel sepa-AccountsByPartner",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 68,
  initComponent : function() {
    var iban1746 = new Lino.UppercaseTextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(sepa.AccountsByPartner.iban) ") }, "maxLength": 34, "name": "iban", "selectOnFocus": true });
    var bic1747 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(sepa.AccountsByPartner.bic) ") }, "maxLength": 11, "name": "bic", "selectOnFocus": true });
    var main_1_panel1748 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 63, "items": iban1746, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": bic1747, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1751 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(sepa.AccountsByPartner.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var main_panel1752 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1748, { "anchor": "-20", "autoHeight": true, "items": remark1751, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1752;
    this.before_row_edit = function(record) {
    }
    Lino.sepa.AccountsByPartner.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-SimpleConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 136,
  initComponent : function() {
    var id6539 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.SimpleConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client6540 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.SimpleConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var user6541 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var signer6542 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var workflow_buttons_disp6543 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.SimpleConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel6544 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id6539, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client6540, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user6541, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer6542, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp6543, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting6550 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.SimpleConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var start_date6551 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6552 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel6553 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": granting6550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date6551, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date6552, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6557 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.SimpleConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var contact_person6558 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var language6559 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.SimpleConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp6560 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel6561 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company6557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person6558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language6559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp6560, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6566 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 41, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel6567 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6544, main_2_panel6553, main_3_panel6561, remark6566 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6567;
    this.before_row_edit = function(record) {
      contact_person6558.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6566.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company6557 !== 'undefined' && company6557.on('change',Lino.chooser_handler(contact_person6558,'company'));
      Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Partners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 7,
  initComponent : function() {
    var overview_htmlbox3051 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 31, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Partners.overview) ") }, "name": "overview", "value": "<br/>" });
    var id3052 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Partners.id) ") }, "name": "id", "selectOnFocus": true });
    var language3053 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Partners.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general2_1_panel3054 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id3052, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language3053, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var activity3057 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Partners.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type3058 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Partners.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    var url3059 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Partners.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel3060 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 47, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel3054, { "anchor": "-20", "autoHeight": true, "items": activity3057, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": client_contact_type3058, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url3059, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email3064 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Partners.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone3065 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Partners.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm3066 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Partners.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax3067 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Partners.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel3068 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 21, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email3064, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone3065, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm3066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax3067, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel3073 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox3051, general2_panel3060, general3_panel3068 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid3074 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var general_panel3075 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3073, reception_AppointmentsByPartner_grid3074 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var country3076 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(contacts.Partners.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var region3077 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "Regierungsbezirk", "hiddenName": "regionHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Regierungsbezirk","(contacts.Partners.region) ") }, "name": "region", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var city3078 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(contacts.Partners.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code3079 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Postleitzahl", "listeners": { "render": Lino.quicktip_renderer("Postleitzahl","(contacts.Partners.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var address_box_1_panel3080 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": country3076, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": region3077, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": city3078, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": zip_code3079, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr13085 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile vor Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile vor Stra\u00dfe","(contacts.Partners.addr1) Adresszeile vor Stra\u00dfe") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street_prefix3086 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Pr\u00e4fix Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Pr\u00e4fix Stra\u00dfe","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "maxLength": 200, "name": "street_prefix", "selectOnFocus": true });
    var street3087 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(contacts.Partners.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no3088 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(contacts.Partners.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box3089 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var address_box_3_panel3090 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": street_prefix3086, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": street3087, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_no3088, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_box3089, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr23095 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile nach Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile nach Stra\u00dfe","(contacts.Partners.addr2) Adresszeile nach Stra\u00dfe") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_box_panel3096 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_1_panel3080, { "anchor": "-20", "autoHeight": true, "items": addr13085, "labelAlign": "top", "layout": "form", "xtype": "panel" }, address_box_3_panel3090, { "anchor": "-20", "autoHeight": true, "items": addr23095, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var remarks3099 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Partners.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid3109 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 78, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_2_panel3110 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks3099, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid3109 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var contact_panel3112 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_panel3096, contact_2_panel3110 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term3113 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Partners.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/payment_term" }) }) });
    var ledger_panel3116 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term3113, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var is_obsolete3118 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var created3119 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Partners.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified3120 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Partners.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_1_panel3121 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": is_obsolete3118, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": created3119, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": modified3120, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var changes_ChangesByMaster_grid3154 = new Lino.changes.ChangesByMaster.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungen","(changes.changes.ChangesByMaster) Slave Table showing the changes related to the current object,\nincluding those applied to \"child\" objects.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.changes.ChangesByMaster.grid) ] });
    var misc_panel3155 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel3121, changes_ChangesByMaster_grid3154 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel3156 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3075, contact_panel3112, ledger_panel3116, misc_panel3155 ], "labelAlign": "top", "split": true });
    this.items = main_panel3156;
    this.before_row_edit = function(record) {
      overview_htmlbox3051.refresh();
      reception_AppointmentsByPartner_grid3074.on_master_changed();
      region3077.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3078.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3078.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      sepa_AccountsByPartner_grid3109.on_master_changed();
      changes_ChangesByMaster_grid3154.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof country3076 !== 'undefined' && country3076.on('change',Lino.chooser_handler(region3077,'country'));
      typeof country3076 !== 'undefined' && country3076.on('change',Lino.chooser_handler(city3078,'country'));
      typeof region3077 !== 'undefined' && region3077.on('change',Lino.chooser_handler(city3078,'region'));
      Lino.contacts.Partners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.contacts.Partners.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city3078.on("change", function(){ this.save() }, this);
    zip_code3079.on("change", function(){ this.save() }, this);
  }
});


Lino.cv.Studies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Studies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 85,
  initComponent : function() {
    var person1870 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Studies.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/person" }) }) });
    var start_date1871 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Studies.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1872 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Studies.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text1873 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Studies.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel1874 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person1870, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date1871, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date1872, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text1873, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1879 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Studies.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/type" }) }) });
    var content1880 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausbildungsinhalt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausbildungsinhalt","(cv.Studies.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var education_level1881 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.Studies.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/education_level" }) }) });
    var state1882 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Studies.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var main_2_panel1883 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": type1879, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": content1880, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": education_level1881, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state1882, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1888 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Studies.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1889 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Studies.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/country" }) }) });
    var city1890 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Studies.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/city" }) }) });
    var main_3_panel1891 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1888, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1889, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1890, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1895 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bemerkungen</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Studies.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel1896 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1874, main_2_panel1883, main_3_panel1891, { "flex": 62, "items": remarks1895, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1896;
    this.before_row_edit = function(record) {
      city1890.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country1889 !== 'undefined' && country1889.on('change',Lino.chooser_handler(city1890,'country'));
      Lino.cv.Studies.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Studies.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city1890.on("change", function(){ this.save() }, this);
  }
});


Lino.jobs.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 100,
  initComponent : function() {
    var id2472 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client2473 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var user2474 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(jobs.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var user_asd2475 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (ASD)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (ASD)","(jobs.Contracts.user_asd) ") }, "name": "user_asd", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user_asd" }) }) });
    var language2476 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(jobs.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var box1_1_panel2477 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id2472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": client2473, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user2474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user_asd2475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": language2476, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job2483 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Contracts.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var type2484 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(jobs.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var company2485 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(jobs.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var contact_person2486 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(jobs.Contracts.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_person" }) }) });
    var contact_role2487 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(jobs.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_role" }) }) });
    var box1_2_panel2488 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": job2483, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": type2484, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": company2485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_person2486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_role2487, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from2494 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(jobs.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var duration2495 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("Dauer (Arbeitstage)","(jobs.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/duration" }) }), "value": null });
    var applies_until2496 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(jobs.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy2497 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(jobs.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/exam_policy" }) }) });
    var box1_3_panel2498 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from2494, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration2495, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until2496, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy2497, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var regime2503 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(jobs.Contracts.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/regime" }) }) });
    var schedule2504 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Schedules.detail", "emptyText": "Stundenplan ausw\u00e4hlen...", "fieldLabel": "Stundenplan", "hiddenName": "scheduleHidden", "listeners": { "render": Lino.quicktip_renderer("Stundenplan","(jobs.Contracts.schedule) ") }, "name": "schedule", "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/schedule" }) }) });
    var hourly_rate2505 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Stundensatz", "listeners": { "render": Lino.quicktip_renderer("Stundensatz","(jobs.Contracts.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var refund_rate2506 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "R\u00fcckzahlung", "listeners": { "render": Lino.quicktip_renderer("R\u00fcckzahlung","(jobs.Contracts.refund_rate) ") }, "name": "refund_rate", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/refund_rate" }) }) });
    var box1_4_panel2507 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": regime2503, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": schedule2504, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": hourly_rate2505, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": refund_rate2506, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person2512 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenzperson", "listeners": { "render": Lino.quicktip_renderer("Referenzperson","(jobs.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark2513 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp2514 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(jobs.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel2515 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person2512, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark2513, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp2514, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided2519 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(jobs.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued2520 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(jobs.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended2521 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(jobs.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending2522 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(jobs.Contracts.ending) ") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var box1_6_panel2523 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided2519, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued2520, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended2521, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending2522, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities2528 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Aufgabenbereich", "flex": 33, "name": "responsibilities", "selectOnFocus": true, "title": "Aufgabenbereich" });
    var box1_panel2529 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel2477, box1_2_panel2488, box1_3_panel2498, box1_4_panel2507, box1_5_panel2515, box1_6_panel2523, responsibilities2528 ], "labelAlign": "top", "labelWidth": 144, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid2530 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid2531 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel2532 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid2530, cal_TasksByController_grid2531 ], "labelAlign": "top" });
    var main_1_panel2533 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel2529, right_panel2532 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel2534 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2533 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel2534;
    this.before_row_edit = function(record) {
      contact_person2486.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2528.refresh();
      cal_EntriesByController_grid2530.on_master_changed();
      cal_TasksByController_grid2531.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company2485 !== 'undefined' && company2485.on('change',Lino.chooser_handler(contact_person2486,'company'));
      Lino.jobs.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Contracts.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    job2483.on("change", function(){ this.save() }, this);
    contact_role2487.on("change", function(){ this.save() }, this);
    company2485.on("change", function(){ this.save() }, this);
    contact_person2486.on("change", function(){ this.save() }, this);
  }
});

Lino.contacts.Partners.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Partners" };
  return new Lino.contacts.Partners.merge_row_ActionFormPanel(p);
});
Lino.contacts.Persons.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.merge_row_ActionFormPanel(p);
});
Lino.contacts.Persons.create_household = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.create_household_ActionFormPanel(p);
});
Lino.contacts.Companies.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.merge_row_ActionFormPanel(p);
});
Lino.cal.Guests.checkin = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.checkin_ActionFormPanel(p);
});
Lino.cal.GuestStates.wf1 = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.wf1_ActionFormPanel(p);
});
Lino.cal.GuestStates.wf2 = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.wf2_ActionFormPanel(p);
});
Lino.pcsw.Clients.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.merge_row_ActionFormPanel(p);
});
Lino.pcsw.Clients.refuse_client = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.refuse_client_ActionFormPanel(p);
});
Lino.pcsw.Clients.create_visit = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.create_visit_ActionFormPanel(p);
});
Lino.households.Households.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.merge_row_ActionFormPanel(p);
});
Lino.jobs.JobProviders.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.merge_row_ActionFormPanel(p);
});
Lino.users.AllUsers.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.AllUsers.merge_row_ActionFormPanel(p);
});
Lino.users.AllUsers.change_password = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.AllUsers.change_password_ActionFormPanel(p);
});
Lino.xcourses.CourseProviders.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseProviders" };
  return new Lino.xcourses.CourseProviders.merge_row_ActionFormPanel(p);
});
Lino.coachings.Coachings.create_visit = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/coachings/CoachingsByClient" };
  return new Lino.coachings.Coachings.create_visit_ActionFormPanel(p);
});
Lino.debts.Accounts.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.Accounts.merge_row_ActionFormPanel(p);
});
Lino.about.About.sign_in = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.sign_in_ActionFormPanel(p);
});

// js_render_GridPanel_class contacts.Partners
Lino.contacts.Partners.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Partners",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "mti_navigator" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Partners.detail;
    var ww = this.containing_window;
    var name6575 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id6576 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mti_navigator_disp6577 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6578 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var language6579 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6580 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone6581 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6582 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6583 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6584 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6585 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6586 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var city6587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code6588 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6589 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var addr16590 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6591 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6592 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6593 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6594 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26595 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6596 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6597 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6598 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type6600 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    var payment_term6601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/payment_term" }) }) });
    this.before_row_edit = function(record) {
      city6587.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6587.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6589.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6586 !== 'undefined' && country6586.on('change',Lino.chooser_handler(city6587,'country'));
      typeof region6589 !== 'undefined' && region6589.on('change',Lino.chooser_handler(city6587,'region'));
      typeof country6586 !== 'undefined' && country6586.on('change',Lino.chooser_handler(region6589,'country'));
      Lino.contacts.Partners.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name6575, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id6576, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email6578, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language6579, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url6580, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone6581, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm6582, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6583, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6586, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6587, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6588, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6589, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16590, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6591, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6592, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6593, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6594, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26595, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6596, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "activity", "editable": true, "editor": activity6599, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6600, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "payment_term", "editable": true, "editor": payment_term6601, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) } ];
    Lino.contacts.Partners.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Partners.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Partners",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Partners.detail;
    Lino.contacts.Partners.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Partners" };
  return new Lino.contacts.Partners.detailPanel(p);
});
Lino.contacts.Partners.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Partners" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.Partners.GridPanel(p);
});
Lino.contacts.Partners.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.Persons
Lino.contacts.Persons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Persons",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "age" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Person) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of contacts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Personen",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    var ww = this.containing_window;
    var name_column_disp6603 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp6604 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6605 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone6606 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6607 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6608 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language6609 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6610 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6611 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6612 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6613 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6614 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/country" }) }) });
    var city6615 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/city" }) }) });
    var zip_code6616 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6617 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/region" }) }) });
    var addr16618 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6619 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6620 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6621 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6622 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26623 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6624 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name6625 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6626 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6627 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6628 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var client_contact_type6629 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var payment_term6630 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/payment_term" }) }) });
    var title6631 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name6632 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name6633 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name6634 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender6635 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date6636 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var age_disp6637 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp6637 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      city6615.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6615.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6617.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6614 !== 'undefined' && country6614.on('change',Lino.chooser_handler(city6615,'country'));
      typeof region6617 !== 'undefined' && region6617.on('change',Lino.chooser_handler(city6615,'region'));
      typeof country6614 !== 'undefined' && country6614.on('change',Lino.chooser_handler(region6617,'country'));
      Lino.contacts.Persons.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.name_column) ") }, "sortable": false, "tooltip": "(contacts.Persons.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.address_column) ") }, "sortable": false, "tooltip": "(contacts.Persons.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email6605, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone6606, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm6607, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6608, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language6609, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url6610, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6611, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6614, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6615, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6616, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6617, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16618, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6619, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6620, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6621, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6622, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26623, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6624, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name6625, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity6628, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6629, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term6630, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "title", "editable": true, "editor": title6631, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "first_name", "editable": true, "editor": first_name6632, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "middle_name", "editable": true, "editor": middle_name6633, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "last_name", "editable": true, "editor": last_name6634, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "gender", "editable": true, "editor": gender6635, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 33, "dataIndex": "birth_date", "editable": true, "editor": birth_date6636, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 34, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 35, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) } ];
    Lino.contacts.Persons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Persons.insertPanel = Ext.extend(Lino.contacts.Persons.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/contacts/Persons",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    Lino.contacts.Persons.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.insertPanel(p);
});
Lino.contacts.Persons.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Persons.detailPanel = Ext.extend(Lino.contacts.Persons.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Person) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Persons",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    Lino.contacts.Persons.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.detailPanel(p);
});
Lino.contacts.Persons.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Persons" };
  p.params_panel = new Lino.contacts.Persons.ParamsPanel({});
  return new Lino.contacts.Persons.GridPanel(p);
});
Lino.contacts.Persons.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.Companies
Lino.contacts.Companies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Companies",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organisationen",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    var ww = this.containing_window;
    var name_column_disp6639 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp6640 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6641 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone6642 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6643 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6644 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language6645 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6646 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6647 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6648 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6649 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6650 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/country" }) }) });
    var city6651 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/city" }) }) });
    var zip_code6652 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6653 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/region" }) }) });
    var addr16654 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6655 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6656 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6657 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6658 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26659 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6660 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name6661 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6662 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6663 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6664 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var client_contact_type6665 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var payment_term6666 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/payment_term" }) }) });
    var type6667 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id6668 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city6651.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6651.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6653.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6650 !== 'undefined' && country6650.on('change',Lino.chooser_handler(city6651,'country'));
      typeof region6653 !== 'undefined' && region6653.on('change',Lino.chooser_handler(city6651,'region'));
      typeof country6650 !== 'undefined' && country6650.on('change',Lino.chooser_handler(region6653,'country'));
      Lino.contacts.Companies.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.name_column) ") }, "sortable": false, "tooltip": "(contacts.Companies.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.address_column) ") }, "sortable": false, "tooltip": "(contacts.Companies.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email6641, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone6642, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm6643, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6644, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language6645, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url6646, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6647, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6650, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6651, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6652, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6653, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16654, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6655, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6656, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6657, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6658, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26659, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6660, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name6661, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity6664, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6665, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term6666, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "type", "editable": true, "editor": type6667, "filter": { "type": "string" }, "header": "Organisationsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "vat_id", "editable": true, "editor": vat_id6668, "filter": { "type": "string" }, "header": "MwSt.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "sortable": true, "tooltip": "The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.", "width": Lino.chars2width(22) } ];
    Lino.contacts.Companies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Companies.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/contacts/Companies",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    Lino.contacts.Companies.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.insertPanel(p);
});
Lino.contacts.Companies.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Companies.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Companies",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    Lino.contacts.Companies.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.detailPanel(p);
});
Lino.contacts.Companies.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Companies" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.Companies.GridPanel(p);
});
Lino.contacts.Companies.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.Messages
Lino.notify.Messages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/Messages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "seen" }, { "name": "sent" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "message_type" }, 'message_typeHidden', { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Alle als gelesen markieren", "overflowText": "Alle als gelesen markieren", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benachrichtigungen",
  initComponent : function() {
    var ww = this.containing_window;
    var created6670 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject6671 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var user6672 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var seen6673 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var sent6674 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var id6675 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6676 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/owner_type" }) }) });
    var owner_id6677 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/owner_id" }) }) });
    var message_type6678 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var body6679 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Inhalt" });
    var mail_mode6680 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp6681 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6677.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body6679.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type6676 !== 'undefined' && owner_type6676.on('change',Lino.chooser_handler(owner_id6677,'owner_type'));
      Lino.notify.Messages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.created) Timestamp of when this message has been emitted.") }, "sortable": true, "tooltip": "Timestamp of when this message has been emitted.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.subject) The subject of this message. See Subject and body of a notification\nmessage.") }, "sortable": true, "tooltip": "The subject of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "sortable": false, "tooltip": "The recipient of this message. The site user to whom this\nmessage is to be delivered.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "seen", "editable": false, "header": "gelesen", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.seen) Timestamp of when the recipient of this message has marked it as seen.") }, "sortable": true, "tooltip": "Timestamp of when the recipient of this message has marked it as seen.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "sent", "editable": false, "header": "verschickt", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.sent) Timestamp of when this message has been sent via email to its recipient.") }, "sortable": true, "tooltip": "Timestamp of when this message has been sent via email to its recipient.", "width": Lino.chars2width(17) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6675, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6676, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6677, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "message_type", "editable": true, "editor": message_type6678, "filter": { "options": [ "Systemereignis", "\u00c4nderung", "Calendar Event", "Empfang", "Begleitungen", "Notes" ], "type": "list" }, "header": "Message Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 9, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.body) The body of this message. See Subject and body of a notification\nmessage.") }, "sortable": false, "tooltip": "The body of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode6680, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 11, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner) The owner of this message.  Expresses what this message is about.") }, "sortable": false, "tooltip": "The owner of this message.  Expresses what this message is about.", "width": Lino.chars2width(11) } ];
    Lino.notify.Messages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.Messages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/Messages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.Messages.GridPanel(p);
});
Lino.notify.Messages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.MyMessages
Lino.notify.MyMessages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MyMessages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "message_type" }, 'message_typeHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "seen" }, { "name": "sent" }, { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Alle als gelesen markieren", "overflowText": "Alle als gelesen markieren", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Benachrichtigungen",
  initComponent : function() {
    var ww = this.containing_window;
    var created6693 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject6694 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var message_type6695 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var workflow_buttons_disp6696 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6697 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user6698 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var owner_type6699 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/MyMessages/owner_type" }) }) });
    var owner_id6700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/MyMessages/owner_id" }) }) });
    var seen6701 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var sent6702 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var body6703 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Inhalt" });
    var mail_mode6704 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp6705 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6700.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body6703.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type6699 !== 'undefined' && owner_type6699.on('change',Lino.chooser_handler(owner_id6700,'owner_type'));
      Lino.notify.MyMessages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.created) Timestamp of when this message has been emitted.") }, "sortable": true, "tooltip": "Timestamp of when this message has been emitted.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.subject) The subject of this message. See Subject and body of a notification\nmessage.") }, "sortable": true, "tooltip": "The subject of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "message_type", "editable": true, "editor": message_type6695, "filter": { "options": [ "Systemereignis", "\u00c4nderung", "Calendar Event", "Empfang", "Begleitungen", "Notes" ], "type": "list" }, "header": "Message Type", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6697, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Empf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "sortable": false, "tooltip": "The recipient of this message. The site user to whom this\nmessage is to be delivered.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6699, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6700, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "seen", "editable": false, "header": "gelesen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.seen) Timestamp of when the recipient of this message has marked it as seen.") }, "sortable": true, "tooltip": "Timestamp of when the recipient of this message has marked it as seen.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "sent", "editable": false, "header": "verschickt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.sent) Timestamp of when this message has been sent via email to its recipient.") }, "sortable": true, "tooltip": "Timestamp of when this message has been sent via email to its recipient.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.body) The body of this message. See Subject and body of a notification\nmessage.") }, "sortable": false, "tooltip": "The body of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode6704, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner) The owner of this message.  Expresses what this message is about.") }, "sortable": false, "tooltip": "The owner of this message.  Expresses what this message is about.", "width": Lino.chars2width(11) } ];
    Lino.notify.MyMessages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MyMessages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MyMessages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.MyMessages.GridPanel(p);
});
Lino.notify.MyMessages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class properties.PropChoices
Lino.properties.PropChoices.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/PropChoices",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "value" }, { "name": "text" }, { "name": "text_fr" }, { "name": "text_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 17,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Auswahlm\u00f6glichkeiten",
  initComponent : function() {
    var ww = this.containing_window;
    var id6707 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type6708 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropChoices/type" }) }) });
    var value6709 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var text6710 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_fr6711 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_en6712 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6707, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type6708, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "value", "editable": true, "editor": value6709, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.value) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "text", "editable": true, "editor": text6710, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "text_fr", "editable": true, "editor": text_fr6711, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "text_en", "editable": true, "editor": text_en6712, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.properties.PropChoices.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropChoices.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropChoices" };
  return new Lino.properties.PropChoices.GridPanel(p);
});

// js_render_GridPanel_class checkdata.Problems
Lino.checkdata.Problems.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/Problems",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Problems.detail;
    var ww = this.containing_window;
    var user6714 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }) });
    var owner_disp6715 = new Ext.form.DisplayField({ "disabled": true });
    var message6716 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker6717 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id6718 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6719 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/owner_type" }) }) });
    var owner_id6720 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/owner_id" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type6719 !== 'undefined' && owner_type6719.on('change',Lino.chooser_handler(owner_id6720,'owner_type'));
      Lino.checkdata.Problems.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6714, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner) ") }, "sortable": false, "tooltip": "(checkdata.Problems.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message6716, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker6717, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6718, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type6719, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id6720, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.checkdata.Problems.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Problems.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.Problems.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/Problems",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Problems.detail;
    Lino.checkdata.Problems.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Problems.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Problems" };
  return new Lino.checkdata.Problems.detailPanel(p);
});
Lino.checkdata.Problems.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Problems" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.Problems.GridPanel(p);
});
Lino.checkdata.Problems.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class checkdata.MyProblems
Lino.checkdata.MyProblems.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/MyProblems",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Datenkontrollliste",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MyProblems.detail;
    var ww = this.containing_window;
    var user6722 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/user" }) }) });
    var owner_disp6723 = new Ext.form.DisplayField({ "disabled": true });
    var message6724 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker6725 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id6726 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6727 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/owner_type" }) }) });
    var owner_id6728 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/owner_id" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type6727 !== 'undefined' && owner_type6727.on('change',Lino.chooser_handler(owner_id6728,'owner_type'));
      Lino.checkdata.MyProblems.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6722, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.user) The user responsible for fixing this\nproblem.") }, "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner) ") }, "sortable": false, "tooltip": "(checkdata.MyProblems.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message6724, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker6725, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6726, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type6727, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id6728, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.checkdata.MyProblems.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MyProblems.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.MyProblems.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/MyProblems",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MyProblems.detail;
    Lino.checkdata.MyProblems.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MyProblems.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MyProblems" };
  return new Lino.checkdata.MyProblems.detailPanel(p);
});
Lino.checkdata.MyProblems.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MyProblems" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.MyProblems.GridPanel(p);
});
Lino.checkdata.MyProblems.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.Excerpts
Lino.excerpts.Excerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/Excerpts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.Excerpts.detail;
    var ww = this.containing_window;
    var id6730 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var excerpt_type6731 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var owner_disp6732 = new Ext.form.DisplayField({ "disabled": true });
    var project6733 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var company6734 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var language6735 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var build_time6736 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var build_method6737 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user6738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var owner_type6739 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/owner_type" }) }) });
    var owner_id6740 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/owner_id" }) }) });
    var contact_person6741 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var contact_role6742 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_role" }) }) });
    this.before_row_edit = function(record) {
      excerpt_type6731.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id6740.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6741.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp6732 !== 'undefined' && owner_disp6732.on('change',Lino.chooser_handler(excerpt_type6731,'owner'));
      typeof owner_type6739 !== 'undefined' && owner_type6739.on('change',Lino.chooser_handler(owner_id6740,'owner_type'));
      typeof company6734 !== 'undefined' && company6734.on('change',Lino.chooser_handler(contact_person6741,'company'));
      Lino.excerpts.Excerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6730, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type6731, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project6733, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company6734, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language6735, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "build_method", "editable": true, "editor": build_method6737, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user6738, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type6739, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id6740, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person6741, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role6742, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) } ];
    Lino.excerpts.Excerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Excerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.Excerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/Excerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.Excerpts.detail;
    Lino.excerpts.Excerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Excerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Excerpts" };
  return new Lino.excerpts.Excerpts.detailPanel(p);
});
Lino.excerpts.Excerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Excerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.Excerpts.GridPanel(p);
});
Lino.excerpts.Excerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.MyExcerpts
Lino.excerpts.MyExcerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/MyExcerpts",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.MyExcerpts.detail;
    var ww = this.containing_window;
    var build_time6744 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type6745 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/excerpt_type" }) }) });
    var project6746 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/project" }) }) });
    var id6747 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method6748 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user6749 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/user" }) }) });
    var owner_type6750 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/owner_type" }) }) });
    var owner_id6751 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/owner_id" }) }) });
    var company6752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/company" }) }) });
    var contact_person6753 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/contact_person" }) }) });
    var contact_role6754 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/contact_role" }) }) });
    var language6755 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var owner_disp6756 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      excerpt_type6745.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id6751.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6753.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp6756 !== 'undefined' && owner_disp6756.on('change',Lino.chooser_handler(excerpt_type6745,'owner'));
      typeof owner_type6750 !== 'undefined' && owner_type6750.on('change',Lino.chooser_handler(owner_id6751,'owner_type'));
      typeof company6752 !== 'undefined' && company6752.on('change',Lino.chooser_handler(contact_person6753,'company'));
      Lino.excerpts.MyExcerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type6745, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project6746, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6747, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "build_method", "editable": true, "editor": build_method6748, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user6749, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6750, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6751, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company6752, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person6753, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role6754, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language6755, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) } ];
    Lino.excerpts.MyExcerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.MyExcerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.MyExcerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/MyExcerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.MyExcerpts.detail;
    Lino.excerpts.MyExcerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.MyExcerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/MyExcerpts" };
  return new Lino.excerpts.MyExcerpts.detailPanel(p);
});
Lino.excerpts.MyExcerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/MyExcerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.MyExcerpts.GridPanel(p);
});
Lino.excerpts.MyExcerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.Uploads
Lino.uploads.Uploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Uploads",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    var ww = this.containing_window;
    var user6758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project6759 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var type6760 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var file6761 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date6762 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6763 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6764 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6765 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6766 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype6767 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6768 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type6769 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/owner_type" }) }) });
    var owner_id6770 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/owner_id" }) }) });
    var company6771 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var contact_person6772 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role6773 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var upload_area6774 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6775 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/volume" }) }) });
    var library_file6776 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/library_file" }) }) });
    var description6777 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6778 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6779 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6760.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6770.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6772.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6776.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6774 !== 'undefined' && upload_area6774.on('change',Lino.chooser_handler(type6760,'upload_area'));
      typeof owner_type6769 !== 'undefined' && owner_type6769.on('change',Lino.chooser_handler(owner_id6770,'owner_type'));
      typeof company6771 !== 'undefined' && company6771.on('change',Lino.chooser_handler(contact_person6772,'company'));
      typeof volume6775 !== 'undefined' && volume6775.on('change',Lino.chooser_handler(library_file6776,'volume'));
      Lino.uploads.Uploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6758, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6759, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6760, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file6761, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6762, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6763, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6766, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6769, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6770, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6771, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person6772, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role6773, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6774, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6775, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6776, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6777, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6778, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner) ") }, "sortable": false, "tooltip": "(uploads.Uploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.Uploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Uploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/Uploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    Lino.uploads.Uploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/Uploads" };
  return new Lino.uploads.Uploads.insertPanel(p);
});
Lino.uploads.Uploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Uploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/Uploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    Lino.uploads.Uploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Uploads" };
  return new Lino.uploads.Uploads.detailPanel(p);
});
Lino.uploads.Uploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Uploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.Uploads.GridPanel(p);
});
Lino.uploads.Uploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.MyUploads
Lino.uploads.MyUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/MyUploads",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    var ww = this.containing_window;
    var id6781 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project6782 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/project" }) }) });
    var type6783 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/type" }) }) });
    var start_date6784 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6785 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6786 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6787 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var file6788 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype6789 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6790 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var user6791 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/user" }) }) });
    var owner_type6792 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/owner_type" }) }) });
    var owner_id6793 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/owner_id" }) }) });
    var company6794 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/company" }) }) });
    var contact_person6795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/contact_person" }) }) });
    var contact_role6796 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/contact_role" }) }) });
    var upload_area6797 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6798 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/volume" }) }) });
    var library_file6799 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/library_file" }) }) });
    var description6800 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6801 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6802 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6783.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6793.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6795.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6799.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6797 !== 'undefined' && upload_area6797.on('change',Lino.chooser_handler(type6783,'upload_area'));
      typeof owner_type6792 !== 'undefined' && owner_type6792.on('change',Lino.chooser_handler(owner_id6793,'owner_type'));
      typeof company6794 !== 'undefined' && company6794.on('change',Lino.chooser_handler(contact_person6795,'company'));
      typeof volume6798 !== 'undefined' && volume6798.on('change',Lino.chooser_handler(library_file6799,'volume'));
      Lino.uploads.MyUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6781, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6782, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6783, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date6784, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date6785, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "file", "editable": true, "editor": file6788, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user6791, "filter": { "type": "string" }, "header": "Hochgeladen durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6792, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6793, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6794, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person6795, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role6796, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6797, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6798, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6799, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6800, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6801, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.MyUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.MyUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/MyUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    Lino.uploads.MyUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  return new Lino.uploads.MyUploads.insertPanel(p);
});
Lino.uploads.MyUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/MyUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    Lino.uploads.MyUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  return new Lino.uploads.MyUploads.detailPanel(p);
});
Lino.uploads.MyUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.MyUploads.GridPanel(p);
});
Lino.uploads.MyUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.AreaUploads
Lino.uploads.AreaUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/AreaUploads",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    var ww = this.containing_window;
    var user6804 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/user" }) }) });
    var project6805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/project" }) }) });
    var type6806 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/type" }) }) });
    var file6807 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date6808 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6809 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6810 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6811 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6812 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype6813 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6814 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type6815 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/owner_type" }) }) });
    var owner_id6816 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/owner_id" }) }) });
    var company6817 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/company" }) }) });
    var contact_person6818 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/contact_person" }) }) });
    var contact_role6819 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/contact_role" }) }) });
    var upload_area6820 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6821 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/volume" }) }) });
    var library_file6822 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/library_file" }) }) });
    var description6823 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6824 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6825 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6806.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6816.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6818.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6822.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6820 !== 'undefined' && upload_area6820.on('change',Lino.chooser_handler(type6806,'upload_area'));
      typeof owner_type6815 !== 'undefined' && owner_type6815.on('change',Lino.chooser_handler(owner_id6816,'owner_type'));
      typeof company6817 !== 'undefined' && company6817.on('change',Lino.chooser_handler(contact_person6818,'company'));
      typeof volume6821 !== 'undefined' && volume6821.on('change',Lino.chooser_handler(library_file6822,'volume'));
      Lino.uploads.AreaUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6804, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6805, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6806, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file6807, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6808, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6809, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6812, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6815, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6816, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6817, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person6818, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role6819, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6820, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6821, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6822, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6823, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6824, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.AreaUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.AreaUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AreaUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/AreaUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    Lino.uploads.AreaUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  return new Lino.uploads.AreaUploads.insertPanel(p);
});
Lino.uploads.AreaUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AreaUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/AreaUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    Lino.uploads.AreaUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  return new Lino.uploads.AreaUploads.detailPanel(p);
});
Lino.uploads.AreaUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.AreaUploads.GridPanel(p);
});
Lino.uploads.AreaUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.MyExpiringUploads
Lino.uploads.MyExpiringUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/MyExpiringUploads",
  ls_store_fields : [ { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "description_link" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine ablaufenden Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    var ww = this.containing_window;
    var project6827 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/project" }) }) });
    var type6828 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/type" }) }) });
    var description_link_disp6829 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user6830 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/user" }) }) });
    var start_date6831 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6832 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6833 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var id6834 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var file6835 = Lino.file_field_handler(this,{ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype6836 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6837 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type6838 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/owner_type" }) }) });
    var owner_id6839 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/owner_id" }) }) });
    var company6840 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/company" }) }) });
    var contact_person6841 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/contact_person" }) }) });
    var contact_role6842 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/contact_role" }) }) });
    var upload_area6843 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6844 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/volume" }) }) });
    var library_file6845 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/library_file" }) }) });
    var description6846 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6847 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6848 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6828.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6839.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6841.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6845.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6843 !== 'undefined' && upload_area6843.on('change',Lino.chooser_handler(type6828,'upload_area'));
      typeof owner_type6838 !== 'undefined' && owner_type6838.on('change',Lino.chooser_handler(owner_id6839,'owner_type'));
      typeof company6840 !== 'undefined' && company6840.on('change',Lino.chooser_handler(contact_person6841,'company'));
      typeof volume6844 !== 'undefined' && volume6844.on('change',Lino.chooser_handler(library_file6845,'volume'));
      Lino.uploads.MyExpiringUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "project", "editable": true, "editor": project6827, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type6828, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6830, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6831, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6832, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id6834, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "file", "editable": true, "editor": file6835, "filter": { "type": "string" }, "header": "Datei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6838, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6839, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6840, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person6841, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role6842, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6843, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6844, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6845, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6846, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6847, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.MyExpiringUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.MyExpiringUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyExpiringUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/MyExpiringUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    Lino.uploads.MyExpiringUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  return new Lino.uploads.MyExpiringUploads.insertPanel(p);
});
Lino.uploads.MyExpiringUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyExpiringUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/MyExpiringUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    Lino.uploads.MyExpiringUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  return new Lino.uploads.MyExpiringUploads.detailPanel(p);
});
Lino.uploads.MyExpiringUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.MyExpiringUploads.GridPanel(p);
});
Lino.uploads.MyExpiringUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyTasks
Lino.cal.MyTasks.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyTasks",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    var ww = this.containing_window;
    var priority6850 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date6851 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary6852 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp6853 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project6854 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyTasks/project" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority6850, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date6851, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary6852, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project6854, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.MyTasks.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyTasks.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyTasks",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    Lino.cal.MyTasks.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyTasks" };
  return new Lino.cal.MyTasks.insertPanel(p);
});
Lino.cal.MyTasks.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyTasks.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyTasks",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    Lino.cal.MyTasks.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyTasks" };
  return new Lino.cal.MyTasks.detailPanel(p);
});
Lino.cal.MyTasks.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyTasks" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.MyTasks.GridPanel(p);
});
Lino.cal.MyTasks.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Guests
Lino.cal.Guests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Guests",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    var ww = this.containing_window;
    var partner6856 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role6857 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var workflow_buttons_disp6858 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6859 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event6860 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var id6861 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state6862 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6863 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6864 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6865 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner6856, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role6857, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6859, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event6860, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6861, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state6862, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.Guests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Guests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/Guests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    Lino.cal.Guests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.insertPanel(p);
});
Lino.cal.Guests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Guests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/Guests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    Lino.cal.Guests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.detailPanel(p);
});
Lino.cal.Guests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Guests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.Guests.GridPanel(p);
});
Lino.cal.Guests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyPresences
Lino.cal.MyPresences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyPresences",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "event__start_date", "type": "date" }, { "name": "event__start_time" }, { "name": "event_summary" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "partner" }, 'partnerHidden', { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    var ww = this.containing_window;
    var event__start_date6867 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__start_time6868 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp6869 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role6870 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/role" }) }) });
    var workflow_buttons_disp6871 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6872 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6873 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event6874 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/event" }) }) });
    var partner6875 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/partner" }) }) });
    var state6876 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6877 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6878 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6879 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__start_date", "editable": true, "editor": event__start_date6867, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event__start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "event__start_time", "editable": true, "editor": event__start_time6868, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event__start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event_summary) ") }, "sortable": false, "tooltip": "(cal.MyPresences.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role6870, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark6872, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6873, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "event", "editable": true, "editor": event6874, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "partner", "editable": true, "editor": partner6875, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state6876, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.MyPresences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPresences.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyPresences",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    Lino.cal.MyPresences.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyPresences" };
  return new Lino.cal.MyPresences.insertPanel(p);
});
Lino.cal.MyPresences.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPresences.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyPresences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    Lino.cal.MyPresences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPresences" };
  return new Lino.cal.MyPresences.detailPanel(p);
});
Lino.cal.MyPresences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPresences" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyPresences.GridPanel(p);
});
Lino.cal.MyPresences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyPendingPresences
Lino.cal.MyPendingPresences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyPendingPresences",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My pending invitations",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    var ww = this.containing_window;
    var event__when_text_disp6881 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var role6882 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPendingPresences/role" }) }) });
    var workflow_buttons_disp6883 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6884 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp6881, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role6882, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6884, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cal.MyPendingPresences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPendingPresences.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyPendingPresences",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    Lino.cal.MyPendingPresences.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  return new Lino.cal.MyPendingPresences.insertPanel(p);
});
Lino.cal.MyPendingPresences.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPendingPresences.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyPendingPresences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    Lino.cal.MyPendingPresences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  return new Lino.cal.MyPendingPresences.detailPanel(p);
});
Lino.cal.MyPendingPresences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyPendingPresences.GridPanel(p);
});
Lino.cal.MyPendingPresences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyGuests
Lino.cal.MyGuests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyGuests",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "event__start_date", "type": "date" }, { "name": "event__start_time" }, { "name": "event_summary" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "partner" }, 'partnerHidden', { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine G\u00e4ste",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    var ww = this.containing_window;
    var event__start_date6886 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__start_time6887 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp6888 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role6889 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/role" }) }) });
    var workflow_buttons_disp6890 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6891 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6892 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event6893 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/event" }) }) });
    var partner6894 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/partner" }) }) });
    var state6895 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6896 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6897 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6898 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__start_date", "editable": true, "editor": event__start_date6886, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event__start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "event__start_time", "editable": true, "editor": event__start_time6887, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event__start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event_summary) ") }, "sortable": false, "tooltip": "(cal.MyGuests.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role6889, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark6891, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6892, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "event", "editable": true, "editor": event6893, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "partner", "editable": true, "editor": partner6894, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state6895, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.MyGuests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyGuests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyGuests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    Lino.cal.MyGuests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyGuests" };
  return new Lino.cal.MyGuests.insertPanel(p);
});
Lino.cal.MyGuests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyGuests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyGuests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    Lino.cal.MyGuests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyGuests" };
  return new Lino.cal.MyGuests.detailPanel(p);
});
Lino.cal.MyGuests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyGuests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyGuests.GridPanel(p);
});
Lino.cal.MyGuests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByDay
Lino.cal.EntriesByDay.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByDay",
  ls_store_fields : [ { "name": "start_time" }, { "name": "project" }, 'projectHidden', { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "room" }, 'roomHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "Termine heute",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    var ww = this.containing_window;
    var start_time6900 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project6901 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/project" }) }) });
    var summary6902 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user6903 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/user" }) }) });
    var assigned_to6904 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/assigned_to" }) }) });
    var event_type6905 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/event_type" }) }) });
    var room6906 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/room" }) }) });
    var workflow_buttons_disp6907 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6908 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified6909 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6910 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date6911 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date6912 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time6913 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time6914 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method6915 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type6916 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/owner_type" }) }) });
    var owner_id6917 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/owner_id" }) }) });
    var description6918 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class6919 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence6920 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type6921 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority6922 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent6923 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited6924 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var state6925 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before6926 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit6927 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified6928 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp6929 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6917.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6916 !== 'undefined' && owner_type6916.on('change',Lino.chooser_handler(owner_id6917,'owner_type'));
      Lino.cal.EntriesByDay.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_time", "editable": true, "editor": start_time6900, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6901, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary6902, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6903, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to6904, "filter": { "type": "string" }, "header": "Zugewiesen zu", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "event_type", "editable": true, "editor": event_type6905, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "room", "editable": true, "editor": room6906, "filter": { "type": "string" }, "header": "Raum", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6908, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "start_date", "editable": true, "editor": start_date6911, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_date", "editable": true, "editor": end_date6912, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "end_time", "editable": true, "editor": end_time6913, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 14, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "build_method", "editable": true, "editor": build_method6915, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type6916, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id6917, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description6918, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class6919, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence6920, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type6921, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority6922, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state6925, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before6926, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit6927, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByDay.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByDay.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByDay",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    Lino.cal.EntriesByDay.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  return new Lino.cal.EntriesByDay.insertPanel(p);
});
Lino.cal.EntriesByDay.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByDay.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByDay",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    Lino.cal.EntriesByDay.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  return new Lino.cal.EntriesByDay.detailPanel(p);
});
Lino.cal.EntriesByDay.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByDay.GridPanel(p);
});
Lino.cal.EntriesByDay.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.OneEvent
Lino.cal.OneEvent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/OneEvent",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    var ww = this.containing_window;
    var when_text_disp6931 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user6932 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }) });
    var summary6933 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type6934 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }) });
    var id6935 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var modified6936 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6937 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project6938 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }) });
    var start_date6939 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time6940 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date6941 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time6942 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time6943 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method6944 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to6945 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/assigned_to" }) }) });
    var owner_type6946 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/owner_type" }) }) });
    var owner_id6947 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/owner_id" }) }) });
    var description6948 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class6949 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence6950 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type6951 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority6952 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent6953 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited6954 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room6955 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }) });
    var state6956 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before6957 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit6958 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified6959 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp6960 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6947.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6946 !== 'undefined' && owner_type6946.on('change',Lino.chooser_handler(owner_id6947,'owner_type'));
      Lino.cal.OneEvent.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user6932, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary6933, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type6934, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6935, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project6938, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date6939, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time6940, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date6941, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time6942, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method6944, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to6945, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type6946, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id6947, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description6948, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class6949, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence6950, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type6951, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority6952, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room6955, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state6956, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before6957, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit6958, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.OneEvent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OneEvent.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/OneEvent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    Lino.cal.OneEvent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/OneEvent" };
  return new Lino.cal.OneEvent.insertPanel(p);
});
Lino.cal.OneEvent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OneEvent.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/OneEvent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    Lino.cal.OneEvent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OneEvent" };
  return new Lino.cal.OneEvent.detailPanel(p);
});
Lino.cal.OneEvent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OneEvent" };
  p.params_panel = new Lino.cal.OneEvent.ParamsPanel({});
  return new Lino.cal.OneEvent.GridPanel(p);
});
Lino.cal.OneEvent.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyEntries
Lino.cal.MyEntries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyEntries",
  ls_store_fields : [ { "name": "when_text" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    var ww = this.containing_window;
    var when_text_disp6962 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project6963 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }) });
    var event_type6964 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }) });
    var summary6965 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp6966 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6967 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified6968 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6969 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date6970 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time6971 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date6972 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time6973 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time6974 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method6975 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user6976 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }) });
    var assigned_to6977 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }) });
    var owner_type6978 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/owner_type" }) }) });
    var owner_id6979 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/owner_id" }) }) });
    var description6980 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class6981 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence6982 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type6983 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority6984 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent6985 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited6986 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room6987 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }) });
    var state6988 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before6989 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit6990 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified6991 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp6992 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6979.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6978 !== 'undefined' && owner_type6978.on('change',Lino.chooser_handler(owner_id6979,'owner_type'));
      Lino.cal.MyEntries.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6963, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type6964, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary6965, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6967, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date6970, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time6971, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date6972, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time6973, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method6975, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user6976, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to6977, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type6978, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id6979, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description6980, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class6981, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence6982, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type6983, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority6984, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room6987, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state6988, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before6989, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit6990, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyEntries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntries.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntries",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    Lino.cal.MyEntries.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyEntries" };
  return new Lino.cal.MyEntries.insertPanel(p);
});
Lino.cal.MyEntries.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntries.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    Lino.cal.MyEntries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntries" };
  return new Lino.cal.MyEntries.detailPanel(p);
});
Lino.cal.MyEntries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntries" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyEntries.GridPanel(p);
});
Lino.cal.MyEntries.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyEntriesToday
Lino.cal.MyEntriesToday.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyEntriesToday",
  ls_store_fields : [ { "name": "start_time" }, { "name": "end_time" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Termine heute",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    var ww = this.containing_window;
    var start_time6994 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_time6995 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project6996 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/project" }) }) });
    var event_type6997 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/event_type" }) }) });
    var summary6998 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp6999 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7000 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7001 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7002 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7003 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7004 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time7005 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7006 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7007 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/user" }) }) });
    var assigned_to7008 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/assigned_to" }) }) });
    var owner_type7009 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/owner_type" }) }) });
    var owner_id7010 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/owner_id" }) }) });
    var description7011 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7012 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7013 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7014 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7015 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7016 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7017 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7018 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/room" }) }) });
    var state7019 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7020 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7021 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7022 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7023 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7010.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7009 !== 'undefined' && owner_type7009.on('change',Lino.chooser_handler(owner_id7010,'owner_type'));
      Lino.cal.MyEntriesToday.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_time", "editable": true, "editor": start_time6994, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 1, "dataIndex": "end_time", "editable": true, "editor": end_time6995, "header": "Endet um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project6996, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type6997, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "summary", "editable": true, "editor": summary6998, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7000, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date7003, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7004, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method7006, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user7007, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7008, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7009, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7010, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7011, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7012, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7013, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7014, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7015, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room7018, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state7019, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before7020, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7021, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyEntriesToday.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntriesToday.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntriesToday",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    Lino.cal.MyEntriesToday.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  return new Lino.cal.MyEntriesToday.insertPanel(p);
});
Lino.cal.MyEntriesToday.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntriesToday.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntriesToday",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    Lino.cal.MyEntriesToday.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  return new Lino.cal.MyEntriesToday.detailPanel(p);
});
Lino.cal.MyEntriesToday.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyEntriesToday.GridPanel(p);
});
Lino.cal.MyEntriesToday.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyAssignedEvents
Lino.cal.MyAssignedEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyAssignedEvents",
  ls_store_fields : [ { "name": "when_text" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mir zugewiesene Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    var ww = this.containing_window;
    var when_text_disp7025 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7026 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/project" }) }) });
    var event_type7027 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/event_type" }) }) });
    var summary7028 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7029 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7030 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7031 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7032 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7033 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7034 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7035 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7036 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7037 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7038 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7039 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/user" }) }) });
    var assigned_to7040 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/assigned_to" }) }) });
    var owner_type7041 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/owner_type" }) }) });
    var owner_id7042 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/owner_id" }) }) });
    var description7043 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7044 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7045 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7046 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7047 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7048 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7049 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7050 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/room" }) }) });
    var state7051 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7052 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7053 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7054 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7055 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7042.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7041 !== 'undefined' && owner_type7041.on('change',Lino.chooser_handler(owner_id7042,'owner_type'));
      Lino.cal.MyAssignedEvents.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7026, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7027, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7028, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7030, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7033, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7034, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7035, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7036, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7038, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7039, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7040, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7041, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7042, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description7043, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class7044, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence7045, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type7046, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority7047, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room7050, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state7051, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before7052, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7053, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyAssignedEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyAssignedEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyAssignedEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    Lino.cal.MyAssignedEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  return new Lino.cal.MyAssignedEvents.insertPanel(p);
});
Lino.cal.MyAssignedEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyAssignedEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyAssignedEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    Lino.cal.MyAssignedEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  return new Lino.cal.MyAssignedEvents.detailPanel(p);
});
Lino.cal.MyAssignedEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyAssignedEvents.GridPanel(p);
});
Lino.cal.MyAssignedEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyOverdueAppointments
Lino.cal.MyOverdueAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyOverdueAppointments",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "owner" }, { "name": "event_type" }, 'event_typeHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "summary" }, { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "Meine \u00fcberf\u00e4lligen Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    var ww = this.containing_window;
    var detail_link_disp7057 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var owner_disp7058 = new Ext.form.DisplayField({ "disabled": true });
    var event_type7059 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/event_type" }) }) });
    var workflow_buttons_disp7060 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7061 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7062 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7063 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project7064 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/project" }) }) });
    var start_date7065 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7066 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7067 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7068 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7069 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7070 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7071 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/user" }) }) });
    var assigned_to7072 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/assigned_to" }) }) });
    var owner_type7073 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/owner_type" }) }) });
    var owner_id7074 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/owner_id" }) }) });
    var summary7075 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var description7076 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7077 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7078 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7079 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7080 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7081 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7082 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7083 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/room" }) }) });
    var state7084 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7085 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7086 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7087 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      owner_id7074.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7073 !== 'undefined' && owner_type7073.on('change',Lino.chooser_handler(owner_id7074,'owner_type'));
      Lino.cal.MyOverdueAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.detail_link) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7059, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7061, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project7064, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7065, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7066, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7067, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7068, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7070, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7071, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7072, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7073, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7074, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "summary", "editable": true, "editor": summary7075, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7076, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "access_class", "editable": true, "editor": access_class7077, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 21, "dataIndex": "sequence", "editable": true, "editor": sequence7078, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 22, "dataIndex": "auto_type", "editable": true, "editor": auto_type7079, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "priority", "editable": true, "editor": priority7080, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 26, "dataIndex": "room", "editable": true, "editor": room7083, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "state", "editable": true, "editor": state7084, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 28, "dataIndex": "notify_before", "editable": true, "editor": notify_before7085, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 29, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7086, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 30, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cal.MyOverdueAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyOverdueAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyOverdueAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    Lino.cal.MyOverdueAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  return new Lino.cal.MyOverdueAppointments.insertPanel(p);
});
Lino.cal.MyOverdueAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyOverdueAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyOverdueAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    Lino.cal.MyOverdueAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  return new Lino.cal.MyOverdueAppointments.detailPanel(p);
});
Lino.cal.MyOverdueAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.MyOverdueAppointments.GridPanel(p);
});
Lino.cal.MyOverdueAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyUnconfirmedAppointments
Lino.cal.MyUnconfirmedAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyUnconfirmedAppointments",
  ls_store_fields : [ { "name": "when_html" }, { "name": "project" }, 'projectHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "Meine unbest\u00e4tigten Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    var ww = this.containing_window;
    var when_html_disp7089 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7090 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/project" }) }) });
    var summary7091 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7092 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7093 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7094 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7095 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7096 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7097 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7098 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7099 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7100 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7101 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7102 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/user" }) }) });
    var assigned_to7103 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/assigned_to" }) }) });
    var owner_type7104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/owner_type" }) }) });
    var owner_id7105 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/owner_id" }) }) });
    var description7106 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7107 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7108 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7109 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7110 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type7111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/event_type" }) }) });
    var transparent7112 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7113 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7114 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/room" }) }) });
    var state7115 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7116 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7117 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7118 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7119 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7105.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7104 !== 'undefined' && owner_type7104.on('change',Lino.chooser_handler(owner_id7105,'owner_type'));
      Lino.cal.MyUnconfirmedAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_html", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.when_html) Shows the date and time of the calendar entry with a link that\nopens all entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the calendar entry with a link that\nopens all entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7090, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7091, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7093, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date7096, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time7097, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date7098, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time7099, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method7101, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user7102, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7103, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7104, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7105, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7106, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7107, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7108, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7109, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7110, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type7111, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room7114, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state7115, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before7116, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7117, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyUnconfirmedAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyUnconfirmedAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyUnconfirmedAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    Lino.cal.MyUnconfirmedAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  return new Lino.cal.MyUnconfirmedAppointments.insertPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyUnconfirmedAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyUnconfirmedAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    Lino.cal.MyUnconfirmedAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  return new Lino.cal.MyUnconfirmedAppointments.detailPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyUnconfirmedAppointments.GridPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class extensible.PanelCalendars
Lino.extensible.PanelCalendars.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/extensible/PanelCalendars",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "summary" }, { "name": "description" }, { "name": "color", "type": "int", "useNull": true }, { "name": "is_hidden", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 33,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalender) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of extensible.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalenderliste",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    var ww = this.containing_window;
    var id7121 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var summary_disp7122 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description7123 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    var color7124 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var is_hidden_disp7125 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
      description7123.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7121, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "summary", "editable": false, "header": "summary", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.summary) ") }, "sortable": false, "tooltip": "(extensible.PanelCalendars.summary) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "description", "editable": true, "editor": description7123, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "color", "editable": true, "editor": color7124, "filter": { "type": "numeric" }, "format": "0", "header": "Farbe", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "sortable": true, "tooltip": "The color to use for entries of this calendar (in\nlino_xl.lib.extensible).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "is_hidden", "editable": false, "header": "Versteckt", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.is_hidden) ") }, "sortable": false, "tooltip": "(extensible.PanelCalendars.is_hidden) ", "width": Lino.chars2width(21) } ];
    Lino.extensible.PanelCalendars.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelCalendars.insertPanel = Ext.extend(Lino.cal.Calendars.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelCalendars",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    Lino.extensible.PanelCalendars.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.insertPanel(p);
});
Lino.extensible.PanelCalendars.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelCalendars.detailPanel = Ext.extend(Lino.cal.Calendars.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalender) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelCalendars",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    Lino.extensible.PanelCalendars.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.detailPanel(p);
});
Lino.extensible.PanelCalendars.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.GridPanel(p);
});
Lino.extensible.PanelCalendars.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class extensible.PanelEvents
Lino.extensible.PanelEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/extensible/PanelEvents",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "start_dt" }, { "name": "end_dt" }, { "name": "summary" }, { "name": "description" }, { "name": "user" }, 'userHidden', { "name": "room" }, 'roomHidden', { "name": "calendar" }, 'calendarHidden', { "name": "url" }, { "name": "all_day", "type": "boolean" }, { "name": "reminder" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    var ww = this.containing_window;
    var id7127 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_dt7128 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var end_dt7129 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var summary7130 = new Ext.form.TextField({ "allowBlank": false, "selectOnFocus": true });
    var description7131 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var user7132 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/extensible/PanelEvents/user" }) }) });
    var room7133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/extensible/PanelEvents/room" }) }) });
    var calendar7134 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var url_disp7135 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var all_day7136 = new Ext.form.Checkbox({ "allowBlank": false, "selectOnFocus": true });
    var reminder_disp7137 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7127, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_dt", "editable": true, "editor": start_dt7128, "header": "Beginn", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.start_dt) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.start_dt) ", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "end_dt", "editable": true, "editor": end_dt7129, "header": "Ende", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.end_dt) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.end_dt) ", "width": Lino.chars2width(17) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7130, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.summary) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.summary) ", "width": Lino.chars2width(5) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description7131, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7132, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "room", "editable": true, "editor": room7133, "filter": { "type": "string" }, "header": "Raum", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "calendar", "editable": false, "header": "Kalender", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.calendar) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "url", "editable": false, "header": "Link URL", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.url) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.url) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "all_day", "editable": true, "header": "ganztags", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.all_day) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.reminder) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.reminder) ", "width": Lino.chars2width(31) } ];
    Lino.extensible.PanelEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    Lino.extensible.PanelEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  return new Lino.extensible.PanelEvents.insertPanel(p);
});
Lino.extensible.PanelEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    Lino.extensible.PanelEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  return new Lino.extensible.PanelEvents.detailPanel(p);
});
Lino.extensible.PanelEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.extensible.PanelEvents.GridPanel(p);
});
Lino.extensible.PanelEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.BusyVisitors
Lino.reception.BusyVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/BusyVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Besch\u00e4ftigte Besucher",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.BusyVisitors.detail;
    var ww = this.containing_window;
    var since_disp7139 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7140 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7141 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/BusyVisitors/event__user" }) }), "value": null });
    var event__summary7142 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7143 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.since) ") }, "sortable": false, "tooltip": "(reception.BusyVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7141, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7142, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.BusyVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.BusyVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.BusyVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/BusyVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.BusyVisitors.detail;
    Lino.reception.BusyVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.BusyVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/BusyVisitors" };
  return new Lino.reception.BusyVisitors.detailPanel(p);
});
Lino.reception.BusyVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/BusyVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.BusyVisitors.GridPanel(p);
});
Lino.reception.BusyVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.WaitingVisitors
Lino.reception.WaitingVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/WaitingVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "position" }, { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Wartende Besucher",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.WaitingVisitors.detail;
    var ww = this.containing_window;
    var since_disp7145 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7146 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/WaitingVisitors/event__user" }) }), "value": null });
    var position_disp7148 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__summary7149 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7150 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.since) ") }, "sortable": false, "tooltip": "(reception.WaitingVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7147, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "position", "editable": false, "header": "Position", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.position) Position in waiting queue (per agent)") }, "sortable": false, "tooltip": "Position in waiting queue (per agent)", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "event__summary", "editable": true, "editor": event__summary7149, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.WaitingVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.WaitingVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.WaitingVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/WaitingVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.WaitingVisitors.detail;
    Lino.reception.WaitingVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.WaitingVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/WaitingVisitors" };
  return new Lino.reception.WaitingVisitors.detailPanel(p);
});
Lino.reception.WaitingVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/WaitingVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.WaitingVisitors.GridPanel(p);
});
Lino.reception.WaitingVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.GoneVisitors
Lino.reception.GoneVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/GoneVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gegangene Besucher",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.GoneVisitors.detail;
    var ww = this.containing_window;
    var since_disp7152 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7153 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7154 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/GoneVisitors/event__user" }) }), "value": null });
    var event__summary7155 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7156 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.since) ") }, "sortable": false, "tooltip": "(reception.GoneVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7154, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7155, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.GoneVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.GoneVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.GoneVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/GoneVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.GoneVisitors.detail;
    Lino.reception.GoneVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.GoneVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/GoneVisitors" };
  return new Lino.reception.GoneVisitors.detailPanel(p);
});
Lino.reception.GoneVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/GoneVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.GoneVisitors.GridPanel(p);
});
Lino.reception.GoneVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyWaitingVisitors
Lino.reception.MyWaitingVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyWaitingVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "position" }, { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Warteschlange",
  disabled_fields_index : 7,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyWaitingVisitors.detail;
    var ww = this.containing_window;
    var since_disp7158 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7159 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var position_disp7160 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__summary7161 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7162 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyWaitingVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "position", "editable": false, "header": "Position", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.position) Position in waiting queue (per agent)") }, "sortable": false, "tooltip": "Position in waiting queue (per agent)", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7161, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyWaitingVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyWaitingVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyWaitingVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyWaitingVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyWaitingVisitors.detail;
    Lino.reception.MyWaitingVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyWaitingVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyWaitingVisitors" };
  return new Lino.reception.MyWaitingVisitors.detailPanel(p);
});
Lino.reception.MyWaitingVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyWaitingVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyWaitingVisitors.GridPanel(p);
});
Lino.reception.MyWaitingVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyBusyVisitors
Lino.reception.MyBusyVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyBusyVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine besch\u00e4ftigten Besucher",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyBusyVisitors.detail;
    var ww = this.containing_window;
    var since_disp7164 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7165 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7166 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/MyBusyVisitors/event__user" }) }), "value": null });
    var event__summary7167 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7168 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyBusyVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7166, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7167, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyBusyVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyBusyVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyBusyVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyBusyVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyBusyVisitors.detail;
    Lino.reception.MyBusyVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyBusyVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyBusyVisitors" };
  return new Lino.reception.MyBusyVisitors.detailPanel(p);
});
Lino.reception.MyBusyVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyBusyVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyBusyVisitors.GridPanel(p);
});
Lino.reception.MyBusyVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyGoneVisitors
Lino.reception.MyGoneVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyGoneVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine gegangenen Besucher",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyGoneVisitors.detail;
    var ww = this.containing_window;
    var since_disp7170 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7171 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/MyGoneVisitors/event__user" }) }), "value": null });
    var event__summary7173 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7174 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyGoneVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7172, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7173, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyGoneVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyGoneVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyGoneVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyGoneVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyGoneVisitors.detail;
    Lino.reception.MyGoneVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyGoneVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyGoneVisitors" };
  return new Lino.reception.MyGoneVisitors.detailPanel(p);
});
Lino.reception.MyGoneVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyGoneVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyGoneVisitors.GridPanel(p);
});
Lino.reception.MyGoneVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.LanguageKnowledges
Lino.cv.LanguageKnowledges.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/LanguageKnowledges",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "language" }, 'languageHidden', { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "native", "type": "boolean" }, { "name": "cef_level" }, 'cef_levelHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 81,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachkenntnisse",
  initComponent : function() {
    var ww = this.containing_window;
    var id7176 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person7177 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledges/person" }) }) });
    var language7178 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledges/language" }) }) });
    var spoken7179 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written7180 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken_passively7181 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively7182 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var native7183 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var cef_level7184 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var has_certificate7185 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7176, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7177, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language7178, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.language) The language to which this entry applies.") }, "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "spoken", "editable": true, "editor": spoken7179, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "written", "editable": true, "editor": written7180, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 5, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively7181, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort (passiv)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "written_passively", "editable": true, "editor": written_passively7182, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift (passiv)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Muttersprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "cef_level", "editable": true, "editor": cef_level7184, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF-Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "colIndex": 9, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Zertifikat", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cv.LanguageKnowledges.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledges.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/LanguageKnowledges" };
  return new Lino.cv.LanguageKnowledges.GridPanel(p);
});

// js_render_GridPanel_class cv.Trainings
Lino.cv.Trainings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Trainings",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    var ww = this.containing_window;
    var person7187 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date7188 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7189 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text7190 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type7191 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state7192 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector7193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function7194 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var id7195 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country7196 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city7197 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var zip_code7198 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language7199 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/language" }) }) });
    var school7200 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7201 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content7202 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates7203 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7194.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city7197.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7193 !== 'undefined' && sector7193.on('change',Lino.chooser_handler(function7194,'sector'));
      typeof country7196 !== 'undefined' && country7196.on('change',Lino.chooser_handler(city7197,'country'));
      Lino.cv.Trainings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person7187, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7188, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date7189, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text7190, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type7191, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state7192, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector7193, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function7194, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7195, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country7196, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city7197, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code7198, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language7199, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school7200, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks7201, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content7202, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "certificates", "editable": true, "editor": certificates7203, "filter": { "type": "string" }, "header": "Diplome", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.Trainings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Trainings.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/Trainings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    Lino.cv.Trainings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/Trainings" };
  return new Lino.cv.Trainings.insertPanel(p);
});
Lino.cv.Trainings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Trainings.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Trainings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    Lino.cv.Trainings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Trainings" };
  return new Lino.cv.Trainings.detailPanel(p);
});
Lino.cv.Trainings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Trainings" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.Trainings.GridPanel(p);
});
Lino.cv.Trainings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.Clients
Lino.pcsw.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    var ww = this.containing_window;
    var name_column_disp7205 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state7206 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id7207 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7208 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7209 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7210 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7211 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7212 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7213 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7214 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/aid_type" }) }) });
    var language7215 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state7206, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7207, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm7208, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email7211, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7212, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7213, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7214, "filter": { "type": "string" }, "header": "Sozialhilfeart", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7215, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.pcsw.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.Clients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/Clients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    Lino.pcsw.Clients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.insertPanel(p);
});
Lino.pcsw.Clients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    Lino.pcsw.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.detailPanel(p);
});
Lino.pcsw.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.Clients.GridPanel(p);
});
Lino.pcsw.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.CoachedClients
Lino.pcsw.CoachedClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/CoachedClients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    var ww = this.containing_window;
    var name_column_disp7217 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state7218 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id7219 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7220 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7221 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7222 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7223 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7224 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7225 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7226 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/CoachedClients/aid_type" }) }) });
    var language7227 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.CoachedClients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state7218, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7219, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm7220, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.CoachedClients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email7223, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7224, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7225, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7226, "filter": { "type": "string" }, "header": "Sozialhilfeart", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7227, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.pcsw.CoachedClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.CoachedClients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/CoachedClients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    Lino.pcsw.CoachedClients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  return new Lino.pcsw.CoachedClients.insertPanel(p);
});
Lino.pcsw.CoachedClients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.CoachedClients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/CoachedClients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    Lino.pcsw.CoachedClients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  return new Lino.pcsw.CoachedClients.detailPanel(p);
});
Lino.pcsw.CoachedClients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.CoachedClients.GridPanel(p);
});
Lino.pcsw.CoachedClients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.Clients
Lino.reception.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "national_id" }, { "name": "workflow_buttons" }, { "name": "person_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "person_ptr",
  pk_index : 4,
  content_type : 57,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    var ww = this.containing_window;
    var name_column_disp7229 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7230 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var national_id7231 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7232 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.name_column) ") }, "sortable": false, "tooltip": "(reception.Clients.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.address_column) ") }, "sortable": false, "tooltip": "(reception.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7231, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.Clients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/reception/Clients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    Lino.reception.Clients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/Clients" };
  return new Lino.reception.Clients.insertPanel(p);
});
Lino.reception.Clients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/reception/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    Lino.reception.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/Clients" };
  return new Lino.reception.Clients.detailPanel(p);
});
Lino.reception.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.reception.Clients.GridPanel(p);
});
Lino.reception.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.Households
Lino.households.Households.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/Households",
  ls_store_fields : [ { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of households.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushalte",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    var ww = this.containing_window;
    var name7234 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type7235 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var address_column_disp7236 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7237 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email7238 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language7239 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url7240 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone7241 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7242 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7243 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7244 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7245 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/country" }) }) });
    var city7247 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/city" }) }) });
    var zip_code7248 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7249 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/region" }) }) });
    var addr17250 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7251 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7252 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7253 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7254 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27255 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7256 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7257 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete7258 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7259 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/activity" }) }) });
    var client_contact_type7260 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/client_contact_type" }) }) });
    var payment_term7261 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/payment_term" }) }) });
    this.before_row_edit = function(record) {
      city7247.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7247.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7249.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7246 !== 'undefined' && country7246.on('change',Lino.chooser_handler(city7247,'country'));
      typeof region7249 !== 'undefined' && region7249.on('change',Lino.chooser_handler(city7247,'region'));
      typeof country7246 !== 'undefined' && country7246.on('change',Lino.chooser_handler(region7249,'country'));
      Lino.households.Households.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7234, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type7235, "filter": { "type": "string" }, "header": "Haushaltsart", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.type) The type of this household.  See household types") }, "sortable": false, "tooltip": "The type of this household.  See household types", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.address_column) ") }, "sortable": false, "tooltip": "(households.Households.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id7237, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email7238, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language7239, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url7240, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7241, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm7242, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax7243, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country7246, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city7247, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code7248, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region7249, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr17250, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7251, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street7252, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no7253, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box7254, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr27255, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix7256, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7259, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7260, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term7261, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) } ];
    Lino.households.Households.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Households.insertPanel = Ext.extend(Lino.households.Households.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/Households",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    Lino.households.Households.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.insertPanel(p);
});
Lino.households.Households.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Households.detailPanel = Ext.extend(Lino.households.Households.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/households/Households",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    Lino.households.Households.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.detailPanel(p);
});
Lino.households.Households.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Households" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.households.Households.GridPanel(p);
});
Lino.households.Households.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.populate_members = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "populate_members", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.Contracts
Lino.isip.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 97,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    var ww = this.containing_window;
    var id7263 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7264 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7265 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7266 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var user7267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type7268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var signer17269 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/signer1" }) }) });
    var signer27270 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/signer2" }) }) });
    var printed_by7271 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7272 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7273 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7274 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7275 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7276 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var exam_policy7277 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var ending7278 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var study_type7279 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var stages7280 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals7281 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd7282 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe7283 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw7284 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person7285 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe7286 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_dsbe" }) }) });
    this.before_row_edit = function(record) {
      stages7280.refresh();
      goals7281.refresh();
      duties_asd7282.refresh();
      duties_dsbe7283.refresh();
      duties_pcsw7284.refresh();
      duties_person7285.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7263, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7264, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended7265, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client7266, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user7267, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7268, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer17269, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer27270, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language7272, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until7273, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided7274, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued7275, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd7276, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7277, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending7278, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "study_type", "editable": true, "editor": study_type7279, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "stages", "editable": true, "editor": stages7280, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "goals", "editable": true, "editor": goals7281, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd7282, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe7283, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw7284, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "duties_person", "editable": true, "editor": duties_person7285, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe7286, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.Contracts.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    Lino.isip.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/Contracts" };
  return new Lino.isip.Contracts.insertPanel(p);
});
Lino.isip.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.Contracts.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    Lino.isip.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/Contracts" };
  return new Lino.isip.Contracts.detailPanel(p);
});
Lino.isip.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/Contracts" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.Contracts.GridPanel(p);
});
Lino.isip.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.MyContracts
Lino.isip.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/MyContracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 97,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    var ww = this.containing_window;
    var id7288 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7289 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7290 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7291 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/client" }) }) });
    var user7292 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user" }) }) });
    var type7293 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/type" }) }) });
    var signer17294 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/signer1" }) }) });
    var signer27295 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/signer2" }) }) });
    var printed_by7296 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7297 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7298 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7299 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7300 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7301 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user_asd" }) }) });
    var exam_policy7302 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/exam_policy" }) }) });
    var ending7303 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/ending" }) }) });
    var study_type7304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/study_type" }) }) });
    var stages7305 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals7306 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd7307 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe7308 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw7309 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person7310 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe7311 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user_dsbe" }) }) });
    this.before_row_edit = function(record) {
      stages7305.refresh();
      goals7306.refresh();
      duties_asd7307.refresh();
      duties_dsbe7308.refresh();
      duties_pcsw7309.refresh();
      duties_person7310.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7288, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7289, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended7290, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client7291, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user7292, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7293, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer17294, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer27295, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language7297, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until7298, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided7299, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued7300, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd7301, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7302, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending7303, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "study_type", "editable": true, "editor": study_type7304, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "stages", "editable": true, "editor": stages7305, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "goals", "editable": true, "editor": goals7306, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd7307, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe7308, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw7309, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "duties_person", "editable": true, "editor": duties_person7310, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe7311, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.MyContracts.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    Lino.isip.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/MyContracts" };
  return new Lino.isip.MyContracts.insertPanel(p);
});
Lino.isip.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.MyContracts.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    Lino.isip.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/MyContracts" };
  return new Lino.isip.MyContracts.detailPanel(p);
});
Lino.isip.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/MyContracts" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.MyContracts.GridPanel(p);
});
Lino.isip.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobProviders
Lino.jobs.JobProviders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobProviders",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stellenanbieter) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanbieter",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    var ww = this.containing_window;
    var name_column_disp7313 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7314 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7315 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7316 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7317 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7318 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language7319 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url7320 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7321 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7322 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7323 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/country" }) }) });
    var city7325 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/city" }) }) });
    var zip_code7326 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7327 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/region" }) }) });
    var addr17328 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7329 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7330 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7331 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7332 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27333 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7334 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name7335 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7336 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete7337 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7338 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/activity" }) }) });
    var client_contact_type7339 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/client_contact_type" }) }) });
    var payment_term7340 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/payment_term" }) }) });
    var type7341 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/type" }) }) });
    var vat_id7342 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city7325.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7325.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7327.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7324 !== 'undefined' && country7324.on('change',Lino.chooser_handler(city7325,'country'));
      typeof region7327 !== 'undefined' && region7327.on('change',Lino.chooser_handler(city7325,'region'));
      typeof country7324 !== 'undefined' && country7324.on('change',Lino.chooser_handler(region7327,'country'));
      Lino.jobs.JobProviders.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.name_column) ") }, "sortable": false, "tooltip": "(jobs.JobProviders.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.address_column) ") }, "sortable": false, "tooltip": "(jobs.JobProviders.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email7315, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone7316, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm7317, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7318, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7319, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url7320, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax7321, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country7324, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city7325, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code7326, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region7327, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr17328, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7329, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street7330, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no7331, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box7332, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr27333, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix7334, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name7335, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7338, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7339, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term7340, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "type", "editable": true, "editor": type7341, "filter": { "type": "string" }, "header": "Organisationsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "vat_id", "editable": true, "editor": vat_id7342, "filter": { "type": "string" }, "header": "MwSt.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "sortable": true, "tooltip": "The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.", "width": Lino.chars2width(22) } ];
    Lino.jobs.JobProviders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobProviders.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/JobProviders",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    Lino.jobs.JobProviders.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.insertPanel(p);
});
Lino.jobs.JobProviders.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobProviders.detailPanel = Ext.extend(Lino.jobs.JobProviders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stellenanbieter) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/JobProviders",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    Lino.jobs.JobProviders.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.detailPanel(p);
});
Lino.jobs.JobProviders.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.jobs.JobProviders.GridPanel(p);
});
Lino.jobs.JobProviders.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Contracts
Lino.jobs.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    var ww = this.containing_window;
    var id7344 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client7345 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var client__national_id7346 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from7347 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7348 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job7349 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var user7350 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var type7351 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var signer17352 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/signer1" }) }) });
    var signer27353 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/signer2" }) }) });
    var company7354 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var contact_person7355 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_person" }) }) });
    var contact_role7356 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_role" }) }) });
    var printed_by7357 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7358 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7359 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7360 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7361 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7362 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user_asd" }) }) });
    var exam_policy7363 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/exam_policy" }) }) });
    var ending7364 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var duration7365 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/duration" }) }), "value": null });
    var reference_person7366 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7367 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7368 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime7369 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/regime" }) }) });
    var schedule7370 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/schedule" }) }) });
    var hourly_rate7371 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate7372 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/refund_rate" }) }) });
    this.before_row_edit = function(record) {
      contact_person7355.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7367.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7354 !== 'undefined' && company7354.on('change',Lino.chooser_handler(contact_person7355,'company'));
      Lino.jobs.Contracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7344, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7345, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id7346, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from7347, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7348, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job7349, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user7350, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type7351, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer17352, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer27353, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company7354, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7355, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7356, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language7358, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until7359, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided7360, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued7361, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd7362, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7363, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "ending", "editable": true, "editor": ending7364, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "duration", "editable": true, "editor": duration7365, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 22, "dataIndex": "reference_person", "editable": true, "editor": reference_person7366, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7367, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "remark", "editable": true, "editor": remark7368, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "regime", "editable": true, "editor": regime7369, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "schedule", "editable": true, "editor": schedule7370, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 27, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7371, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7372, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.jobs.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Contracts.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    Lino.jobs.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/Contracts" };
  return new Lino.jobs.Contracts.insertPanel(p);
});
Lino.jobs.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Contracts.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    Lino.jobs.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Contracts" };
  return new Lino.jobs.Contracts.detailPanel(p);
});
Lino.jobs.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Contracts" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.Contracts.GridPanel(p);
});
Lino.jobs.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.MyContracts
Lino.jobs.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/MyContracts",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "job" }, 'jobHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.MyContracts.detail;
    this.ls_insert_handler = Lino.jobs.MyContracts.insert;
    var ww = this.containing_window;
    var applies_from7374 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7375 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/client" }) }) });
    var job7376 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/job" }) }) });
    var type7377 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/type" }) }) });
    var company7378 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/company" }) }) });
    var applies_until7379 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7380 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending7381 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/ending" }) }) });
    var id7382 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer17383 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/signer1" }) }) });
    var signer27384 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/signer2" }) }) });
    var user7385 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/user" }) }) });
    var contact_person7386 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/contact_person" }) }) });
    var contact_role7387 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/contact_role" }) }) });
    var printed_by7388 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7389 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided7390 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7391 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7392 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/user_asd" }) }) });
    var exam_policy7393 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/exam_policy" }) }) });
    var duration7394 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/duration" }) }), "value": null });
    var reference_person7395 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7396 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7397 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime7398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/regime" }) }) });
    var schedule7399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/schedule" }) }) });
    var hourly_rate7400 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate7401 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/refund_rate" }) }) });
    this.before_row_edit = function(record) {
      contact_person7386.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7396.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7378 !== 'undefined' && company7378.on('change',Lino.chooser_handler(contact_person7386,'company'));
      Lino.jobs.MyContracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from7374, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7375, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job7376, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type7377, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company7378, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "applies_until", "editable": true, "editor": applies_until7379, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "date_ended", "editable": true, "editor": date_ended7380, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "ending", "editable": true, "editor": ending7381, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7382, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "signer1", "editable": true, "editor": signer17383, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer2", "editable": true, "editor": signer27384, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "user", "editable": true, "editor": user7385, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person7386, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role7387, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language7389, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided7390, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued7391, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd7392, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7393, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration7394, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person7395, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7396, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark7397, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime7398, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "schedule", "editable": true, "editor": schedule7399, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 26, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7400, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7401, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.jobs.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.MyContracts.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.MyContracts.detail;
    this.ls_insert_handler = Lino.jobs.MyContracts.insert;
    Lino.jobs.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/MyContracts" };
  return new Lino.jobs.MyContracts.insertPanel(p);
});
Lino.jobs.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.MyContracts.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.MyContracts.detail;
    this.ls_insert_handler = Lino.jobs.MyContracts.insert;
    Lino.jobs.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/MyContracts" };
  return new Lino.jobs.MyContracts.detailPanel(p);
});
Lino.jobs.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/MyContracts" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.MyContracts.GridPanel(p);
});
Lino.jobs.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Offers
Lino.jobs.Offers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Offers",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "dateFormat": "d.m.Y", "name": "selection_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "selection_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenangebote",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Offers.detail;
    var ww = this.containing_window;
    var name7403 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var provider7404 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/provider" }) }) });
    var sector7405 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/sector" }) }) });
    var function7406 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/function" }) }) });
    var selection_from7407 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var selection_until7408 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var start_date7409 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7410 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remark7411 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7406.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7405 !== 'undefined' && sector7405.on('change',Lino.chooser_handler(function7406,'sector'));
      Lino.jobs.Offers.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7403, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider7404, "filter": { "type": "string" }, "header": "Stellenanbieter", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector7405, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function7406, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "selection_from", "editable": true, "editor": selection_from7407, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginn Auswahl", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.selection_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "selection_until", "editable": true, "editor": selection_until7408, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ende Auswahl", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.selection_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date7409, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7410, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark7411, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.jobs.Offers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Offers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Offers.detailPanel = Ext.extend(Lino.jobs.Offers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/Offers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Offers.detail;
    Lino.jobs.Offers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Offers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Offers" };
  return new Lino.jobs.Offers.detailPanel(p);
});
Lino.jobs.Offers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Offers" };
  return new Lino.jobs.Offers.GridPanel(p);
});
Lino.jobs.Offers.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Jobs
Lino.jobs.Jobs.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Jobs",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "type" }, 'typeHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    var ww = this.containing_window;
    var name7413 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider7414 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var sector7415 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function7416 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var type7417 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var contract_type7418 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var hourly_rate7419 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity7420 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark7421 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id7422 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7416.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7415 !== 'undefined' && sector7415.on('change',Lino.chooser_handler(function7416,'sector'));
      Lino.jobs.Jobs.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7413, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider7414, "filter": { "type": "string" }, "header": "Stellenanbieter", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector7415, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function7416, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type7417, "filter": { "type": "string" }, "header": "Stellenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contract_type", "editable": true, "editor": contract_type7418, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.contract_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7419, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "capacity", "editable": true, "editor": capacity7420, "filter": { "type": "numeric" }, "format": "0", "header": "Kapazit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark7421, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id7422, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.jobs.Jobs.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Jobs.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/Jobs",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    Lino.jobs.Jobs.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.insertPanel(p);
});
Lino.jobs.Jobs.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Jobs.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/Jobs",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    Lino.jobs.Jobs.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.detailPanel(p);
});
Lino.jobs.Jobs.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.GridPanel(p);
});
Lino.jobs.Jobs.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsSearch
Lino.jobs.ContractsSearch.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsSearch",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "client" }, 'clientHidden', { "name": "client__city" }, 'client__cityHidden', { "name": "client__national_id" }, { "name": "client__gender" }, 'client__genderHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Suche Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    var ww = this.containing_window;
    var id7424 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7425 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until7426 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job7427 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/job" }) }) });
    var client7428 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/client" }) }) });
    var client__city7429 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "forceSelection": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/client__city" }) }), "value": null });
    var client__national_id7430 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var client__gender7431 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ], "value": null });
    var user7432 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/user" }) }) });
    var type7433 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/type" }) }) });
    var signer17434 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/signer1" }) }) });
    var signer27435 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/signer2" }) }) });
    var company7436 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/company" }) }) });
    var contact_person7437 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/contact_person" }) }) });
    var contact_role7438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/contact_role" }) }) });
    var printed_by7439 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7440 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided7441 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7442 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7443 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/user_asd" }) }) });
    var exam_policy7444 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/exam_policy" }) }) });
    var ending7445 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/ending" }) }) });
    var date_ended7446 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration7447 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/duration" }) }), "value": null });
    var reference_person7448 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7449 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7450 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime7451 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/regime" }) }) });
    var schedule7452 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/schedule" }) }) });
    var hourly_rate7453 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate7454 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/refund_rate" }) }) });
    this.before_row_edit = function(record) {
      client__city7429.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      client__city7429.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      contact_person7437.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7449.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7436 !== 'undefined' && company7436.on('change',Lino.chooser_handler(contact_person7437,'company'));
      Lino.jobs.ContractsSearch.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7424, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7425, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until7426, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "job", "editable": true, "editor": job7427, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "client", "editable": true, "editor": client7428, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "client__city", "editable": true, "editor": client__city7429, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": true, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id7430, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "client__gender", "editable": true, "editor": client__gender7431, "filter": { "type": "string" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__gender) The sex of this person (male or female).") }, "sortable": true, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user7432, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "type", "editable": true, "editor": type7433, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer1", "editable": true, "editor": signer17434, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer2", "editable": true, "editor": signer27435, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company7436, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person7437, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role7438, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7440, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_decided", "editable": true, "editor": date_decided7441, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "date_issued", "editable": true, "editor": date_issued7442, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "user_asd", "editable": true, "editor": user_asd7443, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7444, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "ending", "editable": true, "editor": ending7445, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "date_ended", "editable": true, "editor": date_ended7446, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 23, "dataIndex": "duration", "editable": true, "editor": duration7447, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 24, "dataIndex": "reference_person", "editable": true, "editor": reference_person7448, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7449, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "remark", "editable": true, "editor": remark7450, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime7451, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "schedule", "editable": true, "editor": schedule7452, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 29, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7453, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 30, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7454, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.jobs.ContractsSearch.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsSearch.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsSearch",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    Lino.jobs.ContractsSearch.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  return new Lino.jobs.ContractsSearch.insertPanel(p);
});
Lino.jobs.ContractsSearch.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsSearch.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsSearch",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    Lino.jobs.ContractsSearch.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  return new Lino.jobs.ContractsSearch.detailPanel(p);
});
Lino.jobs.ContractsSearch.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsSearch.GridPanel(p);
});
Lino.jobs.ContractsSearch.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class b2c.Accounts
Lino.b2c.Accounts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Accounts",
  ls_store_fields : [ { "name": "iban" }, { "name": "bic" }, { "dateFormat": "d.m.Y", "name": "last_transaction", "type": "date" }, { "name": "partners" }, { "name": "owner_name" }, { "name": "account_name" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Importierte  Bankkonten",
  disabled_fields_index : 7,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Accounts.detail;
    var ww = this.containing_window;
    var iban7456 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic7457 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var last_transaction7458 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var partners_disp7459 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var owner_name7460 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 70, "selectOnFocus": true });
    var account_name7461 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 70, "selectOnFocus": true });
    var id7462 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "iban", "editable": true, "editor": iban7456, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "bic", "editable": true, "editor": bic7457, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "last_transaction", "editable": true, "editor": last_transaction7458, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Last transaction", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.last_transaction) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "partners", "editable": false, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.partners) ") }, "sortable": false, "tooltip": "(b2c.Accounts.partners) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "owner_name", "editable": true, "editor": owner_name7460, "filter": { "type": "string" }, "header": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.owner_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "account_name", "editable": true, "editor": account_name7461, "filter": { "type": "string" }, "header": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.account_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7462, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.b2c.Accounts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Accounts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Accounts.detailPanel = Ext.extend(Lino.b2c.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Accounts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Accounts.detail;
    Lino.b2c.Accounts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Accounts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Accounts" };
  return new Lino.b2c.Accounts.detailPanel(p);
});
Lino.b2c.Accounts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Accounts" };
  return new Lino.b2c.Accounts.GridPanel(p);
});

// js_render_GridPanel_class b2c.Statements
Lino.b2c.Statements.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Statements",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "statement_number" }, { "name": "balance_start" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "balance_end" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "local_currency" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 70,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Statements.detail;
    var ww = this.containing_window;
    var account7464 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Statements/account" }) }) });
    var statement_number7465 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var balance_start7466 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date7467 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance_end7468 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var end_date7469 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var local_currency7470 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(3), "maxLength": 3, "selectOnFocus": true });
    var id7471 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account7464, "filter": { "type": "string" }, "header": "Importiertes  Bankkonto", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.b2c.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "statement_number", "editable": true, "editor": statement_number7465, "filter": { "type": "string" }, "header": "Auszugsnummer", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "sortable": true, "tooltip": "Combination of the year and the legal sequential number of the paper statement.", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 2, "dataIndex": "balance_start", "editable": true, "editor": balance_start7466, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.balance_start) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date7467, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "balance_end", "editable": true, "editor": balance_end7468, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.balance_end) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7469, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "local_currency", "editable": true, "editor": local_currency7470, "filter": { "type": "string" }, "header": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.local_currency) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(5) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7471, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.b2c.Statements.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Statements.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Statements.detailPanel = Ext.extend(Lino.b2c.Statements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Statements",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Statements.detail;
    Lino.b2c.Statements.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Statements.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Statements" };
  return new Lino.b2c.Statements.detailPanel(p);
});
Lino.b2c.Statements.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Statements" };
  return new Lino.b2c.Statements.GridPanel(p);
});

// js_render_GridPanel_class b2c.Transactions
Lino.b2c.Transactions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Transactions",
  ls_store_fields : [ { "name": "statement" }, 'statementHidden', { "name": "seqno", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "amount" }, { "name": "remote_account" }, { "name": "remote_owner" }, { "name": "id", "type": "int" }, { "name": "remote_bic" }, { "name": "message" }, { "name": "eref" }, { "name": "remote_owner_address" }, { "name": "remote_owner_city" }, { "name": "remote_owner_postalcode" }, { "name": "remote_owner_country_code" }, { "name": "txcd" }, { "name": "txcd_issuer" }, { "dateFormat": "d.m.Y", "name": "booking_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 71,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Transaktionen",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Transactions.detail;
    var ww = this.containing_window;
    var statement7473 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Transactions/statement" }) }) });
    var seqno7474 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var value_date7475 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var amount7476 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var remote_account7477 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 64, "selectOnFocus": true });
    var remote_owner7478 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 128, "selectOnFocus": true });
    var id7479 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remote_bic7480 = new Lino.UppercaseTextField({ "allowBlank": true, "hidden": true, "maxLength": 11, "selectOnFocus": true });
    var message7481 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var eref7482 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner_address7483 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remote_owner_city7484 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var remote_owner_postalcode7485 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remote_owner_country_code7486 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(4), "hidden": true, "maxLength": 4, "selectOnFocus": true });
    var txcd7487 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var txcd_issuer7488 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 35, "selectOnFocus": true });
    var booking_date7489 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "statement", "editable": true, "editor": statement7473, "filter": { "type": "string" }, "header": "Kontoauszug", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.statement) ") }, "renderer": Lino.fk_renderer('statementHidden','Lino.b2c.Statements.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7474, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.seqno) The sequence number of this transaction in the statement.") }, "sortable": true, "tooltip": "The sequence number of this transaction in the statement.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "value_date", "editable": true, "editor": value_date7475, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.value_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount7476, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "remote_account", "editable": true, "editor": remote_account7477, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_account) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "remote_owner", "editable": true, "editor": remote_owner7478, "filter": { "type": "string" }, "header": "Name Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7479, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "remote_bic", "editable": true, "editor": remote_bic7480, "filter": { "type": "string" }, "header": "BIC", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 8, "dataIndex": "message", "editable": true, "editor": message7481, "filter": { "type": "string" }, "header": "Meldung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.message) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "eref", "editable": true, "editor": eref7482, "filter": { "type": "string" }, "header": "End to end reference", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.eref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "remote_owner_address", "editable": true, "editor": remote_owner_address7483, "filter": { "type": "string" }, "header": "Adresse Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_address) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "remote_owner_city", "editable": true, "editor": remote_owner_city7484, "filter": { "type": "string" }, "header": "Stadt Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_city) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "remote_owner_postalcode", "editable": true, "editor": remote_owner_postalcode7485, "filter": { "type": "string" }, "header": "PLZ Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_postalcode) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "remote_owner_country_code", "editable": true, "editor": remote_owner_country_code7486, "filter": { "type": "string" }, "header": "Land Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_country_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 14, "dataIndex": "txcd", "editable": true, "editor": txcd7487, "filter": { "type": "string" }, "header": "Transfer-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.txcd) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "txcd_issuer", "editable": true, "editor": txcd_issuer7488, "filter": { "type": "string" }, "header": "TxCd issuer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.txcd_issuer) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "booking_date", "editable": true, "editor": booking_date7489, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.booking_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.b2c.Transactions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Transactions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Transactions.detailPanel = Ext.extend(Lino.b2c.Transactions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Transactions",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Transactions.detail;
    Lino.b2c.Transactions.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Transactions.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Transactions" };
  return new Lino.b2c.Transactions.detailPanel(p);
});
Lino.b2c.Transactions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Transactions" };
  return new Lino.b2c.Transactions.GridPanel(p);
});

// js_render_GridPanel_class integ.Clients
Lino.integ.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "contract_company" }, 'contract_companyHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.Clients.detail;
    var ww = this.containing_window;
    var name_column_disp7491 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var applies_from7492 = new Lino.DateField({ "disabled": true });
    var applies_until7493 = new Lino.DateField({ "disabled": true });
    var contract_company7494 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var national_id7495 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7496 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7497 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7498 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7499 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7500 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7501 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/aid_type" }) }) });
    var language7503 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.name_column) ") }, "sortable": false, "tooltip": "(integ.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": false, "format": "d.m.Y", "header": "Vertrag beginnt", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.applies_from) ") }, "sortable": true, "tooltip": "(integ.Clients.applies_from) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": false, "format": "d.m.Y", "header": "Vertrag endet", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.applies_until) ") }, "sortable": true, "tooltip": "(integ.Clients.applies_until) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "contract_company", "editable": false, "header": "Arbeitet bei", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.contract_company) ") }, "renderer": Lino.fk_renderer('contract_companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.Clients.contract_company) ", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "national_id", "editable": true, "editor": national_id7495, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "gsm", "editable": true, "editor": gsm7496, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.address_column) ") }, "sortable": false, "tooltip": "(integ.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "email", "editable": true, "editor": email7499, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "phone", "editable": true, "editor": phone7500, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id7501, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "aid_type", "editable": true, "editor": aid_type7502, "filter": { "type": "string" }, "header": "Sozialhilfeart", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language7503, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.integ.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/integ/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.Clients.detail;
    Lino.integ.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/Clients" };
  return new Lino.integ.Clients.detailPanel(p);
});
Lino.integ.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/Clients" };
  p.params_panel = new Lino.integ.Clients.ParamsPanel({});
  return new Lino.integ.Clients.GridPanel(p);
});
Lino.integ.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.UsersOverview
Lino.users.UsersOverview.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/UsersOverview",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of users.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzer",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    var ww = this.containing_window;
    var username6568 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type6569 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var language6570 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username6568, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "sortable": true, "tooltip": "Must be either unique or empty.  Users with an empty username cannot\nsign in.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type6569, "filter": { "options": [ "000 (000 (Anonym))", "100 (100 (Begleiter im DSBE))", "110 (110 (Sozialarbeiter DSBE (Verwalter)))", "120 (120 (Sozialarbeiter DSBE (flexibel)))", "200 (200 (Berater Erstempfang))", "210 (210 (Empfangsschalter))", "220 (220 (Empfangsschalter (flexibel)))", "300 (300 (Schuldenberater))", "400 (400 (Sozi))", "410 (410 (Sozialarbeiter (Verwalter)))", "420 (420 (Sozialarbeiter ASD (flexibel)))", "500 (500 (Buchhalter))", "510 (510 (Buchhalter (Verwalter)))", "800 (800 (Supervisor))", "900 (900 (Verwalter))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "Benutzerart", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "sortable": false, "tooltip": "The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.", "width": Lino.chars2width(47) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language6570, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.users.UsersOverview.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.insertPanel(p);
});
Lino.users.UsersOverview.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.detailPanel(p);
});
Lino.users.UsersOverview.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  p.params_panel = new Lino.users.UsersOverview.ParamsPanel({});
  return new Lino.users.UsersOverview.GridPanel(p);
});
Lino.users.UsersOverview.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.Me
Lino.users.Me.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/Me",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "password" }, { "name": "last_login" }, { "name": "initials" }, { "name": "remarks" }, { "name": "partner" }, 'partnerHidden', { "name": "date_format" }, 'date_formatHidden', { "name": "dashboard_layout" }, { "name": "newcomer_consultations", "type": "boolean" }, { "name": "newcomer_appointments", "type": "boolean" }, { "name": "notify_myself", "type": "boolean" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "access_class" }, 'access_classHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "calendar" }, 'calendarHidden', { "name": "coaching_type" }, 'coaching_typeHidden', { "name": "coaching_supervisor", "type": "boolean" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of users.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Einstellungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.Me.detail;
    var ww = this.containing_window;
    var username7505 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type7506 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var first_name7507 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var last_name7508 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var id7509 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email7510 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language7511 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var modified7512 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7513 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7514 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7515 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var password7516 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var last_login7517 = new Ext.form.DisplayField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": "<br>" });
    var initials7518 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remarks7519 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var partner7520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/partner" }) }) });
    var date_format7521 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.about.DateFormats });
    var dashboard_layout7522 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var newcomer_consultations7523 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_appointments7524 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var notify_myself7525 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var mail_mode7526 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var access_class7527 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var event_type7528 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/event_type" }) }) });
    var calendar7529 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/calendar" }) }) });
    var coaching_type7530 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/coaching_type" }) }) });
    var coaching_supervisor7531 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_quota7532 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username7505, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "sortable": true, "tooltip": "Must be either unique or empty.  Users with an empty username cannot\nsign in.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type7506, "filter": { "options": [ "000 (000 (Anonym))", "100 (100 (Begleiter im DSBE))", "110 (110 (Sozialarbeiter DSBE (Verwalter)))", "120 (120 (Sozialarbeiter DSBE (flexibel)))", "200 (200 (Berater Erstempfang))", "210 (210 (Empfangsschalter))", "220 (220 (Empfangsschalter (flexibel)))", "300 (300 (Schuldenberater))", "400 (400 (Sozi))", "410 (410 (Sozialarbeiter (Verwalter)))", "420 (420 (Sozialarbeiter ASD (flexibel)))", "500 (500 (Buchhalter))", "510 (510 (Buchhalter (Verwalter)))", "800 (800 (Supervisor))", "900 (900 (Verwalter))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "Benutzerart", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "sortable": false, "tooltip": "The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.", "width": Lino.chars2width(47) }, { "colIndex": 2, "dataIndex": "first_name", "editable": true, "editor": first_name7507, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "last_name", "editable": true, "editor": last_name7508, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7509, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "email", "editable": true, "editor": email7510, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.email) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7511, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date7514, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.start_date) If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.") }, "sortable": true, "tooltip": "If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7515, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "password", "editable": true, "editor": password7516, "filter": { "type": "string" }, "header": "password", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.password) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "last_login", "editable": true, "editor": last_login7517, "header": "last login", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.last_login) Not used in Lino.") }, "sortable": true, "tooltip": "Not used in Lino.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "initials", "editable": true, "editor": initials7518, "filter": { "type": "string" }, "header": "Initialien", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.initials) The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.") }, "sortable": true, "tooltip": "The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks7519, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "partner", "editable": true, "editor": partner7520, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.partner) The partner record with additional contact information about\nthis user account.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner record with additional contact information about\nthis user account.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_format", "editable": true, "editor": date_format7521, "filter": { "options": [ "dd.mm.y", "dd.mm.yy", "dd/mm/y", "dd/mm/yy" ], "type": "list" }, "header": "Date format", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.date_format) The date format to use when parsing or displaying dates.") }, "sortable": false, "tooltip": "The date format to use when parsing or displaying dates.", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "dashboard_layout", "editable": true, "editor": dashboard_layout7522, "filter": { "type": "string" }, "header": "dashboard layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.dashboard_layout) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "newcomer_consultations", "editable": true, "filter": { "type": "boolean" }, "header": " Erstempfang direkt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "sortable": false, "tooltip": "Accepts prompt consultations for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "newcomer_appointments", "editable": true, "filter": { "type": "boolean" }, "header": "Erstempfang auf Vereinbarung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_appointments) Accepts appointments for newcomers.") }, "sortable": false, "tooltip": "Accepts appointments for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "notify_myself", "editable": true, "filter": { "type": "boolean" }, "header": "Benachrichtigungen an mich selbst", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.notify_myself) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode7526, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 22, "dataIndex": "access_class", "editable": true, "editor": access_class7527, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Standardm\u00e4\u00dfige Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.access_class) Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben") }, "sortable": false, "tooltip": "Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben", "width": Lino.chars2width(35) }, { "colIndex": 23, "dataIndex": "event_type", "editable": true, "editor": event_type7528, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.event_type) The default type for your calendar entries.") }, "sortable": false, "tooltip": "The default type for your calendar entries.", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "calendar", "editable": true, "editor": calendar7529, "filter": { "type": "string" }, "header": "User Calendar", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.calendar) Calendar where your events are published.") }, "sortable": false, "tooltip": "Calendar where your events are published.", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "coaching_type", "editable": true, "editor": coaching_type7530, "filter": { "type": "string" }, "header": "Dienst", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.coaching_type) The coaching type used for new coachings of this user.") }, "sortable": false, "tooltip": "The coaching type used for new coachings of this user.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "coaching_supervisor", "editable": true, "filter": { "type": "boolean" }, "header": "Coaching supervisor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.coaching_supervisor) Notify me when a coach has been assigned.") }, "sortable": false, "tooltip": "Notify me when a coach has been assigned.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 27, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota7532, "filter": { "type": "numeric" }, "format": "0", "header": "Quote Erstempfang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.users.Me.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.Me.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.Me.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/users/Me",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.Me.detail;
    Lino.users.Me.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.Me.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/Me" };
  return new Lino.users.Me.detailPanel(p);
});
Lino.users.Me.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/Me" };
  p.params_panel = new Lino.users.Me.ParamsPanel({});
  return new Lino.users.Me.GridPanel(p);
});
Lino.users.Me.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.CompaniesAndContracts
Lino.integ.CompaniesAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CompaniesAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "partner_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "partner_ptr",
  pk_index : 8,
  content_type : 9,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organisations externes et contrats",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    var ww = this.containing_window;
    var description7534 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var vc07535 = new Ext.form.NumberField({ "disabled": true });
    var vc17536 = new Ext.form.NumberField({ "disabled": true });
    var vc27537 = new Ext.form.NumberField({ "disabled": true });
    var vc37538 = new Ext.form.NumberField({ "disabled": true });
    var vc47539 = new Ext.form.NumberField({ "disabled": true });
    var vc57540 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.CompaniesAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc3) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc4) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc5) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CompaniesAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CompaniesAndContracts.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/CompaniesAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    Lino.integ.CompaniesAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  return new Lino.integ.CompaniesAndContracts.insertPanel(p);
});
Lino.integ.CompaniesAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CompaniesAndContracts.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/CompaniesAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    Lino.integ.CompaniesAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  return new Lino.integ.CompaniesAndContracts.detailPanel(p);
});
Lino.integ.CompaniesAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.integ.CompaniesAndContracts.GridPanel(p);
});
Lino.integ.CompaniesAndContracts.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.JobProvidersAndContracts
Lino.integ.JobProvidersAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/JobProvidersAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "partner_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "partner_ptr",
  pk_index : 8,
  content_type : 9,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job providers and contrats",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    var ww = this.containing_window;
    var description7542 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var vc07543 = new Ext.form.NumberField({ "disabled": true });
    var vc17544 = new Ext.form.NumberField({ "disabled": true });
    var vc27545 = new Ext.form.NumberField({ "disabled": true });
    var vc37546 = new Ext.form.NumberField({ "disabled": true });
    var vc47547 = new Ext.form.NumberField({ "disabled": true });
    var vc57548 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.JobProvidersAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "Sozial\u00f6konomie", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "Sozial\u00f6konomie - major\u00e9", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "Stadt Eupen", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc3) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung Schule", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc4) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc5) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.JobProvidersAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobProvidersAndContracts.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/JobProvidersAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    Lino.integ.JobProvidersAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  return new Lino.integ.JobProvidersAndContracts.insertPanel(p);
});
Lino.integ.JobProvidersAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobProvidersAndContracts.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/JobProvidersAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    Lino.integ.JobProvidersAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  return new Lino.integ.JobProvidersAndContracts.detailPanel(p);
});
Lino.integ.JobProvidersAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.integ.JobProvidersAndContracts.GridPanel(p);
});
Lino.integ.JobProvidersAndContracts.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.Contracts
Lino.art61.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    var ww = this.containing_window;
    var id7550 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client7551 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var client__national_id7552 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from7553 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7554 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7555 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var type7556 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var signer17557 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/signer1" }) }) });
    var signer27558 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/signer2" }) }) });
    var company7559 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var contact_person7560 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_person" }) }) });
    var contact_role7561 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_role" }) }) });
    var printed_by7562 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7563 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7564 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7565 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7566 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7567 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user_asd" }) }) });
    var exam_policy7568 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/exam_policy" }) }) });
    var ending7569 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var duration7570 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person7571 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7572 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7573 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title7574 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status7575 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/status" }) }) });
    var cv_duration7576 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/cv_duration" }) }) });
    var regime7577 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/regime" }) }) });
    var subsidize_107578 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_207579 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_307580 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_407581 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_507582 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7560.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7572.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7559 !== 'undefined' && company7559.on('change',Lino.chooser_handler(contact_person7560,'company'));
      Lino.art61.Contracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7550, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7551, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id7552, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from7553, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7554, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7555, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type7556, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer17557, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer27558, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company7559, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_person", "editable": true, "editor": contact_person7560, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_role", "editable": true, "editor": contact_role7561, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language7563, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "applies_until", "editable": true, "editor": applies_until7564, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided7565, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued7566, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd7567, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7568, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "ending", "editable": true, "editor": ending7569, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration7570, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person7571, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7572, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark7573, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "job_title", "editable": true, "editor": job_title7574, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "status", "editable": true, "editor": status7575, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration7576, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime7577, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 32, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.art61.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.Contracts.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    Lino.art61.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/Contracts" };
  return new Lino.art61.Contracts.insertPanel(p);
});
Lino.art61.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.Contracts.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    Lino.art61.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Contracts" };
  return new Lino.art61.Contracts.detailPanel(p);
});
Lino.art61.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Contracts" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.Contracts.GridPanel(p);
});
Lino.art61.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.MyContracts
Lino.art61.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/MyContracts",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    var ww = this.containing_window;
    var applies_from7584 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7585 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/client" }) }) });
    var type7586 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/type" }) }) });
    var company7587 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/company" }) }) });
    var applies_until7588 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7589 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending7590 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/ending" }) }) });
    var id7591 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer17592 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/signer1" }) }) });
    var signer27593 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/signer2" }) }) });
    var user7594 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/user" }) }) });
    var contact_person7595 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/contact_person" }) }) });
    var contact_role7596 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/contact_role" }) }) });
    var printed_by7597 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7598 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided7599 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7600 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/user_asd" }) }) });
    var exam_policy7602 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/exam_policy" }) }) });
    var duration7603 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person7604 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7605 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7606 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title7607 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status7608 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/status" }) }) });
    var cv_duration7609 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/cv_duration" }) }) });
    var regime7610 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/regime" }) }) });
    var subsidize_107611 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_207612 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_307613 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_407614 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_507615 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7595.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7605.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7587 !== 'undefined' && company7587.on('change',Lino.chooser_handler(contact_person7595,'company'));
      Lino.art61.MyContracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from7584, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7585, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7586, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company7587, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until7588, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "date_ended", "editable": true, "editor": date_ended7589, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "ending", "editable": true, "editor": ending7590, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7591, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer17592, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer27593, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user7594, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7595, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7596, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language7598, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided7599, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued7600, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd7601, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7602, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration7603, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person7604, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7605, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark7606, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "job_title", "editable": true, "editor": job_title7607, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "status", "editable": true, "editor": status7608, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration7609, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "regime", "editable": true, "editor": regime7610, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.art61.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.MyContracts.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    Lino.art61.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/MyContracts" };
  return new Lino.art61.MyContracts.insertPanel(p);
});
Lino.art61.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.MyContracts.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    Lino.art61.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/MyContracts" };
  return new Lino.art61.MyContracts.detailPanel(p);
});
Lino.art61.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/MyContracts" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.MyContracts.GridPanel(p);
});
Lino.art61.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseProviders
Lino.xcourses.CourseProviders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseProviders",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursanbieter) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanbieter",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseProviders.detail;
    this.ls_insert_handler = Lino.xcourses.CourseProviders.insert;
    var ww = this.containing_window;
    var name_column_disp7617 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7618 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7619 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7620 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7621 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7622 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language7623 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url7624 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7625 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7626 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7627 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7628 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/country" }) }) });
    var city7629 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/city" }) }) });
    var zip_code7630 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7631 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/region" }) }) });
    var addr17632 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7633 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7634 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7635 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7636 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27637 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7638 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name7639 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7640 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete7641 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7642 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/activity" }) }) });
    var client_contact_type7643 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/client_contact_type" }) }) });
    var payment_term7644 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/payment_term" }) }) });
    var type7645 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/type" }) }) });
    var vat_id7646 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city7629.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7629.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7631.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7628 !== 'undefined' && country7628.on('change',Lino.chooser_handler(city7629,'country'));
      typeof region7631 !== 'undefined' && region7631.on('change',Lino.chooser_handler(city7629,'region'));
      typeof country7628 !== 'undefined' && country7628.on('change',Lino.chooser_handler(region7631,'country'));
      Lino.xcourses.CourseProviders.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.name_column) ") }, "sortable": false, "tooltip": "(xcourses.CourseProviders.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.address_column) ") }, "sortable": false, "tooltip": "(xcourses.CourseProviders.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email7619, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone7620, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm7621, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7622, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7623, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url7624, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax7625, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country7628, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city7629, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code7630, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region7631, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr17632, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7633, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street7634, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no7635, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box7636, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr27637, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix7638, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name7639, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7642, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7643, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term7644, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "type", "editable": true, "editor": type7645, "filter": { "type": "string" }, "header": "Organisationsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "vat_id", "editable": true, "editor": vat_id7646, "filter": { "type": "string" }, "header": "MwSt.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.vat_id) The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.") }, "sortable": true, "tooltip": "The VAT id used to identify this partner. Lino verifies validity\nbased on the partner's country field.", "width": Lino.chars2width(22) } ];
    Lino.xcourses.CourseProviders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseProviders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseProviders.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseProviders",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseProviders.detail;
    this.ls_insert_handler = Lino.xcourses.CourseProviders.insert;
    Lino.xcourses.CourseProviders.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseProviders.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseProviders" };
  return new Lino.xcourses.CourseProviders.insertPanel(p);
});
Lino.xcourses.CourseProviders.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseProviders.detailPanel = Ext.extend(Lino.xcourses.CourseProviders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursanbieter) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseProviders",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseProviders.detail;
    this.ls_insert_handler = Lino.xcourses.CourseProviders.insert;
    Lino.xcourses.CourseProviders.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseProviders.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseProviders" };
  return new Lino.xcourses.CourseProviders.detailPanel(p);
});
Lino.xcourses.CourseProviders.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseProviders" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.xcourses.CourseProviders.GridPanel(p);
});
Lino.xcourses.CourseProviders.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseOffers
Lino.xcourses.CourseOffers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseOffers",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "title" }, { "name": "guest_role" }, 'guest_roleHidden', { "name": "content" }, 'contentHidden', { "name": "provider" }, 'providerHidden', { "name": "description" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursangebote",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffers.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffers.insert;
    var ww = this.containing_window;
    var id7648 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var title7649 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var guest_role7650 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/guest_role" }) }) });
    var content7651 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var provider7652 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var description7653 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    this.before_row_edit = function(record) {
      description7653.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7648, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title7649, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "guest_role", "editable": true, "editor": guest_role7650, "filter": { "type": "string" }, "header": "Gastrolle", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.guest_role) Default guest role for particpants of events.") }, "sortable": false, "tooltip": "Default guest role for particpants of events.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content7651, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.content) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "provider", "editable": true, "editor": provider7652, "filter": { "type": "string" }, "header": "Kursanbieter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.xcourses.CourseProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "description", "editable": true, "editor": description7653, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.xcourses.CourseOffers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffers.insertPanel = Ext.extend(Lino.xcourses.CourseOffers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffers",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffers.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffers.insert;
    Lino.xcourses.CourseOffers.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffers.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseOffers" };
  return new Lino.xcourses.CourseOffers.insertPanel(p);
});
Lino.xcourses.CourseOffers.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffers.detailPanel = Ext.extend(Lino.xcourses.CourseOffers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffers.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffers.insert;
    Lino.xcourses.CourseOffers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffers" };
  return new Lino.xcourses.CourseOffers.detailPanel(p);
});
Lino.xcourses.CourseOffers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffers" };
  return new Lino.xcourses.CourseOffers.GridPanel(p);
});
Lino.xcourses.CourseOffers.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.PendingCourseRequests
Lino.xcourses.PendingCourseRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/PendingCourseRequests",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "workflow_buttons" }, { "name": "person" }, 'personHidden', { "name": "age", "type": "int", "useNull": true }, { "name": "address" }, { "name": "person__gsm" }, { "name": "person__phone" }, { "name": "person__coaches" }, { "name": "content" }, 'contentHidden', { "name": "urgent", "type": "boolean" }, { "name": "remark" }, { "name": "a16", "type": "int", "useNull": true }, { "name": "a25", "type": "int", "useNull": true }, { "name": "a31", "type": "int", "useNull": true }, { "name": "a41", "type": "int", "useNull": true }, { "name": "a51", "type": "int", "useNull": true }, { "name": "a61", "type": "int", "useNull": true }, { "name": "ax", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 20,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Offene Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.PendingCourseRequests.detail;
    var ww = this.containing_window;
    var date_submitted7655 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var workflow_buttons_disp7656 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var person7657 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/person" }) }) });
    var age7658 = new Ext.form.NumberField({ "disabled": true });
    var address_disp7659 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var person__gsm7660 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var person__phone7661 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var person__coaches_disp7662 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var content7663 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/content" }) }) });
    var urgent7664 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var remark7665 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var a167666 = new Ext.form.NumberField({ "disabled": true });
    var a257667 = new Ext.form.NumberField({ "disabled": true });
    var a317668 = new Ext.form.NumberField({ "disabled": true });
    var a417669 = new Ext.form.NumberField({ "disabled": true });
    var a517670 = new Ext.form.NumberField({ "disabled": true });
    var a617671 = new Ext.form.NumberField({ "disabled": true });
    var ax7672 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted7655, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person7657, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "age", "editable": false, "format": "0", "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.age) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.age) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "address", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.address) ") }, "sortable": false, "tooltip": "(xcourses.PendingCourseRequests.address) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "person__gsm", "editable": true, "editor": person__gsm7660, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.person__gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "person__phone", "editable": true, "editor": person__phone7661, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.person__phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "person__coaches", "editable": true, "editor": person__coaches_disp7662, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.person__coaches) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.person__coaches) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "content", "editable": true, "editor": content7663, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.content) Der gew\u00fcnschte Kursinhalt.)") }, "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "remark", "editable": true, "editor": remark7665, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 11, "dataIndex": "a16", "editable": false, "format": "0", "header": "16-24", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a16) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a16) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 12, "dataIndex": "a25", "editable": false, "format": "0", "header": "25-30", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a25) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a25) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 13, "dataIndex": "a31", "editable": false, "format": "0", "header": "31-40", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a31) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a31) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "a41", "editable": false, "format": "0", "header": "41-50", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a41) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a41) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "a51", "editable": false, "format": "0", "header": "51-60", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a51) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a51) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 16, "dataIndex": "a61", "editable": false, "format": "0", "header": ">61", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a61) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a61) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 17, "dataIndex": "ax", "editable": false, "format": "0", "header": "unbek. Alter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.ax) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.ax) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.xcourses.PendingCourseRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.PendingCourseRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.PendingCourseRequests.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/PendingCourseRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.PendingCourseRequests.detail;
    Lino.xcourses.PendingCourseRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.PendingCourseRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/PendingCourseRequests" };
  return new Lino.xcourses.PendingCourseRequests.detailPanel(p);
});
Lino.xcourses.PendingCourseRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/PendingCourseRequests" };
  p.params_panel = new Lino.xcourses.PendingCourseRequests.ParamsPanel({});
  return new Lino.xcourses.PendingCourseRequests.GridPanel(p);
});
Lino.xcourses.PendingCourseRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.IdentifyPersonRequests
Lino.cbss.IdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user7674 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var person7675 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var environment7676 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7677 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7678 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7679 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7680 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7681 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7682 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7683 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7684 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7685 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7686 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7687 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no7688 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7689 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7690 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7691 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name7692 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender7693 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance7694 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7674, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7675, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7680, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7686, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7687, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7688, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7689, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7690, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7691, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name7692, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender7693, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance7694, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.IdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    Lino.cbss.IdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  return new Lino.cbss.IdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.IdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    Lino.cbss.IdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  return new Lino.cbss.IdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.IdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.IdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.IdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyIdentifyPersonRequests
Lino.cbss.MyIdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyIdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine IdentifyPerson-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user7696 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyIdentifyPersonRequests/user" }) }) });
    var person7697 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyIdentifyPersonRequests/person" }) }) });
    var environment7698 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7699 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7700 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7701 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7702 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7703 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7704 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7705 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7706 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7707 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7708 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7709 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no7710 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7711 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7712 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7713 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name7714 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender7715 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance7716 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7696, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7697, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7702, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7708, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7709, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7710, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7711, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7712, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7713, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name7714, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender7715, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance7716, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.MyIdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyIdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyIdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    Lino.cbss.MyIdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  return new Lino.cbss.MyIdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyIdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyIdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    Lino.cbss.MyIdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  return new Lino.cbss.MyIdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.MyIdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageAccessRequests
Lino.cbss.ManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 119,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    var ww = this.containing_window;
    var user7718 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var person7719 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var environment7720 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7721 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7722 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7723 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7724 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7725 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7726 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7727 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7728 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7729 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7730 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7731 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no7732 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7733 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7734 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7735 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector7736 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose7737 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var start_date7738 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date7739 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action7740 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register7741 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose7737.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7736 !== 'undefined' && sector7736.on('change',Lino.chooser_handler(purpose7737,'sector'));
      Lino.cbss.ManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7718, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7719, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7724, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7730, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7731, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7732, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7733, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7734, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7735, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose7737, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date7738, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date7739, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action7740, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register7741, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) } ];
    Lino.cbss.ManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    Lino.cbss.ManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  return new Lino.cbss.ManageAccessRequests.insertPanel(p);
});
Lino.cbss.ManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    Lino.cbss.ManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  return new Lino.cbss.ManageAccessRequests.detailPanel(p);
});
Lino.cbss.ManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.ManageAccessRequests.GridPanel(p);
});
Lino.cbss.ManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyManageAccessRequests
Lino.cbss.MyManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 119,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine ManageAccess-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    var ww = this.containing_window;
    var user7743 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/user" }) }) });
    var person7744 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/person" }) }) });
    var environment7745 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7746 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7747 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7748 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7749 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7750 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7751 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7752 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7753 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7754 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7755 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7756 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no7757 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7758 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7759 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7760 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector7761 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose7762 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/purpose" }) }) });
    var start_date7763 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date7764 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action7765 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register7766 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose7762.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7761 !== 'undefined' && sector7761.on('change',Lino.chooser_handler(purpose7762,'sector'));
      Lino.cbss.MyManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7743, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7744, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7749, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7755, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7756, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7757, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7758, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7759, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7760, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose7762, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date7763, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date7764, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action7765, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register7766, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) } ];
    Lino.cbss.MyManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    Lino.cbss.MyManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  return new Lino.cbss.MyManageAccessRequests.insertPanel(p);
});
Lino.cbss.MyManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    Lino.cbss.MyManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  return new Lino.cbss.MyManageAccessRequests.detailPanel(p);
});
Lino.cbss.MyManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.MyManageAccessRequests.GridPanel(p);
});
Lino.cbss.MyManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsRequests
Lino.cbss.RetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 120,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user7768 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var person7769 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var environment7770 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7771 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7772 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7773 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7774 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7775 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7776 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7777 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7778 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7779 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7780 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language7781 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history7782 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7768, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7769, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7774, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7780, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language7781, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.RetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    Lino.cbss.RetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  return new Lino.cbss.RetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    Lino.cbss.RetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  return new Lino.cbss.RetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.RetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyRetrieveTIGroupsRequests
Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyRetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 120,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Tx25-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user7784 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyRetrieveTIGroupsRequests/user" }) }) });
    var person7785 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyRetrieveTIGroupsRequests/person" }) }) });
    var environment7786 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7787 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7788 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7789 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7790 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7791 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7792 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7793 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7794 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7795 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7796 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language7797 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history7798 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7784, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7785, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7790, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7796, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language7797, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyRetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  return new Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyRetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  return new Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.Notes
Lino.notes.Notes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/Notes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "project" }, 'projectHidden', { "name": "subject" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "body" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    var ww = this.containing_window;
    var date7800 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time7801 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var id7802 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user7803 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var event_type7804 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type7805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var project7806 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject7807 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var build_time7808 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7809 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type7810 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/owner_type" }) }) });
    var owner_id7811 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/owner_id" }) }) });
    var company7812 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var contact_person7813 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var contact_role7814 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_role" }) }) });
    var language7815 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important7816 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7817 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body7818 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Inhalt" });
    this.before_row_edit = function(record) {
      owner_id7811.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7813.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body7818.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7810 !== 'undefined' && owner_type7810.on('change',Lino.chooser_handler(owner_id7811,'owner_type'));
      typeof company7812 !== 'undefined' && company7812.on('change',Lino.chooser_handler(contact_person7813,'company'));
      Lino.notes.Notes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date7800, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time7801, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id7802, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user7803, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "event_type", "editable": true, "editor": event_type7804, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7805, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project7806, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "subject", "editable": true, "editor": subject7807, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method7809, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type7810, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id7811, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company7812, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person7813, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role7814, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language7815, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner) ") }, "sortable": false, "tooltip": "(notes.Notes.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "body", "editable": true, "editor": body7818, "filter": { "type": "string" }, "header": "Inhalt", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.notes.Notes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.Notes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/Notes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    Lino.notes.Notes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/Notes" };
  return new Lino.notes.Notes.insertPanel(p);
});
Lino.notes.Notes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.Notes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/Notes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    Lino.notes.Notes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/Notes" };
  return new Lino.notes.Notes.detailPanel(p);
});
Lino.notes.Notes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/Notes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.Notes.GridPanel(p);
});
Lino.notes.Notes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.MyNotes
Lino.notes.MyNotes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/MyNotes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "project" }, 'projectHidden', { "name": "body" }, { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    var ww = this.containing_window;
    var date7820 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time7821 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type7822 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/event_type" }) }) });
    var type7823 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/type" }) }) });
    var subject7824 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var project7825 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/project" }) }) });
    var body7826 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Inhalt" });
    var id7827 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time7828 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7829 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7830 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/user" }) }) });
    var owner_type7831 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/owner_type" }) }) });
    var owner_id7832 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/owner_id" }) }) });
    var company7833 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/company" }) }) });
    var contact_person7834 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/contact_person" }) }) });
    var contact_role7835 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/contact_role" }) }) });
    var language7836 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important7837 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7838 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      body7826.refresh();
      owner_id7832.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7834.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7831 !== 'undefined' && owner_type7831.on('change',Lino.chooser_handler(owner_id7832,'owner_type'));
      typeof company7833 !== 'undefined' && company7833.on('change',Lino.chooser_handler(contact_person7834,'company'));
      Lino.notes.MyNotes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date7820, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time7821, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7822, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type7823, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject7824, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "project", "editable": true, "editor": project7825, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "body", "editable": true, "editor": body7826, "filter": { "type": "string" }, "header": "Inhalt", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7827, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method7829, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user7830, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type7831, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id7832, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company7833, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person7834, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role7835, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7836, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner) ") }, "sortable": false, "tooltip": "(notes.MyNotes.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.MyNotes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.MyNotes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/MyNotes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    Lino.notes.MyNotes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/MyNotes" };
  return new Lino.notes.MyNotes.insertPanel(p);
});
Lino.notes.MyNotes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.MyNotes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/MyNotes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    Lino.notes.MyNotes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/MyNotes" };
  return new Lino.notes.MyNotes.detailPanel(p);
});
Lino.notes.MyNotes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/MyNotes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.MyNotes.GridPanel(p);
});
Lino.notes.MyNotes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.Grantings
Lino.aids.Grantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/Grantings",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    var ww = this.containing_window;
    var id7840 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date7841 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date7842 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7843 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var decision_date7844 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var board7845 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var signer7846 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state7847 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client7848 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type7849 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category7850 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var request_date7851 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      board7845.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date7844 !== 'undefined' && decision_date7844.on('change',Lino.chooser_handler(board7845,'decision_date'));
      Lino.aids.Grantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7840, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7841, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date7842, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user7843, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "decision_date", "editable": true, "editor": decision_date7844, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "board", "editable": true, "editor": board7845, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer", "editable": true, "editor": signer7846, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state7847, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 8, "dataIndex": "client", "editable": true, "editor": client7848, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7849, "filter": { "type": "string" }, "header": "Hilfeart", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category7850, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date7851, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.Grantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Grantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/Grantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    Lino.aids.Grantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/Grantings" };
  return new Lino.aids.Grantings.insertPanel(p);
});
Lino.aids.Grantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Grantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/Grantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    Lino.aids.Grantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Grantings" };
  return new Lino.aids.Grantings.detailPanel(p);
});
Lino.aids.Grantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Grantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.Grantings.GridPanel(p);
});
Lino.aids.Grantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.MyPendingGrantings
Lino.aids.MyPendingGrantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/MyPendingGrantings",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zu best\u00e4tigende Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    var ww = this.containing_window;
    var client7853 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/client" }) }) });
    var aid_type7854 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/aid_type" }) }) });
    var category7855 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/category" }) }) });
    var start_date7856 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date7857 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7858 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/user" }) }) });
    var workflow_buttons_disp7859 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7860 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var decision_date7861 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var board7862 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/board" }) }) });
    var signer7863 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/signer" }) }) });
    var state7864 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var request_date7865 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      board7862.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date7861 !== 'undefined' && decision_date7861.on('change',Lino.chooser_handler(board7862,'decision_date'));
      Lino.aids.MyPendingGrantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client7853, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "aid_type", "editable": true, "editor": aid_type7854, "filter": { "type": "string" }, "header": "Hilfeart", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "category", "editable": true, "editor": category7855, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date7856, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date7857, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7858, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7860, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "decision_date", "editable": true, "editor": decision_date7861, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "board", "editable": true, "editor": board7862, "filter": { "type": "string" }, "header": "Gremium", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer", "editable": true, "editor": signer7863, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "state", "editable": true, "editor": state7864, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 12, "dataIndex": "request_date", "editable": true, "editor": request_date7865, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.MyPendingGrantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.MyPendingGrantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/MyPendingGrantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    Lino.aids.MyPendingGrantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  return new Lino.aids.MyPendingGrantings.insertPanel(p);
});
Lino.aids.MyPendingGrantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.MyPendingGrantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/MyPendingGrantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    Lino.aids.MyPendingGrantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  return new Lino.aids.MyPendingGrantings.detailPanel(p);
});
Lino.aids.MyPendingGrantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.MyPendingGrantings.GridPanel(p);
});
Lino.aids.MyPendingGrantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.SimpleConfirmations
Lino.aids.SimpleConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/SimpleConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einfache Bescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp7867 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created7868 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user7869 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var printed_disp7870 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date7871 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7872 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7873 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company7874 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var contact_person7875 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var contact_role7876 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_role" }) }) });
    var printed_by7877 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer7878 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var state7879 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client7880 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var granting7881 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var remark7882 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language7883 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
      contact_person7875.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark7882.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7874 !== 'undefined' && company7874.on('change',Lino.chooser_handler(contact_person7875,'company'));
      Lino.aids.SimpleConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einfache Bescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user7869, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7871, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7872, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7873, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company7874, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person7875, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role7876, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer7878, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state7879, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client7880, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting7881, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark7882, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7883, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.SimpleConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmations.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmations.detail;
    Lino.aids.SimpleConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmations" };
  return new Lino.aids.SimpleConfirmations.detailPanel(p);
});
Lino.aids.SimpleConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmations" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.SimpleConfirmations.GridPanel(p);
});
Lino.aids.SimpleConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmations
Lino.aids.IncomeConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 137,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp7885 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created7886 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user7887 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var printed_disp7888 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date7889 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7890 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7891 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company7892 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var contact_person7893 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var contact_role7894 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_role" }) }) });
    var printed_by7895 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer7896 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var state7897 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client7898 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var granting7899 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var remark7900 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language7901 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var category7902 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount7903 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7893.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark7900.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7892 !== 'undefined' && company7892.on('change',Lino.chooser_handler(contact_person7893,'company'));
      Lino.aids.IncomeConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einkommensbescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user7887, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7889, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7890, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7891, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company7892, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person7893, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role7894, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer7896, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state7897, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client7898, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting7899, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark7900, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7901, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "category", "editable": true, "editor": category7902, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 18, "dataIndex": "amount", "editable": true, "editor": amount7903, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.aids.IncomeConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmations.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmations.detail;
    Lino.aids.IncomeConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmations" };
  return new Lino.aids.IncomeConfirmations.detailPanel(p);
});
Lino.aids.IncomeConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmations" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmations.GridPanel(p);
});
Lino.aids.IncomeConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.RefundConfirmations
Lino.aids.RefundConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/RefundConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 138,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kosten\u00fcbernahmescheine",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp7905 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created7906 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user7907 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var printed_disp7908 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date7909 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7910 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7911 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company7912 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var contact_person7913 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var contact_role7914 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_role" }) }) });
    var printed_by7915 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer7916 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var state7917 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client7918 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var granting7919 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var remark7920 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language7921 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var doctor_type7922 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor7923 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy7924 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    this.before_row_edit = function(record) {
      contact_person7913.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark7920.refresh();
      doctor7923.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy7924.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company7912 !== 'undefined' && company7912.on('change',Lino.chooser_handler(contact_person7913,'company'));
      typeof doctor_type7922 !== 'undefined' && doctor_type7922.on('change',Lino.chooser_handler(doctor7923,'doctor_type'));
      typeof granting7919 !== 'undefined' && granting7919.on('change',Lino.chooser_handler(pharmacy7924,'granting'));
      Lino.aids.RefundConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Kosten\u00fcbernahmeschein", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user7907, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7909, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7910, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7911, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company7912, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person7913, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role7914, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer7916, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state7917, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client7918, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting7919, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark7920, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7921, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type7922, "filter": { "type": "string" }, "header": "Art des Arztes", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.doctor_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "doctor", "editable": true, "editor": doctor7923, "filter": { "type": "string" }, "header": "Arzt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy7924, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.RefundConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmations.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmations.detail;
    Lino.aids.RefundConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmations" };
  return new Lino.aids.RefundConfirmations.detailPanel(p);
});
Lino.aids.RefundConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmations" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.RefundConfirmations.GridPanel(p);
});
Lino.aids.RefundConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.Summaries
Lino.esf.Summaries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/Summaries",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "year", "type": "int", "useNull": true }, { "name": "month", "type": "int", "useNull": true }, { "name": "esf10" }, { "name": "esf20" }, { "name": "esf21" }, { "name": "esf30" }, { "name": "esf40" }, { "name": "esf41" }, { "name": "esf42" }, { "name": "esf43" }, { "name": "esf44" }, { "name": "esf50" }, { "name": "esf60" }, { "name": "esf70" }, { "name": "master" }, 'masterHidden', { "name": "education_level" }, 'education_levelHidden', { "name": "children_at_charge", "type": "boolean" }, { "name": "certified_handicap", "type": "boolean" }, { "name": "other_difficulty", "type": "boolean" }, { "name": "result" }, 'resultHidden', { "name": "remark" }, { "name": "user_modified", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 139,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of esf.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF Summaries",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.Summaries.detail;
    var ww = this.containing_window;
    var id7926 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var printed_by7927 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var year7928 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var month7929 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var esf107930 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf207931 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf217932 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf307933 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf407934 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf417935 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf427936 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf437937 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf447938 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf507939 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf607940 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf707941 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var master7942 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var education_level7943 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var children_at_charge7944 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var certified_handicap7945 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var other_difficulty7946 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var result7947 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark7948 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user_modified7949 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7926, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "year", "editable": true, "editor": year7928, "filter": { "type": "numeric" }, "format": "0", "header": "Year", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.year) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "month", "editable": true, "editor": month7929, "filter": { "type": "numeric" }, "format": "0", "header": "Month", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.month) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "esf10", "editable": true, "editor": esf107930, "filter": { "type": "string" }, "format": "", "header": "S.Inf", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf10) Informative sessions") }, "sortable": true, "tooltip": "Informative sessions", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "esf20", "editable": true, "editor": esf207931, "filter": { "type": "string" }, "format": "", "header": "E.Ind", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf20) Individual consultation") }, "sortable": true, "tooltip": "Individual consultation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "esf21", "editable": true, "editor": esf217932, "filter": { "type": "string" }, "format": "", "header": "E.For", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf21) Evaluation of external training") }, "sortable": true, "tooltip": "Evaluation of external training", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 7, "dataIndex": "esf30", "editable": true, "editor": esf307933, "filter": { "type": "string" }, "format": "", "header": "SIS", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf30) Certified integration service") }, "sortable": true, "tooltip": "Certified integration service", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 8, "dataIndex": "esf40", "editable": true, "editor": esf407934, "filter": { "type": "string" }, "format": "", "header": "Tst", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf40) Level tests") }, "sortable": true, "tooltip": "Level tests", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 9, "dataIndex": "esf41", "editable": true, "editor": esf417935, "filter": { "type": "string" }, "format": "", "header": "Info", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf41) IT basics") }, "sortable": true, "tooltip": "IT basics", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 10, "dataIndex": "esf42", "editable": true, "editor": esf427936, "filter": { "type": "string" }, "format": "", "header": "Mob", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf42) Mobility") }, "sortable": true, "tooltip": "Mobility", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 11, "dataIndex": "esf43", "editable": true, "editor": esf437937, "filter": { "type": "string" }, "format": "", "header": "Rem", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf43) Remedial teaching") }, "sortable": true, "tooltip": "Remedial teaching", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 12, "dataIndex": "esf44", "editable": true, "editor": esf447938, "filter": { "type": "string" }, "format": "", "header": "AN!", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf44) Wake up!") }, "sortable": true, "tooltip": "Wake up!", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 13, "dataIndex": "esf50", "editable": true, "editor": esf507939, "filter": { "type": "string" }, "format": "", "header": "MSP", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf50) Getting a professional situation") }, "sortable": true, "tooltip": "Getting a professional situation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 14, "dataIndex": "esf60", "editable": true, "editor": esf607940, "filter": { "type": "string" }, "format": "", "header": "CyE", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf60) Cyber Job") }, "sortable": true, "tooltip": "Cyber Job", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 15, "dataIndex": "esf70", "editable": true, "editor": esf707941, "filter": { "type": "string" }, "format": "", "header": "60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf70) Art 60\u00a77 job supplyment") }, "sortable": true, "tooltip": "Art 60\u00a77 job supplyment", "width": Lino.chars2width(10) }, { "colIndex": 16, "dataIndex": "master", "editable": true, "editor": master7942, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "renderer": Lino.fk_renderer('masterHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The target model of the master will automatically receive an\naction check_summaries.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "education_level", "editable": true, "editor": education_level7943, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.education_level) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "children_at_charge", "editable": true, "filter": { "type": "boolean" }, "header": "Kinder zu Lasten", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.children_at_charge) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "certified_handicap", "editable": true, "filter": { "type": "boolean" }, "header": "Certified handicap", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.certified_handicap) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "other_difficulty", "editable": true, "filter": { "type": "boolean" }, "header": "Other difficulty", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.other_difficulty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "result", "editable": true, "editor": result7947, "filter": { "options": [ "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ], "type": "list" }, "header": "Participation Certificate", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.result) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(54) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark7948, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "user_modified", "editable": true, "filter": { "type": "boolean" }, "header": "User modified", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.user_modified) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.esf.Summaries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.Summaries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.esf.Summaries.detailPanel = Ext.extend(Lino.esf.Summaries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/esf/Summaries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.Summaries.detail;
    Lino.esf.Summaries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.Summaries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/Summaries" };
  return new Lino.esf.Summaries.detailPanel(p);
});
Lino.esf.Summaries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.compute_results = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "compute_results", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/Summaries" };
  return new Lino.esf.Summaries.GridPanel(p);
});
Lino.esf.Summaries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.Widgets
Lino.dashboard.Widgets.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/Widgets",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "user" }, 'userHidden', { "name": "item_name" }, { "name": "visible", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 140,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Widgets",
  initComponent : function() {
    var ww = this.containing_window;
    var id7951 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno7952 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user7953 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }) });
    var item_name7954 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/item_name" }) }) });
    var visible7955 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      item_name7954.setContextValue('user', record ? record.data['userHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof user7953 !== 'undefined' && user7953.on('change',Lino.chooser_handler(item_name7954,'user'));
      Lino.dashboard.Widgets.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7951, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7952, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user7953, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "item_name", "editable": true, "editor": item_name7954, "filter": { "type": "string" }, "header": "Resource", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Sichtbar", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.dashboard.Widgets.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.Widgets.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/Widgets" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.Widgets.GridPanel(p);
});
Lino.dashboard.Widgets.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class tinymce.MyTextFieldTemplates
Lino.tinymce.MyTextFieldTemplates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/tinymce/MyTextFieldTemplates",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "name" }, { "name": "description" }, { "name": "text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 142,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einf\u00fcgetext) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of tinymce.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Einf\u00fcgetexte",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    var ww = this.containing_window;
    var id7957 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user7958 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/MyTextFieldTemplates/user" }) }) });
    var name7959 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var description7960 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var text7961 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Vorlagentext" });
    this.before_row_edit = function(record) {
      text7961.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7957, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user7958, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name7959, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "description", "editable": true, "editor": description7960, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "text", "editable": true, "editor": text7961, "filter": { "type": "string" }, "header": "Vorlagentext", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.text) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.tinymce.MyTextFieldTemplates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.MyTextFieldTemplates.insertPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/tinymce/MyTextFieldTemplates",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    Lino.tinymce.MyTextFieldTemplates.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  return new Lino.tinymce.MyTextFieldTemplates.insertPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.MyTextFieldTemplates.detailPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einf\u00fcgetext) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/tinymce/MyTextFieldTemplates",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    Lino.tinymce.MyTextFieldTemplates.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  return new Lino.tinymce.MyTextFieldTemplates.detailPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  p.params_panel = new Lino.tinymce.TextFieldTemplates.ParamsPanel({});
  return new Lino.tinymce.MyTextFieldTemplates.GridPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntryRepeaterTable
Lino.cal.EntryRepeaterTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntryRepeaterTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "name": "cal_entry" }, 'cal_entryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Cal entry repeaters",
  initComponent : function() {
    var ww = this.containing_window;
    var id7963 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date7964 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var start_time7965 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7966 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_time7967 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var every_unit7968 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every7969 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 1 });
    var positions7970 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var monday7971 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var tuesday7972 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var wednesday7973 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var thursday7974 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var friday7975 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var saturday7976 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var sunday7977 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var max_events7978 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var cal_entry7979 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntryRepeaterTable/cal_entry" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7963, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7964, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.start_date) Das Beginndatum der ersten Veranstaltung.") }, "sortable": true, "tooltip": "Das Beginndatum der ersten Veranstaltung.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "start_time", "editable": true, "editor": start_time7965, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date7966, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "sortable": true, "tooltip": "Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_time", "editable": true, "editor": end_time7967, "header": "Endet um", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 5, "dataIndex": "every_unit", "editable": true, "editor": every_unit7968, "filter": { "options": [ "einmalig", "t\u00e4glich", "w\u00f6chentlich", "monatlich", "j\u00e4hrlich", "pro Wochentag", "Beweglich mit Ostern" ], "type": "list" }, "header": "Wiederholung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(24) }, { "align": "right", "colIndex": 6, "dataIndex": "every", "editable": true, "editor": every7969, "filter": { "type": "numeric" }, "format": "0", "header": "... alle", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "positions", "editable": true, "editor": positions7970, "filter": { "type": "string" }, "header": "Positionen", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Montag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Dienstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Mittwoch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 11, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Donnerstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Freitag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Samstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sonntag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "max_events", "editable": true, "editor": max_events7978, "filter": { "type": "numeric" }, "format": "0", "header": "Anzahl Termine", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "cal_entry", "editable": true, "editor": cal_entry7979, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.cal_entry) ") }, "renderer": Lino.fk_renderer('cal_entryHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cal.EntryRepeaterTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntryRepeaterTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntryRepeaterTable" };
  return new Lino.cal.EntryRepeaterTable.GridPanel(p);
});
Lino.cal.EntryRepeaterTable.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.LedgerInfoTable
Lino.ledger.LedgerInfoTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/LedgerInfoTable",
  ls_store_fields : [ { "name": "user" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "user",
  pk_index : 0,
  content_type : 58,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ledger infos",
  initComponent : function() {
    var ww = this.containing_window;
    var user_disp7981 = new Ext.form.DisplayField({ "disabled": true });
    var entry_date7982 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.user) OneToOneField pointing to the user.") }, "sortable": false, "tooltip": "OneToOneField pointing to the user.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date7982, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Last entry date", "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.entry_date) The last value this user typed as entry_date of a voucher.  It is the default value\nfor every new voucher.") }, "sortable": true, "tooltip": "The last value this user typed as entry_date of a voucher.  It is the default value\nfor every new voucher.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.ledger.LedgerInfoTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.LedgerInfoTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/LedgerInfoTable" };
  return new Lino.ledger.LedgerInfoTable.GridPanel(p);
});

// js_render_GridPanel_class finan.JournalEntryItemTable
Lino.finan.JournalEntryItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/JournalEntryItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 72,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Diverse Buchungen",
  initComponent : function() {
    var ww = this.containing_window;
    var id7984 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno7985 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project7986 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/project" }) }) });
    var match7987 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/match" }) }) });
    var amount7988 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark7989 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account7990 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/account" }) }) });
    var partner7991 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/partner" }) }) });
    var date7992 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher7993 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Diverse Buchung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.FinancialVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/voucher" }) }) });
    this.before_row_edit = function(record) {
      match7987.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match7987.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher7993 !== 'undefined' && voucher7993.on('change',Lino.chooser_handler(match7987,'voucher'));
      typeof partner7991 !== 'undefined' && partner7991.on('change',Lino.chooser_handler(match7987,'partner'));
      Lino.finan.JournalEntryItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7984, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7985, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project7986, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match7987, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount7988, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark7989, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account7990, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner7991, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date7992, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.date) The value date of this item.") }, "sortable": true, "tooltip": "The value date of this item.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher7993, "filter": { "type": "string" }, "header": "Diverse Buchung", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.JournalEntryItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntryItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/JournalEntryItemTable" };
  return new Lino.finan.JournalEntryItemTable.GridPanel(p);
});
Lino.finan.JournalEntryItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.BankStatementItemTable
Lino.finan.BankStatementItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/BankStatementItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 73,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Kontoausz\u00fcge",
  initComponent : function() {
    var ww = this.containing_window;
    var id7995 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno7996 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project7997 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/project" }) }) });
    var match7998 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/match" }) }) });
    var amount7999 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark8000 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account8001 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/account" }) }) });
    var partner8002 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/partner" }) }) });
    var date8003 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher8004 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.BankStatements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/voucher" }) }) });
    this.before_row_edit = function(record) {
      match7998.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match7998.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher8004 !== 'undefined' && voucher8004.on('change',Lino.chooser_handler(match7998,'voucher'));
      typeof partner8002 !== 'undefined' && partner8002.on('change',Lino.chooser_handler(match7998,'partner'));
      Lino.finan.BankStatementItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7995, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7996, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project7997, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match7998, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount7999, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark8000, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account8001, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner8002, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date8003, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.date) The value date of this item.") }, "sortable": true, "tooltip": "The value date of this item.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher8004, "filter": { "type": "string" }, "header": "Kontoauszug", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.BankStatementItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatementItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/BankStatementItemTable" };
  return new Lino.finan.BankStatementItemTable.GridPanel(p);
});
Lino.finan.BankStatementItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.PaymentOrderItemTable
Lino.finan.PaymentOrderItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/PaymentOrderItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 74,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Zahlungsauftr\u00e4ge",
  initComponent : function() {
    var ww = this.containing_window;
    var id8006 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8007 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project8008 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/project" }) }) });
    var match8009 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/match" }) }) });
    var amount8010 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark8011 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account8012 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/account" }) }) });
    var partner8013 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/partner" }) }) });
    var bank_account8014 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/bank_account" }) }) });
    var voucher8015 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Zahlungsauftrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.PaymentOrders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/voucher" }) }) });
    this.before_row_edit = function(record) {
      match8009.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match8009.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account8014.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account8014.setContextValue('project', record ? record.data['projectHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher8015 !== 'undefined' && voucher8015.on('change',Lino.chooser_handler(match8009,'voucher'));
      typeof partner8013 !== 'undefined' && partner8013.on('change',Lino.chooser_handler(match8009,'partner'));
      typeof partner8013 !== 'undefined' && partner8013.on('change',Lino.chooser_handler(bank_account8014,'partner'));
      typeof project8008 !== 'undefined' && project8008.on('change',Lino.chooser_handler(bank_account8014,'project'));
      Lino.finan.PaymentOrderItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8006, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8007, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8008, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match8009, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount8010, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark8011, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account8012, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner8013, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "bank_account", "editable": true, "editor": bank_account8014, "filter": { "type": "string" }, "header": "Bankkonto", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.bank_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher8015, "filter": { "type": "string" }, "header": "Zahlungsauftrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.PaymentOrderItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrderItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/PaymentOrderItemTable" };
  return new Lino.finan.PaymentOrderItemTable.GridPanel(p);
});
Lino.finan.PaymentOrderItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class vatless.InvoiceItemTable
Lino.vatless.InvoiceItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/InvoiceItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "voucher" }, 'voucherHidden', { "name": "title" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 78,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Rechnungspositionen",
  initComponent : function() {
    var ww = this.containing_window;
    var id8017 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8018 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project8019 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/project" }) }) });
    var account8020 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/account" }) }) });
    var voucher8021 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Rechnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "vatless.Invoices", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/voucher" }) }) });
    var title8022 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount8023 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account8020.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher8021 !== 'undefined' && voucher8021.on('change',Lino.chooser_handler(account8020,'voucher'));
      Lino.vatless.InvoiceItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8017, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8018, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8019, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "account", "editable": true, "editor": account8020, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.account) ForeignKey pointing to the account (ledger.Account) that is to be moved.") }, "sortable": false, "tooltip": "ForeignKey pointing to the account (ledger.Account) that is to be moved.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "voucher", "editable": true, "editor": voucher8021, "filter": { "type": "string" }, "header": "Rechnung", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "title", "editable": true, "editor": title8022, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.title) The title of this voucher.") }, "sortable": true, "tooltip": "The title of this voucher.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "amount", "editable": true, "editor": amount8023, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.vatless.InvoiceItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.InvoiceItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/InvoiceItemTable" };
  return new Lino.vatless.InvoiceItemTable.GridPanel(p);
});
Lino.vatless.InvoiceItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class countries.PlacesByCountry
Lino.countries.PlacesByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlacesByCountry",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "type" }, 'typeHidden', { "name": "zip_code" }, { "name": "id", "type": "int" }, { "name": "parent" }, 'parentHidden', { "name": "show_type", "type": "boolean" }, { "name": "inscode" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 3,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of countries.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Orte",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    var ww = this.containing_window;
    var name5081 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr5082 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en5083 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type5084 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/type" }) }) });
    var zip_code5085 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true });
    var id5086 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var parent5087 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/parent" }) }) });
    var show_type5088 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var inscode5089 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(5), "hidden": true, "maxLength": 5, "selectOnFocus": true });
    var country5090 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      type5084.setContextValue('mk',bp['mk']);
      type5084.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country5090 !== 'undefined' && country5090.on('change',Lino.chooser_handler(type5084,'country'));
      Lino.countries.PlacesByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name5081, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr5082, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en5083, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type5084, "filter": { "type": "string" }, "header": "Ortsart", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.type) The type of this place (whether it's a city. a village, a province...)") }, "sortable": false, "tooltip": "The type of this place (whether it's a city. a village, a province...)", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "zip_code", "editable": true, "editor": zip_code5085, "filter": { "type": "string" }, "header": "zip code", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5086, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "parent", "editable": true, "editor": parent5087, "filter": { "type": "string" }, "header": "Teil von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.parent) The superordinate geographic place of which this place is a part.") }, "sortable": false, "tooltip": "The superordinate geographic place of which this place is a part.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "show_type", "editable": true, "filter": { "type": "boolean" }, "header": "Show type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.show_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "inscode", "editable": true, "editor": inscode5089, "filter": { "type": "string" }, "header": "INS code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.inscode) The official code for this place used by statbel.fgov.be") }, "sortable": true, "tooltip": "The official code for this place used by statbel.fgov.be", "width": Lino.chars2width(7) }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country5090, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.country) The country this place is in.") }, "sortable": false, "tooltip": "The country this place is in.", "width": Lino.chars2width(21) } ];
    Lino.countries.PlacesByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByCountry.insertPanel = Ext.extend(Lino.countries.Places.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByCountry",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    Lino.countries.PlacesByCountry.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.insertPanel(p);
});
Lino.countries.PlacesByCountry.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByCountry.detailPanel = Ext.extend(Lino.countries.Places.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    Lino.countries.PlacesByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.detailPanel(p);
});
Lino.countries.PlacesByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.GridPanel(p);
});
Lino.countries.PlacesByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnersByCity
Lino.contacts.PartnersByCity.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnersByCity",
  ls_store_fields : [ { "name": "address_column" }, { "name": "name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCity.detail;
    var ww = this.containing_window;
    var address_column_disp4196 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var name4197 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id4198 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email4199 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language4200 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url4201 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone4202 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm4203 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax4204 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified4205 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created4206 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country4207 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/country" }) }) });
    var zip_code4208 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region4209 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/region" }) }) });
    var addr14210 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix4211 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street4212 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no4213 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box4214 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr24215 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix4216 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks4217 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete4218 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity4219 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/activity" }) }) });
    var client_contact_type4220 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/client_contact_type" }) }) });
    var payment_term4221 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/payment_term" }) }) });
    var city4222 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/city" }) }) });
    this.before_row_edit = function(record) {
      region4209.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city4222.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city4222.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country4207 !== 'undefined' && country4207.on('change',Lino.chooser_handler(region4209,'country'));
      typeof country4207 !== 'undefined' && country4207.on('change',Lino.chooser_handler(city4222,'country'));
      typeof region4209 !== 'undefined' && region4209.on('change',Lino.chooser_handler(city4222,'region'));
      Lino.contacts.PartnersByCity.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.address_column) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name4197, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id4198, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email4199, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language4200, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url4201, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone4202, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm4203, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax4204, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country4207, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "zip_code", "editable": true, "editor": zip_code4208, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "region", "editable": true, "editor": region4209, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "addr1", "editable": true, "editor": addr14210, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix4211, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street", "editable": true, "editor": street4212, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_no", "editable": true, "editor": street_no4213, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "street_box", "editable": true, "editor": street_box4214, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "addr2", "editable": true, "editor": addr24215, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "prefix", "editable": true, "editor": prefix4216, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "activity", "editable": true, "editor": activity4219, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type4220, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term4221, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "city", "editable": true, "editor": city4222, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) } ];
    Lino.contacts.PartnersByCity.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCity.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.PartnersByCity.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/PartnersByCity",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCity.detail;
    Lino.contacts.PartnersByCity.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCity.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCity" };
  return new Lino.contacts.PartnersByCity.detailPanel(p);
});
Lino.contacts.PartnersByCity.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCity" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.PartnersByCity.GridPanel(p);
});
Lino.contacts.PartnersByCity.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnersByCountry
Lino.contacts.PartnersByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnersByCountry",
  ls_store_fields : [ { "name": "city" }, 'cityHidden', { "name": "street" }, { "name": "street_no" }, { "name": "name" }, { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "email" }, { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCountry.detail;
    var ww = this.containing_window;
    var city8025 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/city" }) }) });
    var street8026 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8027 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var name8028 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var language8029 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var id8030 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8031 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var url8032 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone8033 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm8034 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax8035 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified8036 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8037 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var zip_code8038 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8039 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/region" }) }) });
    var addr18040 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8041 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_box8042 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr28043 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix8044 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8045 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete8046 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity8047 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/activity" }) }) });
    var client_contact_type8048 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/client_contact_type" }) }) });
    var payment_term8049 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/payment_term" }) }) });
    var country8050 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      city8025.setContextValue('mk',bp['mk']);
      city8025.setContextValue('mt',bp['mt']);
      city8025.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      var bp = this.get_base_params();
      region8039.setContextValue('mk',bp['mk']);
      region8039.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country8050 !== 'undefined' && country8050.on('change',Lino.chooser_handler(city8025,'country'));
      typeof region8039 !== 'undefined' && region8039.on('change',Lino.chooser_handler(city8025,'region'));
      typeof country8050 !== 'undefined' && country8050.on('change',Lino.chooser_handler(region8039,'country'));
      Lino.contacts.PartnersByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "city", "editable": true, "editor": city8025, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "street", "editable": true, "editor": street8026, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "street_no", "editable": true, "editor": street_no8027, "filter": { "type": "string" }, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 3, "dataIndex": "name", "editable": true, "editor": name8028, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language8029, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8030, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email8031, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url8032, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "phone", "editable": true, "editor": phone8033, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "gsm", "editable": true, "editor": gsm8034, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "fax", "editable": true, "editor": fax8035, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code8038, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region8039, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr18040, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8041, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_box", "editable": true, "editor": street_box8042, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "addr2", "editable": true, "editor": addr28043, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "prefix", "editable": true, "editor": prefix8044, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 22, "dataIndex": "activity", "editable": true, "editor": activity8047, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type8048, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "payment_term", "editable": true, "editor": payment_term8049, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "country", "editable": true, "editor": country8050, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.contacts.PartnersByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.PartnersByCountry.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/PartnersByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCountry.detail;
    Lino.contacts.PartnersByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCountry" };
  return new Lino.contacts.PartnersByCountry.detailPanel(p);
});
Lino.contacts.PartnersByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCountry" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.PartnersByCountry.GridPanel(p);
});
Lino.contacts.PartnersByCountry.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.RolesByCompany
Lino.contacts.RolesByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RolesByCompany",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontaktpersonen",
  initComponent : function() {
    var ww = this.containing_window;
    var person5252 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/person" }) }) });
    var type5253 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/type" }) }) });
    var id5254 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company5255 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/company" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person5252, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type5253, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id5254, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company5255, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) } ];
    Lino.contacts.RolesByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RolesByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RolesByCompany" };
  return new Lino.contacts.RolesByCompany.GridPanel(p);
});

// js_render_GridPanel_class contacts.RolesByPerson
Lino.contacts.RolesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RolesByPerson",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontaktperson f\u00fcr",
  initComponent : function() {
    var ww = this.containing_window;
    var company2647 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/company" }) }) });
    var type2648 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/type" }) }) });
    var id2649 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var person2650 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company2647, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type2648, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id2649, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person2650, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) } ];
    Lino.contacts.RolesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RolesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RolesByPerson" };
  return new Lino.contacts.RolesByPerson.GridPanel(p);
});

// js_render_GridPanel_class properties.ChoicesByType
Lino.properties.ChoicesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/ChoicesByType",
  ls_store_fields : [ { "name": "value" }, { "name": "text" }, { "name": "text_fr" }, { "name": "text_en" }, { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 17,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Auswahlm\u00f6glichkeiten",
  initComponent : function() {
    var ww = this.containing_window;
    var value5762 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var text5763 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_fr5764 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_en5765 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id5766 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var type5767 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/ChoicesByType/type" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": true, "editor": value5762, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.value) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "text", "editable": true, "editor": text5763, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text_fr", "editable": true, "editor": text_fr5764, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "text_en", "editable": true, "editor": text_en5765, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5766, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type5767, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.properties.ChoicesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.ChoicesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/ChoicesByType" };
  return new Lino.properties.ChoicesByType.GridPanel(p);
});

// js_render_GridPanel_class checkdata.ProblemsByChecker
Lino.checkdata.ProblemsByChecker.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/ProblemsByChecker",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "checker" }, 'checkerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByChecker.detail;
    var ww = this.containing_window;
    var user4876 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/user" }) }) });
    var owner_disp4877 = new Ext.form.DisplayField({ "disabled": true });
    var message4878 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var id4879 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type4880 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/owner_type" }) }) });
    var owner_id4881 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/owner_id" }) }) });
    var checker4882 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type4880 !== 'undefined' && owner_type4880.on('change',Lino.chooser_handler(owner_id4881,'owner_type'));
      Lino.checkdata.ProblemsByChecker.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user4876, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.user) The user responsible for fixing this\nproblem.") }, "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByChecker.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message4878, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id4879, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "owner_type", "editable": true, "editor": owner_type4880, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_id", "editable": true, "editor": owner_id4881, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "checker", "editable": true, "editor": checker4882, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) } ];
    Lino.checkdata.ProblemsByChecker.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByChecker.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.ProblemsByChecker.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/ProblemsByChecker",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByChecker.detail;
    Lino.checkdata.ProblemsByChecker.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByChecker.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByChecker" };
  return new Lino.checkdata.ProblemsByChecker.detailPanel(p);
});
Lino.checkdata.ProblemsByChecker.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByChecker" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.ProblemsByChecker.GridPanel(p);
});
Lino.checkdata.ProblemsByChecker.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.AddressesByPartner
Lino.addresses.AddressesByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressesByPartner",
  ls_store_fields : [ { "name": "address_type" }, 'address_typeHidden', { "name": "remark" }, { "name": "address_column" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 21,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of addresses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Adressen",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    var ww = this.containing_window;
    var address_type5332 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark5333 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var address_column_disp5334 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary5335 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id5336 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country5337 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/country" }) }) });
    var city5338 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/city" }) }) });
    var zip_code5339 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region5340 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/region" }) }) });
    var addr15341 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix5342 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street5343 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no5344 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box5345 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr25346 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var data_source5347 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": Lino.addresses.DataSources });
    var partner5348 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      city5338.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city5338.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region5340.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country5337 !== 'undefined' && country5337.on('change',Lino.chooser_handler(city5338,'country'));
      typeof region5340 !== 'undefined' && region5340.on('change',Lino.chooser_handler(city5338,'region'));
      typeof country5337 !== 'undefined' && country5337.on('change',Lino.chooser_handler(region5340,'country'));
      Lino.addresses.AddressesByPartner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_type", "editable": true, "editor": address_type5332, "filter": { "options": [ "Offizielle Adresse", "Ungepr\u00fcfte Adresse", "Deklarierte Addresse", "Referenzadresse", "Veraltet", "Sonstige" ], "type": "list" }, "header": "Adressenart", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark5333, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.address_column) ") }, "sortable": false, "tooltip": "(addresses.AddressesByPartner.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(6), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5336, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "country", "editable": true, "editor": country5337, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "city", "editable": true, "editor": city5338, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "zip_code", "editable": true, "editor": zip_code5339, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "region", "editable": true, "editor": region5340, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "addr1", "editable": true, "editor": addr15341, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix5342, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "street", "editable": true, "editor": street5343, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "street_no", "editable": true, "editor": street_no5344, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "street_box", "editable": true, "editor": street_box5345, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "addr2", "editable": true, "editor": addr25346, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manuell eingegeben", "Eingelesen von eID-Karte" ], "type": "list" }, "header": "Datenquelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(28) }, { "colIndex": 16, "dataIndex": "partner", "editable": true, "editor": partner5348, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.addresses.AddressesByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByPartner.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    Lino.addresses.AddressesByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  return new Lino.addresses.AddressesByPartner.insertPanel(p);
});
Lino.addresses.AddressesByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByPartner.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    Lino.addresses.AddressesByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  return new Lino.addresses.AddressesByPartner.detailPanel(p);
});
Lino.addresses.AddressesByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.AddressesByPartner.GridPanel(p);
});
Lino.addresses.AddressesByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.AddressesByCity
Lino.addresses.AddressesByCity.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressesByCity",
  ls_store_fields : [ { "name": "address_type" }, 'address_typeHidden', { "name": "partner" }, 'partnerHidden', { "name": "remark" }, { "name": "street" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 21,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of addresses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Adressen",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    var ww = this.containing_window;
    var address_type8052 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var partner8053 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/partner" }) }) });
    var remark8054 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var street8055 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var primary8056 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8057 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country8058 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/country" }) }) });
    var zip_code8059 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8060 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/region" }) }) });
    var addr18061 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8062 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8063 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box8064 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr28065 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var data_source8066 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": Lino.addresses.DataSources });
    var city8067 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/city" }) }) });
    this.before_row_edit = function(record) {
      region8060.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8067.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8067.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country8058 !== 'undefined' && country8058.on('change',Lino.chooser_handler(region8060,'country'));
      typeof country8058 !== 'undefined' && country8058.on('change',Lino.chooser_handler(city8067,'country'));
      typeof region8060 !== 'undefined' && region8060.on('change',Lino.chooser_handler(city8067,'region'));
      Lino.addresses.AddressesByCity.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_type", "editable": true, "editor": address_type8052, "filter": { "options": [ "Offizielle Adresse", "Ungepr\u00fcfte Adresse", "Deklarierte Addresse", "Referenzadresse", "Veraltet", "Sonstige" ], "type": "list" }, "header": "Adressenart", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner8053, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8054, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "street", "editable": true, "editor": street8055, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(6), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8057, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country8058, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "zip_code", "editable": true, "editor": zip_code8059, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "region", "editable": true, "editor": region8060, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "addr1", "editable": true, "editor": addr18061, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8062, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "street_no", "editable": true, "editor": street_no8063, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "street_box", "editable": true, "editor": street_box8064, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "addr2", "editable": true, "editor": addr28065, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manuell eingegeben", "Eingelesen von eID-Karte" ], "type": "list" }, "header": "Datenquelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(28) }, { "colIndex": 15, "dataIndex": "city", "editable": true, "editor": city8067, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) } ];
    Lino.addresses.AddressesByCity.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByCity.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByCity",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    Lino.addresses.AddressesByCity.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  return new Lino.addresses.AddressesByCity.insertPanel(p);
});
Lino.addresses.AddressesByCity.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByCity.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByCity",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    Lino.addresses.AddressesByCity.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  return new Lino.addresses.AddressesByCity.detailPanel(p);
});
Lino.addresses.AddressesByCity.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.AddressesByCity.GridPanel(p);
});
Lino.addresses.AddressesByCity.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByType
Lino.excerpts.ExcerptsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByType",
  ls_store_fields : [ { "name": "build_time" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByType.detail;
    var ww = this.containing_window;
    var build_time3433 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var owner_disp3434 = new Ext.form.DisplayField({ "disabled": true });
    var project3435 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/project" }) }) });
    var user3436 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/user" }) }) });
    var id3437 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method3438 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type3439 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/owner_type" }) }) });
    var owner_id3440 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/owner_id" }) }) });
    var company3441 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/company" }) }) });
    var contact_person3442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/contact_person" }) }) });
    var contact_role3443 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/contact_role" }) }) });
    var language3444 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var excerpt_type3445 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/excerpt_type" }) }) });
    this.before_row_edit = function(record) {
      owner_id3440.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person3442.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      excerpt_type3445.setContextValue('owner', record ? record.data['owner'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type3439 !== 'undefined' && owner_type3439.on('change',Lino.chooser_handler(owner_id3440,'owner_type'));
      typeof company3441 !== 'undefined' && company3441.on('change',Lino.chooser_handler(contact_person3442,'company'));
      typeof owner_disp3434 !== 'undefined' && owner_disp3434.on('change',Lino.chooser_handler(excerpt_type3445,'owner'));
      Lino.excerpts.ExcerptsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project3435, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user3436, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3437, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method3438, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type3439, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id3440, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company3441, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person3442, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role3443, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language3444, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type3445, "filter": { "type": "string" }, "header": "Auszugsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) } ];
    Lino.excerpts.ExcerptsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByType.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByType.detail;
    Lino.excerpts.ExcerptsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByType.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByType" };
  return new Lino.excerpts.ExcerptsByType.detailPanel(p);
});
Lino.excerpts.ExcerptsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByType" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByType.GridPanel(p);
});
Lino.excerpts.ExcerptsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByProject
Lino.excerpts.ExcerptsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByProject",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bestehende Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByProject.detail;
    var ww = this.containing_window;
    var build_time8069 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type8070 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/excerpt_type" }) }) });
    var user8071 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/user" }) }) });
    var owner_disp8072 = new Ext.form.DisplayField({ "disabled": true });
    var id8073 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method8074 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8075 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/owner_type" }) }) });
    var owner_id8076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/owner_id" }) }) });
    var company8077 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/company" }) }) });
    var contact_person8078 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/contact_person" }) }) });
    var contact_role8079 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/contact_role" }) }) });
    var language8080 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var project8081 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      excerpt_type8070.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id8076.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8078.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp8072 !== 'undefined' && owner_disp8072.on('change',Lino.chooser_handler(excerpt_type8070,'owner'));
      typeof owner_type8075 !== 'undefined' && owner_type8075.on('change',Lino.chooser_handler(owner_id8076,'owner_type'));
      typeof company8077 !== 'undefined' && company8077.on('change',Lino.chooser_handler(contact_person8078,'company'));
      Lino.excerpts.ExcerptsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type8070, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8071, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8073, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method8074, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type8075, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id8076, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company8077, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person8078, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role8079, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8080, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "project", "editable": true, "editor": project8081, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.excerpts.ExcerptsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByProject.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByProject.detail;
    Lino.excerpts.ExcerptsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByProject.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByProject" };
  return new Lino.excerpts.ExcerptsByProject.detailPanel(p);
});
Lino.excerpts.ExcerptsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByProject" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByProject.GridPanel(p);
});
Lino.excerpts.ExcerptsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByType
Lino.uploads.UploadsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByType",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    var ww = this.containing_window;
    var user4535 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/user" }) }) });
    var project4536 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/project" }) }) });
    var type4537 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/type" }) }) });
    var file4538 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date4539 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date4540 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed4541 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp4542 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id4543 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype4544 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size4545 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type4546 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/owner_type" }) }) });
    var owner_id4547 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/owner_id" }) }) });
    var company4548 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/company" }) }) });
    var contact_person4549 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/contact_person" }) }) });
    var contact_role4550 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/contact_role" }) }) });
    var upload_area4551 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume4552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/volume" }) }) });
    var library_file4553 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/library_file" }) }) });
    var description4554 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark4555 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp4556 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type4537.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id4547.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person4549.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file4553.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area4551 !== 'undefined' && upload_area4551.on('change',Lino.chooser_handler(type4537,'upload_area'));
      typeof owner_type4546 !== 'undefined' && owner_type4546.on('change',Lino.chooser_handler(owner_id4547,'owner_type'));
      typeof company4548 !== 'undefined' && company4548.on('change',Lino.chooser_handler(contact_person4549,'company'));
      typeof volume4552 !== 'undefined' && volume4552.on('change',Lino.chooser_handler(library_file4553,'volume'));
      Lino.uploads.UploadsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user4535, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project4536, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type4537, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file4538, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date4539, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date4540, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4543, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type4546, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id4547, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company4548, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person4549, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role4550, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area4551, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume4552, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file4553, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description4554, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark4555, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByType.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.UploadsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByType.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    Lino.uploads.UploadsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  return new Lino.uploads.UploadsByType.insertPanel(p);
});
Lino.uploads.UploadsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByType.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    Lino.uploads.UploadsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  return new Lino.uploads.UploadsByType.detailPanel(p);
});
Lino.uploads.UploadsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByType.GridPanel(p);
});
Lino.uploads.UploadsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByProject
Lino.uploads.UploadsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByProject",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    var ww = this.containing_window;
    var type8083 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/type" }) }) });
    var end_date8084 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed8085 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp8086 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8087 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/user" }) }) });
    var id8088 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date8089 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var file8090 = Lino.file_field_handler(this,{ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype8091 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size8092 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type8093 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/owner_type" }) }) });
    var owner_id8094 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/owner_id" }) }) });
    var company8095 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/company" }) }) });
    var contact_person8096 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/contact_person" }) }) });
    var contact_role8097 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/contact_role" }) }) });
    var upload_area8098 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume8099 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/volume" }) }) });
    var library_file8100 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/library_file" }) }) });
    var description8101 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark8102 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp8103 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      type8083.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id8094.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8096.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file8100.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area8098 !== 'undefined' && upload_area8098.on('change',Lino.chooser_handler(type8083,'upload_area'));
      typeof owner_type8093 !== 'undefined' && owner_type8093.on('change',Lino.chooser_handler(owner_id8094,'owner_type'));
      typeof company8095 !== 'undefined' && company8095.on('change',Lino.chooser_handler(contact_person8096,'company'));
      typeof volume8099 !== 'undefined' && volume8099.on('change',Lino.chooser_handler(library_file8100,'volume'));
      Lino.uploads.UploadsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type8083, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date8084, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user8087, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8088, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date8089, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "file", "editable": true, "editor": file8090, "filter": { "type": "string" }, "header": "Datei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8093, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8094, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company8095, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person8096, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role8097, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area8098, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume8099, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file8100, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description8101, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "remark", "editable": true, "editor": remark8102, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "project", "editable": true, "editor": project8104, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.uploads.UploadsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByProject.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    Lino.uploads.UploadsByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  return new Lino.uploads.UploadsByProject.insertPanel(p);
});
Lino.uploads.UploadsByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByProject.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    Lino.uploads.UploadsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  return new Lino.uploads.UploadsByProject.detailPanel(p);
});
Lino.uploads.UploadsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByProject.GridPanel(p);
});
Lino.uploads.UploadsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.RecipientsByMail
Lino.outbox.RecipientsByMail.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/RecipientsByMail",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "address" }, { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "mail" }, 'mailHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 27,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Empf\u00e4nger",
  initComponent : function() {
    var ww = this.containing_window;
    var partner2371 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/RecipientsByMail/partner" }) }) });
    var address2372 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var name2373 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type2374 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.outbox.RecipientTypes });
    var id2375 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mail2376 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/RecipientsByMail/mail" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner2371, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address", "editable": true, "editor": address2372, "filter": { "type": "string" }, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.address) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name2373, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type2374, "filter": { "options": [ "Empf\u00e4nger", "Kopie an", "Blindkopie an" ], "type": "list" }, "header": "Empf\u00e4ngerart", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2375, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "mail", "editable": true, "editor": mail2376, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.mail) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.outbox.RecipientsByMail.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.RecipientsByMail.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/RecipientsByMail" };
  return new Lino.outbox.RecipientsByMail.GridPanel(p);
});

// js_render_GridPanel_class outbox.MyOutbox
Lino.outbox.MyOutbox.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MyOutbox",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "owner" }, { "name": "body" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mein E-Mail-Ausgang",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    var ww = this.containing_window;
    var sent8106 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox8107 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var subject8108 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id8109 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project8110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/project" }) }) });
    var owner_type8111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/owner_type" }) }) });
    var owner_id8112 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/owner_id" }) }) });
    var date8113 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8114 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body8115 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var user8116 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/user" }) }) });
    this.before_row_edit = function(record) {
      recipients_htmlbox8107.refresh();
      owner_id8112.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8115.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8111 !== 'undefined' && owner_type8111.on('change',Lino.chooser_handler(owner_id8112,'owner_type'));
      Lino.outbox.MyOutbox.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.recipients) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject8108, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8109, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project8110, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type8111, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id8112, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "date", "editable": true, "editor": date8113, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 9, "dataIndex": "body", "editable": true, "editor": body8115, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user8116, "filter": { "type": "string" }, "header": "Absender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.outbox.MyOutbox.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MyOutbox.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MyOutbox",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    Lino.outbox.MyOutbox.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  return new Lino.outbox.MyOutbox.insertPanel(p);
});
Lino.outbox.MyOutbox.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MyOutbox.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MyOutbox",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    Lino.outbox.MyOutbox.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  return new Lino.outbox.MyOutbox.detailPanel(p);
});
Lino.outbox.MyOutbox.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MyOutbox.GridPanel(p);
});
Lino.outbox.MyOutbox.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByUser
Lino.outbox.MailsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByUser",
  ls_store_fields : [ { "name": "sent" }, { "name": "subject" }, { "name": "recipients" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    var ww = this.containing_window;
    var sent8118 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject8119 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var recipients_htmlbox8120 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    this.before_row_edit = function(record) {
      recipients_htmlbox8120.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8119, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByUser.recipients) ", "width": Lino.chars2width(31) } ];
    Lino.outbox.MailsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByUser.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByUser",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    Lino.outbox.MailsByUser.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  return new Lino.outbox.MailsByUser.insertPanel(p);
});
Lino.outbox.MailsByUser.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByUser.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    Lino.outbox.MailsByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  return new Lino.outbox.MailsByUser.detailPanel(p);
});
Lino.outbox.MailsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByUser.GridPanel(p);
});
Lino.outbox.MailsByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByProject
Lino.outbox.MailsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "subject" }, { "name": "recipients" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "body" }, { "name": "sent" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    var ww = this.containing_window;
    var date8122 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var subject8123 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var recipients_htmlbox8124 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var user8125 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/user" }) }) });
    var id8126 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type8127 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/owner_type" }) }) });
    var owner_id8128 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/owner_id" }) }) });
    var body8129 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var sent8130 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var owner_disp8131 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8132 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      recipients_htmlbox8124.refresh();
      owner_id8128.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8129.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8127 !== 'undefined' && owner_type8127.on('change',Lino.chooser_handler(owner_id8128,'owner_type'));
      Lino.outbox.MailsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8122, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8123, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8125, "filter": { "type": "string" }, "header": "Absender", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8126, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type8127, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id8128, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "body", "editable": true, "editor": body8129, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "sent", "editable": false, "header": "sent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "project", "editable": true, "editor": project8132, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.outbox.MailsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByProject.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    Lino.outbox.MailsByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  return new Lino.outbox.MailsByProject.insertPanel(p);
});
Lino.outbox.MailsByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByProject.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    Lino.outbox.MailsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  return new Lino.outbox.MailsByProject.detailPanel(p);
});
Lino.outbox.MailsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByProject.GridPanel(p);
});
Lino.outbox.MailsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.SentByPartner
Lino.outbox.SentByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/SentByPartner",
  ls_store_fields : [ { "name": "sent" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    var ww = this.containing_window;
    var sent8134 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject8135 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8136 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/SentByPartner/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8135, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8136, "filter": { "type": "string" }, "header": "Absender", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.outbox.SentByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.SentByPartner.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/SentByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    Lino.outbox.SentByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  return new Lino.outbox.SentByPartner.insertPanel(p);
});
Lino.outbox.SentByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.SentByPartner.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/SentByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    Lino.outbox.SentByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  return new Lino.outbox.SentByPartner.detailPanel(p);
});
Lino.outbox.SentByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.SentByPartner.GridPanel(p);
});
Lino.outbox.SentByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.AttachmentsByMail
Lino.outbox.AttachmentsByMail.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/AttachmentsByMail",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "owner" }, { "name": "mail" }, 'mailHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 29,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anh\u00e4nge",
  initComponent : function() {
    var ww = this.containing_window;
    var id8138 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var owner_type8139 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/owner_type" }) }) });
    var owner_id8140 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/owner_id" }) }) });
    var owner_disp8141 = new Ext.form.DisplayField({ "disabled": true });
    var mail8142 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/mail" }) }) });
    this.before_row_edit = function(record) {
      owner_id8140.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8139 !== 'undefined' && owner_type8139.on('change',Lino.chooser_handler(owner_id8140,'owner_type'));
      Lino.outbox.AttachmentsByMail.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8138, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "owner_type", "editable": true, "editor": owner_type8139, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner_id", "editable": true, "editor": owner_id8140, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner) ") }, "sortable": false, "tooltip": "(outbox.AttachmentsByMail.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "mail", "editable": true, "editor": mail8142, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.mail) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.outbox.AttachmentsByMail.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.AttachmentsByMail.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/AttachmentsByMail" };
  return new Lino.outbox.AttachmentsByMail.GridPanel(p);
});

// js_render_GridPanel_class cal.SubscriptionsByUser
Lino.cal.SubscriptionsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/SubscriptionsByUser",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "calendar" }, 'calendarHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 34,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Abonnements",
  initComponent : function() {
    var ww = this.containing_window;
    var id1584 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var calendar1585 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalender ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByUser/calendar" }) }) });
    var is_hidden1586 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var user1587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByUser/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id1584, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "calendar", "editable": true, "editor": calendar1585, "filter": { "type": "string" }, "header": "Kalender", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.calendar) The calendar you want to subscribe to.") }, "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "versteckt", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user1587, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.cal.SubscriptionsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.SubscriptionsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/SubscriptionsByUser" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.SubscriptionsByUser.GridPanel(p);
});

// js_render_GridPanel_class cal.SubscriptionsByCalendar
Lino.cal.SubscriptionsByCalendar.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/SubscriptionsByCalendar",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "calendar" }, 'calendarHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 34,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Abonnements",
  initComponent : function() {
    var ww = this.containing_window;
    var id3595 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user3596 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByCalendar/user" }) }) });
    var is_hidden3597 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var calendar3598 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByCalendar/calendar" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id3595, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user3596, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "versteckt", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "calendar", "editable": true, "editor": calendar3598, "filter": { "type": "string" }, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.calendar) The calendar you want to subscribe to.") }, "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) } ];
    Lino.cal.SubscriptionsByCalendar.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.SubscriptionsByCalendar.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/SubscriptionsByCalendar" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.SubscriptionsByCalendar.GridPanel(p);
});

// js_render_GridPanel_class cal.TasksByUser
Lino.cal.TasksByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByUser",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "name": "start_time" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "owner" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    var ww = this.containing_window;
    var priority1592 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date1593 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary1594 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp1595 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1596 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified1597 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created1598 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project1599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/project" }) }) });
    var start_time1600 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var owner_type1601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/owner_type" }) }) });
    var owner_id1602 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/owner_id" }) }) });
    var description1603 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class1604 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence1605 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type1606 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date1607 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time1608 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent1609 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1610 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated1611 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp1612 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var user1613 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/user" }) }) });
    this.before_row_edit = function(record) {
      owner_id1602.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type1601 !== 'undefined' && owner_type1601.on('change',Lino.chooser_handler(owner_id1602,'owner_type'));
      Lino.cal.TasksByUser.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority1592, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date1593, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary1594, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1596, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project1599, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time1600, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type1601, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id1602, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "description", "editable": true, "editor": description1603, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "access_class", "editable": true, "editor": access_class1604, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 13, "dataIndex": "sequence", "editable": true, "editor": sequence1605, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "auto_type", "editable": true, "editor": auto_type1606, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "due_date", "editable": true, "editor": due_date1607, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "due_time", "editable": true, "editor": due_time1608, "header": "F\u00e4llig um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 17, "dataIndex": "percent", "editable": true, "editor": percent1609, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Anzahl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "state", "editable": true, "editor": state1610, "filter": { "options": [ "Zu tun", "Wichtig", "Begonnen", "Erledigt", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 19, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner) ") }, "sortable": false, "tooltip": "(cal.TasksByUser.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "user", "editable": true, "editor": user1613, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.cal.TasksByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByUser.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByUser",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    Lino.cal.TasksByUser.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  return new Lino.cal.TasksByUser.insertPanel(p);
});
Lino.cal.TasksByUser.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByUser.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    Lino.cal.TasksByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  return new Lino.cal.TasksByUser.detailPanel(p);
});
Lino.cal.TasksByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByUser.GridPanel(p);
});
Lino.cal.TasksByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByProject
Lino.cal.TasksByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByProject",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "owner" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "start_time" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    var ww = this.containing_window;
    var priority2592 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date2593 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user2594 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/user" }) }) });
    var summary2595 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var owner_disp2596 = new Ext.form.DisplayField({ "disabled": true });
    var workflow_buttons_disp2597 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2598 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified2599 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2600 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_time2601 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var owner_type2602 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/owner_type" }) }) });
    var owner_id2603 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/owner_id" }) }) });
    var description2604 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class2605 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence2606 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type2607 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date2608 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time2609 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent2610 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state2611 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated2612 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var project2613 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id2603.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type2602 !== 'undefined' && owner_type2602.on('change',Lino.chooser_handler(owner_id2603,'owner_type'));
      Lino.cal.TasksByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority2592, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date2593, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user2594, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary2595, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner) ") }, "sortable": false, "tooltip": "(cal.TasksByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id2598, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time2601, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type2602, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id2603, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "description", "editable": true, "editor": description2604, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "access_class", "editable": true, "editor": access_class2605, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 14, "dataIndex": "sequence", "editable": true, "editor": sequence2606, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "auto_type", "editable": true, "editor": auto_type2607, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "due_date", "editable": true, "editor": due_date2608, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "due_time", "editable": true, "editor": due_time2609, "header": "F\u00e4llig um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 18, "dataIndex": "percent", "editable": true, "editor": percent2610, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Anzahl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "state", "editable": true, "editor": state2611, "filter": { "options": [ "Zu tun", "Wichtig", "Begonnen", "Erledigt", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 20, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "project", "editable": true, "editor": project2613, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.TasksByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByProject.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    Lino.cal.TasksByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  return new Lino.cal.TasksByProject.insertPanel(p);
});
Lino.cal.TasksByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByProject.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    Lino.cal.TasksByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  return new Lino.cal.TasksByProject.detailPanel(p);
});
Lino.cal.TasksByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByProject.GridPanel(p);
});
Lino.cal.TasksByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByEvent
Lino.cal.GuestsByEvent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByEvent",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "event" }, 'eventHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    var ww = this.containing_window;
    var partner2290 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/partner" }) }) });
    var role2291 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/role" }) }) });
    var workflow_buttons_disp2292 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark2293 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2294 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state2295 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since2296 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since2297 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since2298 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var event2299 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/event" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner2290, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role2291, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark2293, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2294, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state2295, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "event", "editable": true, "editor": event2299, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) } ];
    Lino.cal.GuestsByEvent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByEvent.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByEvent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    Lino.cal.GuestsByEvent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  return new Lino.cal.GuestsByEvent.insertPanel(p);
});
Lino.cal.GuestsByEvent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByEvent.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByEvent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    Lino.cal.GuestsByEvent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  return new Lino.cal.GuestsByEvent.detailPanel(p);
});
Lino.cal.GuestsByEvent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByEvent.GridPanel(p);
});
Lino.cal.GuestsByEvent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByRole
Lino.cal.GuestsByRole.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByRole",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    var ww = this.containing_window;
    var partner6127 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/partner" }) }) });
    var role6128 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/role" }) }) });
    var workflow_buttons_disp6129 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6130 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event6131 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/event" }) }) });
    var id6132 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state6133 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6134 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6135 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6136 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner6127, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role6128, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6130, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event6131, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6132, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state6133, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.GuestsByRole.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByRole.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByRole",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    Lino.cal.GuestsByRole.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  return new Lino.cal.GuestsByRole.insertPanel(p);
});
Lino.cal.GuestsByRole.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByRole.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByRole",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    Lino.cal.GuestsByRole.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  return new Lino.cal.GuestsByRole.detailPanel(p);
});
Lino.cal.GuestsByRole.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByRole.GridPanel(p);
});
Lino.cal.GuestsByRole.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByPartner
Lino.cal.GuestsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByPartner",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "event_summary" }, { "name": "event__user" }, 'event__userHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    var ww = this.containing_window;
    var event__when_text_disp8144 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp8145 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__user8146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/event__user" }) }), "value": null });
    var role8147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/role" }) }) });
    var workflow_buttons_disp8148 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8149 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event8150 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/event" }) }) });
    var state8151 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark8152 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var waiting_since8153 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since8154 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since8155 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var partner8156 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp8144, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event_summary) ") }, "sortable": false, "tooltip": "(cal.GuestsByPartner.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user8146, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role8147, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8149, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "event", "editable": true, "editor": event8150, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state8151, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark8152, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "partner", "editable": true, "editor": partner8156, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) } ];
    Lino.cal.GuestsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByPartner.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    Lino.cal.GuestsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  return new Lino.cal.GuestsByPartner.insertPanel(p);
});
Lino.cal.GuestsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByPartner.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    Lino.cal.GuestsByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  return new Lino.cal.GuestsByPartner.detailPanel(p);
});
Lino.cal.GuestsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByPartner.GridPanel(p);
});
Lino.cal.GuestsByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByProject
Lino.cal.EntriesByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByProject",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    var ww = this.containing_window;
    var when_text_disp8158 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8159 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/user" }) }) });
    var summary8160 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp8161 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8162 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified8163 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8164 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date8165 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8166 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8167 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8168 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time8169 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8170 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to8171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/assigned_to" }) }) });
    var owner_type8172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/owner_type" }) }) });
    var owner_id8173 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/owner_id" }) }) });
    var description8174 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class8175 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence8176 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type8177 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority8178 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type8179 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var transparent8180 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited8181 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room8182 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/room" }) }) });
    var state8183 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before8184 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit8185 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified8186 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8187 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8188 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id8173.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8172 !== 'undefined' && owner_type8172.on('change',Lino.chooser_handler(owner_id8173,'owner_type'));
      Lino.cal.EntriesByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8159, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary8160, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8162, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date8165, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time8166, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date8167, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time8168, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method8170, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to8171, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "owner_type", "editable": true, "editor": owner_type8172, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_id", "editable": true, "editor": owner_id8173, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "description", "editable": true, "editor": description8174, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "access_class", "editable": true, "editor": access_class8175, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 18, "dataIndex": "sequence", "editable": true, "editor": sequence8176, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 19, "dataIndex": "auto_type", "editable": true, "editor": auto_type8177, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "priority", "editable": true, "editor": priority8178, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "event_type", "editable": true, "editor": event_type8179, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room8182, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state8183, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before8184, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit8185, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) }, { "colIndex": 30, "dataIndex": "project", "editable": true, "editor": project8188, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.EntriesByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByProject.insertPanel = Ext.extend(Lino.cal.EntriesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    Lino.cal.EntriesByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  return new Lino.cal.EntriesByProject.insertPanel(p);
});
Lino.cal.EntriesByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByProject.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    Lino.cal.EntriesByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  return new Lino.cal.EntriesByProject.detailPanel(p);
});
Lino.cal.EntriesByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByProject.GridPanel(p);
});
Lino.cal.EntriesByProject.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByGuest
Lino.cal.EntriesByGuest.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByGuest",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    var ww = this.containing_window;
    var when_text_disp8190 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8191 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/user" }) }) });
    var summary8192 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp8193 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8191, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary8192, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.cal.EntriesByGuest.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByGuest.insertPanel = Ext.extend(Lino.cal.EntriesByGuest.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByGuest",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    Lino.cal.EntriesByGuest.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  return new Lino.cal.EntriesByGuest.insertPanel(p);
});
Lino.cal.EntriesByGuest.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByGuest.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByGuest",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    Lino.cal.EntriesByGuest.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  return new Lino.cal.EntriesByGuest.detailPanel(p);
});
Lino.cal.EntriesByGuest.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByGuest.GridPanel(p);
});
Lino.cal.EntriesByGuest.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByClient
Lino.cal.EntriesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByClient",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    var ww = this.containing_window;
    var when_text_disp2545 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user2546 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/user" }) }) });
    var summary2547 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp2548 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2549 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified2550 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2551 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project2552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/project" }) }) });
    var start_date2553 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time2554 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date2555 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time2556 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time2557 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method2558 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to2559 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/assigned_to" }) }) });
    var owner_type2560 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/owner_type" }) }) });
    var owner_id2561 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/owner_id" }) }) });
    var description2562 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class2563 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence2564 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type2565 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority2566 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type2567 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var transparent2568 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited2569 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room2570 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/room" }) }) });
    var state2571 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before2572 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit2573 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified2574 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp2575 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id2561.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type2560 !== 'undefined' && owner_type2560.on('change',Lino.chooser_handler(owner_id2561,'owner_type'));
      Lino.cal.EntriesByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user2546, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary2547, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2549, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project2552, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date2553, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time2554, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date2555, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time2556, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method2558, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to2559, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type2560, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id2561, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description2562, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class2563, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence2564, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type2565, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority2566, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type2567, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room2570, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state2571, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before2572, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit2573, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByClient.insertPanel = Ext.extend(Lino.cal.EntriesByClient.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    Lino.cal.EntriesByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  return new Lino.cal.EntriesByClient.insertPanel(p);
});
Lino.cal.EntriesByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByClient.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    Lino.cal.EntriesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  return new Lino.cal.EntriesByClient.detailPanel(p);
});
Lino.cal.EntriesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByClient.GridPanel(p);
});
Lino.cal.EntriesByClient.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByClient
Lino.cal.TasksByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByClient",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "summary" }, { "name": "description" }, { "name": "notes" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    var ww = this.containing_window;
    var priority8195 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date8196 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var due_date8197 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary8198 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description8199 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var notes_disp8200 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority8195, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8196, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "due_date", "editable": true, "editor": due_date8197, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary8198, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description8199, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "notes", "editable": false, "header": "Notes", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.notes) ") }, "sortable": false, "tooltip": "(cal.TasksByClient.notes) ", "width": Lino.chars2width(31) } ];
    Lino.cal.TasksByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByClient.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    Lino.cal.TasksByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  return new Lino.cal.TasksByClient.insertPanel(p);
});
Lino.cal.TasksByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByClient.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    Lino.cal.TasksByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  return new Lino.cal.TasksByClient.detailPanel(p);
});
Lino.cal.TasksByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByClient.GridPanel(p);
});
Lino.cal.TasksByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.AppointmentsByPartner
Lino.reception.AppointmentsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/AppointmentsByPartner",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "event__user" }, 'event__userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "cellTpl": Lino.auto_height_cell_template, "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termine",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var event__when_text_disp1485 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__user1486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/AppointmentsByPartner/event__user" }) }), "value": null });
    var workflow_buttons_disp1487 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp1485, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "event__user", "editable": true, "editor": event__user1486, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.AppointmentsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.AppointmentsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/AppointmentsByPartner" };
  return new Lino.reception.AppointmentsByPartner.GridPanel(p);
});
Lino.reception.AppointmentsByPartner.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.LanguageKnowledgesByPerson
Lino.cv.LanguageKnowledgesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/LanguageKnowledgesByPerson",
  ls_store_fields : [ { "name": "language" }, 'languageHidden', { "name": "native", "type": "boolean" }, { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "cef_level" }, 'cef_levelHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 81,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Sprachkenntnis) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachkenntnisse",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    var ww = this.containing_window;
    var language8202 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native8203 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var spoken8204 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written8205 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var cef_level8206 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var has_certificate8207 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8208 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var spoken_passively8209 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively8210 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var person8211 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "language", "editable": true, "editor": language8202, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Muttersprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "spoken", "editable": true, "editor": spoken8204, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "written", "editable": true, "editor": written8205, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "cef_level", "editable": true, "editor": cef_level8206, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF-Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "colIndex": 5, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Zertifikat", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8208, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively8209, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort (passiv)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "written_passively", "editable": true, "editor": written_passively8210, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift (passiv)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 9, "dataIndex": "person", "editable": true, "editor": person8211, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) } ];
    Lino.cv.LanguageKnowledgesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.LanguageKnowledgesByPerson.insertPanel = Ext.extend(Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/LanguageKnowledgesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    Lino.cv.LanguageKnowledgesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.insertPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.LanguageKnowledgesByPerson.detailPanel = Ext.extend(Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel,{
  empty_title: "Detail",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Sprachkenntnis) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/LanguageKnowledgesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    Lino.cv.LanguageKnowledgesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.detailPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.GridPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.KnowledgesByLanguage
Lino.cv.KnowledgesByLanguage.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/KnowledgesByLanguage",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "native", "type": "boolean" }, { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "cef_level" }, 'cef_levelHidden', { "name": "id", "type": "int" }, { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 81,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachkenntnisse",
  initComponent : function() {
    var ww = this.containing_window;
    var person6022 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/KnowledgesByLanguage/person" }) }) });
    var native6023 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var spoken6024 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written6025 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var cef_level6026 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var id6027 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var spoken_passively6028 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively6029 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var has_certificate6030 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var language6031 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/KnowledgesByLanguage/language" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person6022, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Muttersprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "spoken", "editable": true, "editor": spoken6024, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "written", "editable": true, "editor": written6025, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "cef_level", "editable": true, "editor": cef_level6026, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF-Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6027, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively6028, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort (passiv)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "written_passively", "editable": true, "editor": written_passively6029, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift (passiv)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Zertifikat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language6031, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.language) The language to which this entry applies.") }, "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) } ];
    Lino.cv.KnowledgesByLanguage.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.KnowledgesByLanguage.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/KnowledgesByLanguage" };
  return new Lino.cv.KnowledgesByLanguage.GridPanel(p);
});

// js_render_GridPanel_class cv.TrainingsByCountry
Lino.cv.TrainingsByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByCountry",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    var ww = this.containing_window;
    var person8213 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/person" }) }) });
    var start_date8214 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8215 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text8216 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type8217 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/type" }) }) });
    var state8218 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector8219 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/sector" }) }) });
    var function8220 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/function" }) }) });
    var id8221 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city8222 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/city" }) }) });
    var zip_code8223 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language8224 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/language" }) }) });
    var school8225 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8226 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content8227 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates8228 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var country8229 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      function8220.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      var bp = this.get_base_params();
      city8222.setContextValue('mk',bp['mk']);
      city8222.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof sector8219 !== 'undefined' && sector8219.on('change',Lino.chooser_handler(function8220,'sector'));
      typeof country8229 !== 'undefined' && country8229.on('change',Lino.chooser_handler(city8222,'country'));
      Lino.cv.TrainingsByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person8213, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8214, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date8215, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text8216, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8217, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state8218, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector8219, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function8220, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8221, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "city", "editable": true, "editor": city8222, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "zip_code", "editable": true, "editor": zip_code8223, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8224, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "school", "editable": true, "editor": school8225, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remarks", "editable": true, "editor": remarks8226, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "content", "editable": true, "editor": content8227, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "certificates", "editable": true, "editor": certificates8228, "filter": { "type": "string" }, "header": "Diplome", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "country", "editable": true, "editor": country8229, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.TrainingsByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByCountry.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByCountry",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    Lino.cv.TrainingsByCountry.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  return new Lino.cv.TrainingsByCountry.insertPanel(p);
});
Lino.cv.TrainingsByCountry.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByCountry.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    Lino.cv.TrainingsByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  return new Lino.cv.TrainingsByCountry.detailPanel(p);
});
Lino.cv.TrainingsByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByCountry.GridPanel(p);
});
Lino.cv.TrainingsByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.TrainingsByType
Lino.cv.TrainingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByType",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    var ww = this.containing_window;
    var person6188 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/person" }) }) });
    var start_date6189 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6190 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text6191 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type6192 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/type" }) }) });
    var state6193 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector6194 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/sector" }) }) });
    var function6195 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/function" }) }) });
    var id6196 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country6197 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/country" }) }) });
    var city6198 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/city" }) }) });
    var zip_code6199 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language6200 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/language" }) }) });
    var school6201 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6202 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content6203 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates6204 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function6195.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city6198.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector6194 !== 'undefined' && sector6194.on('change',Lino.chooser_handler(function6195,'sector'));
      typeof country6197 !== 'undefined' && country6197.on('change',Lino.chooser_handler(city6198,'country'));
      Lino.cv.TrainingsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person6188, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date6189, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date6190, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text6191, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type6192, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state6193, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector6194, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function6195, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6196, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country6197, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city6198, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code6199, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language6200, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school6201, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks6202, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content6203, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "certificates", "editable": true, "editor": certificates6204, "filter": { "type": "string" }, "header": "Diplome", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.TrainingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByType.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    Lino.cv.TrainingsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  return new Lino.cv.TrainingsByType.insertPanel(p);
});
Lino.cv.TrainingsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByType.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    Lino.cv.TrainingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  return new Lino.cv.TrainingsByType.detailPanel(p);
});
Lino.cv.TrainingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByType.GridPanel(p);
});
Lino.cv.TrainingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.TrainingsByPerson
Lino.cv.TrainingsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByPerson",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "remarks" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "school" }, { "name": "country" }, 'countryHidden', { "name": "state" }, 'stateHidden', { "name": "certificates" }, { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "content" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 16,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    var ww = this.containing_window;
    var type1910 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/type" }) }) });
    var sector1911 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/sector" }) }) });
    var function1912 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/function" }) }) });
    var remarks1913 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var start_date1914 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1915 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text1916 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var school1917 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var country1918 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/country" }) }) });
    var state1919 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates1920 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1921 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city1922 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/city" }) }) });
    var zip_code1923 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language1924 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/language" }) }) });
    var content1925 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var person1926 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function1912.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1922.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector1911 !== 'undefined' && sector1911.on('change',Lino.chooser_handler(function1912,'sector'));
      typeof country1918 !== 'undefined' && country1918.on('change',Lino.chooser_handler(city1922,'country'));
      Lino.cv.TrainingsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type1910, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "sector", "editable": true, "editor": sector1911, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "function", "editable": true, "editor": function1912, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remarks", "editable": true, "editor": remarks1913, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date1914, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date1915, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "duration_text", "editable": true, "editor": duration_text1916, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "school", "editable": true, "editor": school1917, "filter": { "type": "string" }, "header": "Einrichtung", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "country", "editable": true, "editor": country1918, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state1919, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 10, "dataIndex": "certificates", "editable": true, "editor": certificates1920, "filter": { "type": "string" }, "header": "Diplome", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 11, "dataIndex": "id", "editable": true, "editor": id1921, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city1922, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code1923, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language1924, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content1925, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "person", "editable": true, "editor": person1926, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.TrainingsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByPerson.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    Lino.cv.TrainingsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  return new Lino.cv.TrainingsByPerson.insertPanel(p);
});
Lino.cv.TrainingsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByPerson.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    Lino.cv.TrainingsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  return new Lino.cv.TrainingsByPerson.detailPanel(p);
});
Lino.cv.TrainingsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByPerson.GridPanel(p);
});
Lino.cv.TrainingsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByCountry
Lino.cv.StudiesByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByCountry",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "content" }, { "name": "education_level" }, 'education_levelHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 85,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByCountry.detail;
    var ww = this.containing_window;
    var person5093 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/person" }) }) });
    var start_date5094 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5095 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type5096 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/type" }) }) });
    var content5097 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var education_level5098 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/education_level" }) }) });
    var state5099 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var id5100 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city5101 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/city" }) }) });
    var zip_code5102 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text5103 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language5104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/language" }) }) });
    var school5105 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks5106 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var country5107 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      city5101.setContextValue('mk',bp['mk']);
      city5101.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country5107 !== 'undefined' && country5107.on('change',Lino.chooser_handler(city5101,'country'));
      Lino.cv.StudiesByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person5093, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date5094, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date5095, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type5096, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content5097, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "education_level", "editable": true, "editor": education_level5098, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state5099, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id5100, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "city", "editable": true, "editor": city5101, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "zip_code", "editable": true, "editor": zip_code5102, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 10, "dataIndex": "duration_text", "editable": true, "editor": duration_text5103, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language5104, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "school", "editable": true, "editor": school5105, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remarks", "editable": true, "editor": remarks5106, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "country", "editable": true, "editor": country5107, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByCountry.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByCountry.detail;
    Lino.cv.StudiesByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByCountry.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByCountry" };
  return new Lino.cv.StudiesByCountry.detailPanel(p);
});
Lino.cv.StudiesByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByCountry" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByCountry.GridPanel(p);
});
Lino.cv.StudiesByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByLevel
Lino.cv.StudiesByLevel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByLevel",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "content" }, { "name": "education_level" }, 'education_levelHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 85,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByLevel.detail;
    var ww = this.containing_window;
    var person6280 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/person" }) }) });
    var start_date6281 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6282 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type6283 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/type" }) }) });
    var content6284 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var education_level6285 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/education_level" }) }) });
    var state6286 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var id6287 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country6288 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/country" }) }) });
    var city6289 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/city" }) }) });
    var zip_code6290 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text6291 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language6292 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/language" }) }) });
    var school6293 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6294 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city6289.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6288 !== 'undefined' && country6288.on('change',Lino.chooser_handler(city6289,'country'));
      Lino.cv.StudiesByLevel.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person6280, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date6281, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date6282, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type6283, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content6284, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "education_level", "editable": true, "editor": education_level6285, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state6286, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id6287, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "country", "editable": true, "editor": country6288, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "city", "editable": true, "editor": city6289, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "zip_code", "editable": true, "editor": zip_code6290, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "duration_text", "editable": true, "editor": duration_text6291, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language6292, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school6293, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks6294, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) } ];
    Lino.cv.StudiesByLevel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByLevel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByLevel.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByLevel",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByLevel.detail;
    Lino.cv.StudiesByLevel.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByLevel.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByLevel" };
  return new Lino.cv.StudiesByLevel.detailPanel(p);
});
Lino.cv.StudiesByLevel.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByLevel" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByLevel.GridPanel(p);
});
Lino.cv.StudiesByLevel.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByPlace
Lino.cv.StudiesByPlace.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByPlace",
  ls_store_fields : [ { "name": "school" }, { "name": "type" }, 'typeHidden', { "name": "person" }, 'personHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "language" }, 'languageHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "education_level" }, 'education_levelHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 85,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPlace.detail;
    var ww = this.containing_window;
    var school4225 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type4226 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/type" }) }) });
    var person4227 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/person" }) }) });
    var content4228 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date4229 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date4230 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var state4231 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var language4232 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/language" }) }) });
    var remarks4233 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id4234 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country4235 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/country" }) }) });
    var zip_code4236 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text4237 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var education_level4238 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/education_level" }) }) });
    var city4239 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/city" }) }) });
    this.before_row_edit = function(record) {
      city4239.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country4235 !== 'undefined' && country4235.on('change',Lino.chooser_handler(city4239,'country'));
      Lino.cv.StudiesByPlace.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "school", "editable": true, "editor": school4225, "filter": { "type": "string" }, "header": "Einrichtung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type4226, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person4227, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content4228, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date4229, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date4230, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state4231, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 7, "dataIndex": "language", "editable": true, "editor": language4232, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remarks", "editable": true, "editor": remarks4233, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id4234, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "country", "editable": true, "editor": country4235, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code4236, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "duration_text", "editable": true, "editor": duration_text4237, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "education_level", "editable": true, "editor": education_level4238, "filter": { "type": "string" }, "header": "Akademischer Grad", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "city", "editable": true, "editor": city4239, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByPlace.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPlace.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPlace.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPlace",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPlace.detail;
    Lino.cv.StudiesByPlace.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPlace.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPlace" };
  return new Lino.cv.StudiesByPlace.detailPanel(p);
});
Lino.cv.StudiesByPlace.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPlace" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByPlace.GridPanel(p);
});
Lino.cv.StudiesByPlace.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByType
Lino.cv.StudiesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByType",
  ls_store_fields : [ { "name": "school" }, { "name": "person" }, 'personHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "language" }, 'languageHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "education_level" }, 'education_levelHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 85,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByType.detail;
    var ww = this.containing_window;
    var school6171 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var person6172 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/person" }) }) });
    var content6173 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date6174 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6175 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var state6176 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var language6177 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/language" }) }) });
    var remarks6178 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id6179 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country6180 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/country" }) }) });
    var city6181 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/city" }) }) });
    var zip_code6182 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text6183 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var education_level6184 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/education_level" }) }) });
    var type6185 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/type" }) }) });
    this.before_row_edit = function(record) {
      city6181.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6180 !== 'undefined' && country6180.on('change',Lino.chooser_handler(city6181,'country'));
      Lino.cv.StudiesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "school", "editable": true, "editor": school6171, "filter": { "type": "string" }, "header": "Einrichtung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person6172, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "content", "editable": true, "editor": content6173, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date6174, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date6175, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state6176, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language6177, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "remarks", "editable": true, "editor": remarks6178, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6179, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country6180, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city6181, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code6182, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "duration_text", "editable": true, "editor": duration_text6183, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "education_level", "editable": true, "editor": education_level6184, "filter": { "type": "string" }, "header": "Akademischer Grad", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "type", "editable": true, "editor": type6185, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByType.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByType.detail;
    Lino.cv.StudiesByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByType.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByType" };
  return new Lino.cv.StudiesByType.detailPanel(p);
});
Lino.cv.StudiesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByType" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByType.GridPanel(p);
});
Lino.cv.StudiesByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByPerson
Lino.cv.StudiesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByPerson",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "school" }, { "name": "country" }, 'countryHidden', { "name": "state" }, 'stateHidden', { "name": "education_level" }, 'education_levelHidden', { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "remarks" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 85,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Studium) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    var ww = this.containing_window;
    var type1854 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/type" }) }) });
    var content1855 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date1856 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1857 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text1858 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var school1859 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var country1860 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/country" }) }) });
    var state1861 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var education_level1862 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/education_level" }) }) });
    var id1863 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city1864 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/city" }) }) });
    var zip_code1865 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language1866 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/language" }) }) });
    var remarks1867 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var person1868 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      city1864.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country1860 !== 'undefined' && country1860.on('change',Lino.chooser_handler(city1864,'country'));
      Lino.cv.StudiesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type1854, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "content", "editable": true, "editor": content1855, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date1856, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date1857, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "duration_text", "editable": true, "editor": duration_text1858, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "school", "editable": true, "editor": school1859, "filter": { "type": "string" }, "header": "Einrichtung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country1860, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state1861, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 8, "dataIndex": "education_level", "editable": true, "editor": education_level1862, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id1863, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city1864, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code1865, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language1866, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "remarks", "editable": true, "editor": remarks1867, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "person", "editable": true, "editor": person1868, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPerson.insertPanel = Ext.extend(Lino.cv.StudiesByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    Lino.cv.StudiesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  return new Lino.cv.StudiesByPerson.insertPanel(p);
});
Lino.cv.StudiesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPerson.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Studium) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    Lino.cv.StudiesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  return new Lino.cv.StudiesByPerson.detailPanel(p);
});
Lino.cv.StudiesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByPerson.GridPanel(p);
});
Lino.cv.StudiesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesBySector
Lino.cv.ExperiencesBySector.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesBySector",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "title" }, { "name": "company" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "remarks" }, { "name": "termination_reason" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesBySector.detail;
    var ww = this.containing_window;
    var person4444 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/person" }) }) });
    var start_date4445 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date4446 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text4447 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector4448 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/sector" }) }) });
    var function4449 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/function" }) }) });
    var title4450 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company4451 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id4452 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country4453 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/country" }) }) });
    var city4454 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/city" }) }) });
    var zip_code4455 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var status4456 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/status" }) }) });
    var duration4457 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/duration" }) }) });
    var regime4458 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/regime" }) }) });
    var is_training4459 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var remarks4460 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var termination_reason4461 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      function4449.setContextValue('mk',bp['mk']);
      function4449.setContextValue('mt',bp['mt']);
      city4454.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector4448 !== 'undefined' && sector4448.on('change',Lino.chooser_handler(function4449,'sector'));
      typeof country4453 !== 'undefined' && country4453.on('change',Lino.chooser_handler(city4454,'country'));
      Lino.cv.ExperiencesBySector.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person4444, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date4445, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date4446, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text4447, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector4448, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function4449, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title4450, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company4451, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4452, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country4453, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city4454, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code4455, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "status", "editable": true, "editor": status4456, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "duration", "editable": true, "editor": duration4457, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "regime", "editable": true, "editor": regime4458, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "remarks", "editable": true, "editor": remarks4460, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason4461, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.ExperiencesBySector.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesBySector.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesBySector.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesBySector",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesBySector.detail;
    Lino.cv.ExperiencesBySector.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesBySector.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesBySector" };
  return new Lino.cv.ExperiencesBySector.detailPanel(p);
});
Lino.cv.ExperiencesBySector.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesBySector" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesBySector.GridPanel(p);
});
Lino.cv.ExperiencesBySector.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByFunction
Lino.cv.ExperiencesByFunction.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByFunction",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "title" }, { "name": "company" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "remarks" }, { "name": "termination_reason" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByFunction.detail;
    var ww = this.containing_window;
    var person4419 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/person" }) }) });
    var start_date4420 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date4421 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text4422 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector4423 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/sector" }) }) });
    var function4424 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/function" }) }) });
    var title4425 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company4426 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id4427 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country4428 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/country" }) }) });
    var city4429 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/city" }) }) });
    var zip_code4430 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var status4431 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/status" }) }) });
    var duration4432 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/duration" }) }) });
    var regime4433 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/regime" }) }) });
    var is_training4434 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var remarks4435 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var termination_reason4436 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function4424.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city4429.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector4423 !== 'undefined' && sector4423.on('change',Lino.chooser_handler(function4424,'sector'));
      typeof country4428 !== 'undefined' && country4428.on('change',Lino.chooser_handler(city4429,'country'));
      Lino.cv.ExperiencesByFunction.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person4419, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date4420, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date4421, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text4422, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector4423, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function4424, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title4425, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company4426, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4427, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country4428, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city4429, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code4430, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "status", "editable": true, "editor": status4431, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "duration", "editable": true, "editor": duration4432, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "regime", "editable": true, "editor": regime4433, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "remarks", "editable": true, "editor": remarks4435, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason4436, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.ExperiencesByFunction.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByFunction.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByFunction.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByFunction",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByFunction.detail;
    Lino.cv.ExperiencesByFunction.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByFunction.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByFunction" };
  return new Lino.cv.ExperiencesByFunction.detailPanel(p);
});
Lino.cv.ExperiencesByFunction.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByFunction" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByFunction.GridPanel(p);
});
Lino.cv.ExperiencesByFunction.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByPerson
Lino.cv.ExperiencesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByPerson",
  ls_store_fields : [ { "name": "company" }, { "name": "country" }, 'countryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "function" }, 'functionHidden', { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "termination_reason" }, { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "sector" }, 'sectorHidden', { "name": "title" }, { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Berufserfahrung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    var ww = this.containing_window;
    var company1987 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country1988 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/country" }) }) });
    var start_date1989 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1990 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text1991 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var function1992 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/function" }) }) });
    var status1993 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/status" }) }) });
    var duration1994 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/duration" }) }) });
    var termination_reason1995 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remarks1996 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id1997 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city1998 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/city" }) }) });
    var zip_code1999 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var sector2000 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/sector" }) }) });
    var title2001 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var regime2002 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/regime" }) }) });
    var is_training2003 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var person2004 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function1992.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1998.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector2000 !== 'undefined' && sector2000.on('change',Lino.chooser_handler(function1992,'sector'));
      typeof country1988 !== 'undefined' && country1988.on('change',Lino.chooser_handler(city1998,'country'));
      Lino.cv.ExperiencesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company1987, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "country", "editable": true, "editor": country1988, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date1989, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date1990, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "duration_text", "editable": true, "editor": duration_text1991, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function1992, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "status", "editable": true, "editor": status1993, "filter": { "type": "string" }, "header": "Status", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "duration", "editable": true, "editor": duration1994, "filter": { "type": "string" }, "header": "Vertragsdauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason1995, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "remarks", "editable": true, "editor": remarks1996, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id1997, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "city", "editable": true, "editor": city1998, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "zip_code", "editable": true, "editor": zip_code1999, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "sector", "editable": true, "editor": sector2000, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "title", "editable": true, "editor": title2001, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "regime", "editable": true, "editor": regime2002, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "person", "editable": true, "editor": person2004, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.ExperiencesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByPerson.insertPanel = Ext.extend(Lino.cv.ExperiencesByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    Lino.cv.ExperiencesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  return new Lino.cv.ExperiencesByPerson.insertPanel(p);
});
Lino.cv.ExperiencesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByPerson.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Berufserfahrung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    Lino.cv.ExperiencesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  return new Lino.cv.ExperiencesByPerson.detailPanel(p);
});
Lino.cv.ExperiencesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByPerson.GridPanel(p);
});
Lino.cv.ExperiencesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.PropsByPerson
Lino.cv.PropsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/PropsByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschaften",
  initComponent : function() {
    var ww = this.containing_window;
    var property8231 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PropsByPerson/property" }) }) });
    var value8232 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PropsByPerson/value" }) }) });
    var remark8233 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id8234 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group8235 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PropsByPerson/group" }) }) });
    var person8236 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PropsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property8231.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value8232.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group8235 !== 'undefined' && group8235.on('change',Lino.chooser_handler(property8231,'group'));
      typeof property8231 !== 'undefined' && property8231.on('change',Lino.chooser_handler(value8232,'property'));
      Lino.cv.PropsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property8231, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.property) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value8232, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8233, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8234, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group8235, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.group) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person8236, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.PropsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.PropsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/PropsByPerson" };
  return new Lino.cv.PropsByPerson.GridPanel(p);
});

// js_render_GridPanel_class cv.ConfiguredPropsByPerson
Lino.cv.ConfiguredPropsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ConfiguredPropsByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ConfiguredPropsByPerson",
  initComponent : function() {
    var ww = this.containing_window;
    var property8238 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ConfiguredPropsByPerson/property" }) }) });
    var value8239 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ConfiguredPropsByPerson/value" }) }) });
    var remark8240 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id8241 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group8242 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ConfiguredPropsByPerson/group" }) }) });
    var person8243 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ConfiguredPropsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property8238.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value8239.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group8242 !== 'undefined' && group8242.on('change',Lino.chooser_handler(property8238,'group'));
      typeof property8238 !== 'undefined' && property8238.on('change',Lino.chooser_handler(value8239,'property'));
      Lino.cv.ConfiguredPropsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property8238, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.property) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value8239, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8240, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8241, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group8242, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.group) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person8243, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.ConfiguredPropsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ConfiguredPropsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ConfiguredPropsByPerson" };
  return new Lino.cv.ConfiguredPropsByPerson.GridPanel(p);
});

// js_render_GridPanel_class cv.SkillsByPerson
Lino.cv.SkillsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/SkillsByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Fachkompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var property2084 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/property" }) }) });
    var value2085 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/value" }) }) });
    var remark2086 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2087 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group2088 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/group" }) }) });
    var person2089 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property2084.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value2085.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group2088 !== 'undefined' && group2088.on('change',Lino.chooser_handler(property2084,'group'));
      typeof property2084 !== 'undefined' && property2084.on('change',Lino.chooser_handler(value2085,'property'));
      Lino.cv.SkillsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property2084, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.property) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value2085, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark2086, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2087, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group2088, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.group) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person2089, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.SkillsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.SkillsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/SkillsByPerson" };
  return new Lino.cv.SkillsByPerson.GridPanel(p);
});

// js_render_GridPanel_class cv.SoftSkillsByPerson
Lino.cv.SoftSkillsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/SoftSkillsByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sozialkompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var property2092 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/property" }) }) });
    var value2093 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/value" }) }) });
    var remark2094 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2095 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group2096 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/group" }) }) });
    var person2097 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property2092.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value2093.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group2096 !== 'undefined' && group2096.on('change',Lino.chooser_handler(property2092,'group'));
      typeof property2092 !== 'undefined' && property2092.on('change',Lino.chooser_handler(value2093,'property'));
      Lino.cv.SoftSkillsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property2092, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.property) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value2093, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark2094, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2095, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group2096, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.group) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person2097, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.SoftSkillsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.SoftSkillsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/SoftSkillsByPerson" };
  return new Lino.cv.SoftSkillsByPerson.GridPanel(p);
});

// js_render_GridPanel_class cv.ObstaclesByPerson
Lino.cv.ObstaclesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ObstaclesByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hindernisse",
  initComponent : function() {
    var ww = this.containing_window;
    var property2103 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/property" }) }) });
    var value2104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/value" }) }) });
    var remark2105 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2106 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group2107 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/group" }) }) });
    var person2108 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property2103.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value2104.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group2107 !== 'undefined' && group2107.on('change',Lino.chooser_handler(property2103,'group'));
      typeof property2103 !== 'undefined' && property2103.on('change',Lino.chooser_handler(value2104,'property'));
      Lino.cv.ObstaclesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property2103, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.property) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value2104, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark2105, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2106, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group2107, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.group) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person2108, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.ObstaclesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ObstaclesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ObstaclesByPerson" };
  return new Lino.cv.ObstaclesByPerson.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ClientsByNationality
Lino.pcsw.ClientsByNationality.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ClientsByNationality",
  ls_store_fields : [ { "name": "city" }, 'cityHidden', { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "name" }, { "name": "country" }, 'countryHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "email" }, { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "broker" }, 'brokerHidden', { "name": "faculty" }, 'facultyHidden', { "name": "has_esf", "type": "boolean" }, { "name": "age" }, { "name": "nationality" }, 'nationalityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    var ww = this.containing_window;
    var city8245 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/city" }) }) });
    var street8246 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8247 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var street_box8248 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var addr28249 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name8250 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country8251 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/country" }) }) });
    var language8252 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var id8253 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8254 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var url8255 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone8256 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm8257 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax8258 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified8259 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8260 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var zip_code8261 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8262 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/region" }) }) });
    var addr18263 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8264 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix8265 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8266 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete8267 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity8268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/activity" }) }) });
    var client_contact_type8269 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/client_contact_type" }) }) });
    var payment_term8270 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/payment_term" }) }) });
    var title8271 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name8272 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8273 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8274 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8275 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date8276 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client_state8277 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id8278 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_country8279 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/birth_country" }) }) });
    var birth_place8280 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number8281 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from8282 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until8283 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type8284 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer8285 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text8286 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition8287 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group8288 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/group" }) }) });
    var civil_state8289 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type8290 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since8291 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until8292 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since8293 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since8294 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit8295 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit8296 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until8297 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type8298 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/aid_type" }) }) });
    var declared_name8299 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking8300 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until8301 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why8302 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles8303 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills8304 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact8305 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/job_office_contact" }) }) });
    var refusal_reason8306 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks28307 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id8308 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id8309 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas8310 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior8311 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance8312 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/health_insurance" }) }) });
    var pharmacy8313 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/pharmacy" }) }) });
    var income_ag8314 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg8315 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg8316 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente8317 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc8318 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents8319 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var broker8320 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/broker" }) }) });
    var faculty8321 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/faculty" }) }) });
    var has_esf8322 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var age_disp8323 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp8323 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var nationality8324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/nationality" }) }) });
    this.before_row_edit = function(record) {
      city8245.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8245.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region8262.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country8251 !== 'undefined' && country8251.on('change',Lino.chooser_handler(city8245,'country'));
      typeof region8262 !== 'undefined' && region8262.on('change',Lino.chooser_handler(city8245,'region'));
      typeof country8251 !== 'undefined' && country8251.on('change',Lino.chooser_handler(region8262,'country'));
      Lino.pcsw.ClientsByNationality.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "city", "editable": true, "editor": city8245, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "street", "editable": true, "editor": street8246, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "street_no", "editable": true, "editor": street_no8247, "filter": { "type": "string" }, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 3, "dataIndex": "street_box", "editable": true, "editor": street_box8248, "filter": { "type": "string" }, "header": "Box", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 4, "dataIndex": "addr2", "editable": true, "editor": addr28249, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "name", "editable": true, "editor": name8250, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country8251, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "language", "editable": true, "editor": language8252, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8253, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "email", "editable": true, "editor": email8254, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "url", "editable": true, "editor": url8255, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "phone", "editable": true, "editor": phone8256, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "gsm", "editable": true, "editor": gsm8257, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "fax", "editable": true, "editor": fax8258, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 16, "dataIndex": "zip_code", "editable": true, "editor": zip_code8261, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "region", "editable": true, "editor": region8262, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "addr1", "editable": true, "editor": addr18263, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8264, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "prefix", "editable": true, "editor": prefix8265, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "activity", "editable": true, "editor": activity8268, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type8269, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term8270, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "title", "editable": true, "editor": title8271, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 27, "dataIndex": "first_name", "editable": true, "editor": first_name8272, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "middle_name", "editable": true, "editor": middle_name8273, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "last_name", "editable": true, "editor": last_name8274, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "gender", "editable": true, "editor": gender8275, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 31, "dataIndex": "birth_date", "editable": true, "editor": birth_date8276, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 32, "dataIndex": "client_state", "editable": true, "editor": client_state8277, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 33, "dataIndex": "national_id", "editable": true, "editor": national_id8278, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 34, "dataIndex": "birth_country", "editable": true, "editor": birth_country8279, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 35, "dataIndex": "birth_place", "editable": true, "editor": birth_place8280, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 36, "dataIndex": "card_number", "editable": true, "editor": card_number8281, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from8282, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 38, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until8283, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 39, "dataIndex": "card_type", "editable": true, "editor": card_type8284, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 40, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer8285, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 41, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text8286, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 42, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition8287, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 43, "dataIndex": "group", "editable": true, "editor": group8288, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 44, "dataIndex": "civil_state", "editable": true, "editor": civil_state8289, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 45, "dataIndex": "residence_type", "editable": true, "editor": residence_type8290, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 46, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since8291, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 47, "dataIndex": "residence_until", "editable": true, "editor": residence_until8292, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 48, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since8293, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 49, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since8294, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 50, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 51, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 52, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until8297, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "aid_type", "editable": true, "editor": aid_type8298, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 54, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 56, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until8301, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 57, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why8302, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 58, "dataIndex": "obstacles", "editable": true, "editor": obstacles8303, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 59, "dataIndex": "skills", "editable": true, "editor": skills8304, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 60, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact8305, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 61, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason8306, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 62, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id8308, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 64, "dataIndex": "tim_id", "editable": true, "editor": tim_id8309, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 65, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 66, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 67, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance8312, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 68, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy8313, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 69, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 70, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 71, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 72, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 73, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 74, "dataIndex": "job_agents", "editable": true, "editor": job_agents8319, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 75, "dataIndex": "broker", "editable": true, "editor": broker8320, "filter": { "type": "string" }, "header": "Vermittler", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 76, "dataIndex": "faculty", "editable": true, "editor": faculty8321, "filter": { "type": "string" }, "header": "Fachbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.faculty) The Faculty this client has been attributed to.") }, "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) }, { "colIndex": 77, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 79, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 80, "dataIndex": "nationality", "editable": true, "editor": nationality8324, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) } ];
    Lino.pcsw.ClientsByNationality.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.ClientsByNationality.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/ClientsByNationality",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    Lino.pcsw.ClientsByNationality.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  return new Lino.pcsw.ClientsByNationality.insertPanel(p);
});
Lino.pcsw.ClientsByNationality.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.ClientsByNationality.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/ClientsByNationality",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    Lino.pcsw.ClientsByNationality.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  return new Lino.pcsw.ClientsByNationality.detailPanel(p);
});
Lino.pcsw.ClientsByNationality.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.ClientsByNationality.GridPanel(p);
});
Lino.pcsw.ClientsByNationality.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.DispensesByClient
Lino.pcsw.DispensesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/DispensesByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "reason" }, 'reasonHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 52,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dispenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1825 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1826 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var reason1827 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Dispenzgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.DispenseReasons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/DispensesByClient/reason" }) }) });
    var remarks1828 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1825, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Dispenziert seit", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1826, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "reason", "editable": true, "editor": reason1827, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remarks", "editable": true, "editor": remarks1828, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.pcsw.DispensesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.DispensesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/DispensesByClient" };
  return new Lino.pcsw.DispensesByClient.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ExclusionsByClient
Lino.pcsw.ExclusionsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ExclusionsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "excluded_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "excluded_until", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 54,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AG-Sperren",
  initComponent : function() {
    var ww = this.containing_window;
    var excluded_from1831 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var excluded_until1832 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type1833 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "AG-Sperrgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.ExclusionTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ExclusionsByClient/type" }) }) });
    var remark1834 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "excluded_from", "editable": true, "editor": excluded_from1831, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "AG-Sperre seit", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.excluded_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "excluded_until", "editable": true, "editor": excluded_until1832, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.excluded_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type1833, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1834, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.pcsw.ExclusionsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ExclusionsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ExclusionsByClient" };
  return new Lino.pcsw.ExclusionsByClient.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ConvictionsByClient
Lino.pcsw.ConvictionsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ConvictionsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "designation" }, { "name": "prejudicial", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 55,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorstrafen",
  initComponent : function() {
    var ww = this.containing_window;
    var date8326 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var designation8327 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var prejudicial8328 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8326, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "designation", "editable": true, "editor": designation8327, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.designation) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "prejudicial", "editable": true, "filter": { "type": "boolean" }, "header": "Prejudicial", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.prejudicial) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.pcsw.ConvictionsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ConvictionsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ConvictionsByClient" };
  return new Lino.pcsw.ConvictionsByClient.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingsByClient
Lino.coachings.CoachingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "primary", "type": "boolean" }, { "name": "type" }, 'typeHidden', { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungen",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1701 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1702 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user1703 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/user" }) }) });
    var primary1704 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var type1705 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/type" }) }) });
    var ending1706 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/ending" }) }) });
    var id1707 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      ending1706.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type1705 !== 'undefined' && type1705.on('change',Lino.chooser_handler(ending1706,'type'));
      Lino.coachings.CoachingsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1701, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1702, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user1703, "filter": { "type": "string" }, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(13) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type1705, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 5, "dataIndex": "ending", "editable": true, "editor": ending1706, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id1707, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByClient.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingsByUser
Lino.coachings.CoachingsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByUser",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungen",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1671 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1672 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client1673 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByUser/client" }) }) });
    var type1674 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByUser/type" }) }) });
    var primary1675 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id1676 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1671, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1672, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "client", "editable": true, "editor": client1673, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type1674, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id1676, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByUser" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByUser.GridPanel(p);
});

// js_render_GridPanel_class coachings.MyCoachings
Lino.coachings.MyCoachings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/MyCoachings",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Begleitungen",
  initComponent : function() {
    var ww = this.containing_window;
    var client8330 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/MyCoachings/client" }) }) });
    var start_date8331 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8332 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type8333 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/MyCoachings/type" }) }) });
    var primary8334 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8335 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client8330, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8331, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date8332, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8333, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8335, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.MyCoachings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.MyCoachings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/MyCoachings" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.MyCoachings.GridPanel(p);
});

// js_render_GridPanel_class reception.AgentsByClient
Lino.reception.AgentsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/AgentsByClient",
  ls_store_fields : [ { "name": "user" }, { "name": "coaching_type" }, { "name": "actions" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin machen mit",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var user_disp8337 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var coaching_type_disp8338 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var actions_disp8339 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Sozi", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.user) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.user) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "coaching_type", "editable": false, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.coaching_type) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.coaching_type) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.actions) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.actions) ", "width": Lino.chars2width(31) } ];
    Lino.reception.AgentsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.AgentsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/AgentsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.reception.AgentsByClient.GridPanel(p);
});

// js_render_GridPanel_class reception.CoachingsByClient
Lino.reception.CoachingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/CoachingsByClient",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "actions" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin machen mit",
  initComponent : function() {
    var ww = this.containing_window;
    var user8341 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/CoachingsByClient/user" }) }) });
    var type8342 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/CoachingsByClient/type" }) }) });
    var actions_disp8343 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8341, "filter": { "type": "string" }, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type8342, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.actions) ") }, "sortable": false, "tooltip": "(reception.CoachingsByClient.actions) ", "width": Lino.chars2width(31) } ];
    Lino.reception.CoachingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.CoachingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/CoachingsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.reception.CoachingsByClient.GridPanel(p);
});

// js_render_GridPanel_class clients.PartnersByClientContactType
Lino.clients.PartnersByClientContactType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/PartnersByClientContactType",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "mti_navigator" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.PartnersByClientContactType.detail;
    var ww = this.containing_window;
    var name3023 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id3024 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mti_navigator_disp3025 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email3026 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language3027 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url3028 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone3029 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm3030 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax3031 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified3032 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created3033 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country3034 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/country" }) }) });
    var city3035 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/city" }) }) });
    var zip_code3036 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region3037 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/region" }) }) });
    var addr13038 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix3039 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street3040 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no3041 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box3042 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr23043 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix3044 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks3045 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete3046 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity3047 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/activity" }) }) });
    var payment_term3048 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/payment_term" }) }) });
    var client_contact_type3049 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/client_contact_type" }) }) });
    this.before_row_edit = function(record) {
      city3035.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3035.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region3037.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country3034 !== 'undefined' && country3034.on('change',Lino.chooser_handler(city3035,'country'));
      typeof region3037 !== 'undefined' && region3037.on('change',Lino.chooser_handler(city3035,'region'));
      typeof country3034 !== 'undefined' && country3034.on('change',Lino.chooser_handler(region3037,'country'));
      Lino.clients.PartnersByClientContactType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name3023, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id3024, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email3026, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language3027, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url3028, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone3029, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm3030, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax3031, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country3034, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city3035, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code3036, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region3037, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr13038, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix3039, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street3040, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no3041, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box3042, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr23043, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix3044, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "activity", "editable": true, "editor": activity3047, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term3048, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type3049, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.clients.PartnersByClientContactType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.PartnersByClientContactType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.clients.PartnersByClientContactType.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/clients/PartnersByClientContactType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.PartnersByClientContactType.detail;
    Lino.clients.PartnersByClientContactType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.PartnersByClientContactType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/PartnersByClientContactType" };
  return new Lino.clients.PartnersByClientContactType.detailPanel(p);
});
Lino.clients.PartnersByClientContactType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/PartnersByClientContactType" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.clients.PartnersByClientContactType.GridPanel(p);
});
Lino.clients.PartnersByClientContactType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.HouseholdsByType
Lino.households.HouseholdsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/HouseholdsByType",
  ls_store_fields : [ { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of households.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushalte",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    var ww = this.containing_window;
    var name4905 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type4906 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var address_column_disp4907 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id4908 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email4909 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language4910 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url4911 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone4912 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm4913 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax4914 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified4915 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created4916 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country4917 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/country" }) }) });
    var city4918 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/city" }) }) });
    var zip_code4919 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region4920 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/region" }) }) });
    var addr14921 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix4922 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street4923 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no4924 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box4925 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr24926 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix4927 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks4928 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete4929 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity4930 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/activity" }) }) });
    var client_contact_type4931 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/client_contact_type" }) }) });
    var payment_term4932 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/payment_term" }) }) });
    this.before_row_edit = function(record) {
      city4918.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city4918.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region4920.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country4917 !== 'undefined' && country4917.on('change',Lino.chooser_handler(city4918,'country'));
      typeof region4920 !== 'undefined' && region4920.on('change',Lino.chooser_handler(city4918,'region'));
      typeof country4917 !== 'undefined' && country4917.on('change',Lino.chooser_handler(region4920,'country'));
      Lino.households.HouseholdsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name4905, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type4906, "filter": { "type": "string" }, "header": "Haushaltsart", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.type) The type of this household.  See household types") }, "sortable": false, "tooltip": "The type of this household.  See household types", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.address_column) ") }, "sortable": false, "tooltip": "(households.HouseholdsByType.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id4908, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email4909, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language4910, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url4911, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone4912, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm4913, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax4914, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country4917, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city4918, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code4919, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region4920, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr14921, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix4922, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street4923, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no4924, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box4925, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr24926, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix4927, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity4930, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type4931, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term4932, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) } ];
    Lino.households.HouseholdsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.HouseholdsByType.insertPanel = Ext.extend(Lino.households.HouseholdsByType.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/HouseholdsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    Lino.households.HouseholdsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  return new Lino.households.HouseholdsByType.insertPanel(p);
});
Lino.households.HouseholdsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.HouseholdsByType.detailPanel = Ext.extend(Lino.households.HouseholdsByType.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/households/HouseholdsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    Lino.households.HouseholdsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  return new Lino.households.HouseholdsByType.detailPanel(p);
});
Lino.households.HouseholdsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.households.HouseholdsByType.GridPanel(p);
});
Lino.households.HouseholdsByType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.populate_members = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "populate_members", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MembersByHousehold
Lino.households.MembersByHousehold.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MembersByHousehold",
  ls_store_fields : [ { "name": "age" }, { "name": "role" }, 'roleHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "person" }, 'personHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "birth_date" }, { "name": "gender" }, 'genderHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "middle_name" }, { "name": "primary", "type": "boolean" }, { "name": "household" }, 'householdHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 122,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mitglieder",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp4954 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role4955 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var dependency4956 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var person4957 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByHousehold/person" }) }) });
    var first_name4958 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name4959 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date4960 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var gender4961 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id4962 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date4963 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date4964 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title4965 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name4966 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var primary4967 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var household4968 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByHousehold/household" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role4955, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "dependency", "editable": true, "editor": dependency4956, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person4957, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name4958, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "last_name", "editable": true, "editor": last_name4959, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "birth_date", "editable": true, "editor": birth_date4960, "filter": { "type": "string" }, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender4961, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4962, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date4963, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date4964, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "title", "editable": true, "editor": title4965, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "middle_name", "editable": true, "editor": middle_name4966, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "household", "editable": true, "editor": household4968, "filter": { "type": "string" }, "header": "Haushalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.MembersByHousehold.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByHousehold.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MembersByHousehold" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.MembersByHousehold.GridPanel(p);
});
Lino.households.MembersByHousehold.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.SiblingsByPerson
Lino.households.SiblingsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/SiblingsByPerson",
  ls_store_fields : [ { "name": "age" }, { "name": "role" }, 'roleHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "person" }, 'personHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "birth_date" }, { "name": "gender" }, 'genderHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "middle_name" }, { "name": "household" }, 'householdHidden', { "name": "primary", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 122,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltszusammensetzung",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp1498 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role1499 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var dependency1500 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var person1501 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/SiblingsByPerson/person" }) }) });
    var first_name1502 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name1503 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date1504 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var gender1505 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id1506 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date1507 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date1508 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title1509 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name1510 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var household1511 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/SiblingsByPerson/household" }) }) });
    var primary1512 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role1499, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "dependency", "editable": true, "editor": dependency1500, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person1501, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name1502, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "last_name", "editable": true, "editor": last_name1503, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "birth_date", "editable": true, "editor": birth_date1504, "filter": { "type": "string" }, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender1505, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id1506, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date1507, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date1508, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "title", "editable": true, "editor": title1509, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "middle_name", "editable": true, "editor": middle_name1510, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "household", "editable": true, "editor": household1511, "filter": { "type": "string" }, "header": "Haushalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.households.SiblingsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.SiblingsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(100) }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/SiblingsByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.SiblingsByPerson.GridPanel(p);
});
Lino.households.SiblingsByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MembersByPerson
Lino.households.MembersByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MembersByPerson",
  ls_store_fields : [ { "name": "household" }, 'householdHidden', { "name": "role" }, 'roleHidden', { "name": "primary", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "dependency" }, 'dependencyHidden', { "name": "age" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 122,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Mitglied) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mitgliedschaft in Haushalten",
  initComponent : function() {
    this.ls_insert_handler = Lino.households.MembersByPerson.insert;
    var ww = this.containing_window;
    var household8345 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var role8346 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var primary8347 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var start_date8348 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8349 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id8350 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title8351 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name8352 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8353 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8354 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8355 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date8356 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var dependency8357 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var age_disp8358 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp8358 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var person8359 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "household", "editable": true, "editor": household8345, "filter": { "type": "string" }, "header": "Haushalt", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role8346, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date8348, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date8349, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8350, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title8351, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "first_name", "editable": true, "editor": first_name8352, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "middle_name", "editable": true, "editor": middle_name8353, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "last_name", "editable": true, "editor": last_name8354, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "gender", "editable": true, "editor": gender8355, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "birth_date", "editable": true, "editor": birth_date8356, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 12, "dataIndex": "dependency", "editable": true, "editor": dependency8357, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 13, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "person", "editable": true, "editor": person8359, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.MembersByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.MembersByPerson.insertPanel = Ext.extend(Lino.households.MembersByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/MembersByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.households.MembersByPerson.insert;
    Lino.households.MembersByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/MembersByPerson" };
  return new Lino.households.MembersByPerson.insertPanel(p);
});
Lino.households.MembersByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MembersByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.MembersByPerson.GridPanel(p);
});
Lino.households.MembersByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.RefundsByPerson
Lino.households.RefundsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/RefundsByPerson",
  ls_store_fields : [ { "name": "age" }, { "name": "gender" }, 'genderHidden', { "name": "person_info" }, { "name": "amount" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 122,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltszusammensetzung",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp8361 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var gender8362 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var person_info_disp8363 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount8364 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "gender", "editable": true, "editor": gender8362, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "person_info", "editable": false, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.person_info) ") }, "sortable": false, "tooltip": "(households.RefundsByPerson.person_info) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.amount) ") }, "sortable": true, "tooltip": "(households.RefundsByPerson.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.households.RefundsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.RefundsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(100) }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/RefundsByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.RefundsByPerson.GridPanel(p);
});
Lino.households.RefundsByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.PartnersByContract
Lino.isip.PartnersByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/PartnersByContract",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "duties_company" }, { "name": "contract" }, 'contractHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Vertragspartner) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vertragspartner",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    var ww = this.containing_window;
    var id2175 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var company2176 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/company" }) }) });
    var contact_person2177 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contact_person" }) }) });
    var contact_role2178 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contact_role" }) }) });
    var duties_company2179 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Verpflichtungen Firma" });
    var contract2180 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "VSE ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contract" }) }) });
    this.before_row_edit = function(record) {
      contact_person2177.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company2179.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2176 !== 'undefined' && company2176.on('change',Lino.chooser_handler(contact_person2177,'company'));
      Lino.isip.PartnersByContract.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id2175, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company2176, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person2177, "filter": { "type": "string" }, "header": "Vertreten durch", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "contact_role", "editable": true, "editor": contact_role2178, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "duties_company", "editable": true, "editor": duties_company2179, "filter": { "type": "string" }, "header": "Verpflichtungen Firma", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.duties_company) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "contract", "editable": true, "editor": contract2180, "filter": { "type": "string" }, "header": "VSE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.isip.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.PartnersByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.PartnersByContract.insertPanel = Ext.extend(Lino.isip.ContractPartners.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/PartnersByContract",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    Lino.isip.PartnersByContract.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.insertPanel(p);
});
Lino.isip.PartnersByContract.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.PartnersByContract.detailPanel = Ext.extend(Lino.isip.ContractPartners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Vertragspartner) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/PartnersByContract",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    Lino.isip.PartnersByContract.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.detailPanel(p);
});
Lino.isip.PartnersByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.GridPanel(p);
});
Lino.isip.PartnersByContract.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByClient
Lino.isip.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "user" }, 'userHidden', { "name": "study_type" }, 'study_typeHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 97,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from2115 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until2116 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type2117 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/type" }) }) });
    var user2118 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user" }) }) });
    var study_type2119 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/study_type" }) }) });
    var date_ended2120 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending2121 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/ending" }) }) });
    var id2122 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer12123 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/signer1" }) }) });
    var signer22124 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/signer2" }) }) });
    var printed_by2125 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language2126 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided2127 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued2128 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd2129 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user_asd" }) }) });
    var exam_policy2130 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/exam_policy" }) }) });
    var stages2131 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals2132 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd2133 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe2134 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw2135 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person2136 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe2137 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user_dsbe" }) }) });
    var client2138 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      stages2131.refresh();
      goals2132.refresh();
      duties_asd2133.refresh();
      duties_dsbe2134.refresh();
      duties_pcsw2135.refresh();
      duties_person2136.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from2115, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until2116, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type2117, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user2118, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "study_type", "editable": true, "editor": study_type2119, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "date_ended", "editable": true, "editor": date_ended2120, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "ending", "editable": true, "editor": ending2121, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id2122, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer12123, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer22124, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language2126, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided2127, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued2128, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd2129, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy2130, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages2131, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals2132, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd2133, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe2134, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw2135, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person2136, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe2137, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "client", "editable": true, "editor": client2138, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByClient.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    Lino.isip.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  return new Lino.isip.ContractsByClient.insertPanel(p);
});
Lino.isip.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByClient.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    Lino.isip.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  return new Lino.isip.ContractsByClient.detailPanel(p);
});
Lino.isip.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByClient.GridPanel(p);
});
Lino.isip.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByPolicy
Lino.isip.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 97,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id3254 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from3255 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended3256 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client3257 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/client" }) }) });
    var user3258 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user" }) }) });
    var type3259 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/type" }) }) });
    var signer13260 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/signer1" }) }) });
    var signer23261 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/signer2" }) }) });
    var printed_by3262 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language3263 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until3264 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided3265 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued3266 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd3267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user_asd" }) }) });
    var ending3268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/ending" }) }) });
    var study_type3269 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/study_type" }) }) });
    var stages3270 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals3271 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd3272 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe3273 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw3274 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person3275 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe3276 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user_dsbe" }) }) });
    var exam_policy3277 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      stages3270.refresh();
      goals3271.refresh();
      duties_asd3272.refresh();
      duties_dsbe3273.refresh();
      duties_pcsw3274.refresh();
      duties_person3275.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id3254, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from3255, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended3256, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client3257, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user3258, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type3259, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer13260, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer23261, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language3263, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until3264, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided3265, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued3266, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd3267, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "ending", "editable": true, "editor": ending3268, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type3269, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages3270, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals3271, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd3272, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe3273, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw3274, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person3275, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe3276, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy3277, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByPolicy.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    Lino.isip.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  return new Lino.isip.ContractsByPolicy.insertPanel(p);
});
Lino.isip.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByPolicy.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    Lino.isip.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  return new Lino.isip.ContractsByPolicy.detailPanel(p);
});
Lino.isip.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByPolicy.GridPanel(p);
});
Lino.isip.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByType
Lino.isip.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 97,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from3506 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client3507 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/client" }) }) });
    var user3508 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user" }) }) });
    var id3509 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until3510 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var signer13511 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/signer1" }) }) });
    var signer23512 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/signer2" }) }) });
    var printed_by3513 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language3514 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided3515 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued3516 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd3517 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user_asd" }) }) });
    var exam_policy3518 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/exam_policy" }) }) });
    var ending3519 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/ending" }) }) });
    var date_ended3520 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var study_type3521 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/study_type" }) }) });
    var stages3522 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals3523 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd3524 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe3525 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw3526 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person3527 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe3528 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user_dsbe" }) }) });
    var type3529 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      stages3522.refresh();
      goals3523.refresh();
      duties_asd3524.refresh();
      duties_dsbe3525.refresh();
      duties_pcsw3526.refresh();
      duties_person3527.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from3506, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client3507, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user3508, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id3509, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until3510, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "signer1", "editable": true, "editor": signer13511, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer2", "editable": true, "editor": signer23512, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "language", "editable": true, "editor": language3514, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "date_decided", "editable": true, "editor": date_decided3515, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "date_issued", "editable": true, "editor": date_issued3516, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "user_asd", "editable": true, "editor": user_asd3517, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy3518, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "ending", "editable": true, "editor": ending3519, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_ended", "editable": true, "editor": date_ended3520, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type3521, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages3522, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals3523, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd3524, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe3525, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw3526, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person3527, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe3528, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "type", "editable": true, "editor": type3529, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByType.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    Lino.isip.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  return new Lino.isip.ContractsByType.insertPanel(p);
});
Lino.isip.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByType.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    Lino.isip.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  return new Lino.isip.ContractsByType.detailPanel(p);
});
Lino.isip.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByType.GridPanel(p);
});
Lino.isip.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByEnding
Lino.isip.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 97,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id2856 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from2857 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended2858 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client2859 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/client" }) }) });
    var user2860 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user" }) }) });
    var type2861 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/type" }) }) });
    var signer12862 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/signer1" }) }) });
    var signer22863 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/signer2" }) }) });
    var printed_by2864 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language2865 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until2866 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided2867 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued2868 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd2869 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user_asd" }) }) });
    var exam_policy2870 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/exam_policy" }) }) });
    var study_type2871 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/study_type" }) }) });
    var stages2872 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals2873 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd2874 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe2875 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw2876 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person2877 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe2878 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user_dsbe" }) }) });
    var ending2879 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      stages2872.refresh();
      goals2873.refresh();
      duties_asd2874.refresh();
      duties_dsbe2875.refresh();
      duties_pcsw2876.refresh();
      duties_person2877.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id2856, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from2857, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended2858, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client2859, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user2860, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type2861, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer12862, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer22863, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language2865, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until2866, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided2867, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued2868, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd2869, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy2870, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type2871, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages2872, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals2873, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd2874, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe2875, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw2876, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person2877, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe2878, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "ending", "editable": true, "editor": ending2879, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByEnding.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    Lino.isip.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  return new Lino.isip.ContractsByEnding.insertPanel(p);
});
Lino.isip.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByEnding.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    Lino.isip.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  return new Lino.isip.ContractsByEnding.detailPanel(p);
});
Lino.isip.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByEnding.GridPanel(p);
});
Lino.isip.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByStudyType
Lino.isip.ContractsByStudyType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByStudyType",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 97,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    var ww = this.containing_window;
    var id6207 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from6208 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended6209 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client6210 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/client" }) }) });
    var user6211 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user" }) }) });
    var type6212 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/type" }) }) });
    var signer16213 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/signer1" }) }) });
    var signer26214 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/signer2" }) }) });
    var printed_by6215 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6216 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until6217 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided6218 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6219 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6220 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user_asd" }) }) });
    var exam_policy6221 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/exam_policy" }) }) });
    var ending6222 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/ending" }) }) });
    var stages6223 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals6224 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd6225 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe6226 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw6227 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person6228 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe6229 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user_dsbe" }) }) });
    var study_type6230 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/study_type" }) }) });
    this.before_row_edit = function(record) {
      stages6223.refresh();
      goals6224.refresh();
      duties_asd6225.refresh();
      duties_dsbe6226.refresh();
      duties_pcsw6227.refresh();
      duties_person6228.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6207, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from6208, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended6209, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client6210, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user6211, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type6212, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer16213, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer26214, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language6216, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until6217, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided6218, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued6219, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd6220, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6221, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending6222, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages6223, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals6224, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd6225, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe6226, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw6227, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person6228, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe6229, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "study_type", "editable": true, "editor": study_type6230, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByStudyType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByStudyType.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByStudyType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    Lino.isip.ContractsByStudyType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  return new Lino.isip.ContractsByStudyType.insertPanel(p);
});
Lino.isip.ContractsByStudyType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByStudyType.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByStudyType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    Lino.isip.ContractsByStudyType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  return new Lino.isip.ContractsByStudyType.detailPanel(p);
});
Lino.isip.ContractsByStudyType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByStudyType.GridPanel(p);
});
Lino.isip.ContractsByStudyType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByClient
Lino.jobs.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "job" }, 'jobHidden', { "name": "company" }, 'companyHidden', { "name": "user" }, 'userHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from2443 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until2444 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended2445 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration2446 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/duration" }) }), "value": null });
    var type2447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/type" }) }) });
    var job2448 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/job" }) }) });
    var company2449 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/company" }) }) });
    var user2450 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/user" }) }) });
    var remark2451 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id2452 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer12453 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/signer1" }) }) });
    var signer22454 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/signer2" }) }) });
    var contact_person2455 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/contact_person" }) }) });
    var contact_role2456 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/contact_role" }) }) });
    var printed_by2457 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language2458 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided2459 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued2460 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd2461 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/user_asd" }) }) });
    var exam_policy2462 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/exam_policy" }) }) });
    var ending2463 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/ending" }) }) });
    var reference_person2464 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities2465 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var regime2466 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/regime" }) }) });
    var schedule2467 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/schedule" }) }) });
    var hourly_rate2468 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate2469 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/refund_rate" }) }) });
    var client2470 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      contact_person2455.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2465.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2449 !== 'undefined' && company2449.on('change',Lino.chooser_handler(contact_person2455,'company'));
      Lino.jobs.ContractsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from2443, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until2444, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended2445, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration", "editable": true, "editor": duration2446, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type2447, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job2448, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company2449, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user2450, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark2451, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id2452, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "signer1", "editable": true, "editor": signer12453, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer2", "editable": true, "editor": signer22454, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person2455, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role2456, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language2458, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided2459, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued2460, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd2461, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy2462, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "ending", "editable": true, "editor": ending2463, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person2464, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities2465, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime2466, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule2467, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate2468, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate2469, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "client", "editable": true, "editor": client2470, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByClient.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    Lino.jobs.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  return new Lino.jobs.ContractsByClient.insertPanel(p);
});
Lino.jobs.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByClient.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    Lino.jobs.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  return new Lino.jobs.ContractsByClient.detailPanel(p);
});
Lino.jobs.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByClient.GridPanel(p);
});
Lino.jobs.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByProvider
Lino.jobs.ContractsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByProvider",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    var ww = this.containing_window;
    var client5272 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/client" }) }) });
    var job5273 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/job" }) }) });
    var applies_from5274 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until5275 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user5276 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/user" }) }) });
    var type5277 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/type" }) }) });
    var id5278 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer15279 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/signer1" }) }) });
    var signer25280 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/signer2" }) }) });
    var contact_person5281 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/contact_person" }) }) });
    var contact_role5282 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/contact_role" }) }) });
    var printed_by5283 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5284 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided5285 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5286 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5287 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/user_asd" }) }) });
    var exam_policy5288 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/exam_policy" }) }) });
    var ending5289 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/ending" }) }) });
    var date_ended5290 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration5291 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/duration" }) }), "value": null });
    var reference_person5292 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5293 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark5294 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime5295 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/regime" }) }) });
    var schedule5296 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/schedule" }) }) });
    var hourly_rate5297 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate5298 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/refund_rate" }) }) });
    var company5299 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person5281.setContextValue('mk',bp['mk']);
      contact_person5281.setContextValue('mt',bp['mt']);
      responsibilities5293.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5299 !== 'undefined' && company5299.on('change',Lino.chooser_handler(contact_person5281,'company'));
      Lino.jobs.ContractsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client5272, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job5273, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "applies_from", "editable": true, "editor": applies_from5274, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "applies_until", "editable": true, "editor": applies_until5275, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5276, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type5277, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id5278, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer15279, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer25280, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person5281, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role5282, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language5284, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided5285, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued5286, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd5287, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5288, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending5289, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended5290, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration5291, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person5292, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5293, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark5294, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime5295, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule5296, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5297, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate5298, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "company", "editable": true, "editor": company5299, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByProvider.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    Lino.jobs.ContractsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  return new Lino.jobs.ContractsByProvider.insertPanel(p);
});
Lino.jobs.ContractsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByProvider.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    Lino.jobs.ContractsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  return new Lino.jobs.ContractsByProvider.detailPanel(p);
});
Lino.jobs.ContractsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByProvider.GridPanel(p);
});
Lino.jobs.ContractsByProvider.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByPolicy
Lino.jobs.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id3280 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client3281 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/client" }) }) });
    var client__national_id3282 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from3283 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended3284 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job3285 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/job" }) }) });
    var user3286 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/user" }) }) });
    var type3287 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/type" }) }) });
    var signer13288 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/signer1" }) }) });
    var signer23289 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/signer2" }) }) });
    var company3290 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/company" }) }) });
    var contact_person3291 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/contact_person" }) }) });
    var contact_role3292 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/contact_role" }) }) });
    var printed_by3293 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language3294 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until3295 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided3296 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued3297 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd3298 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/user_asd" }) }) });
    var ending3299 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/ending" }) }) });
    var duration3300 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/duration" }) }), "value": null });
    var reference_person3301 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities3302 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark3303 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime3304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/regime" }) }) });
    var schedule3305 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/schedule" }) }) });
    var hourly_rate3306 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate3307 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/refund_rate" }) }) });
    var exam_policy3308 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      contact_person3291.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities3302.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company3290 !== 'undefined' && company3290.on('change',Lino.chooser_handler(contact_person3291,'company'));
      Lino.jobs.ContractsByPolicy.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id3280, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client3281, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id3282, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from3283, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended3284, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job3285, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user3286, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type3287, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer13288, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer23289, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company3290, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person3291, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role3292, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language3294, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until3295, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided3296, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued3297, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd3298, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "ending", "editable": true, "editor": ending3299, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration3300, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person3301, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities3302, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark3303, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime3304, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "schedule", "editable": true, "editor": schedule3305, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 26, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate3306, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate3307, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy3308, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByPolicy.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    Lino.jobs.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  return new Lino.jobs.ContractsByPolicy.insertPanel(p);
});
Lino.jobs.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByPolicy.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    Lino.jobs.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  return new Lino.jobs.ContractsByPolicy.detailPanel(p);
});
Lino.jobs.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByPolicy.GridPanel(p);
});
Lino.jobs.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByType
Lino.jobs.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from5637 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5638 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/client" }) }) });
    var job5639 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/job" }) }) });
    var user5640 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/user" }) }) });
    var id5641 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer15642 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/signer1" }) }) });
    var signer25643 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/signer2" }) }) });
    var company5644 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/company" }) }) });
    var contact_person5645 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/contact_person" }) }) });
    var contact_role5646 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/contact_role" }) }) });
    var printed_by5647 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5648 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until5649 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5650 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5651 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5652 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/user_asd" }) }) });
    var exam_policy5653 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/exam_policy" }) }) });
    var ending5654 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/ending" }) }) });
    var date_ended5655 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration5656 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/duration" }) }), "value": null });
    var reference_person5657 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5658 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark5659 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime5660 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/regime" }) }) });
    var schedule5661 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/schedule" }) }) });
    var hourly_rate5662 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate5663 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/refund_rate" }) }) });
    var type5664 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      contact_person5645.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities5658.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5644 !== 'undefined' && company5644.on('change',Lino.chooser_handler(contact_person5645,'company'));
      Lino.jobs.ContractsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from5637, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5638, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job5639, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user5640, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5641, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "signer1", "editable": true, "editor": signer15642, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer2", "editable": true, "editor": signer25643, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company5644, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person5645, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role5646, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language5648, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "applies_until", "editable": true, "editor": applies_until5649, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided5650, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued5651, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd5652, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5653, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending5654, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended5655, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration5656, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person5657, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5658, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark5659, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime5660, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule5661, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5662, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate5663, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "type", "editable": true, "editor": type5664, "filter": { "type": "string" }, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByType.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    Lino.jobs.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  return new Lino.jobs.ContractsByType.insertPanel(p);
});
Lino.jobs.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByType.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    Lino.jobs.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  return new Lino.jobs.ContractsByType.detailPanel(p);
});
Lino.jobs.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByType.GridPanel(p);
});
Lino.jobs.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByEnding
Lino.jobs.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id2882 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client2883 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/client" }) }) });
    var client__national_id2884 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from2885 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended2886 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job2887 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/job" }) }) });
    var user2888 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/user" }) }) });
    var type2889 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/type" }) }) });
    var signer12890 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/signer1" }) }) });
    var signer22891 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/signer2" }) }) });
    var company2892 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/company" }) }) });
    var contact_person2893 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/contact_person" }) }) });
    var contact_role2894 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/contact_role" }) }) });
    var printed_by2895 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language2896 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until2897 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided2898 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued2899 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd2900 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/user_asd" }) }) });
    var exam_policy2901 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/exam_policy" }) }) });
    var duration2902 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/duration" }) }), "value": null });
    var reference_person2903 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities2904 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark2905 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime2906 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/regime" }) }) });
    var schedule2907 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/schedule" }) }) });
    var hourly_rate2908 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate2909 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/refund_rate" }) }) });
    var ending2910 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      contact_person2893.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2904.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2892 !== 'undefined' && company2892.on('change',Lino.chooser_handler(contact_person2893,'company'));
      Lino.jobs.ContractsByEnding.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id2882, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client2883, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id2884, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from2885, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended2886, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job2887, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user2888, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type2889, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer12890, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer22891, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company2892, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person2893, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role2894, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language2896, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until2897, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided2898, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued2899, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd2900, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy2901, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration2902, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person2903, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities2904, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark2905, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime2906, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "schedule", "editable": true, "editor": schedule2907, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 26, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate2908, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate2909, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "ending", "editable": true, "editor": ending2910, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByEnding.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    Lino.jobs.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  return new Lino.jobs.ContractsByEnding.insertPanel(p);
});
Lino.jobs.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByEnding.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    Lino.jobs.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  return new Lino.jobs.ContractsByEnding.detailPanel(p);
});
Lino.jobs.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByEnding.GridPanel(p);
});
Lino.jobs.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByJob
Lino.jobs.ContractsByJob.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByJob",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "job" }, 'jobHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    var ww = this.containing_window;
    var client4822 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/client" }) }) });
    var applies_from4823 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until4824 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user4825 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/user" }) }) });
    var type4826 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/type" }) }) });
    var id4827 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer14828 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/signer1" }) }) });
    var signer24829 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/signer2" }) }) });
    var company4830 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/company" }) }) });
    var contact_person4831 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/contact_person" }) }) });
    var contact_role4832 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/contact_role" }) }) });
    var printed_by4833 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language4834 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided4835 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4836 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4837 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/user_asd" }) }) });
    var exam_policy4838 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/exam_policy" }) }) });
    var ending4839 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/ending" }) }) });
    var date_ended4840 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration4841 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/duration" }) }), "value": null });
    var reference_person4842 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities4843 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark4844 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime4845 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/regime" }) }) });
    var schedule4846 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/schedule" }) }) });
    var hourly_rate4847 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate4848 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/refund_rate" }) }) });
    var job4849 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/job" }) }) });
    this.before_row_edit = function(record) {
      contact_person4831.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities4843.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company4830 !== 'undefined' && company4830.on('change',Lino.chooser_handler(contact_person4831,'company'));
      Lino.jobs.ContractsByJob.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client4822, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from4823, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until4824, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user4825, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type4826, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id4827, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer14828, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer24829, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company4830, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person4831, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role4832, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language4834, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided4835, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued4836, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd4837, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4838, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending4839, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended4840, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration4841, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person4842, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities4843, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark4844, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime4845, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule4846, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate4847, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate4848, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "job", "editable": true, "editor": job4849, "filter": { "type": "string" }, "header": "Stelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByJob.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByJob.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByJob",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    Lino.jobs.ContractsByJob.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  return new Lino.jobs.ContractsByJob.insertPanel(p);
});
Lino.jobs.ContractsByJob.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByJob.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByJob",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    Lino.jobs.ContractsByJob.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  return new Lino.jobs.ContractsByJob.detailPanel(p);
});
Lino.jobs.ContractsByJob.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByJob.GridPanel(p);
});
Lino.jobs.ContractsByJob.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByRegime
Lino.jobs.ContractsByRegime.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByRegime",
  ls_store_fields : [ { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "client" }, 'clientHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "regime" }, 'regimeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    var ww = this.containing_window;
    var job5464 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/job" }) }) });
    var applies_from5465 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until5466 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user5467 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/user" }) }) });
    var type5468 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/type" }) }) });
    var id5469 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer15470 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/signer1" }) }) });
    var signer25471 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/signer2" }) }) });
    var company5472 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/company" }) }) });
    var contact_person5473 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/contact_person" }) }) });
    var contact_role5474 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/contact_role" }) }) });
    var printed_by5475 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var client5476 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/client" }) }) });
    var language5477 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided5478 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5479 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5480 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/user_asd" }) }) });
    var exam_policy5481 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/exam_policy" }) }) });
    var ending5482 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/ending" }) }) });
    var date_ended5483 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration5484 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/duration" }) }), "value": null });
    var reference_person5485 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5486 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark5487 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var schedule5488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/schedule" }) }) });
    var hourly_rate5489 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate5490 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/refund_rate" }) }) });
    var regime5491 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/regime" }) }) });
    this.before_row_edit = function(record) {
      contact_person5473.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities5486.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5472 !== 'undefined' && company5472.on('change',Lino.chooser_handler(contact_person5473,'company'));
      Lino.jobs.ContractsByRegime.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job", "editable": true, "editor": job5464, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from5465, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until5466, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user5467, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type5468, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5469, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer15470, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer25471, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company5472, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person5473, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role5474, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "client", "editable": true, "editor": client5476, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language5477, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_decided", "editable": true, "editor": date_decided5478, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_issued", "editable": true, "editor": date_issued5479, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "user_asd", "editable": true, "editor": user_asd5480, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5481, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending5482, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended5483, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration5484, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person5485, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5486, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark5487, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule5488, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5489, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate5490, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime5491, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByRegime.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByRegime.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByRegime",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    Lino.jobs.ContractsByRegime.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  return new Lino.jobs.ContractsByRegime.insertPanel(p);
});
Lino.jobs.ContractsByRegime.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByRegime.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByRegime",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    Lino.jobs.ContractsByRegime.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  return new Lino.jobs.ContractsByRegime.detailPanel(p);
});
Lino.jobs.ContractsByRegime.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByRegime.GridPanel(p);
});
Lino.jobs.ContractsByRegime.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsBySchedule
Lino.jobs.ContractsBySchedule.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsBySchedule",
  ls_store_fields : [ { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "client" }, 'clientHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "schedule" }, 'scheduleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    var ww = this.containing_window;
    var job6421 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/job" }) }) });
    var applies_from6422 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until6423 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user6424 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/user" }) }) });
    var type6425 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/type" }) }) });
    var id6426 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16427 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/signer1" }) }) });
    var signer26428 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/signer2" }) }) });
    var company6429 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/company" }) }) });
    var contact_person6430 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/contact_person" }) }) });
    var contact_role6431 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/contact_role" }) }) });
    var printed_by6432 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var client6433 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/client" }) }) });
    var language6434 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided6435 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6436 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6437 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/user_asd" }) }) });
    var exam_policy6438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/exam_policy" }) }) });
    var ending6439 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/ending" }) }) });
    var date_ended6440 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration6441 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/duration" }) }), "value": null });
    var reference_person6442 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6443 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark6444 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime6445 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/regime" }) }) });
    var hourly_rate6446 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate6447 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/refund_rate" }) }) });
    var schedule6448 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/schedule" }) }) });
    this.before_row_edit = function(record) {
      contact_person6430.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6443.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company6429 !== 'undefined' && company6429.on('change',Lino.chooser_handler(contact_person6430,'company'));
      Lino.jobs.ContractsBySchedule.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job", "editable": true, "editor": job6421, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from6422, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until6423, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6424, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type6425, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6426, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer16427, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer26428, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company6429, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person6430, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role6431, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "client", "editable": true, "editor": client6433, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language6434, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_decided", "editable": true, "editor": date_decided6435, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_issued", "editable": true, "editor": date_issued6436, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "user_asd", "editable": true, "editor": user_asd6437, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6438, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending6439, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended6440, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration6441, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person6442, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6443, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark6444, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime6445, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate6446, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate6447, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "schedule", "editable": true, "editor": schedule6448, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsBySchedule.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsBySchedule.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsBySchedule",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    Lino.jobs.ContractsBySchedule.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  return new Lino.jobs.ContractsBySchedule.insertPanel(p);
});
Lino.jobs.ContractsBySchedule.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsBySchedule.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsBySchedule",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    Lino.jobs.ContractsBySchedule.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  return new Lino.jobs.ContractsBySchedule.detailPanel(p);
});
Lino.jobs.ContractsBySchedule.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsBySchedule.GridPanel(p);
});
Lino.jobs.ContractsBySchedule.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.CandidaturesByPerson
Lino.jobs.CandidaturesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 103,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanfragen",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted2431 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var job2432 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/job" }) }) });
    var sector2433 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/sector" }) }) });
    var function2434 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/function" }) }) });
    var art602435 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var art612436 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var remark2437 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var state2438 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var id2439 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var person2440 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function2434.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector2433 !== 'undefined' && sector2433.on('change',Lino.chooser_handler(function2434,'sector'));
      Lino.jobs.CandidaturesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted2431, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job2432, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector2433, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function2434, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "remark", "editable": true, "editor": remark2437, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state2438, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id2439, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "person", "editable": true, "editor": person2440, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.CandidaturesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByPerson" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesByPerson.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidaturesByJob
Lino.jobs.CandidaturesByJob.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByJob",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "remark" }, { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "job" }, 'jobHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 103,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanfragen",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted4808 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var person4809 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/person" }) }) });
    var state4810 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var sector4811 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/sector" }) }) });
    var function4812 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/function" }) }) });
    var remark4813 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var art604814 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var art614815 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var id4816 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var job4817 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/job" }) }) });
    this.before_row_edit = function(record) {
      function4812.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector4811 !== 'undefined' && sector4811.on('change',Lino.chooser_handler(function4812,'sector'));
      Lino.jobs.CandidaturesByJob.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted4808, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person4809, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "state", "editable": true, "editor": state4810, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) }, { "colIndex": 3, "dataIndex": "sector", "editable": true, "editor": sector4811, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "function", "editable": true, "editor": function4812, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark4813, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4816, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "job", "editable": true, "editor": job4817, "filter": { "type": "string" }, "header": "Stelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.CandidaturesByJob.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByJob.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByJob" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesByJob.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidaturesByOffer
Lino.jobs.CandidaturesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "job" }, 'jobHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 103,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kandidaten",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted3199 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var person3200 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }) });
    var job3201 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }) });
    var state3202 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted3199, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person3200, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job3201, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "state", "editable": true, "editor": state3202, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) } ];
    Lino.jobs.CandidaturesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByOffer" };
  p.params_panel = new Lino.jobs.CandidaturesByOffer.ParamsPanel({});
  return new Lino.jobs.CandidaturesByOffer.GridPanel(p);
});

// js_render_GridPanel_class jobs.ExperiencesByOffer
Lino.jobs.ExperiencesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ExperiencesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "company" }, { "name": "country" }, 'countryHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erfahrungen",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date3192 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3193 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var person3194 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ExperiencesByOffer/person" }) }) });
    var company3195 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country3196 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ExperiencesByOffer/country" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date3192, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date3193, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person3194, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company3195, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "country", "editable": true, "editor": country3196, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ExperiencesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ExperiencesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ExperiencesByOffer" };
  p.params_panel = new Lino.jobs.ExperiencesByOffer.ParamsPanel({});
  return new Lino.jobs.ExperiencesByOffer.GridPanel(p);
});

// js_render_GridPanel_class jobs.JobsByProvider
Lino.jobs.JobsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsByProvider",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "type" }, 'typeHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    var ww = this.containing_window;
    var name5260 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider5261 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/provider" }) }) });
    var sector5262 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/sector" }) }) });
    var function5263 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/function" }) }) });
    var type5264 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/type" }) }) });
    var contract_type5265 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/contract_type" }) }) });
    var hourly_rate5266 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity5267 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark5268 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id5269 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function5263.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5262 !== 'undefined' && sector5262.on('change',Lino.chooser_handler(function5263,'sector'));
      Lino.jobs.JobsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name5260, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider5261, "filter": { "type": "string" }, "header": "Stellenanbieter", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector5262, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function5263, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type5264, "filter": { "type": "string" }, "header": "Stellenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contract_type", "editable": true, "editor": contract_type5265, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.contract_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5266, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "capacity", "editable": true, "editor": capacity5267, "filter": { "type": "numeric" }, "format": "0", "header": "Kapazit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark5268, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id5269, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.jobs.JobsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByProvider.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    Lino.jobs.JobsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.insertPanel(p);
});
Lino.jobs.JobsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByProvider.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    Lino.jobs.JobsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.detailPanel(p);
});
Lino.jobs.JobsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.GridPanel(p);
});
Lino.jobs.JobsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobsByType
Lino.jobs.JobsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsByType",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    var ww = this.containing_window;
    var name4776 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider4777 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/provider" }) }) });
    var sector4778 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/sector" }) }) });
    var function4779 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/function" }) }) });
    var contract_type4780 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/contract_type" }) }) });
    var hourly_rate4781 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity4782 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark4783 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id4784 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type4785 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/type" }) }) });
    this.before_row_edit = function(record) {
      function4779.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector4778 !== 'undefined' && sector4778.on('change',Lino.chooser_handler(function4779,'sector'));
      Lino.jobs.JobsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name4776, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider4777, "filter": { "type": "string" }, "header": "Stellenanbieter", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector4778, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function4779, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "contract_type", "editable": true, "editor": contract_type4780, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.contract_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate4781, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "capacity", "editable": true, "editor": capacity4782, "filter": { "type": "numeric" }, "format": "0", "header": "Kapazit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark4783, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4784, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "type", "editable": true, "editor": type4785, "filter": { "type": "string" }, "header": "Stellenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.JobsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByType.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    Lino.jobs.JobsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.insertPanel(p);
});
Lino.jobs.JobsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByType.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    Lino.jobs.JobsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.detailPanel(p);
});
Lino.jobs.JobsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.GridPanel(p);
});
Lino.jobs.JobsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobsOverviewByType
Lino.jobs.JobsOverviewByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsOverviewByType",
  ls_store_fields : [ { "name": "job_desc" }, { "name": "working" }, { "name": "probation" }, { "name": "candidates" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00dcbersicht Art.60\u00a77-Konventionen",
  disabled_fields_index : 5,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverviewByType.detail;
    var ww = this.containing_window;
    var job_desc_disp8366 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var working_disp8367 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var probation_disp8368 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var candidates_disp8369 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job_desc", "editable": false, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.job_desc) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.job_desc) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "working", "editable": false, "header": "Arbeitet", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.working) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.working) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "probation", "editable": false, "header": "Probezeit", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.probation) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.probation) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "candidates", "editable": false, "header": "Kandidaten", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.candidates) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.candidates) ", "width": Lino.chars2width(31) } ];
    Lino.jobs.JobsOverviewByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverviewByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsOverviewByType.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/jobs/JobsOverviewByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverviewByType.detail;
    Lino.jobs.JobsOverviewByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverviewByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverviewByType" };
  return new Lino.jobs.JobsOverviewByType.detailPanel(p);
});
Lino.jobs.JobsOverviewByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverviewByType" };
  p.params_panel = new Lino.jobs.JobsOverviewByType.ParamsPanel({});
  return new Lino.jobs.JobsOverviewByType.GridPanel(p);
});

// js_render_GridPanel_class sepa.AccountsByPartner
Lino.sepa.AccountsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountsByPartner",
  ls_store_fields : [ { "name": "iban" }, { "name": "bic" }, { "name": "remark" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "account_type" }, 'account_typeHidden', { "name": "managed", "type": "boolean" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 68,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bankkonto) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bankkonten",
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByPartner.insert;
    var ww = this.containing_window;
    var iban3100 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic3101 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var remark3102 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var primary3103 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id3104 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var account_type3105 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.sepa.AccountTypes });
    var managed3106 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var partner3107 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/sepa/AccountsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "iban", "editable": true, "editor": iban3100, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "bic", "editable": true, "editor": bic3101, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark3102, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.primary) Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC") }, "sortable": false, "tooltip": "Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3104, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "account_type", "editable": true, "editor": account_type3105, "filter": { "options": [ "Giro", "Sparkonto", "Deposits", "Sonstige" ], "type": "list" }, "header": "Kontoart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 6, "dataIndex": "managed", "editable": true, "filter": { "type": "boolean" }, "header": "Verwaltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.managed) Whether this account is being managed by the PCSW.") }, "sortable": false, "tooltip": "Whether this account is being managed by the PCSW.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner3107, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.partner) Partner") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Partner", "width": Lino.chars2width(21) } ];
    Lino.sepa.AccountsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.sepa.AccountsByPartner.insertPanel = Ext.extend(Lino.sepa.AccountsByPartner.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/sepa/AccountsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByPartner.insert;
    Lino.sepa.AccountsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/sepa/AccountsByPartner" };
  return new Lino.sepa.AccountsByPartner.insertPanel(p);
});
Lino.sepa.AccountsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountsByPartner" };
  return new Lino.sepa.AccountsByPartner.GridPanel(p);
});

// js_render_GridPanel_class sepa.AccountsByClient
Lino.sepa.AccountsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountsByClient",
  ls_store_fields : [ { "name": "account_type" }, 'account_typeHidden', { "name": "iban" }, { "name": "bic" }, { "name": "primary", "type": "boolean" }, { "name": "managed", "type": "boolean" }, { "name": "statements" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 68,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bankkonto) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bankkonten",
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByClient.insert;
    var ww = this.containing_window;
    var account_type1739 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.sepa.AccountTypes });
    var iban1740 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic1741 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var primary1742 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var managed1743 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var statements_disp1744 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account_type", "editable": true, "editor": account_type1739, "filter": { "options": [ "Giro", "Sparkonto", "Deposits", "Sonstige" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 1, "dataIndex": "iban", "editable": true, "editor": iban1740, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "bic", "editable": true, "editor": bic1741, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.primary) Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC") }, "sortable": false, "tooltip": "Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "managed", "editable": true, "filter": { "type": "boolean" }, "header": "Verwaltet", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.managed) Whether this account is being managed by the PCSW.") }, "sortable": false, "tooltip": "Whether this account is being managed by the PCSW.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "statements", "editable": false, "header": "Kontoausz\u00fcge", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.statements) ") }, "sortable": false, "tooltip": "A virtual field which displays the date of the last imported\nstatement for this account. Clicking on this date will open\nthe B2C account <lino_xl.lib.b2c.models.Account> with same\nIBAN number.", "width": Lino.chars2width(31) } ];
    Lino.sepa.AccountsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.sepa.AccountsByClient.insertPanel = Ext.extend(Lino.sepa.AccountsByPartner.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/sepa/AccountsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByClient.insert;
    Lino.sepa.AccountsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/sepa/AccountsByClient" };
  return new Lino.sepa.AccountsByClient.insertPanel(p);
});
Lino.sepa.AccountsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountsByClient" };
  return new Lino.sepa.AccountsByClient.GridPanel(p);
});

// js_render_GridPanel_class b2c.StatementsByAccount
Lino.b2c.StatementsByAccount.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/StatementsByAccount",
  ls_store_fields : [ { "name": "statement_number" }, { "name": "balance_start" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "balance_end" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "local_currency" }, { "name": "id", "type": "int" }, { "name": "account" }, 'accountHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 70,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.StatementsByAccount.detail;
    var ww = this.containing_window;
    var statement_number6311 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var balance_start6312 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date6313 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance_end6314 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var end_date6315 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var local_currency6316 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(3), "maxLength": 3, "selectOnFocus": true });
    var id6317 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var account6318 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/StatementsByAccount/account" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "statement_number", "editable": true, "editor": statement_number6311, "filter": { "type": "string" }, "header": "Auszugsnummer", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "sortable": true, "tooltip": "Combination of the year and the legal sequential number of the paper statement.", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 1, "dataIndex": "balance_start", "editable": true, "editor": balance_start6312, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.balance_start) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date6313, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "balance_end", "editable": true, "editor": balance_end6314, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.balance_end) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date6315, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "local_currency", "editable": true, "editor": local_currency6316, "filter": { "type": "string" }, "header": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.local_currency) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(5) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6317, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "account", "editable": true, "editor": account6318, "filter": { "type": "string" }, "header": "Importiertes  Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.b2c.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.b2c.StatementsByAccount.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.StatementsByAccount.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.StatementsByAccount.detailPanel = Ext.extend(Lino.b2c.Statements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/StatementsByAccount",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.StatementsByAccount.detail;
    Lino.b2c.StatementsByAccount.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.StatementsByAccount.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/StatementsByAccount" };
  return new Lino.b2c.StatementsByAccount.detailPanel(p);
});
Lino.b2c.StatementsByAccount.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/StatementsByAccount" };
  return new Lino.b2c.StatementsByAccount.GridPanel(p);
});

// js_render_GridPanel_class b2c.TransactionsByStatement
Lino.b2c.TransactionsByStatement.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/TransactionsByStatement",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "booking_date", "type": "date" }, { "name": "amount" }, { "name": "remote_html" }, { "name": "message_html" }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "remote_account" }, { "name": "remote_bic" }, { "name": "message" }, { "name": "eref" }, { "name": "remote_owner" }, { "name": "remote_owner_address" }, { "name": "remote_owner_city" }, { "name": "remote_owner_postalcode" }, { "name": "remote_owner_country_code" }, { "name": "txcd" }, { "name": "txcd_issuer" }, { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "statement" }, 'statementHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 71,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Transaktionen",
  disabled_fields_index : 20,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.TransactionsByStatement.detail;
    var ww = this.containing_window;
    var booking_date3963 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var amount3964 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var remote_html_disp3965 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var message_html_disp3966 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id3967 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno3968 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var remote_account3969 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 64, "selectOnFocus": true });
    var remote_bic3970 = new Lino.UppercaseTextField({ "allowBlank": true, "hidden": true, "maxLength": 11, "selectOnFocus": true });
    var message3971 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var eref3972 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner3973 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner_address3974 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remote_owner_city3975 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var remote_owner_postalcode3976 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remote_owner_country_code3977 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(4), "hidden": true, "maxLength": 4, "selectOnFocus": true });
    var txcd3978 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var txcd_issuer3979 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 35, "selectOnFocus": true });
    var value_date3980 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var statement3981 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/TransactionsByStatement/statement" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "booking_date", "editable": true, "editor": booking_date3963, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.booking_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": true, "editor": amount3964, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "remote_html", "editable": false, "header": "Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_html) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.remote_html) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "message_html", "editable": false, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.message_html) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.message_html) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3967, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "seqno", "editable": true, "editor": seqno3968, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.seqno) The sequence number of this transaction in the statement.") }, "sortable": true, "tooltip": "The sequence number of this transaction in the statement.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "remote_account", "editable": true, "editor": remote_account3969, "filter": { "type": "string" }, "header": "IBAN", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_account) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "remote_bic", "editable": true, "editor": remote_bic3970, "filter": { "type": "string" }, "header": "BIC", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 8, "dataIndex": "message", "editable": true, "editor": message3971, "filter": { "type": "string" }, "header": "Meldung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.message) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "eref", "editable": true, "editor": eref3972, "filter": { "type": "string" }, "header": "End to end reference", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.eref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "remote_owner", "editable": true, "editor": remote_owner3973, "filter": { "type": "string" }, "header": "Name Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "remote_owner_address", "editable": true, "editor": remote_owner_address3974, "filter": { "type": "string" }, "header": "Adresse Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_address) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "remote_owner_city", "editable": true, "editor": remote_owner_city3975, "filter": { "type": "string" }, "header": "Stadt Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_city) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remote_owner_postalcode", "editable": true, "editor": remote_owner_postalcode3976, "filter": { "type": "string" }, "header": "PLZ Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_postalcode) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "remote_owner_country_code", "editable": true, "editor": remote_owner_country_code3977, "filter": { "type": "string" }, "header": "Land Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_country_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 15, "dataIndex": "txcd", "editable": true, "editor": txcd3978, "filter": { "type": "string" }, "header": "Transfer-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.txcd) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "txcd_issuer", "editable": true, "editor": txcd_issuer3979, "filter": { "type": "string" }, "header": "TxCd issuer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.txcd_issuer) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "value_date", "editable": true, "editor": value_date3980, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.value_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "statement", "editable": true, "editor": statement3981, "filter": { "type": "string" }, "header": "Kontoauszug", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.statement) ") }, "renderer": Lino.fk_renderer('statementHidden','Lino.b2c.Statements.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.b2c.TransactionsByStatement.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.TransactionsByStatement.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.TransactionsByStatement.detailPanel = Ext.extend(Lino.b2c.Transactions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/TransactionsByStatement",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.TransactionsByStatement.detail;
    Lino.b2c.TransactionsByStatement.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.TransactionsByStatement.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/TransactionsByStatement" };
  return new Lino.b2c.TransactionsByStatement.detailPanel(p);
});
Lino.b2c.TransactionsByStatement.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/TransactionsByStatement" };
  return new Lino.b2c.TransactionsByStatement.GridPanel(p);
});

// js_render_GridPanel_class users.AuthoritiesGiven
Lino.users.AuthoritiesGiven.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AuthoritiesGiven",
  ls_store_fields : [ { "name": "authorized" }, 'authorizedHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erteilte Vollmachten",
  initComponent : function() {
    var ww = this.containing_window;
    var authorized1567 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AuthoritiesGiven/authorized" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      authorized1567.setContextValue('mk',bp['mk']);
      authorized1567.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "authorized", "editable": true, "editor": authorized1567, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(users.AuthoritiesGiven.authorized) The user who gets the right to represent the author") }, "sortable": false, "tooltip": "The user who gets the right to represent the author", "width": Lino.chars2width(21) } ];
    Lino.users.AuthoritiesGiven.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AuthoritiesGiven.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AuthoritiesGiven" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.AuthoritiesGiven.GridPanel(p);
});

// js_render_GridPanel_class users.AuthoritiesTaken
Lino.users.AuthoritiesTaken.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AuthoritiesTaken",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erhaltene Vollmachten",
  initComponent : function() {
    var ww = this.containing_window;
    var user1572 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AuthoritiesTaken/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user1572, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(users.AuthoritiesTaken.user) The user who gives the right of representation. author of this\nauthority") }, "sortable": false, "tooltip": "The user who gives the right of representation. author of this\nauthority", "width": Lino.chars2width(21) } ];
    Lino.users.AuthoritiesTaken.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AuthoritiesTaken.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AuthoritiesTaken" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.AuthoritiesTaken.GridPanel(p);
});

// js_render_GridPanel_class art61.ContractsByClient
Lino.art61.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "user" }, 'userHidden', { "name": "remark" }, { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 18,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments and activations",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from8371 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until8372 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended8373 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration8374 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true, "value": null });
    var type8375 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/type" }) }) });
    var company8376 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/company" }) }) });
    var contact_person8377 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/contact_person" }) }) });
    var user8378 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/user" }) }) });
    var remark8379 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var subsidize_108380 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var subsidize_208381 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var subsidize_308382 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var subsidize_408383 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var subsidize_508384 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8385 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer18386 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/signer1" }) }) });
    var signer28387 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/signer2" }) }) });
    var contact_role8388 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/contact_role" }) }) });
    var printed_by8389 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language8390 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided8391 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued8392 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd8393 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/user_asd" }) }) });
    var exam_policy8394 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/exam_policy" }) }) });
    var ending8395 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/ending" }) }) });
    var reference_person8396 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities8397 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var job_title8398 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status8399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/status" }) }) });
    var cv_duration8400 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/cv_duration" }) }) });
    var regime8401 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/regime" }) }) });
    var client8402 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      contact_person8377.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities8397.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8376 !== 'undefined' && company8376.on('change',Lino.chooser_handler(contact_person8377,'company'));
      Lino.art61.ContractsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from8371, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until8372, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended8373, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "duration", "editable": true, "editor": duration8374, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8375, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "company", "editable": true, "editor": company8376, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person8377, "filter": { "type": "string" }, "header": "Vertreten durch", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user8378, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark8379, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 11, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "id", "editable": true, "editor": id8385, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "signer1", "editable": true, "editor": signer18386, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "signer2", "editable": true, "editor": signer28387, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "contact_role", "editable": true, "editor": contact_role8388, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "language", "editable": true, "editor": language8390, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "date_decided", "editable": true, "editor": date_decided8391, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "date_issued", "editable": true, "editor": date_issued8392, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "user_asd", "editable": true, "editor": user_asd8393, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy8394, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "ending", "editable": true, "editor": ending8395, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "reference_person", "editable": true, "editor": reference_person8396, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities8397, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "job_title", "editable": true, "editor": job_title8398, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "status", "editable": true, "editor": status8399, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration8400, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 30, "dataIndex": "regime", "editable": true, "editor": regime8401, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "client", "editable": true, "editor": client8402, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByClient.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    Lino.art61.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  return new Lino.art61.ContractsByClient.insertPanel(p);
});
Lino.art61.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByClient.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    Lino.art61.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  return new Lino.art61.ContractsByClient.detailPanel(p);
});
Lino.art61.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByClient.GridPanel(p);
});
Lino.art61.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByProvider
Lino.art61.ContractsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByProvider",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    var ww = this.containing_window;
    var client8404 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/client" }) }) });
    var applies_from8405 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until8406 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8407 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/user" }) }) });
    var type8408 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/type" }) }) });
    var id8409 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer18410 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/signer1" }) }) });
    var signer28411 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/signer2" }) }) });
    var contact_person8412 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/contact_person" }) }) });
    var contact_role8413 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/contact_role" }) }) });
    var printed_by8414 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language8415 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided8416 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued8417 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd8418 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/user_asd" }) }) });
    var exam_policy8419 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/exam_policy" }) }) });
    var ending8420 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/ending" }) }) });
    var date_ended8421 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration8422 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person8423 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities8424 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark8425 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title8426 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status8427 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/status" }) }) });
    var cv_duration8428 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/cv_duration" }) }) });
    var regime8429 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/regime" }) }) });
    var subsidize_108430 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_208431 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_308432 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_408433 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_508434 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var company8435 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person8412.setContextValue('mk',bp['mk']);
      contact_person8412.setContextValue('mt',bp['mt']);
      responsibilities8424.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8435 !== 'undefined' && company8435.on('change',Lino.chooser_handler(contact_person8412,'company'));
      Lino.art61.ContractsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client8404, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from8405, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until8406, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8407, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8408, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8409, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer18410, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer28411, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8412, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8413, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8415, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided8416, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued8417, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd8418, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy8419, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "ending", "editable": true, "editor": ending8420, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_ended", "editable": true, "editor": date_ended8421, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 18, "dataIndex": "duration", "editable": true, "editor": duration8422, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "reference_person", "editable": true, "editor": reference_person8423, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities8424, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "remark", "editable": true, "editor": remark8425, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "job_title", "editable": true, "editor": job_title8426, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "status", "editable": true, "editor": status8427, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration8428, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "regime", "editable": true, "editor": regime8429, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 27, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "company", "editable": true, "editor": company8435, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByProvider.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    Lino.art61.ContractsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  return new Lino.art61.ContractsByProvider.insertPanel(p);
});
Lino.art61.ContractsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByProvider.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    Lino.art61.ContractsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  return new Lino.art61.ContractsByProvider.detailPanel(p);
});
Lino.art61.ContractsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByProvider.GridPanel(p);
});
Lino.art61.ContractsByProvider.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByPolicy
Lino.art61.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id8437 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8438 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/client" }) }) });
    var client__national_id8439 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from8440 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended8441 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/user" }) }) });
    var type8443 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/type" }) }) });
    var signer18444 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/signer1" }) }) });
    var signer28445 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/signer2" }) }) });
    var company8446 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/company" }) }) });
    var contact_person8447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/contact_person" }) }) });
    var contact_role8448 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/contact_role" }) }) });
    var printed_by8449 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language8450 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until8451 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided8452 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued8453 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd8454 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/user_asd" }) }) });
    var ending8455 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/ending" }) }) });
    var duration8456 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person8457 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities8458 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark8459 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title8460 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status8461 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/status" }) }) });
    var cv_duration8462 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/cv_duration" }) }) });
    var regime8463 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/regime" }) }) });
    var subsidize_108464 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_208465 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_308466 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_408467 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_508468 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var exam_policy8469 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      contact_person8447.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities8458.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8446 !== 'undefined' && company8446.on('change',Lino.chooser_handler(contact_person8447,'company'));
      Lino.art61.ContractsByPolicy.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8437, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8438, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id8439, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from8440, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended8441, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8442, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type8443, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer18444, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer28445, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company8446, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_person", "editable": true, "editor": contact_person8447, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_role", "editable": true, "editor": contact_role8448, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8450, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "applies_until", "editable": true, "editor": applies_until8451, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided8452, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued8453, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd8454, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending8455, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration8456, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person8457, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities8458, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark8459, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "job_title", "editable": true, "editor": job_title8460, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "status", "editable": true, "editor": status8461, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration8462, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "regime", "editable": true, "editor": regime8463, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 32, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy8469, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByPolicy.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    Lino.art61.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  return new Lino.art61.ContractsByPolicy.insertPanel(p);
});
Lino.art61.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByPolicy.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    Lino.art61.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  return new Lino.art61.ContractsByPolicy.detailPanel(p);
});
Lino.art61.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByPolicy.GridPanel(p);
});
Lino.art61.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByType
Lino.art61.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from5125 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5126 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/client" }) }) });
    var user5127 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/user" }) }) });
    var id5128 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer15129 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/signer1" }) }) });
    var signer25130 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/signer2" }) }) });
    var company5131 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/company" }) }) });
    var contact_person5132 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/contact_person" }) }) });
    var contact_role5133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/contact_role" }) }) });
    var printed_by5134 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5135 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until5136 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5137 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5138 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5139 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/user_asd" }) }) });
    var exam_policy5140 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/exam_policy" }) }) });
    var ending5141 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/ending" }) }) });
    var date_ended5142 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration5143 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person5144 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5145 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark5146 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title5147 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status5148 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/status" }) }) });
    var cv_duration5149 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/cv_duration" }) }) });
    var regime5150 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/regime" }) }) });
    var subsidize_105151 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_205152 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_305153 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_405154 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_505155 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var type5156 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      contact_person5132.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities5145.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5131 !== 'undefined' && company5131.on('change',Lino.chooser_handler(contact_person5132,'company'));
      Lino.art61.ContractsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from5125, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5126, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user5127, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id5128, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "signer1", "editable": true, "editor": signer15129, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "signer2", "editable": true, "editor": signer25130, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company5131, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person5132, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role5133, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language5135, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "applies_until", "editable": true, "editor": applies_until5136, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided5137, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued5138, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd5139, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5140, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "ending", "editable": true, "editor": ending5141, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_ended", "editable": true, "editor": date_ended5142, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 18, "dataIndex": "duration", "editable": true, "editor": duration5143, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "reference_person", "editable": true, "editor": reference_person5144, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5145, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "remark", "editable": true, "editor": remark5146, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "job_title", "editable": true, "editor": job_title5147, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "status", "editable": true, "editor": status5148, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration5149, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "regime", "editable": true, "editor": regime5150, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 27, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "type", "editable": true, "editor": type5156, "filter": { "type": "string" }, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByType.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    Lino.art61.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  return new Lino.art61.ContractsByType.insertPanel(p);
});
Lino.art61.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByType.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    Lino.art61.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  return new Lino.art61.ContractsByType.detailPanel(p);
});
Lino.art61.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByType.GridPanel(p);
});
Lino.art61.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByEnding
Lino.art61.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id8471 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8472 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/client" }) }) });
    var client__national_id8473 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from8474 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended8475 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8476 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/user" }) }) });
    var type8477 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/type" }) }) });
    var signer18478 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/signer1" }) }) });
    var signer28479 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/signer2" }) }) });
    var company8480 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/company" }) }) });
    var contact_person8481 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/contact_person" }) }) });
    var contact_role8482 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/contact_role" }) }) });
    var printed_by8483 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language8484 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until8485 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided8486 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued8487 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd8488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/user_asd" }) }) });
    var exam_policy8489 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/exam_policy" }) }) });
    var duration8490 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person8491 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities8492 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark8493 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title8494 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status8495 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/status" }) }) });
    var cv_duration8496 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/cv_duration" }) }) });
    var regime8497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/regime" }) }) });
    var subsidize_108498 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_208499 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_308500 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_408501 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_508502 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var ending8503 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      contact_person8481.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities8492.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8480 !== 'undefined' && company8480.on('change',Lino.chooser_handler(contact_person8481,'company'));
      Lino.art61.ContractsByEnding.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8471, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8472, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id8473, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from8474, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended8475, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8476, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type8477, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer18478, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer28479, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company8480, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_person", "editable": true, "editor": contact_person8481, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_role", "editable": true, "editor": contact_role8482, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8484, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "applies_until", "editable": true, "editor": applies_until8485, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided8486, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued8487, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd8488, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy8489, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration8490, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person8491, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities8492, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark8493, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "job_title", "editable": true, "editor": job_title8494, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "status", "editable": true, "editor": status8495, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration8496, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "regime", "editable": true, "editor": regime8497, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 32, "dataIndex": "ending", "editable": true, "editor": ending8503, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByEnding.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    Lino.art61.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  return new Lino.art61.ContractsByEnding.insertPanel(p);
});
Lino.art61.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByEnding.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    Lino.art61.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  return new Lino.art61.ContractsByEnding.detailPanel(p);
});
Lino.art61.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByEnding.GridPanel(p);
});
Lino.art61.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseOffersByProvider
Lino.xcourses.CourseOffersByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseOffersByProvider",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "title" }, { "name": "guest_role" }, 'guest_roleHidden', { "name": "content" }, 'contentHidden', { "name": "description" }, { "name": "provider" }, 'providerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursangebote",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByProvider.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByProvider.insert;
    var ww = this.containing_window;
    var id6107 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var title6108 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var guest_role6109 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByProvider/guest_role" }) }) });
    var content6110 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByProvider/content" }) }) });
    var description6111 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    var provider6112 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursanbieter ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByProvider/provider" }) }) });
    this.before_row_edit = function(record) {
      description6111.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6107, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title6108, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "guest_role", "editable": true, "editor": guest_role6109, "filter": { "type": "string" }, "header": "Gastrolle", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.guest_role) Default guest role for particpants of events.") }, "sortable": false, "tooltip": "Default guest role for particpants of events.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content6110, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.content) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description6111, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "provider", "editable": true, "editor": provider6112, "filter": { "type": "string" }, "header": "Kursanbieter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.xcourses.CourseProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CourseOffersByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffersByProvider.insertPanel = Ext.extend(Lino.xcourses.CourseOffers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffersByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByProvider.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByProvider.insert;
    Lino.xcourses.CourseOffersByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseOffersByProvider" };
  return new Lino.xcourses.CourseOffersByProvider.insertPanel(p);
});
Lino.xcourses.CourseOffersByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffersByProvider.detailPanel = Ext.extend(Lino.xcourses.CourseOffers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffersByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByProvider.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByProvider.insert;
    Lino.xcourses.CourseOffersByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffersByProvider" };
  return new Lino.xcourses.CourseOffersByProvider.detailPanel(p);
});
Lino.xcourses.CourseOffersByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffersByProvider" };
  return new Lino.xcourses.CourseOffersByProvider.GridPanel(p);
});
Lino.xcourses.CourseOffersByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseOffersByContent
Lino.xcourses.CourseOffersByContent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseOffersByContent",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "title" }, { "name": "guest_role" }, 'guest_roleHidden', { "name": "provider" }, 'providerHidden', { "name": "description" }, { "name": "content" }, 'contentHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursangebote",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByContent.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByContent.insert;
    var ww = this.containing_window;
    var id6518 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var title6519 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var guest_role6520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByContent/guest_role" }) }) });
    var provider6521 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByContent/provider" }) }) });
    var description6522 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    var content6523 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByContent/content" }) }) });
    this.before_row_edit = function(record) {
      description6522.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6518, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title6519, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "guest_role", "editable": true, "editor": guest_role6520, "filter": { "type": "string" }, "header": "Gastrolle", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.guest_role) Default guest role for particpants of events.") }, "sortable": false, "tooltip": "Default guest role for particpants of events.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "provider", "editable": true, "editor": provider6521, "filter": { "type": "string" }, "header": "Kursanbieter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.xcourses.CourseProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description6522, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "content", "editable": true, "editor": content6523, "filter": { "type": "string" }, "header": "Kursinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.content) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CourseOffersByContent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByContent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByContent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByContent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByContent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffersByContent.insertPanel = Ext.extend(Lino.xcourses.CourseOffers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffersByContent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByContent.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByContent.insert;
    Lino.xcourses.CourseOffersByContent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByContent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseOffersByContent" };
  return new Lino.xcourses.CourseOffersByContent.insertPanel(p);
});
Lino.xcourses.CourseOffersByContent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffersByContent.detailPanel = Ext.extend(Lino.xcourses.CourseOffers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffersByContent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByContent.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByContent.insert;
    Lino.xcourses.CourseOffersByContent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByContent.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffersByContent" };
  return new Lino.xcourses.CourseOffersByContent.detailPanel(p);
});
Lino.xcourses.CourseOffersByContent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByContent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffersByContent" };
  return new Lino.xcourses.CourseOffersByContent.GridPanel(p);
});
Lino.xcourses.CourseOffersByContent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CoursesByOffer
Lino.xcourses.CoursesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CoursesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "title" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "offer" }, 'offerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 110,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kurs) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_candidates", "menu_item_text": "Kandidatenliste", "overflowText": "Kandidatenliste", "panel_btn_handler": Lino.row_action_handler('print_candidates','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_participants", "menu_item_text": "Teilnehmerliste", "overflowText": "Teilnehmerliste", "panel_btn_handler": Lino.row_action_handler('print_participants','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kurse",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CoursesByOffer.detail;
    this.ls_insert_handler = Lino.xcourses.CoursesByOffer.insert;
    var ww = this.containing_window;
    var start_date4504 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var title4505 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark4506 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var id4507 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var offer4508 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CoursesByOffer/offer" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date4504, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title4505, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark4506, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id4507, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "offer", "editable": true, "editor": offer4508, "filter": { "type": "string" }, "header": "Kursangebot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CoursesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CoursesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CoursesByOffer.insertPanel = Ext.extend(Lino.xcourses.Courses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CoursesByOffer",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CoursesByOffer.detail;
    this.ls_insert_handler = Lino.xcourses.CoursesByOffer.insert;
    Lino.xcourses.CoursesByOffer.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CoursesByOffer.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CoursesByOffer" };
  return new Lino.xcourses.CoursesByOffer.insertPanel(p);
});
Lino.xcourses.CoursesByOffer.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CoursesByOffer.detailPanel = Ext.extend(Lino.xcourses.Courses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kurs) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_candidates", "menu_item_text": "Kandidatenliste", "overflowText": "Kandidatenliste", "panel_btn_handler": Lino.row_action_handler('print_candidates','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_participants", "menu_item_text": "Teilnehmerliste", "overflowText": "Teilnehmerliste", "panel_btn_handler": Lino.row_action_handler('print_participants','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CoursesByOffer",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CoursesByOffer.detail;
    this.ls_insert_handler = Lino.xcourses.CoursesByOffer.insert;
    Lino.xcourses.CoursesByOffer.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CoursesByOffer.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CoursesByOffer" };
  return new Lino.xcourses.CoursesByOffer.detailPanel(p);
});
Lino.xcourses.CoursesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.print_candidates = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "print_candidates", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.print_participants = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "print_participants", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CoursesByOffer" };
  return new Lino.xcourses.CoursesByOffer.GridPanel(p);
});
Lino.xcourses.CoursesByOffer.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseRequestsByPerson
Lino.xcourses.CourseRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequestsByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "content" }, 'contentHidden', { "name": "offer" }, 'offerHidden', { "name": "course" }, 'courseHidden', { "name": "urgent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByPerson.detail;
    var ww = this.containing_window;
    var date_submitted2047 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var content2048 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/content" }) }) });
    var offer2049 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/offer" }) }) });
    var course2050 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kurs ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/course" }) }) });
    var urgent2051 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var state2052 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var date_ended2053 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var remark2054 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id2055 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      offer2049.setContextValue('content', record ? record.data['contentHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof content2048 !== 'undefined' && content2048.on('change',Lino.chooser_handler(offer2049,'content'));
      Lino.xcourses.CourseRequestsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted2047, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "content", "editable": true, "editor": content2048, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.content) Der gew\u00fcnschte Kursinhalt.)") }, "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(16) }, { "colIndex": 2, "dataIndex": "offer", "editable": true, "editor": offer2049, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "course", "editable": true, "editor": course2050, "filter": { "type": "string" }, "header": "Kurs gefunden", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.course) The course which satisfies this request. Leave blank on open requests.") }, "sortable": false, "tooltip": "The course which satisfies this request. Leave blank on open requests.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state2052, "filter": { "options": [ "Offen", "Eingetragen", "Bestanden", "Gut bestanden", "Nicht bestanden", "Abgebrochen", "Inaktiv" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 6, "dataIndex": "date_ended", "editable": true, "editor": date_ended2053, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark2054, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id2055, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.xcourses.CourseRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseRequestsByPerson.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByPerson.detail;
    Lino.xcourses.CourseRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByPerson" };
  return new Lino.xcourses.CourseRequestsByPerson.detailPanel(p);
});
Lino.xcourses.CourseRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByPerson" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.CourseRequestsByPerson.GridPanel(p);
});
Lino.xcourses.CourseRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseRequestsByContent
Lino.xcourses.CourseRequestsByContent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequestsByContent",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "offer" }, 'offerHidden', { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "urgent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "course" }, 'courseHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "content" }, 'contentHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByContent.detail;
    var ww = this.containing_window;
    var id6526 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person6527 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByContent/person" }) }) });
    var offer6528 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByContent/offer" }) }) });
    var date_submitted6529 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var urgent6530 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var state6531 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var course6532 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kurs ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByContent/course" }) }) });
    var remark6533 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_ended6534 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var content6535 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByContent/content" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      offer6528.setContextValue('mk',bp['mk']);
      offer6528.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof content6535 !== 'undefined' && content6535.on('change',Lino.chooser_handler(offer6528,'content'));
      Lino.xcourses.CourseRequestsByContent.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6526, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person6527, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "offer", "editable": true, "editor": offer6528, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted6529, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state6531, "filter": { "options": [ "Offen", "Eingetragen", "Bestanden", "Gut bestanden", "Nicht bestanden", "Abgebrochen", "Inaktiv" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 6, "dataIndex": "course", "editable": true, "editor": course6532, "filter": { "type": "string" }, "header": "Kurs gefunden", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.course) The course which satisfies this request. Leave blank on open requests.") }, "sortable": false, "tooltip": "The course which satisfies this request. Leave blank on open requests.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark6533, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "date_ended", "editable": true, "editor": date_ended6534, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "content", "editable": true, "editor": content6535, "filter": { "type": "string" }, "header": "Kursinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.content) Der gew\u00fcnschte Kursinhalt.)") }, "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CourseRequestsByContent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByContent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseRequestsByContent.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseRequestsByContent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByContent.detail;
    Lino.xcourses.CourseRequestsByContent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByContent.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByContent" };
  return new Lino.xcourses.CourseRequestsByContent.detailPanel(p);
});
Lino.xcourses.CourseRequestsByContent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByContent" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.CourseRequestsByContent.GridPanel(p);
});
Lino.xcourses.CourseRequestsByContent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.RequestsByCourse
Lino.xcourses.RequestsByCourse.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/RequestsByCourse",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "offer" }, 'offerHidden', { "name": "content" }, 'contentHidden', { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "urgent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "course" }, 'courseHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.RequestsByCourse.detail;
    var ww = this.containing_window;
    var id8505 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person8506 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/RequestsByCourse/person" }) }) });
    var offer8507 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/RequestsByCourse/offer" }) }) });
    var content8508 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/RequestsByCourse/content" }) }) });
    var date_submitted8509 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var urgent8510 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var state8511 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var remark8512 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_ended8513 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var course8514 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kurs ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/RequestsByCourse/course" }) }) });
    this.before_row_edit = function(record) {
      offer8507.setContextValue('content', record ? record.data['contentHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof content8508 !== 'undefined' && content8508.on('change',Lino.chooser_handler(offer8507,'content'));
      Lino.xcourses.RequestsByCourse.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8505, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8506, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "offer", "editable": true, "editor": offer8507, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content8508, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.content) Der gew\u00fcnschte Kursinhalt.)") }, "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted8509, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state8511, "filter": { "options": [ "Offen", "Eingetragen", "Bestanden", "Gut bestanden", "Nicht bestanden", "Abgebrochen", "Inaktiv" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark8512, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "date_ended", "editable": true, "editor": date_ended8513, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "course", "editable": true, "editor": course8514, "filter": { "type": "string" }, "header": "Kurs gefunden", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.course) The course which satisfies this request. Leave blank on open requests.") }, "sortable": false, "tooltip": "The course which satisfies this request. Leave blank on open requests.", "width": Lino.chars2width(21) } ];
    Lino.xcourses.RequestsByCourse.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.RequestsByCourse.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.RequestsByCourse.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/RequestsByCourse",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.RequestsByCourse.detail;
    Lino.xcourses.RequestsByCourse.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.RequestsByCourse.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/RequestsByCourse" };
  return new Lino.xcourses.RequestsByCourse.detailPanel(p);
});
Lino.xcourses.RequestsByCourse.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/RequestsByCourse" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.RequestsByCourse.GridPanel(p);
});
Lino.xcourses.RequestsByCourse.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.ParticipantsByCourse
Lino.xcourses.ParticipantsByCourse.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/ParticipantsByCourse",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Teilnehmer",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.ParticipantsByCourse.detail;
    var ww = this.containing_window;
    var person3742 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/ParticipantsByCourse/person" }) }) });
    var remark3743 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_ended3744 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var workflow_buttons_disp3745 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person3742, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.ParticipantsByCourse.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark3743, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.ParticipantsByCourse.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended3744, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.ParticipantsByCourse.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.ParticipantsByCourse.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(61) } ];
    Lino.xcourses.ParticipantsByCourse.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.ParticipantsByCourse.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.ParticipantsByCourse.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/ParticipantsByCourse",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.ParticipantsByCourse.detail;
    Lino.xcourses.ParticipantsByCourse.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.ParticipantsByCourse.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/ParticipantsByCourse" };
  return new Lino.xcourses.ParticipantsByCourse.detailPanel(p);
});
Lino.xcourses.ParticipantsByCourse.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/ParticipantsByCourse" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.ParticipantsByCourse.GridPanel(p);
});
Lino.xcourses.ParticipantsByCourse.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CandidatesByCourse
Lino.xcourses.CandidatesByCourse.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CandidatesByCourse",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "workflow_buttons" }, { "name": "content" }, 'contentHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kandidaten",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CandidatesByCourse.detail;
    var ww = this.containing_window;
    var person3748 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CandidatesByCourse/person" }) }) });
    var remark3749 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_submitted3750 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var workflow_buttons_disp3751 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var content3752 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CandidatesByCourse/content" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person3748, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark3749, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted3750, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content3752, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.content) Der gew\u00fcnschte Kursinhalt.)") }, "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CandidatesByCourse.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CandidatesByCourse.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CandidatesByCourse.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CandidatesByCourse",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CandidatesByCourse.detail;
    Lino.xcourses.CandidatesByCourse.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CandidatesByCourse.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CandidatesByCourse" };
  return new Lino.xcourses.CandidatesByCourse.detailPanel(p);
});
Lino.xcourses.CandidatesByCourse.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CandidatesByCourse" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.CandidatesByCourse.GridPanel(p);
});
Lino.xcourses.CandidatesByCourse.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.CompetencesByUser
Lino.newcomers.CompetencesByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/CompetencesByUser",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 115,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno1658 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var faculty1659 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByUser/faculty" }) }) });
    var weight1660 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id1661 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user1662 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByUser/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno1658, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "faculty", "editable": true, "editor": faculty1659, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.faculty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "weight", "editable": true, "editor": weight1660, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1661, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user1662, "filter": { "type": "string" }, "header": "Benutzer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.CompetencesByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.CompetencesByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/CompetencesByUser" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.CompetencesByUser.GridPanel(p);
});
Lino.newcomers.CompetencesByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.MyCompetences
Lino.newcomers.MyCompetences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/MyCompetences",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 115,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Kompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno8516 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var faculty8517 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/MyCompetences/faculty" }) }) });
    var weight8518 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id8519 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user8520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/MyCompetences/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno8516, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "faculty", "editable": true, "editor": faculty8517, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.faculty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "weight", "editable": true, "editor": weight8518, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8519, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user8520, "filter": { "type": "string" }, "header": "Benutzer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.MyCompetences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.MyCompetences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/MyCompetences" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.MyCompetences.GridPanel(p);
});
Lino.newcomers.MyCompetences.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.ClientsByFaculty
Lino.newcomers.ClientsByFaculty.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/ClientsByFaculty",
  ls_store_fields : [ { "name": "name_column" }, { "name": "broker" }, 'brokerHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "nationality" }, 'nationalityHidden', { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "has_esf", "type": "boolean" }, { "name": "age" }, { "name": "faculty" }, 'facultyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    var ww = this.containing_window;
    var name_column_disp1354 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var broker1355 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/broker" }) }) });
    var address_column_disp1356 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1357 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email1358 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language1359 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url1360 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone1361 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm1362 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax1363 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified1364 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created1365 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country1366 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/country" }) }) });
    var city1367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/city" }) }) });
    var zip_code1368 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region1369 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/region" }) }) });
    var addr11370 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix1371 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street1372 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no1373 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box1374 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr21375 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix1376 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name1377 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks1378 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete1379 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity1380 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/activity" }) }) });
    var client_contact_type1381 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/client_contact_type" }) }) });
    var payment_term1382 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/payment_term" }) }) });
    var title1383 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name1384 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name1385 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name1386 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender1387 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date1388 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client_state1389 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id1390 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var nationality1391 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/nationality" }) }) });
    var birth_country1392 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/birth_country" }) }) });
    var birth_place1393 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number1394 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from1395 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until1396 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type1397 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer1398 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text1399 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition1400 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group1401 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/group" }) }) });
    var civil_state1402 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type1403 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since1404 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until1405 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since1406 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since1407 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit1408 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit1409 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until1410 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type1411 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/aid_type" }) }) });
    var declared_name1412 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking1413 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until1414 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why1415 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles1416 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills1417 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact1418 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/job_office_contact" }) }) });
    var refusal_reason1419 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks21420 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id1421 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id1422 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas1423 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior1424 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance1425 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/health_insurance" }) }) });
    var pharmacy1426 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/pharmacy" }) }) });
    var income_ag1427 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg1428 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg1429 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente1430 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc1431 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents1432 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var has_esf1433 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var age_disp1434 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp1434 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var faculty1435 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/faculty" }) }) });
    this.before_row_edit = function(record) {
      city1367.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city1367.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region1369.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country1366 !== 'undefined' && country1366.on('change',Lino.chooser_handler(city1367,'country'));
      typeof region1369 !== 'undefined' && region1369.on('change',Lino.chooser_handler(city1367,'region'));
      typeof country1366 !== 'undefined' && country1366.on('change',Lino.chooser_handler(region1369,'country'));
      Lino.newcomers.ClientsByFaculty.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.name_column) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "broker", "editable": true, "editor": broker1355, "filter": { "type": "string" }, "header": "Vermittler", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.address_column) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1357, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email1358, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language1359, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url1360, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone1361, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm1362, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax1363, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country1366, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city1367, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code1368, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region1369, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr11370, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix1371, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street1372, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no1373, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box1374, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr21375, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix1376, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "name", "editable": true, "editor": name1377, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 26, "dataIndex": "activity", "editable": true, "editor": activity1380, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type1381, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "payment_term", "editable": true, "editor": payment_term1382, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "title", "editable": true, "editor": title1383, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "first_name", "editable": true, "editor": first_name1384, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "middle_name", "editable": true, "editor": middle_name1385, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "last_name", "editable": true, "editor": last_name1386, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 33, "dataIndex": "gender", "editable": true, "editor": gender1387, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 34, "dataIndex": "birth_date", "editable": true, "editor": birth_date1388, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 35, "dataIndex": "client_state", "editable": true, "editor": client_state1389, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 36, "dataIndex": "national_id", "editable": true, "editor": national_id1390, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "nationality", "editable": true, "editor": nationality1391, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) }, { "colIndex": 38, "dataIndex": "birth_country", "editable": true, "editor": birth_country1392, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 39, "dataIndex": "birth_place", "editable": true, "editor": birth_place1393, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 40, "dataIndex": "card_number", "editable": true, "editor": card_number1394, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 41, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from1395, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 42, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until1396, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 43, "dataIndex": "card_type", "editable": true, "editor": card_type1397, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 44, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer1398, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 45, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text1399, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 46, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition1400, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 47, "dataIndex": "group", "editable": true, "editor": group1401, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 48, "dataIndex": "civil_state", "editable": true, "editor": civil_state1402, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 49, "dataIndex": "residence_type", "editable": true, "editor": residence_type1403, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 50, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since1404, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 51, "dataIndex": "residence_until", "editable": true, "editor": residence_until1405, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 52, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since1406, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since1407, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 54, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 56, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until1410, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 57, "dataIndex": "aid_type", "editable": true, "editor": aid_type1411, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 58, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 59, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 60, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until1414, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 61, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why1415, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 62, "dataIndex": "obstacles", "editable": true, "editor": obstacles1416, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "skills", "editable": true, "editor": skills1417, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 64, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact1418, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 65, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason1419, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 66, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 67, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id1421, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 68, "dataIndex": "tim_id", "editable": true, "editor": tim_id1422, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 69, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 70, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 71, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance1425, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 72, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy1426, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 73, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 74, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 75, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 76, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 77, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "job_agents", "editable": true, "editor": job_agents1432, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 79, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 80, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 81, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 82, "dataIndex": "faculty", "editable": true, "editor": faculty1435, "filter": { "type": "string" }, "header": "Fachbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.faculty) The Faculty this client has been attributed to.") }, "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.ClientsByFaculty.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.ClientsByFaculty.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/newcomers/ClientsByFaculty",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    Lino.newcomers.ClientsByFaculty.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  return new Lino.newcomers.ClientsByFaculty.insertPanel(p);
});
Lino.newcomers.ClientsByFaculty.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.ClientsByFaculty.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/newcomers/ClientsByFaculty",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    Lino.newcomers.ClientsByFaculty.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  return new Lino.newcomers.ClientsByFaculty.detailPanel(p);
});
Lino.newcomers.ClientsByFaculty.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.newcomers.ClientsByFaculty.GridPanel(p);
});
Lino.newcomers.ClientsByFaculty.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.IdentifyRequestsByPerson
Lino.cbss.IdentifyRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "environment" }, { "name": "ticket" }, { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    var ww = this.containing_window;
    var user8522 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyRequestsByPerson/user" }) }) });
    var sent8523 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8524 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var id8525 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8526 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var environment8527 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "hidden": true, "maxLength": 4 });
    var ticket8528 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 36 });
    var request_xml8529 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8530 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8531 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8532 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8533 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8534 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no8535 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8536 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8537 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8538 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8539 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8540 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance8541 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var person8542 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyRequestsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8522, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8525, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 6, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "national_id", "editable": true, "editor": national_id8533, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "birth_date", "editable": true, "editor": birth_date8534, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 13, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8535, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8536, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "first_name", "editable": true, "editor": first_name8537, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "last_name", "editable": true, "editor": last_name8538, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "middle_name", "editable": true, "editor": middle_name8539, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "gender", "editable": true, "editor": gender8540, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 19, "dataIndex": "tolerance", "editable": true, "editor": tolerance8541, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "person", "editable": true, "editor": person8542, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cbss.IdentifyRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    Lino.cbss.IdentifyRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  return new Lino.cbss.IdentifyRequestsByPerson.insertPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    Lino.cbss.IdentifyRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  return new Lino.cbss.IdentifyRequestsByPerson.detailPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.IdentifyRequestsByPerson.GridPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageAccessRequestsByPerson
Lino.cbss.ManageAccessRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageAccessRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 119,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    var ww = this.containing_window;
    var user8544 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/user" }) }) });
    var person8545 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/person" }) }) });
    var environment8546 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8547 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8548 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8549 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8550 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8551 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8552 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8553 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8554 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8555 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8556 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8557 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no8558 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8559 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8560 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8561 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector8562 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose8563 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/purpose" }) }) });
    var start_date8564 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date8565 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action8566 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register8567 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose8563.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector8562 !== 'undefined' && sector8562.on('change',Lino.chooser_handler(purpose8563,'sector'));
      Lino.cbss.ManageAccessRequestsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8544, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8545, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8550, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8556, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8557, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8558, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8559, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8560, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8561, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose8563, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date8564, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date8565, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action8566, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register8567, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) } ];
    Lino.cbss.ManageAccessRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    Lino.cbss.ManageAccessRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  return new Lino.cbss.ManageAccessRequestsByPerson.insertPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    Lino.cbss.ManageAccessRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  return new Lino.cbss.ManageAccessRequestsByPerson.detailPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.ManageAccessRequestsByPerson.GridPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsRequestsByPerson
Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 120,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    var ww = this.containing_window;
    var user8569 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequestsByPerson/user" }) }) });
    var person8570 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequestsByPerson/person" }) }) });
    var environment8571 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8572 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8573 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8574 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8575 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8576 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8577 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8578 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8579 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8580 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8581 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language8582 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history8583 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8569, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8570, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8575, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8581, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8582, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class humanlinks.LinksByHuman
Lino.humanlinks.LinksByHuman.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/humanlinks/LinksByHuman",
  ls_store_fields : [ { "name": "parent" }, 'parentHidden', { "name": "type_as_parent" }, { "name": "child" }, 'childHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 124,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Personsl Link) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of humanlinks.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beziehungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    var ww = this.containing_window;
    var parent8585 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/LinksByHuman/parent" }) }) });
    var type_as_parent_disp8586 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var child8587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/LinksByHuman/child" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "parent", "editable": true, "editor": parent8585, "filter": { "type": "string" }, "header": "Wer ist...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.parent) Pointer to the person who is \"parent\".") }, "renderer": Lino.fk_renderer('parentHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"parent\".", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type_as_parent", "editable": false, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.type_as_parent) Displays LinkTypes.as_parent() for this link.") }, "sortable": false, "tooltip": "Displays LinkTypes.as_parent() for this link.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "child", "editable": true, "editor": child8587, "filter": { "type": "string" }, "header": "Von wem...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.child) Pointer to the person who is \"child\".") }, "renderer": Lino.fk_renderer('childHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"child\".", "width": Lino.chars2width(21) } ];
    Lino.humanlinks.LinksByHuman.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.LinksByHuman.insertPanel = Ext.extend(Lino.humanlinks.Links.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/humanlinks/LinksByHuman",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    Lino.humanlinks.LinksByHuman.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.insertPanel(p);
});
Lino.humanlinks.LinksByHuman.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.LinksByHuman.detailPanel = Ext.extend(Lino.humanlinks.Links.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Personsl Link) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/humanlinks/LinksByHuman",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    Lino.humanlinks.LinksByHuman.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.detailPanel(p);
});
Lino.humanlinks.LinksByHuman.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.GridPanel(p);
});
Lino.humanlinks.LinksByHuman.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.AccountsByGroup
Lino.debts.AccountsByGroup.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AccountsByGroup",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "default_amount" }, { "name": "periods" }, { "name": "required_for_household", "type": "boolean" }, { "name": "required_for_person", "type": "boolean" }, { "name": "group" }, 'groupHidden', { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Konto) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Konten",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    var ww = this.containing_window;
    var ref6051 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name6052 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr6053 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en6054 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var default_amount6055 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var periods6056 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var required_for_household6057 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var required_for_person6058 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var group6059 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontengruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/AccountsByGroup/group" }) }) });
    var id6060 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno6061 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var type6062 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref6051, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.ref) An optional unique name which can be used to reference a given\naccount.") }, "sortable": true, "tooltip": "An optional unique name which can be used to reference a given\naccount.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name6052, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name) The multilingual designation of this account, as the users see\nit.") }, "sortable": true, "tooltip": "The multilingual designation of this account, as the users see\nit.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr6053, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en6054, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "default_amount", "editable": true, "editor": default_amount6055, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Vorschlag Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.default_amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "periods", "editable": true, "editor": periods6056, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "sortable": true, "tooltip": "For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "required_for_household", "editable": true, "filter": { "type": "boolean" }, "header": "verpflichtend f\u00fcr Haushalte", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.required_for_household) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "required_for_person", "editable": true, "filter": { "type": "boolean" }, "header": "verpflichtend f\u00fcr Personen", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.required_for_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "group", "editable": true, "editor": group6059, "filter": { "type": "string" }, "header": "Kontengruppe", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "sortable": false, "tooltip": "The account group to which this account belongs.  This must\npoint to an instance of Group.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id6060, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno6061, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.seqno) The sequence number of this account within its group.") }, "sortable": true, "tooltip": "The sequence number of this account within its group.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "type", "editable": true, "editor": type6062, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "sortable": false, "tooltip": "The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.", "width": Lino.chars2width(19) } ];
    Lino.debts.AccountsByGroup.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.AccountsByGroup.insertPanel = Ext.extend(Lino.debts.Accounts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/AccountsByGroup",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    Lino.debts.AccountsByGroup.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.insertPanel(p);
});
Lino.debts.AccountsByGroup.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.AccountsByGroup.detailPanel = Ext.extend(Lino.debts.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Konto) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/AccountsByGroup",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    Lino.debts.AccountsByGroup.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.detailPanel(p);
});
Lino.debts.AccountsByGroup.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.GridPanel(p);
});
Lino.debts.AccountsByGroup.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByType
Lino.notes.NotesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    var ww = this.containing_window;
    var date5689 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time5690 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type5691 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/event_type" }) }) });
    var subject5692 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user5693 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/user" }) }) });
    var id5694 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project5695 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/project" }) }) });
    var build_time5696 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method5697 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type5698 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/owner_type" }) }) });
    var owner_id5699 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/owner_id" }) }) });
    var company5700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/company" }) }) });
    var contact_person5701 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/contact_person" }) }) });
    var contact_role5702 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/contact_role" }) }) });
    var body5703 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language5704 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important5705 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp5706 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var type5707 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/type" }) }) });
    this.before_row_edit = function(record) {
      owner_id5699.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person5701.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body5703.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type5698 !== 'undefined' && owner_type5698.on('change',Lino.chooser_handler(owner_id5699,'owner_type'));
      typeof company5700 !== 'undefined' && company5700.on('change',Lino.chooser_handler(contact_person5701,'company'));
      Lino.notes.NotesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date5689, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time5690, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type5691, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "subject", "editable": true, "editor": subject5692, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5693, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5694, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project5695, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method5697, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type5698, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id5699, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company5700, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person5701, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role5702, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body5703, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language5704, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "type", "editable": true, "editor": type5707, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByType.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    Lino.notes.NotesByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByType" };
  return new Lino.notes.NotesByType.insertPanel(p);
});
Lino.notes.NotesByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByType.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    Lino.notes.NotesByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByType" };
  return new Lino.notes.NotesByType.detailPanel(p);
});
Lino.notes.NotesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByType" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByType.GridPanel(p);
});
Lino.notes.NotesByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByEventType
Lino.notes.NotesByEventType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByEventType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "event_type" }, 'event_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    var ww = this.containing_window;
    var date5916 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time5917 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var type5918 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/type" }) }) });
    var subject5919 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user5920 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/user" }) }) });
    var id5921 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project5922 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/project" }) }) });
    var build_time5923 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method5924 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type5925 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/owner_type" }) }) });
    var owner_id5926 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/owner_id" }) }) });
    var company5927 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/company" }) }) });
    var contact_person5928 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/contact_person" }) }) });
    var contact_role5929 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/contact_role" }) }) });
    var body5930 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language5931 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important5932 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp5933 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var event_type5934 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/event_type" }) }) });
    this.before_row_edit = function(record) {
      owner_id5926.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person5928.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body5930.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type5925 !== 'undefined' && owner_type5925.on('change',Lino.chooser_handler(owner_id5926,'owner_type'));
      typeof company5927 !== 'undefined' && company5927.on('change',Lino.chooser_handler(contact_person5928,'company'));
      Lino.notes.NotesByEventType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date5916, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time5917, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type5918, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "subject", "editable": true, "editor": subject5919, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5920, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5921, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project5922, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method5924, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type5925, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id5926, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company5927, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person5928, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role5929, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body5930, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language5931, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByEventType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "event_type", "editable": true, "editor": event_type5934, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByEventType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByEventType.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByEventType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    Lino.notes.NotesByEventType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  return new Lino.notes.NotesByEventType.insertPanel(p);
});
Lino.notes.NotesByEventType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByEventType.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByEventType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    Lino.notes.NotesByEventType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  return new Lino.notes.NotesByEventType.detailPanel(p);
});
Lino.notes.NotesByEventType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByEventType.GridPanel(p);
});
Lino.notes.NotesByEventType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByProject
Lino.notes.NotesByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    var ww = this.containing_window;
    var date8589 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8590 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type8591 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/event_type" }) }) });
    var type8592 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/type" }) }) });
    var subject8593 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8594 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/user" }) }) });
    var id8595 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time8596 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8597 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8598 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/owner_type" }) }) });
    var owner_id8599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/owner_id" }) }) });
    var company8600 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/company" }) }) });
    var contact_person8601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/contact_person" }) }) });
    var contact_role8602 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/contact_role" }) }) });
    var body8603 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language8604 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8605 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8606 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8607 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id8599.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8601.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body8603.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8598 !== 'undefined' && owner_type8598.on('change',Lino.chooser_handler(owner_id8599,'owner_type'));
      typeof company8600 !== 'undefined' && company8600.on('change',Lino.chooser_handler(contact_person8601,'company'));
      Lino.notes.NotesByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8589, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8590, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type8591, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8592, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject8593, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(41) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8594, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8595, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method8597, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type8598, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id8599, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company8600, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person8601, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role8602, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body8603, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8604, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "project", "editable": true, "editor": project8607, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByProject.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    Lino.notes.NotesByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  return new Lino.notes.NotesByProject.insertPanel(p);
});
Lino.notes.NotesByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByProject.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    Lino.notes.NotesByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  return new Lino.notes.NotesByProject.detailPanel(p);
});
Lino.notes.NotesByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByProject.GridPanel(p);
});
Lino.notes.NotesByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByCompany
Lino.notes.NotesByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByCompany",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    var ww = this.containing_window;
    var date8609 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8610 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project8611 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/project" }) }) });
    var event_type8612 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/event_type" }) }) });
    var type8613 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/type" }) }) });
    var subject8614 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8615 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/user" }) }) });
    var id8616 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time8617 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8618 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8619 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/owner_type" }) }) });
    var owner_id8620 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/owner_id" }) }) });
    var contact_person8621 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/contact_person" }) }) });
    var contact_role8622 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/contact_role" }) }) });
    var body8623 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language8624 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8625 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8626 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var company8627 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/company" }) }) });
    this.before_row_edit = function(record) {
      owner_id8620.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      var bp = this.get_base_params();
      contact_person8621.setContextValue('mk',bp['mk']);
      contact_person8621.setContextValue('mt',bp['mt']);
      body8623.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8619 !== 'undefined' && owner_type8619.on('change',Lino.chooser_handler(owner_id8620,'owner_type'));
      typeof company8627 !== 'undefined' && company8627.on('change',Lino.chooser_handler(contact_person8621,'company'));
      Lino.notes.NotesByCompany.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8609, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8610, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8611, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type8612, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8613, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "subject", "editable": true, "editor": subject8614, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user8615, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id8616, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8618, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8619, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8620, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person8621, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role8622, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body8623, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8624, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByCompany.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "company", "editable": true, "editor": company8627, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByCompany.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByCompany",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    Lino.notes.NotesByCompany.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  return new Lino.notes.NotesByCompany.insertPanel(p);
});
Lino.notes.NotesByCompany.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByCompany.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByCompany",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    Lino.notes.NotesByCompany.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  return new Lino.notes.NotesByCompany.detailPanel(p);
});
Lino.notes.NotesByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByCompany.GridPanel(p);
});
Lino.notes.NotesByCompany.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByPerson
Lino.notes.NotesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    var ww = this.containing_window;
    var date8629 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8630 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type8631 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/event_type" }) }) });
    var type8632 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/type" }) }) });
    var subject8633 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8634 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/user" }) }) });
    var id8635 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project8636 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/project" }) }) });
    var build_time8637 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8638 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8639 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/owner_type" }) }) });
    var owner_id8640 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/owner_id" }) }) });
    var company8641 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/company" }) }) });
    var contact_role8642 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/contact_role" }) }) });
    var body8643 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language8644 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8645 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8646 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var contact_person8647 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/contact_person" }) }) });
    this.before_row_edit = function(record) {
      owner_id8640.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8643.refresh();
      contact_person8647.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8639 !== 'undefined' && owner_type8639.on('change',Lino.chooser_handler(owner_id8640,'owner_type'));
      typeof company8641 !== 'undefined' && company8641.on('change',Lino.chooser_handler(contact_person8647,'company'));
      Lino.notes.NotesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8629, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8630, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type8631, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8632, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject8633, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8634, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8635, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project8636, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8638, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8639, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8640, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company8641, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role8642, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body8643, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8644, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByPerson.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "contact_person", "editable": true, "editor": contact_person8647, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByPerson.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    Lino.notes.NotesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  return new Lino.notes.NotesByPerson.insertPanel(p);
});
Lino.notes.NotesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByPerson.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    Lino.notes.NotesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  return new Lino.notes.NotesByPerson.detailPanel(p);
});
Lino.notes.NotesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByPerson.GridPanel(p);
});
Lino.notes.NotesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.GrantingsByClient
Lino.aids.GrantingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/GrantingsByClient",
  ls_store_fields : [ { "name": "detail_link" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "signer" }, 'signerHidden', { "name": "workflow_buttons" }, { "name": "board" }, 'boardHidden', { "name": "custom_actions" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    var ww = this.containing_window;
    var detail_link_disp1755 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date1756 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date1757 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var signer1758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/signer" }) }) });
    var workflow_buttons_disp1759 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var board1760 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/board" }) }) });
    var custom_actions_disp1761 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1762 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user1763 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/user" }) }) });
    var decision_date1764 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1765 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var aid_type1766 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var category1767 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/category" }) }) });
    var request_date1768 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client1769 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      board1760.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date1764 !== 'undefined' && decision_date1764.on('change',Lino.chooser_handler(board1760,'decision_date'));
      Lino.aids.GrantingsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.detail_link) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date1756, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date1757, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "signer", "editable": true, "editor": signer1758, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "board", "editable": true, "editor": board1760, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "custom_actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.custom_actions) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.custom_actions) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id1762, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user1763, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "decision_date", "editable": true, "editor": decision_date1764, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "state", "editable": true, "editor": state1765, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 11, "dataIndex": "aid_type", "editable": true, "editor": aid_type1766, "filter": { "type": "string" }, "header": "Hilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "category", "editable": true, "editor": category1767, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "request_date", "editable": true, "editor": request_date1768, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "client", "editable": true, "editor": client1769, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) } ];
    Lino.aids.GrantingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByClient.insertPanel = Ext.extend(Lino.aids.GrantingsByClient.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    Lino.aids.GrantingsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  return new Lino.aids.GrantingsByClient.insertPanel(p);
});
Lino.aids.GrantingsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByClient.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    Lino.aids.GrantingsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  return new Lino.aids.GrantingsByClient.detailPanel(p);
});
Lino.aids.GrantingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.GrantingsByClient.GridPanel(p);
});
Lino.aids.GrantingsByClient.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.GrantingsByType
Lino.aids.GrantingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/GrantingsByType",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    var ww = this.containing_window;
    var detail_link_disp5982 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client5983 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/client" }) }) });
    var start_date5984 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date5985 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id5986 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user5987 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/user" }) }) });
    var decision_date5988 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var board5989 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/board" }) }) });
    var signer5990 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/signer" }) }) });
    var state5991 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var category5992 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/category" }) }) });
    var request_date5993 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type5994 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/aid_type" }) }) });
    this.before_row_edit = function(record) {
      board5989.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date5988 !== 'undefined' && decision_date5988.on('change',Lino.chooser_handler(board5989,'decision_date'));
      Lino.aids.GrantingsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.detail_link) ") }, "sortable": false, "tooltip": "(aids.GrantingsByType.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5983, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date5984, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date5985, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5986, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user5987, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "decision_date", "editable": true, "editor": decision_date5988, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "board", "editable": true, "editor": board5989, "filter": { "type": "string" }, "header": "Gremium", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer", "editable": true, "editor": signer5990, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state5991, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category5992, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date5993, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "aid_type", "editable": true, "editor": aid_type5994, "filter": { "type": "string" }, "header": "Hilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) } ];
    Lino.aids.GrantingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByType.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    Lino.aids.GrantingsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  return new Lino.aids.GrantingsByType.insertPanel(p);
});
Lino.aids.GrantingsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByType.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    Lino.aids.GrantingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  return new Lino.aids.GrantingsByType.detailPanel(p);
});
Lino.aids.GrantingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.GrantingsByType.GridPanel(p);
});
Lino.aids.GrantingsByType.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.SimpleConfirmationsByGranting
Lino.aids.SimpleConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/SimpleConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einfache Bescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einfache Bescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id8649 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8650 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/client" }) }) });
    var granting8651 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/granting" }) }) });
    var start_date8652 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8653 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created8654 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user8655 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/user" }) }) });
    var company8656 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var contact_person8657 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var contact_role8658 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_role" }) }) });
    var printed_by8659 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8660 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/signer" }) }) });
    var state8661 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark8662 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8663 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
      contact_person8657.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8662.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8656 !== 'undefined' && company8656.on('change',Lino.chooser_handler(contact_person8657,'company'));
      Lino.aids.SimpleConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8649, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8650, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "granting", "editable": true, "editor": granting8651, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date8652, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date8653, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user8655, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company8656, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8657, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8658, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8660, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8661, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark8662, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language8663, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.SimpleConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    Lino.aids.SimpleConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(16), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  return new Lino.aids.SimpleConfirmationsByGranting.insertPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einfache Bescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    Lino.aids.SimpleConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  return new Lino.aids.SimpleConfirmationsByGranting.detailPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.SimpleConfirmationsByGranting.GridPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmationsByGranting
Lino.aids.IncomeConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "granting" }, 'grantingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 137,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einkommensbescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id8665 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8666 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var category8667 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount8668 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date8669 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8670 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created8671 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user8672 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/user" }) }) });
    var company8673 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var contact_person8674 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var contact_role8675 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_role" }) }) });
    var printed_by8676 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8677 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/signer" }) }) });
    var state8678 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark8679 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8680 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var granting8681 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    this.before_row_edit = function(record) {
      contact_person8674.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8679.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8673 !== 'undefined' && company8673.on('change',Lino.chooser_handler(contact_person8674,'company'));
      Lino.aids.IncomeConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8665, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8666, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "category", "editable": true, "editor": category8667, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount8668, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8669, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8670, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user8672, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company8673, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person8674, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role8675, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "signer", "editable": true, "editor": signer8677, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state8678, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 14, "dataIndex": "remark", "editable": true, "editor": remark8679, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8680, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "granting", "editable": true, "editor": granting8681, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.IncomeConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    Lino.aids.IncomeConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  return new Lino.aids.IncomeConfirmationsByGranting.insertPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einkommensbescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    Lino.aids.IncomeConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  return new Lino.aids.IncomeConfirmationsByGranting.detailPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmationsByGranting.GridPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmationsByCategory
Lino.aids.IncomeConfirmationsByCategory.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmationsByCategory",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "amount" }, { "name": "category" }, 'categoryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 137,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByCategory.detail;
    var ww = this.containing_window;
    var detail_link_disp5854 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created5855 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user5856 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/user" }) }) });
    var printed_disp5857 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date5858 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5859 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id5860 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company5861 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/company" }) }) });
    var contact_person5862 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/contact_person" }) }) });
    var contact_role5863 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/contact_role" }) }) });
    var printed_by5864 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer5865 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/signer" }) }) });
    var state5866 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client5867 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/client" }) }) });
    var granting5868 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/granting" }) }) });
    var remark5869 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language5870 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var amount5871 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var category5872 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/category" }) }) });
    this.before_row_edit = function(record) {
      contact_person5862.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark5869.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5861 !== 'undefined' && company5861.on('change',Lino.chooser_handler(contact_person5862,'company'));
      Lino.aids.IncomeConfirmationsByCategory.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einkommensbescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.detail_link) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByCategory.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user5856, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date5858, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date5859, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id5860, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company5861, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person5862, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role5863, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer5865, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state5866, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client5867, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting5868, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark5869, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language5870, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 17, "dataIndex": "amount", "editable": true, "editor": amount5871, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "category", "editable": true, "editor": category5872, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.IncomeConfirmationsByCategory.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByCategory.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByCategory.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByCategory",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByCategory.detail;
    Lino.aids.IncomeConfirmationsByCategory.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByCategory.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByCategory" };
  return new Lino.aids.IncomeConfirmationsByCategory.detailPanel(p);
});
Lino.aids.IncomeConfirmationsByCategory.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByCategory" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmationsByCategory.GridPanel(p);
});
Lino.aids.IncomeConfirmationsByCategory.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.RefundConfirmationsByGranting
Lino.aids.RefundConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/RefundConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 138,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kosten\u00fcbernahmeschein) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kosten\u00fcbernahmescheine",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id8683 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8684 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/client" }) }) });
    var granting8685 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/granting" }) }) });
    var start_date8686 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8687 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created8688 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user8689 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/user" }) }) });
    var company8690 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var contact_person8691 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var contact_role8692 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_role" }) }) });
    var printed_by8693 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8694 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/signer" }) }) });
    var state8695 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark8696 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8697 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var doctor_type8698 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor8699 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy8700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    this.before_row_edit = function(record) {
      contact_person8691.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8696.refresh();
      doctor8699.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy8700.setContextValue('mk',bp['mk']);
      pharmacy8700.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof company8690 !== 'undefined' && company8690.on('change',Lino.chooser_handler(contact_person8691,'company'));
      typeof doctor_type8698 !== 'undefined' && doctor_type8698.on('change',Lino.chooser_handler(doctor8699,'doctor_type'));
      typeof granting8685 !== 'undefined' && granting8685.on('change',Lino.chooser_handler(pharmacy8700,'granting'));
      Lino.aids.RefundConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8683, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8684, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "granting", "editable": true, "editor": granting8685, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date8686, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date8687, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user8689, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company8690, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8691, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8692, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8694, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8695, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark8696, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language8697, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type8698, "filter": { "type": "string" }, "header": "Art des Arztes", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "doctor", "editable": true, "editor": doctor8699, "filter": { "type": "string" }, "header": "Arzt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy8700, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.RefundConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.RefundConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    Lino.aids.RefundConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  return new Lino.aids.RefundConfirmationsByGranting.insertPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kosten\u00fcbernahmeschein) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    Lino.aids.RefundConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  return new Lino.aids.RefundConfirmationsByGranting.detailPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.RefundConfirmationsByGranting.GridPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.SummariesByClient
Lino.esf.SummariesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/SummariesByClient",
  ls_store_fields : [ { "name": "year", "type": "int", "useNull": true }, { "name": "esf10" }, { "name": "esf20" }, { "name": "esf21" }, { "name": "esf30" }, { "name": "esf40" }, { "name": "esf41" }, { "name": "esf42" }, { "name": "esf43" }, { "name": "esf44" }, { "name": "esf50" }, { "name": "esf60" }, { "name": "esf70" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 139,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of esf.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF Summaries",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.SummariesByClient.detail;
    var ww = this.containing_window;
    var year8702 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var esf108703 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf208704 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf218705 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf308706 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf408707 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf418708 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf428709 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf438710 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf448711 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf508712 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf608713 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf708714 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "year", "editable": true, "editor": year8702, "filter": { "type": "numeric" }, "format": "0", "header": "Year", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.year) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "esf10", "editable": true, "editor": esf108703, "filter": { "type": "string" }, "format": "", "header": "S.Inf", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf10) Informative sessions") }, "sortable": true, "tooltip": "Informative sessions", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 2, "dataIndex": "esf20", "editable": true, "editor": esf208704, "filter": { "type": "string" }, "format": "", "header": "E.Ind", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf20) Individual consultation") }, "sortable": true, "tooltip": "Individual consultation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 3, "dataIndex": "esf21", "editable": true, "editor": esf218705, "filter": { "type": "string" }, "format": "", "header": "E.For", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf21) Evaluation of external training") }, "sortable": true, "tooltip": "Evaluation of external training", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 4, "dataIndex": "esf30", "editable": true, "editor": esf308706, "filter": { "type": "string" }, "format": "", "header": "SIS", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf30) Certified integration service") }, "sortable": true, "tooltip": "Certified integration service", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "esf40", "editable": true, "editor": esf408707, "filter": { "type": "string" }, "format": "", "header": "Tst", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf40) Level tests") }, "sortable": true, "tooltip": "Level tests", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "esf41", "editable": true, "editor": esf418708, "filter": { "type": "string" }, "format": "", "header": "Info", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf41) IT basics") }, "sortable": true, "tooltip": "IT basics", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 7, "dataIndex": "esf42", "editable": true, "editor": esf428709, "filter": { "type": "string" }, "format": "", "header": "Mob", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf42) Mobility") }, "sortable": true, "tooltip": "Mobility", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 8, "dataIndex": "esf43", "editable": true, "editor": esf438710, "filter": { "type": "string" }, "format": "", "header": "Rem", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf43) Remedial teaching") }, "sortable": true, "tooltip": "Remedial teaching", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 9, "dataIndex": "esf44", "editable": true, "editor": esf448711, "filter": { "type": "string" }, "format": "", "header": "AN!", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf44) Wake up!") }, "sortable": true, "tooltip": "Wake up!", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 10, "dataIndex": "esf50", "editable": true, "editor": esf508712, "filter": { "type": "string" }, "format": "", "header": "MSP", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf50) Getting a professional situation") }, "sortable": true, "tooltip": "Getting a professional situation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 11, "dataIndex": "esf60", "editable": true, "editor": esf608713, "filter": { "type": "string" }, "format": "", "header": "CyE", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf60) Cyber Job") }, "sortable": true, "tooltip": "Cyber Job", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 12, "dataIndex": "esf70", "editable": true, "editor": esf708714, "filter": { "type": "string" }, "format": "", "header": "60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf70) Art 60\u00a77 job supplyment") }, "sortable": true, "tooltip": "Art 60\u00a77 job supplyment", "width": Lino.chars2width(10) } ];
    Lino.esf.SummariesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.SummariesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.esf.SummariesByClient.detailPanel = Ext.extend(Lino.esf.Summaries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/esf/SummariesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.SummariesByClient.detail;
    Lino.esf.SummariesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.SummariesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/SummariesByClient" };
  return new Lino.esf.SummariesByClient.detailPanel(p);
});
Lino.esf.SummariesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.compute_results = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "compute_results", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/SummariesByClient" };
  return new Lino.esf.SummariesByClient.GridPanel(p);
});
Lino.esf.SummariesByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.WidgetsByUser
Lino.dashboard.WidgetsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/WidgetsByUser",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "move_buttons" }, { "name": "title" }, { "name": "visible", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "item_name" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 140,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dashboard",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno1680 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var move_buttons_disp1681 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var title_disp1682 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var visible1683 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var id1684 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var item_name1685 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/WidgetsByUser/item_name" }) }) });
    var user1686 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/WidgetsByUser/user" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      item_name1685.setContextValue('mk',bp['mk']);
      item_name1685.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof user1686 !== 'undefined' && user1686.on('change',Lino.chooser_handler(item_name1685,'user'));
      Lino.dashboard.WidgetsByUser.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno1680, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "title", "editable": false, "header": "Label", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.title) ") }, "sortable": false, "tooltip": "(dashboard.WidgetsByUser.title) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Sichtbar", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1684, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "item_name", "editable": true, "editor": item_name1685, "filter": { "type": "string" }, "header": "Resource", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user1686, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.dashboard.WidgetsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.WidgetsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/WidgetsByUser" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.WidgetsByUser.GridPanel(p);
});
Lino.dashboard.WidgetsByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dupable_clients.WordsByOwner
Lino.dupable_clients.WordsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dupable_clients/WordsByOwner",
  ls_store_fields : [ { "name": "word" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 141,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Phonetische W\u00f6rter",
  initComponent : function() {
    var ww = this.containing_window;
    var word8716 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "word", "editable": true, "editor": word8716, "filter": { "type": "string" }, "header": "word", "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.WordsByOwner.word) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.dupable_clients.WordsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dupable_clients.WordsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dupable_clients/WordsByOwner" };
  return new Lino.dupable_clients.WordsByOwner.GridPanel(p);
});

// js_render_GridPanel_class clients.ContactsByClient
Lino.clients.ContactsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ContactsByClient",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var type1692 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/type" }) }) });
    var company1693 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/company" }) }) });
    var contact_person1694 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/contact_person" }) }) });
    var remark1695 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id1696 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role1697 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/contact_role" }) }) });
    var client1698 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      company1693.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      contact_person1694.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person1694.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type1692 !== 'undefined' && type1692.on('change',Lino.chooser_handler(company1693,'type'));
      typeof company1693 !== 'undefined' && company1693.on('change',Lino.chooser_handler(contact_person1694,'company'));
      typeof type1692 !== 'undefined' && type1692.on('change',Lino.chooser_handler(contact_person1694,'type'));
      Lino.clients.ContactsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type1692, "filter": { "type": "string" }, "header": "Klientenkontaktart", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company1693, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person1694, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1695, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1696, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role1697, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "client", "editable": true, "editor": client1698, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) } ];
    Lino.clients.ContactsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ContactsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ContactsByClient" };
  return new Lino.clients.ContactsByClient.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByType
Lino.clients.ClientContactsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByType",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var company3165 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/company" }) }) });
    var contact_person3166 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/contact_person" }) }) });
    var client3167 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/client" }) }) });
    var remark3168 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id3169 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role3170 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/contact_role" }) }) });
    var type3171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/type" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      company3165.setContextValue('mk',bp['mk']);
      company3165.setContextValue('mt',bp['mt']);
      contact_person3166.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      var bp = this.get_base_params();
      contact_person3166.setContextValue('mk',bp['mk']);
      contact_person3166.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof type3171 !== 'undefined' && type3171.on('change',Lino.chooser_handler(company3165,'type'));
      typeof company3165 !== 'undefined' && company3165.on('change',Lino.chooser_handler(contact_person3166,'company'));
      typeof type3171 !== 'undefined' && type3171.on('change',Lino.chooser_handler(contact_person3166,'type'));
      Lino.clients.ClientContactsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company3165, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person3166, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client", "editable": true, "editor": client3167, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark3168, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3169, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role3170, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type3171, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByType" };
  return new Lino.clients.ClientContactsByType.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByCompany
Lino.clients.ClientContactsByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByCompany",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klientenkontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var client8718 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/client" }) }) });
    var contact_person8719 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/contact_person" }) }) });
    var remark8720 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id8721 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role8722 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/contact_role" }) }) });
    var type8723 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/type" }) }) });
    var company8724 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person8719.setContextValue('mk',bp['mk']);
      contact_person8719.setContextValue('mt',bp['mt']);
      contact_person8719.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      company8724.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company8724 !== 'undefined' && company8724.on('change',Lino.chooser_handler(contact_person8719,'company'));
      typeof type8723 !== 'undefined' && type8723.on('change',Lino.chooser_handler(contact_person8719,'type'));
      typeof type8723 !== 'undefined' && type8723.on('change',Lino.chooser_handler(company8724,'type'));
      Lino.clients.ClientContactsByCompany.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client8718, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person8719, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8720, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8721, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role8722, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type8723, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company8724, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByCompany" };
  return new Lino.clients.ClientContactsByCompany.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByPerson
Lino.clients.ClientContactsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByPerson",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klientenkontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var company8726 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/company" }) }) });
    var client8727 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/client" }) }) });
    var remark8728 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id8729 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role8730 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/contact_role" }) }) });
    var type8731 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/type" }) }) });
    var contact_person8732 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/contact_person" }) }) });
    this.before_row_edit = function(record) {
      company8726.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      contact_person8732.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person8732.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type8731 !== 'undefined' && type8731.on('change',Lino.chooser_handler(company8726,'type'));
      typeof company8726 !== 'undefined' && company8726.on('change',Lino.chooser_handler(contact_person8732,'company'));
      typeof type8731 !== 'undefined' && type8731.on('change',Lino.chooser_handler(contact_person8732,'type'));
      Lino.clients.ClientContactsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company8726, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8727, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8728, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8729, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role8730, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type8731, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person8732, "filter": { "type": "string" }, "header": "Kontaktperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByPerson" };
  return new Lino.clients.ClientContactsByPerson.GridPanel(p);
});

// js_render_GridPanel_class changes.ChangesByMaster
Lino.changes.ChangesByMaster.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangesByMaster",
  ls_store_fields : [ { "name": "time" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "changed_fields" }, { "name": "object" }, { "name": "id", "type": "int" }, { "name": "object_type" }, 'object_typeHidden', { "name": "object_id" }, 'object_idHidden', { "name": "master_type" }, 'master_typeHidden', { "name": "master_id" }, 'master_idHidden', { "name": "diff" }, { "name": "master" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 15,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of changes.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4nderungen",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByMaster.detail;
    var ww = this.containing_window;
    var time3125 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var user3126 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/user" }) }) });
    var type3127 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var changed_fields3128 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 250, "selectOnFocus": true });
    var object_disp3129 = new Ext.form.DisplayField({ "disabled": true });
    var id3130 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var object_type3131 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/object_type" }) }) });
    var object_id3132 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/object_id" }) }) });
    var master_type3133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/master_type" }) }) });
    var master_id3134 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/master_id" }) }) });
    var diff3135 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var master_disp3136 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof object_type3131 !== 'undefined' && object_type3131.on('change',Lino.chooser_handler(object_id3132,'object_type'));
      typeof master_type3133 !== 'undefined' && master_type3133.on('change',Lino.chooser_handler(master_id3134,'master_type'));
      Lino.changes.ChangesByMaster.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "time", "editable": true, "editor": time3125, "header": "time", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user3126, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.user) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type3127, "filter": { "options": [ "Erstellen", "Aktualisierung", "L\u00f6schen", "Remove child", "Add child", "Fusionieren" ], "type": "list" }, "header": "\u00c4nderungsart", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 3, "dataIndex": "changed_fields", "editable": true, "editor": changed_fields3128, "filter": { "type": "string" }, "header": "Felder", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.changed_fields) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "object", "editable": false, "header": "Object", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object) The database object which has been modified.") }, "sortable": false, "tooltip": "The database object which has been modified.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id3130, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "object_type", "editable": true, "editor": object_type3131, "filter": { "type": "string" }, "header": "Object type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "object_id", "editable": true, "editor": object_id3132, "filter": { "type": "string" }, "header": "object id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "master_type", "editable": true, "editor": master_type3133, "filter": { "type": "string" }, "header": "Master type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "master_id", "editable": true, "editor": master_id3134, "filter": { "type": "string" }, "header": "master id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "diff", "editable": false, "filter": { "type": "string" }, "header": "\u00c4nderungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.diff) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "master", "editable": false, "header": "Stammdaten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master) The database object which acts as \"master\".") }, "sortable": false, "tooltip": "The database object which acts as \"master\".", "width": Lino.chars2width(11) } ];
    Lino.changes.ChangesByMaster.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByMaster.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.changes.ChangesByMaster.detailPanel = Ext.extend(Lino.changes.Changes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/changes/ChangesByMaster",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByMaster.detail;
    Lino.changes.ChangesByMaster.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByMaster.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByMaster" };
  return new Lino.changes.ChangesByMaster.detailPanel(p);
});
Lino.changes.ChangesByMaster.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByMaster" };
  p.params_panel = new Lino.changes.Changes.ParamsPanel({});
  return new Lino.changes.ChangesByMaster.GridPanel(p);
});

// js_render_GridPanel_class checkdata.ProblemsByOwner
Lino.checkdata.ProblemsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/ProblemsByOwner",
  ls_store_fields : [ { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByOwner.detail;
    var ww = this.containing_window;
    var message8734 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker8735 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var user8736 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/user" }) }) });
    var id8737 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type8738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/owner_type" }) }) });
    var owner_id8739 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/owner_id" }) }) });
    var owner_disp8740 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type8738 !== 'undefined' && owner_type8738.on('change',Lino.chooser_handler(owner_id8739,'owner_type'));
      Lino.checkdata.ProblemsByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "message", "editable": true, "editor": message8734, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 1, "dataIndex": "checker", "editable": true, "editor": checker8735, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8736, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.user) The user responsible for fixing this\nproblem.") }, "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8737, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "owner_type", "editable": true, "editor": owner_type8738, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_id", "editable": true, "editor": owner_id8739, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByOwner.owner) ", "width": Lino.chars2width(11) } ];
    Lino.checkdata.ProblemsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.ProblemsByOwner.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/ProblemsByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByOwner.detail;
    Lino.checkdata.ProblemsByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByOwner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByOwner" };
  return new Lino.checkdata.ProblemsByOwner.detailPanel(p);
});
Lino.checkdata.ProblemsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByOwner" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.ProblemsByOwner.GridPanel(p);
});
Lino.checkdata.ProblemsByOwner.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByOwner
Lino.excerpts.ExcerptsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByOwner",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bestehende Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByOwner.detail;
    var ww = this.containing_window;
    var build_time8742 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type8743 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/excerpt_type" }) }) });
    var user8744 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/user" }) }) });
    var project8745 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/project" }) }) });
    var id8746 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method8747 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8748 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/owner_type" }) }) });
    var owner_id8749 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/owner_id" }) }) });
    var company8750 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/company" }) }) });
    var contact_person8751 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/contact_person" }) }) });
    var contact_role8752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/contact_role" }) }) });
    var language8753 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var owner_disp8754 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      excerpt_type8743.setContextValue('mk',bp['mk']);
      excerpt_type8743.setContextValue('mt',bp['mt']);
      owner_id8749.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8751.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp8754 !== 'undefined' && owner_disp8754.on('change',Lino.chooser_handler(excerpt_type8743,'owner'));
      typeof owner_type8748 !== 'undefined' && owner_type8748.on('change',Lino.chooser_handler(owner_id8749,'owner_type'));
      typeof company8750 !== 'undefined' && company8750.on('change',Lino.chooser_handler(contact_person8751,'company'));
      Lino.excerpts.ExcerptsByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type8743, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8744, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project8745, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8746, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method8747, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type8748, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id8749, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company8750, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person8751, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role8752, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8753, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) } ];
    Lino.excerpts.ExcerptsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByOwner.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByOwner.detail;
    Lino.excerpts.ExcerptsByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByOwner.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByOwner" };
  return new Lino.excerpts.ExcerptsByOwner.detailPanel(p);
});
Lino.excerpts.ExcerptsByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByOwner" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByOwner.GridPanel(p);
});
Lino.excerpts.ExcerptsByOwner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByController
Lino.uploads.UploadsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByController",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    var ww = this.containing_window;
    var user8756 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/user" }) }) });
    var project8757 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/project" }) }) });
    var type8758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var file8759 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date8760 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8761 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed8762 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp8763 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8764 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype8765 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size8766 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type8767 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/owner_type" }) }) });
    var owner_id8768 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/owner_id" }) }) });
    var company8769 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/company" }) }) });
    var contact_person8770 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/contact_person" }) }) });
    var contact_role8771 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/contact_role" }) }) });
    var upload_area8772 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume8773 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/volume" }) }) });
    var library_file8774 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/library_file" }) }) });
    var description8775 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark8776 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp8777 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type8758.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id8768.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8770.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file8774.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area8772 !== 'undefined' && upload_area8772.on('change',Lino.chooser_handler(type8758,'upload_area'));
      typeof owner_type8767 !== 'undefined' && owner_type8767.on('change',Lino.chooser_handler(owner_id8768,'owner_type'));
      typeof company8769 !== 'undefined' && company8769.on('change',Lino.chooser_handler(contact_person8770,'company'));
      typeof volume8773 !== 'undefined' && volume8773.on('change',Lino.chooser_handler(library_file8774,'volume'));
      Lino.uploads.UploadsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8756, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project8757, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type8758, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file8759, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8760, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8761, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8764, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type8767, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id8768, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company8769, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person8770, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role8771, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area8772, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume8773, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file8774, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description8775, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark8776, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.UploadsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByController.insertPanel = Ext.extend(Lino.uploads.UploadsByController.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    Lino.uploads.UploadsByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  return new Lino.uploads.UploadsByController.insertPanel(p);
});
Lino.uploads.UploadsByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByController.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    Lino.uploads.UploadsByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  return new Lino.uploads.UploadsByController.detailPanel(p);
});
Lino.uploads.UploadsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByController.GridPanel(p);
});
Lino.uploads.UploadsByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByController
Lino.outbox.MailsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByController",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "body" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausg\u00e4nge",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    var ww = this.containing_window;
    var sent2343 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox2344 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var subject2345 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2346 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project2347 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/project" }) }) });
    var user2348 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/user" }) }) });
    var owner_type2349 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/owner_type" }) }) });
    var owner_id2350 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/owner_id" }) }) });
    var date2351 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var body2352 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var owner_disp2353 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      recipients_htmlbox2344.refresh();
      owner_id2350.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body2352.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type2349 !== 'undefined' && owner_type2349.on('change',Lino.chooser_handler(owner_id2350,'owner_type'));
      Lino.outbox.MailsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject2345, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2346, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project2347, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user2348, "filter": { "type": "string" }, "header": "Absender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type2349, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id2350, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date2351, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "body", "editable": true, "editor": body2352, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.outbox.MailsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByController.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    Lino.outbox.MailsByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  return new Lino.outbox.MailsByController.insertPanel(p);
});
Lino.outbox.MailsByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByController.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    Lino.outbox.MailsByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  return new Lino.outbox.MailsByController.detailPanel(p);
});
Lino.outbox.MailsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByController.GridPanel(p);
});
Lino.outbox.MailsByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByController
Lino.cal.TasksByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByController",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "delegated", "type": "boolean" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    var ww = this.containing_window;
    var start_date2199 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var due_date2200 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary2201 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user2202 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated2203 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var workflow_buttons_disp2204 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2205 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date2199, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "due_date", "editable": true, "editor": due_date2200, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary2201, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user2202, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id2205, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cal.TasksByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByController.insertPanel = Ext.extend(Lino.cal.TasksByController.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    Lino.cal.TasksByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByController" };
  return new Lino.cal.TasksByController.insertPanel(p);
});
Lino.cal.TasksByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByController.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    Lino.cal.TasksByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByController" };
  return new Lino.cal.TasksByController.detailPanel(p);
});
Lino.cal.TasksByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByController" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByController.GridPanel(p);
});
Lino.cal.TasksByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByController
Lino.cal.EntriesByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByController",
  ls_store_fields : [ { "name": "when_html" }, { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "auto_type", "type": "int", "useNull": true }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    var ww = this.containing_window;
    var when_html_disp2221 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var summary2222 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user2223 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/user" }) }) });
    var auto_type2224 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var workflow_buttons_disp2225 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2226 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified2227 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2228 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project2229 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/project" }) }) });
    var start_date2230 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time2231 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date2232 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time2233 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time2234 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method2235 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to2236 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/assigned_to" }) }) });
    var owner_type2237 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/owner_type" }) }) });
    var owner_id2238 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/owner_id" }) }) });
    var description2239 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class2240 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence2241 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var priority2242 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type2243 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/event_type" }) }) });
    var transparent2244 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited2245 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room2246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/room" }) }) });
    var state2247 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before2248 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit2249 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified2250 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp2251 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id2238.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type2237 !== 'undefined' && owner_type2237.on('change',Lino.chooser_handler(owner_id2238,'owner_type'));
      Lino.cal.EntriesByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_html", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.when_html) Shows the date and time of the calendar entry with a link that\nopens all entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the calendar entry with a link that\nopens all entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "summary", "editable": true, "editor": summary2222, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user2223, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "auto_type", "editable": true, "editor": auto_type2224, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2226, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "project", "editable": true, "editor": project2229, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date2230, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "start_time", "editable": true, "editor": start_time2231, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "end_date", "editable": true, "editor": end_date2232, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_time", "editable": true, "editor": end_time2233, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 13, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 14, "dataIndex": "build_method", "editable": true, "editor": build_method2235, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to2236, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type2237, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id2238, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description2239, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class2240, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence2241, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority2242, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type2243, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room2246, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state2247, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before2248, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit2249, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByController.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    Lino.cal.EntriesByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  return new Lino.cal.EntriesByController.insertPanel(p);
});
Lino.cal.EntriesByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByController.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    Lino.cal.EntriesByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  return new Lino.cal.EntriesByController.detailPanel(p);
});
Lino.cal.EntriesByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByController.GridPanel(p);
});
Lino.cal.EntriesByController.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.DelegatedTasksByContract
Lino.isip.DelegatedTasksByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/DelegatedTasksByContract",
  ls_store_fields : [ { "name": "summary" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    var ww = this.containing_window;
    var summary8779 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var due_date8780 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "summary", "editable": true, "editor": summary8779, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(isip.DelegatedTasksByContract.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "due_date", "editable": true, "editor": due_date8780, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(isip.DelegatedTasksByContract.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.isip.DelegatedTasksByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.DelegatedTasksByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/DelegatedTasksByContract" };
  p.params_panel = new Lino.isip.DelegatedTasksByContract.ParamsPanel({});
  return new Lino.isip.DelegatedTasksByContract.GridPanel(p);
});
Lino.isip.DelegatedTasksByContract.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.EntriesByContract
Lino.isip.EntriesByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/EntriesByContract",
  ls_store_fields : [ { "name": "summary" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    var ww = this.containing_window;
    var summary8782 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date8783 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "summary", "editable": true, "editor": summary8782, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(isip.EntriesByContract.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8783, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(isip.EntriesByContract.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.isip.EntriesByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.EntriesByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/EntriesByContract" };
  p.params_panel = new Lino.isip.EntriesByContract.ParamsPanel({});
  return new Lino.isip.EntriesByContract.GridPanel(p);
});
Lino.isip.EntriesByContract.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByOwner
Lino.notes.NotesByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByOwner",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    var ww = this.containing_window;
    var date8785 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8786 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type8787 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/event_type" }) }) });
    var type8788 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/type" }) }) });
    var subject8789 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8790 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/user" }) }) });
    var id8791 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project8792 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/project" }) }) });
    var build_time8793 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8794 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/owner_type" }) }) });
    var owner_id8796 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/owner_id" }) }) });
    var company8797 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/company" }) }) });
    var contact_person8798 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/contact_person" }) }) });
    var contact_role8799 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/contact_role" }) }) });
    var body8800 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language8801 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8802 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8803 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id8796.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8798.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body8800.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8795 !== 'undefined' && owner_type8795.on('change',Lino.chooser_handler(owner_id8796,'owner_type'));
      typeof company8797 !== 'undefined' && company8797.on('change',Lino.chooser_handler(contact_person8798,'company'));
      Lino.notes.NotesByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8785, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8786, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type8787, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8788, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject8789, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8790, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8791, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project8792, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8794, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8795, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8796, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company8797, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person8798, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role8799, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "body", "editable": true, "editor": body8800, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8801, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByOwner.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.NotesByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByOwner.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByOwner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    Lino.notes.NotesByOwner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  return new Lino.notes.NotesByOwner.insertPanel(p);
});
Lino.notes.NotesByOwner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByOwner.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    Lino.notes.NotesByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  return new Lino.notes.NotesByOwner.detailPanel(p);
});
Lino.notes.NotesByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByOwner.GridPanel(p);
});
Lino.notes.NotesByOwner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.FindDateByClientTable
Lino.reception.FindDateByClientTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/FindDateByClientTable",
  ls_store_fields : [ { "name": "button" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin finden mit...",
  disabled_fields_index : 1,
  initComponent : function() {
    var ww = this.containing_window;
    var button_disp8805 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "button", "editable": false, "header": "Button", "listeners": { "render": Lino.quicktip_renderer("","(reception.FindDateByClientTable.button) ") }, "sortable": false, "tooltip": "(reception.FindDateByClientTable.button) ", "width": Lino.chars2width(31) } ];
    Lino.reception.FindDateByClientTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.FindDateByClientTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/FindDateByClientTable" };
  return new Lino.reception.FindDateByClientTable.GridPanel(p);
});

// js_render_GridPanel_class integ.UsersWithClients
Lino.integ.UsersWithClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/UsersWithClients",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "G1" }, { "name": "G2" }, { "name": "G4" }, { "name": "G4bis" }, { "name": "G9" }, { "name": "primary_clients" }, { "name": "active_clients" }, { "name": "row_total" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzer und ihre Klienten",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var user8807 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var G18808 = new Ext.form.NumberField({ "disabled": true });
    var G28809 = new Ext.form.NumberField({ "disabled": true });
    var G48810 = new Ext.form.NumberField({ "disabled": true });
    var G4bis8811 = new Ext.form.NumberField({ "disabled": true });
    var G98812 = new Ext.form.NumberField({ "disabled": true });
    var primary_clients8813 = new Ext.form.NumberField({ "disabled": true });
    var active_clients8814 = new Ext.form.NumberField({ "disabled": true });
    var row_total8815 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 1, "dataIndex": "G1", "editable": false, "format": "0", "header": "Auswertung", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G1) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "G2", "editable": false, "format": "0", "header": "Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G2) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "G4", "editable": false, "format": "0", "header": "Suchen", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G4) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "G4bis", "editable": false, "format": "0", "header": "Arbeit", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G4bis) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G4bis) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "G9", "editable": false, "format": "0", "header": "Standby", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G9) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G9) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "primary_clients", "editable": false, "format": "0", "header": "Komplette Akten", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.primary_clients) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.primary_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "active_clients", "editable": false, "format": "0", "header": "Aktive Klienten", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.active_clients) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.active_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "row_total", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.row_total) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.row_total) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.UsersWithClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.UsersWithClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/UsersWithClients" };
  return new Lino.integ.UsersWithClients.GridPanel(p);
});

// js_render_GridPanel_class integ.CompareRequestsTable
Lino.integ.CompareRequestsTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CompareRequestsTable",
  ls_store_fields : [ { "name": "description" }, { "name": "old_value" }, { "name": "new_value" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Allgemeine Entwicklung",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var description_disp8817 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var old_value8818 = new Ext.form.NumberField({ "disabled": true });
    var new_value8819 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.description) ") }, "sortable": false, "tooltip": "(integ.CompareRequestsTable.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "old_value", "editable": false, "format": "0", "header": "Anfangswert", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.old_value) ") }, "sortable": true, "tooltip": "(integ.CompareRequestsTable.old_value) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "new_value", "editable": false, "format": "0", "header": "Endwert", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.new_value) ") }, "sortable": true, "tooltip": "(integ.CompareRequestsTable.new_value) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CompareRequestsTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompareRequestsTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompareRequestsTable" };
  return new Lino.integ.CompareRequestsTable.GridPanel(p);
});

// js_render_GridPanel_class integ.PeriodicNumbers
Lino.integ.PeriodicNumbers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/PeriodicNumbers",
  ls_store_fields : [ { "name": "description" }, { "name": "number" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aktivit\u00e4t",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var description_disp8821 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var number8822 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.PeriodicNumbers.description) ") }, "sortable": false, "tooltip": "(integ.PeriodicNumbers.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "number", "editable": false, "format": "0", "header": "Anzahl", "listeners": { "render": Lino.quicktip_renderer("","(integ.PeriodicNumbers.number) ") }, "sortable": true, "tooltip": "(integ.PeriodicNumbers.number) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.PeriodicNumbers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.PeriodicNumbers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/PeriodicNumbers" };
  return new Lino.integ.PeriodicNumbers.GridPanel(p);
});

// js_render_GridPanel_class integ.ContractsByType
Lino.integ.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/ContractsByType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ContractsByType",
  initComponent : function() {
    var ww = this.containing_window;
    var description8824 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc08825 = new Ext.form.NumberField({ "disabled": true });
    var vc18826 = new Ext.form.NumberField({ "disabled": true });
    var vc28827 = new Ext.form.NumberField({ "disabled": true });
    var vc38828 = new Ext.form.NumberField({ "disabled": true });
    var vc48829 = new Ext.form.NumberField({ "disabled": true });
    var vc58830 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.description) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc0) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc1) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc2) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc3) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc4) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc5) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ContractsByType" };
  return new Lino.integ.ContractsByType.GridPanel(p);
});

// js_render_GridPanel_class cbss.IdentifyPersonResult
Lino.cbss.IdentifyPersonResult.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyPersonResult",
  ls_store_fields : [ { "name": "national_id" }, { "name": "last_name" }, { "name": "first_name" }, { "name": "address" }, { "name": "birth_date" }, { "name": "birth_location" }, { "name": "civil_state" }, { "name": "detail_link" }, { "name": "gender" }, 'genderHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Resultate",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var national_id_disp2948 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var last_name_disp2949 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var first_name_disp2950 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_disp2951 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var birth_date_disp2952 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var birth_location_disp2953 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var civil_state_disp2954 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var detail_link_disp2955 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var gender2956 = new Lino.ChoicesFieldElement({ "disabled": true, "hidden": true, "store": [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "national_id", "editable": false, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.national_id) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.national_id) ", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "last_name", "editable": false, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.last_name) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.last_name) ", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "first_name", "editable": false, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.first_name) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.first_name) ", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "address", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.address) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.address) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "birth_date", "editable": false, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.birth_date) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.birth_date) ", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "birth_location", "editable": false, "header": "Geburtsort", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.birth_location) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.birth_location) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "civil_state", "editable": false, "header": "Zivilstand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.civil_state) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.civil_state) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.detail_link) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "gender", "editable": false, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.gender) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.gender) ", "width": Lino.chars2width(21) } ];
    Lino.cbss.IdentifyPersonResult.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonResult.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonResult" };
  return new Lino.cbss.IdentifyPersonResult.GridPanel(p);
});

// js_render_GridPanel_class cbss.RetrieveTIGroupsResult
Lino.cbss.RetrieveTIGroupsResult.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsResult",
  ls_store_fields : [ { "name": "group" }, { "name": "type" }, { "dateFormat": "d.m.Y", "name": "since", "type": "date" }, { "name": "info" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Resultate",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var group_disp1093 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var type_disp1094 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var since1095 = new Lino.DateField({ "disabled": true });
    var info_disp1096 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "group", "editable": false, "header": "Gruppe", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.group) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.group) ", "width": Lino.chars2width(19) }, { "colIndex": 1, "dataIndex": "type", "editable": false, "header": "TI", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.type) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.type) ", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "since", "editable": false, "format": "d.m.Y", "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.since) ") }, "sortable": true, "tooltip": "(cbss.RetrieveTIGroupsResult.since) ", "width": Lino.chars2width(15), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.info) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.info) ", "width": Lino.chars2width(51) } ];
    Lino.cbss.RetrieveTIGroupsResult.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsResult.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsResult" };
  return new Lino.cbss.RetrieveTIGroupsResult.GridPanel(p);
});

// js_render_GridPanel_class debts.SummaryTable
Lino.debts.SummaryTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/SummaryTable",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "SummaryTable",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp8832 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount8833 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.SummaryTable.desc) ") }, "sortable": false, "tooltip": "(debts.SummaryTable.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.SummaryTable.amount) ") }, "sortable": true, "tooltip": "(debts.SummaryTable.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.SummaryTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.SummaryTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/SummaryTable" };
  return new Lino.debts.SummaryTable.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationsByGranting
Lino.aids.ConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationsByGranting",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "signer" }, 'signerHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Drucken", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausgestellte Best\u00e4tigungen",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var detail_link_disp1800 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created1801 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user1802 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var signer1803 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var printed_disp1804 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date1805 = new Lino.DateField({ "disabled": true });
    var end_date1806 = new Lino.DateField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Best\u00e4tigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.detail_link) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "signer", "editable": false, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.signer) ", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.printed) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.printed) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "start_date", "editable": false, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "(aids.ConfirmationsByGranting.start_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "end_date", "editable": false, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "(aids.ConfirmationsByGranting.end_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.ConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationsByGranting" };
  return new Lino.aids.ConfirmationsByGranting.GridPanel(p);
});

// js_render_GridPanel_class dupable_clients.SimilarClients
Lino.dupable_clients.SimilarClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dupable_clients/SimilarClients",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "similar_record" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4hnliche Klienten",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var detail_link_disp8835 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var similar_record_disp8836 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.SimilarClients.detail_link) ") }, "sortable": false, "tooltip": "(dupable_clients.SimilarClients.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "similar_record", "editable": false, "header": "\u00c4hnlicher Datensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.SimilarClients.similar_record) ") }, "sortable": false, "tooltip": "(dupable_clients.SimilarClients.similar_record) ", "width": Lino.chars2width(31) } ];
    Lino.dupable_clients.SimilarClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dupable_clients.SimilarClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dupable_clients/SimilarClients" };
  return new Lino.dupable_clients.SimilarClients.GridPanel(p);
});

Lino.about.About.showPanel = Ext.extend(Lino.about.About.DetailFormPanel,{
  empty_title: "Info",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "sign_in", "menu_item_text": "Anmelden", "overflowText": "Anmelden", "panel_btn_handler": Lino.param_action_handler(Lino.about.About.sign_in), "text": "Anmelden", "tooltip": "Open a window which asks for username and password and which\nauthenticates as this user when submitted.", "tooltipType": "title" } ],
  ls_url: "/about/About",
  initComponent : function() {
    this.ls_detail_handler = Lino.about.About.show;
    Lino.about.About.showPanel.superclass.initComponent.call(this);
  }
});

Lino.about.About.show = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.showPanel(p);
});
Lino.extensible.CalendarPanel.grid = new Lino.WindowAction({  }, function(){
  return Lino.CalendarApp().get_main_panel();
});

Lino.jobs.JobsOverview.showPanel = Ext.extend(Lino.jobs.JobsOverview.DetailFormPanel,{
  empty_title: "\u00dcbersicht Art.60\u00a77-Konventionen",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsOverview",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverview.show;
    Lino.jobs.JobsOverview.showPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverview.show = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverview" };
  p.params_panel = new Lino.jobs.JobsOverview.ParamsPanel({});
  return new Lino.jobs.JobsOverview.showPanel(p);
});
Lino.jobs.JobsOverview.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverview", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.ActivityReport.showPanel = Ext.extend(Lino.jobs.JobsOverview.DetailFormPanel,{
  empty_title: "T\u00e4tigkeitsbericht",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" } ],
  ls_url: "/integ/ActivityReport",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.ActivityReport.show;
    Lino.integ.ActivityReport.showPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ActivityReport.show = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ActivityReport" };
  p.params_panel = new Lino.integ.ActivityReport.ParamsPanel({});
  return new Lino.integ.ActivityReport.showPanel(p);
});
Lino.integ.ActivityReport.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ActivityReport", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class system.YesNo
Lino.system.YesNo.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/YesNo",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ja oder Nein",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8838 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8839 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8840 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8841 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8842 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8843 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8844 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.value) ") }, "sortable": true, "tooltip": "(system.YesNo.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.name) ") }, "sortable": true, "tooltip": "(system.YesNo.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.text) ") }, "sortable": true, "tooltip": "(system.YesNo.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.detail_link) ") }, "sortable": false, "tooltip": "(system.YesNo.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.button_text) ") }, "sortable": true, "tooltip": "(system.YesNo.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.remark) ") }, "sortable": false, "tooltip": "(system.YesNo.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.type) ") }, "sortable": false, "tooltip": "(system.YesNo.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.YesNo.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.YesNo.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/YesNo" };
  return new Lino.system.YesNo.GridPanel(p);
});

// js_render_GridPanel_class system.Genders
Lino.system.Genders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/Genders",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Genders",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8846 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8847 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8848 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8849 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8850 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8851 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8852 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.value) ") }, "sortable": true, "tooltip": "(system.Genders.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.name) ") }, "sortable": true, "tooltip": "(system.Genders.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.text) ") }, "sortable": true, "tooltip": "(system.Genders.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.detail_link) ") }, "sortable": false, "tooltip": "(system.Genders.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.button_text) ") }, "sortable": true, "tooltip": "(system.Genders.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.remark) ") }, "sortable": false, "tooltip": "(system.Genders.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.type) ") }, "sortable": false, "tooltip": "(system.Genders.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.Genders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.Genders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/Genders" };
  return new Lino.system.Genders.GridPanel(p);
});

// js_render_GridPanel_class system.PeriodEvents
Lino.system.PeriodEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/PeriodEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8854 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8855 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8856 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8857 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8858 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8859 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8860 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.value) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.name) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.text) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.detail_link) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.button_text) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.remark) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.type) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.PeriodEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.PeriodEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/PeriodEvents" };
  return new Lino.system.PeriodEvents.GridPanel(p);
});

// js_render_GridPanel_class system.DashboardLayouts
Lino.system.DashboardLayouts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/DashboardLayouts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DashboardLayouts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8862 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8863 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8864 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8865 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8866 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8867 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8868 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.value) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.name) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.text) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.detail_link) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.button_text) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.remark) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.type) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.DashboardLayouts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.DashboardLayouts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/DashboardLayouts" };
  return new Lino.system.DashboardLayouts.GridPanel(p);
});

// js_render_GridPanel_class printing.BuildMethods
Lino.printing.BuildMethods.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/printing/BuildMethods",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "BuildMethods",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8870 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8871 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8872 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8873 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8874 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8875 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8876 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.value) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.name) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.text) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.detail_link) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.button_text) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.remark) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.type) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.type) ", "width": Lino.chars2width(31) } ];
    Lino.printing.BuildMethods.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.printing.BuildMethods.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/printing/BuildMethods" };
  return new Lino.printing.BuildMethods.GridPanel(p);
});

// js_render_GridPanel_class about.TimeZones
Lino.about.TimeZones.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/about/TimeZones",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zeitzonen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8878 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8879 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8880 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8881 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8882 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8883 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8884 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.value) ") }, "sortable": true, "tooltip": "(about.TimeZones.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.name) ") }, "sortable": true, "tooltip": "(about.TimeZones.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.text) ") }, "sortable": true, "tooltip": "(about.TimeZones.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.detail_link) ") }, "sortable": false, "tooltip": "(about.TimeZones.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.button_text) ") }, "sortable": true, "tooltip": "(about.TimeZones.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.remark) ") }, "sortable": false, "tooltip": "(about.TimeZones.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.type) ") }, "sortable": false, "tooltip": "(about.TimeZones.type) ", "width": Lino.chars2width(31) } ];
    Lino.about.TimeZones.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.about.TimeZones.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/about/TimeZones" };
  return new Lino.about.TimeZones.GridPanel(p);
});

// js_render_GridPanel_class about.DateFormats
Lino.about.DateFormats.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/about/DateFormats",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Date formats",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8886 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8887 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8888 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8889 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8890 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8891 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8892 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.value) ") }, "sortable": true, "tooltip": "(about.DateFormats.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.name) ") }, "sortable": true, "tooltip": "(about.DateFormats.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.text) ") }, "sortable": true, "tooltip": "(about.DateFormats.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.detail_link) ") }, "sortable": false, "tooltip": "(about.DateFormats.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.button_text) ") }, "sortable": true, "tooltip": "(about.DateFormats.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.remark) ") }, "sortable": false, "tooltip": "(about.DateFormats.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.type) ") }, "sortable": false, "tooltip": "(about.DateFormats.type) ", "width": Lino.chars2width(31) } ];
    Lino.about.DateFormats.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.about.DateFormats.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/about/DateFormats" };
  return new Lino.about.DateFormats.GridPanel(p);
});

// js_render_GridPanel_class xl.Priorities
Lino.xl.Priorities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xl/Priorities",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Priorit\u00e4ten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8894 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8895 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8896 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8897 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8898 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8899 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8900 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.value) ") }, "sortable": true, "tooltip": "(xl.Priorities.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.name) ") }, "sortable": true, "tooltip": "(xl.Priorities.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.text) ") }, "sortable": true, "tooltip": "(xl.Priorities.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.detail_link) ") }, "sortable": false, "tooltip": "(xl.Priorities.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.button_text) ") }, "sortable": true, "tooltip": "(xl.Priorities.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.remark) ") }, "sortable": false, "tooltip": "(xl.Priorities.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.type) ") }, "sortable": false, "tooltip": "(xl.Priorities.type) ", "width": Lino.chars2width(31) } ];
    Lino.xl.Priorities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xl.Priorities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xl/Priorities" };
  return new Lino.xl.Priorities.GridPanel(p);
});

// js_render_GridPanel_class countries.PlaceTypes
Lino.countries.PlaceTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlaceTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "PlaceTypes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8902 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8903 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8904 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8905 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8906 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8907 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8908 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.value) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.name) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.text) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.detail_link) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.button_text) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.remark) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.type) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.countries.PlaceTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlaceTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlaceTypes" };
  return new Lino.countries.PlaceTypes.GridPanel(p);
});

// js_render_GridPanel_class uploads.Shortcuts
Lino.uploads.Shortcuts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Shortcuts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload shortcuts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8910 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8911 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8912 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8913 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8914 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8915 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8916 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.value) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.name) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.text) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.detail_link) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.button_text) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.remark) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.type) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.type) ", "width": Lino.chars2width(31) } ];
    Lino.uploads.Shortcuts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Shortcuts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Shortcuts" };
  return new Lino.uploads.Shortcuts.GridPanel(p);
});

// js_render_GridPanel_class ledger.PeriodStates
Lino.ledger.PeriodStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/PeriodStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value8918 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8919 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8920 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text8921 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.value) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.name) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.text) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.button_text) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.ledger.PeriodStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.PeriodStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/PeriodStates" };
  return new Lino.ledger.PeriodStates.GridPanel(p);
});

// js_render_GridPanel_class ledger.VoucherStates
Lino.ledger.VoucherStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/VoucherStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "is_editable", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegzust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value8923 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8924 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8925 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var is_editable_disp8926 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.value) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.name) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.text) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "is_editable", "editable": false, "header": "Editierbar", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.is_editable) ") }, "sortable": false, "tooltip": "(ledger.VoucherStates.is_editable) ", "width": Lino.chars2width(21) } ];
    Lino.ledger.VoucherStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.VoucherStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/VoucherStates" };
  return new Lino.ledger.VoucherStates.GridPanel(p);
});

// js_render_GridPanel_class contacts.PartnerEvents
Lino.contacts.PartnerEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnerEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8928 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8929 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8930 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8931 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8932 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8933 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8934 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.value) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.name) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.text) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.detail_link) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.button_text) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.remark) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.type) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.contacts.PartnerEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnerEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnerEvents" };
  return new Lino.contacts.PartnerEvents.GridPanel(p);
});

// js_render_GridPanel_class notify.MessageTypes
Lino.notify.MessageTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MessageTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Message Types",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8936 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8937 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8938 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8939 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8940 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8941 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8942 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.value) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.name) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.text) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.detail_link) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.button_text) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.remark) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.type) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MessageTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MessageTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MessageTypes" };
  return new Lino.notify.MessageTypes.GridPanel(p);
});

// js_render_GridPanel_class notify.MailModes
Lino.notify.MailModes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MailModes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benachrichtigungsmodi",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8944 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8945 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8946 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8947 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8948 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8949 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8950 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.value) ") }, "sortable": true, "tooltip": "(notify.MailModes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.name) ") }, "sortable": true, "tooltip": "(notify.MailModes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.text) ") }, "sortable": true, "tooltip": "(notify.MailModes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.detail_link) ") }, "sortable": false, "tooltip": "(notify.MailModes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.button_text) ") }, "sortable": true, "tooltip": "(notify.MailModes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.remark) ") }, "sortable": false, "tooltip": "(notify.MailModes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.type) ") }, "sortable": false, "tooltip": "(notify.MailModes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MailModes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MailModes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MailModes" };
  return new Lino.notify.MailModes.GridPanel(p);
});

// js_render_GridPanel_class changes.ChangeTypes
Lino.changes.ChangeTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangeTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4nderungsarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8952 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8953 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8954 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8955 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8956 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8957 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8958 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.value) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.name) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.text) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.detail_link) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.button_text) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.remark) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.type) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.changes.ChangeTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangeTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangeTypes" };
  return new Lino.changes.ChangeTypes.GridPanel(p);
});

// js_render_GridPanel_class properties.DoYouLike
Lino.properties.DoYouLike.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/DoYouLike",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DoYouLike",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8960 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8961 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8962 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8963 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8964 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8965 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8966 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.value) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.name) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.text) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.detail_link) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.button_text) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.remark) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.type) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.type) ", "width": Lino.chars2width(31) } ];
    Lino.properties.DoYouLike.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.DoYouLike.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/DoYouLike" };
  return new Lino.properties.DoYouLike.GridPanel(p);
});

// js_render_GridPanel_class properties.HowWell
Lino.properties.HowWell.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/HowWell",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "HowWell",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8968 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8969 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8970 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8971 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8972 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8973 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8974 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.value) ") }, "sortable": true, "tooltip": "(properties.HowWell.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.name) ") }, "sortable": true, "tooltip": "(properties.HowWell.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.text) ") }, "sortable": true, "tooltip": "(properties.HowWell.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.detail_link) ") }, "sortable": false, "tooltip": "(properties.HowWell.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.button_text) ") }, "sortable": true, "tooltip": "(properties.HowWell.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.remark) ") }, "sortable": false, "tooltip": "(properties.HowWell.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.type) ") }, "sortable": false, "tooltip": "(properties.HowWell.type) ", "width": Lino.chars2width(31) } ];
    Lino.properties.HowWell.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.HowWell.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/HowWell" };
  return new Lino.properties.HowWell.GridPanel(p);
});

// js_render_GridPanel_class addresses.DataSources
Lino.addresses.DataSources.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/DataSources",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenquellen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8976 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8977 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8978 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8979 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8980 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8981 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8982 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.value) ") }, "sortable": true, "tooltip": "(addresses.DataSources.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.name) ") }, "sortable": true, "tooltip": "(addresses.DataSources.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.text) ") }, "sortable": true, "tooltip": "(addresses.DataSources.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.detail_link) ") }, "sortable": false, "tooltip": "(addresses.DataSources.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.button_text) ") }, "sortable": true, "tooltip": "(addresses.DataSources.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.remark) ") }, "sortable": false, "tooltip": "(addresses.DataSources.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.type) ") }, "sortable": false, "tooltip": "(addresses.DataSources.type) ", "width": Lino.chars2width(31) } ];
    Lino.addresses.DataSources.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.DataSources.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/DataSources" };
  return new Lino.addresses.DataSources.GridPanel(p);
});

// js_render_GridPanel_class excerpts.Shortcuts
Lino.excerpts.Shortcuts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/Shortcuts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Excerpt shortcuts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8984 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8985 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8986 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8987 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8988 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8989 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8990 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.value) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.name) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.text) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.detail_link) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.button_text) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.remark) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.type) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.type) ", "width": Lino.chars2width(31) } ];
    Lino.excerpts.Shortcuts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Shortcuts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Shortcuts" };
  return new Lino.excerpts.Shortcuts.GridPanel(p);
});

// js_render_GridPanel_class cal.Weekdays
Lino.cal.Weekdays.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Weekdays",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Weekdays",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8992 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8993 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8994 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8995 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8996 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8997 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8998 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.value) ") }, "sortable": true, "tooltip": "(cal.Weekdays.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.name) ") }, "sortable": true, "tooltip": "(cal.Weekdays.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.text) ") }, "sortable": true, "tooltip": "(cal.Weekdays.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.detail_link) ") }, "sortable": false, "tooltip": "(cal.Weekdays.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.button_text) ") }, "sortable": true, "tooltip": "(cal.Weekdays.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.remark) ") }, "sortable": false, "tooltip": "(cal.Weekdays.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.type) ") }, "sortable": false, "tooltip": "(cal.Weekdays.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Weekdays.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Weekdays.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Weekdays" };
  return new Lino.cal.Weekdays.GridPanel(p);
});

// js_render_GridPanel_class cal.YearMonths
Lino.cal.YearMonths.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/YearMonths",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "YearMonths",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9000 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9001 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9002 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9003 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9004 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9005 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9006 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.value) ") }, "sortable": true, "tooltip": "(cal.YearMonths.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.name) ") }, "sortable": true, "tooltip": "(cal.YearMonths.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.text) ") }, "sortable": true, "tooltip": "(cal.YearMonths.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.detail_link) ") }, "sortable": false, "tooltip": "(cal.YearMonths.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.button_text) ") }, "sortable": true, "tooltip": "(cal.YearMonths.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.remark) ") }, "sortable": false, "tooltip": "(cal.YearMonths.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.type) ") }, "sortable": false, "tooltip": "(cal.YearMonths.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.YearMonths.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.YearMonths.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/YearMonths" };
  return new Lino.cal.YearMonths.GridPanel(p);
});

// js_render_GridPanel_class cal.DurationUnits
Lino.cal.DurationUnits.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/DurationUnits",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DurationUnits",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9008 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9009 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9010 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9011 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9012 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9013 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9014 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.value) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.name) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.text) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.detail_link) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.button_text) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.remark) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.type) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.DurationUnits.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.DurationUnits.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/DurationUnits" };
  return new Lino.cal.DurationUnits.GridPanel(p);
});

// js_render_GridPanel_class cal.Recurrencies
Lino.cal.Recurrencies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Recurrencies",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Recurrencies",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9016 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9017 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9018 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9019 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9020 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9021 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9022 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.value) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.name) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.text) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.detail_link) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.button_text) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.remark) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.type) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Recurrencies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Recurrencies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Recurrencies" };
  return new Lino.cal.Recurrencies.GridPanel(p);
});

// js_render_GridPanel_class cal.EventEvents
Lino.cal.EventEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EventEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9024 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9025 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9026 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9027 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9028 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9029 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9030 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.value) ") }, "sortable": true, "tooltip": "(cal.EventEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.name) ") }, "sortable": true, "tooltip": "(cal.EventEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.text) ") }, "sortable": true, "tooltip": "(cal.EventEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.detail_link) ") }, "sortable": false, "tooltip": "(cal.EventEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.button_text) ") }, "sortable": true, "tooltip": "(cal.EventEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.remark) ") }, "sortable": false, "tooltip": "(cal.EventEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.type) ") }, "sortable": false, "tooltip": "(cal.EventEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.EventEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EventEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EventEvents" };
  return new Lino.cal.EventEvents.GridPanel(p);
});

// js_render_GridPanel_class cal.NotifyBeforeUnits
Lino.cal.NotifyBeforeUnits.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/NotifyBeforeUnits",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Notify Units",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9032 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9033 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9034 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9035 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9036 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9037 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9038 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.value) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.name) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.text) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.detail_link) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.button_text) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.remark) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.type) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.NotifyBeforeUnits.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.NotifyBeforeUnits.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/NotifyBeforeUnits" };
  return new Lino.cal.NotifyBeforeUnits.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientEvents
Lino.clients.ClientEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9040 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9041 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9042 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9043 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9044 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9045 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9046 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.value) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.name) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.text) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.detail_link) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.button_text) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.remark) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.type) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.clients.ClientEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientEvents" };
  return new Lino.clients.ClientEvents.GridPanel(p);
});

// js_render_GridPanel_class outbox.RecipientTypes
Lino.outbox.RecipientTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/RecipientTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RecipientTypes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9048 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9049 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9050 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9051 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9052 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9053 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9054 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.value) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.name) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.text) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.detail_link) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.button_text) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.remark) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.type) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.outbox.RecipientTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.RecipientTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/RecipientTypes" };
  return new Lino.outbox.RecipientTypes.GridPanel(p);
});

// js_render_GridPanel_class cal.ReservationStates
Lino.cal.ReservationStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/ReservationStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9056 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9057 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9058 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9059 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.value) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.name) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.text) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.button_text) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cal.ReservationStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.ReservationStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/ReservationStates" };
  return new Lino.cal.ReservationStates.GridPanel(p);
});

// js_render_GridPanel_class notes.SpecialTypes
Lino.notes.SpecialTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/SpecialTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sondernotizarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9061 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9062 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9063 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9064 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9065 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9066 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9067 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.value) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.name) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.text) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.detail_link) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.button_text) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.remark) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.type) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notes.SpecialTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.SpecialTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/SpecialTypes" };
  return new Lino.notes.SpecialTypes.GridPanel(p);
});

// js_render_GridPanel_class cv.EducationEntryStates
Lino.cv.EducationEntryStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/EducationEntryStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "EducationEntryStates",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9069 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9070 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9071 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9072 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9073 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9074 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9075 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.value) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.name) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.text) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.detail_link) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.button_text) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.remark) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.type) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.EducationEntryStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.EducationEntryStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/EducationEntryStates" };
  return new Lino.cv.EducationEntryStates.GridPanel(p);
});

// js_render_GridPanel_class cv.HowWell
Lino.cv.HowWell.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/HowWell",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "HowWell",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9077 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9078 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9079 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9080 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9081 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9082 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9083 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.value) ") }, "sortable": true, "tooltip": "(cv.HowWell.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.name) ") }, "sortable": true, "tooltip": "(cv.HowWell.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.text) ") }, "sortable": true, "tooltip": "(cv.HowWell.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.detail_link) ") }, "sortable": false, "tooltip": "(cv.HowWell.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.button_text) ") }, "sortable": true, "tooltip": "(cv.HowWell.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.remark) ") }, "sortable": false, "tooltip": "(cv.HowWell.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.type) ") }, "sortable": false, "tooltip": "(cv.HowWell.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.HowWell.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.HowWell.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/HowWell" };
  return new Lino.cv.HowWell.GridPanel(p);
});

// js_render_GridPanel_class cv.CefLevel
Lino.cv.CefLevel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/CefLevel",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "CEF-Kategorien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9085 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9086 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9087 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9088 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9089 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9090 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9091 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.value) ") }, "sortable": true, "tooltip": "(cv.CefLevel.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.name) ") }, "sortable": true, "tooltip": "(cv.CefLevel.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.text) ") }, "sortable": true, "tooltip": "(cv.CefLevel.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.detail_link) ") }, "sortable": false, "tooltip": "(cv.CefLevel.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.button_text) ") }, "sortable": true, "tooltip": "(cv.CefLevel.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.remark) ") }, "sortable": false, "tooltip": "(cv.CefLevel.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.type) ") }, "sortable": false, "tooltip": "(cv.CefLevel.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.CefLevel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.CefLevel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/CefLevel" };
  return new Lino.cv.CefLevel.GridPanel(p);
});

// js_render_GridPanel_class beid.ResidenceTypes
Lino.beid.ResidenceTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/beid/ResidenceTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einwohnerregister",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9093 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9094 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9095 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9096 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9097 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9098 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9099 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.value) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.name) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.text) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.detail_link) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.button_text) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.remark) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.type) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.beid.ResidenceTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.beid.ResidenceTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/beid/ResidenceTypes" };
  return new Lino.beid.ResidenceTypes.GridPanel(p);
});

// js_render_GridPanel_class cbss.RequestStates
Lino.cbss.RequestStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RequestStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde cbss request",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9101 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9102 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9103 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9104 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.value) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.name) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.text) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.button_text) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cbss.RequestStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RequestStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RequestStates" };
  return new Lino.cbss.RequestStates.GridPanel(p);
});

// js_render_GridPanel_class cbss.ManageActions
Lino.cbss.ManageActions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageActions",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageActions",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9106 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9107 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9108 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9109 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9110 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9111 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9112 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.value) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.name) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.text) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.detail_link) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.button_text) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.remark) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.type) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.ManageActions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageActions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageActions" };
  return new Lino.cbss.ManageActions.GridPanel(p);
});

// js_render_GridPanel_class cbss.QueryRegisters
Lino.cbss.QueryRegisters.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/QueryRegisters",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "QueryRegisters",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9114 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9115 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9116 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9117 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9118 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9119 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9120 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.value) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.name) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.text) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.detail_link) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.button_text) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.remark) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.type) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.QueryRegisters.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.QueryRegisters.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/QueryRegisters" };
  return new Lino.cbss.QueryRegisters.GridPanel(p);
});

// js_render_GridPanel_class cbss.RequestLanguages
Lino.cbss.RequestLanguages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RequestLanguages",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RequestLanguages",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9122 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9123 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9124 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9125 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9126 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9127 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9128 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.value) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.name) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.text) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.detail_link) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.button_text) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.remark) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.type) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.RequestLanguages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RequestLanguages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RequestLanguages" };
  return new Lino.cbss.RequestLanguages.GridPanel(p);
});

// js_render_GridPanel_class pcsw.RefusalReasons
Lino.pcsw.RefusalReasons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/RefusalReasons",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ablehnungsgr\u00fcnde",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9130 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9131 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9132 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9133 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9134 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9135 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9136 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.value) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.name) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.text) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.detail_link) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.button_text) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.remark) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.type) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.type) ", "width": Lino.chars2width(31) } ];
    Lino.pcsw.RefusalReasons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.RefusalReasons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/RefusalReasons" };
  return new Lino.pcsw.RefusalReasons.GridPanel(p);
});

// js_render_GridPanel_class households.MemberDependencies
Lino.households.MemberDependencies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MemberDependencies",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltsmitgliedsabh\u00e4ngigkeiten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9138 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9139 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9140 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9141 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9142 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9143 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9144 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.value) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.name) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.text) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.detail_link) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.button_text) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.remark) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.type) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.type) ", "width": Lino.chars2width(31) } ];
    Lino.households.MemberDependencies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MemberDependencies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MemberDependencies" };
  return new Lino.households.MemberDependencies.GridPanel(p);
});

// js_render_GridPanel_class isip.ContractEvents
Lino.isip.ContractEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9146 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9147 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9148 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9149 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9150 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9151 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9152 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.value) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.name) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.text) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.detail_link) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.button_text) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.remark) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.type) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.isip.ContractEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractEvents" };
  return new Lino.isip.ContractEvents.GridPanel(p);
});

// js_render_GridPanel_class isip.OverlapGroups
Lino.isip.OverlapGroups.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/OverlapGroups",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00dcberlappungsgruppen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9154 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9155 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9156 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9157 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9158 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9159 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9160 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.value) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.name) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.text) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.detail_link) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.button_text) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.remark) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.type) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.type) ", "width": Lino.chars2width(31) } ];
    Lino.isip.OverlapGroups.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.OverlapGroups.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/OverlapGroups" };
  return new Lino.isip.OverlapGroups.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidatureStates
Lino.jobs.CandidatureStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidatureStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kandidatur-Zust\u00e4nde",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9162 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9163 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9164 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9165 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9166 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9167 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9168 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.value) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.name) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.text) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.detail_link) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.button_text) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.remark) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.type) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.jobs.CandidatureStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidatureStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidatureStates" };
  return new Lino.jobs.CandidatureStates.GridPanel(p);
});

// js_render_GridPanel_class sepa.AccountTypes
Lino.sepa.AccountTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9170 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9171 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9172 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9173 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9174 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9175 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9176 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.value) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.name) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.text) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.detail_link) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.button_text) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.remark) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.type) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.sepa.AccountTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountTypes" };
  return new Lino.sepa.AccountTypes.GridPanel(p);
});

// js_render_GridPanel_class art61.Subsidizations
Lino.art61.Subsidizations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/Subsidizations",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Subsidizations",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9178 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9179 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9180 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9181 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9182 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9183 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9184 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.value) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.name) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.text) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.detail_link) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.button_text) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.remark) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.type) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.type) ", "width": Lino.chars2width(31) } ];
    Lino.art61.Subsidizations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Subsidizations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Subsidizations" };
  return new Lino.art61.Subsidizations.GridPanel(p);
});

// js_render_GridPanel_class xcourses.CourseRequestStates
Lino.xcourses.CourseRequestStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequestStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde Kursanfragen",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9186 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9187 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9188 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9189 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.value) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.name) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.text) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.button_text) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.xcourses.CourseRequestStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestStates" };
  return new Lino.xcourses.CourseRequestStates.GridPanel(p);
});

// js_render_GridPanel_class debts.TableLayouts
Lino.debts.TableLayouts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/TableLayouts",
  ls_store_fields : [ { "name": "value" }, { "name": "text" }, { "name": "columns_spec" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Table layouts",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var value9191 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9192 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var columns_spec9193 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.value) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.text) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "columns_spec", "editable": false, "header": "Columns", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.columns_spec) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.columns_spec) ", "width": Lino.chars2width(22) } ];
    Lino.debts.TableLayouts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.TableLayouts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/TableLayouts" };
  return new Lino.debts.TableLayouts.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationTypes
Lino.aids.ConfirmationTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "value" }, { "name": "text" }, { "name": "et_template" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebescheinigungsarten",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var name9195 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var value9196 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9197 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var et_template9198 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var detail_link_disp9199 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9200 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9201 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9202 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.name) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.value) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "et_template", "editable": false, "header": "Vorlage", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.et_template) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.et_template) ", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.detail_link) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.button_text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 6, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.remark) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.type) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.aids.ConfirmationTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationTypes" };
  return new Lino.aids.ConfirmationTypes.GridPanel(p);
});

// js_render_GridPanel_class aids.AidRegimes
Lino.aids.AidRegimes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AidRegimes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AidRegimes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9204 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9205 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9206 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9207 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9208 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9209 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9210 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.value) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.name) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.text) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.detail_link) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.button_text) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.remark) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.type) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.type) ", "width": Lino.chars2width(31) } ];
    Lino.aids.AidRegimes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AidRegimes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AidRegimes" };
  return new Lino.aids.AidRegimes.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationStates
Lino.aids.ConfirmationStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebest\u00e4tigungszust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9212 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9213 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9214 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9215 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.value) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.name) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.button_text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.aids.ConfirmationStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationStates" };
  return new Lino.aids.ConfirmationStates.GridPanel(p);
});

// js_render_GridPanel_class esf.ParticipationCertificates
Lino.esf.ParticipationCertificates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/ParticipationCertificates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [  ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Participation Certificates",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9217 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9218 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9219 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9220 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9221 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9222 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9223 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.value) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.name) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.text) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.detail_link) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.button_text) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.remark) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.type) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.type) ", "width": Lino.chars2width(31) } ];
    Lino.esf.ParticipationCertificates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.ParticipationCertificates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/ParticipationCertificates" };
  return new Lino.esf.ParticipationCertificates.GridPanel(p);
});
